//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpa2St.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpa2st_h
#define _acvpa2st_h

#include "acvpglrd.h"
#include "acvpldst.h"
//*******************************************************************
class TACVPAct2State : public TVPLordState
{
public:
  TACVPAct2State(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPAct2State();

  dword CursorFUC;
  TResponder *DealDrawResponder;
  TResponder *MenuEscResponder;
  TResponder *AskExpertResponder;
  bool askexpertflag;
  bool IgnoreCoach;
  bool FlipShow[5];
  int16 WaitingOnWRCounter;

  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleHoldCard0(TResponder &responder);
  virtual bool HandleHoldCard1(TResponder &responder);
  virtual bool HandleHoldCard2(TResponder &responder);
  virtual bool HandleHoldCard3(TResponder &responder);
  virtual bool HandleHoldCard4(TResponder &responder);
  virtual bool HandleDealDraw(TResponder &responder);
  virtual bool HandleAskExpert(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);
};
//*******************************************************************
#endif