//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpaskx.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __acvpaskx_h
#define __acvpaskx_h

//#include "cstring.h"
#include "ogle.h"

class TVideoPokerModeWin;
class TACVPVPGLord;
//*******************************************************************
class TACVPAsk
{
public:
  TACVPVPGLord *pOwnerLord;
  string expertRecomString;
  int16 ExpertCode;

public:
  TACVPAsk(TACVPVPGLord *pNewVPLord);
  ~TACVPAsk();
  void AskHoldSuitBonus(int16 suit);

  void HoldCards(bool Show);
  void AskHoldPRF();
  void AskHoldDWC();
  void AskHoldDeuces();
  void AskHoldTens();
  void AskHoldBQC();
  void AskHoldBQD();
  void AskHoldBQE();
  void AskHoldBQF();
  void AskHoldBQH();
  void AskHoldJacks();
  void AskHold7sOneJoker();
  void AskHoldFiveJokers();
  void AskHoldJacksProg();
  void AskHoldJoker();
  void AskHoldJokerA();
  void AskHoldJokerB();
  void AskHoldJokerC();
  void AskHoldFivesUp();
  void AskHoldBonusDeluxeP();
  void AskHoldClubBonus();
  void AskHoldCrazy8();
  void AskHoldDDrawJacks();
  void AskHoldDDrawJokers();
  void AskHoldDDownStud();
  void AskHold2WildBonus();
  void AskHold2Wild();
  void AskHold2WildProg();
  void AskHoldDiamondBonus();
  void AskHoldDoubleBonusPoker();
  void AskHoldFlushAssault();
  void AskHoldFreeLook();
  void AskHoldGamblersEdge();
  void AskHoldHeartBonus();
  void AskHoldBlackJacks();
  void AskHoldJacksBetterProg();
  void AskHoldJackpotBonus();
  void AskHoldJacksBetter96();
  void AskHoldTreasureTrove();
  void AskHoldJacksBetter85();
  void AskHoldJacksBetterDoubleD();
  void AskHoldJokerWildProg();
  void AskHoldJumpinJoker();
  void AskHoldTripProg();
  void AskHoldProgRoyals();
  void AskHoldPowerFullHouse();
  void AskHoldRaiseDrawJoker();
  void AskHoldSpadeBonus();
  void AskHoldSuperDoubleJackpot();
  void AskHoldSevenWildJoker();
  void AskHoldTensBetter();
  void AskHoldTriplePlay();
  void AskHoldTripleBonus();
  void AskHoldWheelDeal();
};
//*******************************************************************
#endif