//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpdeck.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpdeck_h
#define _acvpdeck_h

#include <iostream.h>
#include "card.h"
#include "vphand.h"
#include "pokerdec.h"
#include "hand.h"

class TVideoPokerModeWin;

enum TWinHands {Pair=10,TwoPair=15,ThreeKind=20,Straight=23,Flush=26,FullHouse=70,FourKind=71,
                StraightFlush=99,FiveKind=100,WildRFlush=105,FourKind2=110,FourJokers=120,
                FiveJokers=130, FourSevensJoker=140,FourSevens=150 };

//*******************************************************************
class TACVPDeck : public TPokerDeck
{
public:
  TVideoPokerModeWin *pmwin;
  TACVPDeck(TVideoPokerModeWin *pMWin);
  virtual ~TACVPDeck();
  int16 GetActPlayer();
  int16 ShowWinner(THand * h);
  virtual int16 Draw(THand * h);
  virtual int16 DrawTriple(THand * h);
  int16 FirstDeal();
  int16 FirstDealTop();
  int16 FirstDealMid();
  virtual int16 InitTemp(){return 1;};
  int16 InitVPDeck();
  int16 Joker5Shuffle();
  int16 JokerShuffle();
  int16 RemoveJoker();
};
//*******************************************************************
#endif
