//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpgdsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/16/95    M.Perry    original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__acvpgdsp_h)
#define __acvpgdsp_h

#include "osprite.h"
#include "card.h"
//*******************************************************************
class TACVPGrid:public TSprite
{
public:
  TAnm *PGrid[5][5];
  void SetupAnms();
  TACVPGrid(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPGrid(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPGrid();
  void ShowCell(int row, int col);
  void NoShowCell(int row, int col);
  void ClearCol(int col);
  void ClearRow(int row);
};
//*******************************************************************
#endif
