//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpwtst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpwtst_h
#define _acvpwtst_h

#include "acvpglrd.h"
#include "acvpldst.h"
#include "acvpddst.h"
//*******************************************************************
class TACVPWinTripleState : public TVPLordState
{
public:
  TResponder *SpeedClickResponder;
  TMoney tempWin;
  TMoney wincount;
  TMoney wincountTop;
  TMoney wincountMid;
  TMoney wincountTotal;
  TMoney wincountup;
  TACVPWinTripleState(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPWinTripleState();
  virtual void ExecuteFirstTime();
  virtual bool HandleSpeedClick(TResponder &responder);
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif