//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casbjmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    10/13/95    M.Perry     original baseline
//  2.0    09/23/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__casbjmw_h)
#define __casbjmw_h

#include "casmw.h"
#include "cbjglord.h"
#include "cbjplay.h"
//*******************************************************************
class CASOWLCLASS TBlackJackModeWin:public TCasinoModeWin
{
protected:
  int16 NumDecks;
public:
  TBlackJackModeWin(string modename,TPal *PPal,
                    int16 numdecks = 1,string title = "Cardoza Entertainment's BlackJack");
  virtual ~TBlackJackModeWin();

  virtual string GetDetName();
  virtual int GetMenuID();
  int16 ChangeDeckNum(int16 numdecks)
  {
    NumDecks = numdecks;
	 if (GetBJLord() != NULL) {GetBJLord()->SwitchDeckNow();}
    return 1;
  }
  int16 GetNumDecks() const {return NumDecks;}
  TCasinoBJGameLord *GetBJLord() {return ((TCasinoBJGameLord *)pLord);}
  TCasinoBJPlayer *GetBJPlayer(int16 slotnum) {return ((TCasinoBJPlayer *)GObj[slotnum]);}

};
//*******************************************************************
#endif

