//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  comebet.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _comebet_h
#define _comebet_h
#include "bet.h";
#include "stdio.h"
#include "iostream.h"
class TComeBet : public TBet
{
  public:
  int    point;
  int    freeodds;
  int    currentbets;
  TComeBet(int idnum,int sizeofbet=1)
  {
	 id       = 0;
	 payoff   = sizeofbet;
	 point    = 0;
	 freeodds = 0;
	 onoff    = 0;
  };
 ~TComeBet(){;};
  FreeOdds()
  {
	 switch(point) {
	  case 4  : return freeodds*2; // 2 to 1 payoff
	  case 5  : return Odds(3,2,freeodds);
	  case 6  : return Odds(6,5,freeodds);
	  case 8  : return Odds(6,5,freeodds);
	  case 9  : return Odds(3,2,freeodds);
	  case 10 : return freeodds*2; // 2 to 1 payoff
	  default : return 0;
	 }
  };
  Win(int x){return 1;};
  Win(int x,int y)
  {
	 if(point == 0)
	 {
		if(x+y+2 == 7 || x+y+2 == 11)
		{
		  cout << "Winner!!!Winner!!!COME ON ME!!!" << endl;
		  return payoff;
		}
		else
		{
		  if(x+y+2 == 2 || x+y+2 == 12 || x+y+2 == 3)
		  {
			 return -1;
		  }
		}
		point = x+y+2;
	 }
	 else
	 {
		if(x+y+2 == point)
		{
		  cout << "Winner!!!Winner!!!COME ON ME!!!" << endl;
		  return payoff+freeodds+FreeOdds();
		}
		else
		{
		  if(x+y+2 == 7)
		  {
			 return -1;
		  }
		}
	 }
	 return 0;
  };
};
#endif