//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  crglspl.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/25/96    M.Perry     original baseline
//********************************************************************
#if !defined(__crglspl_h)
#define __crglspl_h

#include "csprlist.h"

#include "cascdsp.h"
#include "casmessp.h"
#include "casbutsp.h"
#include "crbssp.h"
//#include "craesp.h"
//#include "crmesp.h"
#include "crnhsp.h"
#include "crposp.h"
#include "crmksp.h"
#include "crsdsp.h"
//*******************************************************************
enum TRLordRID
{
  ridOneChip,
  ridFiveChip,
  ridTwentyFiveChip,
  ridOneHundredChip,
  ridOneThouChip,
  ridTenThouChip,

  ridButton1,
  ridButton2,
  ridButton3,
  ridButton4,

  ridMenuEsc,
  ridAskExpert,
  ridNamePlate,
  ridStatBar,

  ridBetSpot0,ridBetSpot1,ridBetSpot2,ridBetSpot3,ridBetSpot4,ridBetSpot5,
  ridBetSpot6,ridBetSpot7,ridBetSpot8,ridBetSpot9,ridBetSpot10,ridBetSpot11,
  ridBetSpot12,ridBetSpot13,ridBetSpot14,ridBetSpot15,ridBetSpot16,ridBetSpot17,
  ridBetSpot18,ridBetSpot19,ridBetSpot20,ridBetSpot21,ridBetSpot22,ridBetSpot23,
  ridBetSpot24,ridBetSpot25,ridBetSpot26,ridBetSpot27,ridBetSpot28,ridBetSpot29,
  ridBetSpot30,ridBetSpot31,ridBetSpot32,ridBetSpot33,ridBetSpot34,ridBetSpot35,
  ridBetSpot36,ridBetSpot37,ridBetSpot38,ridBetSpot39,ridBetSpot40,ridBetSpot41,
  ridBetSpot42,ridBetSpot43,ridBetSpot44,ridBetSpot45,ridBetSpot46,ridBetSpot47,
  ridBetSpot48,ridBetSpot49,ridBetSpot50,ridBetSpot51,ridBetSpot52,ridBetSpot53,
  ridBetSpot54,ridBetSpot55,ridBetSpot56,ridBetSpot57,ridBetSpot58,ridBetSpot59,
  ridBetSpot60,ridBetSpot61,ridBetSpot62,ridBetSpot63,ridBetSpot64,ridBetSpot65,
  ridBetSpot66,ridBetSpot67,ridBetSpot68,ridBetSpot69,ridBetSpot70,ridBetSpot71,
  ridBetSpot72,ridBetSpot73,ridBetSpot74,ridBetSpot75,ridBetSpot76,ridBetSpot77,
  ridBetSpot78,ridBetSpot79,ridBetSpot80,ridBetSpot81,ridBetSpot82,ridBetSpot83,
  ridBetSpot84,ridBetSpot85,ridBetSpot86,ridBetSpot87,ridBetSpot88,ridBetSpot89,
  ridBetSpot90,ridBetSpot91,ridBetSpot92,ridBetSpot93,ridBetSpot94,ridBetSpot95,
  ridBetSpot96,ridBetSpot97,ridBetSpot98,ridBetSpot99,ridBetSpot100,ridBetSpot101,
  ridBetSpot102,ridBetSpot103,ridBetSpot104,ridBetSpot105,ridBetSpot106,ridBetSpot107,
  ridBetSpot108,ridBetSpot109,ridBetSpot110,ridBetSpot111,ridBetSpot112,ridBetSpot113,
  ridBetSpot114,ridBetSpot115,ridBetSpot116,ridBetSpot117,ridBetSpot118,ridBetSpot119,
  ridBetSpot120,ridBetSpot121,ridBetSpot122,ridBetSpot123,ridBetSpot124,ridBetSpot125,
  ridBetSpot126,ridBetSpot127,ridBetSpot128,ridBetSpot129,ridBetSpot130,ridBetSpot131,
  ridBetSpot132,ridBetSpot133,ridBetSpot134,ridBetSpot135,ridBetSpot136,ridBetSpot137,
  ridBetSpot138,ridBetSpot139,ridBetSpot140,ridBetSpot141,ridBetSpot142,ridBetSpot143,
  ridBetSpot144,ridBetSpot145,ridBetSpot146,ridBetSpot147,ridBetSpot148,ridBetSpot149,
  ridBetSpot150,ridBetSpot151,ridBetSpot152,ridBetSpot153,ridBetSpot154,ridBetSpot155,
  ridFeltCursor

};
//*******************************************************************
class TRGLordSpriteList:public TCasinoSpriteList
{
  public:
  TRGLordSpriteList(TOgleModeWindow *pmw,const TFileMode &filemode,TGObjSp *PGObj)
	 :TCasinoSpriteList(pmw,filemode,PGObj) {}
  virtual ~TRGLordSpriteList() {}
};
//*******************************************************************
#endif
