//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  caslord.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     07/2/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _slot1lrd_h
#define _slot1lrd_h
#include "deck.h"
#include "slotmode.h"
enum  ReelType {BLANK,JOKER,ACE,KING,QUEEN,JACK};
class TSlot1LordMainState;
class TReel
{
  public:
  int reel[3][22];
  TReel()
  {
	 int i,j;
	 for(i=0;i<3;i++)
	 {
		for(j=0;j<22;j++)
		{
		  reel[i][j] = 0;
		}
	 }
  }
 ~TReel(){;};
};
class TSlot1Lord
{
  public:
  int credits;
  int machinenum;
  int coinsplayed;
  int coinsize;
  int winnerpaid;
  int activeplayer;
  int maxbet;
  int pot;
  int numofsplits;
  int playersin;
  int game;
  int r1;
  int r2;
  int r3;
  TReel                 *pReelOne;
  TReel                 *pReelTwo;
  TReel                 *pReelThree;
  TSlot1LordMainState   *pState;
  TSlot1Mode            *pMWin;
  TSlot1Lord(TSlot1Mode *pmwin);
 ~TSlot1Lord();
  ShuffleCards();
  Spin();
  ShowReels();
  ShowWinner();
  GetBet();
  Bet1();
  BetMax();
  CashOut();
  FinalCashOut();
  AddCoins();
  int GoodToGo();
  InitSlot();
  DrawDeal();
  Winner();
  void ClearActions();
  void FinalClear();
  GetPlayin() {return playersin;};
  int Reel1();
  Switch();
};
#endif