//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slspl.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/16/95    M.Perry     original baseline
//********************************************************************
#if !defined(__slspl_h)
#define __slspl_h

#include "slglspl.h"
#include "casnames.rh"
#include "slnames.rh"
//*******************************************************************
class TSLobby1SpriteList:public TSLGLordSpriteList
{
  public:
  TSLobby1SpriteList(TOgleModeWindow *pmw,TFileMode filemode,TGameObject *PGObj)
	 :TSLGLordSpriteList(pmw,filemode,PGObj)
  {
	 Init(filemode,TRUE,FALSE);
  }

  virtual ~TSLobby1SpriteList() {}
  virtual TSprite *CreateSprite(string spritename,int id = 0,void *psource = NULL)
//  virtual TSprite *CreateSprite(const string &spritename)
  {
	 TFileMode FM(spritename,fm_None,fm_None,FileMode.DirIndex);
    if (psource == NULL)
    {
      FM.SetRamImmed();
	 if(spritename == GetResString(IDS_MS_B0_SL))
	 {
		return (new TCasButton(PModeWin,FM,(TCasinoGameLord *)POwnerGObj,100,TRect(246,401,410,432),idButton0,TRUE));
	 }
	 if (spritename == GetResString(IDS_MS_MESS_SL))
	 {
		return (new TCasSLLobbyMessageDisplay(PModeWin,FM));
	 }
	 /*if (spritename == GetResString(IDS_MS_CAR_SL))
	 {
		return (new TSLCar(PModeWin,FM));
	 }
	 if (spritename == GetResString(IDS_MS_TREE_SL))
	 {
		return (new TSLTree(PModeWin,FM));
	 } */
	 return (new TSprite(PModeWin,FM));
  }
  else
//  virtual TSprite *CreateSprite(const string &spritename,void *psource)
  {
//	 TFileMode FM(spritename,fm_None,fm_Immed,FileMode.DirIndex);
	 if(spritename == GetResString(IDS_MS_B0_SL))
	 {
		return (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)POwnerGObj,100,TRect(246,401,410,432),idButton0,TRUE));
	 }
	 if (spritename == GetResString(IDS_MS_MESS_SL))
	 {
		return (new TCasSLLobbyMessageDisplay(PModeWin,FM,psource));
	 }
	/* if (spritename == GetResString(IDS_MS_CAR_SL))
	 {
		return (new TSLCar(PModeWin,FM,psource));
	 }
	 if (spritename == GetResString(IDS_MS_TREE_SL))
	 {
		return (new TSLTree(PModeWin,FM,psource));
	 }*/
	 return (new TSprite(PModeWin,FM,psource));
    }
  }
};
//*******************************************************************
#endif