//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpgfw.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    09/22/99    M.Perry    original baseline
//********************************************************************
#if !defined(__acvpgfw_h)
#define __acvpgfw_h

#include "casgfw.h"
class TACVPApp;
//*******************************************************************
class TACVPMenuEnable:public TCasinoMenuEnable
{
public:
  bool FivesUpEnb[TMoney::did_NumIDs];
  bool FivesUpAllowed[TMoney::did_NumIDs];
  bool BlackJacksEnb[TMoney::did_NumIDs];
  bool BlackJacksAllowed[TMoney::did_NumIDs];
  bool BonusDeluxeEnb[TMoney::did_NumIDs];
  bool BonusDeluxeAllowed[TMoney::did_NumIDs];
  bool ClubBonusEnb[TMoney::did_NumIDs];
  bool ClubBonusAllowed[TMoney::did_NumIDs];
  bool Crazy8sEnb[TMoney::did_NumIDs];
  bool Crazy8sAllowed[TMoney::did_NumIDs];
  bool DDrawJacksOrBetterEnb[TMoney::did_NumIDs];
  bool DDrawJacksOrBetterAllowed[TMoney::did_NumIDs];
  bool DDrawJokerPokerEnb[TMoney::did_NumIDs];
  bool DDrawJokerPokerAllowed[TMoney::did_NumIDs];
  bool DDownStudEnb[TMoney::did_NumIDs];
  bool DDownStudAllowed[TMoney::did_NumIDs];
  bool DeucesWildBonusEnb[TMoney::did_NumIDs];
  bool DeucesWildBonusAllowed[TMoney::did_NumIDs];
  bool DeucesWildEnb[TMoney::did_NumIDs];
  bool DeucesWildAllowed[TMoney::did_NumIDs];
  bool DeucesWildProgEnb[TMoney::did_NumIDs];
  bool DeucesWildProgAllowed[TMoney::did_NumIDs];
  bool DiamondBonusEnb[TMoney::did_NumIDs];
  bool DiamondBonusAllowed[TMoney::did_NumIDs];
  bool DBonusPokerEnb[TMoney::did_NumIDs];
  bool DBonusPokerAllowed[TMoney::did_NumIDs];
  bool FlushAssaultEnb[TMoney::did_NumIDs];
  bool FlushAssaultAllowed[TMoney::did_NumIDs];
  bool FreeLookEnb[TMoney::did_NumIDs];
  bool FreeLookAllowed[TMoney::did_NumIDs];
  bool GamblersEdgeEnb[TMoney::did_NumIDs];
  bool GamblersEdgeAllowed[TMoney::did_NumIDs];
  bool HeartBonusEnb[TMoney::did_NumIDs];
  bool HeartBonusAllowed[TMoney::did_NumIDs];
  bool JacksOrBetterProgEnb[TMoney::did_NumIDs];
  bool JacksOrBetterProgAllowed[TMoney::did_NumIDs];
  bool JackpotBonusEnb[TMoney::did_NumIDs];
  bool JackpotBonusAllowed[TMoney::did_NumIDs];
  bool JacksOrBetter96Enb[TMoney::did_NumIDs];
  bool JacksOrBetter96Allowed[TMoney::did_NumIDs];
  bool JacksOrBetter85Enb[TMoney::did_NumIDs];
  bool JacksOrBetter85Allowed[TMoney::did_NumIDs];
  bool JacksOrBetterDNothingEnb[TMoney::did_NumIDs];
  bool JacksOrBetterDNothingAllowed[TMoney::did_NumIDs];
  bool JokersWildProgEnb[TMoney::did_NumIDs];
  bool JokersWildProgAllowed[TMoney::did_NumIDs];
  bool JumpinJokersEnb[TMoney::did_NumIDs];
  bool JumpinJokersAllowed[TMoney::did_NumIDs];
  bool TripleProgEnb[TMoney::did_NumIDs];
  bool TripleProgAllowed[TMoney::did_NumIDs];
  bool RoyalsProgEnb[TMoney::did_NumIDs];
  bool RoyalsProgAllowed[TMoney::did_NumIDs];
  bool PowerHouseProgEnb[TMoney::did_NumIDs];
  bool PowerHouseProgAllowed[TMoney::did_NumIDs];
  bool RaiseDrawJokerPokerEnb[TMoney::did_NumIDs];
  bool RaiseDrawJokerPokerAllowed[TMoney::did_NumIDs];
  bool SpadeBonusEnb[TMoney::did_NumIDs];
  bool SpadeBonusAllowed[TMoney::did_NumIDs];
  bool SuperDJackpotEnb[TMoney::did_NumIDs];
  bool SuperDJackpotAllowed[TMoney::did_NumIDs];
  bool SevensWild1JokerEnb[TMoney::did_NumIDs];
  bool SevensWild1JokerAllowed[TMoney::did_NumIDs];
  bool TensOrBetterEnb[TMoney::did_NumIDs];
  bool TensOrBetterAllowed[TMoney::did_NumIDs];
  bool TreasureTroveEnb[TMoney::did_NumIDs];
  bool TreasureTroveAllowed[TMoney::did_NumIDs];
  bool TriplePlayEnb[TMoney::did_NumIDs];
  bool TriplePlayAllowed[TMoney::did_NumIDs];
  bool TripleBonusEnb[TMoney::did_NumIDs];
  bool TripleBonusAllowed[TMoney::did_NumIDs];
  bool WheelDealEnb[TMoney::did_NumIDs];
  bool WheelDealAllowed[TMoney::did_NumIDs];

  bool CrystalPalaceAllowed[TMoney::did_NumIDs];
  bool CrystalPalaceEnb[TMoney::did_NumIDs];
  bool SuperSevensAllowed[TMoney::did_NumIDs];
  bool SuperSevensEnb[TMoney::did_NumIDs];
public:
  TACVPMenuEnable(bool setvalues = true);
  virtual ~TACVPMenuEnable();
  virtual void SetAll(bool value);
  virtual void SetModes(bool value = true);
  void SetAllEnb(bool value);
  void SetValidAllowed();
  void SetAllAllowed(bool value);
  bool GetModeFlags(int16 gt,int16 sgt,int16 did);
  bool GetModeEnb(int16 gt,int16 sgt,int16 did);
  void SetModeEnb(int16 gt,int16 sgt,int16 did,bool flag = true);
};
//*******************************************************************
class TACVPGameFW:public TCasinoGameFrameWindow
{
public:
  virtual void NotifyDenomSwitch(TMoney denom);
  TMoney ModeDenom;  // set by switchxxx, used by createmodewindow
  int16 ModeGameType;
  int16 ModeSubGameType;
  TACVPGameFW(TACVPApp *pacvpapp,const char *szTitle);
  virtual ~TACVPGameFW();
  virtual TWindow *CreateModeWindow(int16 ModeIndex);
  virtual int GetAboutID();
  virtual int GetMenuID();
  void DoMenu();
  virtual void SwitchGameModes(int16 modeindex);
  virtual void SwitchGameModes(string &name) {SwitchGameModes(GetModeIndex(name));}
protected:
  void SetIniModeDenom();
  void GetIniModeDenom();

  void SwitchModesID(word id,word sid);
  TACVPMenuEnable *GetACVPMenuEnable() {return (TACVPMenuEnable *)GetCasMenuEnable();}
  virtual void CreateMenuEnable();
  virtual void SetupModeIDS();
  virtual void SetupModeStrings();
  virtual void SetupModeIndexes();

  void CmGameLobby();
  void CeGameLobby(TCommandEnabler &enabler);

  bool SwitchModeDenom(int16 modeid,TMoney money);
  void EnableCheckMenu(TCommandEnabler &ce,bool enable,int16 modeids);

  bool SwitchACVPVPMode(int16 sgt,string strmodename,int16 mi,int16 ids,int16 did);
  bool SwitchVPModeDefDenom(int16 sgt,
                            const string &strmode,
                            int16 mi,int16 ids);

  bool SwitchACVPSlotsMode(int16 sgt,string strmodename,int16 mi,int16 ids,int16 did);
  bool SwitchSlotsModeDefDenom(int16 sgt,const string &strmode,int16 mi,int16 ids);
  // start of slot modes
  string strCrystalPalace;
  int16 idsCrystalPalace,miCrystalPalace;
  void CmCrystalPalace_Def();
  void CmCrystalPalace_25c();
  void CeCrystalPalace_25c(TCommandEnabler &ce);
  void CmCrystalPalace_1();
  void CeCrystalPalace_1(TCommandEnabler &ce);
  void CmCrystalPalace_10();
  void CeCrystalPalace_10(TCommandEnabler &ce);
  void CmCrystalPalace_100();
  void CeCrystalPalace_100(TCommandEnabler &ce);
  void CmCrystalPalace_1000();
  void CeCrystalPalace_1000(TCommandEnabler &ce);

  string strSuperSevens;
  int16 idsSuperSevens,miSuperSevens;
  void CmSuperSevens_Def();
  void CmSuperSevens_5c();
  void CeSuperSevens_5c(TCommandEnabler &ce);
  void CmSuperSevens_25c();
  void CeSuperSevens_25c(TCommandEnabler &ce);
  void CmSuperSevens_1();
  void CeSuperSevens_1(TCommandEnabler &ce);
  void CmSuperSevens_25();
  void CeSuperSevens_25(TCommandEnabler &ce);
  void CmSuperSevens_500();
  void CeSuperSevens_500(TCommandEnabler &ce);

  // start of new modes.
  string strFivesUp;
  int16 idsFivesUp;
  int16 miFivesUp;
//  bool SwitchFivesUp(int16 did);
  void CmFivesUp_Def();
  void CmFivesUp_25c();
  void CeFivesUp_25c(TCommandEnabler &ce);
  void CmFivesUp_1();
  void CeFivesUp_1(TCommandEnabler &ce);
  void CmFivesUp_50();
  void CeFivesUp_50(TCommandEnabler &ce);
  void CmFivesUp_100();
  void CeFivesUp_100(TCommandEnabler &ce);

  string strBlackJacks;
  int16 idsBlackJacks,miBlackJacks;
//  bool SwitchBlackJacks(int16 did);
  void CmBlackJacks_Def();
  void CmBlackJacks_10();
  void CeBlackJacks_10(TCommandEnabler &ce);
  void CmBlackJacks_50();
  void CeBlackJacks_50(TCommandEnabler &ce);
  void CmBlackJacks_100();
  void CeBlackJacks_100(TCommandEnabler &ce);
  void CmBlackJacks_1000();
  void CeBlackJacks_1000(TCommandEnabler &ce);

  string strBonusDeluxe;
  int16 idsBonusDeluxe,miBonusDeluxe;
//  bool SwitchBonusDeluxe(int16 did);
  void CmBonusDeluxe_Def();
  void CmBonusDeluxe_25c();
  void CeBonusDeluxe_25c(TCommandEnabler &ce);
  void CmBonusDeluxe_1();
  void CeBonusDeluxe_1(TCommandEnabler &ce);
  void CmBonusDeluxe_5();
  void CeBonusDeluxe_5(TCommandEnabler &ce);
  void CmBonusDeluxe_10();
  void CeBonusDeluxe_10(TCommandEnabler &ce);
  void CmBonusDeluxe_25();
  void CeBonusDeluxe_25(TCommandEnabler &ce);

  string strClubBonus;
  int16 idsClubBonus,miClubBonus;
//  bool SwitchClubBonus(int16 did);
  void CmClubBonus_Def();
  void CmClubBonus_5();
  void CeClubBonus_5(TCommandEnabler &ce);
  void CmClubBonus_100();
  void CeClubBonus_100(TCommandEnabler &ce);
  void CmClubBonus_500();
  void CeClubBonus_500(TCommandEnabler &ce);

  string strCrazy8s;
  int16 idsCrazy8s,miCrazy8s;
//  bool SwitchCrazy8s(int16 did);
  void CmCrazy8s_Def();
  void CmCrazy8s_1();
  void CeCrazy8s_1(TCommandEnabler &ce);
  void CmCrazy8s_5();
  void CeCrazy8s_5(TCommandEnabler &ce);
  void CmCrazy8s_10();
  void CeCrazy8s_10(TCommandEnabler &ce);
  void CmCrazy8s_1000();
  void CeCrazy8s_1000(TCommandEnabler &ce);

  string strDDrawJacksOrBetter;
  int16 idsDDrawJacksOrBetter,miDDrawJacksOrBetter;
//  bool SwitchDDrawJacksOrBetter(int16 did);
  void CmDDrawJacksOrBetter_Def();
  void CmDDrawJacksOrBetter_25c();
  void CeDDrawJacksOrBetter_25c(TCommandEnabler &ce);
  void CmDDrawJacksOrBetter_1();
  void CeDDrawJacksOrBetter_1(TCommandEnabler &ce);
  void CmDDrawJacksOrBetter_10();
  void CeDDrawJacksOrBetter_10(TCommandEnabler &ce);
  void CmDDrawJacksOrBetter_50();
  void CeDDrawJacksOrBetter_50(TCommandEnabler &ce);
  void CmDDrawJacksOrBetter_1000();
  void CeDDrawJacksOrBetter_1000(TCommandEnabler &ce);

  string strDDrawJokerPoker;
  int16 idsDDrawJokerPoker,miDDrawJokerPoker;
//  bool SwitchDDrawJokerPoker(int16 did);
  void CmDDrawJokerPoker_Def();
  void CmDDrawJokerPoker_1();
  void CeDDrawJokerPoker_1(TCommandEnabler &ce);
  void CmDDrawJokerPoker_5();
  void CeDDrawJokerPoker_5(TCommandEnabler &ce);
  void CmDDrawJokerPoker_10();
  void CeDDrawJokerPoker_10(TCommandEnabler &ce);
  void CmDDrawJokerPoker_25();
  void CeDDrawJokerPoker_25(TCommandEnabler &ce);
  void CmDDrawJokerPoker_500();
  void CeDDrawJokerPoker_500(TCommandEnabler &ce);

  string strDDownStud;
  int16 idsDDownStud,miDDownStud;
//  bool SwitchDDownStud(int16 did);
  void CmDDownStud_Def();
  void CmDDownStud_25c();
  void CeDDownStud_25c(TCommandEnabler &ce);
  void CmDDownStud_1();
  void CeDDownStud_1(TCommandEnabler &ce);
  void CmDDownStud_5();
  void CeDDownStud_5(TCommandEnabler &ce);
  void CmDDownStud_50();
  void CeDDownStud_50(TCommandEnabler &ce);
  void CmDDownStud_100();
  void CeDDownStud_100(TCommandEnabler &ce);

  string strDeucesWildBonus;
  int16 idsDeucesWildBonus,miDeucesWildBonus;
//  bool SwitchDeucesWildBonus(int16 did);
  void CmDeucesWildBonus_Def();
  void CmDeucesWildBonus_25c();
  void CeDeucesWildBonus_25c(TCommandEnabler &ce);
  void CmDeucesWildBonus_1();
  void CeDeucesWildBonus_1(TCommandEnabler &ce);
  void CmDeucesWildBonus_25();
  void CeDeucesWildBonus_25(TCommandEnabler &ce);
  void CmDeucesWildBonus_1000();
  void CeDeucesWildBonus_1000(TCommandEnabler &ce);

  string strDeucesWild;
  int16 idsDeucesWild,miDeucesWild;
//  bool SwitchDeucesWild(int16 did);
  void CmDeucesWild_Def();
  void CmDeucesWild_5c();
  void CeDeucesWild_5c(TCommandEnabler &ce);
  void CmDeucesWild_10c();
  void CeDeucesWild_10c(TCommandEnabler &ce);
  void CmDeucesWild_25c();
  void CeDeucesWild_25c(TCommandEnabler &ce);
  void CmDeucesWild_1();
  void CeDeucesWild_1(TCommandEnabler &ce);
  void CmDeucesWild_5();
  void CeDeucesWild_5(TCommandEnabler &ce);
  void CmDeucesWild_25();
  void CeDeucesWild_25(TCommandEnabler &ce);
  void CmDeucesWild_100();
  void CeDeucesWild_100(TCommandEnabler &ce);

  string strDeucesWildProg;
  int16 idsDeucesWildProg,miDeucesWildProg;
//  bool SwitchDeuceWildProg(int16 did);
  void CmDeucesWildProg_Def();
  void CmDeucesWildProg_5c();
  void CeDeucesWildProg_5c(TCommandEnabler &ce);
  void CmDeucesWildProg_1();
  void CeDeucesWildProg_1(TCommandEnabler &ce);
  void CmDeucesWildProg_5();
  void CeDeucesWildProg_5(TCommandEnabler &ce);

  string strDiamondBonus;
  int16 idsDiamondBonus,miDiamondBonus;
//  bool SwitchDiamondBonus(int16 did);
  void CmDiamondBonus_Def();
  void CmDiamondBonus_10c();
  void CeDiamondBonus_10c(TCommandEnabler &ce);
  void CmDiamondBonus_25c();
  void CeDiamondBonus_25c(TCommandEnabler &ce);
  void CmDiamondBonus_10();
  void CeDiamondBonus_10(TCommandEnabler &ce);
  void CmDiamondBonus_25();
  void CeDiamondBonus_25(TCommandEnabler &ce);
  void CmDiamondBonus_50();
  void CeDiamondBonus_50(TCommandEnabler &ce);

  string strDBonusPoker;
  int16 idsDBonusPoker,miDBonusPoker;
//  bool SwitchDBonusPoker(int16 did);
  void CmDBonusPoker_Def();
  void CmDBonusPoker_5c();
  void CeDBonusPoker_5c(TCommandEnabler &ce);
  void CmDBonusPoker_10c();
  void CeDBonusPoker_10c(TCommandEnabler &ce);
  void CmDBonusPoker_25c();
  void CeDBonusPoker_25c(TCommandEnabler &ce);
  void CmDBonusPoker_1();
  void CeDBonusPoker_1(TCommandEnabler &ce);
  void CmDBonusPoker_100();
  void CeDBonusPoker_100(TCommandEnabler &ce);

  string strFlushAssault;
  int16 idsFlushAssault,miFlushAssault;
//  bool SwitchFlushAssault(int16 did);
  void CmFlushAssault_Def();
  void CmFlushAssault_1();
  void CeFlushAssault_1(TCommandEnabler &ce);
  void CmFlushAssault_25();
  void CeFlushAssault_25(TCommandEnabler &ce);
  void CmFlushAssault_100();
  void CeFlushAssault_100(TCommandEnabler &ce);
  void CmFlushAssault_500();
  void CeFlushAssault_500(TCommandEnabler &ce);
  void CmFlushAssault_1000();
  void CeFlushAssault_1000(TCommandEnabler &ce);

  string strFreeLook;
  int16 idsFreeLook,miFreeLook;
//  bool SwitchFreeLook(int16 did);
  void CmFreeLook_Def();
  void CmFreeLook_25c();
  void CeFreeLook_25c(TCommandEnabler &ce);
  void CmFreeLook_1();
  void CeFreeLook_1(TCommandEnabler &ce);
  void CmFreeLook_1000();
  void CeFreeLook_1000(TCommandEnabler &ce);

  string strGamblersEdge;
  int16 idsGamblersEdge,miGamblersEdge;
//  bool SwitchGamblersEdge(int16 did);
  void CmGamblersEdge_Def();
  void CmGamblersEdge_100();
  void CeGamblersEdge_100(TCommandEnabler &ce);
  void CmGamblersEdge_500();
  void CeGamblersEdge_500(TCommandEnabler &ce);
  void CmGamblersEdge_1000();
  void CeGamblersEdge_1000(TCommandEnabler &ce);

  string strHeartBonus;
  int16 idsHeartBonus,miHeartBonus;
//  bool SwitchHeartBonus(int16 did);
  void CmHeartBonus_Def();
  void CmHeartBonus_5c();
  void CeHeartBonus_5c(TCommandEnabler &ce);
  void CmHeartBonus_10c();
  void CeHeartBonus_10c(TCommandEnabler &ce);
  void CmHeartBonus_25c();
  void CeHeartBonus_25c(TCommandEnabler &ce);
  void CmHeartBonus_1();
  void CeHeartBonus_1(TCommandEnabler &ce);

  string strJacksOrBetterProg;
  int16 idsJacksOrBetterProg,miJacksOrBetterProg;
//  bool SwitchJacksOrBetterProg(int16 did);
  void CmJacksOrBetterProg_Def();
  void CmJacksOrBetterProg_10c();
  void CeJacksOrBetterProg_10c(TCommandEnabler &ce);
  void CmJackOrBetterProg_25c();
  void CeJackOrBetterProg_25c(TCommandEnabler &ce);
  void CmJacksOrBetterProg_1();
  void CeJacksOrBetterProg_1(TCommandEnabler &ce);
  void CmJacksOrBetterProg_5();
  void CeJacksOrBetterProg_5(TCommandEnabler &ce);
  void CmJacksOrBetterProg_50();
  void CeJacksOrBetterProg_50(TCommandEnabler &ce);

  string strJackpotBonus;
  int16 idsJackpotBonus,miJackpotBonus;
//  void SwitchJackpotBonus(int16 did);
  void CmJackpotBonus_Def();
  void CmJackpotBonus_1();
  void CeJackpotBonus_1(TCommandEnabler &ce);

  string strJacksOrBetter96;
  int16 idsJacksOrBetter96,miJacksOrBetter96;
  void CmJacksOrBetter96_Def();
  void CmJacksOrBetter96_25c();
  void CeJacksOrBetter96_25c(TCommandEnabler &ce);
  void CmJacksOrBetter96_1();
  void CeJacksOrBetter96_1(TCommandEnabler &ce);
  void CmJacksOrBetter96_5();
  void CeJacksOrBetter96_5(TCommandEnabler &ce);
  void CmJacksOrBetter96_50();
  void CeJacksOrBetter96_50(TCommandEnabler &ce);
  void CmJacksOrBetter96_100();
  void CeJacksOrBetter96_100(TCommandEnabler &ce);
  void CmJacksOrBetter96_500();
  void CeJacksOrBetter96_500(TCommandEnabler &ce);
  void CmJacksOrBetter96_1000();
  void CeJacksOrBetter96_1000(TCommandEnabler &ce);

  string strJacksOrBetter85;
  int16 idsJacksOrBetter85,miJacksOrBetter85;
//  bool SwitchJacksOrBetter85(int16 did);
  void CmJacksOrBetter85_Def();
  void CmJacksOrBetter85_5c();
  void CeJacksOrBetter85_5c(TCommandEnabler &ce);
  void CmJacksOrBetter85_10c();
  void CeJacksOrBetter85_10c(TCommandEnabler &ce);
  void CmJacksOrBetter85_25c();
  void CeJacksOrBetter85_25c(TCommandEnabler &ce);
  void CmJacksOrBetter85_1();
  void CeJacksOrBetter85_1(TCommandEnabler &ce);
  void CmJacksOrBetter85_5();
  void CeJacksOrBetter85_5(TCommandEnabler &ce);
  void CmJacksOrBetter85_10();
  void CeJacksOrBetter85_10(TCommandEnabler &ce);
  void CmJacksOrBetter85_25();
  void CeJacksOrBetter85_25(TCommandEnabler &ce);
  void CmJacksOrBetter85_50();
  void CeJacksOrBetter85_50(TCommandEnabler &ce);
  void CmJacksOrBetter85_100();
  void CeJacksOrBetter85_100(TCommandEnabler &ce);
  void CmJacksOrBetter85_500();
  void CeJacksOrBetter85_500(TCommandEnabler &ce);
  void CmJacksOrBetter85_1000();
  void CeJacksOrBetter85_1000(TCommandEnabler &ce);

  string strJacksOrBetterDNothing;
  int16 idsJacksOrBetterDNothing,miJacksOrBetterDNothing;
//  bool SwitchJacksOrBetterDNothing(int16 did);
  void CmJacksOrBetterDNothing_Def();
  void CmJacksOrBetterDNothing_25c();
  void CeJacksOrBetterDNothing_25c(TCommandEnabler &ce);
  void CmJacksOrBetterDNothing_1();
  void CeJacksOrBetterDNothing_1(TCommandEnabler &ce);
  void CmJacksOrBetterDNothing_5();
  void CeJacksOrBetterDNothing_5(TCommandEnabler &ce);
  void CmJacksOrBetterDNothing_25();
  void CeJacksOrBetterDNothing_25(TCommandEnabler &ce);
  void CmJacksOrBetterDNothing_100();
  void CeJacksOrBetterDNothing_100(TCommandEnabler &ce);

  string strJokersWildProg;
  int16 idsJokersWildProg,miJokersWildProg;
//  bool SwitchJokersWildProg(int16 did);
  void CmJokersWildProg_Def();
  void CmJokersWildProg_5c();
  void CeJokersWildProg_5c(TCommandEnabler &ce);
  void CmJokersWildProg_25c();
  void CeJokersWildProg_25c(TCommandEnabler &ce);
  void CmJokersWildProg_1();
  void CeJokersWildProg_1(TCommandEnabler &ce);
  void CmJokersWildProg_100();
  void CeJokersWildProg_100(TCommandEnabler &ce);

  string strJumpinJokers;
  int16 idsJumpinJokers,miJumpinJokers;
//  bool SwitchJumpinJokers(int16 did);
  void CmJumpinJokers_Def();
  void CmJumpinJokers_5();
  void CeJumpinJokers_5(TCommandEnabler &ce);
  void CmJumpinJokers_50();
  void CeJumpinJokers_50(TCommandEnabler &ce);

  string strTripleProg;
  int16 idsTripleProg,miTripleProg;
//  bool SwitchTripleProg(int16 did);
  void CmTripleProg_Def();
  void CmTripleProg_5c();
  void CeTripleProg_5c(TCommandEnabler &ce);
  void CmTripleProg_25c();
  void CeTripleProg_25c(TCommandEnabler &ce);
  void CmTripleProg_1();
  void CeTripleProg_1(TCommandEnabler &ce);
  void CmTripleProg_10();
  void CeTripleProg_10(TCommandEnabler &ce);

  string strRoyalsProg;
  int16 idsRoyalsProg,miRoyalsProg;
//  bool SwitchRoyalsProg(int16 did);
  void CmRoyalsProg_Def();
  void CmRoyalsProg_10c();
  void CeRoyalsProg_10c(TCommandEnabler &ce);
  void CmRoyalsProg_1();
  void CeRoyalsProg_1(TCommandEnabler &ce);
  void CmRoyalsProg_25();
  void CeRoyalsProg_25(TCommandEnabler &ce);

  string strPowerHouseProg;
  int16 idsPowerHouseProg,miPowerHouseProg;
//  bool SwitchPowerHouseProg(int16 did);
  void CmPowerHouseProg_Def();
  void CmPowerHouseProg_25c();
  void CePowerHouseProg_25c(TCommandEnabler &ce);
  void CmPowerHouseProg_1();
  void CePowerHouseProg_1(TCommandEnabler &ce);
  void CmPowerHouseProg_50();
  void CePowerHouseProg_50(TCommandEnabler &ce);

  string strRaiseDrawJokerPoker;
  int16 idsRaiseDrawJokerPoker,miRaiseDrawJokerPoker;
//  bool SwitchRaiseDrawJokerPoker(int16 did);
  void CmRaiseDrawJokerPoker_Def();
  void CmRaiseDrawJokerPoker_25c();
  void CeRaiseDrawJokerPoker_25c(TCommandEnabler &ce);
  void CmRaiseDrawJokerPoker_1();
  void CeRaiseDrawJokerPoker_1(TCommandEnabler &ce);
  void CmRaiseDrawJokerPoker_10();
  void CeRaiseDrawJokerPoker_10(TCommandEnabler &ce);
  void CmRaiseDrawJokerPoker_100();
  void CeRaiseDrawJokerPoker_100(TCommandEnabler &ce);
  void CmRaiseDrawJokerPoker_500();
  void CeRaiseDrawJokerPoker_500(TCommandEnabler &ce);

  string strSpadeBonus;
  int16 idsSpadeBonus,miSpadeBonus;
//  bool SwitchSpadeBonus(int16 did);
  void CmSpadeBonus_Def();
  void CmSpadeBonus_5c();
  void CeSpadeBonus_5c(TCommandEnabler &ce);
  void CmSpadeBonus_25c();
  void CeSpadeBonus_25c(TCommandEnabler &ce);
  void CmSpadeBonus_5();
  void CeSpadeBonus_5(TCommandEnabler &ce);

  string strSuperDJackpot;
  int16 idsSuperDJackpot,miSuperDJackpot;
//  bool SwitchSuperDJackpot(int16 did);
  void CmSuperDJackpot_Def();
  void CmSuperDJackpot_25c();
  void CeSuperDJackpot_25c(TCommandEnabler &ce);
  void CmSuperDJackpot_1();
  void CeSuperDJackpot_1(TCommandEnabler &ce);
  void CmSuperDJackpot_100();
  void CeSuperDJackpot_100(TCommandEnabler &ce);

  string strSevensWild1Joker;
  int16 idsSevensWild1Joker,miSevensWild1Joker;
//  bool SwitchSevensWild1Joker(int16 did);
  void CmSevensWild1Joker_Def();
  void CmSevensWild1Joker_5();
  void CeSevensWild1Joker_5(TCommandEnabler &ce);
  void CmSevensWild1Joker_25();
  void CeSevensWild1Joker_25(TCommandEnabler &ce);
  void CmSevensWild1Joker_1000();
  void CeSevensWild1Joker_1000(TCommandEnabler &ce);

  string strTensOrBetter;
  int16 miTensOrBetter;
  int16 idsTensOrBetter;
//  bool SwitchTensOrBetter(int16 did);
  void CmTensOrBetter_Def();
  void CmTensOrBetter_5c();
  void CeTensOrBetter_5c(TCommandEnabler &ce);
  void CmTensOrBetter_10c();
  void CeTensOrBetter_10c(TCommandEnabler &ce);
  void CmTensOrBetter_25c();
  void CeTensOrBetter_25c(TCommandEnabler &ce);
  void CmTensOrBetter_1();
  void CeTensOrBetter_1(TCommandEnabler &ce);
  void CmTensOrBetter_50();
  void CeTensOrBetter_50(TCommandEnabler &ce);

  string strTreasureTrove;
  int16 idsTreasureTrove,miTreasureTrove;
//  bool SwitchTreasureTrove(int16 did);
  void CmTreasureTrove_Def();
  void CmTreasureTrove_1();
  void CeTreasureTrove_1(TCommandEnabler &ce);
  void CmTreasureTrove_100();
  void CeTreasureTrove_100(TCommandEnabler &ce);
  void CmTreasureTrove_1000();
  void CeTreasureTrove_1000(TCommandEnabler &ce);

  string strTriplePlay;
  int16 idsTriplePlay,miTriplePlay;
//  bool SwitchTriplePlay(int16 did);
  void CmTriplePlay_Def();
  void CmTriplePlay_25c();
  void CeTriplePlay_25c(TCommandEnabler &ce);
  void CmTriplePlay_1();
  void CeTriplePlay_1(TCommandEnabler &ce);
  void CmTriplePlay_25();
  void CeTriplePlay_25(TCommandEnabler &ce);
  void CmTriplePlay_500();
  void CeTriplePlay_500(TCommandEnabler &ce);

  string strTripleBonus;
  int16 idsTripleBonus,miTripleBonus;
//  bool SwitchTripleBonus(int16 did);
  void CmTripleBonus_Def();
  void CmTripleBonus_25c();
  void CeTripleBonus_25c(TCommandEnabler &ce);
  void CmTripleBonus_50();
  void CeTripleBonus_50(TCommandEnabler &ce);

  string strWheelDeal;
  int16 idsWheelDeal,miWheelDeal;
//  bool SwitchWheelDeal(int16 did);
  void CmWheelDeal_Def();
  void CmWheelDeal_1();
  void CeWheelDeal_1(TCommandEnabler &ce);
  void CmWheelDeal_10();
  void CeWheelDeal_10(TCommandEnabler &ce);
  void CmWheelDeal_1000();
  void CeWheelDeal_1000(TCommandEnabler &ce);

  DECLARE_RESPONSE_TABLE(TACVPGameFW);
};
//*******************************************************************
#endif