//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvplmw.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/14/99   M.Perry     original baseline
//********************************************************************
#if !defined(__acvplmw_h)
#define __acvplmw_h

#include "caslmw.h"
//*******************************************************************
class TACVPLobbyModeWin:public TLobbyModeWin
{
protected:
  bool fCheckPaydays;

protected:
  int16 ModeSubGameType;
  int16 ModeDenomID;
  int16 idsGameLord,idsHuman0;
  string strGameLord,strHuman0;

public:
  TACVPLobbyModeWin(string modename,TPal *PPal,string title = "Lobby");
  virtual ~TACVPLobbyModeWin();
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual int GetCreditsBmpID();
  virtual void Update(dword fuc);
  virtual void ResumeUpdates();
  virtual TGameObject *CreateGObj(TFileMode &fm,int16 id,void *psource);

protected:
  void CmCreditLine();
  void CeCreditLine(TCommandEnabler &ce);
  
  virtual void SetupGObjIDS();
  virtual void SetupGObjStrings();

  DECLARE_RESPONSE_TABLE(TACVPLobbyModeWin);
};
//*******************************************************************
#endif