//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpsmw.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/16/99    M.Perry     original baseline
//********************************************************************
#if !defined(__acvpsmw_h)
#define __acvpsmw_h

#include "cassmw.h"
class TACVPSlotsGameLord;
//*******************************************************************
class TACVPSlotsModeWin:public TSlotsModeWin
{
protected:
  int16 ModeSubGameType;
  int16 ModeDenomID;
  int16 idsGameLord,idsHuman0;
  string strGameLord,strHuman0;

public:
  TACVPSlotsModeWin(string modename,TPal *PPal,int16 sgt,int16 did,
              string title = "Aver Cardoza's Video Poker Bonus Slots Machine");
  virtual ~TACVPSlotsModeWin();
  virtual string GetDetName();
  virtual int GetMenuID();

  virtual void SetupGObjIDS();
  virtual void SetupGObjStrings();
  virtual TGameObject *CreateGObj(TFileMode &fm,int16 id,void *psource);

  TACVPSlotsGameLord *GetACVPSlotsGameLord() {return (TACVPSlotsGameLord *)GetCasGameLord();}
};
//*******************************************************************
#endif