//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpvpmw.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    09/28/99    M.Perry    original baseline
//********************************************************************
#if !defined(__acvpvpmw_h)
#define __acvpvpmw_h

#include "casvpmw.h"
//*******************************************************************
class TACVPVPModeWin:public TVideoPokerModeWin
{
protected:
  int16 ModeSubGameType;
  int16 ModeDenomID;
  int16 idsGameLord,idsHuman0;
  string strGameLord,strHuman0;

public:
  TACVPVPModeWin(string modename,TPal *ppal,int16 sgt,int16 denomid,
                 string title = "Cardoza Entertainment's Video Poker");
  virtual ~TACVPVPModeWin();
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual void SetupGObjIDS();
  virtual void SetupGObjStrings();
  virtual TGameObject *CreateGObj(TFileMode &fm,int16 id,void *psource);
};
//*******************************************************************
#endif