//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvsposp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry      original baseline
//********************************************************************
#if !defined(__acvsposp_h)
#define __acvsposp_h

#include "osprite.h"
//*******************************************************************
class TACVPSlotsCoinPay : public TSprite
{
protected:
  TAnm *PCoinPay[8];
  TWav *PWavs[7];

public:
  TACVPSlotsCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPSlotsCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPSlotsCoinPay();
  void ClearTray();
  void StopSounds();
  void SetTray(int32 num);
  void PlayDrop(int16 numcoins);
  void PlayDump();
  
protected:
  void PlaySound(int16 Sound);
  void SetupAnms();
};
//*******************************************************************
#endif