//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bet4num.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/18/95   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _bet4num_h
#define _bet4num_h

#include "crbssp.h"
//*******************************************************************
class TBet4Num : public TRBetSpot
{
public:
  int16 num1;
  int16 num2;
  int16 num3;
  int16 num4;
  TBet4Num(int16 Num1,int16 Num2,int16 Num3,int16 Num4,TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code);
  TBet4Num(int16 Num1,int16 Num2,int16 Num3,int16 Num4,TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code);
  virtual ~TBet4Num();
  virtual bool Winner(int16 WinNum);
  virtual bool Winner(int16 WinNum,int16 Player);
  virtual int32 Odds();
};
//*******************************************************************
#endif