//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betblack.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/18/95   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _betblack_h
#define _betblack_h

#include "crbssp.h"
//*******************************************************************
class TBetBlack : public TRBetSpot
{
public:
  TBetBlack(TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code);
  TBetBlack(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code);
  virtual ~TBetBlack();
  virtual bool Winner(int16 WinNum);
  virtual bool Winner(int16 WinNum,int16 Player);
  virtual int32 Odds();
};
//*******************************************************************
#endif