//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betrange.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/18/95   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _betrange_h
#define _betrange_h
#include "crbssp.h"
//*******************************************************************
class TBetRange : public TRBetSpot
{
public:
  int16 lowrange,highrange;
  TBetRange(int16 Num1,int16 Num2,TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 code);
  TBetRange(int16 Num1,int16 Num2,TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource,int16 code);
  virtual ~TBetRange();
  virtual bool Winner(int16 WinNum);
  virtual bool Winner(int16 WinNum,int16 Player)
  {
    return TRBetSpot::Winner(WinNum,Player);
  }
  virtual int32 Odds();
};
//*******************************************************************
#endif