//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjact2St.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/24/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjact2st_h
#define __bjact2st_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJAct2State : public TBJLordState
{
public:
  dword       StartingFUC;
  dword       FUCLength;
  int16      remove,show;
  bool       WaitOnDealerRemoveCards;
  bool       FinishDealerRemoveCards;
  bool        WaitOnSkit;
  bool        Start1;
  bool        Start2;
  bool        Start3;
  bool        Start4;
  bool        Start5;
  bool        Start6;
  bool        Start7;
  bool        Start8;

public:
  TBJAct2State(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJAct2State();
  virtual void EndSubState1();
  virtual void EndSubState2();
  virtual void EndSubState3();
  virtual void EndSubState6();
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
  virtual void CreateSubState4();
  virtual void CreateSubState5();
  virtual void CreateSubState6();
  virtual void HandlePostUpdate(dword NewFUC);
  void LookToNextPlayer(int16 from);
  TBJLookFromTo NextPlayer(int16 from);
};
//*******************************************************************
#endif