//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjfdst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/24/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjfdst_h
#define __bjfdst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJFirstDealState : public TBJLordState
{
public:
  dword       StartingFUC;
  dword       FUCLength;
  bool        WaitOnSkit;
  bool        Start6;
  bool        Start7;
  bool        Start8;

public:
  TBJFirstDealState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJFirstDealState();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
  virtual void CreateSubState4();
  virtual void CreateSubState5();
  virtual void CreateSubState6();
  virtual void CreateSubState7();
  virtual void CreateSubState8();
  virtual void EndSubState5();
  virtual void EndSubState6();
  virtual void EndSubState7();
  virtual void HandlePostUpdate(dword NewFUC);
  bool BJCom(int16 Spot);
};
//*******************************************************************
#endif