//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjinitst.h    // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/24/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjinitst_h
#define __bjinitst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TInitBJState : public TBJLordState
{
public:
  bool  WaitOnSkit;
  dword StartingFUC,FUCLength;

public:
  TInitBJState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TInitBJState();
  virtual void ExecuteFirstTime();
  virtual void RecommendSibling();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif