//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjisst.h    // insure state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/16/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjisst_h
#define __bjisst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJInsureState : public TBJLordState
{
public:
  int16 insureto;
  dword StartingFUC;
  dword FUCLength;
  bool  askexpertflag;
  bool  WaitOnSkit;
  bool  WaitOnChips;
  bool  WaitOnEvenMoney;
  TBJInsureState(TCasinoBJGameLord *pNewBJLord,int16 InsureTo);
  virtual ~TBJInsureState();

  TResponder *ClearNoInsureStandResponder;
  TResponder *SameYesInsureHitResponder;
  TResponder *AskExpertResponder;
  TResponder *MenuEscResponder;

  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);

  virtual bool HandleClearNoInsureStand(TResponder &responder);
  virtual bool HandleSameYesInsureHit(TResponder &responder);
  virtual bool HandleAskExpert(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);

  virtual void  CreateSubState1();
  virtual void  CreateSubState2();
  virtual void  CreateSubState3();
  TBJLookFromTo Looking(int16 lookingat,int16 lookto);
};
//*******************************************************************
#endif