//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjpist.h    // pay insure state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/16/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjpist_h
#define __bjpist_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJPayInsureState : public TBJLordState
{
public:
  int16   payinsureto;
  int16   discards;
  dword StartingFUC;
  dword FUCLength;
  bool  WaitOnSkit;
  TBJPayInsureState(TCasinoBJGameLord *pNewBJLord,int16 PayInsureTo);
  virtual ~TBJPayInsureState();

  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);

  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
};
//*******************************************************************
#endif