//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjpst.h    // push state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/16/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjpst_h
#define __bjpst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJPushState : public TBJLordState
{
public:
  int16   pushto;
  dword StartingFUC;
  dword FUCLength;
  TBJPushState(TCasinoBJGameLord *pNewBJLord,int16 PushTo);
  virtual ~TBJPushState();

  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);

  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
};
//*******************************************************************
#endif