//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cassmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/14/95    M.Perry     original baseline
//  2.0    09/02/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__cashsmw_h)
#define __cashsmw_h

#include "casmw.h"
class TCasinoHSGameLord;
//*******************************************************************
class CASOWLCLASS THunSlotsModeWin:public TCasinoModeWin
{
public:
  TMoney StartDenom;

public:
  THunSlotsModeWin(string modename,TPal *PPal,TMoney Denom,string title = "Cardoza Entertainment's 100 Slots");
  virtual ~THunSlotsModeWin();
  virtual bool SwitchDenom(TMoney &Denom);
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual void CreateGroupGaugeDlg();

  void CmOptions50Credits();
  void CeOptions50Credits(TCommandEnabler &enabler);
  void CmOptions100Credits();
  void CeOptions100Credits(TCommandEnabler &enabler);
  void CmOptions200Credits();
  void CeOptions200Credits(TCommandEnabler &enabler);

  TCasinoHSGameLord *GetHunSlotsGameLord() {return (TCasinoHSGameLord *)GetCasGameLord();} 
};
//*******************************************************************
#endif