//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caskmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    10/13/95    M.Perry     original baseline
//  2.0    09/17/978   M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#if !defined(__caskmw_h)
#define __caskmw_h

#include "casmw.h"
#include "ckglord.h"
#include "ckplay.h"
//*******************************************************************
class CASOWLCLASS TKenoModeWin:public TCasinoModeWin
{
public:
  TKenoModeWin(string modename,TPal *PPal,
					string title = "Cardoza Entertainment's Keno");
  virtual ~TKenoModeWin();
  TCasinoKGameLord *GetKLord() {return ((TCasinoKGameLord *)pLord);}
  TCasinoKPlayer *GetKPlayer(int16 slotnum) {return ((TCasinoKPlayer *)GObj[slotnum]);}
  virtual void ResumeUpdates();
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual void CreateGroupGaugeDlg();
};
//*******************************************************************
#endif