//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casrmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    10/13/95    M.Perry     original baseline
//  2.0    09/18/97    M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#if !defined(__casrmw_h)
#define __casrmw_h

#include "casmw.h"
#include "crglord.h"
#include "crplay.h"
//*******************************************************************
class CASOWLCLASS TRouletteModeWin:public TCasinoModeWin
{
public:
  TRouletteModeWin(string modename,TPal *PPal,
						 string title = "Cardoza Entertainment's Roulette");
  virtual ~TRouletteModeWin();
  TCasinoRGameLord *GetRLord() {return ((TCasinoRGameLord *)pLord);}
  TCasinoRPlayer *GetRPlayer(int slotnum) {return ((TCasinoRPlayer *)GObj[slotnum]);}
  virtual string GetDetName();
  virtual int GetMenuID();
};
//*******************************************************************
#endif
