//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjplay.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/15/95   M.Perry    original baseline
//  2.0     09/23/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__cbjplay_h)
#define __cbjplay_h

#include "casplay.h"
#include "bjhand.h"
//*******************************************************************
class TCasinoBJPlayer:public TCasinoPlayer
{
public:
  bool    DubDown;
  THand   *pHand1;
  THand   *pHand2;
  THand   *pHand3;
  THand   *pHand4;
  THand   *pHand5;
  THand   *pHand6;
  THand   *pHand0;
  TMoney   coinsplayed;
  TMoney   coinsplayedhand1;
  TMoney   coinsplayedhand2;
  TMoney	  coinsplayedhand3;
  TMoney	  coinsplayedhand4;
  TMoney	  coinsplayedhand5;
  TMoney	  coinsplayedhand6;
  TMoney	  coinsplayedhand0;
  int16	  numsplitshand1;
  int16	  numsplitshand3;
  int16	  numsplitshand5;

  TMoney     lastbet;
  int16      hand2owner;
  int16   	  hand4owner;

public:
  TCasinoBJPlayer(TOgleModeWindow *PNewOwnerWindow,TFileMode NewFileMode,int16 activeslotnum);
  virtual ~TCasinoBJPlayer();
  virtual void Activate(dword StartFUC = 0);
  virtual void DeActivate();
};
//*******************************************************************
#endif
