//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ccredgld.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/16/96   M.Perry    original baseline
//  2.0     09/17/97   M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#if !defined(__ccredgld_h)
#define __ccredgld_h

#include "casglord.h"

class TCreditsModeWin;
//*******************************************************************
class TCreditsGameLord:public TCasinoGameLord
{
protected:
  TCasinoModeWin *PCasinoModeWin;
  TSprite *PSprite0;
  TSprite *PSprite1;
  dword StillStart;
  dword StillStop;
  dword Start1;
  dword EndFUC;
  int16 StillAnmIndex;
public:
  TCreditsGameLord(TCreditsModeWin *pmodewin,const TFileMode &fm);
  virtual ~TCreditsGameLord();
  TResponder *PBigResponder;
  virtual bool Respond(TResponder &responder);
  virtual bool Respond(int16 id,int16 info = 0,void *pdata = NULL)
  {
    return TCasinoGameLord::Respond(id,info,pdata);
  }
  virtual void Update(dword fuc);
  virtual void SetupSprites();
};
//*******************************************************************
#endif