//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  ccrmst.h    // remove bets
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     3/28/95   A. Krist    Original baseline
//  2.0    09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _ccrmst_h
#define _ccrmst_h

#include "ccglord.h"
#include "cclordst.h"
//*******************************************************************
class TCRemoveState : public TCLordState
{
public:
  bool        QuickKick;
  TResponder *BetSpotResponder;
  TResponder *Button1Responder;
  TCRemoveState(TCasinoCGameLord *pNewCLord);
  virtual ~TCRemoveState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleBetSpot(TResponder &responder,int16 Spot);
  virtual bool HandleNamePlate(TResponder &responder){return true;}

  virtual bool HandleButton1(TResponder &responder);
};
//*******************************************************************
#endif