//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  circlesp.h    //Circle
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist    original baseline
//  2.0    09/23/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__circlesp_h)
#define __circlesp_h

#include "osprite.h"
//*******************************************************************
class TCircle : public TSprite
{
public:
  TAnm           *PPlayer;
  void NoShowCircle();
  void SetupAnms();
  TCircle(TOgleModeWindow *pmw,TFileMode NewFileMode);
  TCircle(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource);
  virtual ~TCircle();
  void SetCircle(int16 Player,int16 Spot);
  void SetPart(int16 Player,int16 Spot);
};
//*******************************************************************
#endif