//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  crpost.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/28/96   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _crpost_h
#define _crpost_h

#include "crglord.h"
#include "crlordst.h"
//*******************************************************************
class TRPayOutState : public TRLordState
{
public:
  TRPayOutState(TCasinoRGameLord *pNewRLord,int16 BSpot,int16 Slot);
  virtual ~TRPayOutState();
  bool  WaitOnResult;
  bool  WaitOnSound;
  dword StartingFUC;
  dword FUCLength;
  int16 BetSpot;
  int16 Player;

  virtual void ExecuteFirstTime();

  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif