//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hsla1st.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/28/97   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _hsla1st_h
#define _hsla1st_h

#include "hslglord.h"
#include "hsllst.h"
//*******************************************************************
class THSLAct1State : public THSLLordState
{
public:
  THSLAct1State(TCasinoHSLGameLord *pNewHSLLord);
  ~THSLAct1State();
  bool WaitOnSpin;
  int StopReelTime;
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void EndSubState1();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif