//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hswhsp.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/26/97    A.Krist     original baseline
//  2.0    09/04/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__hswhsp_h)
#define __hswhsp_h

#include "osprite.h"
//*******************************************************************
class THSWinHighLight : public TSprite
{
public:
  TAnm *PTitle;
  TWav *PWaves[8];
  int16   CurrentSound;
  bool  WaveStarted;

  THSWinHighLight(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  THSWinHighLight(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~THSWinHighLight();
  virtual void Update(dword NewFUC);
  void SetupAnms();
  void PlaySound(int16 sound);
  bool IsWaveStopped();
  void StopAll();
};
//*******************************************************************
#endif
