//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  llordst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _llordst_h
#define _llordst_h

#include "ostate.h"
#include "clglord.h"

class TCasinoLGameLord;
class TResponder;
//*******************************************************************
class TLLordState : public TState
{
public:
  TCasinoLGameLord *pOwnerLord;
  TLLordState(TCasinoLGameLord *pNewLLord);
  virtual ~TLLordState();

 virtual void HandleUpdate(dword NewFUC);

 bool Lobby(TResponder &responder);
 virtual bool HandleLobby(TResponder &responder);

 bool SpeedClick(TResponder &responder);
 virtual bool HandleSpeedClick(TResponder &responder);
};
//*******************************************************************
#endif