//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  sact2St.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _sact2st_h
#define _sact2st_h

#include "csglord.h"
#include "slordst.h"
//*******************************************************************
class TSAct2State : public TSLordState
{
public:
  TResponder *MenuEscResponder;
  TResponder *AskExpertResponder;
  bool askexpertflag;

public:
  TSAct2State(TCasinoSGameLord *pNewSLord);
  virtual ~TSAct2State();
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleAskExpert(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);
};
//*******************************************************************
#endif