//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  treagld.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/05/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__treagld_h)
#define __treagld_h

#include "hsglord.h"
//*******************************************************************
class TTreaGameLord:public TCasinoHSGameLord
{
public:
  TTreaGameLord(THunSlotsModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TTreaGameLord();
  virtual void CycleDenom();
  virtual TMoney PayOut();
  virtual TMoney PayLine1();
  virtual TMoney PayLine2();
  virtual TMoney PayLine3();
  virtual TMoney PayLine4();
  virtual TMoney PayLine5();
  virtual void SetReel();
  virtual void SetupSprites();
  virtual void CleanupSprites();
};
//*******************************************************************
#endif
