//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  tycomw.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/5/95   A.Krist     original baseline
//  2.0     09/08/97  M.Perry     32-bit conversion.
//  2.2     06/11/99  M.Perry     stop deriving from TGObjList,
//                                TMoney ambiguity problems.
//********************************************************************
#if !defined(__tycomw_h)
#define __tycomw_h

#include "cashsmw.h"
//*******************************************************************
class CASOWLCLASS TTycoModeWin:public THunSlotsModeWin
{
public:
  TTycoModeWin(string modename,TPal *PPal,TMoney Denom,string title = "Tyco $");
  virtual ~TTycoModeWin();
  virtual string GetDetName();
//  virtual void MakeGObjList();
//  virtual void InitGObjLists();
  virtual TGameObject *CreateGObj(TFileMode &fm,int16 id,void *psource);
};
//*******************************************************************
#endif