//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  VPAct1St.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _vpact1st_h
#define _vpact1st_h

//#include "cvpglord.h"
#include "accvpgld.h"
#include "vplordst.h"
//*******************************************************************
class TVPAct1State : public TVPLordState
{
public:
//  TVPAct1State(TCasinoVPGameLord *pNewVPLord);
  TVPAct1State(TACCVPGLord *pNewVPLord);
  virtual ~TVPAct1State();
  dword DelayFUC;
  bool WaitOnTray;
  bool IgnoreCoach;
  TResponder *Bet1Responder;
  TResponder *CashOutResponder;
  TResponder *BetMaxResponder;
  TResponder *DealDrawResponder;
  TResponder *MenuEscResponder;
  TResponder *AskExpertResponder;

  TResponder *OneChipResponder;
  TResponder *FiveChipResponder;
  TResponder *TwentyFiveChipResponder;
  TResponder *OneHundredChipResponder;
  TResponder *OneThouChipResponder;
  TResponder *TenThouChipResponder;

  TResponder *AddCoinResponder;

  int16 WaitingOnWRCounter;
  bool askexpertflag;
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState2();
  virtual bool HandleAddCoin(TResponder &responder);
  virtual bool HandleOneChip(TResponder &responder);
  virtual bool HandleFiveChip(TResponder &responder);
  virtual bool HandleTwentyFiveChip(TResponder &responder);
  virtual bool HandleOneHundredChip(TResponder &responder);
  virtual bool HandleOneThouChip(TResponder &responder);
  virtual bool HandleTenThouChip(TResponder &responder);
  virtual bool HandleBet1(TResponder &responder);
  virtual bool HandleAskExpert(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);
  virtual bool HandleBetMax(TResponder &responder);
  virtual bool HandleCashOut(TResponder &responder);
  virtual bool HandleDealDraw(TResponder &responder);
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleNamePlate(TResponder &responder);
};
//*******************************************************************
#endif

