//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//                        
//       File Name:  accmain.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/13/97    M.Perry     modified app & fw hierarchy.
//  2.0    09/17/97    M.Perry     32-bit conversion.
//  2.2    06/08/99    M.Perry
//********************************************************************
#include "caccapp.h"
//#include "omisc.h"
#include "ofilenam.h"
//*******************************************************************
int OwlMain(int /*argc*/,char *argv[])
{
  string HDDrive,HDDir,AppName,AppHDString,HDExt;
  AppHDString = argv[0];
// MRP - 06/09/99 - ver2.2 - should have been modified long ago.
//  SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);
  TOgleFileName::SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);

  int AppResult = -1;
  try
  {
     TCasACCApp *PApp = new TCasACCApp(HDDrive,HDDir,AppName);
     if (PApp->Initialize())
     {
       AppResult = PApp->Run();
     }
     delete PApp;
  }
  catch (xmsg& x)
  {
    ::MessageBox(0,x.why().c_str(),"Exception",MB_OK);
  }
  return AppResult;
}
//*******************************************************************
