//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bet.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/8/95   A. Krist    Original baseline
//*******************************************************************
#include "bet.h"
TBet::TBet()
{
  int i=0;
  payoff = 0;
  onoff  = 0;//off
  for(i=0;i<38;i++)
  {
	 arrayofbets[i] = 0;
  }
}
//*******************************************************************
TBet::~TBet()
{
  int i=0;
  payoff = 0;
  for(i=0;i<38;i++)
  {
	 arrayofbets[i] = 0;
  }
}
//*******************************************************************
TBet::Win(int x)
{
  if(arrayofbets[x])
  {
	 cout << "Win $" << arrayofbets[x] * payoff << endl;
	 return  (arrayofbets[x] * payoff) + payoff;
  }
  return 0;
}
//*******************************************************************
TBet::Odds(int x,int y,int pay)
{
  int total=0;
  total = (pay/y)*x;
  total += pay%y;
  return total;
}
