//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  bj1mw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/13/95    M.Perry    original baseline
//  2.0     09/23/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "bj1mw.h"
//#include "bj1glist.h"
#include "casnames.rh"
#include "cbjnames.rh"
#include "bj1gld.h"
#include "cbjplay.h"
//*******************************************************************
TBJ1ModeWin::TBJ1ModeWin(string modename,TPal *PPal,int16 numdecks,string title)
:TBlackJackModeWin(modename,PPal,numdecks,title)
{
}
//*******************************************************************
TBJ1ModeWin::~TBJ1ModeWin()
{
}
//*******************************************************************
//void TBJ1ModeWin::MakeGObjList()
//{
//  PGObjList = new TBJ1GObjList(this);
//}
//*******************************************************************
//void TBJ1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoBJPlayer *)GetGObjPtr(TAppString(IDS_H1_BJ1));
//  GObj[1] = (TCasinoBJPlayer *)GetGObjPtr(TAppString(IDS_H2_BJ1));
//  GObj[2] = (TCasinoBJPlayer *)GetGObjPtr(TAppString(IDS_H3_BJ1));
//
//  pLord = (TCasinoBJGameLord *)GetGObjPtr(TAppString(IDS_GL_BJ1));
//
//  if (pLord == NULL)   {GObjError("BlackJack Game Lord",TAppString(IDS_GL_BJ1));}
//  if (GObj[0] == NULL) {GObjError("BlackJack Human 1",TAppString(IDS_H1_BJ1));}
//  if (GObj[1] == NULL) {GObjError("BlackJack Human 2",TAppString(IDS_H2_BJ1));}
//  if (GObj[2] == NULL) {GObjError("BlackJack Human 3",TAppString(IDS_H3_BJ1));}
//}
//*******************************************************************
TGameObject *TBJ1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == GetResString(IDS_GL_BJ1))
  {
    pLord = new TBJ1GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_BJ1))
  {
    GObj[0] = new TCasinoBJPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_BJ1))
  {
    GObj[1] = new TCasinoBJPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_BJ1))
  {
    GObj[2] = new TCasinoBJPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
    return new TGameObject(this,fm);
  }
}
//*******************************************************************
