//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cbjplay.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//  1.01    10/4/95   A. Krist    "windowize"
//  1.02    10/16/95  M.Perry     casinoized
//*******************************************************************
#include "cbjplay.h"

//*******************************************************************
TCasinoBJPlayer::TCasinoBJPlayer(TOgleModeWindow *PNewModeWindow,TFileMode NewFileMode,
                                 int16 activeslotnum)
  :TCasinoPlayer(PNewModeWindow,NewFileMode,activeslotnum)
{
  DubDown = false;
  pHand1 = NULL;
  pHand2 = NULL;
  pHand3 = NULL;
  pHand4 = NULL;
  pHand5 = NULL;
  pHand6 = NULL;
  pHand0 = NULL;
  coinsplayedhand1 = 0;
  coinsplayedhand2 = 0;
  coinsplayedhand3 = 0;
  coinsplayedhand4 = 0;
  coinsplayedhand5 = 0;
  coinsplayedhand6 = 0;
  coinsplayedhand0 = 0;
  coinsplayed      = 0;
  numsplitshand1   = 0;
  numsplitshand3   = 0;
  numsplitshand5   = 0;
  lastbet          = 5;
  hand2owner=0;
  hand4owner=0;
}
//*******************************************************************
TCasinoBJPlayer::~TCasinoBJPlayer()
{
  if(pHand1 != NULL)
  {
	 delete pHand1;
	 pHand1 = NULL;
  }
  if(pHand2 != NULL)
  {
	 delete pHand2;
	 pHand2 = NULL;
  }
  if(pHand3 != NULL)
  {
	 delete pHand3;
	 pHand3 = NULL;
  }
  if(pHand4 != NULL)
  {
	 delete pHand4;
	 pHand4 = NULL;
  }
  if(pHand5 != NULL)
  {
	 delete pHand5;
	 pHand5 = NULL;
  }
  if(pHand6 != NULL)
  {
	 delete pHand6;
	 pHand6 = NULL;
  }
  if(pHand0 != NULL)
  {
	 delete pHand0;
	 pHand0 = NULL;
  }
  coinsplayedhand1 = 0;
  coinsplayedhand2 = 0;
  coinsplayedhand3 = 0;
  coinsplayedhand4 = 0;
  coinsplayedhand5 = 0;
  coinsplayedhand6 = 0;
  coinsplayedhand0 = 0;
  coinsplayed      = 0;
  hand2owner=0;
  hand4owner=0;
}
//*******************************************************************
void TCasinoBJPlayer::Activate(dword StartFUC)
{
  TCasinoPlayer::Activate(StartFUC);
  // setup session.
  coinsplayedhand1=0;
  coinsplayedhand2=0;
  coinsplayedhand3=0;
  coinsplayedhand4=0;
  coinsplayedhand5=0;
  coinsplayedhand6=0;
  coinsplayedhand0=0;
  numsplitshand1=0;
  numsplitshand3=0;
  numsplitshand5=0;
  lastbet=0;
  coinsplayed=0;
  hand2owner=0;
  hand4owner=0;
}
//*******************************************************************
void TCasinoBJPlayer::DeActivate()
{
  // cleanup session.
  TCasinoPlayer::DeActivate();
  coinsplayedhand1=0;
  coinsplayedhand2=0;
  coinsplayedhand3=0;
  coinsplayedhand4=0;
  coinsplayedhand5=0;
  coinsplayedhand6=0;
  coinsplayedhand0=0;
  numsplitshand1=0;
  numsplitshand3=0;
  numsplitshand5=0;
  lastbet=0;
  coinsplayed=0;
  hand2owner=0;
  hand4owner=0;
}
//*******************************************************************

