//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  castate.cpp    // Clear Actions
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/30/95   A. Krist    Original baseline
//*******************************************************************
#include "castate.h"
#include "gamelord.h"
#include <iostream.h>

TCAState::TCAState(TGLord *pNewGLord)
	: TGLordState(pNewGLord)
{
 // cout << "CAState constructor" << endl;
}
TCAState::~TCAState()
{
 // cout << "CAState destructor" << endl;
}
//*******************************************************************
void TCAState::RecommendSibling()
{
	Status = ss_DoneRecom7;
}
//*******************************************************************
void TCAState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TGLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TCAState::ExecuteFirstTime()
{
 // cout << "Clear Actions" << endl;   // Clear Actions
  pOwnerLord->ClearActions();
 // pOwnerLord->GetActions();
  ExecuteStatus    = ess_Done;

}