//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cgbetst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "cgbetst.h"
#include "clord.h"
#include <iostream.h>

TGetCBetState::TGetCBetState(TCLord *pNewCLord)
	: TCLordState(pNewCLord)
{
 // cout << "GAState constructor" << endl;
}
TGetCBetState::~TGetCBetState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TGetCBetState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TGetCBetState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TGetCBetState::ExecuteFirstTime()
{
  cout << "Get bet state" << endl;
  pOwnerLord->game = pOwnerLord->GetBet();
  ExecuteStatus    = ess_Done;

}