//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cclearst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "cclearst.h"
#include "clord.h"
#include <iostream.h>

TCClearState::TCClearState(TCLord *pNewCLord)
	: TCLordState(pNewCLord)
{
 // cout << "CClearState constructor" << endl;
}
TCClearState::~TCClearState()
{
 // cout << "CClearState destructor" << endl;
}
//*******************************************************************
void TCClearState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TCClearState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TCClearState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->FinalClear();
  ExecuteStatus    = ess_Done;

}