//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cwinst.cpp    // Craps Win State
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "cwinst.h"
#include "clord.h"
#include <iostream.h>

TCWinState::TCWinState(TCLord *pNewCLord)
	: TCLordState(pNewCLord)
{
 // cout << "CWinState constructor" << endl;
}
TCWinState::~TCWinState()
{
 // cout << "CWinState destructor" << endl;
}
//*******************************************************************
void TCWinState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TCWinState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TCWinState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->Winner();
  if(pOwnerLord->marker == 0)
  {
	 pOwnerLord->marker  = pOwnerLord->dice1+pOwnerLord->dice2+2;
	 pOwnerLord->comeout = 0;
  }
  if(pOwnerLord->dice1+pOwnerLord->dice2+2 == 7)
  {
	 pOwnerLord->marker  = 0;
	 pOwnerLord->comeout = 1;
  }
  ExecuteStatus    = ess_Done;

}