//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  crbssp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    03/23/96    A.Krist     moved inline functions into .cpp file.
//  2.0    09/18/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ccbssp.h"
#include "oanm.h"
//*******************************************************************
#pragma argsused
int16 TCBetSpot::MessCode(int16 player)
{
  return MessageCode;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::TrueOdds(TMoney amount,int16 winnum)
{
  return 0l;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::TrueOdds(TMoney amount,int16 winnum,int16 slot)
{
  return TrueOdds(amount,winnum);
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::GetBSFreeOdds(int16 slot)
{
  return 0l;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::ReturnFree(int16 slot,int16 dice1,int16 dice2)
{
  return 0l;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::ReturnFreeOdds(int16 slot)
{
  return 0l;
}
//*******************************************************************
#pragma argsused
void TCBetSpot::AddCome(int16 slot,TMoney amount)
{
}
//*******************************************************************
#pragma argsused
bool TCBetSpot::Winner(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
{
  return false;
}
//*******************************************************************
#pragma argsused
bool TCBetSpot::Winner(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut,
                       bool Buy4n10,bool Buy5n9,bool Buy6n8,bool ComeFreeOdds,
                       bool DoNotComeFreeOdds,bool BuyPlaceOn,bool HardWaysOn)
{
  return Winner(FirstDice,SecondDice,Point,ComeOut);
}
//*******************************************************************
#pragma argsused
bool TCBetSpot::Loser(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
{
  return false;
}
//*******************************************************************
#pragma argsused
bool TCBetSpot::Loser(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut,
                      bool Buy4n10,bool Buy5n9,bool Buy6n8,bool ComeFreeOdds,
                      bool DoNotComeFreeOdds,bool BuyPlaceOn,bool HardWaysOn)
{
  return Loser(FirstDice,SecondDice,Point,ComeOut);
}
//*******************************************************************
int32 TCBetSpot::Odds()
{
  return 0;
}
//*******************************************************************
void TCBetSpot::ShowSpark()
{
  if(BetAmount[2] > 0l)
  {
	 PSpark->CAD.SetX(PChips[2][0]->CAD.GetX());
	 PSpark->CAD.SetCurrentFrame(2);
	 PSpark->CAD.SetY(TopCY);
	 PSpark->CAD.SetZ(TopCZ);
	 PSpark->Show();
  }
  else if(BetAmount[1] > 0l)
  {
	 PSpark->CAD.SetX(PChips[1][0]->CAD.GetX());
	 PSpark->CAD.SetCurrentFrame(1);
	 PSpark->CAD.SetY(TopBY);
	 PSpark->CAD.SetZ(TopBZ);
	 PSpark->Show();
  }
  else if(BetAmount[0] > 0l)
  {
	 PSpark->CAD.SetX(PChips[0][0]->CAD.GetX());
	 PSpark->CAD.SetCurrentFrame(0);
	 PSpark->CAD.SetY(TopAY);
	 PSpark->CAD.SetZ(TopAZ);
	 PSpark->Show();
  }
  else
  {
	 PSpark->NoShow();
  }
  Update(GetAdjFUC());
}
//*******************************************************************
void TCBetSpot::ShowFreeOddsSpark(int16 slot)
{
  if(slot == 2)
  {
	 PSpark->CAD.SetX(PChips[2][0]->CAD.GetX());
	 PSpark->CAD.SetCurrentFrame(2);
	 PSpark->CAD.SetY(TopCY);
	 PSpark->CAD.SetZ(TopCZ);
	 PSpark->Show();
  }
  else if(slot == 1)
  {
	 PSpark->CAD.SetX(PChips[1][0]->CAD.GetX());
	 PSpark->CAD.SetCurrentFrame(1);
	 PSpark->CAD.SetY(TopBY);
	 PSpark->CAD.SetZ(TopBZ);
	 PSpark->Show();
  }
  else if(slot == 0)
  {
	 PSpark->CAD.SetX(PChips[0][0]->CAD.GetX());
	 PSpark->CAD.SetCurrentFrame(0);
	 PSpark->CAD.SetY(TopAY);
	 PSpark->CAD.SetZ(TopAZ);
	 PSpark->Show();
  }
  else
  {
	 PSpark->NoShow();
  }
  Update(GetAdjFUC());
}
//*******************************************************************
void TCBetSpot::NoShowSpark()
{
 PSpark->NoShow();
}
//*******************************************************************
TMoney TCBetSpot::GetBSCash(int16 slot)
{
  return BetAmount[slot];
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::SubBSCash(int16 slot,bool comeout)
{
  TMoney temp=0l;
  temp = BetAmount[slot];
  BetAmount[slot] = 0l;
  SetNum();
  return temp;
}
//*******************************************************************
#pragma argsused
void TCBetSpot::ClearGlowChips(int16 slot)
{
}
//*******************************************************************
#pragma argsused
bool TCBetSpot::IsValidAdd(int16 slot,TMoney amount,bool comeout,int16 point)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TCBetSpot::IsValidRemove(int16 slot,TMoney amount,bool comeout,int16 point)
{
  return true;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::AddBSCash(int16 slot,TMoney amount,bool comeout,int16 point)
{
  BetAmount[slot] += amount;
  SetNum();
  return 0l;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::AddBSCash(int16 slot,TMoney amount,bool comeout,int16 point,bool flag)
{
  BetAmount[slot] += amount;
  SetNum();
  return 0l;
}
//*******************************************************************
bool TCBetSpot::HasBSBet(int16 slot)
{
  if(BetAmount[slot]> 0l)
  {
	 return 1;
  }
  else
  {
	 return 0l;
  }
}
//*******************************************************************
bool TCBetSpot::IsBSBet()
{
  if(BetAmount[0] > 0l || BetAmount[1] > 0l || BetAmount[2] > 0l )
  {
	 return 1;
  }
  else
  {
	 return 0l;
  }
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::WinBSCash(int16 slot,int16 winnum)
{
  TMoney x=0l;
	 x = (BetAmount[slot]*Odds())+BetAmount[slot];
	 BetAmount[slot] = 0l;
	 return x;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::WinBSPayOff(int16 slot,int16 winnum)
{
  TMoney x=0l;
	 x = BetAmount[slot]*Odds();
	 return x;
}
//*******************************************************************
#pragma argsused
TMoney TCBetSpot::StatWinBSCash(int16 slot,int16 winnum)
{
  TMoney x=0l;
	 x = (BetAmount[slot]*Odds())+BetAmount[slot];
	 return x;
}
//*******************************************************************
void TCBetSpot::ClearSpot()
{
  BetAmount[0] = 0l;
  BetAmount[1] = 0l;
  BetAmount[2] = 0l;
  NoShow();
}
//*******************************************************************
void TCBetSpot::SetSpot()
{
  if(BetAmount[0] == 0l && BetAmount[1] == 0l && BetAmount[2] == 0l)
  {
	 NoShow();
  }
}
//*******************************************************************
void TCBetSpot::SetupAnms()
{
  for(int16 j=0;j<3;j++)
  {
	 for (int16 i=0;i<6;i++)
	 {
		PChips[j][i] = GetAnm(int16(i+(j*6)));
		if (PChips[j][i] == NULL) {AnmError("CBetSpot","Chips",int16(i+(j*6)));}
		PChips[j][i]->CAD.ClearAutoStart();
		PChips[j][i]->CAD.ClearAutoStop();
		PChips[j][i]->CAD.SetDirStill();
	 }
  }
  PSpark = GetAnm(18);
  PSpark->CAD.ClearAutoStart();
  PSpark->CAD.ClearAutoStop();
  PSpark->CAD.SetDirStill();

  PChits[0] = GetAnm(19);
  if (PChits[0] == NULL) {AnmError("CBetSpot","Chits",19);}
  PChits[0]->CAD.ClearAutoStart();
  PChits[0]->CAD.ClearAutoStop();
  PChits[0]->CAD.SetDirStill();

  PChits[1] = GetAnm(20);
  if (PChits[1] == NULL) {AnmError("CBetSpot","Chits",20);}
  PChits[1]->CAD.ClearAutoStart();
  PChits[1]->CAD.ClearAutoStop();
  PChits[1]->CAD.SetDirStill();

  PChits[2] = GetAnm(21);
  if (PChits[2] == NULL) {AnmError("CBetSpot","Chits",21);}
  PChits[2]->CAD.ClearAutoStart();
  PChits[2]->CAD.ClearAutoStop();
  PChits[2]->CAD.SetDirStill();

  TopY = PChips[0][0]->SAD.GetY();
  TopZ = PChips[0][0]->SAD.GetZ();
}
//*******************************************************************
TCBetSpot::TCBetSpot(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 messagecode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  MessageCode = messagecode;
  NotFound = false;
  BetAmount[0] = 0l;
  BetAmount[1] = 0l;
  BetAmount[2] = 0l;
  NoShow();
  SetupAnms();
  TopAY = -1;
  TopBY = -1;
  TopCY = -1;
  TopAZ = -1;
  TopBZ = -1;
  TopCZ = -1;
}
//********************************************************************
TCBetSpot::TCBetSpot(TOgleModeWindow *pmw,const TFileMode &fm,void *psource,int16 messagecode)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  MessageCode = messagecode;
  NotFound = false;
  BetAmount[0] = 0l;
  BetAmount[1] = 0l;
  BetAmount[2] = 0l;
  NoShow();
  SetupAnms();
  TopAY = -1;
  TopBY = -1;
  TopCY = -1;
  TopAZ = -1;
  TopBZ = -1;
  TopCZ = -1;
}
 //*******************************************************************
TCBetSpot::~TCBetSpot()
{
}
//*******************************************************************
void TCBetSpot::NoShowChips()
{
  for(int16 j=0;j<3;j++)
  {
	 for(int16 i=0;i<6;i++)
	 {
		PChips[j][i]->NoShow();
	 }
  }
}
//*******************************************************************
void TCBetSpot::SetNum()
{
  if (NotFound) {return;}
  int16 xoffset,yoffset,zoffset,i;
  int32 num;
  yoffset   = PChips[0][0]->SAD.GetY();
  zoffset   = PChips[0][0]->SAD.GetZ();
  xoffset   = PChips[0][0]->SAD.GetX();
	for(i=0;i<3;i++)
  {
	 if(xoffset != PChips[i][0]->SAD.GetX())
	 {
		yoffset = PChips[i][0]->SAD.GetY();
		zoffset = PChips[i][0]->SAD.GetZ();
	 }
	 num = (int32)BetAmount[i];
	 if(num == 0){PChits[i]->NoShow();}
	 num = num%100001l;
	 zoffset += i;
	 int32 tenthous = num / 10000;
	 int32 tenthousvalue = tenthous * 10000;
	 int32 thous = (num - tenthousvalue) / 1000;
	 int32 thousvalue = thous * 1000;
	 int32 huns = (num - tenthousvalue - thousvalue) / 100;
	 int32 hunsvalue = huns * 100;
	 int32 twfive = (num - tenthousvalue - thousvalue - hunsvalue) / 25;
	 int32 twfivevalue = twfive * 25;
	 int32 fives = (num - tenthousvalue - thousvalue - hunsvalue - twfivevalue) / 5;
	 int32 fivesvalue = fives * 5;
	 int32 ones = (num - tenthousvalue - thousvalue - hunsvalue - twfivevalue - fivesvalue);


	 if (tenthous)
	 {
		PChips[i][5]->CAD.SetY(yoffset);
		PChips[i][5]->CAD.SetZ(zoffset);

		PChips[i][5]->CAD.SetCurrentFrame(int16(tenthous - 1));
		PChips[i][5]->Show();
	 }
	 else {PChips[i][5]->NoShow();}
	 yoffset -= int16(2*tenthous);
	 zoffset += int16(tenthous);

	 if (thous)
	 {
		PChips[i][4]->CAD.SetY(yoffset);
		PChips[i][4]->CAD.SetZ(zoffset);

		PChips[i][4]->CAD.SetCurrentFrame(int16(thous - 1));
		PChips[i][4]->Show();
	 }
	 else {PChips[i][4]->NoShow();}
	 yoffset -= int16(2*thous);
	 zoffset += int16(thous);

	 if (huns)
	 {
		PChips[i][3]->CAD.SetY(yoffset);
		PChips[i][3]->CAD.SetZ(zoffset);

		PChips[i][3]->CAD.SetCurrentFrame(int16(huns - 1));
		PChips[i][3]->Show();
	 }
	 else {PChips[i][3]->NoShow();}
	 yoffset -= int16(2*huns);
	 zoffset += int16(huns);

	 if (twfive)
	 {
		PChips[i][2]->CAD.SetY(yoffset);
		PChips[i][2]->CAD.SetZ(zoffset);

		PChips[i][2]->CAD.SetCurrentFrame(int16(twfive - 1));
		PChips[i][2]->Show();
	 }
	 else {PChips[i][2]->NoShow();}
	 yoffset -= int16(2*twfive);
	 zoffset += int16(twfive);

	 if (fives)
	 {
		PChips[i][1]->CAD.SetY(yoffset);
		PChips[i][1]->CAD.SetZ(zoffset);

		PChips[i][1]->CAD.SetCurrentFrame(int16(fives - 1));
		PChips[i][1]->Show();
	 }
	 else {PChips[i][1]->NoShow();}
	 yoffset -= int16(2*fives);
	 zoffset += int16(fives);

	 if (ones)
	 {
		PChips[i][0]->CAD.SetY(yoffset);
		PChips[i][0]->CAD.SetZ(zoffset);

		PChips[i][0]->CAD.SetCurrentFrame(int16(ones - 1));
		PChips[i][0]->Show();
	 }
	 else {PChips[i][0]->NoShow();}
	 yoffset -= int16(2*ones);
	 zoffset += int16(ones);

	 if(i==0)
	 {TopAY = yoffset;TopAZ = zoffset;}
	 else if(i==1)
	 {TopBY = yoffset;TopBZ = zoffset;}
	 else if(i==2)
	 {TopCY = yoffset;TopCZ = zoffset;}
	 TopY = yoffset;
	 TopZ = zoffset;
  }
  Update(GetAdjFUC());

}
//*******************************************************************