//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjinitst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "ccinitst.h"
#include "ccglord.h"
//*******************************************************************
TInitCState::TInitCState(TCasinoCGameLord *pNewCLord)
:TCLordState(pNewCLord)
{
 StartingFUC = 0;
 FUCLength = 0;
}
//*******************************************************************
TInitCState::~TInitCState()
{
}
//*******************************************************************
void TInitCState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TInitCState::ExecuteFirstTime()
{
  pOwnerLord->InitCraps();
 // pOwnerLord->activeplayer = 0;
  ExecuteWaiting = true;
  ExecuteStatus  = ess_Execute;
//  StartingFUC    = pOwnerLord->POwnerWindow->GetAdjFUC() + 1; // give manual sprites a chance to load.
  StartingFUC = pOwnerLord->GetAdjFUC() + 1;
  pOwnerLord->SetBodyIdle();
  pOwnerLord->GreetPlayers(StartingFUC,FUCLength);
  pOwnerLord->Puck->SetNum(0);
}
//*******************************************************************
void TInitCState::HandlePostUpdate(dword NewFUC)
{
  if ((StartingFUC + FUCLength) <= NewFUC)
  {
	 ExecuteWaiting = false;
  }
}
//*******************************************************************
