//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  fcstate.cpp     // Final Clear
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/30/95   A. Krist    Original baseline
//*******************************************************************
#include "fcstate.h"              // Final Clear
#include "gamelord.h"
#include <iostream.h>

TFCState::TFCState(TGLord *pNewGLord)
	: TGLordState(pNewGLord)
{
 // cout << "FCState constructor" << endl;
}
TFCState::~TFCState()
{
 // cout << "FCState destructor" << endl;
}
//*******************************************************************
void TFCState::RecommendSibling()
{
	Status = ss_DoneRecom7;
}
//*******************************************************************
void TFCState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TGLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TFCState::ExecuteFirstTime()
{
 // cout << "Final Clear" << endl;   // Final Clear
  pOwnerLord->FinalClear();
  ExecuteStatus    = ess_Done;

}