//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  firstdeal.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "fdstate.h"
#include "gamelord.h"
#include <iostream.h>

TFDState::TFDState(TGLord *pNewGLord)
	: TGLordState(pNewGLord)
{
 // cout << "FDState constructor" << endl;
}
TFDState::~TFDState()
{
 // cout << "FDState destructor" << endl;
}
//*******************************************************************
void TFDState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TFDState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TGLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TFDState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->pDeck->FirstDeal(pOwnerLord->pMWin);
  ExecuteStatus    = ess_Done;

}