//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  goldmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "goldmw.h"

#include "hsnames.rh"
//#include "goldgl.h"
#include "goldgld.h"
#include "hsplay.h"
//*******************************************************************
TGoldModeWin::TGoldModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TGoldModeWin::~TGoldModeWin()
{
}
//*******************************************************************
//void TGoldModeWin::MakeGObjList()
//{
//  PGObjList = new TGoldGObjList(this);
//}
//*******************************************************************
string TGoldModeWin::GetDetName()
{
  return string("b1gold.det");
}
//*******************************************************************
//void TGoldModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("b1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("b1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","b1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","b1humn01");}
//}
//*******************************************************************
TGameObject *TGoldModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_GOLD))
    {
      pLord = new TGoldGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_GOLD))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************