//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hsact2st.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//  2.0     09/04/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "hsact2st.h"
#include "hsglord.h"
#include "hswinst.h"

#include "otimers.h"
#include "orespond.h"
//*******************************************************************
THSAct2State::THSAct2State(TCasinoHSGameLord *pNewHSLord)
:THSLordState(pNewHSLord)
{
  SetRunOrder(ess_Execute,ess_StartSubState2,ess_Done);
}
//*******************************************************************
THSAct2State::~THSAct2State()
{
}
//*******************************************************************
void THSAct2State::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
}
//*******************************************************************
void THSAct2State::CreateSubState1()
{
  //PActiveSubState = new TSDrawState(pOwnerLord);
}
//*******************************************************************
void THSAct2State::CreateSubState2()
{
  PActiveSubState = new THSWinState(pOwnerLord);
}
//*******************************************************************

