//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsintmw.cpp
//    Project Name:  HunSlots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     7/7/97     M.Perry    original baseline
//  2.0    09/09/97    M.Perry    32-bit conversion.
//  2.3    06/26/99    M.Perry    filename mod's
//  2.4    09/12/99    M.Perry    SetupGObjs() addition.
//********************************************************************
#include "hsintmw.h"
//#include "hsintgl.h"
//#include "obmpmono.h"
#include "hsmenu.rh"
#include "hsintgld.h"
//*******************************************************************
THSIntroModeWin::THSIntroModeWin(string modename,TPal *ppal,string title)
:TCasinoModeWin(modename,ppal,title)
{
  UseBmpMono = true;
  MonoColorNDX = 0;
  ShowWindowBeforeGObjList = false;
}
//*******************************************************************
THSIntroModeWin::~THSIntroModeWin()
{
}
//*******************************************************************
//void THSIntroModeWin::MakeGObjList()
//{
//  PGObjList = new THSIntroGObjList(this);
//}
//*******************************************************************
//TBmp *THSIntroModeWin::MakeBG()
//{
//  TBmp *pbmp;
//  TOgleRect rect(int16(Attr.X),int16(Attr.Y),int16(Attr.W),int16(Attr.H));
//  pbmp = new TBmpMono(this,rect,0);
//  return pbmp;
//}
//*******************************************************************
int THSIntroModeWin::GetMenuID()
{
  return IDM_HUNSLOTS_INTRO;
}
//*******************************************************************
string THSIntroModeWin::GetDetName()
{
  return string("v1intro.det");
}
//*******************************************************************
TGameObject *THSIntroModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == string("\\v1glrd00\\v1glrd00.go"))
    {
      pLord = new THSIntroGameLord(this,fm);
      return pLord;
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************
void THSIntroModeWin::SetupGObjs()
{
  if (pLord == NULL)
  {
    GObjError(string("GameLord"),string("intro glrd"));
  }
  // ignore any missing human gobjs.
}
//*******************************************************************

