//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hslapsp.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist      original baseline
//  2.0    09/04/97    M.Perry      32-bit conversion.
//********************************************************************
#include "hslapsp.h"
#include "oanm.h"
//*******************************************************************
THSLaps::THSLaps(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
THSLaps::THSLaps(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
THSLaps::~THSLaps()
{
}
//*******************************************************************
void THSLaps::SetNum(int16 frame)
{
  int16 setframe = int16(frame/100);
  if(frame < 0){return;}
  PLaps->CAD.SetCurrentFrame(setframe);
  PLaps->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
void THSLaps::SetupAnms()
{
	PLaps = GetAnm(0);
	if (PLaps == NULL) {AnmError("Laps","Nums",0);}
	PLaps->CAD.ClearAutoStart();
	PLaps->CAD.ClearAutoStop();
	PLaps->CAD.SetDirStill();
	Update(GetAdjFUC());
}
//*******************************************************************
