//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsmain.cpp
//    Project Name:  Hundred Slots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     5/20/97    M.Perry     original baseline
//  2.0    09/09/97    M.Perry     32-bit conversion.
//********************************************************************
#include "hsapp.h"
//#include "omisc.h"
#include "ofilenam.h"
//*******************************************************************
int OwlMain(int /*argc*/,char *argv[])
{
  string HDDrive,HDDir,AppName,AppHDString,HDExt;
  AppHDString = argv[0];
  TOgleFileName::SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);

  int AppResult = -1;
  try
  {
//     TCasinoApp *PApp = new TCasinoApp(HDDrive,HDDir,AppName);
     THSApp *PApp = new THSApp(HDDrive,HDDir,AppName);
     if (PApp->Initialize())
     {
       AppResult = PApp->Run();
     }
     delete PApp;
  }
  catch (xmsg& x)
  {
    ::MessageBox(0,x.why().c_str(),"Exception",MB_OK);
  }
  return AppResult;
}
//*******************************************************************
