//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsmtsp.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist      original baseline
//  2.0    09/04/97    M.Perry      32-bit conversion.
//********************************************************************
#include "hsmtsp.h"
#include "oanm.h"
//*******************************************************************
THSTitle::THSTitle(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
THSTitle::THSTitle(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
THSTitle::~THSTitle()
{
}
//*******************************************************************
void THSTitle::SetupAnms()
{
	PTitle = GetAnm(0);
	if (PTitle == NULL) {AnmError("Title","Nums",0);}
	PTitle->CAD.ClearAutoStart();
	PTitle->CAD.ClearAutoStop();
	PTitle->CAD.SetDirStill();
}
//*******************************************************************

