//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cnamesp.h    //Name plate
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/26/95    A.Krist    original baseline
//  2.0     09/04/97    M.Perry    32-bit conversion.
//********************************************************************
#include "hsnmsp.h"
#include "oanm.h"
//*******************************************************************
void THSNamePlate::Update(dword NewFUC)
  {
	 if(DelayEndFUC<=NewFUC)
	 {
		DelayEndFUC = 0;
	 }
	 TSprite::Update(NewFUC);
  }
//*******************************************************************
#pragma argsused
void THSNamePlate::ShowNamePlateString(string str,int color)
{
  int j;

  NoShowNamePlate();
  /////////////////////////////////////////////////////
  str.to_upper();
  char s;
  int s_len,start=0,end=12;
  s_len = str.length();
  start = (12-s_len)/2;
  end = start+s_len;
  for(j=start;j<end;j++)
  {
    s = str.get_at(j-start);
	 switch(s)
    {
	   case 48 : PCasNamePlate[j]->CAD.SetCurrentFrame(26);      //maybe j-1
	 	   		 PCasNamePlate[j]->Show();break;
      case 49 : PCasNamePlate[j]->CAD.SetCurrentFrame(27);
	 	   		 PCasNamePlate[j]->Show();break;
	   case 50 : PCasNamePlate[j]->CAD.SetCurrentFrame(28);
	 	   		 PCasNamePlate[j]->Show();break;
	   case 51 : PCasNamePlate[j]->CAD.SetCurrentFrame(29);
	 	   		 PCasNamePlate[j]->Show();break;
	   case 52 : PCasNamePlate[j]->CAD.SetCurrentFrame(30);
	 	   		 PCasNamePlate[j]->Show();break;
      case 53 : PCasNamePlate[j]->CAD.SetCurrentFrame(31);
	 	   		 PCasNamePlate[j]->Show();break;
	   case 54 : PCasNamePlate[j]->CAD.SetCurrentFrame(32);
	 	   		 PCasNamePlate[j]->Show();break;
      case 55 : PCasNamePlate[j]->CAD.SetCurrentFrame(33);
	 			 PCasNamePlate[j]->Show();break;
	   case 56 : PCasNamePlate[j]->CAD.SetCurrentFrame(34);
	 			 PCasNamePlate[j]->Show();break;
	   case 57 : PCasNamePlate[j]->CAD.SetCurrentFrame(35);
	 			 PCasNamePlate[j]->Show();break;
      case 65 : PCasNamePlate[j]->CAD.SetCurrentFrame(0);
	 			 PCasNamePlate[j]->Show();break;
	   case 66 : PCasNamePlate[j]->CAD.SetCurrentFrame(1);
	 			 PCasNamePlate[j]->Show();break;
	   case 67 : PCasNamePlate[j]->CAD.SetCurrentFrame(2);
	 			 PCasNamePlate[j]->Show();break;
	   case 68 : PCasNamePlate[j]->CAD.SetCurrentFrame(3);
	 			 PCasNamePlate[j]->Show();break;
	   case 69 : PCasNamePlate[j]->CAD.SetCurrentFrame(4);
	 			 PCasNamePlate[j]->Show();break;
	   case 70 : PCasNamePlate[j]->CAD.SetCurrentFrame(5);
	 			 PCasNamePlate[j]->Show();break;
	   case 71 : PCasNamePlate[j]->CAD.SetCurrentFrame(6);
	 			 PCasNamePlate[j]->Show();break;
	   case 72 : PCasNamePlate[j]->CAD.SetCurrentFrame(7);
	 			 PCasNamePlate[j]->Show();break;
	   case 73 : PCasNamePlate[j]->CAD.SetCurrentFrame(8);
	 			 PCasNamePlate[j]->Show();break;
	   case 74 : PCasNamePlate[j]->CAD.SetCurrentFrame(9);
	 			 PCasNamePlate[j]->Show();break;
	   case 75 : PCasNamePlate[j]->CAD.SetCurrentFrame(10);
	 			 PCasNamePlate[j]->Show();break;
	   case 76 : PCasNamePlate[j]->CAD.SetCurrentFrame(11);
	 			 PCasNamePlate[j]->Show();break;
	   case 77 : PCasNamePlate[j]->CAD.SetCurrentFrame(12);
	 			 PCasNamePlate[j]->Show();break;
	   case 78 : PCasNamePlate[j]->CAD.SetCurrentFrame(13);
	 			 PCasNamePlate[j]->Show();break;
	   case 79 : PCasNamePlate[j]->CAD.SetCurrentFrame(14);
	 			 PCasNamePlate[j]->Show();break;
	   case 80 : PCasNamePlate[j]->CAD.SetCurrentFrame(15);
	 			 PCasNamePlate[j]->Show();break;
	   case 81 : PCasNamePlate[j]->CAD.SetCurrentFrame(16);
	 			 PCasNamePlate[j]->Show();break;
	   case 82 : PCasNamePlate[j]->CAD.SetCurrentFrame(17);
	 			 PCasNamePlate[j]->Show();break;
	   case 83 : PCasNamePlate[j]->CAD.SetCurrentFrame(18);
	 			 PCasNamePlate[j]->Show();break;
	   case 84 : PCasNamePlate[j]->CAD.SetCurrentFrame(19);
	 			 PCasNamePlate[j]->Show();break;
	   case 85 : PCasNamePlate[j]->CAD.SetCurrentFrame(20);
	 			 PCasNamePlate[j]->Show();break;
	   case 86 : PCasNamePlate[j]->CAD.SetCurrentFrame(21);
	 			 PCasNamePlate[j]->Show();break;
	   case 87 : PCasNamePlate[j]->CAD.SetCurrentFrame(22);
	 			 PCasNamePlate[j]->Show();break;
	   case 88 : PCasNamePlate[j]->CAD.SetCurrentFrame(23);
	 			 PCasNamePlate[j]->Show();break;
	   case 89 : PCasNamePlate[j]->CAD.SetCurrentFrame(24);
	 			 PCasNamePlate[j]->Show();break;
	   case 90 : PCasNamePlate[j]->CAD.SetCurrentFrame(25);
	 			 PCasNamePlate[j]->Show(); break;
	   case 91 : PCasNamePlate[j]->CAD.SetCurrentFrame(26);
	 			 PCasNamePlate[j]->Show();break;
    }
  }
  Update(GetAdjFUC());
}
//*******************************************************************
void THSNamePlate::ShowRedX(dword delay)
{
  DelayEndFUC = delay+AskCurrentFUC();
}
//*******************************************************************
void THSNamePlate::NoShowNamePlate()
{
  int i=0;
  for(i=0;i<12;i++)
  {
	 PCasNamePlate[i]->NoShow();
  }
}
//*******************************************************************
void THSNamePlate::SetupAnms()
{
  int16 j=0;

  for(j=0;j<12;j++)
  {
	 PCasNamePlate[j] = GetAnm(j);
	 if (PCasNamePlate[j] == NULL) {AnmError("Name Plate","Alpha",j);}
  }
  for (int i=0;i<12;i++)
  {
	 PCasNamePlate[i]->CAD.ClearAutoStart();
	 PCasNamePlate[i]->CAD.ClearAutoStop();
	 PCasNamePlate[i]->CAD.SetDirStill();
  }
}
//********************************************************************
THSNamePlate::THSNamePlate(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
  DelayEndFUC = 0;
}
//*******************************************************************
THSNamePlate::THSNamePlate(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
  DelayEndFUC = 0;
}
//*******************************************************************
THSNamePlate::~THSNamePlate()
{
}
//*******************************************************************
