//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsmtsp.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist      original baseline
//  2.0    09/04/97    M.Perry      32-bit conversion.
//********************************************************************
#include "hsplsp.h"
#include "oanm.h"
//*******************************************************************
THSPayLine::THSPayLine(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
THSPayLine::THSPayLine(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
THSPayLine::~THSPayLine()
{
}
//*******************************************************************
void THSPayLine::SetPayLine(int lines)
{
  PPayLine->CAD.SetCurrentFrame(int16(lines));
  PPayLine->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
void THSPayLine::SetupAnms()
{
	PPayLine = GetAnm(0);
	if (PPayLine == NULL) {AnmError("PayLine","Nums",0);}
	PPayLine->CAD.ClearAutoStart();
	PPayLine->CAD.ClearAutoStop();
	PPayLine->CAD.SetDirStill();
}
//*******************************************************************
