//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  lighmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "lighmw.h"
#include "hsnames.rh"
//#include "lighgl.h"
#include "lighgld.h"
#include "hsplay.h"
//*******************************************************************
TLighModeWin::TLighModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TLighModeWin::~TLighModeWin()
{
}
//*******************************************************************
//void TLighModeWin::MakeGObjList()
//{
//  PGObjList = new TLighGObjList(this);
//}
//*******************************************************************
string TLighModeWin::GetDetName()
{
  return string("t1strike.det");
}
//*******************************************************************
//void TLighModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("t1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("t1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","t1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","t1humn01");}
//}
//*******************************************************************
TGameObject *TLighModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_LIGH))
    {
      pLord = new TLighGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_LIGH))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************