//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ragsgl.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/25/97    A.Krist      original baseline
//  2.0    09/08/97    M.Perry      32-bit conversion.
//********************************************************************
#include "ragsgl.h"
#include "ragsgld.h"
#include "hsnames.rh"
//*******************************************************************
TGameObject *TRagsGObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_RAGS))
  {
	 return (new TRagsGameLord((THunSlotsModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_RAGS))
  {
	 return (new TCasinoHSPlayer(PModeWin,FM,0));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************