//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  roadmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "roadmw.h"
#include "hsnames.rh"
//#include "roadgl.h"
#include "roadgld.h"
#include "hsplay.h"
//*******************************************************************
TRoadModeWin::TRoadModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TRoadModeWin::~TRoadModeWin()
{
}
//*******************************************************************
//void TRoadModeWin::MakeGObjList()
//{
//  PGObjList = new TRoadGObjList(this);
//}
//*******************************************************************
string TRoadModeWin::GetDetName()
{
  return string("q1rally.det");
}
//*******************************************************************
//void TRoadModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("q1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("q1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","q1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","q1humn01");}
//}
//*******************************************************************
TGameObject *TRoadModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_ROAD))
    {
      pLord = new TRoadGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_ROAD))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************