//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  supemw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "supemw.h"
#include "hsnames.rh"
//#include "supegl.h"
#include "supegld.h"
#include "hsplay.h"
//*******************************************************************
TSupeModeWin::TSupeModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TSupeModeWin::~TSupeModeWin()
{
}
//*******************************************************************
//void TSupeModeWin::MakeGObjList()
//{
//  PGObjList = new TSupeGObjList(this);
//}
//*******************************************************************
string TSupeModeWin::GetDetName()
{
  return string("n1super.det");
}
//*******************************************************************
//void TSupeModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("n1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("n1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","n1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","n1humn01");}
//}
//*******************************************************************
TGameObject *TSupeModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_SUPER))
    {
      pLord = new TSupeGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_SUPER))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************