//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  rrollgl.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/25/97    A.Krist      original baseline
//  2.0    09/05/97    M.Perry      32-bit conversion.
//********************************************************************
#include "zod1gl.h"
#include "zod1gld.h"

#include "hsnames.rh"

//*******************************************************************
TGameObject *TZod1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_ATTACK1))
  {
	 return (new TZod1GameLord((THunSlotsModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_ATTACK1))
  {
	 return (new TCasinoHSPlayer(PModeWin,FM,0));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************