//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  kgobj.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//*******************************************************************
#include "kgobj.h"
#include "iostream.h"
#include "kmodewin.h"
#include "klord.h"
//#include "gomstate.h"
#include <stdio.h>

//*******************************************************************
TKGObj::TKGObj()
{
  int i=0;
  ticketnum = 0;
  //pGObj  = new TGObjMainState(this);
  cash = 1000;
  for(i=0;i<MAXBETS;i++)
  {
	 Tickets[i] = NULL;
  }
  top = 0;
}
//*******************************************************************
TKGObj::~TKGObj()
{
  int i=0;
  for(i=0;i<MAXBETS;i++)
  {
	 if(Tickets[i] != NULL)
	 {
		delete Tickets[i];
		Tickets[i] = NULL;
	 }
  }
  top = 0;
}
//*******************************************************************
TKGObj::AddTicket(TKModeWin *pMWin)
{
  int i=0,j=0;
  for(i=0;i<MAXBETS;i++)
  {
	 if(Tickets[i] == NULL)
	 {
		Tickets[i] = new TTicket;
		Tickets[i]->begingamenum = pMWin->pLord->currentgame + 1;
		Tickets[i]->endgamenum   = Tickets[i]->begingamenum + pMWin->pLord->numplays;
		Tickets[i]->amountplayed = pMWin->pLord->perticket;
		cash                    -= Tickets[i]->amountplayed * pMWin->pLord->numplays;
		Tickets[i]->numplays     = pMWin->pLord->numplays;
		Tickets[i]->spot         = pMWin->pLord->tempspot;
		Tickets[i]->id           = i;
		for(j=0;j<80;j++)
		{
		  Tickets[i]->numarray[j] = pMWin->pLord->tempticketarray[j];
		}
		top++;
		Display(Tickets[i]->id);
		return Tickets[i]->id;
	 }
	 if(i == MAXBETS-1 && Tickets[i] == NULL)
	 {
		cout << "To many tickets allready!" << endl;
	 }
  }
  return -1;
}
//*******************************************************************
TKGObj::RemoveTicket(int id)
{
  if(Tickets[id] != NULL)
  {
	 delete Tickets[id];
	 Tickets[id] = NULL;
	 top--;
	 return Back(id);// Return closest ticket
  }
  return 0;
}
//*******************************************************************
TKGObj::Display(int id)
{
  int i=0;
  cout << "Display ticket ";
  if(Tickets[id] != NULL)
  {
	 for(i=0;i<80;i++)
	 {
		if(Tickets[id]->numarray[i])
		{
		  cout << i << " ";
		}
	 }
	 cout << "Beginnumber " << Tickets[id]->begingamenum << " ";
	 cout << "Endnumber " << Tickets[id]->endgamenum << " ";
	 cout << "Amount played " << Tickets[id]->amountplayed << " ";;
	 cout << "Number of playes " << Tickets[id]->numplays << " ";;
	 cout << "Game type " << Tickets[id]->spot << " ";;
	 cout << "ID number " << Tickets[id]->id << " ";;
  }
  else
  {
	 cout << "No such Ticket " << endl;
  }
  return 1;
}
//*******************************************************************
TKGObj::For(int id)
{
  int i=0;
  for(i=id+1;i<MAXBETS;i++)
  {
	 if(Tickets[i] != NULL)
	 {
		Display(i);
		return i;
	 }
  }
  for(i=0;i<id;i++)
  {
	 if(Tickets[i] != NULL)
	 {
		Display(i);
		return i;
	 }
  }
  return id;
}
//*******************************************************************
TKGObj::Back(int id)
{
  int i=0;
  for(i=id-1;i>=0;i--)
  {
	 if(Tickets[i] != NULL)
	 {
		Display(i);
		return i;
	 }
  }
  for(i=MAXBETS;i>id;i--)
  {
	 if(Tickets[i] != NULL)
	 {
		Display(i);
		return i;
	 }
  }
  return id;
}
//*******************************************************************
TKGObj::Winnings(int winnum)
{
  int i=0;
  for(i=0;i<MAXBETS;i++)
  {
	 if(Tickets[i] != NULL)
	 {
		if(Tickets[i]->Win(winnum))
		{
		  cash += Tickets[i]->payoff + (Tickets[i]->payoff * Tickets[i]->Win(winnum));
		}
		delete Tickets[i];
		Tickets[i] = NULL;
	 }
  }
  cout << "Total cash -> " << cash << endl;
  return 1;
}
