//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  kinitst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "kinitst.h"
#include "klord.h"
#include <iostream.h>

TInitKState::TInitKState(TKLord *pNewKLord)
	: TKLordState(pNewKLord)
{
 // cout << "GAState constructor" << endl;
}
TInitKState::~TInitKState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TInitKState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TInitKState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TKLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TInitKState::ExecuteFirstTime()
{
  cout << "Init state" << endl;
  pOwnerLord->InitKeno();
  ExecuteStatus    = ess_Done;

}