//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  tlord.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//*******************************************************************
#include "klord.h"
#include "klordst.h"
#include "klordmst.h"
#include "ostate.h"
#include <time.h>   //To Set Random Number Generator
//#include "studlobrain.h"
//#include "studlogame.h"
#define  NUMBEROFPLAYERS 3
#define  BET1  5
#include <stdio.h>
#include <iostream.h>
#include <stdlib.h> //For Random Number Generator
#include <conio.h>
//*******************************************************************
TKLord::TKLord(TKModeWin *pmwin)
{
  int i=0;
  tempspot = Spot1;
  pState   = new TKLordMainState(this);
  historynum = 0;
  notickets = 1; // TRUE
  currentticket = 0;
  newticket = 1;
  currentgame = 0;
  secintogame = 0;
  nextgame = -1;
  updatecount = 0;  // mod 6 = 1 sec(i.e. fuc)
  pMWin  = pmwin;
  winnum = 0;
  maxbet=3;
  credits = 0;
  coinsize=1;
  machinenum = 0;
  playersin=0;
  game   = 1;
  numplays = 0;
  perticket = 0;
  coinsplayed = 0;
  activeplayer = 0;
  for(i=0;i<80;i++)
  {
	 winarray[i] = 0;
	 historyarray[i] = 0;
	 tempticketarray[i] = 0;
  }
 // if(pState != NULL) {pState->Run();}
}
//*******************************************************************
TKLord::~TKLord()
{
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
}
//*******************************************************************
void TKLord::FinalClear()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
}
//*******************************************************************
TKLord::NewTicket()
{
  int i=0;
  newticket = 1;
  for(i=0;i<80;i++)
  {
	 tempticketarray[i] = 0;
  }
  //DisplayNewTicket();
  return 1;
}
//*******************************************************************
TKLord::Add()
{
  newticket = 0;
  currentticket = pMWin->GObj[activeplayer].AddTicket(pMWin);
  return 1;
}
//*******************************************************************
TKLord::Remove()
{
// let them remove ticket not done yet?
  currentticket = pMWin->GObj[activeplayer].RemoveTicket(currentticket);
  return 1;
}
//*******************************************************************
TKLord::Forward()
{
  newticket = 0;
  currentticket = pMWin->GObj[activeplayer].For(currentticket);
  Winner();
  return 1;
}
//*******************************************************************
TKLord::Backward()
{
  newticket = 0;
  currentticket = pMWin->GObj[activeplayer].Back(currentticket);
  Winner();
  return 1;
}
//*******************************************************************
TKLord::SetPlays()
{
  cout << "Enter number of plays ticket is good for " << endl;
  cin >> numplays;
  return 1;
}
//*******************************************************************
TKLord::SetPerTicket()
{
  cout << "Enter amount per ticket " << endl;
  cin >> perticket;
  return 1;
}
//*******************************************************************
TKLord::SetSpotGame()
{
  int x;
  cout << "Enter GameType " << endl;
  cin >> x;
  switch(x) {
	case 0:  tempspot = Spot1;break;
	case 1:  tempspot = Spot2;break;
	case 2:  tempspot = Spot3;break;
	case 3:  tempspot = Spot3Special;break;
	case 4:  tempspot = Spot4;break;
	case 5:  tempspot = Spot4Special;break;
	case 6:  tempspot = Spot5;break;
	case 7:  tempspot = Spot5Special;break;
	case 8:  tempspot = Spot6;break;
	case 9:  tempspot = Spot7;break;
	case 10: tempspot = Spot8;break;
	case 11: tempspot = Spot9;break;
	case 12: tempspot = Spot9Special;break;
	case 13: tempspot = Spot10;break;
	default: break;
  }
  return 1;
}
//*******************************************************************
TKLord::Winner()
{
  int win=0,tempgamenum=0,numbers=0,i=0,j=0;
  if(pMWin->GObj[activeplayer].Tickets[currentticket]->paid == 0 &&
	  pMWin->GObj[activeplayer].Tickets[currentticket]->endgamenum <= currentgame)
  {
	 for(j=pMWin->GObj[activeplayer].Tickets[currentticket]->begingamenum;j<
		  pMWin->GObj[activeplayer].Tickets[currentticket]->endgamenum;j++)
	 {
		srand(Seed);
		for(i=0;i<80;i++)
		{
		  historyarray[i] = 0;
		}
		while(tempgamenum < j)
		{
		  win = random(80);
		  while(historyarray[win] == 1)
		  {
			 win = random(80);
		  }
		  historyarray[win] = 1;
		  numbers++;
		  if(numbers == 20)
		  {
			 for(i=0;i<80;i++)
			 {
				historyarray[i] = 0;
			 }
			 numbers = 0;
			 tempgamenum++;
		  }
		}
      numbers = 0;
		while(numbers < 20)
		{
		  win = random(80);
		  while(historyarray[win] == 1)
		  {
			 win = random(80);
		  }
		  historyarray[win] = 1;
		  if(pMWin->GObj[activeplayer].Tickets[currentticket]->numarray[win] == 1)
		  {
			 pMWin->GObj[activeplayer].Tickets[currentticket]->numcaught++;
		  }
		  numbers++;
		}
		for(i=0;i<80;i++)
		{
		  historyarray[i] = 0;
		}
		switch(pMWin->GObj[activeplayer].Tickets[currentticket]->spot){
		 case Spot1        : PaySpot1();break;
		/* case Spot2        : PaySpot2();break;
		 case Spot3        : PaySpot3();break;
		 case Spot4        : PaySpot4();break;
		 case Spot5        : PaySpot5();break;
		 case Spot6        : PaySpot6();break;
		 case Spot7        : PaySpot7();break;
		 case Spot8        : PaySpot8();break;
		 case Spot9        : PaySpot9();break;
		 case Spot10       : PaySpot10();break;
		 case Spot3Special : PaySpot3Special();break;
		 case Spot4Special : PaySpot4Special();break;
		 case Spot5Special : PaySpot5Special();break;
		 case Spot9Special : PaySpot9Special();break; */
		 default : break;
		}
		pMWin->GObj[activeplayer].Tickets[currentticket]->numcaught = 0;
		tempgamenum = 0;
		numbers     = 0;
	 }
	 pMWin->GObj[activeplayer].cash += pMWin->GObj[activeplayer].Tickets[currentticket]->payoff;
	 pMWin->GObj[activeplayer].Tickets[currentticket]->paid = 1;
	 cout << "Amount Won-> " <<
	          pMWin->GObj[activeplayer].Tickets[currentticket]->payoff << endl;
	 ResetRand();
	 return 1;
  }
}// winner
//*******************************************************************
TKLord::PaySpot1()
{
  if(pMWin->GObj[activeplayer].Tickets[currentticket]->numcaught == 1)
  {
	 pMWin->GObj[activeplayer].Tickets[currentticket]->payoff +=
		pMWin->GObj[activeplayer].Tickets[currentticket]->amountplayed * 3;
  }
}   /*
//*******************************************************************
TKLord::PaySpot2()
{
  if(pMWin->GObj[activeplayer].Tickets[currentticket].numcaught == 1)
  {
	 pMWin->GObj[activeplayer].Tickets[currentticket].payoff +=
		pMWin->GObj[activeplayer].Tickets[currentticket].amountplayed * 3;
  }
}     */
//*******************************************************************
TKLord::InitKeno()
{
  Forward();
  if(pMWin->GObj[activeplayer].Tickets[currentticket] == NULL)
  {
	 notickets = 1;
  }
  else
  {
	 notickets = 0;
  }
  activeplayer = 0;
  credits = 0;
  coinsplayed = 0;
  winnerpaid = 0;
  return 1;
}
//*******************************************************************
TKLord::GetBet()
{
 int z=1;
 coinsplayed = 0;
 winnerpaid = 0;
 while(z != 0)
 {
  cout << "Get Bet" << endl;
  if(coinsplayed < maxbet)
  {
	 cout << "Enter 1 to 'BET 1' ";
  }
  if(coinsplayed < maxbet && (credits > 0 || pMWin->GObj[activeplayer].cash > coinsize))
  {
	 cout << "Enter 2 to 'BET MAX' ";
  }
  if(coinsplayed > 0)
  {
	 cout << "Enter 3 to 'PLACE BET' ";
  }
  if(credits > 0)
  {
	 cout << "Enter 4 to 'CASH OUT' ";
  }

  cout << "Enter 6 to 'QUIT' ";
  cin >> z;
  int q=0;
  switch (z) {
	 case 1 :  Bet1();break;
	 case 2 :  BetMax();return 1;
	 case 3 :  cin >> q;pMWin->GObj[activeplayer].AddTicket(pMWin);return 1;  // Spin
	 case 4 :  CashOut();break;
	 case 6 :  CashOut();return 0;
	 default : return 0;  // Quit
  }
 }
 return 0;
}
//*******************************************************************
TKLord::CashOut()
{
  for(;credits>0;credits--)
  {
	 pMWin->GObj[activeplayer].cash += coinsize;
	 cout << pMWin->GObj[activeplayer].cash << endl;
  }
  return 1;
}
//*******************************************************************
TKLord::Bet1()
{
	if(credits > 0)
	{
	  credits--;
	  coinsplayed++;
	  return 1;
	}
	if(pMWin->GObj[activeplayer].cash > coinsize)
	{
	  pMWin->GObj[activeplayer].cash -= coinsize;
	  coinsplayed++;
	}
	return 1;
}
//*******************************************************************
TKLord::BetMax()
{
  if(credits > maxbet-coinsplayed)
  {
	 credits -= maxbet-coinsplayed;
	 coinsplayed = maxbet;
	 return 1;
  }
  else
  {
	 coinsplayed += credits;
	 credits = 0;                          // Could make a little faster
  }
  if(pMWin->GObj[activeplayer].cash > (maxbet-coinsplayed)*coinsize)
  {
	 pMWin->GObj[activeplayer].cash -= (maxbet-coinsplayed)*coinsize;
	 coinsplayed = maxbet;
  }
  else
  {
	 coinsplayed += (pMWin->GObj[activeplayer].cash)/(coinsize);
	 pMWin->GObj[activeplayer].cash = 0;
  }
  return 1;
}
//*******************************************************************
TKLord::ShowWheel()
{
  return 1;
}
//*******************************************************************
TKLord::DisplayCurrentGame()
{
  updatecount++;
  if(updatecount%6 == 0)
  {
	 secintogame++;
  }
  if(updatecount%6 == 0 && secintogame < 41)
  {
	 if(secintogame%2)
	 {
		winnum = random(80);
		while(winarray[winnum] == 1)
		{
		  winnum = random(80);
		}
		winarray[winnum] = 1;
		cout << winnum << "Genie " <<  endl;  // Display number in crystal
	 }
	 else
	 {
	  //	cout << winnum << "Board " << endl;   // Display on board
	 }
  }
  if(secintogame == 60 && updatecount%6 == 0)
  {
	 nextgame = 120;
  }
	if(updatecount%6 == 0 && nextgame == 15)
  {
	 ClearDisplay();
  }
  if(secintogame > 59 && updatecount%6 == 0)
  {
	 cout << nextgame/60 << ":" << nextgame%60 << endl; // Display countdown
	 nextgame--;
  }
 if(updatecount%6 == 0 && nextgame == 0)
  {
	 NewGame();
  }
  return winnum;
}
//*******************************************************************
TKLord::ClearDisplay()
{
  // Write diplayboard background to screen
  cout << "Clear Display" << endl;
  return 1;
}
//*******************************************************************
TKLord::NewGame()
{
  int i=0;
  secintogame = 0;
  nextgame    = -1;
  currentgame++;
  cout << "Currnet Game " << currentgame << endl;
  for(i=0;i<80;i++)
  {
	 winarray[i] = 0;
  }
  return 1;
}
//*******************************************************************
TKLord::ResetRand()
{
  int win=0,tempgamenum=0,numbers=0,i=0;
  srand(Seed);
  for(i=0;i<80;i++)
  {
	 historyarray[i] = 0;
  }
  while(tempgamenum < currentgame)
  {
	 win = random(80);
	 while(historyarray[win] == 1)
	 {
		win = random(80);
	 }
	 historyarray[win] = 1;
	 numbers++;
	 if(numbers == 20)
	 {
		for(i=0;i<80;i++)
		{
		 historyarray[i] = 0;
		}
		numbers = 0;
		tempgamenum++;
	 }
  }
  while(numbers*2 < secintogame && numbers < 20)
  {
	 win = random(80);
	 while(historyarray[win] == 1)
	 {
		win = random(80);
	 }
	 historyarray[win] = 1;
	 numbers++;
  }
  for(i=0;i<80;i++)
  {
	 historyarray[i] = 0;
  }
  return 1;
}
//*******************************************************************
TKLord::DisplayHistory(int x)
{
  int win=0,tempgamenum=0,numbers=0,i=0;

  if(currentgame > x)
  {
	 srand(Seed);
	 while(tempgamenum < x)
	 {
		win = random(80);
		while(historyarray[win] == 1)
		{
		  win = random(80);
		}
		historyarray[win] = 1;
		numbers++;
		if(numbers == 20)
		{
		  for(i=0;i<80;i++)
		  {
			 historyarray[i] =0;
		  }
		  numbers = 0;
		  tempgamenum++;
		}
	 }
	 while(numbers < 20)
	 {
		win = random(80);
		while(historyarray[win] == 1)
		{
		  win = random(80);
		}
		historyarray[win] = 1;
		numbers++;
		cout << win << " ";
	 }
	 ResetRand();
  }
  else
  {
	 cout << "That game has'nt been played yet!" << endl;
  }
  for(i=0;i<80;i++)
  {
	 historyarray[i] =0;
  }
  return 1;
}

