//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  klordst.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "klordst.h"
#include "klord.h"
#include <iostream.h>

TKLordState::TKLordState(TKLord *pNewKLord)
{
//  cout << "GLordState constructor" << endl;
  pOwnerLord = pNewKLord;
}
TKLordState::~TKLordState()
{
 // cout << "GLordState destructor" << endl;
}
//*******************************************************************
void TKLordState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TKLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TKLordState::XHit()
{
  pOwnerLord->DisplayCurrentGame();
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TKLordState *)PActiveSubState)->XHit();
  }
}