//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  kmodewin.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/21/95   A. Krist    Original baseline
//*******************************************************************
#include "kmodewin.h"
#include "klord.h"
#include "klordmst.h"
#include "kmodemst.h"
#include "kgobj.h"
#include "stdio.h"
extern BankRoll;
#define  NUMBEROFPLAYERS 3
#define  HUMAN 3

//*******************************************************************
TKModeWin::TKModeWin()
{
 // cout << "ModeWinState constructor" << endl;
  pState = new TKModeMainState(this);
 // if(pState != NULL) {pState->Run();}
  pLord  = new TKLord(this);
}
//*******************************************************************
TKModeWin::~TKModeWin()
{
  if(pLord != NULL)
  {
	 delete pLord;
	 pLord = NULL;
  }
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
//  cout << "ModeWinState destructor" << endl;

}
//*******************************************************************
TKModeWin::YHit()
{
  if(pState != NULL)
  {
	 if(pState->Run() == ess_Done)
	 {
	  //	cout << "I'm done!!!" << endl;
	 }
  }
  if(pLord->pState != NULL)
  {
	 pLord->pState->Run();
  }
  return 1;
}
//*******************************************************************
TKModeWin::XHit()
{
  pState->XHit();
  pLord->pState->XHit();
  return 1;
}