//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    03/23/96    A.Krist     moved inline functions into .cpp file.
//  2.0    09/17/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ckgenisp.h"
#include "oanm.h"
//*******************************************************************
void TKGenie::SetupAnms()
{
  PGenie = GetAnm(0);
  if (PGenie == NULL) {AnmError("KGenie","genie",0);}
  PGenie->CAD.ClearAutoStart();
  PGenie->CAD.ClearAutoStop();
  PGenie->CAD.SetDirStill();
}
//*******************************************************************
TKGenie::TKGenie(TOgleModeWindow *pmw,TFileMode NewFileMode):TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//********************************************************************
TKGenie::TKGenie(TOgleModeWindow *pmw,TFileMode fm,void *psource):TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
 //*******************************************************************
TKGenie::~TKGenie()
{
}
//*******************************************************************
void TKGenie::SetNum(int16 num)
{
	PGenie->CAD.SetCurrentFrame(num);
	PGenie->Show();
   Update(GetAdjFUC());
}
//*******************************************************************