//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  lgl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "lgl.h"
#include "lgld.h"
#include "casnames.rh"
#include "clnames.rh"
//*******************************************************************
TLobby1GObjList::TLobby1GObjList(TOgleModeWindow *POwnerMW)
:TLGObjList(POwnerMW)
{
}
//*******************************************************************
TLobby1GObjList::~TLobby1GObjList()
{
}
//*******************************************************************
TGameObject *TLobby1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_L_L1))
  {
	 return (new TLobby1GameLord((TLobbyModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_L_L1))
  {
	 return (new TCasinoLPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_L_L1))
  {
	 return (new TCasinoLPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_L_L1))
  {
	 return (new TCasinoLPlayer(PModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************