//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rwinst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "rwinst.h"
#include "rlord.h"
#include <iostream.h>

TRWinState::TRWinState(TRLord *pNewRLord)
	: TRLordState(pNewRLord)
{
 // cout << "RWinState constructor" << endl;
}
TRWinState::~TRWinState()
{
 // cout << "RWinState destructor" << endl;
}
//*******************************************************************
void TRWinState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TRWinState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TRLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TRWinState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->Winner();
  ExecuteStatus    = ess_Done;

}