//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  bet2num.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/21/96   M.Perry    moved into cpp
//  2.0     09/19/97   M.Perry    32-bit conversion.
//********************************************************************
#include "bet2num.h"
//*******************************************************************
TBet2Num::TBet2Num(int16 Num1,int16 Num2,TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code)
:TRBetSpot(pmw,NewFileMode,code)
{
  num1 = Num1;
  num2=Num2;
  SpotType = TwoNum;
}
//*******************************************************************
TBet2Num::TBet2Num(int16 Num1,int16 Num2,TOgleModeWindow *pmw,TFileMode NewFileMode,
                   void *psource,int16 code)
:TRBetSpot(pmw,NewFileMode,psource,code)
{
  num1 = Num1;
  num2=Num2;
  SpotType = TwoNum;
}
//*******************************************************************
TBet2Num::~TBet2Num()
{
}
//*******************************************************************
bool TBet2Num::Winner(int16 WinNum)
{
  if(WinNum == num2 || WinNum == num1)
  {
    return true;
  }
  else
  {
    return false;
  }
}
//*******************************************************************
bool TBet2Num::Winner(int16 WinNum,int16 Player)
{
  return TRBetSpot::Winner(WinNum,Player);
}
//*******************************************************************
int32 TBet2Num::Odds()
{
  return 17;
}
//*******************************************************************