//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casrmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/12/96   M.Perry    original baseline
//  2.0     09/18/97   M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "casrmw.h"
#include "chelpid.h"
#include "accmenu.rh"
//*******************************************************************
TRouletteModeWin::TRouletteModeWin(string modename,TPal *PPal,string title)
:TCasinoModeWin(modename,PPal,title)
{
  strModeName = "Roulette";
  ModeHelpCommand = HELP_CONTEXT;
  ModeHelpData = IDH_CAS_ROULETTE;
}
//*******************************************************************
TRouletteModeWin::~TRouletteModeWin()
{
}
//*******************************************************************
string TRouletteModeWin::GetDetName()
{
  return string("roulette.det");
}
//*******************************************************************
int TRouletteModeWin::GetMenuID()
{
  return IDM_CASINO_ROULETTE;
}
//*******************************************************************