//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cr1mw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/23/96    M.Perry    original baseline
//  2.0    09/19/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "cr1mw.h"
//#include "cr1glist.h"
#include "cr1gld.h"
#include "crplay.h"
#include "casnames.rh"
#include "crnames.rh"
//*******************************************************************
TR1ModeWin::TR1ModeWin(string modename,TPal *PPal,string title)
:TRouletteModeWin(modename,PPal,title)
{
}
//*******************************************************************
TR1ModeWin::~TR1ModeWin()
{
}
//*******************************************************************
//void TR1ModeWin::MakeGObjList()
//{
//  PGObjList = new TR1GObjList(this);
//}
//*******************************************************************
//void TR1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoRPlayer *)GetGObjPtr(TAppString(IDS_H1_R1));
//  GObj[1] = (TCasinoRPlayer *)GetGObjPtr(TAppString(IDS_H2_R1));
//  GObj[2] = (TCasinoRPlayer *)GetGObjPtr(TAppString(IDS_H3_R1));
//
//  pLord = (TCasinoRGameLord *)GetGObjPtr(TAppString(IDS_GL_R1));
//
//  if (pLord == NULL)   {GObjError("Roulette Game Lord",TAppString(IDS_GL_R1));}
//  if (GObj[0] == NULL) {GObjError("Roulette Human 1",TAppString(IDS_H1_R1));}
//  if (GObj[1] == NULL) {GObjError("Roulette Human 2",TAppString(IDS_H2_R1));}
//  if (GObj[2] == NULL) {GObjError("Roulette Human 3",TAppString(IDS_H3_R1));}
//}
//*******************************************************************
TGameObject *TR1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == GetResString(IDS_GL_R1))
  {
    pLord = new TR1GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_R1))
  {
    GObj[0] = new TCasinoRPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_R1))
  {
    GObj[1] = new TCasinoRPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_R1))
  {
    GObj[2] = new TCasinoRPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
	 return new TGameObject(this,fm);
  }
}
//*******************************************************************
