//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  clmessp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    12/23/95    M.Perry    moved inline functions into .cpp file.
//********************************************************************
#include "cslmessp.h"
//#include "otimers.h"
#include "oanm.h"
//*******************************************************************
TCasSLLobbyMessageDisplay::TCasSLLobbyMessageDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource)
  :TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TCasSLLobbyMessageDisplay::TCasSLLobbyMessageDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode):TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//********************************************************************
TCasSLLobbyMessageDisplay::~TCasSLLobbyMessageDisplay()
{
}
//*******************************************************************
void TCasSLLobbyMessageDisplay::ShowLobbyMessage(int code)
{
	 NoShowDisplay();
	 PMessage->CAD.SetCurrentFrame(code);
	 PMessage->Show();
	 Update(GetAdjFUC());
}
//*******************************************************************
void TCasSLLobbyMessageDisplay::NoShowDisplay()
{
  PMessage->NoShow();
}
//*******************************************************************
void TCasSLLobbyMessageDisplay::SetupAnms()
{
  PMessage = GetAnm(0);
  PMessage->CAD.ClearAutoStart();
  PMessage->CAD.ClearAutoStop();
  PMessage->CAD.SetDirStill();
}
//*******************************************************************
