//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjrksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    1/23/96    A.Krist     moved inline functions into .cpp file.
//********************************************************************
#include "csltresp.h"
#include "oanm.h"
//*******************************************************************
void TSLTree::SetupAnms()
{
  PTree = GetAnm(0);
  if (PTree == NULL) {AnmError("Tree","tree",0);}

  PTree->CAD.ClearAutoStart();
  PTree->CAD.ClearAutoStop();
  PTree->CAD.SetDirStill();
}
//*******************************************************************
TSLTree::TSLTree(TOgleModeWindow *pmw,TFileMode NewFileMode):TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TSLTree::TSLTree(TOgleModeWindow *pmw,TFileMode fm,void *psource):TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TSLTree::~TSLTree()
{
}
//*******************************************************************
