//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slgl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry     original baseline
//********************************************************************
#include "slgl.h"
#include "slgld.h"

#include "casnames.rh"
#include "slnames.rh"
//*******************************************************************
TGameObject *TSLobby1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_SL))
  {
	 return (new TSLobby1GameLord((TSLobby1ModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_SL))
  {
	 return (new TCasinoSLPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_SL))
  {
	 return (new TCasinoSLPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_SL))
  {
	 return (new TCasinoSLPlayer(PModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************