//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  caslord.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/21/95   A. Krist    Original baseline
//*******************************************************************
#include "slot1lrd.h"
#include "clordsta.h"
#include "clordman.h"
#include "ostate.h"
#include "studlodeck.h"
#include "studlobrain.h"
#include "studlogame.h"
#define  NUMBEROFPLAYERS 3
#define  BET1  5
#include <stdio.h>
#include <iostream.h>

//*******************************************************************
TSlot1Lord::TSlot1Lord(TModeWin *pmwin)
{
//  cout << "GLord constructor" << endl;
  pDeck  = NULL;
 // pTempDeck  = NULL;
  pState = new TSlot1LordMainState(this);
  pMWin  = pmwin;
  bet=0;
  pot=0;
  playersin=0;
  game   = 0;
  numofsplits = 0;
 // if(pState != NULL) {pState->Run();}
}
//*******************************************************************
TSlot1Lord::~TSlot1Lord()
{
  if(pDeck != NULL)
  {
	 delete pDeck;
	 pDeck = NULL;
  }
 // if(pTempDeck != NULL)
 // {
 //	 delete pTempDeck;
 //	 pTempDeck = NULL;
 // }
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
}
//*******************************************************************

void TSlot1Lord::ClearActions()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
	 pMWin->GObj[i].pHand->highhand  = 0;
	 pMWin->GObj[i].pHand->highcard  = 0;
	 pMWin->GObj[i].pHand->toflush   = 0;
	 pMWin->GObj[i].pHand->instrght  = 0;
	 pMWin->GObj[i].pHand->outstrght = 0;
	 pMWin->GObj[i].pBrain->GetGamePtr()->infor     = 0;
	 pMWin->GObj[i].pBrain->GetGamePtr()->didraise  = 0;
	 pMWin->GObj[i].pHand->lohighcard    = 0;
	 pMWin->GObj[i].pHand->lolowcard     = 0;
	 pMWin->GObj[i].pHand->lohand        = 0;
  }
}
//*******************************************************************
void TSlot1Lord::FinalClear()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
	 pMWin->GObj[i].pHand->highhand                     = 0;
	 pMWin->GObj[i].pHand->highcard                     = 0;
	 pMWin->GObj[i].pHand->toflush                      = 0;
	 pMWin->GObj[i].pHand->instrght                     = 0;
	 pMWin->GObj[i].pHand->outstrght                    = 0;
	 pMWin->GObj[i].pBrain->GetGamePtr()->infor         = 0;
	 pMWin->GObj[i].pBrain->GetGamePtr()->didraise      = 0;
	 if(game == 3)
	 {
		pMWin->GObj[i].pBrain->GetActionPtr()->draw        = 0;
	 }
	 pMWin->GObj[i].pBrain->GetKnowPtr()->handstrength  = WEAK;
	 pMWin->GObj[i].pBrain->GetActionPtr()->bet         = 0;
	 pMWin->GObj[i].pBrain->GetActionPtr()->act         = 0;
	 pMWin->GObj[i].pBrain->GetActionPtr()->autobet     = 0;
	 pMWin->GObj[i].pBrain->GetActionPtr()->autofold    = 0;
	 pMWin->GObj[i].pHand->inhand                       = 0;
	 pMWin->GObj[i].pHand->lowcard                      = 0;
	 pMWin->GObj[i].pBrain->GetGamePtr()->inout         = 1;
	 pMWin->GObj[i].pHand->lohighcard                   = 0;
	 pMWin->GObj[i].pHand->lolowcard                    = 0;
	 pMWin->GObj[i].pHand->lohand                       = 0;
  }
  if(pDeck != NULL)
  {
	 pDeck->top                                         = 0;
  }
//  if(pTempDeck != NULL)
//  {
//	 pTempDeck->top                                     = 0;
//  }
}
//*******************************************************************
void TSlot1Lord::Winner()
{
  int i=0,j=0;
  int tieflag = 0;
  int wina=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
}// winner
//*******************************************************************
TSlot1Lord::Ante()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
	 pMWin->GObj[i].pBrain->GetGamePtr()->cash -= 1;
  }
  pot = NUMBEROFPLAYERS;playersin = NUMBEROFPLAYERS;
  return 1;
}
//*******************************************************************
int TSlot1Lord::GoodToGo()
{
  if(playersin == numofsplits)
  {
	 return 1;
  }
  else
  {
	 return 0;
  }
}

//*******************************************************************
void TSlot1Lord::GetBets()
{
 if(game == 0 || game == 1)
 {
 }
}
//*******************************************************************
TSlot1Lord::ShuffleCards()
{
	pDeck->Shuffle();
	return 1;
}
//*******************************************************************
TSlot1Lord::DrawDeal()
{
  pDeck->StreetDeal(pMWin);
  return 1;
}
//*******************************************************************
TSlot1Lord::VideoDealt()
{
  pDeck->RiverDeal(pMWin);
  return 1;
}
//*******************************************************************
TSlot1Lord::ShowTable()
{
  int i=0;
	 for(i=0;i<NUMBEROFPLAYERS;i++)
	 {
		if(pMWin->GObj[i].pHand != NULL)
		  pDeck->ShowHand(pMWin->GObj[i].pBrain->GetHandPtr());
	 }
	 return 1;
}
//*******************************************************************
TSlot1Lord::ShowVideo()
{
  int i=0;
	 for(i=0;i<NUMBEROFPLAYERS;i++)
	 {
		if(pMWin->GObj[i].pHand != NULL)
		  pDeck->ShowWinner(pMWin->GObj[i].pHand);
	 }
	 return 1;
}