//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  modestate.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "s1modest.h"
#include <iostream.h>

TSlot1ModeState::TSlot1ModeState(TSlot1Mode *pNewSlot1Mode)
{
 // cout << "Slot1ModeState constructor" << endl;
  pOwnerWin = pNewSlot1Mode;
}
TSlot1ModeState::~TSlot1ModeState()
{
 // cout << "Slot1ModeState destructor" << endl;
}
//*******************************************************************
TSlot1ModeState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TSlot1ModeState *)PActiveSubState)->YHit();
  }
  return 1;
}
//*******************************************************************
TSlot1ModeState::XHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TSlot1ModeState *)PActiveSubState)->XHit();
  }
  return 1;
}