//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  slot1lrd.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/21/95   A. Krist    Original baseline
//*******************************************************************
#include "slot1lrd.h"
#include "clordsta.h"
#include "clordman.h"
#include "ostate.h"
#include <time.h>   //To Set Random Number Generator
//#include "studlodeck.h"
//#include "studlobrain.h"
//#include "studlogame.h"
#define  NUMBEROFPLAYERS 3
#define  BET1  5
#include <stdio.h>
#include <iostream.h>
#include <stdlib.h> //For Random Number Generator
#include <conio.h>
//*******************************************************************
TSlot1Lord::TSlot1Lord(TSlot1Mode *pmwin)
{
  pState = new TSlot1LordMainState(this);
  pMWin  = pmwin;
  maxbet=3;
  credits = 0;
  coinsize=1;
  r1=0;
  r2=0;
  r3=0;
  machinenum = 0;
  playersin=0;
  game   = 1;
  numofsplits = 0;
  pReelOne   = NULL;
  pReelTwo   = NULL;
  pReelThree = NULL;
  coinsplayed = 0;
 // if(pState != NULL) {pState->Run();}
}
//*******************************************************************
TSlot1Lord::~TSlot1Lord()
{
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
  if(pReelOne != NULL)
  {
	 delete pReelOne;
	 pReelOne = NULL;
  }
	if(pReelTwo != NULL)
  {
	 delete pReelTwo;
	 pReelTwo = NULL;
  }
	if(pReelThree != NULL)
  {
	 delete pReelThree;
	 pReelThree = NULL;
  }
}
//*******************************************************************

void TSlot1Lord::ClearActions()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
}
//*******************************************************************
void TSlot1Lord::FinalClear()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
}
//*******************************************************************
TSlot1Lord::Winner()
{
  if(r1 == JOKER)
  {
	 if(r2 == JOKER)
	 {
		if(r3 == JOKER)
		{
		  if(coinsplayed == 3)
		  {
			 winnerpaid = 10000;
			 return 1;
		  }
		  else
		  {
			 winnerpaid = coinsplayed*1000;
			 return 1;
		  }
		}
	 }
  }
  if(r1 == ACE || r1 == JOKER)
  {
	 if(r2 == ACE || r2 == JOKER)
	 {
		if(r3 == ACE || r3 == JOKER)
		{
		  winnerpaid = coinsplayed*250;
		  return 1;
		}
	 }
  }
  if(r1 == KING || r1 == JOKER)
  {
	 if(r2 == KING || r2 == JOKER)
	 {
		if(r3 == KING || r3 == JOKER)
		{
		  winnerpaid = coinsplayed*50;
		  return 1;
		}
	 }
  }
  if(r1 == QUEEN || r1 == JOKER)
  {
	 if(r2 == QUEEN || r2 == JOKER)
	 {
		if(r3 == QUEEN || r3 == JOKER)
		{
		  winnerpaid = coinsplayed*20;
		  return 1;
		}
	 }
  }
  if(r1 == JACK || r1 == JOKER)
  {
	 if(r2 == JACK || r2 == JOKER)
	 {
		if(r3 == JACK || r3 == JOKER)
		{
		  winnerpaid = coinsplayed*10;
		  return 1;
		}
	 }
  }
  winnerpaid = 0;
  return 1;
}// winner
//*******************************************************************
TSlot1Lord::InitSlot()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
  activeplayer = 0;
  credits = 0;
  coinsplayed = 0;
  winnerpaid = 0;
  switch (machinenum) {
	 case 0  :   Reel1();break;
	 default :   Reel1();break;
  }
  return 1;
}
//*******************************************************************
int TSlot1Lord::Reel1()
{
  cout << "YO!" << endl;
  pReelOne = new TReel;
  pReelOne->reel[0][0]  = 0; pReelOne->reel[1][0]    = 45; pReelOne->reel[2][0]   = JOKER;
  pReelOne->reel[0][1]  = 46; pReelOne->reel[1][1]   = 50; pReelOne->reel[2][1]   = BLANK;
  pReelOne->reel[0][2]  = 51; pReelOne->reel[1][2]   = 75; pReelOne->reel[2][2]   = JACK;
  pReelOne->reel[0][3]  = 76; pReelOne->reel[1][3]   = 100; pReelOne->reel[2][3]  = BLANK;
  pReelOne->reel[0][4]  = 101; pReelOne->reel[1][4]  = 164; pReelOne->reel[2][4]  = QUEEN;
  pReelOne->reel[0][5]  = 165; pReelOne->reel[1][5]  = 175; pReelOne->reel[2][5]  = BLANK;
  pReelOne->reel[0][6]  = 176; pReelOne->reel[1][6]  = 191; pReelOne->reel[2][6]  = JOKER;
  pReelOne->reel[0][7]  = 192; pReelOne->reel[1][7]  = 200; pReelOne->reel[2][7]  = BLANK;
  pReelOne->reel[0][8]  = 201; pReelOne->reel[1][8]  = 275; pReelOne->reel[2][8]  = JACK;
  pReelOne->reel[0][9]  = 276; pReelOne->reel[1][9]  = 300; pReelOne->reel[2][9]  = BLANK;
  pReelOne->reel[0][10] = 301; pReelOne->reel[1][10] = 379; pReelOne->reel[2][10] = ACE;
  pReelOne->reel[0][11] = 380; pReelOne->reel[1][11] = 400; pReelOne->reel[2][11] = BLANK;
  pReelOne->reel[0][12] = 401; pReelOne->reel[1][12] = 520; pReelOne->reel[2][12] = KING;
  pReelOne->reel[0][13] = 521; pReelOne->reel[1][13] = 545; pReelOne->reel[2][13] = BLANK;
  pReelOne->reel[0][14] = 546; pReelOne->reel[1][14] = 599; pReelOne->reel[2][14] = JOKER;
  pReelOne->reel[0][15] = 600; pReelOne->reel[1][15] = 635; pReelOne->reel[2][15] = BLANK;
  pReelOne->reel[0][16] = 636; pReelOne->reel[1][16] = 660; pReelOne->reel[2][16] = QUEEN;
  pReelOne->reel[0][17] = 661; pReelOne->reel[1][17] = 675; pReelOne->reel[2][17] = BLANK;
  pReelOne->reel[0][18] = 676; pReelOne->reel[1][18] = 750; pReelOne->reel[2][18] = ACE;
  pReelOne->reel[0][19] = 751; pReelOne->reel[1][19] = 780; pReelOne->reel[2][19] = BLANK;
  pReelOne->reel[0][20] = 781; pReelOne->reel[1][20] = 920; pReelOne->reel[2][20] = KING;
  pReelOne->reel[0][21] = 921; pReelOne->reel[1][21] = 999; pReelOne->reel[2][21] = BLANK;

  pReelTwo = new TReel;
  pReelTwo->reel[0][0]  = 0; pReelTwo->reel[1][0]    = 35; pReelTwo->reel[2][0]   = JOKER;
  pReelTwo->reel[0][1]  = 36; pReelTwo->reel[1][1]   = 50; pReelTwo->reel[2][1]   = BLANK;
  pReelTwo->reel[0][2]  = 51; pReelTwo->reel[1][2]   = 86; pReelTwo->reel[2][2]   = JACK;
  pReelTwo->reel[0][3]  = 87; pReelTwo->reel[1][3]   = 100; pReelTwo->reel[2][3]  = BLANK;
  pReelTwo->reel[0][4]  = 101; pReelTwo->reel[1][4]  = 150; pReelTwo->reel[2][4]  = QUEEN;
  pReelTwo->reel[0][5]  = 151; pReelTwo->reel[1][5]  = 175; pReelTwo->reel[2][5]  = BLANK;
  pReelTwo->reel[0][6]  = 176; pReelTwo->reel[1][6]  = 190; pReelTwo->reel[2][6]  = JOKER;
  pReelTwo->reel[0][7]  = 191; pReelTwo->reel[1][7]  = 200; pReelTwo->reel[2][7]  = BLANK;
  pReelTwo->reel[0][8]  = 201; pReelTwo->reel[1][8]  = 250; pReelTwo->reel[2][8]  = JACK;
  pReelTwo->reel[0][9]  = 251; pReelTwo->reel[1][9]  = 270; pReelTwo->reel[2][9]  = BLANK;
  pReelTwo->reel[0][10] = 271; pReelTwo->reel[1][10] = 379; pReelTwo->reel[2][10] = ACE;
  pReelTwo->reel[0][11] = 380; pReelTwo->reel[1][11] = 400; pReelTwo->reel[2][11] = BLANK;
  pReelTwo->reel[0][12] = 401; pReelTwo->reel[1][12] = 520; pReelTwo->reel[2][12] = KING;
  pReelTwo->reel[0][13] = 521; pReelTwo->reel[1][13] = 543; pReelTwo->reel[2][13] = BLANK;
  pReelTwo->reel[0][14] = 544; pReelTwo->reel[1][14] = 599; pReelTwo->reel[2][14] = JOKER;
  pReelTwo->reel[0][15] = 600; pReelTwo->reel[1][15] = 635; pReelTwo->reel[2][15] = BLANK;
  pReelTwo->reel[0][16] = 636; pReelTwo->reel[1][16] = 660; pReelTwo->reel[2][16] = QUEEN;
  pReelTwo->reel[0][17] = 661; pReelTwo->reel[1][17] = 675; pReelTwo->reel[2][17] = BLANK;
  pReelTwo->reel[0][18] = 676; pReelTwo->reel[1][18] = 750; pReelTwo->reel[2][18] = ACE;
  pReelTwo->reel[0][19] = 751; pReelTwo->reel[1][19] = 780; pReelTwo->reel[2][19] = BLANK;
  pReelTwo->reel[0][20] = 781; pReelTwo->reel[1][20] = 920; pReelTwo->reel[2][20] = KING;
  pReelTwo->reel[0][21] = 921; pReelTwo->reel[1][21] = 999; pReelTwo->reel[2][21] = BLANK;

  pReelThree = new TReel;
  pReelThree->reel[0][0]  = 0; pReelThree->reel[1][0]    = 35; pReelThree->reel[2][0]   = JOKER;
  pReelThree->reel[0][1]  = 36; pReelThree->reel[1][1]   = 50; pReelThree->reel[2][1]   = BLANK;
  pReelThree->reel[0][2]  = 51; pReelThree->reel[1][2]   = 90; pReelThree->reel[2][2]   = JACK;
  pReelThree->reel[0][3]  = 91; pReelThree->reel[1][3]   = 100; pReelThree->reel[2][3]  = BLANK;
  pReelThree->reel[0][4]  = 101; pReelThree->reel[1][4]  = 150; pReelThree->reel[2][4]  = QUEEN;
  pReelThree->reel[0][5]  = 151; pReelThree->reel[1][5]  = 175; pReelThree->reel[2][5]  = BLANK;
  pReelThree->reel[0][6]  = 176; pReelThree->reel[1][6]  = 188; pReelThree->reel[2][6]  = JOKER;
  pReelThree->reel[0][7]  = 189; pReelThree->reel[1][7]  = 200; pReelThree->reel[2][7]  = BLANK;
  pReelThree->reel[0][8]  = 201; pReelThree->reel[1][8]  = 250; pReelThree->reel[2][8]  = JACK;
  pReelThree->reel[0][9]  = 251; pReelThree->reel[1][9]  = 275; pReelThree->reel[2][9]  = BLANK;
  pReelThree->reel[0][10] = 276; pReelThree->reel[1][10] = 379; pReelThree->reel[2][10] = ACE;
  pReelThree->reel[0][11] = 380; pReelThree->reel[1][11] = 400; pReelThree->reel[2][11] = BLANK;
  pReelThree->reel[0][12] = 401; pReelThree->reel[1][12] = 520; pReelThree->reel[2][12] = KING;
  pReelThree->reel[0][13] = 521; pReelThree->reel[1][13] = 545; pReelThree->reel[2][13] = BLANK;
  pReelThree->reel[0][14] = 546; pReelThree->reel[1][14] = 599; pReelThree->reel[2][14] = JOKER;
  pReelThree->reel[0][15] = 600; pReelThree->reel[1][15] = 635; pReelThree->reel[2][15] = BLANK;
  pReelThree->reel[0][16] = 636; pReelThree->reel[1][16] = 660; pReelThree->reel[2][16] = QUEEN;
  pReelThree->reel[0][17] = 661; pReelThree->reel[1][17] = 675; pReelThree->reel[2][17] = BLANK;
  pReelThree->reel[0][18] = 676; pReelThree->reel[1][18] = 750; pReelThree->reel[2][18] = ACE;
  pReelThree->reel[0][19] = 751; pReelThree->reel[1][19] = 780; pReelThree->reel[2][19] = BLANK;
  pReelThree->reel[0][20] = 781; pReelThree->reel[1][20] = 920; pReelThree->reel[2][20] = KING;
  pReelThree->reel[0][21] = 921; pReelThree->reel[1][21] = 999; pReelThree->reel[2][21] = BLANK;

  return 1;
}
//*******************************************************************
int TSlot1Lord::GoodToGo()
{
  if(playersin == numofsplits)
  {
	 return 1;
  }
  else
  {
	 return 0;
  }
}

//*******************************************************************
TSlot1Lord::GetBet()
{
 int z=1;
 coinsplayed = 0;
 winnerpaid = 0;
 while(z != 0)
 {
  cout << "Get Bet" << endl;
  if(coinsplayed < maxbet)
  {
	 cout << "Enter 1 to 'BET 1' ";
  }
  if(coinsplayed < maxbet && (credits > 0 || pMWin->GObj[activeplayer].cash > coinsize))
  {
	 cout << "Enter 2 to 'BET MAX' ";
  }
  if(coinsplayed > 0)
  {
	 cout << "Enter 3 to 'SPIN' ";
  }
  if(credits > 0)
  {
	 cout << "Enter 4 to 'CASH OUT' ";
  }
  if(pMWin->GObj[activeplayer].cash > coinsize)
  {
	 cout << "Enter 5 to 'ADD COINS' ";
  }

  cout << "Enter 6 to 'QUIT' ";
  if(coinsplayed == 0)
  {
	 cout << "Enter 7 to 'SWITCH' to another player ";
  }
  cin >> z;
  switch (z) {
	 case 1 :  Bet1();break;
	 case 2 :  BetMax();return 1;
	 case 3 :  return 1;  // Spin
	 case 4 :  CashOut();break;
	 case 5 :  AddCoins();break;
	 case 6 :  FinalCashOut();return 0;
	 case 7 :  Switch();break;
	 default : return 0;  // Quit
  }
 }
 return 0;
}
//*******************************************************************
TSlot1Lord::Switch()
{
  pMWin->GObj[activeplayer].credit = credits;
  activeplayer++;
  activeplayer = activeplayer%NUMBEROFPLAYERS;
  cout << "Player " << activeplayer << endl;
  credits = pMWin->GObj[activeplayer].credit;
}
//*******************************************************************
TSlot1Lord::AddCoins()
{
  if(coinsplayed < maxbet)
  {
	 pMWin->GObj[activeplayer].cash -= coinsize;
	 coinsplayed++;
  }
  else
  {
	 if(coinsplayed == maxbet)   // Not a needed check, oh well...
	 {
		pMWin->GObj[activeplayer].cash -= coinsize;
		credits++;
	 }
  }
  return 1;
}
//*******************************************************************
TSlot1Lord::CashOut()
{
  for(;credits>0;credits--)
  {
	 pMWin->GObj[activeplayer].cash += coinsize;
	 cout << pMWin->GObj[activeplayer].cash << endl;
  }
  return 1;
}
//*******************************************************************
TSlot1Lord::FinalCashOut()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
	 for(;credits>0;credits--)
	 {
		pMWin->GObj[activeplayer].cash += coinsize;
		cout << pMWin->GObj[activeplayer].cash << endl;
	 }
	 Switch();
  }
  return 1;
}
//*******************************************************************
TSlot1Lord::Bet1()
{
	if(credits > 0)
	{
	  credits--;
	  coinsplayed++;
	  return 1;
	}
	if(pMWin->GObj[activeplayer].cash > coinsize)
	{
	  pMWin->GObj[activeplayer].cash -= coinsize;
	  coinsplayed++;
	}
	return 1;
}
//*******************************************************************
TSlot1Lord::BetMax()
{
  if(credits > maxbet-coinsplayed)
  {
	 credits -= maxbet-coinsplayed;
	 coinsplayed = maxbet;
	 return 1;
  }
  else
  {
	 coinsplayed += credits;
	 credits = 0;                          // Could make a little faster
  }
  if(pMWin->GObj[activeplayer].cash > (maxbet-coinsplayed)*coinsize)
  {
	 pMWin->GObj[activeplayer].cash -= (maxbet-coinsplayed)*coinsize;
	 coinsplayed = maxbet;
  }
  else
  {
	 coinsplayed += (pMWin->GObj[activeplayer].cash)/(coinsize);
	 pMWin->GObj[activeplayer].cash = 0;
  }
  return 1;
}
//*******************************************************************
TSlot1Lord::Spin()
{
  cout << "Spinster" << endl;
  int x,i;
 // randomize();
  x = random(1000);
  cout << "X -> " << x << endl;
  for(i=0;i<22;i++)
  {
	 if(pReelOne->reel[0][i] <= x && pReelOne->reel[1][i] >= x)
	 {
		cout << "Hit -> " <<  pReelOne->reel[2][i] << " I=" << i << endl;
		r1 = pReelOne->reel[2][i];
		break;
	 }
  }
  x = random(1000);
  cout << "X -> " << x << endl;
  for(i=0;i<22;i++)
  {
	 if(pReelTwo->reel[0][i] <= x && pReelTwo->reel[1][i] >= x)
	 {
		cout << "Hit -> " << pReelTwo->reel[2][i] << " I=" << i << endl;
		r2 = pReelTwo->reel[2][i];
		break;
	 }
  }
  x = random(1000);
  cout << "X -> " << x << endl;
  for(i=0;i<22;i++)
  {
	 if(pReelThree->reel[0][i] <= x && pReelThree->reel[1][i] >= x)
	 {
		cout << "Hit -> " << pReelThree->reel[2][i] << " I=" << i << endl;
		r3 = pReelThree->reel[2][i];
		break;
	 }
  }
  return 1;
}
//*******************************************************************
TSlot1Lord::ShowReels()
{
  switch (r1)
	 {
		case 0 :
		  cout << "BLANK ";
		  break;
		case 1 :
		  cout << "JOKER ";
		  break;
		case 2 :
		  cout << "ACE   ";
		  break;
		case 3 :
		  cout << "KING  ";
		  break;
		case 4 :
		  cout << "QUEEN ";
		  break;
		case 5 :
		  cout << "JACK  ";
		  break;
		default :
		  cout << "BLANK ";
	 }
  switch (r2)
	 {
		case 0 :
		  cout << "BLANK ";
		  break;
		case 1 :
		  cout << "JOKER ";
		  break;
		case 2 :
		  cout << "ACE   ";
		  break;
		case 3 :
		  cout << "KING  ";
		  break;
		case 4 :
		  cout << "QUEEN ";
		  break;
		case 5 :
		  cout << "JACK  ";
		  break;
		default :
		  cout << "BLANK ";
	 }
  switch (r3)
	 {
		case 0 :
		  cout << "BLANK ";
		  break;
		case 1 :
		  cout << "JOKER ";
		  break;
		case 2 :
		  cout << "ACE   ";
		  break;
		case 3 :
		  cout << "KING  ";
		  break;
		case 4 :
		  cout << "QUEEN ";
		  break;
		case 5 :
		  cout << "JACK  ";
		  break;
		default :
		  cout << "BLANK ";
	 }
  cout << "r's " << (int)r1 << "/" << (int)r2 << "/" << (int)r3 << endl;
  return 1;
}
//*******************************************************************
TSlot1Lord::ShowWinner()
{
  cout << "You won " << winnerpaid*coinsize << " bucks.";
  credits += (winnerpaid)/(coinsize);
  cout << "You have " << pMWin->GObj[activeplayer].cash << " bucks.";
  cout << "You have " << credits << " credits.";

  return 1;
}
