//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  spinstat.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "spinstat.h"
#include "slot1lrd.h"
#include <iostream.h>

TSlotSpinState::TSlotSpinState(TSlot1Lord *pNewSlot1Lord)
	: TSlot1LordState(pNewSlot1Lord)
{
 // cout << "GAState constructor" << endl;
}
TSlotSpinState::~TSlotSpinState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TSlotSpinState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TSlotSpinState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TSlot1LordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TSlotSpinState::ExecuteFirstTime()
{
  cout << "Spin state" << endl;
  pOwnerLord->Spin();
  ExecuteStatus    = ess_Done;

}