//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  csplay.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0    10/11/95   M.Perry       Original baseline
//  2.0    09/25/97   M.Perry       32-bit conversion.
//*******************************************************************
#include "csplay.h"
#include "osprlist.h"
#include "oskitcat.h"
//*******************************************************************
TCasinoSPlayer::TCasinoSPlayer(TOgleModeWindow *PNewModeWindow,
                               const TFileMode &NewFileMode,int16 activeslotnum)
:TCasinoPlayer(PNewModeWindow,NewFileMode,activeslotnum)
{
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  TFileMode skcfm(SkitCatName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSkitCat(skcfm);

  credit = 0;
}
//*******************************************************************
TCasinoSPlayer::~TCasinoSPlayer()
{
}
//*******************************************************************
void TCasinoSPlayer::Activate(dword StartFUC)
{
  TCasinoPlayer::Activate(StartFUC);
  // set up session.
}
//*******************************************************************
void TCasinoSPlayer::DeActivate()
{
  // cleanup session.
  TCasinoPlayer::DeActivate();
}
//*******************************************************************

