//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  pd25gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/08/99   M.Perry    gobjlist removal
//  2.4     09/11/99   M.Perry    setupsprites() shrinkage.
//*******************************************************************
#include "pd25gld.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
//TSpriteList *TDreamin25GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TDreamin25SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TDreamin25GameLord::SetReel()
{
  int16 x,y,z;
  x=(int16)random(5000);
  y=(int16)random(5000);
  z=(int16)random(5000);
  if(x<=100){x=0;}
  else if(x<=134){x=1;}
  else if(x<=534){x=2;}
  else if(x<=834){x=3;}
  else if(x<=934){x=4;}
  else if(x<=1434){x=5;}
  else if(x<=1534){x=6;}
  else if(x<=1567){x=7;}
  else if(x<=1767){x=8;}
  else if(x<=2217){x=9;}
  else if(x<=2367){x=10;}
  else if(x<=2767){x=11;}
  else if(x<=3017){x=12;}
  else if(x<=3032){x=13;}
  else if(x<=3332){x=14;}
  else if(x<=3932){x=15;}
  else if(x<=3982){x=16;}
  else if(x<=4212){x=17;}
  else if(x<=4312){x=18;}
  else if(x<=4350){x=19;}
  else if(x<=4650){x=20;}
  else if(x<=5000){x=21;}
  if(y<=100){y=0;}
  else if(y<=134){y=1;}
  else if(y<=534){y=2;}
  else if(y<=834){y=3;}
  else if(y<=934){y=4;}
  else if(y<=1434){y=5;}
  else if(y<=1534){y=6;}
  else if(y<=1567){y=7;}
  else if(y<=1767){y=8;}
  else if(y<=2217){y=9;}
  else if(y<=2367){y=10;}
  else if(y<=2767){y=11;}
  else if(y<=3017){y=12;}
  else if(y<=3032){y=13;}
  else if(y<=3332){y=14;}
  else if(y<=3932){y=15;}
  else if(y<=3982){y=16;}
  else if(y<=4212){y=17;}
  else if(y<=4312){y=18;}
  else if(y<=4350){y=19;}
  else if(y<=4650){y=20;}
  else if(y<=5000){y=21;}
  if(z<=100){z=0;}
  else if(z<=134){z=1;}
  else if(z<=534){z=2;}
  else if(z<=834){z=3;}
  else if(z<=934){z=4;}
  else if(z<=1434){z=5;}
  else if(z<=1534){z=6;}
  else if(z<=1567){z=7;}
  else if(z<=1767){z=8;}
  else if(z<=2217){z=9;}
  else if(z<=2367){z=10;}
  else if(z<=2767){z=11;}
  else if(z<=3017){z=12;}
  else if(z<=3032){z=13;}
  else if(z<=3332){z=14;}
  else if(z<=3932){z=15;}
  else if(z<=3982){z=16;}
  else if(z<=4212){z=17;}
  else if(z<=4312){z=18;}
  else if(z<=4350){z=19;}
  else if(z<=4650){z=20;}
  else if(z<=5000){z=21;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TDreamin25GameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 0;break;
	 case 1  : s0 = 4;break;
	 case 2  : s0 = 0;break;
	 case 3  : s0 = 1;break;
	 case 4  : s0 = 0;break;
	 case 5  : s0 = 2;break;
	 case 6  : s0 = 0;break;
	 case 7  : s0 = 4;break;
	 case 8  : s0 = 0;break;
	 case 9  : s0 = 3;break;
	 case 10 : s0 = 0;break;
	 case 11 : s0 = 1;break;
	 case 12 : s0 = 0;break;
	 case 13 : s0 = 4;break;
	 case 14 : s0 = 0;break;
	 case 15 : s0 = 2;break;
	 case 16 : s0 = 0;break;
	 case 17 : s0 = 1;break;
	 case 18 : s0 = 0;break;
	 case 19 : s0 = 4;break;
	 case 20 : s0 = 0;break;
	 case 21 : s0 = 3;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 0;break;
	 case 1  : s1 = 4;break;
	 case 2  : s1 = 0;break;
	 case 3  : s1 = 1;break;
	 case 4  : s1 = 0;break;
	 case 5  : s1 = 2;break;
	 case 6  : s1 = 0;break;
	 case 7  : s1 = 4;break;
	 case 8  : s1 = 0;break;
	 case 9  : s1 = 3;break;
	 case 10 : s1 = 0;break;
	 case 11 : s1 = 1;break;
	 case 12 : s1 = 0;break;
	 case 13 : s1 = 4;break;
	 case 14 : s1 = 0;break;
	 case 15 : s1 = 2;break;
	 case 16 : s1 = 0;break;
	 case 17 : s1 = 1;break;
	 case 18 : s1 = 0;break;
	 case 19 : s1 = 4;break;
	 case 20 : s1 = 0;break;
	 case 21 : s1 = 3;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 0;break;
	 case 1  : s2 = 4;break;
	 case 2  : s2 = 0;break;
	 case 3  : s2 = 1;break;
	 case 4  : s2 = 0;break;
	 case 5  : s2 = 2;break;
	 case 6  : s2 = 0;break;
	 case 7  : s2 = 4;break;
	 case 8  : s2 = 0;break;
	 case 9  : s2 = 3;break;
	 case 10 : s2 = 0;break;
	 case 11 : s2 = 1;break;
	 case 12 : s2 = 0;break;
	 case 13 : s2 = 4;break;
	 case 14 : s2 = 0;break;
	 case 15 : s2 = 2;break;
	 case 16 : s2 = 0;break;
	 case 17 : s2 = 1;break;
	 case 18 : s2 = 0;break;
	 case 19 : s2 = 4;break;
	 case 20 : s2 = 0;break;
	 case 21 : s2 = 3;break;
	 default : s2 = 0;
  }
  if(s0 == 4 && s1 == 4 && s2 == 4)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 3){ActivateSprite(Song,GetAdjFUC());return 2000;}
	 if(coinsplayed == 2){return 1000;}
	 if(coinsplayed == 1){return 500;}
  }
  if(s0 == 3 && s1 == 3 && s2 == 3)
  {
    PayOffSound = 4;
	 if(coinsplayed == 3){return 150;}
	 if(coinsplayed == 2){return 100;}
	 if(coinsplayed == 1){return 50;}
  }
  if(s0 == 2 && s1 == 2 && s2 == 2)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 30;}
	 if(coinsplayed == 2){return 20;}
	 if(coinsplayed == 1){return 10;}
  }
  if(s0 == 1 && s1 == 1 && s2 == 1)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 15;}
	 if(coinsplayed == 2){return 10;}
	 if(coinsplayed == 1){return 5;}
  }
  if((s0 == 1 && s1 == 1) || (s0 == 1 && s2 == 1) || (s1 == 1 && s2 == 1))
  {
	 PayOffSound = 2;
	 if(coinsplayed == 3){return 6;}
	 if(coinsplayed == 2){return 4;}
	 if(coinsplayed == 1){return 2;}
  }
  if(s0 == 1 || s1 == 1 || s2 == 1)
  {
	 PayOffSound = 1;
	 if(coinsplayed == 3){return 3;}
	 if(coinsplayed == 2){return 2;}
	 if(coinsplayed == 1){return 1;}
  }
  return 0;
}
//*******************************************************************
//void TDreamin25GameLord::SetupSprites()
//{
//  Song = GetSpriteIndex(GetResString(IDS_AS_SONG_S_D25));
//  if (Sounds  == NULL) {SpriteError("Slots Sounds",GetResString(IDS_MS_SOUNDS_S_D25));}
//   Sounds->Start(GetFUC());
//
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_S_D25));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_S_D25));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_S_D25));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_S_D25));}
//  if (Reel            == NULL) {SpriteError("Reel",GetResString(IDS_MS_REEL_S_D25));}
//  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",        GetResString(IDS_MS_NP1_S_D25));}
//  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",        GetResString(IDS_MS_NP2_S_D25));}
//  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",        GetResString(IDS_MS_NP3_S_D25));}
//  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",   GetResString(IDS_MS_BANKCASH_S_D25));}
//  if (Button0 == NULL)       {SpriteError("Button0",      GetResString(IDS_MS_B0_S_D25));}
//  if (Button1 == NULL)       {SpriteError("Button1",      GetResString(IDS_MS_B1_S_D25));}
//  if (Button2 == NULL)       {SpriteError("Button2",      GetResString(IDS_MS_B2_S_D25));}
//  if (Button3 == NULL)       {SpriteError("Button3",      GetResString(IDS_MS_B3_S_D25));}
//  if (Button4 == NULL)       {SpriteError("Button4",      GetResString(IDS_MS_B4_S_D25));}
//  if (Button5 == NULL)       {SpriteError("Button5",      GetResString(IDS_MS_B5_S_D25));}
//  if (Button6 == NULL)       {SpriteError("Button6",      GetResString(IDS_MS_B6_S_D25));}
//  if (Button7 == NULL)       {SpriteError("Button7",      GetResString(IDS_MS_B7_S_D25));}
//  if (CoinPay       == NULL) {SpriteError("CoinPay",      GetResString(IDS_MS_COINPAY_S_D25));}
//
//	CoinsPlayed->Start(GetFUC());
//	Credits->Start(GetFUC());
//	WinPaid->Start(GetFUC());
//	Chips->Start(GetFUC());
//	ActivateSpriteNow(Reel);
//	CoinPay->Start(GetFUC());
//	BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//	NamePlate1->Start(GetFUC());
//	NamePlate2->Start(GetFUC());
//	NamePlate3->Start(GetFUC());
//
//}
//*******************************************************************
//void TDreamin25GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TDreamin25GameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_D25;
  idsButton1 = IDS_MS_B1_S_D25;
  idsButton2 = IDS_MS_B2_S_D25;
  idsButton3 = IDS_MS_B3_S_D25;
  idsButton4 = IDS_MS_B4_S_D25;
  idsButton5 = IDS_MS_B5_S_D25;
  idsButton6 = IDS_MS_B6_S_D25;
  idsButton7 = IDS_MS_B7_S_D25;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_D25;
  idsChips = IDS_MS_CHIPS_S_D25;
  idsCoinPay = IDS_MS_COINPAY_S_D25;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_D25;
  idsCredits = IDS_MS_CREDITS_S_D25;
  idsNP1 = IDS_MS_NP1_S_D25;
  idsNP2 = IDS_MS_NP2_S_D25;
  idsNP3 = IDS_MS_NP3_S_D25;
  idsReel = IDS_MS_REEL_S_D25;
  idsSound = IDS_MS_SOUNDS_S_D25;
  idsWinPaid = IDS_MS_WINPAID_S_D25;
  idsSong = IDS_AS_SONG_S_D25;
}
//*******************************************************************
TDreamin25GameLord::TDreamin25GameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslParadiseDreaming,TMoney::did_25_00)//cd25)
{
  SetupUniqueIDStrings();

  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  maxbet=3;

  SetupSprites();
}
//*******************************************************************
TDreamin25GameLord::~TDreamin25GameLord()
{
  CleanupSprites();
}
//*******************************************************************