//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  slrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "slrdmst.h"
//*******************************************************************
TSLordMainState::TSLordMainState(TCasinoSGameLord *pNewSLord)
:TSLordState(pNewSLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
 // SetHeedRecommend(FALSE,TRUE);
}
//*******************************************************************
TSLordMainState::~TSLordMainState()
{
}
//*******************************************************************
void TSLordMainState::CreateSubState1()
{
  PActiveSubState = new TInitSState(pOwnerLord);
  pOwnerLord->Button4->ShowGray();
  pOwnerLord->Button7->ShowGray();
}
//*******************************************************************
void TSLordMainState::CreateSubState2()
{
  PActiveSubState = new TSAct1State(pOwnerLord);
}
//*******************************************************************
void TSLordMainState::CreateSubState3()
{
  PActiveSubState = new TSAct2State(pOwnerLord);
}
//*******************************************************************
void TSLordMainState::CreateSubState4()
{
//  PActiveSubState = new TSDeInitState(pOwnerLord);
}
//*******************************************************************
