//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  csfmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/6/95    M.Perry    original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//  2.3    07/12/99    M.Perry     gobjlist removal
//********************************************************************
#include "te500mw.h"
#include "casnames.rh"
#include "csnames.rh"
//#include "te500gl.h"
#include "te500gld.h"
#include "csplay.h"
//*******************************************************************
TEclipse500ModeWin::TEclipse500ModeWin(string modename,TPal *PPal,string title)
:TSlotsModeWin(modename,PPal,title)
{
}
//*******************************************************************
TEclipse500ModeWin::~TEclipse500ModeWin()
{
}
//*******************************************************************
//void TEclipse500ModeWin::MakeGObjList()
//{
//  PGObjList = new TEclipse500GObjList(this);
//}
//*******************************************************************
//void TEclipse500ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoSPlayer *)GetGObjPtr(TAppString(IDS_H1_S_E500));
//  GObj[1] = (TCasinoSPlayer *)GetGObjPtr(TAppString(IDS_H2_S_E500));
//  GObj[2] = (TCasinoSPlayer *)GetGObjPtr(TAppString(IDS_H3_S_E500));
//
//  pLord = (TCasinoSGameLord *)GetGObjPtr(TAppString(IDS_GL_S_E500));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord",TAppString(IDS_GL_S_E500));}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1",TAppString(IDS_H1_S_E500));}
//  if (GObj[1] == NULL) {GObjError("Slots Human 2",TAppString(IDS_H2_S_E500));}
//  if (GObj[2] == NULL) {GObjError("Slots Human 3",TAppString(IDS_H3_S_E500));}
//}
//*******************************************************************
TGameObject *TEclipse500ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == GetResString(IDS_GL_S_E500))
  {
    pLord = new TEclipse500GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_S_E500))
  {
    GObj[0] = new TCasinoSPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_S_E500))
  {
    GObj[1] = new TCasinoSPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_S_E500))
  {
    GObj[2] = new TCasinoSPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
    return new TGameObject(this,fm);
  }
}
//*******************************************************************