//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  wj100gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/12/99   M.Perry    gobjlist removal
//  2.4    09/11/99    M.Perry    setupsprites() shrinkage
//*******************************************************************
#include "wj100gld.h"
//#include "wj100spl.h"
//#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
//TSpriteList *TWildJoke100GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TWildJoke100SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TWildJoke100GameLord::SetReel()
{
  int16 x,y,z;
  x=(int16)random(5000);
  y=(int16)random(5000);
  z=(int16)random(5000);
  if(x<=120){x=0;}
  else if(x<=170){x=1;}
  else if(x<=290){x=2;}
  else if(x<=1080){x=3;}
  else if(x<=1105){x=4;}
  else if(x<=1650){x=5;}
  else if(x<=1825){x=6;}
  else if(x<=1865){x=7;}
  else if(x<=2015){x=8;}
  else if(x<=2855){x=9;}
  else if(x<=3035){x=10;}
  else if(x<=3140){x=11;}
  else if(x<=3335){x=12;}
  else if(x<=3680){x=13;}
  else if(x<=3855){x=14;}
  else if(x<=3930){x=15;}
  else if(x<=4065){x=16;}
  else if(x<=4265){x=17;}
  else if(x<=4460){x=18;}
  else if(x<=4560){x=19;}
  else if(x<=4765){x=20;}
  else if(x<=5000){x=21;}
  if(y<=135){y=0;}
  else if(y<=190){y=1;}
  else if(y<=375){y=2;}
  else if(y<=960){y=3;}
  else if(y<=1095){y=4;}
  else if(y<=1395){y=5;}
  else if(y<=1530){y=6;}
  else if(y<=1595){y=7;}
  else if(y<=1800){y=8;}
  else if(y<=2485){y=9;}
  else if(y<=2605){y=10;}
  else if(y<=2760){y=11;}
  else if(y<=3000){y=12;}
  else if(y<=3205){y=13;}
  else if(y<=3380){y=14;}
  else if(y<=3435){y=15;}
  else if(y<=3780){y=16;}
  else if(y<=4110){y=17;}
  else if(y<=4240){y=18;}
  else if(y<=4370){y=19;}
  else if(y<=4675){y=20;}
  else if(y<=5000){y=21;}
  if(z<=120){z=0;}
  else if(z<=170){z=1;}
  else if(z<=290){z=2;}
  else if(z<=1080){z=3;}
  else if(z<=1105){z=4;}
  else if(z<=1650){z=5;}
  else if(z<=1825){z=6;}
  else if(z<=1865){z=7;}
  else if(z<=2015){z=8;}
  else if(z<=2855){z=9;}
  else if(z<=3035){z=10;}
  else if(z<=3140){z=11;}
  else if(z<=3335){z=12;}
  else if(z<=3680){z=13;}
  else if(z<=3855){z=14;}
  else if(z<=3930){z=15;}
  else if(z<=4065){z=16;}
  else if(z<=4265){z=17;}
  else if(z<=4460){z=18;}
  else if(z<=4560){z=19;}
  else if(z<=4765){z=20;}
  else if(z<=5000){z=21;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TWildJoke100GameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 0;break;
	 case 1  : s0 = 5;break;
	 case 2  : s0 = 0;break;
	 case 3  : s0 = 1;break;
	 case 4  : s0 = 0;break;
	 case 5  : s0 = 2;break;
	 case 6  : s0 = 0;break;
	 case 7  : s0 = 5;break;
	 case 8  : s0 = 0;break;
	 case 9  : s0 = 1;break;
	 case 10 : s0 = 0;break;
	 case 11 : s0 = 4;break;
	 case 12 : s0 = 0;break;
	 case 13 : s0 = 3;break;
	 case 14 : s0 = 0;break;
	 case 15 : s0 = 5;break;
	 case 16 : s0 = 0;break;
	 case 17 : s0 = 2;break;
	 case 18 : s0 = 0;break;
	 case 19 : s0 = 4;break;
	 case 20 : s0 = 0;break;
	 case 21 : s0 = 3;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 0;break;
	 case 1  : s1 = 5;break;
	 case 2  : s1 = 0;break;
	 case 3  : s1 = 1;break;
	 case 4  : s1 = 0;break;
	 case 5  : s1 = 2;break;
	 case 6  : s1 = 0;break;
	 case 7  : s1 = 5;break;
	 case 8  : s1 = 0;break;
	 case 9  : s1 = 1;break;
	 case 10 : s1 = 0;break;
	 case 11 : s1 = 4;break;
	 case 12 : s1 = 0;break;
	 case 13 : s1 = 3;break;
	 case 14 : s1 = 0;break;
	 case 15 : s1 = 5;break;
	 case 16 : s1 = 0;break;
	 case 17 : s1 = 2;break;
	 case 18 : s1 = 0;break;
	 case 19 : s1 = 4;break;
	 case 20 : s1 = 0;break;
	 case 21 : s1 = 3;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 0;break;
	 case 1  : s2 = 5;break;
	 case 2  : s2 = 0;break;
	 case 3  : s2 = 1;break;
	 case 4  : s2 = 0;break;
	 case 5  : s2 = 2;break;
	 case 6  : s2 = 0;break;
	 case 7  : s2 = 5;break;
	 case 8  : s2 = 0;break;
	 case 9  : s2 = 1;break;
	 case 10 : s2 = 0;break;
	 case 11 : s2 = 4;break;
	 case 12 : s2 = 0;break;
	 case 13 : s2 = 3;break;
	 case 14 : s2 = 0;break;
	 case 15 : s2 = 5;break;
	 case 16 : s2 = 0;break;
	 case 17 : s2 = 2;break;
	 case 18 : s2 = 0;break;
	 case 19 : s2 = 4;break;
	 case 20 : s2 = 0;break;
	 case 21 : s2 = 3;break;
	 default : s2 = 0;
  }
  if(s0 == 5 && s1 == 5 && s2 == 5)
  {
	PayOffSound = 5;
	 if(coinsplayed == 3){ActivateSprite(Song,GetAdjFUC());return 10000;}
	 if(coinsplayed == 2){return 2000;}
	 if(coinsplayed == 1){return 1000;}
  }
  if((s0 == 4 || s0 == 5) && (s1 == 4 || s1 == 5) && (s2 == 4 || s2 == 5))
  {
	 PayOffSound = 4;
	 if(coinsplayed == 3){return 750;}
	 if(coinsplayed == 2){return 500;}
	 if(coinsplayed == 1){return 250;}
  }
  if((s0 == 3 || s0 == 5) && (s1 == 3 || s1 == 5) && (s2 == 3 || s2 == 5))
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 150;}
	 if(coinsplayed == 2){return 100;}
	 if(coinsplayed == 1){return 50;}
  }
  if((s0 == 2 || s0 == 5) && (s1 == 2 || s1 == 5) && (s2 == 2 || s2 == 5))
  {
	 PayOffSound = 2;
	 if(coinsplayed == 3){return 60;}
	 if(coinsplayed == 2){return 40;}
	 if(coinsplayed == 1){return 20;}
  }
  if((s0 == 1 || s0 == 5) && (s1 == 1 || s1 == 5) && (s2 == 1 || s2 == 5))
  {
	 PayOffSound = 1;
	 if(coinsplayed == 3){return 30;}
	 if(coinsplayed == 2){return 20;}
	 if(coinsplayed == 1){return 10;}
  }
  return 0;
}
//*******************************************************************
//void TWildJoke100GameLord::SetupSprites()
//{
//  Song = GetSpriteIndex(GetResString(IDS_AS_SONG_S_W100));
//  //Sounds = NULL;
// // Sounds      = (TSSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_S_W100));
//  if (Sounds  == NULL) {SpriteError("Slots Sounds",GetResString(IDS_MS_SOUNDS_S_W100));}
//   Sounds->Start(GetFUC());
// /* Button0 = NULL;
//  Button1 = NULL;
//  Button2 = NULL;
//  Button3 = NULL;
//  Button4 = NULL;
//  Button5 = NULL;
//  Button6 = NULL;
//  Button7 = NULL;
//  BankCashDisplay = NULL;
//  CoinPay         = NULL;
//  Reel            = NULL;
//  CoinsPlayed     = NULL;
//  WinPaid         = NULL;
//  Credits         = NULL;
//  Chips           = NULL;
//  NamePlate1       = NULL;
//  NamePlate2       = NULL;
//  NamePlate3       = NULL;
//
//  CoinsPlayed     = (TSCoinsPlayed   *) GetSpritePtr(GetResString(IDS_MS_COINSPLAYED_S_W100));
//  WinPaid         = (TSWinPaid       *) GetSpritePtr(GetResString(IDS_MS_WINPAID_S_W100));
//  Credits         = (TSCredits       *) GetSpritePtr(GetResString(IDS_MS_CREDITS_S_W100));
//  Chips           = (TCasChips       *) GetSpritePtr(GetResString(IDS_MS_CHIPS_S_W100));
//  Reel            = (TSReel          *) GetSpritePtr(GetResString(IDS_MS_REEL_S_W100));
//  CoinPay         = (TSCoinPay       *) GetSpritePtr(GetResString(IDS_MS_COINPAY_S_W100));
//  BankCashDisplay = (TCasCashDisplay *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_S_W100));
//  Button0            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B0_S_W100));
//  Button1            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B1_S_W100));
//  Button2            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B2_S_W100));
//  Button3            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B3_S_W100));
//  Button4            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B4_S_W100));
//  Button5            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B5_S_W100));
//  Button6            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B6_S_W100));
//  Button7            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B7_S_W100));
//  NamePlate1      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP1_S_W100));
//  NamePlate2      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP2_S_W100));
//  NamePlate3      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP3_S_W100));
//                        */
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_S_W100));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_S_W100));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_S_W100));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_S_W100));}
//  if (Reel            == NULL) {SpriteError("Reel",GetResString(IDS_MS_REEL_S_W100));}
//  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",        GetResString(IDS_MS_NP1_S_W100));}
//  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",        GetResString(IDS_MS_NP2_S_W100));}
//  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",        GetResString(IDS_MS_NP3_S_W100));}
//  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",   GetResString(IDS_MS_BANKCASH_S_W100));}
//  if (Button0 == NULL)       {SpriteError("Button0",      GetResString(IDS_MS_B0_S_W100));}
//  if (Button1 == NULL)       {SpriteError("Button1",      GetResString(IDS_MS_B1_S_W100));}
//  if (Button2 == NULL)       {SpriteError("Button2",      GetResString(IDS_MS_B2_S_W100));}
//  if (Button3 == NULL)       {SpriteError("Button3",      GetResString(IDS_MS_B3_S_W100));}
//  if (Button4 == NULL)       {SpriteError("Button4",      GetResString(IDS_MS_B4_S_W100));}
//  if (Button5 == NULL)       {SpriteError("Button5",      GetResString(IDS_MS_B5_S_W100));}
//  if (Button6 == NULL)       {SpriteError("Button6",      GetResString(IDS_MS_B6_S_W100));}
//  if (Button7 == NULL)       {SpriteError("Button7",      GetResString(IDS_MS_B7_S_W100));}
//  if (CoinPay       == NULL) {SpriteError("CoinPay",      GetResString(IDS_MS_COINPAY_S_W100));}
//
//	CoinsPlayed->Start(GetFUC());
//	Credits->Start(GetFUC());
//	WinPaid->Start(GetFUC());
//	Chips->Start(GetFUC());
//	ActivateSpriteNow(Reel);
//	CoinPay->Start(GetFUC());
//	BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//	NamePlate1->Start(GetFUC());
//	NamePlate2->Start(GetFUC());
//	NamePlate3->Start(GetFUC());
//
//}
//*******************************************************************
//void TWildJoke100GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TWildJoke100GameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_W100;
  idsButton1 = IDS_MS_B1_S_W100;
  idsButton2 = IDS_MS_B2_S_W100;
  idsButton3 = IDS_MS_B3_S_W100;
  idsButton4 = IDS_MS_B4_S_W100;
  idsButton5 = IDS_MS_B5_S_W100;
  idsButton6 = IDS_MS_B6_S_W100;
  idsButton7 = IDS_MS_B7_S_W100;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_W100;
  idsChips = IDS_MS_CHIPS_S_W100;
  idsCoinPay = IDS_MS_COINPAY_S_W100;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_W100;
  idsCredits = IDS_MS_CREDITS_S_W100;
  idsNP1 = IDS_MS_NP1_S_W100;
  idsNP2 = IDS_MS_NP2_S_W100;
  idsNP3 = IDS_MS_NP3_S_W100;
  idsReel = IDS_MS_REEL_S_W100;
  idsSound = IDS_MS_SOUNDS_S_W100;
  idsWinPaid = IDS_MS_WINPAID_S_W100;
  idsSong = IDS_AS_SONG_S_W100;
}
//*******************************************************************
TWildJoke100GameLord::TWildJoke100GameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslJokersWild,TMoney::did_100_00)//cd100)
{
  SetupUniqueIDStrings();

  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  maxbet=3;

  SetupSprites();
}
//*******************************************************************
TWildJoke100GameLord::~TWildJoke100GameLord()
{
  CleanupSprites();
}
//*******************************************************************