//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlintgl.cpp
//    Project Name:  VPLite
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/25/97    M.Perry    added intro mode.
//********************************************************************
#include "vlintgl.h"
#include "vlintgld.h"
#include "vlintmw.h"

//*******************************************************************
TVLIntroGObjList::TVLIntroGObjList(TVLIntroModeWin *pmodewin)
:TGObjList(pmodewin)
{
}
//*******************************************************************
TVLIntroGObjList::~TVLIntroGObjList()
{
}
//*******************************************************************
TGameObject *TVLIntroGObjList::CreateGObj(TFileMode fm)
{
  if (fm.Name == "s3glrd00")
  {
    return (new TVLIntroGameLord((TVLIntroModeWin *)PModeWin,fm));
  }
  return TGObjList::CreateGObj(fm);
}
//*******************************************************************