//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlintmw.cpp
//    Project Name:  VPLite
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/25/97    M.Perry     added intro mode.
//********************************************************************
#include "vlintmw.h"

#include "vlintgl.h"
#include "obmpmono.h"
#include "vplmenu.rh"
//*******************************************************************
TVLIntroModeWin::TVLIntroModeWin(string modename,TPal *ppal,string title)
:TCasinoModeWin(modename,ppal,title)
{
  ShowWindowBeforeGObjList = FALSE;
}
//*******************************************************************
TVLIntroModeWin::~TVLIntroModeWin()
{
}
//*******************************************************************
void TVLIntroModeWin::MakeGObjList()
{
  PGObjList = new TVLIntroGObjList(this);
}
//*******************************************************************
TBmp *TVLIntroModeWin::MakeBG()
{
  TBmp *pbmp;
  TOgleRect rect(Attr.X,Attr.Y,Attr.W,Attr.H);
  pbmp = new TBmpMono(this,rect,0);
  return pbmp;
}
//*******************************************************************
int TVLIntroModeWin::GetMenuID()
{
  return IDM_VPLITE_INTRO;
}
//*******************************************************************
void TVLIntroModeWin::CreateGroupGaugeDlg()
{
  PGroupGaugeDlg = CreateHiddenGrpGauge();
}
//*******************************************************************
