//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vpmodwin.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/21/95   A. Krist    Original baseline
//*******************************************************************
#include "vpmodwin.h"
#include "vplord.h"
#include "vpmainst.h"
#include "vpmodmst.h"
#include "gobj.h"
extern BankRoll;
#define  NUMBEROFPLAYERS 3
#define  HUMAN 3

//*******************************************************************
TVPModeWin::TVPModeWin()
{
 // cout << "ModeWinState constructor" << endl;
  pState = new TVPModeMainState(this);
 // if(pState != NULL) {pState->Run();}
  pLord  = new TVPLord(this);
}
//*******************************************************************
TVPModeWin::~TVPModeWin()
{
  if(pLord != NULL)
  {
	 delete pLord;
	 pLord = NULL;
  }
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
//  cout << "ModeWinState destructor" << endl;

}
//*******************************************************************
TVPModeWin::YHit()
{
  if(pState != NULL)
  {
	 if(pState->Run() == ess_Done)
	 {
	  //	cout << "I'm done!!!" << endl;
	 }
  }
  if(pLord->pState != NULL)
  {
	 pLord->pState->Run();
  }
  return 1;
}
//*******************************************************************
TVPModeWin::XHit()
{
  pState->XHit();
  pLord->pState->XHit();
  return 1;
}
