//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cvpplay.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0    10/11/95   M.Perry     Original baseline
//  2.0    09/25/97   M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//*******************************************************************
#include "cvpplay.h"
#include "vphand.h"

#include "osprlist.h"
#include "oskitcat.h"
//*******************************************************************
TCasinoVPPlayer::TCasinoVPPlayer(TOgleModeWindow *PNewModeWindow,
                                 const TFileMode &NewFileMode,int16 activeslotnum)
:TCasinoPlayer(PNewModeWindow,NewFileMode,activeslotnum)
{
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  TFileMode skcfm(SkitCatName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSkitCat(skcfm);

  pHand = new TVPHand(5);
  credit = 0;
}
//*******************************************************************
TCasinoVPPlayer::~TCasinoVPPlayer()
{
  delete pHand;
  pHand = NULL;
}
//*******************************************************************
#pragma argsused
void TCasinoVPPlayer::Activate(dword StartFUC)
{
  TCasinoPlayer::Activate(StartFUC);
  // set up session.
}
//*******************************************************************
void TCasinoVPPlayer::DeActivate()
{
  // cleanup session.
  TCasinoPlayer::DeActivate();
}
//*******************************************************************

