//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  tb100gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//  2.4    09/11/99    M.Perry    setupsprites() shrinkage
//*******************************************************************
#include "tb100gld.h"
//#include "tb100spl.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
//*******************************************************************
//TSpriteList *TTB100GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TTB100SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
//void TTB100GameLord::SetupSprites()
//{
// /* for (int16 i=0;i<5;i++)
//  {
//	 CardSprites[i] = NULL;
//  }
//  VPSounds = NULL;
//  VPSounds      = (TVPSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_VP_TB100));
// */ if (VPSounds  == NULL) {SpriteError("VPSounds",GetResString(IDS_MS_SOUNDS_VP_TB100));}
//   ActivateSpriteNow(VPSounds);
///*
//  Button0 = NULL;
//  Button1 = NULL;
//  Button2 = NULL;
//  Button3 = NULL;
//  Button4 = NULL;
//  Button5 = NULL;
//  Button6 = NULL;
//  Button7 = NULL;
//  Button8 = NULL;
//
//  CoinsPlayed     = NULL;
//  WinRatio        = NULL;
//  WinPaid         = NULL;
//  Credits         = NULL;
//  Chips           = NULL;
//  NamePlate1      = NULL;
//  NamePlate2      = NULL;
//  NamePlate3      = NULL;
//  BankCashDisplay = NULL;
//  DrawBack        = NULL;
//  CoinPay         = NULL;
//  VertLite        = NULL;
//
//  DrawBack           = (TVPDrawBack           *) GetSpritePtr(GetResString(IDS_MS_DRAWBACK_VP_TB100));
//  CoinPay            = (TVPCoinPay            *) GetSpritePtr(GetResString(IDS_MS_COINPAY_VP_TB100));
//  VertLite           = (TVPVertLite           *) GetSpritePtr(GetResString(IDS_MS_VERTLITE_VP_TB100));
//  */if (DrawBack        == NULL) {SpriteError("DrawBack",GetResString(IDS_MS_DRAWBACK_VP_TB100));}
//  if (CoinPay         == NULL) {SpriteError("CoinPay",GetResString(IDS_MS_COINPAY_VP_TB100));}
//  if (VertLite        == NULL) {SpriteError("VertLite",GetResString(IDS_MS_VERTLITE_VP_TB100));}
//
//	VertLite->Start(GetFUC());
//	DrawBack->Start(GetFUC());
//	CoinPay->Start(GetFUC());
//  /*
//  BankCashDisplay    = (TCasCashDisplay       *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_VP_TB100));
//  Button0            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B0_VP_TB100));
//  Button1            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B1_VP_TB100));
//  Button2            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B2_VP_TB100));
//  Button3            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B3_VP_TB100));
//  Button4            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B4_VP_TB100));
//  Button5            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B5_VP_TB100));
//  Button6            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B6_VP_TB100));
//  Button7            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B7_VP_TB100));
//  Button8            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B8_VP_TB100));
//  CardSprites[0]  = (TVPCard *)       GetSpritePtr(GetResString(IDS_MS_CARD1_VP_TB100));
//  CardSprites[1]  = (TVPCard *)       GetSpritePtr(GetResString(IDS_MS_CARD2_VP_TB100));
//  CardSprites[2]  = (TVPCard *)       GetSpritePtr(GetResString(IDS_MS_CARD3_VP_TB100));
//  CardSprites[3]  = (TVPCard *)       GetSpritePtr(GetResString(IDS_MS_CARD4_VP_TB100));
//  CardSprites[4]  = (TVPCard *)       GetSpritePtr(GetResString(IDS_MS_CARD5_VP_TB100));
//  CoinsPlayed     = (TVPCoinsPlayed *)GetSpritePtr(GetResString(IDS_MS_COINSPLAYED_VP_TB100));
//  WinRatio        = (TVPWinRatio *)   GetSpritePtr(GetResString(IDS_MS_WINRATIO_VP_TB100));
//  WinPaid         = (TVPWinPaid *)    GetSpritePtr(GetResString(IDS_MS_WINPAID_VP_TB100));
//  Credits         = (TVPCredits *)    GetSpritePtr(GetResString(IDS_MS_CREDITS_VP_TB100));
//  Chips           = (TCasChips *)     GetSpritePtr(GetResString(IDS_MS_CHIPS_VP_TB100));
//  NamePlate1      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP1_VP_TB100));
//  NamePlate2      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP2_VP_TB100));
//  NamePlate3      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP3_VP_TB100));
//    */
//  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",        GetResString(IDS_MS_NP1_VP_TB100));}
//  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",        GetResString(IDS_MS_NP2_VP_TB100));}
//  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",        GetResString(IDS_MS_NP3_VP_TB100));}
//  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",   GetResString(IDS_MS_BANKCASH_VP_TB100));}
//  if (Button0 == NULL)       {SpriteError("Button0",      GetResString(IDS_MS_B0_VP_TB100));}
//  if (Button1 == NULL)       {SpriteError("Button1",      GetResString(IDS_MS_B1_VP_TB100));}
//  if (Button2 == NULL)       {SpriteError("Button2",      GetResString(IDS_MS_B2_VP_TB100));}
//  if (Button3 == NULL)       {SpriteError("Button3",      GetResString(IDS_MS_B3_VP_TB100));}
//  if (Button4 == NULL)       {SpriteError("Button4",      GetResString(IDS_MS_B4_VP_TB100));}
//  if (Button5 == NULL)       {SpriteError("Button5",      GetResString(IDS_MS_B5_VP_TB100));}
//  if (Button6 == NULL)       {SpriteError("Button6",      GetResString(IDS_MS_B6_VP_TB100));}
//  if (Button7 == NULL)       {SpriteError("Button7",      GetResString(IDS_MS_B7_VP_TB100));}
//  if (Button8 == NULL)       {SpriteError("Button8",      GetResString(IDS_MS_B8_VP_TB100));}
//  if (CardSprites[0]  == NULL) {SpriteError("Card Sprite 1",GetResString(IDS_MS_CARD1_VP_TB100));}
//  if (CardSprites[1]  == NULL) {SpriteError("Card Sprite 2",GetResString(IDS_MS_CARD2_VP_TB100));}
//  if (CardSprites[2]  == NULL) {SpriteError("Card Sprite 3",GetResString(IDS_MS_CARD3_VP_TB100));}
//  if (CardSprites[3]  == NULL) {SpriteError("Card Sprite 4",GetResString(IDS_MS_CARD4_VP_TB100));}
//  if (CardSprites[4]  == NULL) {SpriteError("Card Sprite 5",GetResString(IDS_MS_CARD5_VP_TB100));}
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_VP_TB100));}
//  if (WinRatio        == NULL) {SpriteError("Win Ratio Bars",GetResString(IDS_MS_WINRATIO_VP_TB100));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_VP_TB100));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_VP_TB100));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_VP_TB100));}
//
//	BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//  ActivateSpriteNow(Button8);
//	CoinsPlayed->Start(GetFUC());
//	WinRatio->Start(GetFUC());
//	Credits->Start(GetFUC());
//	WinPaid->Start(GetFUC());
//  for (int16 j=0;j<5;j++)
//  {
//	  CardSprites[j]->Start(GetFUC());
//  }
//	Chips->Start(GetFUC());
//	NamePlate1->Start(GetFUC());
//	NamePlate2->Start(GetFUC());
//	NamePlate3->Start(GetFUC());
//
//}
//*******************************************************************
//void TTB100GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TTB100GameLord::SetUIDS()
{
  idsSounds = IDS_MS_SOUNDS_VP_TB100;
  idsVertLite = IDS_MS_VERTLITE_VP_TB100;
  idsDrawBack = IDS_MS_DRAWBACK_VP_TB100;
  idsCoinPay = IDS_MS_COINPAY_VP_TB100;
  idsChips = IDS_MS_CHIPS_VP_TB100;
  idsCard1 = IDS_MS_CARD1_VP_TB100;
  idsCard2 = IDS_MS_CARD2_VP_TB100;
  idsCard3 = IDS_MS_CARD3_VP_TB100;
  idsCard4 = IDS_MS_CARD4_VP_TB100;
  idsCard5 = IDS_MS_CARD5_VP_TB100;
  idsNP1 = IDS_MS_NP1_VP_TB100;
  idsNP2 = IDS_MS_NP2_VP_TB100;
  idsNP3 = IDS_MS_NP3_VP_TB100;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_VP_TB100;
  idsCredits = IDS_MS_CREDITS_VP_TB100;
  idsWinPaid = IDS_MS_WINPAID_VP_TB100;
  idsButton0 = IDS_MS_B0_VP_TB100;
  idsButton1 = IDS_MS_B1_VP_TB100;
  idsButton2 = IDS_MS_B2_VP_TB100;
  idsButton3 = IDS_MS_B3_VP_TB100;
  idsButton4 = IDS_MS_B4_VP_TB100;
  idsButton5 = IDS_MS_B5_VP_TB100;
  idsButton6 = IDS_MS_B6_VP_TB100;
  idsButton7 = IDS_MS_B7_VP_TB100;
  idsButton8 = IDS_MS_B8_VP_TB100;
  idsWinRatio = IDS_MS_WINRATIO_VP_TB100;
  idsBankCash = IDS_MS_BANKCASH_VP_TB100;
}
//*******************************************************************
TTB100GameLord::TTB100GameLord(TVideoPokerModeWin *pmwin,const TFileMode &fm)
:TCasinoVPGameLord(pmwin,fm,cvpTensOrBetter,cd100)
{
  SetupUniqueIDStrings();
  
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  SetupSprites();
}
//*******************************************************************
TTB100GameLord::~TTB100GameLord()
{
  CleanupSprites();
}
//*******************************************************************

