//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vpaskex2.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     2/2/96     M.Perry    split into separate cpp files.
//  2.0    09/25/97    M.Perry    32-bit conversion.
//********************************************************************
#include "vpaskex.h"
//#include "cvpglord.h"
#include "casvpmw.h"
#include "accvpgld.h"
//*******************************************************************
void TVPAsk::AskHoldJacks()
{
  pOwnerLord->fake->inhand = 0;
  for(int16 i=0;i<5;i++)
  {
	 pOwnerLord->fake->cards[i].name = pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->cards[i].name;
	 pOwnerLord->fake->cards[i].suit = pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->cards[i].suit;
	 pOwnerLord->fake->inhand++;
  }
  pOwnerLord->pSmarts->Insert_Sort(pOwnerLord->fake);
  pOwnerLord->pSmarts->Holding(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand);
  pOwnerLord->pSmarts->Holding(pOwnerLord->fake);

	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 105)
	 {//royal
		expertRecomString = TAppString(5003);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {
      if(pOwnerLord->fake->cards[4].name == AceHi)
		{
		  expertRecomString = TAppString(5003);
		  ExpertCode =1;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {//straight flush
		expertRecomString = TAppString(5006);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 71)
	 {//four o' kind
		expertRecomString = TAppString(5077);
		ExpertCode =20;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 70)
	 {//full house
		expertRecomString = TAppString(5010);
		ExpertCode =1;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3   )&&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26  	 )
	 {// four to a royal and a Flush
    if(pOwnerLord->fake->cards[0].name > Nine ||
			  (pOwnerLord->fake->cards[1].name > Nine &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[2].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[3].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[4].suit)   ))
		{
		  expertRecomString = TAppString(5078);
		  ExpertCode =3;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		 pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
	 {// four to a royal
		if(pOwnerLord->fake->cards[0].name > Nine ||
			  (pOwnerLord->fake->cards[1].name > Nine &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[2].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[3].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[4].suit)   ))
		{
		  expertRecomString = TAppString(5009);
		  ExpertCode =3;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26)
	 { //flush
		expertRecomString = TAppString(5016);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 20)
	 {//three o' kind
		expertRecomString = TAppString(5018);
		ExpertCode =5;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23 &&
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3) )
	 {//straight and four to a straight flush
		expertRecomString = TAppString(5081);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23)
	 {//straight
		expertRecomString = TAppString(5017);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3 )
	 {//four to a straight flush
		expertRecomString = TAppString(5019);
		ExpertCode =4;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 15)
	 {//two pair
		expertRecomString = TAppString(5050);
		ExpertCode =15;return;
	 }
	 if(pOwnerLord->fake->cards[0].name == Ten   &&
		 pOwnerLord->fake->cards[1].name == Ten   &&
		 pOwnerLord->fake->cards[2].name == Jack  &&
		 pOwnerLord->fake->cards[3].name == Queen &&
		 pOwnerLord->fake->cards[4].name == King)
	 {//k-q-j-10-10
		expertRecomString = TAppString(5088);
		ExpertCode =10;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)&&
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrght  > 3 ))
	 {//four to a straight and a pair
		expertRecomString = TAppString(5089);
		ExpertCode =16;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)&&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten)
	 {//high pair and three to a royal
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 )
		{//three to a royal
		  if((pOwnerLord->fake->cards[0].name > Nine &&
			((pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) )) ||
		  (pOwnerLord->fake->cards[1].name > Nine &&
			((pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) )) ||
		  (pOwnerLord->fake->cards[2].name > Nine &&
			(pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)))

		  {
			 expertRecomString = TAppString(5080);
			 ExpertCode =27;return;
		  }
		}
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)&&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten)
	 {//high pair
		expertRecomString = TAppString(5082);
		ExpertCode =27;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 )
	 {//three to a royal
		if((pOwnerLord->fake->cards[0].name > Nine &&
			((pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) )) ||
		  (pOwnerLord->fake->cards[1].name > Nine &&
			((pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) )) ||
		  (pOwnerLord->fake->cards[2].name > Nine &&
			(pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)))

		{
		  expertRecomString = TAppString(5021);
		  ExpertCode =6;return;
		}

	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->toflush > 3)
	 {//four to a flush  and a low pair
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)
		{// pair(low)
		  expertRecomString = TAppString(5090);
		  ExpertCode =9;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->toflush > 3)
	 {//four to a flush
		expertRecomString = TAppString(5029);
		ExpertCode =9;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)
	 {// pair(low)
		expertRecomString = TAppString(5028);
		ExpertCode =16;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3)
	 {//four to straight and two to a royal
		if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  == 2) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh == 2)) &&
		  ( (pOwnerLord->fake->cards[2].name > Nine &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Nine &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
		{//two to a royal(no 10)
		  expertRecomString = TAppString(5091);
		  ExpertCode =10;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3)
	 {//four to straight
		expertRecomString = TAppString(5045);
		ExpertCode =10;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 &&
		  pOwnerLord->fake->cards[4].name > Ten) ||
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2))
	 {//three to a straight flush with high card for gaps
		expertRecomString = TAppString(5044);
		ExpertCode =28;return;
	 }
	 if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 1) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 1)) &&
		  ( (pOwnerLord->fake->cards[2].name > Ten &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Ten &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
	 {//two to a royal(no 10)
		expertRecomString = TAppString(5031);
		ExpertCode =29;return;
	 }
	 if(pOwnerLord->fake->cards[2].name == Jack   &&
		 pOwnerLord->fake->cards[3].name == Queen  &&
		 pOwnerLord->fake->cards[4].name == King)
	 {//k-q-j
		expertRecomString = TAppString(5093);
		ExpertCode =31;return;
	 }
	 if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 1) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 1)) &&
		  ( (pOwnerLord->fake->cards[2].name > Nine &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Nine &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
	 {//two to a royal(10)
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten &&
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->lowcard > Ten)
		{ //two high cards
		  expertRecomString = TAppString(5092);
		  ExpertCode =30;return;
		}
	 }
	 if(pOwnerLord->fake->cards[2].name > Ten  &&
		 pOwnerLord->fake->cards[3].name > Ten  &&
		 pOwnerLord->fake->cards[4].name > Ten)
	 {//three high cards
		expertRecomString = TAppString(5094);
		ExpertCode =30;return;
	 }
	 if(pOwnerLord->fake->cards[3].name > Ten  &&
		 pOwnerLord->fake->cards[4].name > Ten)
	 {//two high cards
		expertRecomString = TAppString(5085);
		ExpertCode =30;return;
	 }
	 if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 1) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 1)) &&
		  ( (pOwnerLord->fake->cards[2].name > Nine &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Nine &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
	 {//two to a royal(10)
		expertRecomString = TAppString(5031);
		ExpertCode =18;return;
	 }

	 if(pOwnerLord->fake->cards[4].name > Ten)
	 {//high card
		expertRecomString = TAppString(5087);
		ExpertCode =32;return;
	 }
    if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2) ||
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2))
	 {//three to a straight flush
		expertRecomString = TAppString(5044);
		ExpertCode =22;return;
	 }
	 expertRecomString = TAppString(5032);    //garbage
	 ExpertCode =13;return;

}
//*******************************************************************
void TVPAsk::AskHoldJacksProg()
{
  pOwnerLord->fake->inhand = 0;
  for(int16 i=0;i<5;i++)
  {
	 pOwnerLord->fake->cards[i].name = pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->cards[i].name;
	 pOwnerLord->fake->cards[i].suit = pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->cards[i].suit;
	 pOwnerLord->fake->inhand++;
  }
  pOwnerLord->pSmarts->Insert_Sort(pOwnerLord->fake);
  pOwnerLord->pSmarts->Holding(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand);
  pOwnerLord->pSmarts->Holding(pOwnerLord->fake);

	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 105)
	 {//royal
		expertRecomString = TAppString(5003);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {
      if(pOwnerLord->fake->cards[4].name == AceHi)
		{
		  expertRecomString = TAppString(5003);
		  ExpertCode =1;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {//straight flush
		expertRecomString = TAppString(5006);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 71)
	 {//four o' kind
		expertRecomString = TAppString(5077);
		ExpertCode =20;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 70)
	 {//full house
		expertRecomString = TAppString(5010);
		ExpertCode =1;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3   )&&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26  	 )
	 {// four to a royal and a Flush
    if(pOwnerLord->fake->cards[0].name > Nine ||
			  (pOwnerLord->fake->cards[1].name > Nine &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[2].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[3].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[4].suit)   ))
		{
		  expertRecomString = TAppString(5078);
		  ExpertCode =3;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		 pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
	 {// four to a royal
      if(pOwnerLord->fake->cards[0].name > Nine ||
			  (pOwnerLord->fake->cards[1].name > Nine &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[2].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[3].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[4].suit)   ))
		{
		  expertRecomString = TAppString(5009);
		  ExpertCode =3;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26)
	 { //flush
		expertRecomString = TAppString(5016);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 20)
	 {//three o' kind
		expertRecomString = TAppString(5018);
		ExpertCode =5;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23 &&
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3) )
	 {//straight and four to a straight flush
		expertRecomString = TAppString(5081);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23)
	 {//straight
		expertRecomString = TAppString(5017);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 15)
	 {//two pair
		expertRecomString = TAppString(5050);
		ExpertCode =15;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3 )
	 {//four to a straight flush
		expertRecomString = TAppString(5019);
		ExpertCode =4;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)&&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten)
	 {//high pair and three to royal
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 )
		{//three to a royal
		  if((pOwnerLord->fake->cards[0].name > Nine &&
			((pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) )) ||
		  (pOwnerLord->fake->cards[1].name > Nine &&
			((pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) )) ||
		  (pOwnerLord->fake->cards[2].name > Nine &&
			(pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)))

		  {
			 expertRecomString = TAppString(5095);
			 ExpertCode =6;return;
		  }
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 )
	 {//three to a royal
		if((pOwnerLord->fake->cards[0].name > Nine &&
			((pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) )) ||
		  (pOwnerLord->fake->cards[1].name > Nine &&
			((pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) )) ||
		  (pOwnerLord->fake->cards[2].name > Nine &&
			(pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)))

		{
		  expertRecomString = TAppString(5021);
		  ExpertCode =6;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10 &&
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrght > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3) &&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten)
	 {//four to a straight and a high pair
		expertRecomString = TAppString(5096);
		ExpertCode =27;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10 &&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3 &&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->toflush == 4)
	 {//four to a Flush and a high pair
		expertRecomString = TAppString(5097);
		ExpertCode =27;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)&&
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten)
	 {//high pair
		expertRecomString = TAppString(5082);
		ExpertCode =27;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->toflush > 3)
	 {//four to a flush
		expertRecomString = TAppString(5029);
		ExpertCode =9;return;
	 }
	 if(pOwnerLord->fake->cards[0].name == Ten   &&
		 pOwnerLord->fake->cards[1].name == Ten   &&
		 pOwnerLord->fake->cards[2].name == Jack  &&
		 pOwnerLord->fake->cards[3].name == Queen &&
		 pOwnerLord->fake->cards[4].name == King)
	 {//k-q-j-10-10
		expertRecomString = TAppString(5088);
		ExpertCode =10;return;
	 }
	 if((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)&&
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrght  > 3 ))
	 {//four to a straight and a pair
		expertRecomString = TAppString(5089);
		ExpertCode =16;return;
	 }
	  if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10)
	 {// pair(low)
		expertRecomString = TAppString(5028);
		ExpertCode =16;return;
	 }
	 if(pOwnerLord->fake->cards[2].name == Jack   &&
		 pOwnerLord->fake->cards[3].name == Queen  &&
		 pOwnerLord->fake->cards[4].name == King   &&
		 pOwnerLord->fake->cards[1].name == Ten      )
	 {//k-q-j-10
		expertRecomString = TAppString(5098);
		ExpertCode =10;return;
	 }
	 if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 1) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 1)) &&
		  ( (pOwnerLord->fake->cards[2].name > Ten &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Ten &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
	 {//two to a royal(no 10)
		expertRecomString = TAppString(5031);
		ExpertCode =29;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3)
	 {//four to straight
		expertRecomString = TAppString(5045);
		ExpertCode =10;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2)
	 {//three to a straight flush
		expertRecomString = TAppString(5044);
		ExpertCode =8;return;
	 }
	 if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 1) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 1)) &&
		  ( (pOwnerLord->fake->cards[2].name > Nine &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Nine &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
	 {//two to a royal(10)
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highcard > Ten &&
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->lowcard == Ten)
		{ //high card
		  expertRecomString = TAppString(5031);
		  ExpertCode =18;return;
		}
	 }
	 if(pOwnerLord->fake->cards[2].name == Jack   &&
		 pOwnerLord->fake->cards[3].name == Queen  &&
		 pOwnerLord->fake->cards[4].name == King)
	 {//k-q-j
		expertRecomString = TAppString(5093);
		ExpertCode =31;return;
	 }
	 if(pOwnerLord->fake->cards[2].name > Ten  &&
		 pOwnerLord->fake->cards[3].name > Ten  &&
		 pOwnerLord->fake->cards[4].name > Ten)
	 {//three high cards
		expertRecomString = TAppString(5094);
		ExpertCode =30;return;
	 }
	 if(pOwnerLord->fake->cards[3].name > Ten  &&
		 pOwnerLord->fake->cards[4].name > Ten)
	 {//two high cards
		expertRecomString = TAppString(5085);
		ExpertCode =30;return;
	 }
	 if(pOwnerLord->fake->cards[4].name > Ten)
	 {//high card
		expertRecomString = TAppString(5087);
		ExpertCode =32;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2 ||
		 pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 2    )
	 {//three to a straight flush
		expertRecomString = TAppString(5044);
		ExpertCode =22;return;
	 }
	 expertRecomString = TAppString(5032);    //garbage
	 ExpertCode =13;return;

}
//*******************************************************************
void TVPAsk::AskHoldDeuces()
{
  pOwnerLord->GetNumOfWildCards();
  pOwnerLord->Wild2(true);

  if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->wildcount)
  {
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->wildcount > 2)
	 {

		switch(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand){
		  case 110 : expertRecomString = TAppString(5002);ExpertCode =220;break;
		  case 105 : expertRecomString = TAppString(5000);ExpertCode =1;break;
		  case 100 : expertRecomString = TAppString(5004);ExpertCode =1;break;
		  default  : expertRecomString = TAppString(5005);ExpertCode =55;break;
		}
		return;
	 }
	 else if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->wildcount > 1)
	 {
		switch(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand){
		  case 105 : expertRecomString = TAppString(5000);ExpertCode =1;break;
		  case 100 : expertRecomString = TAppString(5004);ExpertCode =1;break;
		  case  99 : if(pOwnerLord->fake->cards[2].name == Nine)
						 {
							expertRecomString = TAppString(5100);ExpertCode =1;break;
						 }
						 else
						 {
							expertRecomString = TAppString(5006);ExpertCode =1;break;
						 }
		  case  71 : expertRecomString = TAppString(5007);ExpertCode =102;break;
		  default  : if(pOwnerLord->fake->cards[2].name > Nine)
						 {
							if((pOwnerLord->fake->cards[3].name >
									 pOwnerLord->fake->cards[2].name) &&
								(pOwnerLord->fake->cards[2].suit ==
									 pOwnerLord->fake->cards[3].suit)   )
							{
							  expertRecomString = TAppString(5009);ExpertCode =136;break;
							}
							else if((pOwnerLord->fake->cards[4].name >
											pOwnerLord->fake->cards[2].name) &&
									  (pOwnerLord->fake->cards[2].suit ==
											pOwnerLord->fake->cards[4].suit)   )
							{
							  expertRecomString = TAppString(5009);ExpertCode =136;break;
							}
						 }
						 else if(pOwnerLord->fake->cards[3].name > Nine)
						 {
							if((pOwnerLord->fake->cards[4].name >
									 pOwnerLord->fake->cards[3].name) &&
								(pOwnerLord->fake->cards[4].suit ==
									 pOwnerLord->fake->cards[3].suit)   )
							{
							  expertRecomString = TAppString(5009);ExpertCode =136;break;
							}
						 }
						 expertRecomString = TAppString(5008);ExpertCode =37;break;
		}
		return;
	 }
	 else if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->wildcount) //repetitive check
	 {
		switch(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand){
		  case 105 : expertRecomString = TAppString(5000);
						 ExpertCode =1;return;
		  case 100 : expertRecomString = TAppString(5004);
						 ExpertCode =1;return;
		  case  99 : expertRecomString = TAppString(5006);
						 ExpertCode =1;return;
		  case  71 : expertRecomString = TAppString(5007);
						 ExpertCode =302;return;
		  case  70 : expertRecomString = TAppString(5010);
						 ExpertCode =1;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
		{
		  if(pOwnerLord->fake->cards[1].name > Nine ||
			  (pOwnerLord->fake->cards[2].name > Nine &&
				(pOwnerLord->fake->cards[2].name < pOwnerLord->fake->cards[3].name &&
				 pOwnerLord->fake->cards[3].name < pOwnerLord->fake->cards[4].name) &&
				 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[3].suit &&
				  pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[4].suit)))
		  {
			 expertRecomString = TAppString(5009);
			 ExpertCode =135;return;
		  }
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
		{
		  if(pOwnerLord->fake->cards[1].name > Nine ||
			  (pOwnerLord->fake->cards[2].name > Nine &&
				(pOwnerLord->fake->cards[2].name < pOwnerLord->fake->cards[3].name &&
				 pOwnerLord->fake->cards[3].name < pOwnerLord->fake->cards[4].name) &&
				 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[3].suit &&
				  pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[4].suit)))
		  {
			 expertRecomString = TAppString(5009);
			 ExpertCode =135;return;
		  }
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 &&
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26)
		{  //four to straight flush and a flush
		  expertRecomString = TAppString(5102);
		  ExpertCode =33;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 &&
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23)
		{  //four to straight flush and a straight
		  expertRecomString = TAppString(5103);
		  ExpertCode =33;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3)
		{  //four to straight flush
		  expertRecomString = TAppString(5019);
		  ExpertCode =33;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3 &&
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26)
		{  //four to straight flush (gap) and a flush
		  expertRecomString = TAppString(5104);
		  ExpertCode =1;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3 &&
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23)
		{  //four to straight flush (gap) and a straight
		  expertRecomString = TAppString(5105);
		  ExpertCode =1;return;
		}
		switch(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand){
		  case 26 : expertRecomString = TAppString(5016);
						 ExpertCode =1;return;
		  case 23 : expertRecomString = TAppString(5017);
						 ExpertCode =1;return;
		  case 20 : expertRecomString = TAppString(5018);
						 ExpertCode =5;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
		{   //four to straight flush (gap)
		  expertRecomString = TAppString(5019);
		  ExpertCode =104;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 &&
			pOwnerLord->fake->cards[1].name > Nine &&
			((pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[2].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[3].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[4].suit)))
		{   //three to royal flush
		  expertRecomString = TAppString(5021);
		  ExpertCode =6;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 &&
			pOwnerLord->fake->cards[2].name > Nine &&
			((pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit) ||
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)))
		{   //three to royal flush
		  expertRecomString = TAppString(5021);
		  ExpertCode =6;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 &&
			pOwnerLord->fake->cards[3].name > Nine &&
			(pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[4].suit))
		{   //three to royal flush
		  expertRecomString = TAppString(5021);
		  ExpertCode =6;return;
		}
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2)
		{
		  expertRecomString = TAppString(5044);
		  ExpertCode =88;return;
		}
		expertRecomString = TAppString(5106);
		ExpertCode =34;return;
	 }
  }
  else // no wild cards
  {
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 105)
	 {
		expertRecomString = TAppString(5003);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {
      if(pOwnerLord->fake->cards[4].name == AceHi)
		{
		  expertRecomString = TAppString(5003);
		  ExpertCode =1;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {
		if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
			pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
		{
		  if(pOwnerLord->fake->cards[1].name > Nine ||
			  (pOwnerLord->fake->cards[2].name > Nine &&
				(pOwnerLord->fake->cards[2].name < pOwnerLord->fake->cards[3].name &&
				 pOwnerLord->fake->cards[3].name < pOwnerLord->fake->cards[4].name) &&
				 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[3].suit &&
				  pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[4].suit)))
		  {
			 expertRecomString = TAppString(5107);
			 ExpertCode =3;return;
		  }
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		 pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 3)
	 {    //four to royal
		if(pOwnerLord->fake->cards[0].name > Nine ||
			  (pOwnerLord->fake->cards[1].name > Nine &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[2].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[3].suit) &&
           (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[4].suit)   ))
		{
		  expertRecomString = TAppString(5009);
		  ExpertCode =3;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 99)
	 {         //straight flush
		expertRecomString = TAppString(5006);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 71)
	 {          // four o kind
		expertRecomString = TAppString(5007);
		ExpertCode =2;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 70)
	 {       //full house
		expertRecomString = TAppString(5010);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 20)
	 {       // three o kind
		expertRecomString = TAppString(5018);
		ExpertCode =5;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26 &&
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3) )
	 {        // flush and four to straight flush
		expertRecomString = TAppString(5108);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 26)
	 {              //flush
		expertRecomString = TAppString(5016);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23 &&
		 (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3) )
	 {                          //straight and four to straight flush
		expertRecomString = TAppString(5109);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 23)
	 {              //straight
		expertRecomString = TAppString(5017);
		ExpertCode =1;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 3 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 3 )
	 {               // four to straight flush (gap)
		expertRecomString = TAppString(5019);
		ExpertCode =4;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2 ||
		  pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 2 )
	 {               //three to royal
		if((pOwnerLord->fake->cards[0].name > Nine &&
			((pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[1].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[0].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[0].suit) )) ||
		  (pOwnerLord->fake->cards[1].name > Nine &&
			((pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[2].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) ||
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[1].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[1].suit) )) ||
		  (pOwnerLord->fake->cards[2].name > Nine &&
			(pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit && pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)))

		{
		  expertRecomString = TAppString(5021);
		  ExpertCode =6;return;
		}
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 10 ||
		 pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->highhand == 15)
	 {                //hold one pair
		expertRecomString = TAppString(5028);
		ExpertCode =16;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->toflush > 3)
	 {           //four to flush
		expertRecomString = TAppString(5029);
		ExpertCode =9;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrght > 3)
	 {              //four to straight
		expertRecomString = TAppString(5045);
		ExpertCode =10;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh > 2 ||
		 pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 2  )
	 {        //three to straight flush (gap)
		expertRecomString = TAppString(5044);
		ExpertCode =8;return;
	 }
	 if(((pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrflsh  > 1) ||
		  (pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->outstrflsh > 1)) &&
		  ( (pOwnerLord->fake->cards[2].name > Nine &&
			 (pOwnerLord->fake->cards[3].suit == pOwnerLord->fake->cards[2].suit ||
			  pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[2].suit)) ||
			 (pOwnerLord->fake->cards[3].name > Nine &&
			 (pOwnerLord->fake->cards[4].suit == pOwnerLord->fake->cards[3].suit)) ))
	 {     //two to royal
		expertRecomString = TAppString(5031);
		ExpertCode =18;return;
	 }
	 if(pOwnerLord->GetCasPlayer(pOwnerLord->activeplayer)->pHand->instrght > 3)
	 {  // four to a one gap straight
		expertRecomString = TAppString(5045);
		ExpertCode =38;return;
	 }
    expertRecomString = TAppString(5032);
	 ExpertCode =13;return;
  }
}
//*******************************************************************