//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vplrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "acvplmst.h"
//*******************************************************************
TACVPLordMainState::TACVPLordMainState(TACVPVPGLord *pNewVPLord)
:TVPLordState(pNewVPLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
 				  ess_StartSubState2,ess_Done);
 // SetHeedRecommend(FALSE,TRUE);
}
//*******************************************************************
TACVPLordMainState::~TACVPLordMainState()
{
}
//*******************************************************************
void TACVPLordMainState::CreateSubState1()
{
  PActiveSubState = new TACInitVPState(pOwnerLord);
  pOwnerLord->Button0->ShowGray();
  pOwnerLord->Button3->ShowGray();
}
//*******************************************************************
void TACVPLordMainState::CreateSubState2()
{
  PActiveSubState = new TACVPAct1State(pOwnerLord);
}
//*******************************************************************
void TACVPLordMainState::CreateSubState3()
{
  PActiveSubState = new TACVPAct2State(pOwnerLord);
}
//*******************************************************************
void TACVPLordMainState::CreateSubState4()
{
//  PActiveSubState = new TVPDeInitState(pOwnerLord);
}
//*******************************************************************

