//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvsa2st.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5    10/17/99    M.Perry     Original baseline
//*******************************************************************
#include "acvsa2st.h"
#include "acvpsgld.h"
#include "acvswst.h"

#include "otimers.h"
#include "orespond.h"
//*******************************************************************
TACVPSlotsAct2State::TACVPSlotsAct2State(TACVPSlotsGameLord *plord)
:TACVPSlotsLordState(plord)
{
  SetRunOrder(ess_Execute,ess_StartSubState2,ess_Done);
}
//*******************************************************************
TACVPSlotsAct2State::~TACVPSlotsAct2State()
{
}
//*******************************************************************
void TACVPSlotsAct2State::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
}
//*******************************************************************
void TACVPSlotsAct2State::CreateSubState1()
{
  //empty
}
//*******************************************************************
void TACVPSlotsAct2State::CreateSubState2()
{
  PActiveSubState = new TACVPSlotsWinState(pOwnerLord);
}
//*******************************************************************

