//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvscpsp.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry    original baseline
//********************************************************************
#include "acvscpsp.h"
#include "oanm.h"
#include "owav.h"
//********************************************************************
//bool TACVPSlotsCoinsPlayed::IsWaveStopped(int16 wave)
//{
//  if (wave >= 0 && wave < NumWavs)
//  {
//    if (PWavs[wave] != NULL &&
//        PWavs[wave]->GetStarted() &&
//        !PWavs[wave]->GetStopped())
//    {
//      return false; //found wave still playing
//    }
//  }
//  else if (MostRecentWav >= 0 &&                    //wave < 0
//           MostRecentWav < NumWavs &&
//           PWavs[MostRecentWav] != NULL &&
//           PWavs[MostRecentWav]->GetStarted() &&
//           !PWavs[MostRecentWav]->GetStopped())
//  {
//  	 return false; // found wave still playing
//  }
//  return true;
//}
//*******************************************************************
//void TACVPSlotsCoinsPlayed::PlaySound(int16 sound)
//{
//  if (sound >= 0 && sound < NumWavs && PWavs[sound] != NULL)
//  {
//    PWavs[sound]->Start();
//    MostRecentWav = sound;
//  }
//}
//*******************************************************************
//void TACVPSlotsCoinsPlayed::PlayCoinsSound(int16 numcoins)
//{
//  int16 wavenum = numcoins + 4;
//  PlaySound(wavenum);
//}
//*******************************************************************
//void TACVPSlotsCoinsPlayed::PlayCreditsSound(int16 numcredits)
//{
//  int16 wavenum = numcredits - 1;
//  PlaySound(wavenum);
//}
//*******************************************************************
//mrp - 10/26/99 - wav's were moved into colm.sp with acvp_vp 
void TACVPSlotsCoinsPlayed::SetupAnms()
{
  PNums = GetAnm(0);
  if (PNums == NULL) {AnmError("Coins Played","Nums",0);}
  PNums->CAD.ClearAutoStart();
  PNums->CAD.SetDirStill();
  PNums->CAD.ClearAutoStop();
//  #if defined(ACVP_DEBUG_SPRITES)
//  int16 count = 0;
//  #endif
//  for(int16 i=0;i<NumWavs;i++)
//  {
//	 PWavs[i] = GetWav(i);
//	 if (PWavs[i] == NULL)
//    {
//      #if defined(ACVP_DEBUG_SPRITES)
//      count++;
//      #else
//      WavError("CoinsPlayed Sprite","sound",i);
//      #endif
//    }
//  }
//  #if defined(ACVP_DEBUG_SPRITES)
//  if (count > 0)
//  {
//    ::MessageBox(NULL,
//                 "Rich, this is Mike, where's my coinsplayed sounds?",
//                 "Warning! Missing Sounds!",
//                 MB_OK | MB_TASKMODAL);
//  }
//  #endif
}
//*******************************************************************
TACVPSlotsCoinsPlayed::TACVPSlotsCoinsPlayed(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  SetupAnms();
//  MostRecentWav = 0;
}
//*******************************************************************
TACVPSlotsCoinsPlayed::TACVPSlotsCoinsPlayed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  SetupAnms();
//  MostRecentWav = 0;
}
//*******************************************************************
TACVPSlotsCoinsPlayed::~TACVPSlotsCoinsPlayed()
{
}
//*******************************************************************
void TACVPSlotsCoinsPlayed::SetNum(int16 num)
{
  if (PNums == NULL) {return;}
  PNums->CAD.SetCurrentFrame(num);
  PNums->Show();
  Update(GetAdjFUC());
}
//*******************************************************************