//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvsglst.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5    10/17/99    M.Perry     Original baseline
//*******************************************************************
#include "acvsglst.h"
#include "acvpsgld.h"
//*******************************************************************
TACVPSlotsLordState::TACVPSlotsLordState(TACVPSlotsGameLord *plord)
{
  pOwnerLord = plord;
}
//*******************************************************************
TACVPSlotsLordState::~TACVPSlotsLordState()
{
}
//*******************************************************************
//void TACVPSlotsLordState::HandleUpdate(dword NewFUC)
//{
//  if (pOwnerLord->SubGameType == cslMonkeyMadness ||
//		pOwnerLord->SubGameType == cslAlienInvasion ||
//		pOwnerLord->SubGameType == cslSuperJackpot   )
//  {
//	if(NewFUC%3600 == 0)
//	{
//	  if(random(300) == 1)
//     {
//       pOwnerLord->progressive = pOwnerLord->ProgressiveBaseAmount;
//     }
//	}
//	if(pOwnerLord->progressive >= pOwnerLord->ProgressiveMaxAmount)
//   {
//     pOwnerLord->progressive = pOwnerLord->ProgressiveBaseAmount;
//   }
//	pOwnerLord->progressive += pOwnerLord->ProgressiveIncrement;
//	pOwnerLord->Progressive->SetNum(pOwnerLord->progressive);
//  }
//}
//*******************************************************************
bool TACVPSlotsLordState::NamePlate(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TACVPSlotsLordState *)PActiveSubState)->NamePlate(responder);
  }
  else
  {
	 return HandleNamePlate(responder);
  }
}
//*******************************************************************
bool TACVPSlotsLordState::SpeedClick(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TACVPSlotsLordState *)PActiveSubState)->SpeedClick(responder);
  }
  else
  {
	 return HandleSpeedClick(responder);
  }
}
//*******************************************************************
bool TACVPSlotsLordState::AddCoin(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TACVPSlotsLordState *)PActiveSubState)->AddCoin(responder);
  }
  else
  {
	 return HandleAddCoin(responder);
  }
}
//*******************************************************************

