create or replace package body PAccount as
//*******************************************************************
procedure Lock(BID IN PDef.TBID,
              account IN OUT TAccount,
              ec OUT PDef.TErrorCode)
{
  ec = PDef.EC_NONE;

  select account
  from Tbl_Account
  where rec.BID == BID
  for update

  if (not found)
  {
    ec = PDef.EC_BANK_ACCOUNT_NOTFOUND;
  }
}
//*****************************************************************
procedure UnLock(account IN OUT TAccount,
              ec OUT PDef.TErrorCode)
{
  update Tbl_Account
   rec = account
  where rec.BID == account.BID

   ec = PDef.EC_NONE;
}
//*****************************************************************
procedure Create(uan IN PDef.TUAN,
                 acccode IN PDef.TAccCode,
                 accsubcode IN PDef.TAccSubCode,
                 fi_accnum IN PDef.TAccNum,
                 name IN TName,
                 expdate IN PDef.TDate,
                 address IN TAddress,
                 nameofbank IN,
                 abanum IN,
                 account IN OUT TAccount,
                 ec OUT PDef.TErrorCode)
{
  // ??? do validity checking on parameters ???
  account = TAccount(Seq_BID.Next,
                     uan,
                     acccode,
                     accsubcode,
                     fi_accnum,
                     name,
                     expdate,
                     address,
                     nameofbank,
                     abanum,
                     "");

  account.CreateDescription();
  ec = PDef.EC_NONE;
}
//*****************************************************************
procedure Add(account IN OUT TAccount,ec OUT PDef.TErrorCode)
{
  insert into Tbl_Account
    account

  ec = PDef.EC_NONE;
}
//*****************************************************************
procedure CreateAdd(uan IN PDef.TUAN,
                    acccode IN PDef.TAccCode,
                    accsubcode IN PDef.TAccSubCode,
                    fi_accnum IN PDef.TAccNum,
                    name IN TName,
                    expdate IN PDef.TDate,
                    address IN TAddress,
                    nameofbank IN,
                    abanum IN,
                    account IN OUT TAccount,
                    ec OUT PDef.TErrorCode)
{
  Create(uan,
         acccode,
         accsubcode,
         fi_accnum,
         name,
         expdate,
         address,
         nameofbank,
         abanum,
         account,
         ec);
  if (ec == PDef.EC_NONE)
  {
    Add(account,ec);
  }
}
//*******************************************************************
end PAccount;