create or replace package body PChipsFreeWDTX as
//*******************************************************************
procedure Create(ean IN,uan IN,amount IN,chipsfreewdtx OUT,ec OUT)
{
  ec = EC_NONE;

  PWallet.Lock(uan,wallet,ec);
  wallet.DecFreeChips(amount);
  PWallet.UnLock(wallet,ec);

  chipsfreewdtx TChipsFreeWDTX = TChipsFreeWDTX(TXID_Seq.Next(),
                                                uan,
                                                false,
                                                amount,
                                                ean,
                                                SYSDATE);
}
//*******************************************************************
procedure Add(chipsfreewdtx IN,ec OUT)
{
  insert chipsfreewdtx
  into Tbl_ChipsFreeWDTX
}
//*******************************************************************
procedure CreateAdd(ean IN,uan IN,amount IN,txid OUT,ec OUT)
{
  Create(ean,uan,amount,chipsfreewdtx,ec);
  if (ec == EC_NONE)
  {
    txid = chipsfreewdtx.TXID;
    Add(chipsfreewdtx,ec);
  }
}
//*******************************************************************
end;