create or replace package PGameSession as
//*******************************************************************
procedure Create(uan IN PDef.TUAN,
                 cassessionid IN PDef.TCSID,
                 cassessioncounter IN PDef.TLgCount,
                 gamesessioncounter IN PDef.TLgCount,
                 gs IN OUT TGameSession,
                 ec OUT PDef.TErrorCode);

procedure Add(gs IN OUT TGameSession,ec OUT PDef.TErrorCode);

procedure CreateAdd(uan IN PDef.TUAN,
                    cassessionid IN PDef.TCSID,
                    cassessioncounter IN PDef.TLgCount,
                    gamesessioncounter IN PDef.TLgCount,
                    gs IN OUT TGameSession,
                    ec OUT PDef.TErrorCode);

function IsStopSafe(gs IN OUT TGameSession) return PDef.TBool;

procedure Start(user IN OUT TUser,
                gs IN OUT TGameSession,
                gametype IN PDef.TGame,
                mid IN PDef.TMID,
                ec OUT PDef.TErrorCode);

procedure Pause(user IN OUT TUser,
                gs IN OUT TGameSession,
                ec OUT PDef.TErrorCode);

procedure VerifyInstance(gs IN OUT TGameSession,ec OUT PDef.TErrorCode);

procedure ReStart(user IN OUT TUser,
                  gs IN OUT TGameSession,
                  ec OUT PDef.TErrorCode);

procedure Stop(user IN OUT TUser,
               gs IN OUT TGameSession,
               ec OUT PDef.TErrorCode);
//*******************************************************************
end PGameSession;