create or replace package body PGW as
//*******************************************************************
procedure Login(ipaddr IN,ec OUT)
{
  CreateAdd(ipaddr,ec);
}
//*******************************************************************
procedure Logoff(ipaddr IN,ec OUT)
{
  Remove(ipaddr,ec);
}
//*******************************************************************
procedure Create(ipaddr IN,gw OUT TGW,ec OUT)
{
  TGW gw = TGW(ipaddr);
  ec = EC_NONE;
}
//*******************************************************************
procedure Add(gw IN,ec OUT)
{
  TGW tempgw;
  Get(gw.IPAddr,tempgw,ec);
  if (ec == EC_NONE)
  {
    Remove(tempgw,ec);
  }
  insert gw into Tbl_GW;
  ec = EC_NONE;
}
//*******************************************************************
procedure CreateAdd(ipaddr IN,ec OUT)
{
  TGW gw;
  Create(ipaddr,gw,ec);
  Add(gw,ec);
}
//*******************************************************************
procedure Remove(ipaddr IN,ec OUT)
{
  PGWLink.RemoveGW(ipaddr,ec);

  delete from Tbl_GW
  where rec.IPAddr == ipaddr;

  ec = EC_NONE;
}
//*******************************************************************
procedure Get(ipaddr IN,gw OUT,ec OUT)
{
  select gw from Tbl_GW
  where gw.IPAddr == ipaddr
  for update;

  ec = EC_NONE;
}
//*******************************************************************
procedure Read(ipaddr IN,gw OUT,ec OUT)
{
  select gw from Tbl_GW
  where gw.IPAddr == ipaddr;

  ec = EC_NONE;
}
//*******************************************************************
procedure Set(gw IN,ec OUT)
{
  update Tbl_GW
  where rec.IPAddr == gw.IPAddr;

  ec = EC_NONE;
}
//*******************************************************************
end;