create or replace package PSlots as
//*******************************************************************
procedure BeginRound(si IN OUT TSlots_Instance,
                     ec OUT PDef.TErrorCode);

procedure EndRound(si IN OUT TSlots_Instance,
                   ec OUT PDef.TErrorCode);

procedure Start(user IN OUT TUser,
                mid IN PDef.TMID,
                uan IN PDef.TUAN,
                freeplay IN PDef.TBool,
                iid OUT PDef.TIID,
                ec OUT PDef.TErrorCode);

procedure Stop(user IN OUT TUser,
               iid IN PDef.TIID,
               cscounter IN PDef.TLgCount,
               wagered IN OUT PDef.TCurrency,
               wonlost IN OUT PDef.TCurrency,
               ec OUT PDef.TErrorCode);

function IsStopSafe(iid IN PDef.TIID,
                    uan IN PDef.TUAN) return TBool;

procedure BetOne(uan IN PDef.TUAN,
                 reply OUT PDef.TBetOne_Reply);

procedure BetMax(uan IN PDef.TUAN,
                 reply OUT TBetMax_Reply);

procedure Cashout(uan IN PDef.TUAN,
                  reply OUT PDef.TCashout_Reply);

procedure Spin(uan IN PDef.TUAN,
               reply OUT PDef.TSpin_Reply);
//*******************************************************************
end PSlots;