//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oconfig.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0      4/26/95   M.Perry     original baseline
//********************************************************************
#if !defined(__oconfig_h) // Sentry.
#define __oconfig_h

#define CONFIG_EXT ".cfg"

typedef struct
{
  char Mike[4] = "mike";
}TOgleConfigData;

class TOgleConfig
{
  BOOL FileFound;
  char *FullStartupExePathName[_MAX_DRIVE + _MAX_DIR + _MAX_FNAME + _MAX_EXT];
  char *ConfigStartupDrive[_MAX_DRIVE];
  char *ConfigStartupDir[_MAX_DIR];
  char *ConfigName[_MAX_FNAME];
  char *ConfigExt[_MAX_EXT];
  //char *ConfigNameExt[_MAX_FNAME + _MAX_EXT];
  char *ConfigFullPathName[_MAX_DRIVE + _MAX_DIR + _MAX_FNAME + _MAX_EXT];
  void *PConfigData;
  TOgleConfig() {};
  ~TOgleConfig();
  TOgleConfig(const char* NewFullStartupExePathName);
  BOOL RunFromCDRom();
  void FindCDRomDrive();
  virtual void SplitStartupPath();
  virtual void InitData();
  virtual void ReadFile();
  BOOL VerifyFile();
  void CreateFile();
  virtual BOOL WriteFile();
  virtual void SetConfigExt();
};

#endif
