//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hand.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     08/26/97   M.Perry     32-bit conversion.
//  2.4     08/26/99   A. Krist    TMoney added for insurance member
//*******************************************************************
#if !defined _hand_h
#define _hand_h

#include "ogle.h"
#include "card.h"
//*******************************************************************
class THand
{
public:
  TCard  *cards;
  int16    hold[5];  // Used in video poker only, move to TVPGObj
  int16    inhand;
  int16    highcard;
  int16    highcardsuit;
  int16    lowcard;
  int16    lowcardsuit;
  int16    highhand;
  int16    toflush;
  int16    instrght;
  int16    outstrght;
  int16    instrflsh;
  int16    outstrflsh;
  int16    instrflshsuit;
  int16    outstrflshsuit;
  int16    lohand;
  int16    lohighcard;
  int16    lolowcard;
  TMoney    insurance;    //used in blackjack
  int16    wildcount;    //used in video poker
  THand();
  virtual ~THand();
};
//*******************************************************************
#endif

