//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  obmpmono.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     11/8/96    M.Perry    original baseline
//  2.0     8/22/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__obmpmono_h)
#define __obmpmono_h

#if !defined(__obmp_h)
#include "obmp.h"
#endif

#define BMPMONO_MAX_LINE_LENGTH 640
//*******************************************************************
class TBmpMono:public TBmp
{
protected:
  void SetPixels(byte palindex);
  byte PalIndex;
  byte Pixels[BMPMONO_MAX_LINE_LENGTH];
public:
  TBmpMono(TOgleModeWindow *pmw,TOgleRect &rect,byte palindex = 0);
  virtual ~TBmpMono();
  virtual bool BltTo(TOgleVideoDC &vdc,TOgleRect &clipvrect);
  virtual bool BltTo(TGr &gr,TOgleRect &clipvrect);
};
//*******************************************************************
#endif