//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oell.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0      6/20/95   M.Perry    original baseline
//  2.0      8/20/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__ocell_h) 
#define __ocell_h

#if !defined(__obase_h)
#include "obase.h"
#endif
//*******************************************************************
class TOgleCell:public TOgleBase
{
public:
  string CellFileName;
  int16 ListIndex;

public:
  TOgleCell();
  TOgleCell(TOgleModeWindow *pmw);
  TOgleCell(TOgleModeWindow *pmw,TFileMode &fm);
  TOgleCell(TOgleModeWindow *pmw,void *PReadData,bool AutoRead = true);
  virtual ~TOgleCell();
  virtual void CreateLists(int16 RowNum);
  virtual TOgleBase *CreateNewBase(int16 RowNum);
  virtual void AddToOwnersList(int16 RowNum) {}
  string GetCellFileName() {return CellFileName;}
  void SetCellFileName(string &NewFileName) {CellFileName = NewFileName;}
  void SetCellFileName(const string &filename) {CellFileName = filename;}
  virtual bool CanActivate(dword StartFUC);
  virtual void ClearCell();
protected:
  virtual const char *GetIDChars() const;
};
//*******************************************************************
#endif

