//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oglord.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   M.Perry     original baseline
//  2.0     09/02/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__oglord_h)
#define __oglord_h

#if !defined(__ogobj_h)
#include "ogobj.h"
#endif
//*******************************************************************
class TGameLord:public TGameObject
{
public:
  bool ChangeActivePlayersOk;

public:
  TGameLord(TOgleModeWindow *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TGameLord();

  virtual bool SwitchDenom(TMoney denom);
  virtual bool IsPlayerChangeOk();
  virtual void NotifyPlayerActivation(int16 slotnum);
  virtual void NotifyPlayerDeActivation(int16 slotnum);
  virtual void NotifyPlayerCashChange(int16 slotnum);
  virtual void ShuttingDown();
};
//*******************************************************************
#endif
