//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ogobj.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//   1.0    6/1/95     M.Perry     original baseline
//   2.0    8/23/97    M.Perry     32-bit conversion.
//   2.1    12/6/97    M.Perry     filename mod's.
//********************************************************************
#if !defined(__ogobj_h)
#define __ogobj_h

#if !defined(__ogobjsk_h)
#include "ogobjsk.h"
#endif
//*******************************************************************
class TGameObject:public TGObjSk
{
protected:
 int16 IDCode;
 
public:
 int16 GetID() {return IDCode;}
 void SetID(int16 id) {IDCode = id;}
 TGameObject(TOgleModeWindow *pmw,const TFileMode &NewFileMode,
             bool AutoRead = true,bool KeepBaseFile = false);
 TGameObject(TOgleModeWindow *pmw);
 TGameObject(bool Dummy,TOgleModeWindow *pmw,const TFileMode &NewFileMode);
 virtual ~TGameObject();

 virtual bool ReadLocal();
 bool ReadLocal1_0();
 bool ReadLocal1_1();
 bool ReadLocal1_2();
 bool ReadLocal2_0();
 bool ReadLocal2_1();
 virtual bool WriteLocal();
 virtual bool Save();

protected:
//  virtual void SetMinVer();
 virtual void SetMajVer();
 virtual void SetMinVer();
 virtual const char *GetIDChars() const;
};
//*******************************************************************
#endif

