//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ofmode.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     6/25/95    M.Perry     original baseline
//********************************************************************
#include "ofmode.h"

//*******************************************************************
TFileMode::TFileMode(const TFileMode& NewFileMode)
{
  Name = NewFileMode.Name;
  HDStatus = NewFileMode.HDStatus;
  RamStatus = NewFileMode.RamStatus;
  DirIndex = NewFileMode.DirIndex;
  Shareable = NewFileMode.Shareable;
}
//*******************************************************************
TFileMode::TFileMode(string NewName,
                     TFileStatus NewHDStatus,
                     TFileStatus NewRamStatus,
                     int NewDirIndex,
                     BOOL NewShareable)
{
  Name = NewName;
  HDStatus = NewHDStatus;
  RamStatus = NewRamStatus;
  DirIndex = NewDirIndex;
  Shareable = NewShareable;
}
//*******************************************************************
TFileMode::TFileMode()
{
  HDStatus = fm_HD_None;
  RamStatus = fm_Ram_None;
  DirIndex = -1;
  Shareable = TRUE;
}
//*******************************************************************
