//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  osmsgdlg.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     11/27/96   M.Perry    original baseline
//  2.0     08/27/97   M.Perry    32-bit conversion.
//********************************************************************
#include "osmsgdlg.h"
//*******************************************************************
TScrollMsgDlg::TScrollMsgDlg(TWindow *pw,string title,string *ptext,int num)
:TDialog(pw,IDD_SCROLLMSG)
{
  PListBox = new TListBox(this,IDC_SCROLLMSG_LB);
  strTitle = title;
  PText = ptext;
  Num = num;
}
//*******************************************************************
TScrollMsgDlg::~TScrollMsgDlg()
{
  delete PListBox;
  PListBox = NULL;
}
//*******************************************************************
void TScrollMsgDlg::SetupWindow()
{
  TDialog::SetupWindow();
  SetCaption(strTitle.c_str());
  for (int i = 0;i<Num;i++)
  {
    PListBox->AddString(PText[i].c_str());
  }
}
//*******************************************************************