//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  osplash.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/11/97    M.Perry    original baseline
//  2.0    08/27/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__osplash_h)
#include "osplash.h"
#endif

#if !defined(__oapp_h)
#include "oapp.h"
#endif

#if !defined(OWL_GDIOBJEC_H)
#include <owl\gdiobjec.h>
#endif
//*******************************************************************
TSplashDlg::TSplashDlg(TResId hires,TResId medres,TResId lores)
:TBitmapDlg(NULL,NULL,NULL,bdRESIZE | bdIGNOREINPUT | bdOWNBITMAP)
// runtime check of screen resolution.
{
  int xres = ::GetSystemMetrics(SM_CXSCREEN);

  if (xres < 800)
  {
    PBitmap = new TBitmap(*TOgleApp::GetOgleApp(),lores);
  }
  else if (xres < 1024)
  {
    PBitmap = new TBitmap(*TOgleApp::GetOgleApp(),medres);
  }
  else
  {
    PBitmap = new TBitmap(*TOgleApp::GetOgleApp(),hires);
  }
}
//*******************************************************************
TSplashDlg::~TSplashDlg()
{
}
//*******************************************************************
