//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oglord.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.0    09/10/97    M.Perry    32-bit conversion.
//********************************************************************
#include "oglord.h"
//*******************************************************************
TGameLord::TGameLord(TOgleModeWindow *PNewOwnerWindow,const TFileMode &fm)
:TGameObject(true,PNewOwnerWindow,fm),
 ChangeActivePlayersOk(true)
{
}
//*******************************************************************
TGameLord::~TGameLord()
{
}
//*******************************************************************
bool TGameLord::SwitchDenom(TMoney denom)
{
  return false;
}
//*******************************************************************
bool TGameLord::IsPlayerChangeOk()
{
  return ChangeActivePlayersOk;
}
//*******************************************************************
#pragma argsused
void TGameLord::NotifyPlayerActivation(int16 slotnum)
{
}
//*******************************************************************
#pragma argsused
void TGameLord::NotifyPlayerDeActivation(int16 slotnum)
{
}
//*******************************************************************
#pragma argsused
void TGameLord::NotifyPlayerCashChange(int16 slotnum)
{
}
//*******************************************************************
void TGameLord::ShuttingDown()
{
  if (!ShutDownHandled)
  {
    // mode or whole game is shutting down.
    // do any player data cleanup here.
    TGameObject::ShuttingDown();
  }
}
//*******************************************************************