//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  osprtbl.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     6/20/95    M.Perry    original baseline
//  2.0     8/22/97    M.Perry    32-bit conversion.
//********************************************************************

#include "osprtbl.h"
//*******************************************************************
void TSpriteTable::SetMinVer()
{
  MinVer = 2;
}
//*******************************************************************
TSpriteTable::TSpriteTable(TOgleModeWindow *pmw,TSprite *PSprite)
:TOgleTable(pmw),
 POwnerSprite(PSprite)
{
}
//*******************************************************************
TSpriteTable::TSpriteTable(TOgleModeWindow *pmw,TFileMode &NewFileMode,TSprite *PSprite,void *PReadData,bool AutoRead)
:TOgleTable(pmw,true,NewFileMode), //use ctor with dummy parameter.
 POwnerSprite(PSprite)
{
  Init(PReadData,AutoRead);
}
//*******************************************************************
TSpriteTable::~TSpriteTable()
{
}
//*******************************************************************
TOgleRow *TSpriteTable::CreateNewRow()
{
  return (new TSpriteRow(PModeWin,FileMode,POwnerSprite));
}
//*******************************************************************
TOgleRow *TSpriteTable::CreateNewRow(void *PSource)
{
  return (new TSpriteRow(PModeWin,FileMode,POwnerSprite,PSource));
}
//*******************************************************************

