//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  winini.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     04/01/97   M.Perry     original baseline
//  2.0     09/10/97   M.Perry     32-bit conversion.
//********************************************************************
#include "winini.h"                                 

//*******************************************************************
bool TWinIniFile::WriteString(string inisection,string entrykey,string newentry)
{
  char buffer[300];
  strcpy(buffer,newentry.c_str());
  return WriteProfileString(inisection.c_str(),entrykey.c_str(),buffer);
}
//*******************************************************************
string TWinIniFile::ReadString(string inisection,string entrykey,string defstr)
{
  char buffer[_MAX_PATH];
  GetProfileString(inisection.c_str(),entrykey.c_str(),defstr.c_str(),buffer,_MAX_PATH);
  return string(buffer);
}
//*******************************************************************
int TWinIniFile::ReadInt(string inisection,string entrykey,int defint)
{
  UINT rc = GetProfileInt(inisection.c_str(),entrykey.c_str(),defint);
  return rc;
}
//*******************************************************************
bool TWinIniFile::WriteInt(string inisection,string entrykey,int newint)
{
  char buffer[17];
  itoa(newint,buffer,10);
  string str = buffer;
  return WriteString(inisection,entrykey,str);
}
//*******************************************************************
bool TWinIniFile::Writebool(string inisection,string entrykey,bool newbool)
{
  return WriteInt(inisection,entrykey,boolToint(newbool));
}
//*******************************************************************
bool TWinIniFile::Readbool(string inisection,string entrykey,bool defbool)
{
  return intTobool(ReadInt(inisection,entrykey,boolToint(defbool)));
}
//*******************************************************************

