//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  omem.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/9/95     M.Perry      original baseline
//********************************************************************
#include "omem.h"

DWORD AllocatedMem = 0;

void *GetMem(DWORD NumBytes, BOOL ClearMem)
{
  void *PHoldPtr;

  if (ClearMem)
  {
    PHoldPtr = NULL;
    PHoldPtr = GlobalAllocPtr(NumBytes,GMEM_MOVEABLE | GMEM_ZEROINIT);
    if (PHoldPtr != NULL)
    {
      // inc AllocatedMem using GlobalSize(GlobalHandle(PHoldPtr));
      return (PHoldPtr);
    }
  }
  else
  {
    PHoldPtr = NULL;
    PHoldPtr = GlobalAllocPtr(NumBytes,GMEM_MOVEABLE);
    if (PHoldPtr != NULL)
    {
      // inc AllocatedMem
      return (PHoldPtr);
    }
  }
}
//*******************************************************************
void FreeMem(void *POldPtr)
{
  void *PtempOldPtr;
  // getsize of ptr
  GlobalFreePtr(POldPtr);
  // if success then dec size from AllocatedMem.
}
//*******************************************************************
