//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  critdlg.h
//    Project Name:  GEd
// Original Author:  Dave Anderson
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/7/95     M.Perry     changed data used, moved into library
//********************************************************************
#ifndef __critdlg_h
#define __critdlg_h

#if !defined(OWL_DIALOG_H)
#include <owl/dialog.h>
#endif

#if !defined(__osktcrit_h)
#include "osktcrit.h"
#endif

#if !defined(__criteria_h)
#include "criteria.h"
#endif

#if !defined(__geddef_h)
#include "geddef.h"
#endif
//*******************************************************************
class GEDOWLCLASS TCriteriaDialog : public TDialog
{
   private:
      int m_UPPER_LIMIT;//number of strings in string table
      int m_LOWER_LIMIT;// will be 0
      int m_stringtablefirst;
      void m_SetRadioButtons();
      void OnYes();
      void OnNo();
      void OnDontCare();
      void Increment(int by);
      void Decrement(int by);
   public:
      TCriteriaDialog(TWindow *parent,
                      TResId resId,
                      int stringtablefirst,
                      TSkitCriteria *PNewSkitCriteria,
                      //BYTE* ptr,
                      //int size,
                      int currentQuestion =0);
      //BYTE* m_ptr;
      TSkitCriteria *PSkitCriteria;
      string m_strQuery;
      void SetupWindow();
      int m_CurrentQuestion;
      void OnPrevious();
      void OnPrevious10();
      void OnPrevious50();
      void OnNext();
      void OnNext10();
      void OnNext50();
      void OnClearAll();
DECLARE_RESPONSE_TABLE(TCriteriaDialog);
};
//*******************************************************************
#endif
