//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpcdsp.h    //CashDisplay
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist    original baseline
//  2.0     9/02/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__acvpcdsp_h)
#define __acvpcdsp_h

#include "osprite.h"
//*******************************************************************
class TACCasCashDisplay : public TSprite
{
public:
  TAnm           *PDigits[17];
  long            DelayEndFUC;
  TMoney            Win;
  TMoney            Bet;
  bool            DELAY;
  virtual void Update(dword NewFUC);
  void ShowMessageString(string str,long fuclen = 0,int OffSet = 0);
  void ShowWinNum(TMoney money,long fuclen = 0);
  void ShowCashOut(TMoney money,long fuclen = 0);
  void ShowBetNum(TMoney money,long fuclen = 0);
  void NoShowDisplay(BOOL back = TRUE);
  void SetupAnms();
  TACCasCashDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode);
  TACCasCashDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource);
  virtual ~TACCasCashDisplay();
  int SetNum(TMoney money,long fuclen = 0);
};
//*******************************************************************
#endif
