//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpddst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpddst_h
#define _acvpddst_h

#include "acvpglrd.h"
#include "acvpldst.h"
//*******************************************************************
class TACVPDoubleState : public TVPLordState
{
public:
  dword StartingFUC;
  bool Flipping;
  bool CardPicked;
  bool FirstFlip;
  bool heldCardShow;
  dword NextFUC;
  int16 NextCardNum;
  int16 heldNum;

  TACVPDoubleState(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPDoubleState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleHoldCard1(TResponder &responder);
  virtual bool HandleHoldCard2(TResponder &responder);
  virtual bool HandleHoldCard3(TResponder &responder);
  virtual bool HandleHoldCard4(TResponder &responder);
};
//*******************************************************************
#endif