//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpvsp.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/26/97    A.Krist     original baseline
//  2.0    09/04/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__acvpvsp_h)
#define __acvpvsp_h

#include "osprite.h"
//*******************************************************************
class TACVPValue : public TSprite
{
public:
  TAnm *PValue;
  TWav *PRockValue;
  void SetupAnms();
  void ChangeDenom(TMoney Amount,bool NoSound = false);
  void SetDenom(TMoney Amount);
  TACVPValue(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPValue(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPValue();
};
//*******************************************************************
#endif