//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slintgld.h
//    Project Name:  Slotlite
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/25/97    M.Perry     added intro mode.
//********************************************************************
#if !defined(__slintgld_h)
#define __slintgld_h

#include "casglord.h"
class TSLIntroModeWin;
//*******************************************************************
class TSLIntroGameLord:public TCasinoGameLord
{
protected:
  TCasinoModeWin *PCasinoModeWin;
  TResponder *PBigResponder;
  DWORD EndFUC;
  int LobbyModeIndex;
public:
  TSLIntroGameLord(TSLIntroModeWin *pmodewin,const TFileMode &fm);
  virtual ~TSLIntroGameLord();
  virtual BOOL Respond(TResponder &responder);
  virtual BOOL Respond(int id,int info = 0,void *pdata = NULL)
  {
    return TCasinoGameLord::Respond(id,info,pdata);
  }
  virtual void Update(DWORD fuc);
  virtual void SetupSprites();
};
//*******************************************************************
#endif