//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  sllordst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _sllordst_h
#define _sllordst_h

#include "ostate.h"
#include "slglord.h"
class TCasinoSLGameLord;
class TResponder;
//*******************************************************************
class TSLLordState : public TState
{
  public:
  TCasinoSLGameLord *pOwnerLord;
  TSLLordState(TCasinoSLGameLord *pNewSLLord);
 ~TSLLordState();

 virtual void HandleUpdate(DWORD NewFUC);

 BOOL Lobby(TResponder &responder);
 virtual BOOL HandleLobby(TResponder &responder) {return TRUE;}

// BOOL SpeedClick(TResponder &responder);
// virtual BOOL HandleSpeedClick(TResponder &responder) {return FALSE;}  //must override?
};
//*******************************************************************
#endif