//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  tlord.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     07/2/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _tlord_h
#define _tlord_h
#include "rmodewin.h"
class TTLordMainState;
class TTLord
{
  public:
  int winnum;
  int credits;
  int machinenum;
  int coinsplayed;
  int coinsize;
  int winnerpaid;
  int activeplayer;
  int maxbet;
  int pot;
  int numofsplits;
  int playersin;
  int game;
  TTLordMainState   *pState;
  TTModeWin         *pMWin;
  TTLord(TTModeWin *pmwin);
 ~TTLord();
  ShowWheel();
  ShowWinner();
  GetBet();
  Bet1();
  BetMax();
  CashOut();
  int GoodToGo();
  InitRoulette();
  Winner();
  void ClearActions();
  void FinalClear();
  GetPlayin() {return playersin;};
  SpinBall();
};
#endif