//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlintgld.h
//    Project Name:  VPLite
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/25/97    M.Perry     added intro mode.
//********************************************************************
#if !defined(__vlintgld_h)
#define __vlintgld_h

#include "casglord.h"
class TVLIntroModeWin;
//*******************************************************************
class TVLIntroGameLord:public TCasinoGameLord
{
protected:
  TCasinoModeWin *PCasinoModeWin;
  TResponder *PBigResponder;
  DWORD EndFUC;
  int LobbyModeIndex;
public:
  TVLIntroGameLord(TVLIntroModeWin *pmodewin,const TFileMode &fm);
  virtual ~TVLIntroGameLord();
  virtual BOOL Respond(TResponder &responder);
  virtual BOOL Respond(int id,int info = 0,void *pdata = NULL)
  {
    return TCasinoGameLord::Respond(id,info,pdata);
  }
  virtual void Update(DWORD fuc);
  virtual void SetupSprites();
};
//*******************************************************************
#endif