//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betnum.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/18/95   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _betnum_h
#define _betnum_h

#include "crbssp.h"
//*******************************************************************
class TBetNum : public TRBetSpot
{
private:
  TAnm *PMarker;

public:
  int16 num1;
  TBetNum(int16 Num1,TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code);
  TBetNum(int16 Num1,TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code);
  virtual ~TBetNum();
  void ShowMarker();
  void ShowMarkerDown();
  void NoShowMarker();
  virtual bool Winner(int16 WinNum);
  virtual bool Winner(int16 WinNum,int16 Player);
  virtual int32 Odds();
};
//*******************************************************************
#endif