//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjlst.h    // lose state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/16/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjlst_h
#define __bjlst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJLoseState : public TBJLordState
{
public:
  int16   loseto;
  int16 remove,show;
  bool FinishPlayer;
  bool FirstTime;
  int16 discards;

  dword StartingFUC;
  dword FUCLength;
  TBJLoseState(TCasinoBJGameLord *pNewBJLord,int16 LoseTo);
  virtual ~TBJLoseState();

  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);

  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
};
//*******************************************************************
#endif