//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjrist.h    // remove insure state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/16/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjrist_h
#define __bjrist_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJRemoveInsureState : public TBJLordState
{
public:
  int16   removeinsurefrom;
  dword StartingFUC;
  dword NextFUC;
  TBJRemoveInsureState(TCasinoBJGameLord *pNewBJLord,int16 RemoveInsureFrom);
  virtual ~TBJRemoveInsureState();

  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);

  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
};
//*******************************************************************
#endif