//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjfdst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/24/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjwinst_h
#define __bjwinst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJWinnerState : public TBJLordState
{
public:
  dword       StartingFUC;
  dword       FUCLength;
  bool        WaitOnSkit;
  bool        Start1;
  bool        Start2;
  bool        Start3;
  bool        Start4;
  bool        Start5;
  bool        Start6;
  bool        Start7;
  bool        Start8;

public:
  TBJWinnerState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJWinnerState();
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState1();
  virtual void EndSubState2();
  virtual void EndSubState3();
  virtual void EndSubState4();
  virtual void EndSubState5();
  virtual void EndSubState6();
  virtual void EndSubState7();
  virtual void CreateSubState3();
  virtual void CreateSubState4();
  virtual void CreateSubState5();
  virtual void CreateSubState6();
  virtual void CreateSubState7();
  virtual void CreateSubState8();
  virtual void CreateSubState9();
  virtual void HandlePostUpdate(dword NewFUC);
  void LookToNextWinner(int16 from);
  TBJLookFromTo NextWinner(int16 from);
};
//*******************************************************************
#endif
