//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caccapp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2    4/11/97     M.Perry    modified app hierarchy.
//  2.0   09/17/97     M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//********************************************************************
#if !defined(__caccapp_h)
#define __caccapp_h

#include "casapp.h"
//*******************************************************************
class TCasACCApp:public TCasinoApp
{
public:
  virtual void GetAppInfo(TOgleAppInfo &appinfo);
  TCasACCApp(string hddrive,string hddir,string appname);
  virtual ~TCasACCApp();
  virtual TOgleGameFrameWindow *CreateGameFrameWindow();
  virtual void CreateGameFile();
  virtual string GetDetName();
};
//*******************************************************************
#endif