//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cascmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    10/13/95    M.Perry     original baseline
//  2.0    09/18/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__cascmw_h)
#define __cascmw_h

#include "casmw.h"
#include "ccglord.h"
#include "ccplay.h"
//*******************************************************************
class CASOWLCLASS TCrapsModeWin:public TCasinoModeWin
{
public:
  TCrapsModeWin(string modename,TPal *PPal,string title = "Cardoza Entertainment's Craps");
  virtual ~TCrapsModeWin();
  TCasinoCGameLord *GetCLord() {return ((TCasinoCGameLord *)pLord);}
  TCasinoCPlayer *GetCPlayer(int16 slotnum) {return ((TCasinoCPlayer *)GObj[slotnum]);}
  virtual string GetDetName();
  virtual int GetMenuID();
  void CmOptionsBetOptions();
  void CeOptionsBetOptions(TCommandEnabler &ce);

  DECLARE_RESPONSE_TABLE(TCrapsModeWin);
};
//*******************************************************************
#endif
