//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caslgld.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/27/97    M.Perry    inserted for lobby idle turn off.
//  2.0    09/09/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__caslgld_h)
#define __caslgld_h

#include "casglord.h"
class TLobbyModeWin;
//*******************************************************************
class TCasLobbyGameLord:public TCasinoGameLord
{
public:
  TCasLobbyGameLord(TLobbyModeWin *pmwin,const TFileMode &fm,int16 subgametype,int16 denomid);//TMoney denom);
  virtual ~TCasLobbyGameLord();
  virtual void CheckLobbyIdles(dword fuc);
  virtual void Update(dword fuc);
  virtual void TurnOnNext();
  virtual void TurnOffNext();
  void SetTurnOffState(int16 state) {TurnOffState = state;}
  int16 GetTurnOffState() {return TurnOffState;}
protected:
  int16 TurnOffState;
  TLobbyModeWin *PLobbyModeWin;
};
//*******************************************************************
#endif