//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caslmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/14/95    M.Perry     original baseline
//  2.0    09/09/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__caslmw_h)
#define __caslmw_h

#include "casmw.h"
//*******************************************************************
class TLobbyModeWin:public TCasinoModeWin
{
protected:
  bool EnableCredits;
  bool EnableGiftShop;
public:
  TLobbyModeWin(string modename,TPal *PPal,string title = "Cardoza Entertainment's Lobby");
  virtual ~TLobbyModeWin();
  virtual void Update(dword fuc);
  int GoodCount;
  int SlowCount;
//  bool HideGauge; MRP
//  virtual TBmp *MakeBG();
//  virtual bool MakeBG();
  virtual void CreateGroupGaugeDlg();
  virtual int GetCreditsBmpID();

  void CmOptionsCredits();
  void CeOptionsCredits(TCommandEnabler &enabler);
  void CmOptionsGiftShop();
  void CeOptionsGiftShop(TCommandEnabler &enabler);

  DECLARE_RESPONSE_TABLE(TLobbyModeWin);
};
//*******************************************************************
#endif