//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cassmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/14/95    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//  2.3    07/12/99    M.Perry    gobjlist removal
//********************************************************************
#if !defined(__cassmw_h)
#define __cassmw_h

#include "casmw.h"
//class TCasinoSGameLord;
//*******************************************************************
class CASOWLCLASS TSlotsModeWin:public TCasinoModeWin
{
public:
  TSlotsModeWin(string modename,TPal *PPal,string title = "Cardoza Entertainment's Slots");
  virtual ~TSlotsModeWin();
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual void CreateGroupGaugeDlg();

  void CmOptions50Credits();
  void CeOptions50Credits(TCommandEnabler &enabler);
  void CmOptions100Credits();
  void CeOptions100Credits(TCommandEnabler &enabler);
  void CmOptions200Credits();
  void CeOptions200Credits(TCommandEnabler &enabler);

//  TCasinoSGameLord *GetSlotsGameLord() {return (TCasinoSGameLord *)GetCasGameLord();}

  DECLARE_RESPONSE_TABLE(TSlotsModeWin);
};
//*******************************************************************
#endif
