//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjbssp.h   // BetSpot
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/2/95    A. Krist    original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__cbjbssp_h)
#define __cbjbssp_h

#include "osprite.h"

class THand;
//*******************************************************************
class TBJBetSpot:public TSprite
{
public:
  TAnm *PBJ50Cent;
  TAnm *PInsure50Cent;
  TAnm *PChips[6];
  TAnm *PChips1[6];
  TAnm *PChips2[6];
  TAnm *PChips3[6];
  TAnm *PChips4[6];
  TAnm *PChips5[6];
  TAnm *PCards[6];
  TMoney insuranceamount;
  TMoney betamount;
  TMoney doubledownamount;
  bool NotFound;

public:
  void SetupAnms();
  TBJBetSpot(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TBJBetSpot(TOgleModeWindow *pmw,const TFileMode &fm,void *psource);
  virtual ~TBJBetSpot();
  void ShowBJChips();
  void NoShowBJChips();
  void ShowInsureChips(TMoney InsureAmount);
  void NoShowInsureChips();
  void ShowWinChips();
  void NoShowWinChips();
  void ShowDoubleDownWinChips();
  void NoShowDoubleDownWinChips();
  void ShowEvenMoneyChips() {ShowWinChips();}
  void ShowInsureWinChips();
  void NoShowInsureWinChips();
  void NoShowBetChips();
  void NoShowEvenMoneyChips();
  void ShowDoubleDownChips(TMoney BA);
  void NoShowDoubleDownChips();
  void NoShowChips();
  void NoShowCards();
  void NoShowCard(int16 num);// {PCards[num]->NoShow();}
  void ShowFace(THand *hand);
  void SetNum(TMoney num);
};
//*******************************************************************
#endif