//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjdspsp.h   // dealer spot
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/2/95    A. Krist    original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__cbjdspsp_h)
#define __cbjdspsp_h

#include "osprite.h"
#include "hand.h"
//*******************************************************************
class TBJDealerSpot:public TSprite
{
public:
  TAnm *PCards[6];
  TAnm *PBack;
  bool NotFound;
  void SetupAnms();
  TBJDealerSpot(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TBJDealerSpot(TOgleModeWindow *pmw,const TFileMode &fm,void *psource);
  virtual ~TBJDealerSpot();
  void ShowBack();
  void NoShowBack();
  void NoShowCards();
  void ShowFace(THand *hand);
  void ShowHoleCard(THand *hand);
};
//*******************************************************************
#endif
