//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cnamesp.h    //Name plate
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/26/95    A.Krist    original baseline
//  2.0     09/02/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__cnamesp_h)
#define __cnamesp_h

#include "osprite.h"
#include "otimers.h"
//*******************************************************************
class TCasNamePlate : public TSprite
{
public:
  int            MaxNameSize;
  TAnm           *PBackGround;
  TAnm           *PRedX;
  TAnm           *PCasNamePlate[12];
  dword          DelayEndFUC;

  virtual void Update(dword NewFUC);
  void ShowNamePlateString(string str,int color=0);
  void ShowRedX(long fuclen = 6);
  void NoShowNamePlate();
  void SetMaxNameSize(int Max);
  void SetupAnms();
  TCasNamePlate(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int MaxSize=12);
  TCasNamePlate(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource,int Maxsize=12);
  virtual ~TCasNamePlate();
};
//*******************************************************************
#endif
