//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  csreelsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__csreelsp_h)
#define __csreelsp_h

#include "osprite.h"
//*******************************************************************
class TSReel : public TSprite
{
public:
  TAnm *PBlur[3];
  TAnm *PReel[3];
  int16 BlurFrame0,BlurFrame1,BlurFrame2;
  bool  Blur0,Blur1,Blur2,NoShowStill;

public:
  TSReel(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TSReel(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TSReel();
  void SetupAnms();
  void Blur();
  void ShowReel(int16 Reel);
  void SetNum(int16 Reel0,int16 Reel1,int16 Reel2);
  virtual void PostUpdate(dword NewFUC);
};
//*******************************************************************
#endif