//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cvpcrdsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/16/95    M.Perry    original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__cvpcrdsp_h)
#define __cvpcrdsp_h

#include "osprite.h"
#include "card.h"
//*******************************************************************
class TVPCard:public TSprite
{
public:
  TAnm *PCard;
  TAnm *PBack;
  TAnm *PHold;
  void SetupAnms();
  TVPCard(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TVPCard(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TVPCard();
  void ShowBack();
  void ShowFlip();
  void ShowFace(TSuit suit,TCardName cardname);
  void Hold(bool held = true);
};
//*******************************************************************
#endif

