//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hsact1st.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/04/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _hsact1st_h
#define _hsact1st_h

#include "hsglord.h"
#include "hslordst.h"
//*******************************************************************
class THSAct1State : public THSLordState
{
public:
  THSAct1State(TCasinoHSGameLord *pNewHSLord);
  ~THSAct1State();
  bool  WaitOnTray;
  bool  IgnoreCoach;
  bool  WaitOnLightning;
  int   ZeroStart;
  dword AdvanceFUC;
  dword StartFUC;
  dword FUCLength;
  bool  Is4;
  bool  IsUp;
  dword DelayFUC;
  bool  Advance1;
  bool  Advance2;
  bool  Advance3;


  TResponder *AddCoinResponder;

  int WaitingOnWRCounter;
  bool askexpertflag,Lock,WaitOnSpin;
  int	 StopReelTime;
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void EndSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState2();
  virtual bool HandleAddCoin(TResponder &responder);
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleNamePlate(TResponder &responder);
};
//*******************************************************************
#endif
