//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  csposp.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist      original baseline
//  2.0    09/04/97    M.Perry      32-bit conversion.
//********************************************************************
#if !defined(__hsposp_h)
#define __hsposp_h

#include "osprite.h"
//*******************************************************************
class THSCoinPay : public TSprite
{
public:
  TAnm *PCoinPay[8];
  TWav *PWavs[7];
  void SetupAnms();
  THSCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  THSCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~THSCoinPay();
  void ClearTray();
  void StopSounds();
  void SetTray(int32 num);
  void PlaySound(int16 Sound);
};
//*******************************************************************
#endif