//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  csreelsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    M.Perry     original baseline
//  2.0    09/04/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__hsreelsp_h)
#define __hsreelsp_h

#include "osprite.h"
//*******************************************************************
class THSReel : public TSprite
{
public:
  int16   BlurFrame0,BlurFrame1,BlurFrame2;
  bool  Blur0,Blur1,Blur2,NoShowStill;
  TAnm *PBlur;
  TAnm *PReel;
  TWav *PReelStopSound[22];
  void SetupAnms();
  THSReel(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  THSReel(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~THSReel();
  void Blur();
  void ShowReel();
  void SetReel();
  void SetNum(int16 Reel0);
  virtual void PostUpdate(dword NewFUC);
};
//*******************************************************************
#endif