//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  poolgld.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/05/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__poolgld_h)
#define __poolgld_h

#include "hsglord.h"
//*******************************************************************
class TPoolGameLord:public TCasinoHSGameLord
{
public:

  TPoolGameLord(THunSlotsModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TPoolGameLord();
  virtual void CycleDenom();
  virtual TMoney PayOut();
  virtual TMoney PayLine1();
  virtual void SetReel();
  virtual void SetupSprites();
  virtual void CleanupSprites();
};
//*******************************************************************
#endif