//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  scoutst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _scoutst_h
#define _scoutst_h

#include "csglord.h"
#include "slordst.h"
//*******************************************************************
class TSCashOutState : public TSLordState
{
public:
  TResponder *SpeedClickResponder;
  int16 Count;
  bool Start16;

public:
  TSCashOutState(TCasinoSGameLord *pNewSLord);
  virtual ~TSCashOutState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleSpeedClick(TResponder &responder);
};
//*******************************************************************
#endif