//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vpdeck.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//*******************************************************************
#if !defined _vpdeck_h
#define _vpdeck_h

//#include <iostream.h>
#include "card.h"
#include "vphand.h"
#include "pokerdec.h"
#include "hand.h"

class TVideoPokerModeWin;
//*******************************************************************
class TVPDeck : public TPokerDeck
{
public:
  TVideoPokerModeWin *pmwin;
  TVPDeck(TVideoPokerModeWin *pMWin);
  virtual ~TVPDeck();
  int16 GetActPlayer();
  int16 ShowWinner(THand * h);
  virtual int16 Draw(THand * h);
  int16 FirstDeal();
  virtual int16 InitTemp(){return 1;};
  int16 InitVPDeck();
  int16 JokerShuffle();
  int16 RemoveJoker();
};
//*******************************************************************
#endif
