//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caccapp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/11/97    M.Perry     modified app hierarchy.
//  2.0    09/17/97    M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//********************************************************************
#include "caccapp.h"
#include "caccgfw.h"
//*******************************************************************
void TCasACCApp::GetAppInfo(TOgleAppInfo &appinfo)
{
  TCasinoApp::GetAppInfo(appinfo);
  appinfo.MainTitle = "Avery Cardoza's Casino 2000";
}
//*******************************************************************
TCasACCApp::TCasACCApp(string hddrive,string hddir,string appname)
:TCasinoApp(hddrive,hddir,appname)
{
}
//*******************************************************************
TCasACCApp::~TCasACCApp()
{
}
//*******************************************************************
TOgleGameFrameWindow *TCasACCApp::CreateGameFrameWindow()
{
  TOgleAppInfo appinfo;
  GetAppInfo(appinfo);
  return (new TCasACCGameFrameWindow(this,appinfo.MainTitle.c_str()));
}
//*******************************************************************
void TCasACCApp::CreateGameFile()
{
  TCasinoApp::CreateGameFile();
}
//*******************************************************************
string TCasACCApp::GetDetName()
{
//  return AppName;
  return string("casino.det");
}
//*******************************************************************
