//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casarun.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2    04/01/97    M.Perry    original baseline
//********************************************************************
#include "ogle.h"
#include "winini.h"
#include "omisc.h"
//*******************************************************************
int OwlMain(int /*argc*/,char *argv[])
{
  string HDDrive,HDDir,AppName,AppHDString,HDExt;
  AppHDString = argv[0];
  SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);

  TWinIniFile WinIniFile;
  string strPrevInstalled = WinIniFile.ReadString("Cardoza Entertainment",
                                                  "Casino",
                                                  "");

  string strSetup = HDDrive + HDDir;
  strSetup += "setup.exe";

  if (strPrevInstalled == "")
  {
    UINT setupinst = WinExec(strSetup.c_str(),SW_SHOWNORMAL);
    if (setupinst < 32)
    {
      MessageBox(NULL,"Autorun couldn't find setup program on CDRom","Error - Autorun",MB_OK);
    }
  }
  else
  {
    if (FileExists(strPrevInstalled))
    {
      UINT casinoinst = WinExec(strPrevInstalled.c_str(),SW_SHOWNORMAL);
      if (casinoinst < 32)
      {
        string strMsg = "Autorun couldn't run Casino program ('";
        strMsg += strPrevInstalled;
        strMsg += "')";
        MessageBox(NULL,strMsg.c_str(),"Error - Autorun",MB_OK);
        WinExec(strSetup.c_str(),SW_SHOWNORMAL);
      }
    }
    else
    {
      string strMsg2 = "Autorun couldn't find Casino program ('";
      strMsg2 += strPrevInstalled;
      strMsg2 += "')";
      MessageBox(NULL,strMsg2.c_str(),"Error - Autorun",MB_OK);
      WinExec(strSetup.c_str(),SW_SHOWNORMAL);
    }
  }
  return 0;
}
//*******************************************************************
