//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjdrawst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "bjdrawst.h"
#include "bjlord.h"
#include <iostream.h>

TBJDrawCardsState::TBJDrawCardsState(TBJLord *pNewBJLord)
	: TBJLordState(pNewBJLord)
{
 // cout << "BJDrawCardsState constructor" << endl;
}
TBJDrawCardsState::~TBJDrawCardsState()
{
 // cout << "BJDrawCardsState destructor" << endl;
}
//*******************************************************************
void TBJDrawCardsState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TBJDrawCardsState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->DrawCards1();
  pOwnerLord->DrawCards3();
  pOwnerLord->DrawCards5();
  pOwnerLord->DealerDraw();
  ExecuteStatus    = ess_Done;

}