//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  discards.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     07/18/95   A. Krist    Original baseline
//*******************************************************************

#include "discards.h"
#include <stdlib.h>
//#include "modewin.h"
#include "gamelord.h"
#define  NUMBEROFPLAYERS 8
#define  HUMAN 3
#define  DECK 30
TDiscards::TDiscards()
{
  deck = new TCard[DECK];
  top  = 0;
}
//*******************************************************************
TDiscards::~TDiscards()
{
  delete deck;
  deck = NULL;
  top  = 0;
}
//*******************************************************************
TDiscards::InitTemp()
{
  int i;

  for(i=0; i < DECK ;i++)
  {
	deck[i].name  = 0;
	deck[i].suit  = 0;
	deck[i].updown = 0;
  }
  return 1;
}
//*******************************************************************
TDiscards::Swap(int x,int y)
{
  TCard  tmp;

  tmp     = deck[x];
  deck[x] = deck[y];
  deck[y] = tmp;
  return 1;
}
//*******************************************************************
TDiscards::ShuffleTemp()
{
  int count,x,y,i;
  count = 1000;

  for(i=0; i < count; i++)
  {
	 x = random(top);
	 y = random(top);
	 Swap(x,y);
  }
  top = 0;
  return 1;
}
//*******************************************************************
TDiscards::Discard(TModeWin *pmwin,int i)
{
  int j=0;
  if(pmwin->GObj[i].pBrain->GetGamePtr()->inout == 1)
  {
	 for(j=pmwin->GObj[i].pHand->inhand;j<5;j++)
	 {
		/*pmwin->pLord->pDeck->pDiscards->*/deck[top] = pmwin->GObj[i].pHand->cards[j];
		/*pmwin->pLord->pDeck->pDiscards->*/deck[top++].updown = Down;
	 }
	 j=0;
  }
  if(pmwin->GObj[i].pBrain->GetGamePtr()->inout == 0)
  {
	 for(j=0;j<5;j++)
	 {
	  /*pmwin->pLord->pDeck->pDiscards->*/deck[top] = pmwin->GObj[i].pHand->cards[j];
	  /*pmwin->pLord->pDeck->pDiscards->*/deck[top++].updown = Down;
	 }
	 j=0;
  }
  return 1;
}
//*******************************************************************
TDiscards::DealDiscards(TModeWin *pmwin,int i)
{
  int j=0;
  for(j=pmwin->GObj[i].pHand->inhand;j<5;j++)
  {
		pmwin->GObj[i].pHand->cards[j] = deck[top++];
		pmwin->GObj[i].pHand->cards[j].updown = Down;
      pmwin->GObj[i].pHand->inhand++;
  }
  return 1;
}
//*******************************************************************
TDiscards::AddLeftover(THand *hnd)
{
  int j=0;
  for(j=0;j<hnd->inhand;j++)
  {
	 deck[top] = hnd->cards[j];
	 deck[top++].updown = Down;
  }
  return 1;
}

