//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjrist.cpp    // remove insurance state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/20/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "bjrist.h"
#include "cbjglord.h"
#include "otimers.h"
#include <iostream.h>
//*******************************************************************
TBJRemoveInsureState::TBJRemoveInsureState(TCasinoBJGameLord *pNewBJLord,int16 RemoveInsureFrom)
:TBJLordState(pNewBJLord)
{
  removeinsurefrom = RemoveInsureFrom;
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,ess_Done);
}
//*******************************************************************
TBJRemoveInsureState::~TBJRemoveInsureState()
{
}
//*******************************************************************
void TBJRemoveInsureState::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus  = ess_Execute;
  StartingFUC = pOwnerLord->GetAdjFUC();
}
//*******************************************************************
void TBJRemoveInsureState::HandlePostUpdate(dword NewFUC)
{
  if ((StartingFUC + 1) == NewFUC)
  {
  }
  else if ((StartingFUC + 4) == NewFUC)
  {
	 pOwnerLord->RemoveInsure(removeinsurefrom);
  }
  else if ((StartingFUC + 6) == NewFUC)
  {
	 ExecuteWaiting = false;
  }
}
//*******************************************************************
void TBJRemoveInsureState::CreateSubState1()
{
}
//*******************************************************************
void TBJRemoveInsureState::CreateSubState2()
{
}
//*******************************************************************
void TBJRemoveInsureState::CreateSubState3()
{
}
//*******************************************************************