//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  clordsta.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "clordsta.h"
#include "slot1lrd.h"
#include <iostream.h>

TSlot1LordState::TSlot1LordState(TSlot1Lord *pNewSlot1Lord)
{
//  cout << "GLordState constructor" << endl;
  pOwnerLord = pNewSlot1Lord;
}
TSlot1LordState::~TSlot1LordState()
{
 // cout << "GLordState destructor" << endl;
}
//*******************************************************************
void TSlot1LordState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TSlot1LordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TSlot1LordState::XHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TSlot1LordState *)PActiveSubState)->XHit();
  }
}