//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betdcome.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/18/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "betdcome.h"
//*******************************************************************
TBetDoNotCome::TBetDoNotCome(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,MessageCode)
{
  SpotType = ComeNot;
}
//*******************************************************************
TBetDoNotCome::TBetDoNotCome(TOgleModeWindow *pmw,const TFileMode &NewFileMode,
                             void *psource,int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,psource,MessageCode)
{
  SpotType = ComeNot;
}
//*******************************************************************
TBetDoNotCome::~TBetDoNotCome()
{
}
//*******************************************************************
TMoney TBetDoNotCome::AddBSCash(int16 Slot,TMoney amount,bool ComeOut,int16 Point,bool Flag)
{
  return TCBetSpot::AddBSCash(Slot,amount,ComeOut,Point,Flag);
}
//*******************************************************************
int32 TBetDoNotCome::Odds()
{
  return 1;
}
//*******************************************************************
#pragma argsused
bool TBetDoNotCome::IsValidAdd(int16 slot,TMoney amount,bool comeout,int16 point)
{
  if(!comeout){return true;}
  return false;
}
//*******************************************************************
#pragma argsused
bool TBetDoNotCome::IsValidRemove(int16 slot,TMoney amount,bool comeout,int16 point)
{
  if(!comeout && BetAmount[slot] > 0l){return true;}
  return false;
}
//*******************************************************************
#pragma argsused
TMoney TBetDoNotCome::SubBSCash(int16 slot,bool comeout)
{
  TMoney temp=0;
  temp = BetAmount[slot];
  BetAmount[slot] = 0l;
  SetNum();
  return temp;
}
//*******************************************************************
#pragma argsused
TMoney TBetDoNotCome::AddBSCash(int16 slot,TMoney amount,bool comeout,int16 point)
{
		BetAmount[slot] += amount;
		SetNum();
		return 0l;
}
//*******************************************************************
#pragma argsused
bool TBetDoNotCome::Winner(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if(FirstDice+SecondDice == 0 || FirstDice+SecondDice == 1)
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************
#pragma argsused
bool TBetDoNotCome::Loser(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if(FirstDice+SecondDice == 5 || FirstDice+SecondDice == 9)
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************