//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  ccaskex.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     12/29/95   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "ccaskex.h"
#include "ccglord.h"
#include "cascmw.h"
#include "ogamefw.h"
//*******************************************************************
TCAsk::TCAsk(TCasinoCGameLord *pNewCLord)
{
  pOwnerLord = pNewCLord;
}
//*******************************************************************
TCAsk::~TCAsk()
{
}
//*******************************************************************
void TCAsk::AskBadBetExpert(int code)
{
  switch(code)
  {
	 case 1  : expertRecomString  = TAppString(5800);
				  expertRecomString += TAppString(5801);
				  expertRecomString += TAppString(5802);break;
	 case 2  : expertRecomString  = TAppString(5803);
				  expertRecomString += TAppString(5804);
				  expertRecomString += TAppString(5805);break;
	 case 3  : expertRecomString  = TAppString(5806);
				  expertRecomString += TAppString(5807);
				  expertRecomString += TAppString(5808);break;
	 case 4  : expertRecomString  = TAppString(5809);
				  expertRecomString += TAppString(5810);
				  expertRecomString += TAppString(5811);break;
	 case 5  : expertRecomString  = TAppString(5812);
				  expertRecomString += TAppString(5813);
				  expertRecomString += TAppString(5814);break;
	 case 6  : expertRecomString  = TAppString(5815);
				  expertRecomString += TAppString(5816);
				  expertRecomString += TAppString(5817);break;
	 case 7  : expertRecomString  = TAppString(5818);
				  expertRecomString += TAppString(5819);
				  expertRecomString += TAppString(5820);break;
	 case 8  : expertRecomString  = TAppString(5821);
				  expertRecomString += TAppString(5822);
				  expertRecomString += TAppString(5823);break;
	 case 9  : expertRecomString  = TAppString(5824);
				  expertRecomString += TAppString(5825);
				  expertRecomString += TAppString(5826);break;
	 case 10 : expertRecomString  = TAppString(5827);
				  expertRecomString += TAppString(5828);
				  expertRecomString += TAppString(5829);break;
	 case 11 : expertRecomString  = TAppString(5830);
				  expertRecomString += TAppString(5831);
				  expertRecomString += TAppString(5832);break;
	 case 12 : expertRecomString  = TAppString(5833);
				  expertRecomString += TAppString(5834);
				  expertRecomString += TAppString(5835);break;
	 case 13 : expertRecomString  = TAppString(5836);
				  expertRecomString += TAppString(5837);
				  expertRecomString += TAppString(5838);break;
	 case 14 : expertRecomString  = TAppString(5839);
				  expertRecomString += TAppString(5840);
				  expertRecomString += TAppString(5841);break;
	 case 15 : expertRecomString  = TAppString(5842);
				  expertRecomString += TAppString(5843);
				  expertRecomString += TAppString(5844);break;
	 case 16 : expertRecomString  = TAppString(5845);
				  expertRecomString += TAppString(5846);
				  expertRecomString += TAppString(5847);break;
	 case 17 : expertRecomString  = TAppString(5848);
				  expertRecomString += TAppString(5849);
				  expertRecomString += TAppString(5850);break;
	 case 18 : expertRecomString  = TAppString(5851);
				  expertRecomString += TAppString(5852);
				  expertRecomString += TAppString(5853);break;
	 default : break;
  }
  pOwnerLord->GetFW()->DisplayExpert(expertRecomString);
}
//*******************************************************************
void TCAsk::AskOddsExpert(int code)
{
  switch(code)
  {
	 case 1  : expertRecomString  = TAppString(5854);
				  expertRecomString += TAppString(5855);
				  expertRecomString += TAppString(5856);
				  expertRecomString += TAppString(5857);
				  expertRecomString += TAppString(5858);
				  expertRecomString += TAppString(5859);
				  expertRecomString += TAppString(5860);
				  expertRecomString += TAppString(5861);
				  expertRecomString += TAppString(5862);
				  expertRecomString += TAppString(5863);
				  expertRecomString += TAppString(5864);
				  expertRecomString += TAppString(5865);break;
	 case 2  : expertRecomString  = TAppString(5866);
				  expertRecomString += TAppString(5867);
				  expertRecomString += TAppString(5868);
				  expertRecomString += TAppString(5869);
				  expertRecomString += TAppString(5870);
				  expertRecomString += TAppString(5871);
				  expertRecomString += TAppString(5872);
				  expertRecomString += TAppString(5873);
				  expertRecomString += TAppString(5874);
				  expertRecomString += TAppString(5875);
				  expertRecomString += TAppString(5876);
				  expertRecomString += TAppString(5877);break;
	 case 3  : expertRecomString  = TAppString(5878);
				  expertRecomString += TAppString(5879);
				  expertRecomString += TAppString(5880);
				  expertRecomString += TAppString(5881);
				  expertRecomString += TAppString(5882);
				  expertRecomString += TAppString(5883);
				  expertRecomString += TAppString(5884);
				  expertRecomString += TAppString(5885);break;
	 case 4  : expertRecomString  = TAppString(5886);
				  expertRecomString += TAppString(5887);
				  expertRecomString += TAppString(5888);
				  expertRecomString += TAppString(5889);
				  expertRecomString += TAppString(5890);
				  expertRecomString += TAppString(5891);
				  expertRecomString += TAppString(5892);
				  expertRecomString += TAppString(5893);break;
	 case 5  : expertRecomString  = TAppString(5894);
				  expertRecomString += TAppString(5895);
				  expertRecomString += TAppString(5896);
				  expertRecomString += TAppString(5897);
				  expertRecomString += TAppString(5898);
				  expertRecomString += TAppString(5899);
				  expertRecomString += TAppString(5900);break;
	 default : break;
  }
  pOwnerLord->GetFW()->DisplayExpert(expertRecomString);
}
//*******************************************************************
void TCAsk::AskBetExpert()
{
  expertRecomString = TAppString(5600);
  expertRecomString += TAppString(5601);
  expertRecomString += TAppString(5602);
  expertRecomString += TAppString(5603);
  expertRecomString += TAppString(5604);
  expertRecomString += TAppString(5605);
  expertRecomString += TAppString(5606);
  expertRecomString += TAppString(5607);
  expertRecomString += TAppString(5608);
  expertRecomString += TAppString(5609);
  expertRecomString += TAppString(5610);
  expertRecomString += TAppString(5611);
  pOwnerLord->GetFW()->DisplayExpert(expertRecomString);
}
//*******************************************************************
