//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ccbdsp.cpp
//    Project Name:  Casino
// Original Author:  Adam Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/18/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ccbdsp.h"
#include "oanm.h"
//*******************************************************************
void TCBigDice::SetupAnms()
{
  PBigDice = GetAnm(0);

  if (PBigDice == NULL) {AnmError("Ask Expert","bigdice",0);}
  PBigDice->CAD.ClearAutoStart();
  PBigDice->CAD.SetDirStill();
  PBigDice->CAD.ClearAutoStop();
}
//*******************************************************************
TCBigDice::TCBigDice(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TCBigDice::TCBigDice(TOgleModeWindow *pmw,const TFileMode &fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TCBigDice::~TCBigDice()
{
}
//*******************************************************************
void TCBigDice::ShowNum(int16 dice)
{
  if (PBigDice == NULL) {return;}
  PBigDice->CAD.SetCurrentFrame(dice);
  PBigDice->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
