//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cccirsp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    12/23/95    M.Perry    moved inline functions into .cpp file.
//  2.0    09/18/97    M.Perry    32-bit conversion.
//********************************************************************
#include "cccirsp.h"
#include "oanm.h"
//*******************************************************************
TCrapsCircle::TCrapsCircle(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TCrapsCircle::TCrapsCircle(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//********************************************************************
TCrapsCircle::~TCrapsCircle()
{
}
//*******************************************************************
void TCrapsCircle::NoShowCircle()
{
	 PPlayer->NoShow();
}
//*******************************************************************
void TCrapsCircle::SetupAnms()
{
	 PPlayer = GetAnm(0);
	 if (PPlayer == NULL) {AnmError("Circle","sprite",0);}
	 PPlayer->CAD.ClearAutoStart();
	 PPlayer->CAD.ClearAutoStop();
	 PPlayer->CAD.SetDirStill();
}
//*******************************************************************
void TCrapsCircle::SetCircle(int16 player)
{
  PPlayer->CAD.SetCurrentFrame(player);
  PPlayer->Show();
  return;
}
//*******************************************************************
