//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ccredmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    12/16/96    M.Perry    original baseline
//  2.0    09/17/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "ccredmw.h"
//#include "ccredgl.h"
#include "ccredgld.h"
#include "casplay.h"
#include "obmpmono.h"
#include "accmenu.rh"
//*******************************************************************
TCreditsModeWin::TCreditsModeWin(string modename,TPal *ppal,string title)
:TCasinoModeWin(modename,ppal,title)
{
  UseBmpMono = true;
  MonoColorNDX = 0;
  ShowWindowBeforeGObjList = false;
}
//*******************************************************************
TCreditsModeWin::~TCreditsModeWin()
{
}
//*******************************************************************
//void TCreditsModeWin::MakeGObjList()
//{
//  PGObjList = new TCreditsGObjList(this);
//}
//*******************************************************************
//TBmp *TCreditsModeWin::MakeBG()
//{
//  TBmp *pbmp;
//  TOgleRect rect(int16(Attr.X),int16(Attr.Y),int16(Attr.W),int16(Attr.H));
//  pbmp = new TBmpMono(this,rect,0);
//  return pbmp;
//}
//*******************************************************************
int TCreditsModeWin::GetMenuID()
{
  return IDM_CASINO_INTRO;
}
//*******************************************************************
TGameObject *TCreditsModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == "\\s1glrd00\\s1glrd00.go")
  {
    pLord = new TCreditsGameLord(this,fm);
    return pLord;
  }
  else if (fm == "\\s1humn00\\s1humn00.go")
  {
    GObj[0] = new TCasinoPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == "\\s1humn01\\s1humn01.go")
  {
    GObj[1] = new TCasinoPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == "\\s1humn02\\s1humn02.go")
  {
    GObj[2] = new TCasinoPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
    return new TGameObject(this,fm);
  }
}
//*******************************************************************
void TCreditsModeWin::SetupGObjs()
{
  if (pLord == NULL)
  {
    GObjError(string("GameLord"),string("intro glrd"));
  }
  // ignore any missing human gobjs.
}
//*******************************************************************
