//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cassmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     8/30/96 ?  M.Perry    original baseline
//  2.0    09/02/97    M.Perry    32-bit conversion.
//  2.3    06/26/99    M.Perry    filename mod's
//********************************************************************
#include "cashsmw.h"
#include "hsglord.h"
#include "chelpid.h"
#include "oloaddlg.h"
#include "hsmenu.rh"
//*******************************************************************
bool THunSlotsModeWin::SwitchDenom(TMoney &denom)
{
	return pLord->SwitchDenom(denom);
}
//*******************************************************************
void THunSlotsModeWin::CmOptions50Credits()
{
  if (GetHunSlotsGameLord() == NULL) {return;}
  GetHunSlotsGameLord()->AddCredits(50);
}
//*******************************************************************
void THunSlotsModeWin::CeOptions50Credits(TCommandEnabler &enabler)
{
  if (GetHunSlotsGameLord() != NULL)
  {
	 enabler.Enable(true);
  }
  else
  {
	 enabler.Enable(false);
  }
}
//*******************************************************************
void THunSlotsModeWin::CmOptions100Credits()
{
  if (GetHunSlotsGameLord() == NULL) {return;}
  GetHunSlotsGameLord()->AddCredits(100);
}
//******************************************************* ************
void THunSlotsModeWin::CeOptions100Credits(TCommandEnabler &enabler)
{
  if (GetHunSlotsGameLord() != NULL)
  {
	 enabler.Enable(true);
  }
  else
  {
	 enabler.Enable(false);
  }
}
//*******************************************************************
void THunSlotsModeWin::CmOptions200Credits()
{
  if (GetHunSlotsGameLord() == NULL) {return;}
  GetHunSlotsGameLord()->AddCredits(200);
}
//*******************************************************************
void THunSlotsModeWin::CeOptions200Credits(TCommandEnabler &enabler)
{
  if (GetHunSlotsGameLord() != NULL)
  {
	 enabler.Enable(true);
  }
  else
  {
	 enabler.Enable(false);
  }
}
//*******************************************************************
THunSlotsModeWin::THunSlotsModeWin(string modename,TPal *PPal,TMoney denom,string title)
:TCasinoModeWin(modename,PPal,title)
{
  StartDenom = denom;

  ModeHelpCommand = HELP_CONTEXT;
  ModeHelpData = IDH_CAS_SLOTS;
}
//*******************************************************************
THunSlotsModeWin::~THunSlotsModeWin()
{
}
//*******************************************************************
string THunSlotsModeWin::GetDetName()
{
  return string("hunslots.det");
}
//*******************************************************************
int THunSlotsModeWin::GetMenuID()
{
  return IDM_HUNSLOTS_SLOTS;
}
//*******************************************************************
void THunSlotsModeWin::CreateGroupGaugeDlg()
{
  PGroupGaugeDlg = new TLoadDlg(this,
										  this,
										  new TBitmap(*GetOgleApp(),IDB_LOADING_V2),
										  bdRESIZE | bdIGNOREINPUT | bdOWNBITMAP,
										  TRect(20,160,300,175),
										  TColor::LtYellow);
  PGroupGaugeDlg->Create();
}
//*******************************************************************
