//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  frutmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/08/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "frutmw.h"

#include "hsnames.rh"
//#include "frutgl.h"
#include "frutgld.h"
#include "hsplay.h"
//*******************************************************************
TFrutModeWin::TFrutModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TFrutModeWin::~TFrutModeWin()
{
}
//*******************************************************************
//void TFrutModeWin::MakeGObjList()
//{
//  PGObjList = new TFrutGObjList(this);
//}
//*******************************************************************
string TFrutModeWin::GetDetName()
{
  return string("d1fruit.det");
}
//*******************************************************************
//void TFrutModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("d1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("d1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//
//*******************************************************************
TGameObject *TFrutModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_FRUIT))
    {
      pLord = new TFrutGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_FRUIT))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************