//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  haunmw.cpp
//    Project Name:  HunSlots
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     05/06/97  A.Krist    original baseline
//  2.0     09/08/97  M.Perry    32-bit conversion.
//  2.3     06/26/99  M.Perry    filename mod's
//********************************************************************
#include "haunmw.h"
#include "hsnames.rh"
//#include "haungl.h"
#include "haungld.h"
#include "hsplay.h"
//*******************************************************************
THaunModeWin::THaunModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
THaunModeWin::~THaunModeWin()
{
}
//*******************************************************************
//void THaunModeWin::MakeGObjList()
//{
//  PGObjList = new THaunGObjList(this);
//}
//*******************************************************************
string THaunModeWin::GetDetName()
{
  return string("h1haunt.det");
}
//*******************************************************************
//void THaunModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("h1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("h1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//}
//*******************************************************************
TGameObject *THaunModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_HAUNT))
    {
      pLord = new THaunGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_HAUNT))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return (new TGameObject(this,fm));
    }
  }
}
//*******************************************************************
