//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hotrmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "hotrmw.h"
#include "hsnames.rh"
//#include "hotrgl.h"
#include "hotrgld.h"
#include "hsplay.h"
//*******************************************************************
THotRModeWin::THotRModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
THotRModeWin::~THotRModeWin()
{
}
//*******************************************************************
//void THotRModeWin::MakeGObjList()
//{
//  PGObjList = new THotRGObjList(this);
//}
//*******************************************************************
string THotRModeWin::GetDetName()
{
  return string("r1hot.det");
}
//*******************************************************************
//void THotRModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("r1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("r1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","r1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","r1humn01");}
//}
//*******************************************************************
TGameObject *THotRModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_HOTR))
    {
      pLord = new THotRGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_HOTR))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************