//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsapp.cpp
//    Project Name:  Hundred Slots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     5/20/97    M.Perry     original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//  2.3     06/26/99   M.Perry     filename mod's.
//********************************************************************
#include "hsapp.h"
#include "hsgfw.h"
#include "ogame.h"
//*******************************************************************
void THSApp::GetAppInfo(TOgleAppInfo &appinfo)
{
  TCasinoApp::GetAppInfo(appinfo);
  appinfo.MainTitle = "Avery Cardoza's Hundred Slots 2000";
}
//*******************************************************************
THSApp::THSApp(string hddrive,string hddir,string appname)
:TCasinoApp(hddrive,hddir,appname)
{
}
//*******************************************************************
THSApp::~THSApp()
{
}
//*******************************************************************
TOgleGameFrameWindow *THSApp::CreateGameFrameWindow()
{
  TOgleAppInfo appinfo;
  GetAppInfo(appinfo);
  return (new THSGameFrameWindow(this,appinfo.MainTitle.c_str()));
}
//*******************************************************************
void THSApp::CreateGameFile()
{
  GameFileName = "slots";
  PGame = new TOgleGame(GameFileName);
}
//*******************************************************************
string THSApp::GetDetName()
{
//  return AppName;
  return string("hunslots.det");
}
//*******************************************************************
//string THSApp::GetHelpName()
//{
//  return string("hunslots.hlp");
//}
//*******************************************************************
