//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hsllmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/97   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "hsllmst.h"
//*******************************************************************
THSLLordMainState::THSLLordMainState(TCasinoHSLGameLord *pNewHSLLord)
:THSLLordState(pNewHSLLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
}
//*******************************************************************
THSLLordMainState::~THSLLordMainState()
{
}
//*******************************************************************
void THSLLordMainState::CreateSubState1()
{
  PActiveSubState = new THSInitLState(pOwnerLord);
}
//*******************************************************************
void THSLLordMainState::CreateSubState2()
{
  PActiveSubState = new THSLAct1State(pOwnerLord);
}
//*******************************************************************
void THSLLordMainState::CreateSubState3()
{
  PActiveSubState = new THSLAct2State(pOwnerLord);
}
//*******************************************************************
void THSLLordMainState::CreateSubState4()
{
}
//*******************************************************************