//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  llordst.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/01/97   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "hsllst.h"
#include "hslglord.h"
//*******************************************************************
#pragma argsused
bool THSLLordState::Lobby(TResponder &responder)
{
  return true;
}
//*******************************************************************
THSLLordState::THSLLordState(TCasinoHSLGameLord *pNewHSLLord)
{
  pOwnerLord = pNewHSLLord;
}
//*******************************************************************
THSLLordState::~THSLLordState()
{
}
//*******************************************************************
#pragma argsused
void THSLLordState::HandleUpdate(dword NewFUC)
{
	 for(int i=0;i<7;i++)
	 {
		if(NewFUC%3600 == 0)
		{
		  if(random(300) == 1) {pOwnerLord->ProgressiveAmounts[i] =
										pOwnerLord->ProgressiveBaseAmounts[i];}
		}
		if(pOwnerLord->ProgressiveAmounts[i] >= pOwnerLord->ProgressiveMaxAmount)
		{pOwnerLord->ProgressiveAmounts[i] = pOwnerLord->ProgressiveBaseAmounts[i];}
		pOwnerLord->ProgressiveAmounts[i] += pOwnerLord->ProgressiveIncrements[i];
	 }
	 pOwnerLord->Progressive->SetNum(pOwnerLord->ProgressiveAmounts[pOwnerLord->CurrentProgressiveDisplayed]);
}
//*******************************************************************
bool THSLLordState::SpeedClick(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((THSLLordState *)PActiveSubState)->SpeedClick(responder);
  }
  else
  {
	 return HandleSpeedClick(responder);
  }
}
//*******************************************************************
