//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hslplay.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0    10/11/95   M.Perry    Original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//*******************************************************************
#include "hslplay.h"
#include "osprlist.h"
#include "oskitcat.h"
//*******************************************************************
TCasinoHSLPlayer::TCasinoHSLPlayer(TOgleModeWindow *PNewModeWindow,TFileMode NewFileMode,
                                   int16 activeslotnum)
:TCasinoPlayer(PNewModeWindow,NewFileMode,activeslotnum)
{
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  TFileMode skcfm(SkitCatName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSkitCat(skcfm);

  credit = 0;
}
//*******************************************************************
TCasinoHSLPlayer::~TCasinoHSLPlayer()
{
}
//*******************************************************************
#pragma argsused
void TCasinoHSLPlayer::Activate(dword StartFUC)
{
  TCasinoPlayer::Activate();
  // set up session.
}
//*******************************************************************
void TCasinoHSLPlayer::DeActivate()
{
  // cleanup session.
  TCasinoPlayer::DeActivate();
}
//*******************************************************************