//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  quesmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "quesmw.h"
#include "hsnames.rh"
//#include "quesgl.h"
#include "quesgld.h"
#include "hsplay.h"
//*******************************************************************
TQuesModeWin::TQuesModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TQuesModeWin::~TQuesModeWin()
{
}
//*******************************************************************
//void TQuesModeWin::MakeGObjList()
//{
//  PGObjList = new TQuesGObjList(this);
//}
//*******************************************************************
string TQuesModeWin::GetDetName()
{
  return string("p1qgold.det");
}
//*******************************************************************
//void TQuesModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("p1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("p1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","p1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","p1humn01");}
//}
//*******************************************************************
TGameObject *TQuesModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_QUES))
    {
      pLord = new TQuesGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_QUES))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************