//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  soutmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/08/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "soutmw.h"
#include "hsnames.rh"
//#include "soutgl.h"
#include "soutgld.h"
#include "hsplay.h"
//*******************************************************************
TSoutModeWin::TSoutModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TSoutModeWin::~TSoutModeWin()
{
}
//*******************************************************************
//void TSoutModeWin::MakeGObjList()
//{
//  PGObjList = new TSoutGObjList(this);
//}
//*******************************************************************
string TSoutModeWin::GetDetName()
{
  return string("k1cross.det");
}
//*******************************************************************
//void TSoutModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("k1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("k1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//}
//*******************************************************************
TGameObject *TSoutModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_CROSS))
    {
      pLord = new TSoutGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_CROSS))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************