//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  swammw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's.
//********************************************************************
#include "swammw.h"
#include "hsnames.rh"
//#include "swamgl.h"
#include "swamgld.h"
#include "hsplay.h"
//*******************************************************************
TSwamModeWin::TSwamModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TSwamModeWin::~TSwamModeWin()
{
}
//*******************************************************************
//void TSwamModeWin::MakeGObjList()
//{
//  PGObjList = new TSwamGObjList(this);
//}
//*******************************************************************
string TSwamModeWin::GetDetName()
{
  return string("s1swamp.det");
}
//*******************************************************************
//void TSwamModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("s1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("s1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","s1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","s1humn01");}
//}
//*******************************************************************
TGameObject *TSwamModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_SWAM))
    {
      pLord = new TSwamGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_SWAM))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************