//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  thunmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "thunmw.h"

#include "hsnames.rh"
//#include "thungl.h"
#include "thungld.h"
#include "hsplay.h"
//*******************************************************************
TThunModeWin::TThunModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TThunModeWin::~TThunModeWin()
{
}
//*******************************************************************
//void TThunModeWin::MakeGObjList()
//{
//  PGObjList = new TThunGObjList(this);
//}
//*******************************************************************
string TThunModeWin::GetDetName()
{
  return string("c4thun.det");
}
//*******************************************************************
//void TThunModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("c4humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("c4glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//}
//*******************************************************************
TGameObject *TThunModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_ALLEY))
    {
      pLord = new TThunGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_ALLEY))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************