//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  zod2mw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "zod2mw.h"

#include "hsnames.rh"
//#include "zod2gl.h"
#include "zod2gld.h"
#include "hsplay.h"
//*******************************************************************
TZod2ModeWin::TZod2ModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TZod2ModeWin::~TZod2ModeWin()
{
}
//*******************************************************************
//void TZod2ModeWin::MakeGObjList()
//{
//  PGObjList = new TZod2GObjList(this);
//}
//*******************************************************************
string TZod2ModeWin::GetDetName()
{
  return string("c2zod02.det");
}
//*******************************************************************
//void TZod2ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("c2humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("c2glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//}
//*******************************************************************
TGameObject *TZod2ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_ATTACK2))
    {
      pLord = new TZod2GameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_ATTACK2))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************