//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  zod3mw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "zod3mw.h"

#include "hsnames.rh"
//#include "csnames.rh"

//#include "zod3gl.h"
#include "zod3gld.h"
#include "hsplay.h"
//*******************************************************************
TZod3ModeWin::TZod3ModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TZod3ModeWin::~TZod3ModeWin()
{
}
//*******************************************************************
//void TZod3ModeWin::MakeGObjList()
//{
//  PGObjList = new TZod3GObjList(this);
//}
//*******************************************************************
string TZod3ModeWin::GetDetName()
{
  return string("c3zod03.det");
}
//*******************************************************************
//void TZod3ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("c3humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("c3glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//}/
//*******************************************************************
TGameObject *TZod3ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_ATTACK3))
    {
      pLord = new TZod3GameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_ATTACK3))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************