//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  kclearst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "kclearst.h"
#include "klord.h"
#include <iostream.h>

TKClearState::TKClearState(TKLord *pNewKLord)
	: TKLordState(pNewKLord)
{
 // cout << "KClearState constructor" << endl;
}
TKClearState::~TKClearState()
{
 // cout << "KClearState destructor" << endl;
}
//*******************************************************************
void TKClearState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TKClearState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TKLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TKClearState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->FinalClear();
  ExecuteStatus    = ess_Done;

}