//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ck1mw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/23/96    M.Perry    original baseline
//  2.0    09/17/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "ck1mw.h"
//#include "ck1glist.h"
#include "ck1gld.h"
#include "ckplay.h"
#include "casnames.rh"
#include "cknames.rh"
//*******************************************************************
TK1ModeWin::TK1ModeWin(string modename,TPal *PPal,string title)
:TKenoModeWin(modename,PPal,title)
{
}
//*******************************************************************
TK1ModeWin::~TK1ModeWin()
{
}
//*******************************************************************
//void TK1ModeWin::MakeGObjList()
//{
//  PGObjList = new TK1GObjList(this);
//}
//*******************************************************************
//void TK1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoKPlayer *)GetGObjPtr(TAppString(IDS_H1_K1));
//  GObj[1] = (TCasinoKPlayer *)GetGObjPtr(TAppString(IDS_H2_K1));
//  GObj[2] = (TCasinoKPlayer *)GetGObjPtr(TAppString(IDS_H3_K1));
//
//  pLord = (TCasinoKGameLord *)GetGObjPtr(TAppString(IDS_GL_K1));
//
//  if (pLord == NULL)   {GObjError("Keno Game Lord",TAppString(IDS_GL_K1));}
//  if (GObj[0] == NULL) {GObjError("Keno Human 1",TAppString(IDS_H1_K1));}
//  if (GObj[1] == NULL) {GObjError("Keno Human 2",TAppString(IDS_H2_K1));}
//  if (GObj[2] == NULL) {GObjError("Keno Human 3",TAppString(IDS_H3_K1));}
//}
//*******************************************************************
TGameObject *TK1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == GetResString(IDS_GL_K1))
  {
    pLord = new TK1GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_K1))
  {
    GObj[0] = new TCasinoKPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_K1))
  {
    GObj[1] = new TCasinoKPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_K1))
  {
    GObj[2] = new TCasinoKPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
	 return new TGameObject(this,fm);
  }
}
//*******************************************************************
