//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    03/23/96    A.Krist     moved inline functions into .cpp file.
//  2.0    09/17/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ckarowsp.h"
#include "oanm.h"
//*******************************************************************
void TKArrow::SetupAnms()
{
  PArrow = GetAnm(0);
  if (PArrow == NULL) {AnmError("KArrow","Arrow",0);}
  PArrow->CAD.ClearAutoStart();
  PArrow->CAD.ClearAutoStop();
  PArrow->CAD.SetDirStill();
}
//*******************************************************************
TKArrow::TKArrow(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//********************************************************************
TKArrow::TKArrow(TOgleModeWindow *pmw,TFileMode fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
 //*******************************************************************
TKArrow::~TKArrow()
{
}
//*******************************************************************
#pragma argsused
void TKArrow::SetNum(int16 num)
{
	PArrow->CAD.SetCurrentFrame(0);
	PArrow->Show();
   Update(GetAdjFUC());
}
//*******************************************************************