//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    03/23/96    A.Krist     moved inline functions into .cpp file.
//********************************************************************
#include "ckhdsp.h"
#include "oanm.h"
//*******************************************************************
void TKHistoryDisplay::SetupAnms()
{
  for(int16 i=0;i<20;i++)
  {
	 PHistoryDisplay[i] = GetAnm(i);
	 if (PHistoryDisplay[i] == NULL) {AnmError("KHistoryDisplay","HistoryDisplay",i);}
	 PHistoryDisplay[i]->CAD.ClearAutoStart();
	 PHistoryDisplay[i]->CAD.ClearAutoStop();
	 PHistoryDisplay[i]->CAD.SetDirStill();
  }
}
//*******************************************************************
TKHistoryDisplay::TKHistoryDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//********************************************************************
TKHistoryDisplay::TKHistoryDisplay(TOgleModeWindow *pmw,TFileMode fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
 //*******************************************************************
TKHistoryDisplay::~TKHistoryDisplay()
{
}
//*******************************************************************
void TKHistoryDisplay::SetNum(int16 num)
{
	int16 i=0,x=-1;
	int temp[80];
	for(i=0;i<80;i++)
	{temp[i]=-1;}
	srand(num);
	for(i=0;i<20;i++)
	{
	  x = int16(random(80));
	  while(temp[x]>=0)
	  {
		 x = int16(random(80));
	  }
     temp[x] = x;
	  PHistoryDisplay[i]->CAD.SetCurrentFrame(x);
	  PHistoryDisplay[i]->Show();
	}
   Update(GetAdjFUC());
}
//*******************************************************************