//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cksdsp.cpp
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/19/96    M.Perry    moved into cpp file.
//  2.0    09/17/97    M.Perry    32-bit conversion.
//********************************************************************
#include "cksdsp.h"
#include "owav.h"
//*******************************************************************
void TKSound::SetupWavs()
{
  for(int16 i=0;i<15;i++)
  {
	 Sounds[i] = GetWav(i);
	 if (Sounds[i] == NULL) {AnmError("Sound Sprite","sound",i);}
  }
}
//*******************************************************************
TKSound::TKSound(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupWavs();
}
//*******************************************************************
TKSound::TKSound(TOgleModeWindow *pmw,const TFileMode &fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupWavs();
}
//*******************************************************************
TKSound::~TKSound()
{
}
//*******************************************************************
void TKSound::PlaySound(int16 sound)
{
  Sounds[sound]->Start();
  Update(GetAdjFUC());
}
//*******************************************************************