//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  lgld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/08/99   M.Perry    gobjlist removal
//*******************************************************************
#include "lgld.h"
//#include "lspl.h"
//#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "owav.h"
#include "clnames.rh"
//*******************************************************************
//TSpriteList *TLobby1GameLord::CreateSpriteList(TFileMode splfm)
//{
 // return (new TLobby1SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TLobby1GameLord::SetupSprites()
{
 // MenuEscButton   = NULL;
//  MenuEscButton   = (TCasButton *) GetSpritePtr(GetResString(IDS_MS_B0_L_L1));
  if (MenuEscButton   == NULL)
  {
    SpriteError("Menu Esc Button",GetResString(IDS_MS_B0_L_L1));
  }

  if (GetFW()->GetHandleShowMenu())
  {
    ActivateSpriteNow(MenuEscButton);
  }
  else
  {
	 MenuEscButton->Freeze = TRUE;
	 MenuEscButton->PButtonResponder->Remove();
  }

  //MessageDisplay   = NULL;
 // MessageDisplay     = (TCasLobbyMessageDisplay    *) GetSpritePtr(GetResString(IDS_MS_MESS_L1));
  if (MessageDisplay == NULL)
  {
    SpriteError("MessageDisplay",GetResString(IDS_MS_MESS_L_L1));
  }
  MessageDisplay->Start(GetFUC());

//  PWater = GetSpritePtr("\\i1glrd00\\i100snwt.sp");
  if (PWater == NULL)
  {
    SpriteError("water",GetResString(IDS_IS_WATER_L_L1));//string("\\i1glrd00\\i100snwt.sp"));
  }
  else //if (PWater != NULL)
  {
    TWav *pwav = PWater->GetWav(0);
    if (pwav != NULL)
    {
      pwav->SetStopped();
      pwav->LoopCount = -1;
//      pwav->Start(GetFUC());
    }
  }
  //PLow1 = GetSpritePtr("i100low1");
  if (PLow1 == NULL)
  {
    SpriteError("Low 1",GetResString(IDS_IS_LOW1_L_L1));//string("\\i1glrd00\\i100low1.sp"));
  }
  //PLow2 = GetSpritePtr("i100low2");
  if (PLow2 == NULL)
  {
    SpriteError("Low 2",GetResString(IDS_IS_LOW2_L_L1));//string("\\i1glrd00\\i100low2.sp"));
  }
  //PLow3 = GetSpritePtr("i100low3");
  if (PLow3 == NULL)
  {
    SpriteError("Low 3",GetResString(IDS_IS_LOW3_L_L1));//string("\\i1glrd00\\i100low3.sp"));
  }
  //PLow4 = GetSpritePtr("i100low4");
  if (PLow4 == NULL)
  {
    SpriteError("Low 4",GetResString(IDS_IS_LOW4_L_L1));//string("\\i1glrd00\\i100low4.sp"));
  }
  //PLow5 = GetSpritePtr("i100low5");
  if (PLow5 == NULL)
  {
    SpriteError("Low 5",GetResString(IDS_IS_LOW5_L_L1));//string("\\i1glrd00\\i100low5.sp"));
  }
  //PLow6 = GetSpritePtr("i100low6");
  if (PLow6 == NULL)
  {
    SpriteError("Low 6",GetResString(IDS_IS_LOW6_L_L1));//string("\\i1glrd00\\i100low6.sp"));
  }
  //PLow7 = GetSpritePtr("i100low7");
  if (PLow7 == NULL)
  {
    SpriteError("Low 7",GetResString(IDS_IS_LOW7_L_L1));//string("\\i1glrd00\\i100low7.sp"));
  }
  //PLow8 = GetSpritePtr("i100low8");
  if (PLow8 == NULL)
  {
    SpriteError("Low 8",GetResString(IDS_IS_LOW8_L_L1));//string("\\i1glrd00\\i100low8.sp"));
  }
}
//*******************************************************************
void TLobby1GameLord::CleanupSprites()
{
}
//*******************************************************************
TLobby1GameLord::TLobby1GameLord(TLobbyModeWin *pmwin,const TFileMode &fm)
  :TCasinoLGameLord(pmwin,fm)
{
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  SetupSprites();
}
//*******************************************************************
TLobby1GameLord::~TLobby1GameLord()
{
  CleanupSprites();
}
//*******************************************************************