//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  llrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "llrdmst.h"
//*******************************************************************
TLLordMainState::TLLordMainState(TCasinoLGameLord *pNewLLord)
:TLLordState(pNewLLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
}
//*******************************************************************
TLLordMainState::~TLLordMainState()
{
}
//*******************************************************************
void TLLordMainState::CreateSubState1()
{
  PActiveSubState = new TInitLState(pOwnerLord);
}
//*******************************************************************
void TLLordMainState::CreateSubState2()
{
  PActiveSubState = new TLAct1State(pOwnerLord);
}
//*******************************************************************
void TLLordMainState::CreateSubState3()
{
}
//*******************************************************************
void TLLordMainState::CreateSubState4()
{
}
//*******************************************************************