//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  betblack.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/21/96   M.Perry    moved into cpp.
//  2.0     09/19/97   M.Perry    32-bit conversion.
//********************************************************************
#include "betblack.h"
//*******************************************************************
TBetBlack::TBetBlack(TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code)
:TRBetSpot(pmw,NewFileMode,code)
{
  SpotType = Black;
}
//*******************************************************************
TBetBlack::TBetBlack(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code)
:TRBetSpot(pmw,NewFileMode,psource,code)
{
  SpotType = Black;
}
//*******************************************************************
TBetBlack::~TBetBlack()
{
}
//*******************************************************************
bool TBetBlack::Winner(int16 WinNum)
{
  if (WinNum==2  || WinNum==4  ||WinNum==6  ||WinNum==8  ||WinNum==10  ||WinNum==11 ||
      WinNum==13 || WinNum==15 ||WinNum==17 ||WinNum==20 ||WinNum==22 ||WinNum==24 ||
      WinNum==26 || WinNum==28 ||WinNum==29 ||WinNum==31 ||WinNum==33 ||WinNum==35)
  {
    return true;
  }
  else
  {
    return false;
  }
}
//*******************************************************************
bool TBetBlack::Winner(int16 WinNum,int16 Player)
{
  return TRBetSpot::Winner(WinNum,Player);
}
//*******************************************************************
int32 TBetBlack::Odds()
{
  return 1;
}
//*******************************************************************
