//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  betcol3.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/21/96   M.Perry    moved into cpp
//  2.0     09/19/97   M.Perry    32-bit conversion.
//********************************************************************
#include "betcol3.h"

//*******************************************************************
TBetCol3::TBetCol3(TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code)
:TRBetSpot(pmw,NewFileMode,code)
{
  SpotType = Column;
}
//*******************************************************************
TBetCol3::TBetCol3(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code)
:TRBetSpot(pmw,NewFileMode,psource,code)
{
  SpotType = Column;
}
//*******************************************************************
TBetCol3::~TBetCol3()
{
}
//*******************************************************************
bool TBetCol3::Winner(int16 WinNum)
{
  if(WinNum%3 == 0 && WinNum > 0 && WinNum < 37)
  {
    return true;
  }
  else
  {
    return false;
  }
}
//*******************************************************************
bool TBetCol3::Winner(int16 WinNum,int16 Player)
{
  return TRBetSpot::Winner(WinNum,Player);
}
//*******************************************************************
int32 TBetCol3::Odds()
{
  return 2;
}
//*******************************************************************