//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjinitst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "crinitst.h"
#include "crglord.h"
//*******************************************************************
TInitRState::TInitRState(TCasinoRGameLord *pNewRLord)
:TRLordState(pNewRLord)
{
 StartingFUC = 0;
 FUCLength = 0;
}
//*******************************************************************
TInitRState::~TInitRState()
{
}
//*******************************************************************
void TInitRState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TInitRState::ExecuteFirstTime()
{
  pOwnerLord->InitRoulette();
  pOwnerLord->Marker->ShowMarker();
  ExecuteWaiting = true;
  ExecuteStatus  = ess_Execute;
  StartingFUC = pOwnerLord->GetAdjFUC() + 1;
  pOwnerLord->SetBodyIdle();
  pOwnerLord->GreetPlayers(StartingFUC,FUCLength);
}
//*******************************************************************
void TInitRState::HandlePostUpdate(dword NewFUC)
{
  if ((StartingFUC + FUCLength) <= NewFUC)
  {
	 ExecuteWaiting = false;
  }
}
//*******************************************************************