//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  crlrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/21/96   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "crlrdmst.h"
#include "crinitst.h"

//*******************************************************************
TRLordMainState::TRLordMainState(TCasinoRGameLord *pNewRLord)
	: TRLordState(pNewRLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState4,ess_StartSubState2,ess_Done);
}
//*******************************************************************
TRLordMainState::~TRLordMainState()
{
}
//*******************************************************************
void TRLordMainState::CreateSubState1()
{
  PActiveSubState = (TState *) new TInitRState(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState2()
{
  PActiveSubState = (TState *) new TRAct1State(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState3()
{
	 PActiveSubState = (TState *) new TRAct2State(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState4()
{
 // PActiveSubState = (TState *) new TRWinnerState(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState5()
{
  //PActiveSubState = (TState *) new TRDrawCardsState(pOwnerLord);
}
//*******************************************************************

