//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  crmksp.cpp
//    Project Name:  Casino
// Original Author:  A. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry    moved into cpp file.
//  2.0    09/19/97    M.Perry    32-bit conversion.
//********************************************************************
#include "crmksp.h"
#include "oanm.h"
//*******************************************************************
void TRMarker::SetupAnms()
{
  PMarker = GetAnm(0);

  if (PMarker == NULL) {AnmError("Marker","mark",0);}
  PMarker->CAD.ClearAutoStart();
  PMarker->CAD.SetDirStill();
  PMarker->CAD.ClearAutoStop();
}
//*******************************************************************
TRMarker::TRMarker(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TRMarker::TRMarker(TOgleModeWindow *pmw,const TFileMode &fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TRMarker::~TRMarker()
{
}
//*******************************************************************
void TRMarker::ShowMarker()
{
  if (PMarker == NULL) {return;}
  PMarker->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
void TRMarker::NoShowMarker()
{
  if (PMarker == NULL) {return;}
  PMarker->NoShow();
//    StartWavNow(0);
}
//*******************************************************************
