//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  crplay.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//  1.01    10/4/95   A. Krist    "windowize"
//  1.02    10/16/95  M.Perry     casinoized
//  1.03    03/23/96  A.Krist     "UnPerryized"
//  2.0     09/18/97  M.Perry     32-bit conversion.
//*******************************************************************
#include "crplay.h"

//*******************************************************************
TCasinoRPlayer::TCasinoRPlayer(TOgleModeWindow *PNewModeWindow,const TFileMode &NewFileMode,
                               int16 activeslotnum)
:TCasinoPlayer(PNewModeWindow,NewFileMode,activeslotnum)
{
  coinsplayed      = 0l;
  lastbet          = 5l;
}
//*******************************************************************
TCasinoRPlayer::~TCasinoRPlayer()
{
  coinsplayed      = 0l;
  lastbet          = 0l;
}
//*******************************************************************
#pragma argsused
void TCasinoRPlayer::Activate(dword StartFUC)
{
  TCasinoPlayer::Activate(StartFUC);
  // setup session.
  lastbet=0l;
  coinsplayed=0l;
}
//*******************************************************************
void TCasinoRPlayer::DeActivate()
{
  // cleanup session.
  TCasinoPlayer::DeActivate();
  lastbet=0l;
  coinsplayed=0l;
}
//*******************************************************************

