//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjrksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    1/23/96    A.Krist     moved inline functions into .cpp file.
//********************************************************************
#include "cslcarsp.h"
#include "oanm.h"
//*******************************************************************
void TSLCar::SetupAnms()
{
  PCar = GetAnm(0);
  if (PCar == NULL) {AnmError("Car","car",0);}

  PCar->CAD.ClearAutoStart();
  PCar->CAD.ClearAutoStop();
  PCar->CAD.SetDirStill();
}
//*******************************************************************
TSLCar::TSLCar(TOgleModeWindow *pmw,TFileMode NewFileMode):TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TSLCar::TSLCar(TOgleModeWindow *pmw,TFileMode fm,void *psource):TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TSLCar::~TSLCar()
{
}
//*******************************************************************
