//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slintgl.cpp
//    Project Name:  Slotlite
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/25/97    M.Perry    added intro mode.
//********************************************************************
#include "slintgl.h"
#include "slintgld.h"
#include "slintmw.h"

//*******************************************************************
TSLIntroGObjList::TSLIntroGObjList(TSLIntroModeWin *pmodewin)
:TGObjList(pmodewin)
{
}
//*******************************************************************
TSLIntroGObjList::~TSLIntroGObjList()
{
}
//*******************************************************************
TGameObject *TSLIntroGObjList::CreateGObj(TFileMode fm)
{
  if (fm.Name == "s2glrd00")
  {
    return (new TSLIntroGameLord((TSLIntroModeWin *)PModeWin,fm));
  }
  return TGObjList::CreateGObj(fm);
}
//*******************************************************************