//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  sllrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "sllrdmst.h"
//*******************************************************************
TSLLordMainState::TSLLordMainState(TCasinoSLGameLord *pNewSLLord)
	: TSLLordState(pNewSLLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
}
//*******************************************************************
TSLLordMainState::~TSLLordMainState()
{
}
//*******************************************************************
void TSLLordMainState::CreateSubState1()
{
  PActiveSubState = new TInitSLState(pOwnerLord);
}
//*******************************************************************
void TSLLordMainState::CreateSubState2()
{
  PActiveSubState = new TSLAct1State(pOwnerLord);
}
//*******************************************************************
void TSLLordMainState::CreateSubState3()
{
}
//*******************************************************************
void TSLLordMainState::CreateSubState4()
{
}
//*******************************************************************