//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  csalgld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3    07/12/99    M.Perry    gobjlist removal
//  2.4    09/11/99    M.Perry    setupsprites() shrinkage
//*******************************************************************
#include "csalgld.h"
//#include "csalspl.h"
//#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
//TSpriteList *TAladinGameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TAladinSpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TAladinGameLord::SetReel()
{
  int16 x,y,z;
  x = int16(random(5000));
  y = int16(random(5000));
  z = int16(random(5000));
  if(x<=33){x=0;}
  else if(x<=76){x=1;}
  else if(x<=101){x=2;}
  else if(x<=834){x=3;}
  else if(x<=844){x=4;}
  else if(x<=1377){x=5;}
  else if(x<=1397){x=6;}
  else if(x<=1731){x=7;}
  else if(x<=1751){x=8;}
  else if(x<=2451){x=9;}
  else if(x<=2471){x=10;}
  else if(x<=3055){x=11;}
  else if(x<=3075){x=12;}
  else if(x<=3115){x=13;}
  else if(x<=3135){x=14;}
  else if(x<=3735){x=15;}
  else if(x<=3760){x=16;}
  else if(x<=4060){x=17;}
  else if(x<=4085){x=18;}
  else if(x<=4485){x=19;}
  else if(x<=4500){x=20;}
  else if(x<=5000){x=21;}
  if(y<=33){y=0;}
  else if(y<=76){y=1;}
  else if(y<=101){y=2;}
  else if(y<=834){y=3;}
  else if(y<=844){y=4;}
  else if(y<=1377){y=5;}
  else if(y<=1397){y=6;}
  else if(y<=1731){y=7;}
  else if(y<=1751){y=8;}
  else if(y<=2451){y=9;}
  else if(y<=2471){y=10;}
  else if(y<=3055){y=11;}
  else if(y<=3075){y=12;}
  else if(y<=3115){y=13;}
  else if(y<=3135){y=14;}
  else if(y<=3735){y=15;}
  else if(y<=3760){y=16;}
  else if(y<=4060){y=17;}
  else if(y<=4085){y=18;}
  else if(y<=4485){y=19;}
  else if(y<=4500){y=20;}
  else if(y<=5000){y=21;}
  if(z<=13){z=0;}
  else if(z<=347){z=1;}
  else if(z<=357){z=2;}
  else if(z<=991){z=3;}
  else if(z<=1001){z=4;}
  else if(z<=1334){z=5;}
  else if(z<=1354){z=6;}
  else if(z<=1687){z=7;}
  else if(z<=1707){z=8;}
  else if(z<=2307){z=9;}
  else if(z<=2317){z=10;}
  else if(z<=2850){z=11;}
  else if(z<=2860){z=12;}
  else if(z<=3260){z=13;}
  else if(z<=3270){z=14;}
  else if(z<=3570){z=15;}
  else if(z<=3580){z=16;}
  else if(z<=4180){z=17;}
  else if(z<=4190){z=18;}
  else if(z<=4590){z=19;}
  else if(z<=4600){z=20;}
  else if(z<=5000){z=21;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TAladinGameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 0;break;
	 case 1  : s0 = 5;break;
	 case 2  : s0 = 0;break;
	 case 3  : s0 = 1;break;
	 case 4  : s0 = 0;break;
	 case 5  : s0 = 3;break;
	 case 6  : s0 = 0;break;
	 case 7  : s0 = 4;break;
	 case 8  : s0 = 0;break;
	 case 9  : s0 = 1;break;
	 case 10 : s0 = 0;break;
	 case 11 : s0 = 2;break;
	 case 12 : s0 = 0;break;
	 case 13 : s0 = 5;break;
	 case 14 : s0 = 0;break;
	 case 15 : s0 = 1;break;
	 case 16 : s0 = 0;break;
	 case 17 : s0 = 4;break;
	 case 18 : s0 = 0;break;
	 case 19 : s0 = 3;break;
	 case 20 : s0 = 0;break;
	 case 21 : s0 = 2;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 0;break;
	 case 1  : s1 = 5;break;
	 case 2  : s1 = 0;break;
	 case 3  : s1 = 1;break;
	 case 4  : s1 = 0;break;
	 case 5  : s1 = 3;break;
	 case 6  : s1 = 0;break;
	 case 7  : s1 = 4;break;
	 case 8  : s1 = 0;break;
	 case 9  : s1 = 1;break;
	 case 10 : s1 = 0;break;
	 case 11 : s1 = 2;break;
	 case 12 : s1 = 0;break;
	 case 13 : s1 = 5;break;
	 case 14 : s1 = 0;break;
	 case 15 : s1 = 1;break;
	 case 16 : s1 = 0;break;
	 case 17 : s1 = 4;break;
	 case 18 : s1 = 0;break;
	 case 19 : s1 = 3;break;
	 case 20 : s1 = 0;break;
	 case 21 : s1 = 2;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 0;break;
	 case 1  : s2 = 4;break;
	 case 2  : s2 = 0;break;
	 case 3  : s2 = 1;break;
	 case 4  : s2 = 0;break;
	 case 5  : s2 = 2;break;
	 case 6  : s2 = 0;break;
	 case 7  : s2 = 5;break;
	 case 8  : s2 = 0;break;
	 case 9  : s2 = 1;break;
	 case 10 : s2 = 0;break;
	 case 11 : s2 = 3;break;
	 case 12 : s2 = 0;break;
	 case 13 : s2 = 2;break;
	 case 14 : s2 = 0;break;
	 case 15 : s2 = 4;break;
	 case 16 : s2 = 0;break;
	 case 17 : s2 = 1;break;
	 case 18 : s2 = 0;break;
	 case 19 : s2 = 3;break;
	 case 20 : s2 = 0;break;
	 case 21 : s2 = 2;break;
	 default : s2 = 0;
  }
  if(s0 == 5 && s1 == 5 && s2 == 5)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 3)
    {
      ActivateSprite(Song,GetAdjFUC());
      return -3;
    }
	 else if(coinsplayed == 2){return 10000;}
	 else if(coinsplayed == 1){return 5000;}
  }
  else if(s0 == 4 && s1 == 4 && s2 == 4)
  {
    PayOffSound = 4;
	 if(coinsplayed == 3){return 300;}
	 else if(coinsplayed == 2){return 200;}
	 else if(coinsplayed == 1){return 100;}
  }
  else if(s0 == 3 && s1 == 3 && s2 == 3)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 75;}
	 else if(coinsplayed == 2){return 50;}
	 else if(coinsplayed == 1){return 25;}
  }
  else if(s0 == 2 && s1 == 2 && s2 == 2)
  {
	 PayOffSound = 2;
	 if(coinsplayed == 3){return 30;}
	 else if(coinsplayed == 2){return 20;}
	 else if(coinsplayed == 1){return 10;}
  }
  else if(s0 == 1 && s1 == 1 && s2 == 1)
  {
	 PayOffSound = 1;
	 if(coinsplayed == 3){return 15;}
	 else if(coinsplayed == 2){return 10;}
	 else if(coinsplayed == 1){return 5;}
  }
  return 0;
}
//*******************************************************************
//void TAladinGameLord::SetupSprites()
//{
//  // make sure ptrs were set before we start starting sprites.
//  if (Progressive == NULL) {SpriteError("Progressive",strProgressive);}
//
//  TCasinoSGameLord::SetupSprites(); // call base slots glord's version to handle all but progressive.
//
//  ActivateSpriteNow(Progressive); // everything ok, so let's start up progressive
//}
//*******************************************************************
//void TAladinGameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TAladinGameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_A1;
  idsButton1 = IDS_MS_B1_S_A1;
  idsButton2 = IDS_MS_B2_S_A1;
  idsButton3 = IDS_MS_B3_S_A1;
  idsButton4 = IDS_MS_B4_S_A1;
  idsButton5 = IDS_MS_B5_S_A1;
  idsButton6 = IDS_MS_B6_S_A1;
  idsButton7 = IDS_MS_B7_S_A1;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_A1;
  idsChips = IDS_MS_CHIPS_S_A1;
  idsCoinPay = IDS_MS_COINPAY_S_A1;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_A1;
  idsCredits = IDS_MS_CREDITS_S_A1;
  idsNP1 = IDS_MS_NP1_S_A1;
  idsNP2 = IDS_MS_NP2_S_A1;
  idsNP3 = IDS_MS_NP3_S_A1;
  idsReel = IDS_MS_REEL_S_A1;
  idsSound = IDS_MS_SOUNDS_S_A1;
  idsWinPaid = IDS_MS_WINPAID_S_A1;
  idsProgressive = IDS_MS_PROG_S_A1;
  idsSong = IDS_AS_SONG_S_A1;
}
//*******************************************************************
TAladinGameLord::TAladinGameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslAlladinsLamp,TMoney::did_1_00)//cd1)
{
  SetupUniqueIDStrings();
  
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  maxbet=3;

  SetupSprites();
}
//*******************************************************************
TAladinGameLord::~TAladinGameLord()
{
  CleanupSprites();
}
//*******************************************************************
