//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cscpsp.cpp
//    Project Name:  Casino
// Original Author:  Adam Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry      moved into cpp file.
//  2.0    09/25/97    M.Perry      32-bit conversion.
//********************************************************************
#include "cscpsp.h"
#include "oanm.h"
//*******************************************************************
void TSCoinsPlayed::SetupAnms()
{
  PNums = GetAnm(0);
  if (PNums == NULL) {AnmError("Coins Played","Nums",0);}
  TAnmData ad = PNums->CAD;
  ad.ClearAutoStart();
  ad.SetDirStill();
  ad.ClearAutoStop();
  PNums->SetCurrentData(ad);
}
//*******************************************************************
TSCoinsPlayed::TSCoinsPlayed(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TSCoinsPlayed::TSCoinsPlayed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TSCoinsPlayed::~TSCoinsPlayed()
{
}
//*******************************************************************
void TSCoinsPlayed::SetNum(int16 num)
{
  if (PNums == NULL) {return;}
  PNums->CAD.SetCurrentFrame(num);
  PNums->Show();
  Update(GetAdjFUC());
}
//*******************************************************************