//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  pp100gl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "pp100gl.h"
#include "pp100gld.h"
#include "casnames.rh"
#include "csnames.rh"
//*******************************************************************
TPlunder100GObjList::TPlunder100GObjList(TOgleModeWindow *POwnerMW)
:TSGObjList(POwnerMW)
{
}
//*******************************************************************
TPlunder100GObjList::~TPlunder100GObjList()
{
}
//*******************************************************************
TGameObject *TPlunder100GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_S_P100))
  {
	 return (new TPlunder100GameLord((TSlotsModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_S_P100))
  {
	 return (new TCasinoSPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_S_P100))
  {
	 return (new TCasinoSPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_S_P100))
  {
	 return (new TCasinoSPlayer(PModeWin,FM,2));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************