//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlgl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry     original baseline
//********************************************************************
#include "vlgl.h"
#include "vlgld.h"

#include "casnames.rh"
#include "vlnames.rh"

//*******************************************************************
TGameObject *TVLobby1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_VL))
  {
	 return (new TVLobby1GameLord((TVLobby1ModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_VL))
  {
	 return (new TCasinoVLPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_VL))
  {
	 return (new TCasinoVLPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_VL))
  {
	 return (new TCasinoVLPlayer(PModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************