//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vllrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "vllrdmst.h"
//*******************************************************************
TVLLordMainState::TVLLordMainState(TCasinoVLGameLord *pNewVLLord)
	: TVLLordState(pNewVLLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
}
//*******************************************************************
TVLLordMainState::~TVLLordMainState()
{
}
//*******************************************************************
void TVLLordMainState::CreateSubState1()
{
  PActiveSubState = new TInitVLState(pOwnerLord);
}
//*******************************************************************
void TVLLordMainState::CreateSubState2()
{
  PActiveSubState = new TVLAct1State(pOwnerLord);
}
//*******************************************************************
void TVLLordMainState::CreateSubState3()
{
}
//*******************************************************************
void TVLLordMainState::CreateSubState4()
{
}
//*******************************************************************