//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vplapp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/17/97    M.Perry     modified app hierarchy.
//********************************************************************
#include "vplapp.h"
#include "vplgfw.h"
#include "cgametyp.h"
//*******************************************************************
void TVPLiteApp::GetAppInfo(TOgleAppInfo &appinfo)
{
  TCasinoApp::GetAppInfo(appinfo);
  appinfo.MainTitle = "Avery Cardoza's Video Poker Champion";
}
//*******************************************************************
int TVPLiteApp::GetAppType()
{
  return catVPLite;
}
//*******************************************************************
TVPLiteApp::TVPLiteApp(string hddrive,string hddir,string appname)
:TCasinoApp(hddrive,hddir,appname)
{
}
//*******************************************************************
TVPLiteApp::~TVPLiteApp()
{
}
//*******************************************************************
TOgleGameFrameWindow *TVPLiteApp::CreateGameFrameWindow()
{
  TOgleAppInfo appinfo;
  GetAppInfo(appinfo);
  return (new TVPLGameFrameWindow(this,appinfo.MainTitle.c_str()));
}
//*******************************************************************
void TVPLiteApp::CreateGameFile()
{
  TCasinoApp::CreateGameFile();
}
//*******************************************************************
string TVPLiteApp::GetDetName()
{
  return AppName;
}
//*******************************************************************
