//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cvpdbsp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "cvpdbsp.h"
#include "oanm.h"
//*******************************************************************
void TVPDrawBack::SetupAnms()
{
	 PDrawBack = GetAnm(0);
	 if (PDrawBack == NULL) {AnmError("DrawBack","Bar",0);}
	 PDrawBack->CAD.ClearAutoStart();
	 PDrawBack->CAD.ClearAutoStop();
	 PDrawBack->CAD.SetDirStill();;
}
//*******************************************************************
TVPDrawBack::TVPDrawBack(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TVPDrawBack::TVPDrawBack(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TVPDrawBack::~TVPDrawBack()
{
}
//*******************************************************************
void TVPDrawBack::ClearBack()
{
	 PDrawBack->NoShow();
}
//*******************************************************************
void TVPDrawBack::SetBack()
{
  PDrawBack->Show();
  Update(GetAdjFUC());
}
//*******************************************************************