//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cvpvlsp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "cvpvlsp.h"
#include "oanm.h"
//*******************************************************************
void TVPVertLite::SetupAnms()
{
  for(int16 i=0;i<12;i++)
  {
	 PVertLite[i] = GetAnm(i);
	 if (PVertLite[i] != NULL) //{AnmError("VertLite","Bar",i);}
	 {
		PVertLite[i]->CAD.ClearAutoStart();
		PVertLite[i]->CAD.ClearAutoStop();
		PVertLite[i]->CAD.SetDirStill();;
	 }
  }
  int16 i=0;
  while(i<11 && PVertLite[i] != NULL)
  {
	i++;
  }
  Rows = i;
}
//*******************************************************************
TVPVertLite::TVPVertLite(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  Rows = 0;
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TVPVertLite::TVPVertLite(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  Rows = 0;
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TVPVertLite::~TVPVertLite()
{
}
//*******************************************************************
void TVPVertLite::ClearRows()
{
  for(int16 i=0;i<Rows;i++)
  {
	 if (PVertLite[i] == NULL) {return;}
	 PVertLite[i]->NoShow();
  }
}
//*******************************************************************
void TVPVertLite::SetRow(int16 num)
{
  for(int16 i=0;i<Rows;i++)
  {
    PVertLite[i]->NoShow();
  }
  if (PVertLite[num] == NULL) {return;}
  PVertLite[num]->Show();
  Update(GetAdjFUC());
}
//*******************************************************************