//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  dw5gl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry    original baseline
//********************************************************************
#include "dw5gl.h"
#include "dw5gld.h"
#include "casnames.rh"
#include "cvpnames.rh"
//*******************************************************************
TDW5GObjList::TDW5GObjList(TOgleModeWindow *POwnerMW)
:TVPGObjList(POwnerMW)
{
}
//*******************************************************************
TDW5GObjList::~TDW5GObjList()
{
}
//*******************************************************************
TGameObject *TDW5GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_VP_DW5))
  {
    return (new TDW5GameLord((TVideoPokerModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_VP_DW5))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_VP_DW5))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_VP_DW5))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,2));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************
