//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpapp.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    09/22/99    M.Perry     original baseline
//********************************************************************
#include "acvpapp.h"
#include "acvpgfw.h"
#include "ogame.h"
//*******************************************************************
void TACVPApp::GetAppInfo(TOgleAppInfo &appinfo)
{
  TCasinoApp::GetAppInfo(appinfo);
  appinfo.MainTitle = "Avery Cardoza's Video Poker";
}
//*******************************************************************
TACVPApp::TACVPApp(string hddrive,string hddir,string appname)
:TCasinoApp(hddrive,hddir,appname)
{
}
//*******************************************************************
TACVPApp::~TACVPApp()
{
}
//*******************************************************************
TOgleGameFrameWindow *TACVPApp::CreateGameFrameWindow()
{
  TOgleAppInfo appinfo;
  GetAppInfo(appinfo);
  return new TACVPGameFW(this,appinfo.MainTitle.c_str());
}
//*******************************************************************
void TACVPApp::CreateGameFile()
{
  GameFileName = "100vp.g";
  PGame = new TOgleGame(GameFileName);
}
//*******************************************************************
string TACVPApp::GetDetName()
{
  return string("acvp.det");
}
//*******************************************************************

