//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpmain.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    09/22/99    M.Perry     original baseline
//********************************************************************
#include "acvpapp.h"
#include "ofilenam.h"
//*******************************************************************
int OwlMain(int /*argc*/,char *argv[])
{
  string HDDrive,HDDir,AppName,AppHDString,HDExt;
  AppHDString = argv[0];
  TOgleFileName::SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);

  int AppResult = -1;
  TACVPApp *PApp = NULL;
  try
  {
     PApp = new TACVPApp(HDDrive,HDDir,AppName);
     if (PApp->Initialize())
     {
       AppResult = PApp->Run();
     }
     delete PApp;
     PApp = NULL;
  }
  catch (xmsg& x)
  {
    ::MessageBox(0,x.why().c_str(),"Exception",MB_OK);
    if (PApp != NULL)
    {
      delete PApp;
      PApp = NULL;
    }
  }
  return AppResult;
}
//*******************************************************************