//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvscost.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5    10/17/99    M.Perry      Original baseline
//*******************************************************************
#include "acvscost.h"
//#include "hsplay.h"
//#include "cashsmw.h"
#include "orespond.h"
#include "owav.h"
//#include "oanm.h"
//*******************************************************************
TACVPSlotsCashOutState::TACVPSlotsCashOutState(TACVPSlotsGameLord *plord)
:TACVPSlotsLordState(plord)
{
  SpeedClickResponder = NULL;
  Count = 0;
//  Start16 = false;
}
//*******************************************************************
TACVPSlotsCashOutState::~TACVPSlotsCashOutState()
{
}
//*******************************************************************
void TACVPSlotsCashOutState::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
  pOwnerLord->CashOut();
  pOwnerLord->PCoinPay->PlayDrop(pOwnerLord->credits);
//  if(pOwnerLord->credits > 0)
//  {
//	 switch((long)pOwnerLord->credits)
//	 {
//		case 1  : pOwnerLord->PCoinPay->PlaySound(0);break;
//		case 2  : pOwnerLord->PCoinPay->PlaySound(1);break;
//		case 3  : pOwnerLord->PCoinPay->PlaySound(2);break;
//		case 4  : pOwnerLord->PCoinPay->PlaySound(3);break;
//		case 5  : pOwnerLord->PCoinPay->PlaySound(4);break;
//		default : pOwnerLord->PCoinPay->PlaySound(5);Start16 = true;break;
//	 }
//  }
}
//*******************************************************************
void TACVPSlotsCashOutState::HandlePostUpdate(dword NewFUC)
{
  if (SpeedClickResponder != NULL)
  {
	 if (SpeedClickResponder->GetResponseEvent() != reChar)
	 {
		SpeedClickResponder->ClearPriority();
	 }
	 if (pOwnerLord->credits > 0)
	 {
		pOwnerLord->PCoinPay->SetTray(pOwnerLord->credits-1+Count);
		pOwnerLord->AddCash(pOwnerLord->activeplayer,pOwnerLord->coinsize*pOwnerLord->credits);
		pOwnerLord->credits = 0;
		pOwnerLord->PCredits->SetNum(0);
		pOwnerLord->PCoinPay->StopSounds();
	 }
	 SpeedClickResponder = NULL;
	 ExecuteWaiting = false;
//	 pOwnerLord->PCoinPay->PlaySound(6);
    pOwnerLord->PCoinPay->PlayDump();
	 return;
  }

  if (pOwnerLord->credits > 0)
  {
	 Count++;
	 pOwnerLord->PCoinPay->SetTray(Count-1);
    //now does auto loop
//	 if(pOwnerLord->PCoinPay->PWavs[5]->GetStopped() && Start16)
//	 {
//		pOwnerLord->PCoinPay->PlaySound(5);
//	 }

	 pOwnerLord->credits--;
	 pOwnerLord->AddCash(pOwnerLord->activeplayer,pOwnerLord->coinsize);
	 pOwnerLord->PCredits->SetNum(pOwnerLord->credits);
  }
  else
  {
	 pOwnerLord->PCoinPay->StopSounds();
	 ExecuteWaiting = false;
//	 pOwnerLord->PCoinPay->PlaySound(6);
    pOwnerLord->PCoinPay->PlayDump();
  }
//  if(NewFUC){return;}
}
//*******************************************************************
bool TACVPSlotsCashOutState::HandleSpeedClick(TResponder &responder)
{
  if (responder.GetResponseEvent() == reRUp)
  {
	 SpeedClickResponder = &responder;
  }

  if (responder.GetResponseEvent() == reRDown)
  {
	 responder.SetPriority();
  }

  if (responder.GetResponseEvent() == reChar)
  {
	 SpeedClickResponder = &responder;
  }
  return true;
}
//*******************************************************************
