//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvsplsp.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry      original baseline
//********************************************************************
#include "acvsplsp.h"
#include "oanm.h"
//*******************************************************************
TACVPSlotsPayLine::TACVPSlotsPayLine(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TACVPSlotsPayLine::TACVPSlotsPayLine(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TACVPSlotsPayLine::~TACVPSlotsPayLine()
{
}
//*******************************************************************
void TACVPSlotsPayLine::SetPayLine(int lines)
{
  PPayLine->CAD.SetCurrentFrame(int16(lines));
  PPayLine->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
void TACVPSlotsPayLine::SetupAnms()
{
	PPayLine = GetAnm(0);
	if (PPayLine == NULL) {AnmError("PayLine","Nums",0);}
	PPayLine->CAD.ClearAutoStart();
	PPayLine->CAD.ClearAutoStop();
	PPayLine->CAD.SetDirStill();
}
//*******************************************************************
