//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedskmsg.h
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     8/7/95     M.Perry    original baseline
//********************************************************************
#if !defined (__gedskmsg_h)
#define __gedskmsg_h

#include "omsg.h"
//#include "gedskted.rh"
//*******************************************************************
class TGedSwitchFromSkitEdToModeEdMsg:public TSwitchClientsMsg
{
  public:
  TGedSwitchFromSkitEdToModeEdMsg()
    :TSwitchClientsMsg(CALLER_SKIT_EDITOR,SUBACT_SWITCHTO_MODEWIN) {}
  virtual ~TGedSwitchFromSkitEdToModeEdMsg() {}
};
//*******************************************************************
class TGedSwitchFromSkitEdToModeEdPreviewMsg:public TSwitchClientsMsg
{
  public:
  int GObjIndex;
  int SkitCatIndex;
  int SkitListIndex;
  TGedSwitchFromSkitEdToModeEdPreviewMsg(int NewGObjIndex = 0,
                                         int NewSkitCatIndex = 0,
                                         int NewSkitListIndex = 0)
    :TSwitchClientsMsg(CALLER_SKIT_EDITOR,SUBACT_SKIT_PREVIEW,FALSE)
  {
    GObjIndex = NewGObjIndex;
    SkitCatIndex = NewSkitCatIndex;
    SkitListIndex = NewSkitListIndex;
  }
  virtual ~TGedSwitchFromSkitEdToModeEdPreviewMsg() {}
};
//*******************************************************************
class TGedSwitchToSkitEditorMsg:public TSwitchClientsMsg
{
  public:
  TGedSwitchToSkitEditorMsg()
    :TSwitchClientsMsg(CALLER_MODEWIN,SUBACT_SWITCHTO_SKIT_EDITOR,FALSE) {}
  virtual ~TGedSwitchToSkitEditorMsg() {}
};
//*******************************************************************
#endif

