#define DMT_NONE
#define DMT_REQUEST
#define DMT_REPLY
#define DMT_INFO

#define MT_CORE
#define MT_USER
#define MT_SLOTS
#define MT_BJ
#define MT_VP
#define MT_ROULETTE

#define SMT_CORE_QUERY_UAN
#define SMT_CORE_GS_ADDRESS
#define SMT_CORE_GS_STATUS

#define SMT_USER_LOGIN
#define SMT_USER_NEWLOGIN
#define SMT_USER_LOGOFF
#define SMT_USER_SWITCHGAMES

#define SMT_SLOTS_SPIN
#define SMT_SLOTS_BETONE
#define SMT_SLOTS_BETMAX
#define SMT_SLOTS_CASHOUT
//********************** bitfields **********************************
#define bfMT            1
#define bfSMT           2
#define bfErrorCode     3
#define bfUAN           4
#define bfUserName      5
#define bfMID           6
#define bfGameType      7
#define bfGWAddr        8
#define bfGSAddr        9
#define bfPassword     10
#define bfMustChangePW 11
#define bfFirstName    12
#define bfLastName     13
#define bfStreet       14
#define bfCity         15
#define bfState        16
#define bfCountry      17
#define bfZip          18
#define bfDayPhone     19
#define bfEveningPhone 20
#define bfEMail        21
#define bfDOB          22
#define bfSexMale      23
#define bfMomMaiden    24
#define bfHometown     25
#define bfModUN1
#define bfModUN2
#define bfModUN3
#define bfModUN4
#define bfEndCasSession
#define bfEndGameSession
#define bfFree
#define bfOldPassword
#define bfGameTypeArray
#define bfMIDArray
#define bfSupportPhone
#define bfSupportEMail
#define bfSupportWebURL
#define bfMsgArray
#define bfAccountCode
#define bfAccountSubCode
#define bfFI_AccNum
#define bfNameOnAcc
#define bfExpDate
#define bfBankName
#define bfABANum
#define bfBalance
#define bfChipsCash
#define bfChipsFree
#define bfTXT
#define bfTXD
#define bfCoinsPlayed
#define bfCredits
#define bfChips
#define bfWinnerPaid
#define bfPayoffHiLiteNum
#define bfReelStop1
#define bfReelStop2
#define bfReelStop3

//*******************************************************************
class TCEMsg : public TIsoMsg
{
  int16 ConnectionID;
  int16 GetMT();
  int16 GetSMT();
  int16 GetDMT();
};
//*******************************************************************