//*******************************************************************
class TDBIntf
{
  // base class.
};
//*******************************************************************
class TGSIntf : public TDBIntf
{
  void Login(ipaddr,ec);
  void Logoff(ipaddr,ec);
  void GWLink(gsipaddr,gwipaddr,ec);

  void User_Login(username,pw,gwid,mustchangepw,gt,mid,uan,ec);
  void User_NewLogin(username,pw,gwid,fname,lname,street,city,state,country,
                     zip,email,dayphone,eveningphone,dob,sex_male,mothersmaiden,
                     hometown,uan,gt,mid,modun1,modun2,modun3,modun4,ec);
  void User_Logoff(uan,endcassession,ec);
  void User_SwitchGame(uan,endgamesession,gt,mid,ec);
  void User_SetFreePlay(uan,free,ec);
  void User_SetPassword(uan,oldpw,newpw,ec);
  void User_GetAvailGTDataArray(uan,gt_array,gt_num,ec);
  void User_GetAvailMIDDataArray(uan,mid_array,mid_num,ec);
  void User_GetSysInfo(uan,phone,email,weburl,ec);
  void User_GetSysMsgArray(uan,gt,m1,m2,m3,m4,m5,ec);
  void User_GetAccount(uan,bid,ac,asc,fi_accnum,nameonacc,expdate,street,
                       city,state,country,zip,descr,bankname,abanum,ec);
  void User_AddAccount(uan,ac,asc,fi_accnum,nameonacc,expdate,street,
                       city,state,country,zip,bankname,abanum,bid,ec);
  void User_RemoveAccount(uan,bid,ec);
  void User_GetWallet(uan,balance,chips,freechips,ec);
  void User_GetGameInfo(uan,gt,mid,ec);

  void TX(uan,bid,txt,txd,amount,balance,chips,ec);
  void TX_GetAvailArray(uan,atx_array,atx_num,ec);
  void TX_GetArray(uan,txlog_array,txlog_num,ec);
  void TX_GetAllowed(uan,fac_array,fac_num,ec);

  void Slots_Spin(uan,coinsplayed,credits,chips,winnerpaid,payoffhilitenum,
                  rs1,rs2,rs3,ec);
  void Slots_BetOne(uan,coinsplayed,credits,chips,ec);
  void Slots_BetMax(uan,coinsplayed,credits,chips,ec);
  void Slots_CashOut(uan,coinsplayed,credits,chips,ec);
  void Slots_Info(uan,gt,mid,state,credits,rs1,rs2,rs3,winnerpaid,ec);
};
//*******************************************************************
class TACEIntf : public TDBIntf
{
  void Support_GetPhone();
  void Support_SetPhone();
  void Support_GetEmail();
  void Support_SetEmail();
  void Support_GetWebUrl();
  void Support_SetWebUrl();
  void Support_GetNewWelcome();
  void Support_SetNewWelcome();
  void Support_GetNewDisclaimer();
  void Support_SetNewDisclaimer();

  void Lobby_GetGreetingOn();
  void Lobby_SetGreetinOn();
  void Lobby_GetGreetingTxt();
  void Lobby_SetGreetingTxt();
  void Lobby_GetMarqueeTxt();
  void Lobby_SetMarqueeTxt();

  void Bank_GetAllowCashPlay();
  void Bank_SetAllowCashPlay();
  void Bank_GetAllowFreePlay();
  void Bank_SetAllowFreePlay();
  void Bank_GetNewUsersFreePlayAmount();
  void Bank_SetNewUsersFreePlayAmount();
  void Bank_GetNewFreeOnlyFreePlayAmount();
  void Bank_SetNewFreeOnlyFreePlayAmount();
  void Bank_GetAddDailyFreePlayAmount();
  void Bank_SetAddDailyFreePlayAmount();
  void Bank_GetMaxAddDailyFreePlayFlag();
  void Bank_SetMaxAddDailyFreePlayAmount();
  void Bank_GiveFreePlayAmount();

  void Check_GetAllowDep();
  void Check_SetAllowDep();
  void Check_GetMinDepAmount();
  void Check_SetMinDepAmount();
  void Check_GetMaxDepAmount();
  void Check_SetMaxDepAmount();
  void Check_GetDepServiceFee();
  void Check_SetDepServiceFee();
  void Check_GetAllowAdvances();
  void Check_SetAllowAdvances();
  void Check_GetDepInstructions();
  void Check_SetDepInstructions();
  void Check_GetAllowWD();
  void Check_SetAllowWD();
  void Check_GetMinWDAmount();
  void Check_SetMinWDAmount();
  void Check_GetMaxWDAmount();
  void Check_SetMaxWDAmount();
  void Check_GetWDServiceFeeRegular();
  void Check_SetWDServiceFeeRegular();
  void Check_GetWDServiceFeeExpress();
  void Check_SetWDServiceFeeExpress();
  void Check_GetWDInstructions();
  void Check_SetWDInstructions();
  void Check_GetAllowEmpNewWD();
  void Check_SetAllowEmpNewWD();

  void CC_GetAllowDep();
  void CC_SetAllowDep();
  void CC_GetMinDepAmount();
  void CC_SetMinDepAmount();
  void CC_GetMaxDepAmount(
  void CC_SetMaxDepAmount();
  void CC_GetDepServiceFeeAmount();
  void CC_SetDepServiceFeeAmount();
  void CC_GetDepInstructions();
  void CC_SetDepInstructions();
  void CC_GetAllowAutoDep();
  void CC_SetAllowAutoDep();
  void CC_GetAllowWD();
  void CC_SetAllowWD();
  void CC_GetMinWDAmount();
  void CC_SetMinWDAmount();
  void CC_GetMaxWDAmount();
  void CC_SetMaxWDAmount();
  void CC_GetWDServiceFeeAmount();
  void CC_SetWDServiceFeeAmount();
  void CC_GetAllowWD_GT_Dep();
  void CC_SetAllowWD_GT_Dep();
  void CC_GetRecreditExpireDays();
  void CC_SetRecreditExpireDays();
  void CC_GetWDInstructions();
  void CC_SetWDInstructions();
  void CC_GetAutoWD();
  void CC_SetAutoWD();
  void CC_GetAllowEmpNewDep();
  void CC_SetAllowEmpNewDep();
  void CC_GetAllowEmpNewWD();
  void CC_SetAllowEmpNewWD();

  void WU_GetAllowDep();
  void WU_SetAllowDep();
  void WU_GetMinDepAmount();
  void WU_SetMinDepAmount();
  void WU_GetMaxDepAmount();
  void WU_SetMaxDepAmount();
  void WU_GetDepServiceFeeAmount
  void WU_SetDepServiceFeeAmount
  void WU_GetDepInstructions();
  void WU_SetDepInstructions();
  void WU_GetAllowWD();
  void WU_SetAllowWD();
  void WU_GetMinWDAmount();
  void WU_SetMinWDAmount();
  void WU_GetMaxWDAmount();
  void WU_SetMaxWDAmount();
  void WU_GetWDServiceFeeAmount();
  void WU_SetWDServiceFeeAmount();
  void WU_GetWDInstructions();
  void WU_SetWDInstructions();
  void WU_GetAutoWD();
  void WU_SetAutoWD();
  void WU_GetAllowEmpNewWD();
  void WU_SetAllowEmpNewWD();

  void WT_GetAllowDep();
  void WT_SetAllowDep();
  void WT_GetMinDep();
  void WT_SetMinDep();
  void WT_GetMaxDep();
  void WT_SetMaxDep();
  void WT_GetDepServiceFee();
  void WT_SetDepServiceFee();
  void WT_GetAllowDepAdvances();
  void WT_SetAllowDepAdvances();
  void WT_GetDepInstructions();
  void WT_SetDepInstructions();
  void WT_GetAllowWD();
  void WT_SetAllowWD();
  void WT_GetMinDep();
  void WT_SetMinDep();
  void WT_GetMaxDep();
  void WT_SetMaxDep();
  void WT_GetWDServiceFee();
  void WT_SetWDServiceFee();
  void WT_GetDepInstructions();
  void WT_SetDepInstructions();
  void WT_GetAllowAutoWD();
  void WT_SetAllowAutoWD();
  void WT_GetAllowEmpNewWD();
  void WT_SetAllowEmpNewWD();

  void Employee_GetArray();
  void Employee_GetActivityArray();
  void Employee_SetFailedPWCount();
  void Employee_Create();
  void Employee_Login();
  void Employee_Logoff();
  void Employee_ChangePW();
  void Employee_SetLock();
  void Employee_SetOpen();

  void User_Get();
  void User_GetWallet();
  void User_Create();
  void User_GetUANArray();
  void User_GetInfo();
  void User_SetInfo();
  void User_GetChangesArray();
  void User_SetPassword();
  void User_GetDataArray();
  void User_Lockout();
  void User_GetRatingData();
  void User_GetRatingChangesArray();
  void User_ModifyRating();
  void User_GetAccountIDArray();
  void User_GetAccountArray();
  void User_GetAccount();
  void User_AddAccount();

  void TX_GetInfo();
  void TX_GetCCDepArray();
  void TX_GetCCWDArray();
  void TX_GetCheckDepArray();
  void TX_GetCheckWDArray();
  void TX_GetWTDepArray();
  void TX_GetWTWDArray();
  void TX_GetWUDepArray();
  void TX_GetWUWDArray();
  void TX_GetAdjDepArray();
  void TX_GetAdjWDArray();
  void TX_Create();
  void TX_Note();
  void TX_GetNoteArray();
  void TX_GetArray();
  void TX_GetStatusChangedArray();
  void TX_GetStat();
  void TX_ModifyCheckDep();
  void TX_ModifyCheckWD();
  void TX_ModifyCCDep();
  void TX_ModifyCCWD();
  void TX_ModifyWUDep();
  void TX_ModifyWUWD();
  void TX_ModifyWTDep();
  void TX_ModifyWTWD();
  void TX_ModifyAdjDep();
  void TX_ModifyAdjWD();
  void TX_CommitNewEdits();
  void TX_CancelNewEdits();

  void Report_GetGameStatsArray();
  void Report_GetWD();
  void Report_GetAdjDepArray();
  void Report_GetAdjWDArray();
  void Report_GetCheckDepArray();
  void Report_GetCheckWDArray();
  void Report_GetCCDepArray();
  void Report_GetCCWDArray();
  void Report_GetWTDepArray();
  void Report_GetWTWDArray();
  void Report_GetWUDepArray();
  void Report_GetWUWDArray();
  void Report_GetFinancialSummary();
  void Report_GetDep();

  void Region_SetData();
  void Region_AddData();
  void Region_RemoveData();
  void Region_ReadDataArray();
  void Region_DeActivateLock();
  void Region_GetLockArray();

  void Cas_GetGTDataArray();
  void Cas_GetMIDDataArray();
  void Cas_GetCasinoSession();
  void Cas_GetCasinoSessionArray();
  void Cas_GetGameSession();
  void Cas_GetGameSessionArray();

  void Stats_Get();
  void Stats_Get();
  void Stats_GetArray();

  void Slots_GetInstanceArray();
  void Slots_GetRoundArray();
  void Slots_SetCurrent();
  void Slots_GetCurrent();
  void Slots_GetCurrentArray
  void Slots_SetCurrentOpen();
  void Slots_GetAvailArray();
  void Slots_GetOn();
  void Slots_SetOn();

  void BJ_GetInstanceArray();
  void BJ_GetRoundArray();
  void BJ_SetCurrent();
  void BJ_GetCurrent();
  void BJ_GetCurrentArray();
  void BJ_GetCurrentOpen();
  void BJ_GetAvailArray();
  void BJ_GetOn();
  void BJ_SetOn();

  void Roulette_GetInstanceArray();
  void Roulette_GetRoundArray();
  void Roulette_SetCurrent();
  void Roulette_GetCurrent();
  void Roulette_GetCurrentArray();
  void Roulette_SetCurrentOpen();
  void Roulette_GetAvailArray();
  void Roulette_SetOn();
  void Roulette_GetOn();

  void VP_GetInstanceArray();
  void VP_GetRoundArray();
  void VP_SetCurrent();
  void VP_GetCurrent();
  void VP_GetCurrentArray();
  void VP_SetCurrentOpen();
  void VP_GetAvailArray();
  void VP_SetOn();
  void VP_GetOn();
};
//*******************************************************************
class TGWIntf : public TDBIntf
{
  void GW_Login(ipaddr,ec);
  void GW_Logoff(ipaddr,ec);
};
//*******************************************************************
class TBSIntf : public TBSIntf
{
  void BS_Login(ipaddr,ec);
  void BS_Logoff(ipaddr,ec);
};
//*******************************************************************
class TDB
{
  void Login(user,pw,oid);
  void Logoff();
};
//*******************************************************************
class TGSDB : public TDB
{
  TGSIntf GS;
};
//*******************************************************************
class TACEDB : public TDB
{
  TACEIntf ACE;
};
//*******************************************************************
class TGWDB : public TDB
{
  TGWIntf GW;
};
//*******************************************************************
class TBSDB : public TDB
{
  TBSIntf BS;
};
//*******************************************************************
