create or replace package body PChipsCashWDTX as
//*******************************************************************
procedure Create(ean IN,uan IN,amount IN,chipscashwdtx OUT,ec OUT)
{
  ec = EC_NONE;

  PWallet.Lock(uan,wallet,ec);

  if (wallet.GetBalance() < amount)
  {
    ec = EC_WALLET_BALANCE_NSF;
    PWallet.UnLock(wallet,ec);
  }
  else
  {
    wallet.DecBalance(amount);
    wallet.IncChipsCash(amount);
    PWallet.UnLock(wallet,ec);

    chipscashwdtx TChipsCashWDTX = TChipsCashWDTX(TXID_Seq.Next(),
                                                  uan,
                                                  false,
                                                  amount,
                                                  ean,
                                                  SYSDATE);
  }
}
//*******************************************************************
procedure Add(chipscashwdtx IN,ec OUT)
{
  insert chipscashwdtx
  into Tbl_ChipsCashWDTX
}
//*******************************************************************
procedure CreateAdd(ean IN,uan IN,amount IN,txid OUT,ec OUT)
{
  Create(ean,uan,amount,chipscashwdtx,ec);
  if (ec == EC_NONE)
  {
    txid = chipscashwdtx.TXID;
    Add(chipscashwdtx,ec);
  }
}
//*******************************************************************
end;