create or replace package PCheckDepTX as
//*******************************************************************
procedure Modify(ean IN PDef.TEAN,
                 txid IN TXID,
                 mac IN TMAC,
                 checkdeptx OUT TCheckDepTX);

procedure Commit(ean IN,ec OUT);

procedure Cancel(ean IN,ec OUT);

procedure Lock(txid IN TXID,
              checkdeptx IN OUT TCheckDepTX,
              ec OUT TErrorcode);

procedure UnLock(checkdeptx IN TCheckDepTX,ec OUT TErrorCode);

procedure LockArray(ean IN,checkdeptx_array OUT,checkdeptx_num OUT,ec OUT);

procedure UnLockArray(checkdeptx_array IN,checkdeptx_num IN,ec OUT);

procedure Create(ean IN,uan IN,bid IN,amount IN,checknum IN,dateoncheck IN,
                 noservfee IN,checkdeptx OUT,ec OUT);

procedure Add(checkdeptx IN,ec OUT);

procedure CreateAdd(ean IN,uan IN,bid IN,amount IN,checknum IN,dateoncheck IN,
                    noservfee IN,txid OUT,ec OUT);

procedure GetArray(filter IN TFilter,
                   checkdeptx_array OUT,checkdeptx_num OUT,ec OUT);
//*******************************************************************
end;