create or replace package body PChipsFreeDepTX as
//*******************************************************************
procedure Create(ean IN,uan IN,amount IN,code IN,chipsfreedeptx OUT,ec OUT)
{
  ec = EC_NONE;

  PWallet.Lock(uan,wallet,ec);
  wallet.IncFreeChips(amount);
  PWallet.UnLock(wallet,ec);

  chipsfreedeptx TChipsFreeDepTX = TChipsFreeDepTX(TXID_Seq.Next(),
                                                   uan,
                                                   false,
                                                   amount,
                                                   code,
                                                   ean,
                                                   SYSDATE);
}
//*******************************************************************
procedure Add(chipsfreedeptx IN,ec OUT)
{
  insert chipsfreedeptx
  into Tbl_ChipsFreeDepTX
}
//*******************************************************************
procedure CreateAdd(ean IN,uan IN,amount IN,code IN,txid OUT,ec OUT)
{
  Create(ean,uan,amount,code,chipsfreedeptx,ec);
  if (ec == EC_NONE)
  {
    txid = chipsfreedeptx.TXID;
    Add(chipsfreedeptx,ec);
  }
}
//*******************************************************************
end;