create or replace package PDef as
//*******************************************************************
//******************** constants ************************************
//*******************************************************************

  #define BIT0   1
  #define BIT1   2
  #define BIT2   4
  #define BIT3   8
  #define BIT4   16
  #define BIT5   32
  #define BIT6   64
  #define BIT7   128
  #define BIT8   256
  #define BIT9   512
  #define BIT10  1024
  #define BIT11  2048
  #define BIT12
  #define BIT13
  #define BIT14
  #define BIT15
  #define BIT16
  #define BIT17
  #define BIT18
  #define BIT19
  #define BIT20
  #define BIT21
  #define BIT22
  #define BIT23
  #define BIT24
  #define BIT25
  #define BIT26
  #define BIT27
  #define BIT28
  #define BIT29
  #define BIT30
  #define BIT31

  // EC_XXXX
  #define EC_NONE                           0

  #define EC_USER_SET_FAIL
  #define EC_USER_NOT_FOUND
  #define EC_USER_NOT_OPEN
  #define EC_USER_SYSLOCK
  #define EC_USER_CASLOCK
  #define EC_USER_REGLOCK
  #define EC_USER_SYSERROR
  #define EC_USER_LOGGEDIN
  #define EC_USER_SET_FAIL
  #define EC_USER_USERNAME_INUSE
  #define EC_USER_INSTANCE_MISMATCH
  #define EC_USER_USERNAME_INV
  #define EC_USER_INFO_NOTFOUND
  #define EC_USER_INFO_ADDRESS_STREET_INV
  #define EC_USER_INFO_ADDRESS_CITY_INV
  #define EC_USER_INFO_ADDRESS_STATE_INV
  #define EC_USER_INFO_ADDRESS_COUNTRY_INV
  #define EC_USER_INFO_ADDRESS_ZIP_INV
  #define EC_USER_INFO_FNAME_INV
  #define EC_USER_INFO_LNAME_INV
  #define EC_USER_INFO_DAYPHONE_INV
  #define EC_USER_INFO_EVENINGPHONE_INV
  #define EC_USER_INFO_EMAIL_INV
  #define EC_USER_INFO_DOB_INV
  #define EC_USER_INFO_SEX_INV
  #define EC_USER_INFO_MOTHERSMAIDEN_INV
  #define EC_USER_INFO_HOMETOWN_INV
  #define EC_USER_REGLOCK_MA
  #define EC_USER_REGLOCK_CHECK
  #define EC_USER_REGLOCK_CC
  #define EC_USER_REGLOCK_WT
  #define EC_USER_REGLOCK_WU
  #define EC_USER_REGLOCK_NODEPOSIT

  #define EC_REGION_CHECK_NODEP
  #define EC_REGION_CC_NODEP
  #define EC_REGION_LOCK

  #define EC_GAME_INV                      20
  #define EC_GT_INVALID                    20

  #define EC_STATE_INV                     30

  #define EC_EMP_NOT_FOUND                 40
  #define EC_EMP_SYSLOCK                   41
  #define EC_EMP_ALREADY_LOGGEDIN          42
  #define EC_EMP_PW_INVALID

  #define EC_WALLET_CHIPS_NSF
  #define EC_WALLET_CHIPS_CASH_NSF         50
  #define EC_WALLET_CHIPS_FREE_NSF
  #define EC_WALLET_BALANCE_NSF

  #define EC_SAVE_FAILURE                  60

  #define EC_PASSWORD_NOT_FOUND            70
  #define EC_PASSWORD_FAILCOUNT            71
  #define EC_PASSWORD_INVALID              72

  #define EC_BANK_ACCOUNT_NOTFOUND         82
  #define EC_BANK_ACCOUNT_INUSE            83

  #define EC_TX_WD_AMOUNT_UNDERMIN
  #define EC_TX_WD_AMOUNT_OVERMAX
  #define EC_TX_DEP_AMOUNT_UNDERMIN
  #define EC_TX_DEP_AMOUNT_OVERMAX
  #define EC_TX_INPROGRESS
  #define EC_TX_NOTFOUND
  #define EC_TXT_UNKNOWN

  #define EC_SECURITY_ACCESS_DENIED       100
  #define EC_PRIVSET_UNK

  #define EC_CASSESSION_NOT_FOUND
  #define EC_SWITCH_UNSAFE

  #define EC_SLOTS_COINSPLAYABLE_MAX      200
  #define EC_SLOTS_COINSPLAYED_INSUF      201
  #define EC_SLOTS_ROUND_ADD_FAILURE      202
  #define EC_SLOTS_INSTANCE_NOTFOUND      203
  #define EC_SLOT_MACHINE_NOTFOUND        204
  #define EC_SLOT_REEL_NOTFOUND           205
  #define EC_SLOT_PAYOFF_NOTFOUND         206

  #define EC_LOG_CODE_NOTLOGGING
  #define EC_MACHINE_STAT_NOTFOUND
  #define EC_MACHINE_STAT_DUP_VAL

  // Filter contants.
  #define FILTER_DATE_NONE
  #define FILTER_DATE_ACCOUNT_CREATED
  #define FILTER_DATE_LASTLOGIN

  #define FILTER_NUM_NONE
  #define FILTER_NUM_LOGINCOUNTER
  #define FILTER_NUM_RATING

  #define FILTER_TIME_NONE
  #define FILTER_TIME_TOTALPLAYTIME

  #define FILTER_DOLLAR_NONE
  #define FILTER_DOLLAR_WAGERED
  #define FILTER_DOLLAR_WONLOST
  #define FILTER_DOLLAR_AVGWONLOSTPERHOUR
  #define FILTER_DOLLAR_BJ_WAGERED
  #define FILTER_DOLLAR_SLOTS_WAGERED
  #define FILTER_DOLLAR_ROULETTE_WAGERED
  #define FILTER_DOLLAR_VP_WAGERED
  #define FILTER_DOLLAR_BJ_WONLOST
  #define FILTER_DOLLAR_SLOTS_WONLOST
  #define FILTER_DOLLAR_VP_WONLOST
  #define FILTER_DOLLAR_ROULETTE_WONLOST

  // MS_XXXX used by MachineStatus
  #define MS_NONE 0
  #define MS_AVAIL 1
  #define MS_CURRENT 2
  #define MS_ALL 0

  // GRS_XXXX - used by game return setting
  #define GRS_NONE 0
  #define GRS_LOW  1
  #define GRS_MED  2
  #define GRS_HI   3

  // LOG_XXXX - used by PLog
  #define LOG_NONE                                                0
  #define LOG_REGION_READ                                         1
  #define LOG_REGION_WRITE                                        2
  #define LOG_REGION_CREATE                                       3
  #define LOG_REGION_REMOVE                                       4
  #define LOG_SUPPORT_CFG_PHONE_READ                              5
  #define LOG_SUPPORT_CFG_PHONE_WRITE                             6
  #define LOG_SUPPORT_CFG_EMAIL_READ                              7
  #define LOG_SUPPORT_CFG_EMAIL_WRITE                             8
  #define LOG_SUPPORT_CFG_WEBURL_READ                             9
  #define LOG_SUPPORT_CFG_WEBURL_WRITE                            10
  #define LOG_SUPPORT_CFG_NEWWELCOME_READ                         11
  #define LOG_SUPPORT_CFG_NEWWELCOME_WRITE                        12
  #define LOG_SUPPORT_CFG_NEWDISCLAIMER_READ                      13
  #define LOG_SUPPORT_CFG_NEWDISCLAIMER_WRITE                     14
  #define LOG_LOBBY_CFG_GREETINGON_READ                           15
  #define LOG_LOBBY_CFG_GREETINGON_WRITE                          16
  #define LOG_LOBBY_CFG_GREETINGTXT_READ                          17
  #define LOG_LOBBY_CFG_GREETINGTXT_WRITE                         18
  #define LOG_LOBBY_CFG_MARQUEETXT_READ                           19
  #define LOG_LOBBY_CFG_MARQUEETXT_WRITE                          20
  #define LOG_SLOTS_INSTANCE_READ                                 21
  #define LOG_SLOTS_ROUND_READ                                    22
  #define LOG_SLOTS_CFG_MACHINE_READ                              23
  #define LOG_SLOTS_CFG_MACHINE_WRITE                             24
  #define LOG_SLOTS_CFG_MACHINE_CREATE                            25
  #define LOG_SLOTS_CFG_MACHINECURRENT_READ                       26
  #define LOG_SLOTS_CFG_MACHINECURRENT_WRITE                      27
  #define LOG_SLOTS_CFG_MACHINEOPEN_READ                          28
  #define LOG_SLOTS_CFG_MACHINEOPEN_WRITE                         29
  #define LOG_SLOTS_CFG_ON_READ                                   30
  #define LOG_SLOTS_CFG_ON_WRITE                                  31
  #define LOG_BJ_INSTANCE_READ                                    32
  #define LOG_BJ_ROUND_READ                                       33
  #define LOG_BJ_CFG_MACHIHE_READ                                 34
  #define LOG_BJ_CFG_MACHINE_WRITE                                35
  #define LOG_BJ_CFG_MACHINECURRENT_READ                          36
  #define LOG_BJ_CFG_MACHINECURRENT_WRITE                         37
  #define LOG_BJ_CFG_MACHINEOPEN_READ                             38
  #define LOG_BJ_CFG_MACHINEOPEN_WRITE                            39
  #define LOG_BJ_CFG_ON_READ                                      40
  #define LOG_BJ_CFG_ON_WRITE                                     41
  #define LOG_VP_INSTANCE_READ                                    42
  #define LOG_VP_ROUND_READ                                       43
  #define LOG_VP_CFG_MACHINE_READ                                 44
  #define LOG_VP_CFG_MACHINE_WRITE                                45
  #define LOG_VP_CFG_MACHINECURRENT_READ                          46
  #define LOG_VP_CFG_MACHINECURRENT_WRITE                         47
  #define LOG_VP_CFG_MACHINEOPEN_READ                             48
  #define LOG_VP_CFG_MACHINEOPEN_WRITE                            49
  #define LOG_VP_CFG_ON_READ                                      50
  #define LOG_VP_CFG_ON_WRITE                                     51
  #define LOG_ROULETTE_INSTANCE_READ                              52
  #define LOG_ROULETTE_ROUND_READ                                 53
  #define LOG_ROULETTE_CFG_MACHINE_READ                           54
  #define LOG_ROULETTE_CFG_MACHINE_WRITE                          55
  #define LOG_ROULETTE_CFG_MACHINECURRENT_READ                    56
  #define LOG_ROULETTE_CFG_MACHINECURRENT_WRITE                   57
  #define LOG_ROULETTE_CFG_MACHINEOOPEN_READ                      58
  #define LOG_ROULETTE_CFG_MACHINEOPEN_WRITE                      59
  #define LOG_ROULETTE_CFG_ON_READ                                60
  #define LOG_ROULETTE_CFG_ON_WRITE                               61
  #define LOG_TX_STATS_READ                                       62
  #define LOG_TX_NOTE_READ                                        63
  #define LOG_TX_NOTE_WRITE                                       64
  #define LOG_TX_NOTE_CREATE                                      65
  #define LOG_TX_LOG_READ                                         66
  #define LOG_TX_RATING_WD_READ                                   67
  #define LOG_TX_RATING_WD_WRITE                                  68
  #define LOG_TX_RATING_DEP_READ                                  69
  #define LOG_TX_RATING_WD_WRITE                                  70
  #define LOG_TX_CHIPS_CASH_CFG_READ                              71
  #define LOG_TX_CHIPS_CASH_CFG_ALLOW_READ                        72
  #define LOG_TX_CHIPS_CASH_CFG_ALLOW_WRITE                       73
  #define LOG_TX_CHIPS_CASH_DEP_READ                              74
  #define LOG_TX_CHIPS_CASH_DEP_WRITE                             75
  #define LOG_TX_CHIPS_CASH_DEP_CREATE                            76
  #define LOG_TX_CHIPS_CASH_WD_READ                               77
  #define LOG_TX_CHIPS_CASH_WD_WRITE                              78
  #define LOG_TX_CHIPS_CASH_WD_CREATE                             79
  #define LOG_TX_CHIPS_FREE_CFG_READ                              80
  #define LOG_TX_CHIPS_FREE_CFG_ALLOW_READ                        81
  #define LOG_TX_CHIPS_FREE_CFG_ALLOW_WRITE                       82
  #define LOG_TX_CHIPS_FREE_CFG_NEWAMOUNT_READ                    83
  #define LOG_TX_CHIPS_FREE_CFG_NEWAMOUNT_WRITE                   84
  #define LOG_TX_CHIPS_FREE_CFG_NEWFREEONLYAMOUNT_READ            85
  #define LOG_TX_CHIPS_FREE_CFG_NEWFREEONLYAMOUNT_WRITE           86
  #define LOG_TX_CHIPS_FREE_CFG_ADDDAILYAMOUNT_READ               87
  #define LOG_TX_CHIPS_FREE_CFG_ADDDAILYAMOUNT_WRITE              88
  #define LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSFLAG_READ        89
  #define LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSFLAG_WRITE       90
  #define LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSAMOUNT_READ      91
  #define LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSAMOUNT_WRITE     92
  #define LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYCASHLOCKOUTFLAG_READ   93
  #define LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYCASHLOCKOUTFLAG_WRITE  94
  #define LOG_TX_CHIPS_FREE_GIVEALL                               95
  #define LOG_TX_CHIPS_FREE_READ                                  96
  #define LOG_TX_CHIPS_FREE_WRITE                                 97
  #define LOG_TX_CHIPS_FREE_CREATE                                98
  #define LOG_TX_CHECK_CFG_READ                                   99
  #define LOG_TX_CHECK_CFG_ALLOWDEP_READ                          100
  #define LOG_TX_CHECK_CFG_ALLLOWDEP_WRITE                        101
  #define LOG_TX_CHECK_CFG_MINDEPAMOUNT_READ                      102
  #define LOG_TX_CHECK_CFG_MINDEPAMOUNT_WRITE                     103
  #define LOG_TX_CHECK_CFG_MAXDEPAMOUNT_READ                      104
  #define LOG_TX_CHECK_CFG_MAXDEPAMOUNT_WRITE                     105
  #define LOG_TX_CHECK_CFG_DEPSERVFEE_READ                        106
  #define LOG_TX_CHECK_CFG_DEPSERVFEE_WRITE                       107
  #define LOG_TX_CHECK_CFG_ALLOWADVANCES_READ                     108
  #define LOG_TX_CHECK_CFG_ALLOWADVANCES_WRITE                    109
  #define LOG_TX_CHECK_CFG_DEPINSTRUCTIONS_READ                   110
  #define LOG_TX_CHECK_CFG_DEPINSTRUCTIONS_WRITE                  111
  #define LOG_TX_CHECK_CFG_ALLOWWD_READ                           112
  #define LOG_TX_CHECK_CFG_ALLOWWD_WRITE                          113
  #define LOG_TX_CHECK_CFG_MINWDAMOUNT_READ                       114
  #define LOG_TX_CHECK_CFG_MINWDAMOUNT_WRITE                      115
  #define LOG_TX_CHECK_CFG_MAXWDAMOUNT_READ                       116
  #define LOG_TX_CHECK_CFG_MAXWDAMOUNT_WRITE                      117
  #define LOG_TX_CHECK_CFG_WDSERVFEEREG_READ                      118
  #define LOG_TX_CHECK_CFG_WDSERVFEEREG_WRITE                     119
  #define LOG_TX_CHECK_CFG_WDSERVFEEEXP_READ                      120
  #define LOG_TX_CHECK_CFG_WDSERVFEEEXP_WRITE                     121
  #define LOG_TX_CHECK_CFG_WDINSTRUCTIONS_READ                    122
  #define LOG_TX_CHECK_CFG_WDINSTRUCTIONS_WRITE                   123
  #define LOG_TX_CHECK_CFG_ALLOWEMPNEWWD_READ                     124
  #define LOG_TX_CHECK_CFG_ALLOWEMPNEWWD_WRITE                    125
  #define LOG_TX_CHECK_DEP_READ                                   126
  #define LOG_TX_CHECK_DEP_WRITE                                  127
  #define LOG_TX_CHECK_DEP_CREATE                                 128
  #define LOG_TX_CHECK_DEP_COMMIT                                 129
  #define LOG_TX_CHECK_DEP_CANCEL                                 130
  #define LOG_TX_CHECK_WD_READ                                    131
  #define LOG_TX_CHECK_WD_WRITE                                   132
  #define LOG_TX_CHECK_WD_CREATE                                  133
  #define LOG_TX_CHECK_WD_COMMIT                                  134
  #define LOG_TX_CHECK_WD_CANCEL                                  135
  #define LOG_TX_CC_CFG_READ                                      136
  #define LOG_TX_CC_CFG_ALLOWDEP_READ                             137
  #define LOG_TX_CC_CFG_ALLOWDEP_WRITE                            138
  #define LOG_TX_CC_CFG_MINDEPAMOUNT_READ                         139
  #define LOG_TX_CC_CFG_MINDEPAMOUNT_WRITE                        140
  #define LOG_TX_CC_CFG_MAXDEPAMOUNT_READ                         141
  #define LOG_TX_CC_CFG_MAXDEPAMOUNT_WRITE                        142
  #define LOG_TX_CC_CFG_DEPSERVFEE_READ                           143
  #define LOG_TX_CC_CFG_DEPSERVFEE_WRITE                          144
  #define LOG_TX_CC_CFG_DEPINSTRUCTIONS_READ                      145
  #define LOG_TX_CC_CFG_DEPINSTRUCTIONS_WRITE                     146
  #define LOG_TX_CC_CFG_ALLOWAUTODEP_READ                         147
  #define LOG_TX_CC_CFG_ALLOWAUTODEP_WRITE                        148
  #define LOG_TX_CC_CFG_ALLOWWD_READ                              149
  #define LOG_TX_CC_CFG_ALLOWWD_WRITE                             150
  #define LOG_TX_CC_CFG_MINWDAMOUNT_READ                          151
  #define LOG_TX_CC_CFG_MINWDAMOUNT_WRITE                         152
  #define LOG_TX_CC_CFG_MAXWDAMOUNT_READ                          153
  #define LOG_TX_CC_CFG_MAXWDAMOUNT_WRITE                         154
  #define LOG_TX_CC_CFG_WDSERVFEE_READ                            155
  #define LOG_TX_CC_CFG_WDSERVFEE_WRITE                           156
  #define LOG_TX_CC_CFG_ALLOWWDGTDEP_READ                         157
  #define LOG_TX_CC_CFG_ALLOWWDGTDEP_WRITE                        158
  #define LOG_TX_CC_CFG_RECREDITEXPDAYS_READ                      159
  #define LOG_TX_CC_CFG_RECREDITEXPDAYS_WRITE                     160
  #define LOG_TX_CC_CFG_WDINSTRUCTIONS_READ                       161
  #define LOG_TX_CC_CFG_WDINSTRUCTIONS_WRITE                      162
  #define LOG_TX_CC_CFG_ALLOWAUTOWD_READ                          163
  #define LOG_TX_CC_CFG_ALLOWAUTOWD_WRITE                         164
  #define LOG_TX_CC_CFG_ALLOWEMPNEWDEP_READ                       165
  #define LOG_TX_CC_CFG_ALLOWEMPNEWDEP_WRITE                      166
  #define LOG_TX_CC_CFG_ALLOWEMPNEWWD_READ                        167
  #define LOG_TX_CC_CFG_ALLOWEMPNEWWD_WRITE                       168
  #define LOG_TX_CC_DEP_READ                                      169
  #define LOG_TX_CC_DEP_WRITE                                     170
  #define LOG_TX_CC_DEP_CREATE                                    171
  #define LOG_TX_CC_DEP_COMMIT                                    172
  #define LOG_TX_CC_DEP_CANCEL                                    173
  #define LOG_TX_CC_WD_READ                                       174
  #define LOG_TX_CC_WD_WRITE                                      175
  #define LOG_TX_CC_WD_CREATE                                     176
  #define LOG_TX_CC_WD_COMMIT                                     177
  #define LOG_TX_CC_WD_CANCEL                                     178
  #define LOG_TX_WU_CFG_READ                                      179
  #define LOG_TX_WU_CFG_ALLOWDEP_READ                             180
  #define LOG_TX_WU_CFG_ALLOWDEP_WRITE                            181
  #define LOG_TX_WU_CFG_MINDEPAMOUNT_READ                         182
  #define LOG_TX_WU_CFG_MINDEPAMOUNT_WRITE                        183
  #define LOG_TX_WU_CFG_MAXDEPAMOUNT_READ                         184
  #define LOG_TX_WU_CFG_MAXDEPAMOUNT_WRITE                        185
  #define LOG_TX_WU_CFG_DEPSERVFEE_READ                           186
  #define LOG_TX_WU_CFG_DEPSERVFEE_WRITE                          187
  #define LOG_TX_WU_CFG_DEPINSTRUCTIONS_READ                      188
  #define LOG_TX_WU_CFG_DEPINSTRUCTIONS_WRITE                     189
  #define LOG_TX_WU_CFG_ALLOWWD_READ                              190
  #define LOG_TX_WU_CFG_ALLOWWD_WRITE                             191
  #define LOG_TX_WU_CFG_MINWDAMOUNT_READ                          192
  #define LOG_TX_WU_CFG_MINWDAMOUNT_WRITE                         193
  #define LOG_TX_WU_CFG_MAXWDAMOUNT_READ                          194
  #define LOG_TX_WU_CFG_MAXWDAMOUNT_WRITE                         195
  #define LOG_TX_WU_CFG_WDSERVFEE_READ                            196
  #define LOG_TX_WU_CFG_WDSERVFEE_WRITE                           197
  #define LOG_TX_WU_CFG_WDINSTRUCTIONS_READ                       198
  #define LOG_TX_WU_CFG_WDINSTRUCTIONS_WRITE                      199
  #define LOG_TX_WU_CFG_ALLOWAUTOWD_READ                          200
  #define LOG_TX_WU_CFG_ALLOWAUTOWD_WRITE                         201
  #define LOG_TX_WU_CFG_ALLOWEMPNEWWD_READ                        202
  #define LOG_TX_WU_CFG_ALLOWEMPNEWWD_WRITE                       203
  #define LOG_TX_WU_DEP_READ                                      204
  #define LOG_TX_WU_DEP_WRITE                                     205
  #define LOG_TX_WU_DEP_CREATE                                    206
  #define LOG_TX_WU_DEP_COMMIT                                    207
  #define LOG_TX_WU_DEP_CANCEL                                    208
  #define LOG_TX_WU_WD_READ                                       209
  #define LOG_TX_WU_WD_WRITE                                      210
  #define LOG_TX_WU_WD_CREATE                                     211
  #define LOG_TX_WU_WD_COMMIT                                     212
  #define LOG_TX_WU_WD_CANCEL                                     213
  #define LOG_TX_WT_CFG_READ                                      214
  #define LOG_TX_WT_CFG_ALLOWDEP_READ                             215
  #define LOG_TX_WT_CFG_ALLOWDEP_WRITE                            216
  #define LOG_TX_WT_CFG_MINDEPAMOUNT_READ                         217
  #define LOG_TX_WT_CFG_MINDEPAMOUNT_WRITE                        218
  #define LOG_TX_WT_CFG_MAXDEPAMOUNT_READ                         219
  #define LOG_TX_WT_CFG_MAXDEPAMOUNT_WRITE                        210
  #define LOG_TX_WT_CFG_DEPSERVFEE_READ                           211
  #define LOG_TX_WT_CFG_DEPSERVFEE_WRITE                          212
  #define LOG_TX_WT_CFG_ALLOWDEPADVANCES_READ                     213
  #define LOG_TX_WT_CFG_ALLOWDEPADVANCES_WRITE                    214
  #define LOG_TX_WT_CFG_DEPINSTRUCTIONS_READ                      215
  #define LOG_TX_WT_CFG_DEPINSTRUCTIONS_WRITE                     216
  #define LOG_TX_WT_CFG_ALLOWWD_READ                              217
  #define LOG_TX_WT_CFG_ALLOWWD_WRITE                             218
  #define LOG_TX_WT_CFG_MINWDAMOUNT_READ                          219
  #define LOG_TX_WT_CFG_MINWDAMOUNT_WRITE                         220
  #define LOG_TX_WT_CFG_MAXWDAMOUNT_READ                          221
  #define LOG_TX_WT_CFG_MAXWDAMOUNT_WRITE                         222
  #define LOG_TX_WT_CFG_WDSERVFEE_READ                            223
  #define LOG_TX_WT_CFG_WDSERVFEE_WRITE                           224
  #define LOG_TX_WT_CFG_WDINSTRUCTIONS_READ                       225
  #define LOG_TX_WT_CFG_WDINSTRUCTIONS_WRITE                      226
  #define LOG_TX_WT_CFG_ALLOWAUTOWD_READ                          227
  #define LOG_TX_WT_CFG_ALLOWAUTOWD_WRITE                         228
  #define LOG_TX_WT_CFG_ALLOWEMPNEWWD_READ                        229
  #define LOG_TX_WT_CFG_ALLOWEMPNEWWD_WRITE                       230
  #define LOG_TX_WT_DEP_READ                                      231
  #define LOG_TX_WT_DEP_WRITE                                     232
  #define LOG_TX_WT_DEP_CREATE                                    233
  #define LOG_TX_WT_DEP_COMMIT                                    234
  #define LOG_TX_WT_DEP_CANCEL                                    235
  #define LOG_TX_WT_WD_READ                                       236
  #define LOG_TX_WT_WD_WRITE                                      237
  #define LOG_TX_WT_WD_CREATE                                     238
  #define LOG_TX_WT_WD_COMMIT                                     239
  #define LOG_TX_WT_WD_CANCEL                                     240
  #define LOG_TX_ADJ_CFG_READ                                     241
  #define LOG_TX_ADJ_CFG_WRITE                                    242
  #define LOG_TX_ADJ_DEP_READ                                     243
  #define LOG_TX_ADJ_DEP_WRITE                                    244
  #define LOG_TX_ADJ_DEP_CREATE                                   245
  #define LOG_TX_ADJ_DEP_COMMIT                                   246
  #define LOG_TX_ADJ_DEP_CANCEL                                   247
  #define LOG_TX_ADJ_WD_READ                                      248
  #define LOG_TX_ADJ_WD_WRITE                                     249
  #define LOG_TX_ADJ_WD_CREATE                                    250
  #define LOG_TX_ADJ_WD_COMMIT                                    251
  #define LOG_TX_ADJ_WD_CANCEL                                    252
  #define LOG_EMP_READ                                            253
  #define LOG_EMP_WRITE                                           254
  #define LOG_EMP_CREATE                                          255
  #define LOG_EMP_ACTIVITY_READ                                   256
  #define LOG_EMP_ACTIVITY_WRITE                                  257
  #define LOG_EMP_PW_READ                                         258
  #define LOG_EMP_PW_WRITE                                        259
  #define LOG_EMP_PW_RESETCOUNT_READ                              260
  #define LOG_EMP_PW_RESETCOUNT_WRITE                             261
  #define LOG_EMP_LOGIN                                           262
  #define LOG_EMP_LOGOFF                                          263
  #define LOG_EMP_LOCK_READ                                       264
  #define LOG_EMP_LOG_WRITE                                       265
  #define LOG_EMP_OPEN_READ                                       266
  #define LOG_EMP_OPEN_WRITE                                      267
  #define LOG_USER_READ                                           268
  #define LOG_USER_WRITE                                          269
  #define LOG_USER_CREATE                                         270
  #define LOG_USER_INFO_READ                                      271
  #define LOG_USER_INFO_WRITE                                     272
  #define LOG_USER_INFO_NAME_FNAME_WRITE                          273
  #define LOG_USER_INFO_NAME_LNAME_WRITE                          274
  #define LOG_USER_INFO_ADDRESS_STREET_WRITE                      275
  #define LOG_USER_INFO_ADDRESS_CITY_WRITE                        276
  #define LOG_USER_INFO_ADDRESS_STATE_WRITE                       277
  #define LOG_USER_INFO_ADDRESS_COUNTRY_WRITE                     278
  #define LOG_USER_INFO_ADDRESS_ZIP_WRITE                         279
  #define LOG_USER_INFO_DAYPHONE_WRITE                            280
  #define LOG_USER_INFO_EVENINGPHONE_WRITE                        281
  #define LOG_USER_INFO_EMAIL_WRITE                               282
  #define LOG_USER_INFO_DOB_WRITE                                 283
  #define LOG_USER_INFO_SEX_WRITE                                 284
  #define LOG_USER_INFO_MOTHERSMAIDEN_WRITE                       285
  #define LOG_USER_INFO_HOMETOWN_WRITE                            286
  #define LOG_USER_PW_READ                                        287
  #define LOG_USER_PW_WRITE                                       288
  #define LOG_USER_CASLOCK_READ                                   289
  #define LOG_USER_CASLOCK_WRITE                                  290
  #define LOG_USER_BANKACC_READ                                   291
  #define LOG_USER_BANKACC_WRITE                                  292
  #define LOG_USER_BANKACC_CREATE                                 293
  #define LOG_USER_REGLOCK_READ                                   294
  #define LOG_USER_REGLOCK_WRITE                                  295
  #define LOG_USER_CASSESSION_READ                                296
  #define LOG_USER_GAMESESSION_READ                               297
  #define LOG_USER_SYSLOCK_READ                                   298
  #define LOG_USER_SYSLOCK_WRITE                                  299
  #define LOG_USER_OPEN_READ                                      300
  #define LOG_USER_OPEN_WRITE                                     301
  #define LOG_WALLET_READ                                         302
  #define LOG_WALLET_WRITE                                        303
  #define LOG_WALLET_RATING_READ                                  304
  #define LOG_WALLET_RATING_WRITE                                 305
  #define LOG_REPORT_GAMESTATS_READ                               306
  #define LOG_REPORT_DEP_READ                                     307
  #define LOG_REPORT_WD_READ                                      308
  #define LOG_REPORT_ADJ_DEP_READ                                 309
  #define LOG_REPORT_ADJ_WD_READ                                  310
  #define LOG_REPORT_CHECK_DEP_READ                               311
  #define LOG_REPORT_CHECK_WD_READ                                312
  #define LOG_REPORT_CC_DEP_READ                                  313
  #define LOG_REPORT_CC_WD_READ                                   314
  #define LOG_REPORT_WT_DEP_READ                                  315
  #define LOG_REPORT_WT_WD_READ                                   316
  #define LOG_REPORT_WU_DEP_READ                                  317
  #define LOG_REPORT_WU_WD_READ                                   318
  #define LOG_REPORT_FINANCIALSUMMARY_READ                        319

  // GT_XXXX
  #define GT_ALL      0
  #define GT_NONE     0
  #define GT_LOBBY    0
  #define GT_SLOTS    1
  #define GT_VP       2
  #define GT_BJ       3
  #define GT_ROULETTE 4

  // STATE_XXXX - instance state
  #define STATE_NONE 0
  #define STATE_BET  1

  // MAC_X_XXXX - Modify Action Code (Withdrawals, Deposits)
  #define MAC_NONE                     0

  #define MAC_DEP_DENIED               1
  #define MAC_DEP_APPROVED             2
  #define MAC_DEP_ADVANCE_DENIED       3
  #define MAC_DEP_ADVANCE_APPROVED     4
  #define MAC_DEP_FUNDS_RECEIVED       5
  #define MAC_DEP_FUNDS_DENIED         6

  #define MAC_WD_DENIED                7
  #define MAC_WD_APPROVED              8
  #define MAC_WD_TRANSFER_COMPLETE     9
  #define MAC_WD_TRANSFER_DENIED       10
  #define MAC_WD_CHECK_CUT             11
  #define MAC_WD_CHECK_CASHED          12

  // SC_XXXX -> used by TStatusCode var's
  #define SC_NONE             0  // none
  #define SC_PENDING          1  // blue
  #define SC_ACCEPTED         2  // black
  #define SC_ACCEPTEDREVERSED 3  // red

  // AC_XXXX - account code
  #define AC_NONE       0
  #define AC_CREDITCARD 1
  #define AC_DEBITCARD  2
  #define AC_CHECKING   3
  #define AC_SAVINGS    4
  #define AC_CHIPS      5

  // ASC_XX_XXXX - account sub code.
  #define ASC_NONE              0

  // credit cards
  #define ASC_CC_MASTERCARD     1
  #define ASC_CC_VISA           2
  #define ASC_CC_AMEX           3
  #define ASC_CC_DISCOVER       4
  #define ASC_CC_DINERS         5

  // checking
  #define ASC_CT_CASHIER        6
  #define ASC_CT_MONEYORDER     7
  #define ASC_CT_PERSONAL       8
  #define ASC_CT_TRAVEL         9

  // TXT_XXXX - TX (Transaction) Type Code
  #define TXT_NONE               0
  #define TXT_CHECK              1
  #define TXT_CREDITCARD         2
  #define TXT_WESTERNUNION       3
  #define TXT_WIRETRANSFER       4
  #define TXT_CHIPS              5
  #define TXT_FREECHIPS          6
  #define TXT_ADJUSTMENT         7

  // TXD_XXXX - TX (Transaction) Direction Code
  #define TXD_NONE       0
  #define TXD_DEPOSIT    1  // to icasino from user
  #define TXD_WITHDRAWAL 2  // to user from icasino

  // ASC_CC_XXXX_STR
  #define ASC_CC_STR_MASTERCARD "MCard"
  #define ASC_CC_STR_VISA "Visa"
  #define ASC_CC_STR_AMEX "AmEx"
  #define ASC_CC_STR_UNK "Unk"

  // RLC_XXXX - RegLock Codes

  #define RLC_NONE   0
  #define RLC_MA     BIT0
  #define RLC_CHECK  BIT1
  #define RLC_CC     BIT2
  #define RLC_WT     BIT3
  #define RLC_WU     BIT4

  #define NUM_ACCOUNTS 10
  #define MAX_PW_FAILCOUNT 5
  #define NULL_GATEWAYID  ""

  // RANK_XXXX

  #define RANK_NONE    0
  #define RANK_JR      1
  #define RANK_REG     2
  #define RANK_SR      3
  #define RANK_SUPER   4

  // PRIVSET_XXXX

  #define PRIVSET_NONE        1
  #define PRIVSET_ACE         2
  #define PRIVSET_USER        3
  #define PRIVSET_WALLET      4
  #define PRIVSET_EMP         5
  #define PRIVSET_LOBBY       6
  #define PRIVSET_SUPPORT     7
  #define PRIVSET_SLOTS       8
  #define PRIVSET_VP          9
  #define PRIVSET_BJ         10
  #define PRIVSET_ROULETTE   11
  #define PRIVSET_TX         12
  #define PRIVSET_TX_WU      13
  #define PRIVSET_TX_WT      14
  #define PRIVSET_TX_CC      15
  #define PRIVSET_TX_CHECK   16
  #define PRIVSET_TX_ADJ     17
  #define PRIVSET_TX_CHIPS   18
  #define PRIVSET_TX_RATING  19

  // PRIV_XXXX_XXXX - used by PACE and PEmpSecAcc to limit access to ACE functionality.

  #define PRIV_ACE_PW                    BIT0
  #define PRIV_ACE_USER_SELECT           BIT1
  #define PRIV_ACE_USER_ADVSELECT        BIT2
  #define PRIV_ACE_USER_INFO             BIT3
  #define PRIV_ACE_USER_LOCKOUTS         BIT4
  #define PRIV_ACE_USER_STATS            BIT5
  #define PRIV_ACE_USER_RATINGTX         BIT6
  #define PRIV_ACE_USER_ACTIVITY         BIT7
  #define PRIV_ACE_USER_CREATE           BIT8
  #define PRIV_ACE_USER_CHIPS_CASH       BIT9
  #define PRIV_ACE_USER_CHIPS_FREE       BIT10
  #define PRIV_ACE_USER_DEP              BIT11
  #define PRIV_ACE_USER_WD               BIT12
  #define PRIV_ACE_USER_BANKLOG          BIT13
  #define PRIV_ACE_REPORT_SUMMARY        BIT14
  #define PRIV_ACE_REPORT_DEP            BIT15
  #define PRIV_ACE_REPORT_WD             BIT16
  #define PRIV_ACE_REPORT_GAMESTATS      BIT17
  #define PRIV_ACE_REPORT_EMPACTIVITY    BIT18
  #define PRIV_ACE_SETUP_CASINO          BIT19
  #define PRIV_ACE_SETUP_BANKING         BIT20
  #define PRIV_ACE_SETUP_REGION          BIT21
  #define PRIV_ACE_SETUP_EMP             BIT22

  #define PRIV_EMP_READ                  BIT0
  #define PRIV_EMP_WRITE                 BIT1
  #define PRIV_EMP_CREATE                BIT2
  #define PRIV_EMP_PW_READ               BIT3
  #define PRIV_EMP_PW_WRITE              BIT4
  #define PRIV_EMP_ACTIVITY_READ         BIT5
  #define PRIV_EMP_LOCK_WRITE            BIT6

  #define PRIV_USER_READ                   BIT0
  #define PRIV_USER_WRITE                  BIT1
  #define PRIV_USER_CREATE                 BIT2
  #define PRIV_USER_BANKACC_READ           BIT3
  #define PRIV_USER_BANKACC_WRITE          BIT4
  #define PRIV_USER_BANKACC_CREATE         BIT5
  #define PRIV_USER_BANKACC_NUMBERS_READ   BIT6
  #define PRIV_USER_INFO_READ              BIT7
  #define PRIV_USER_INFO_WRITE             BIT8
  #define PRIV_USER_PW_READ                BIT9
  #define PRIV_USER_PW_WRITE               BIT10
  #define PRIV_USER_CASLOCK_READ           BIT11
  #define PRIV_USER_CASLOCK_WRITE          BIT12
  #define PRIV_USER_REGLOCK_READ           BIT13
  #define PRIV_USER_REGLOCK_WRITE          BIT14
  #define PRIV_USER_SYSLOCK_READ           BIT15
  #define PRIV_USER_SYSLOCK_WRITE          BIT16
  #define PRIV_USER_CASSESSION_READ        BIT17
  #define PRIV_USER_GAMESESSION_READ       BIT18
  #define PRIV_USER_ACTIVITY_READ          BIT19
  #define PRIV_USER_NOTE_READ              BIT20
  #define PRIV_USER_NOTE_CREATE            BIT21

  #define PRIV_WALLET_READ                     BIT0
  #define PRIV_WALLET_WRITE                    BIT1
  #define PRIV_WALLET_BALANCE_READ             BIT2
  #define PRIV_WALLET_BALANCE_WRITE            BIT3
  #define PRIV_WALLET_BALANCE_TOTALS_READ      BIT4
  #define PRIV_WALLET_CHIPS_FREE_READ          BIT5
  #define PRIV_WALLET_CHIPS_FREE_WRITE         BIT6
  #define PRIV_WALLET_CHIPS_FREE_TOTALS_READ   BIT7
  #define PRIV_WALLET_CHIPS_CASH_READ          BIT8
  #define PRIV_WALLET_CHIPS_CASH_WRITE         BIT9
  #define PRIV_WALLET_CHIPS_CASH_TOTALS_READ   BIT10
  #define PRIV_WALLET_RATINGMOD_READ           BIT11
  #define PRIV_WALLET_RATINGMOD_WRITE          BIT12


  #define PRIV_SLOTS_CFG_READ              BIT0
  #define PRIV_SLOTS_CFG_WRITE             BIT1
  #define PRIV_SLOTS_MACHINE_READ          BIT2
  #define PRIV_SLOTS_MACHINE_WRITE         BIT3
  #define PRIV_SLOTS_INSTANCE_READ         BIT4
  #define PRIV_SLOTS_ROUND_READ            BIT5

  #define PRIV_BJ_CFG_READ                 BIT0
  #define PRIV_BJ_CFG_WRITE                BIT1
  #define PRIV_BJ_MACHINE_READ             BIT2
  #define PRIV_BJ_MACHINE_WRITE            BIT3
  #define PRIV_BJ_INSTANCE_READ            BIT4
  #define PRIV_BJ_ROUND_READ               BIT5

  #define PRIV_ROULETTE_CFG_READ           BIT0
  #define PRIV_ROULETTE_CFG_WRITE          BIT1
  #define PRIV_ROULETTE_MACHINE_READ       BIT2
  #define PRIV_ROULETTE_MACHINE_WRITE      BIT3
  #define PRIV_ROULETTE_INSTANCE_READ      BIT4
  #define PRIV_ROULETTE_ROUND_READ         BIT5

  #define PRIV_VP_CFG_READ                 BIT0
  #define PRIV_VP_CFG_WRITE                BIT1
  #define PRIV_VP_MACHINE_READ             BIT2
  #define PRIV_VP_MACHINE_WRITE            BIT3
  #define PRIV_VP_INSTANCE_READ            BIT4
  #define PRIV_VP_ROUND_READ               BIT5

  #define PRIV_LOBBY_CFG_READ              BIT0
  #define PRIV_LOBBY_CFG_WRITE             BIT1

  #define PRIV_SUPPORT_CFG_READ            BIT0
  #define PRIV_SUPPORT_CFG_WRITE           BIT1

  #define PRIV_REGION_CFG_READ             BIT0
  #define PRIV_REGION_CFG_WRITE            BIT1
  #define PRIV_REGION_CFG_CREATE           BIT2
  #define PRIV_REGION_IGNORE               BIT3

  #define PRIV_TX_GENERAL_CFG_READ         BIT0
  #define PRIV_TX_GENERAL_CFG_WRITE        BIT1
  #define PRIV_TX_NOTE_READ                BIT2
  #define PRIV_TX_NOTE_CREATE              BIT3
  #define PRIV_TX_LOG_READ                 BIT4
  #define PRIV_TX_STATS_READ               BIT5

  #define PRIV_TX_CHECK_CFG_READ           BIT0
  #define PRIV_TX_CHECK_CFG_WRITE          BIT1
  #define PRIV_TX_CHECK_CFG_SUBIGNORE      BIT2
  #define PRIV_TX_CHECK_WD_READ            BIT3
  #define PRIV_TX_CHECK_WD_WRITE           BIT4
  #define PRIV_TX_CHECK_WD_CREATE          BIT5
  #define PRIV_TX_CHECK_WD_TOTALS_READ     BIT6
  #define PRIV_TX_CHECK_WD_SERVFEE         BIT7
  #define PRIV_TX_CHECK_WD_IGNORELIMITS    BIT8
  #define PRIV_TX_CHECK_DEP_READ           BIT9
  #define PRIV_TX_CHECK_DEP_WRITE          BIT10
  #define PRIV_TX_CHECK_DEP_CREATE         BIT11
  #define PRIV_TX_CHECK_DEP_TOTALS_READ    BIT12
  #define PRIV_TX_CHECK_DEP_SERVFEE        BIT13
  #define PRIV_TX_CHECK_DEP_ADV_APPR       BIT14
  #define PRIV_TX_CHECK_DEP_ADV_DENY       BIT15
  #define PRIV_TX_CHECK_DEP_IGNORELIMITS   BIT16

  #define PRIV_TX_CC_CFG_READ              BIT0
  #define PRIV_TX_CC_CFG_WRITE             BIT1
  #define PRIV_TX_CC_CFG_SUBIGNORE         BIT2
  #define PRIV_TX_CC_WD_READ               BIT3
  #define PRIV_TX_CC_WD_WRITE              BIT4
  #define PRIV_TX_CC_WD_CREATE             BIT5
  #define PRIV_TX_CC_WD_TOTALS_READ        BIT6
  #define PRIV_TX_CC_WD_SERVFEE            BIT7
  #define PRIV_TX_CC_WD_IGNORELIMITS       BIT8
  #define PRIV_TX_CC_DEP_READ              BIT9
  #define PRIV_TX_CC_DEP_WRITE             BIT10
  #define PRIV_TX_CC_DEP_CREATE            BIT11
  #define PRIV_TX_CC_DEP_TOTALS_READ       BIT12
  #define PRIV_TX_CC_DEP_SERVFEE           BIT13
  #define PRIV_TX_CC_DEP_ADV_APPR          BIT14
  #define PRIV_TX_CC_DEP_ADV_DENY          BIT15
  #define PRIV_TX_CC_DEP_IGNORELIMITS      BIT16

  #define PRIV_TX_WU_CFG_READ              BIT0
  #define PRIV_TX_WU_CFG_WRITE             BIT1
  #define PRIV_TX_WU_CFG_SUBIGNORE         BIT2
  #define PRIV_TX_WU_WD_READ               BIT3
  #define PRIV_TX_WU_WD_WRITE              BIT4
  #define PRIV_TX_WU_WD_CREATE             BIT5
  #define PRIV_TX_WU_WD_TOTALS_READ        BIT6
  #define PRIV_TX_WU_WD_SERVFEE            BIT7
  #define PRIV_TX_WU_WD_IGNORELIMITS       BIT8
  #define PRIV_TX_WU_DEP_READ              BIT9
  #define PRIV_TX_WU_DEP_WRITE             BIT10
  #define PRIV_TX_WU_DEP_CREATE            BIT11
  #define PRIV_TX_WU_DEP_TOTALS_READ       BIT12
  #define PRIV_TX_WU_DEP_SERVFEE           BIT13
  #define PRIV_TX_WU_DEP_IGNORELIMITS      BIT14

  #define PRIV_TX_WT_CFG_READ              BIT0
  #define PRIV_TX_WT_CFG_WRITE             BIT1
  #define PRIV_TX_WT_CFG_SUBIGNORE         BIT2
  #define PRIV_TX_WT_WD_READ               BIT3
  #define PRIV_TX_WT_WD_WRITE              BIT4
  #define PRIV_TX_WT_WD_CREATE             BIT5
  #define PRIV_TX_WT_WD_TOTALS_READ        BIT6
  #define PRIV_TX_WT_WD_SERVFEE            BIT7
  #define PRIV_TX_WT_DEP_READ              BIT8
  #define PRIV_TX_WT_DEP_WRITE             BIT9
  #define PRIV_TX_WT_DEP_CREATE            BIT10
  #define PRIV_TX_WT_DEP_TOTALS_READ       BIT11
  #define PRIV_TX_WT_DEP_SERVFEE           BIT12
  #define PRIV_TX_WT_DEP_IGNORELIMTS       BIT13

  #define PRIV_TX_ADJ_WD_READ              BIT0
  #define PRIV_TX_ADJ_WD_WRITE             BIT1
  #define PRIV_TX_ADJ_WD_CREATE            BIT2
  #define PRIV_TX_ADJ_WD_TOTALS_READ       BIT3
  #define PRIV_TX_ADJ_DEP_READ             BIT4
  #define PRIV_TX_ADJ_DEP_WRITE            BIT5
  #define PRIV_TX_ADJ_DEP_CREATE           BIT6
  #define PRIV_TX_ADJ_DEP_TOTALS_READ      BIT7

  #define PRIV_TX_CHIPS_CASH_CFG_READ         BIT0
  #define PRIV_TX_CHIPS_CASH_CFG_WRITE        BIT1
  #define PRIV_TX_CHIPS_CASH_WD_READ          BIT2
  #define PRIV_TX_CHIPS_CASH_WD_WRITE         BIT3
  #define PRIV_TX_CHIPS_CASH_WD_CREATE        BIT4
  #define PRIV_TX_CHIPS_CASH_WD_TOTALS_READ   BIT5
  #define PRIV_TX_CHIPS_FREE_CFG_READ         BIT6
  #define PRIV_TX_CHIPS_FREE_CFG_WRITE        BIT7
  #define PRIV_TX_CHIPS_FREE_WD_READ          BIT8
  #define PRIV_TX_CHIPS_FREE_WD_WRITE         BIT9
  #define PRIV_TX_CHIPS_FREE_WD_CREATE        BIT10
  #define PRIV_TX_CHIPS_FREE_WD_TOTALS_READ   BIT11
  #define PRIV_TX_CHIPS_CASH_DEP_READ         BIT12
  #define PRIV_TX_CHIPS_CASH_DEP_WRITE        BIT13
  #define PRIV_TX_CHIPS_CASH_DEP_CREATE       BIT14
  #define PRIV_TX_CHIPS_CASH_DEP_TOTALS_READ  BIT15
  #define PRIV_TX_CHIPS_FREE_DEP_READ         BIT16
  #define PRIV_TX_CHIPS_FREE_DEP_WRITE        BIT17
  #define PRIV_TX_CHIPS_FREE_DEP_CREATE       BIT18
  #define PRIV_TX_CHIPS_FREE_DEP_TOTALS_READ  BIT19

  #define PRIV_TX_RATING_WD_READ              BIT0
  #define PRIV_TX_RATING_WD_WRITE             BIT1
  #define PRIV_TX_RATING_WD_CREATE            BIT2
  #define PRIV_TX_RATING_WD_TOTALS_READ       BIT3
  #define PRIV_TX_RATING_DEP_READ             BIT4
  #define PRIV_TX_RATING_DEP_WRITE            BIT5
  #define PRIV_TX_RATING_DEP_CREATE           BIT6
  #define PRIV_TX_RATING_DEP_TOTALS_READ      BIT7

  // user support role.
  #define JR_USERSUPPORT_ACE       (PRIV_ACE_USER_SELECT)

  #define JR_USERSUPPORT_USER      (PRIV_USER_READ | PRIV_USER_INFO_READ |
                                    PRIV_USER_CASLOCK_READ |
                                    PRIV_USER_REGLOCK_READ |
                                    PRIV_USER_SYSLOCK_READ)

  #define JR_USERSUPPORT_WALLET    (PRIV_WALLET_READ |
                                    PRIV_WALLET_CHIPS_FREE_READ |
                                    PRIV_WALLET_CHIPS_CASH_READ)

  #define REG_USERSUPPORT_ACE      (PRIV_ACE_USER_ADVSELECT)

  #define REG_USERSUPPORT_USER     (PRIV_USER_WRITE |  PRIV_USER_CREATE |
                                    PRIV_USER_BANKACC_READ |
                                    PRIV_USER_BANKACC_WRITE |
                                    PRIV_USER_BANKACC_CREATE |
                                    PRIV_USER_INFO_WRITE | PRIV_USER_PW_WRITE |
                                    PRIV_USER_CASSESSION_READ |
                                    PRIV_USER_GAMESESSION_READ)

  #define REG_USERSUPPORT_WALLET   (PRIV_WALLET_BALANCE_READ |
                                    PRIV_WALLET_RATINGMOD_READ)

  #define SR_USERSUPPORT_USER      (PRIV_USER_BANKACC_NUMBERS_READ |
                                    PRIV_USER_PW_READ |
                                    PRIV_USER_CASLOCK_WRITE |
                                    PRIV_USER_REGLOCK_WRITE)

  #define SR_USERSUPPORT_WALLET    (PRIV_WALLET_WRITE |
                                    PRIV_WALLET_BALANCE_WRITE |
                                    PRIV_WALLET_CHIPS_FREE_WRITE |
                                    PRIV_WALLET_CHIPS_CASH_WRITE | 
                                    PRIV_WALLET_RATINGMOD_WRITE)

  #define SUPER_USERSUPPORT_USER   ()
  
  #define SUPER_USERSUPPORT_WALLET (PRIV_WALLET_BALANCE_TOTALS_READ | 
                                    PRIV_WALLET_CHIPS_FREE_TOTALS_READ |
                                    PRIV_WALLET_CHIPS_CASH_TOTALS_READ)

  // employee role
  #define JR_EMP_EMP    (PRIV_EMP_READ)

  #define REG_EMP_EMP   (PRIV_ACE_PW)

  #define REG_EMP_EMP   (PRIV_EMP_PW_WRITE)

  #define SR_EMP_EMP    (PRIV_EMP_WRITE | PRIV_EMP_PW_READ |
                         PRIV_EMP_ACTIVITY_READ)

  #define SUPER_EMP_EMP (PRIV_EMP_CREATE | PRIV_EMP_LOCK_WRITE)

  // system role
  #define JR_SYSTEM_USER     ()
  #define JR_SYSTEM_SLOTS    (PRIV_SLOTS_CFG_READ | PRIV_SLOTS_MACHINE_READ)
  #define JR_SYSTEM_BJ       (PRIV_BJ_CFG_READ | PRIV_BJ_MACHINE_READ)
  #define JR_SYSTEM_VP       (PRIV_VP_CFG_READ | PRIV_VP_MACHINE_READ)
  #define JR_SYSTEM_ROULETTE (PRIV_ROULETTE_CFG_READ |
                              PRIV_ROULETTE_MACHINE_READ)
  #define JR_SYSTEM_LOBBY    (PRIV_LOBBY_CFG_READ | PRIV_SUPPORT_CFG_READ |
                              PRIV_REGION_CFG_READ)
  #define JR_SYSTEM_TX       (PRIV_TX_GENERAL_CFG_READ)
  #define JR_SYSTEM_TX_CHECK (PRIV_TX_CHECK_CFG_READ)
  #define JR_SYSTEM_TX_CC    (PRIV_TX_CC_CFG_READ)
  #define JR_SYSTEM_TX_WT    (PRIV_TX_WT_CFG_READ)
  #define JR_SYSTEM_TX_WU    (PRIV_TX_WU_CFG_READ)

  #define REG_SYSTEM_USER     ()
  #define REG_SYSTEM_SLOTS    (PRIV_SLOTS_INSTANCE_READ | PRIV_SLOTS_ROUND_READ)
  #define REG_SYSTEM_BJ       (PRIV_BJ_INSTANCE_READ | PRIV_BJ_ROUND_READ)
  #define REG_SYSTEM_VP       (PRIV_VP_INSTANCE_READ | PRIV_VP_ROUND_READ)
  #define REG_SYSTEM_ROULETTE (PRIV_ROULETTE_INSTANCE_READ |
                               PRIV_ROULETTE_ROUND_READ)
  #define REG_SYSTEM_TX       ()
  #define REG_SYSTEM_TX_CHECK ()
  #define REG_SYSTEM_TX_CC    ()
  #define REG_SYSTEM_TX_WT    ()
  #define REG_SYSTEM_TX_WU    ()

  #define SR_SYSTEM_USER     (PRIV_USER_SYSLOCK_WRITE)
  #define SR_SYSTEM_SLOTS    ()
  #define SR_SYSTEM_BJ       ()
  #define SR_SYSTEM_VP       ()
  #define SR_SYSTEM_ROULETTE ()
  #define SR_SYSTEM_LOBBY    (PRIV_LOBBY_CFG_WRITE | PRIV_SUPPORT_CFG_WRITE)
  #define SR_SYSTEM_TX       ()
  #define SR_SYSTEM_TX_CHECK ()
  #define SR_SYSTEM_TX_CC    ()
  #define SR_SYSTEM_TX_WT    ()
  #define SR_SYSTEM_TX_WU    ()

  #define SUPER_SYSTEM_USER     ()
  #define SUPER_SYSTEM_SLOTS    (PRIV_SLOTS_CFG_WRITE |
                                 PRIV_SLOTS_MACHINE_WRITE)
  #define SUPER_SYSTEM_BJ       (PRIV_BJ_CFG_WRITE | PRIV_BJ_MACHINE_WRITE)
  #define SUPER_SYSTEM_VP       (PRIV_VP_CFG_WRITE | PRIV_VP_MACHINE_WRITE)
  #define SUPER_SYSTEM_ROULETTE (PRIV_ROULETTE_CFG_WRITE |
                                 PRIV_ROULETTE_MACHINE_WRITE)
  #define SUPER_SYSTEM_LOBBY    (PRIV_REGION_CFG_WRITE | PRIV_REGION_CFG_CREATE)
  #define SUPER_SYSTEM_TX       (PRIV_TX_GENERAL_CFG_WRITE)
  #define SUPER_SYSTEM_TX_CHECK (PRIV_TX_CHECK_CFG_WRITE)
  #define SUPER_SYSTEM_TX_CC    (PRIV_TX_CC_CFG_WRITE)
  #define SUPER_SYSTEM_TX_WT    (PRIV_TX_WT_CFG_WRITE)
  #define SUPER_SYSTEM_TX_WU    (PRIV_TX_WU_CFG_WRITE)

  // accounting role
  #define JR_ACC_TX        (PRIV_TX_NOTE_READ)
  #define JR_ACC_TX_CHECK  (PRIV_TX_CHECK_WD_READ | PRIV_TX_CHECK_DEP_READ)
  #define JR_ACC_TX_CC     (PRIV_TX_CC_WD_READ | PRIV_TX_CC_DEP_READ)
  #define JR_ACC_TX_WT     (PRIV_TX_WT_WD_READ | PRIV_TX_WT_DEP_READ)
  #define JR_ACC_TX_WU     (PRIV_TX_WU_WD_READ | PRIV_TX_WU_DEP_READ)
  #define JR_ACC_TX_ADJ    (PRIV_TX_ADJ_WD_READ | PRIV_TX_ADJ_DEP_READ)
  #define JR_ACC_TX_CHIPS  (PRIV_TX_CHIPS_CASH_WD_READ |
                            PRIV_TX_CHIPS_FREE_WD_READ |
                            PRIV_TX_CHIPS_CASH_DEP_READ |
                            PRIV_TX_CHIPS_FREE_DEP_READ)
  #define JR_ACC_TX_RATING (PRIV_TX_RATING_WD_READ | PRIV_TX_RATING_DEP_READ)

  #define REG_ACC_TX       (PRIV_TX_NOTE_CREATE)
  #define REG_ACC_TX_CHECK (PRIV_TX_CHECK_WD_CREATE | PRIV_TX_CHECK_DEP_WRITE | 
                            PRIV_TX_CHECK_DEP_CREATE)
  #define REG_ACC_TX_CC    (PRIV_TX_CC_WD_CREATE | PRIV_TX_CC_DEP_WRITE |
                            PRIV_TX_CC_DEP_CREATE)
  #define REG_ACC_TX_WT    (PRIV_TX_WT_WD_CREATE | PRIV_TX_WT_DEP_WRITE |
                            PRIV_TX_WT_DEP_CREATE)
  #define REG_ACC_TX_WU    (PRIV_TX_WU_WD_CREATE | PRIV_TX_WU_DEP_WRITE |
                            PRIV_TX_WU_DEP_CREATE)
  #define REG_ACC_TX_ADJ   (PRIV_TX_ADJ_WD_CREATE)
  #define REG_ACC_TX_CHIPS (PRIV_TX_CHIPS_CASH_WD_CREATE |
                            PRIV_TX_CHIPS_FREE_WD_CREATE |
                            PRIV_TX_CHIPS_FREE_DEP_WRITE |
                            PRIV_TX_CHIPS_FREE_DEP_CREATE)

  #define SR_ACC_ACE       (PRIV_ACE_USER_STATS | PRIV_ACE_USER_RATINGTX |
                            PRIV_ACE_REPORT_SUMMARY)

  #define SR_ACC_WALLET    (PRIV_WALLET_RATING_READ)

  #define SR_ACC_TX        (PRIV_TX_LOG_READ | PRIV_TX_STATS_READ)
  #define SR_ACC_TX_CHECK  (PRIV_TX_CHECK_WD_WRITE | PRIV_TX_CHECK_DEP_SERVFEE | 
                            PRIV_TX_CHECK_WD_SERVFEE)
  #define SR_ACC_TX_CC     (PRIV_TX_CC_WD_WRITE | PRIV_TX_CC_WD_SERVFEE |
                            PRIV_TX_CC_DEP_SERVFEE)
  #define SR_ACC_TX_WT     (PRIV_TX_WT_WD_WRITE | PRIV_TX_WT_WD_SERVFEE |
                            PRIV_TX_WT_DEP_SERVFEE)
  #define SR_ACC_TX_WU     (PRIV_TX_WU_WD_WRITE | PRI_TX_WU_WD_SERVFEE |
                            PRIV_TX_WU_DEP_SERVFEE)
  #define SR_ACC_TX_ADJ    (PRIV_TX_ADJ_WD_WRITE | PRIV_TX_ADJ_DEP_WRITE |
                            PRIV_TX_ADJ_DEP_CREATE)
  #define SR_ACC_TX_CHIPS  (PRIV_TX_CHIPS_CASH_WD_WRITE |
                            PRIV_TX_CHIPS_FREE_WD_WRITE |
                            PRIV_TX_CHIPS_CASH_DEP_WRITE |
                            PRIV_TX_CHIPS_CASH_DEP_CREATE)
  #define SR_ACC_TX_RATING (PRIV_TX_RATING_WD_WRITE | PRIV_TX_RATING_WD_CREATE | 
                            PRIV_TX_RATING_DEP_WRITE |
                            PRIV_TX_RATING_DEP_CREATE)

  #define SUPER_ACC_TX        () 
  #define SUPER_ACC_TX_CHECK  (PRIV_TX_CHECK_WD_TOTALS_READ |
                               PRIV_TX_CHECK_DEP_TOTALS_READ |
                               PRIV_TX_CHECK_DEP_ADV_APPR |
                               PRIV_TX_CHECK_DEP_ADV_DENY)
  #define SUPER_ACC_TX_CC     (PRIV_TX_CC_WD_TOTALS_READ |
                               PRIV_TX_CC_DEP_TOTALS_READ |
                               PRIV_TX_CC_DEP_ADV_APPR |
                               PRIV_TX_CC_DEP_ADV_DENY)
  #define SUPER_ACC_TX_WT     (PRIV_TX_WT_WD_TOTALS_READ |
                               PRIV_TX_WT_DEP_TOTALS_READ |
                               PRIV_TX_WT_DEP_ADV_APPR |
                               PRIV_TX_WT_DEP_ADV_DENY)
  #define SUPER_ACC_TX_WU     (PRIV_TX_WU_WD_TOTALS_READ |
                               PRIV_TX_WU_DEP_TOTALS_READ |
                               PRIV_TX_WU_DEP_ADV_APPR |
                               PRIV_TX_WU_DEP_ADV_DENY)
  #define SUPER_ACC_TX_ADJ    (PRIV_TX_ADJ_WD_TOTALS_READ |
                               PRIV_TX_ADJ_DEP_TOTALS_READ)
  #define SUPER_ACC_TX_CHIPS  (PRIV_TX_CHIPS_CASH_WD_TOTALS_READ | 
                               PRIV_TX_CHIPS_FREE_WD_TOTALS_READ |
                               PRIV_TX_CHIPS_CASH_DEP_TOTALS_READ | 
                               PRIV_TX_CHIPS_FREE_DEP_TOTALS_READ)
  #define SUPER_ACC_TX_RATING (PRIV_TX_RATING_WD_TOTALS_READ |
                               PRIV_TX_RATING_DEP_TOTALS_READ)


  // following contants used for settings in cfg.
  // and used by PMachine_Stats.
  #define ALLUSERS_GT_MID_EACHDAY   BIT0
  #define EACHUSER_GT               BIT1
  #define EACHUSER_GT_EACHCS        BIT2
  #define EACHUSER_GT_MID           BIT3
  #define EACHUSER_GT_MID_EACHCS    BIT4
  #define ALLUSERS_TOTAL            BIT5
  #define ALLUSERS_GT               BIT6
  #define ALLUSERS_GT_MID           BIT7
  #define EACHUSER                  BIT8
  #define EACHUSER_EACHCS           BIT9

//********************* types ***************************************

  TSmNumU       : uint8
  TSmNumS       : int8

  TMedNumU      : uint16
  TMedNumS      : int16

  TLgNumU       : uint32
  TLgNumS       : int32

  TAutoNumber  : TLgNumU // sequenced number

  TSmCount     : TSmNumU
  TMedCount    : TMedNumU
  TLgCount     : TLgNumU

  TBool        : int8

  TSmCode      : int8

  TErrorCode   : int16 // EC_XXXX
  TMessageType : int16 // MT_XXXX
//  TResultCode  : int16
  TStatusCode  : int8 // SC_XXXX

  TCurrency    : double float ??

  TDate        : DATE
  TTimeSpan    : TLgNum

  TUserName    : char[14]
  TNameStr     : char[20]
  TFullNameStr : char[40]

  TPWStr       : char[14]
  TMsgStr      : varchar[255]
  TDescStr     : varchar[255]
  TBADescStr   : char[30]
  TStreetStr   : char[30]
  TCityStr     : char[30]
  TStateStr    : char[20]
  TCountryStr  : char[20]
  TZipStr      : char[10]

  TComputerID  : varchar[255] ??
  TGatewayID   : TComputerID

  TUser_Change_Code : TSmCode
  TChangeStr   : varchar[30]
  TRatingsPtMod: int32

  TUAN         : TAutoNumber // sequence (AS) used for UAN
  TMID         : TAutoNumber //sequence (MS) used for MachineID (MID)
  TIID         : TAutoNumber //sequence (IS) used for InstanceID (IID)
  TCSID        : TAutoNumber //sequence (CS) used for CasSessionID (CSID)
  TGSID        : TAutoNumber //sequence (GS) used for GameSessionID (GSID)

  TAccCode         : int8 // AC_XXXX
  TAccSubCode      : int8 // CC_XXXX
  TCheckType       : int8 // CT_XXXX
  TFIAppCode       : char[20] // ??? Financial Institution's approval code
  TAccNum          : char[20]
  TChips_Sold_Code : TSmCode // CHIPSSOLD_XXXX
  TTXID            : TAutoNumber // sequence (  ) used for tx's
  TBID             : TAutoNumber // sequence ( ) used for bid's

  TSecurityLevel : int8;
  TEmpName : char[20];

  TGame        : int8  // GT_XXXX
  TState       : int16
  TOrderNum    : int16
  TJulianDate  : int32

  TSlotsState   : TState
  TReelTypeID   : TAutoNumber // (RS) used by ReelTypeID
  TPayoffTypeID : TAutoNumber // (PS) used by PayoffTypeID
  TReelStopNum  : int16
  TLookupNum    : int16
  TSlotsSymbol  : int16

  TRank         : int8;
  TPrivSet      : int8;
//*******************************************************************
end PDef;
