create or replace package body PSlot_Reel as
//*****************************************************************
procedure Get(reeltypeid IN TReelTypeID,
              whichreel IN TSmNum,
              lookupnum IN TLookupNum,
              reel IN OUT TReel,
              ec OUT TErrorCode)
{
  ec = PDef.EC_NONE;

  // don't lock.
  select reel
  from Tbl_Slot_Reels
  where (rec.ReelTypeID == reeltypeid &&
        rec.WhichReel == whichreel &&
        rec.LookupNum == lookupnum)

  if (not found)
  {
    ec = PDef.EC_SLOT_REEL_NOTFOUND;
  }
}
//*******************************************************************
end PSlot_Reel;