//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ogobjbas.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     2/5/96     M.Perry     original baseline
//  2.0     8/23/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__ogobjbas_h)
#define __ogobjbas_h

#if !defined(__obase_h)
#include "obase.h"
#endif

#if !defined(__ostate_h)
#include "ostate.h"
#endif

class TMiscData;
//*******************************************************************
class TGObjBase:public TOgleBase
{
public:
  bool ShutDownHandled;
  string strMiscDataName;

public:

  TGObjBase(TOgleModeWindow *pmw);
  TGObjBase(TOgleModeWindow *pmw,const TFileMode &fm);
  virtual ~TGObjBase();
  virtual void ShuttingDown();
  int16 GetGObjIndex(string GObjName);
  virtual string AddExt();
  void RunState();
  void UpdateState(dword NewFUC);
  void PostUpdateState(dword NewFUC);
  virtual void CreateState();
  virtual void DestroyState();
  virtual void SetIndexes();
  virtual void ReleaseTables();
  int16 AskCriteriaQuestion(int16 QuesNum);
  TMiscData *GetMiscData() {return PMiscData;}
  virtual TMiscData *CreateMiscData(TFileMode &fm);
  void CreateAddMiscData(TFileMode &fm);
protected:
  TState *PState;
  TMiscData *PMiscData;
};
//*******************************************************************
#endif
