//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ogrpgdlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/20/97    M.Perry    original baseline
//  2.0    08/27/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__ogrpgdlg_h)
#define __ogrpgdlg_h

#if !defined(__obdlg_h)
#include "obdlg.h"
#endif
//*******************************************************************
class TOgleGroupGaugeDlg:public TBitmapDlg
{
public:
  int ActiveGroupNum;
  int ActiveGaugeNum;

  TOgleGroupGaugeDlg(void *powner,TWindow *parent,TBitmap *pbitmap,word options = 0,
                     int resid = IDD_BITMAP,const char *title = 0);
  virtual ~TOgleGroupGaugeDlg();

  int GetActiveGroup() {return ActiveGroupNum;}
  int GetActiveGauge() {return ActiveGaugeNum;}

  virtual void SetActiveGroup(int num);
  virtual void SetActiveGauge(int num);
  virtual void SetGaugeText(string text,int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeCaption(string caption,int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeValue(int value,int gaugenum = -1,int groupnum = -1);
  virtual void IncGaugeValue(int gaugenum = -1,int groupnum = -1);
  virtual void DecGaugeValue(int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeRange(int min,int max,int gaugenum = -1,int groupnum = -1);
  virtual void SetupWindow();
};
//*******************************************************************
#endif
