//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  omdatdlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//   1.3     6/6/97    M.Perry    original baseline
//   2.0    10/28/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__omdatdlg_h)
#define __omdatdlg_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(OWL_DIALOG_H)
#include <owl\dialog.h>
#endif

class _OWLCLASS TStatic;
class _OWLCLASS TEdit;
class _OWLCLASS TButton;
class TMiscData;
//*******************************************************************
class TMiscDataDlg:public TDialog
{
protected:
  enum {NUM_INT_EDITS = 30};
  string strGObjName;
  int16 CurArray;
  int16 TopInt;
  TMiscData *PMiscData;
  TEdit *PInt_ETB[NUM_INT_EDITS];
  TStatic *PInt_STB[NUM_INT_EDITS];
  TStatic *PGObjName_STB;
  TEdit *PNumArrays_ETB;
  TStatic *PCurrentArray_STB;
  TEdit *PNumInts_ETB;
  TStatic *PMaxInts_STB;
  TButton *PPrevArray_PB;
  TButton *PNextArray_PB;
  TButton *PUp_PB;
  TButton *PDown_PB;
  TButton *POk_PB;

public:
  TMiscDataDlg(TWindow *pwin,TMiscData *pmiscdata,string strgobjname);
  virtual ~TMiscDataDlg();

  void CmNumArraysApply();
  void CmPrevArray();
  void CmNextArray();
  void CmNumIntsApply();
  void CmUpInt();
  void CmDownInt();
  void CmOk();

protected:
  virtual void SetupWindow();
  void CreateControls();
  void DestroyControls();
  void LoadInfo();
  void SaveInfo();

  DECLARE_RESPONSE_TABLE(TMiscDataDlg);
};
//*******************************************************************
#endif