//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oplaydat.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/12/95   M.Perry     original baseline
//  2.0     8/24/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__oplaydat_h)
#define __oplaydat_h                      

#if !defined(__ogle_h)
#include "ogle.h"
#endif
//*******************************************************************
struct TPlayerData
// Warning !! No virtual functions.
{
  // data
  enum {NAMELENGTH = 13};
  bool Valid;
  char Name[NAMELENGTH];
  bool Male;
  TMoney Cash;
  TMoney InitialCash;

  // proc's
  TPlayerData();
  void ClearData();
  void SetName(const char *name);
  void SetName(const string &name);
  const string GetName();
  void SetMale(bool male);
  void SetCash(TMoney cash);
  void SetInitialCash(TMoney cash);
  void SetValid(bool valid);
};
//*******************************************************************
#endif

