//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ovwingdc.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    7/25/96     M.Perry    original baseline
//  2.0    8/28/97     M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__ovwingdc_h)
#define __ovwingdc_h

#if !defined(__odc_h)
#include "odc.h"
#endif
//*******************************************************************
class TVideoWinGDC:public TOgleVideoDC
{
public:
  TVideoWinGDC();
  virtual ~TVideoWinGDC();
  virtual HBITMAP CreateBitmap(TBitmapInfo &bitmapinfo,void **ppbits);
};
//*******************************************************************
class TWinGPaintDC:public TOglePaintDC
{
public:
  TWinGPaintDC(TDC &dc):TOglePaintDC(dc) {}
  virtual ~TWinGPaintDC() {}
  virtual bool BitBlt(TOgleRect &rect,TOgleVideoDC &vdc);
};
//*******************************************************************
#endif
