//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  pokerdec.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     08/26/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "pokerdec.h"
#include <stdlib.h>
//*******************************************************************
TPokerDeck::TPokerDeck()
{
//  deck = new TCard[DECK];
 // top  = 0;
}
//*******************************************************************
#pragma argsused
TPokerDeck::TPokerDeck(int16 num)
{

//  deck = new TCard[num];
//  top  = 0;
}
//*******************************************************************
TPokerDeck::~TPokerDeck()
{
//  delete deck;
//  deck = NULL;
 // top  = 0;
}
//*******************************************************************
int16 TPokerDeck::InitDeck(int16 numofcards)
{
  for(int16 k=0;k<numofcards/52;k++)
  {
	 for(int16 i=0; i < 4 ;i++)
	 {
		for(int16 j=0; j < 13 ;j++)
		{
		  deck[(i*13)+j+(k*52)].name = (TCardName)(j+1);
		  deck[(i*13)+j+(k*52)].suit = (TSuit)i;
		}
	 }
  }
  return 1;
}
//*******************************************************************
int16 TPokerDeck::Swap(int16 x,int16 y)
{
  TCard  tmp;

  tmp     = deck[x];
  deck[x] = deck[y];
  deck[y] = tmp;
  return 1;
}
//*******************************************************************
int16 TPokerDeck::Shuffle()
{
  int16 count,x,y;
  count = 1000;

  for(int16 i=0; i < count; i++)
  {
	 x = int16(random(52));
	 y = int16(random(52));
	 Swap(x,y);
  }
  return 1;
}
//*******************************************************************
int16 TPokerDeck::ShowCard(TCard * c)
{
  switch (c->name)
	 {
		case 0 :
		  cout << "AL";
		  break;
		case 1 :
		  cout << "2 ";
		  break;
		case 2 :
		  cout << "3 ";
		  break;
		case 3 :
		  cout << "4 ";
		  break;
		case 4 :
		  cout << "5 ";
		  break;
		case 5 :
		  cout << "6 ";
		  break;
		case 6 :
		  cout << "7 ";
		  break;
		case 7 :
		  cout << "8 ";
		  break;
		case 8 :
		  cout << "9 ";
		  break;
		case 9 :
		  cout << "T ";
		  break;
		case 10 :
		  cout << "J ";
		  break;
		case 11 :
		  cout << "Q ";
		  break;
		case 12 :
		  cout << "K ";
		  break;
		case 13 :
		  cout << "A ";
		  break;
		case 14 :
		  cout << "JOKER ";
		  break;
	 }
	 switch (c->suit)
	 {
		case 0 :
		  cout << "Clubs  ";
		  break;
		case 1 :
		  cout << "Dmnds  ";
		  break;
		case 2 :
		  cout << "Hearts ";
		  break;
		case 3 :
		  cout << "Spades ";
		  break;
	 }
	 return 1;
}

//*******************************************************************
int16 TPokerDeck::ShowHand(THand * h)
{
  for(int16 i=0; i < h->inhand ;i++)
  {
	 //if(h->cards[i].updown == 1)  // Up
	 //{
		ShowCard(&h->cards[i]);
	// }
	// else
	// {
	//	cout << " * ";    // Down
	// }
  }
  cout << endl;
  return 1;
}
//*******************************************************************
int16 TPokerDeck::ShowDeck()
{
  for(int16 i=0;i<DECK;i++)
  {
	 ShowCard(&deck[i]);
	if(i%6==0)
	  cout << endl;
  }
  return 1;
}
//*******************************************************************

