//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ovidbmp.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/31/96    M.Perry    original baseline
//  2.0     8/22/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__ovidbmp_h)
#include "ovidbmp.h"
#endif

#if !defined(__odc_h)
#include "odc.h"
#endif
//*******************************************************************
void TVideoBmp::ReleaseFromDC()
{
  if (IsHBITMAPValid() && PVDC != NULL) {PVDC->ReleaseBmp(this);}
}
//*******************************************************************
TVideoBmp::TVideoBmp(TOgleModeWindow *pmw,TOgleVideoDC &vdc)
:TBmp(pmw),
 PVDC(&vdc)
{
}
//*******************************************************************
TVideoBmp::~TVideoBmp()
{
  ReleaseFromDC();
}
//*******************************************************************
