//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpdtst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpdtst_h
#define _acvpdtst_h

#include "acvpglrd.h"
#include "acvpldst.h"
//*******************************************************************
class TACVPTripleDrawState : public TVPLordState
{
public:
  dword StartingFUC;
  bool Flipping;
  bool TopHand;
  bool MidHand;
  bool BotHand;
  dword NextFUC;
  int16 NextCardNum;

  TACVPTripleDrawState(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPTripleDrawState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif