//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpposp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__acvpposp_h)
#define __acvpposp_h

#include "osprite.h"
//*******************************************************************
class TACVPCoinPay : public TSprite
{
public:
  TAnm *PCoinPay[8];
  TWav *PCoinWav[7];

  void SetupAnms();
  void SetupWavs();
  TACVPCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPCoinPay();
  void ClearTray();
  void SetTray(int16 num);
  void PlayRegSound();
  void CoinSound(int sound);
  void StopSound(int sound);
  void StopAllSounds();
  bool IsStopped(int sound);
};
//*******************************************************************
#endif
