//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpvlsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__acvpvlsp_h)
#define __acvpvlsp_h

#include "osprite.h"
//*******************************************************************
class TACVPVertLite : public TSprite
{
public:
  TAnm *PVertLite[5];
  TWav *PWavs[13];
  int16  Rows;
  void SetupAnms();
  TACVPVertLite(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPVertLite(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPVertLite();
  void ClearRows();
  void SetRow(int16 num);
  int16 GetCurFrame(int16 coinsIn);
  void SetRow(int16 num,int16 coinsIn);
};
//*******************************************************************
#endif
