//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpwwst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpwwst_h
#define _acvpwwst_h

#include "acvpglrd.h"
#include "acvpldst.h"

//*******************************************************************
class TACVPWinDDrawState : public TVPLordState
{
public:
  TResponder *SpeedClickResponder;
  dword multDelay;
  TMoney tempWin;
  TMoney wincount;
  TMoney wincountup;
  int16 WaitingOnWRCounter;
  bool IgnoreCoach;
  bool   WaitForDoubleDraw;
  TACVPWinDDrawState(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPWinDDrawState();
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void EndSubState1();
  virtual bool HandleSpeedClick(TResponder &responder);
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleHoldCard0(TResponder &responder);
  virtual bool HandleHoldCard1(TResponder &responder);
  virtual bool HandleHoldCard2(TResponder &responder);
  virtual bool HandleHoldCard3(TResponder &responder);
  virtual bool HandleHoldCard4(TResponder &responder);
  
};
//*******************************************************************
#endif