//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  caslord.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     07/2/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _caslord_h
#define _caslord_h
#include "deck.h"

#include "modewin.h"
class TSlot1LordMainState;
class TSlot1Lord
{
  public:
  int bet;
  int pot;
  int numofsplits;
  int playersin;
  int game;
  TDeck            *pDeck;
  TSlot1LordMainState  *pState;
  TSlot1Mode         *pMWin;
  TSlot1Lord(TModeWin *pmwin);
 ~TSlot1Lord();
  ShuffleCards();
  VideoDealt();
  ShowTable();
  ShowVideo();
  void GetBets();
  int GoodToGo();
  Ante();
  DrawDeal();
  void Winner();
  void ClearActions();
  void FinalClear();
  GetPlayin() {return playersin;};

};
#endif