//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cgamedat.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/12/95   M.Perry    original baseline
//********************************************************************
#if !defined(__cgamedat_h)
#define __cgamedat_h

#include "ogamedat.h"

//*******************************************************************
struct TCasinoGameData:public TGameData
{
#if defined(ACVP_COMPILE)
  DWORD ProgressivePowerFH025EndTime;
  TMoney  ProgressivePowerFH025Amount;

  DWORD ProgressivePowerFH1EndTime;
  TMoney  ProgressivePowerFH1Amount;

  DWORD ProgressivePowerFH50EndTime;
  TMoney  ProgressivePowerFH50Amount;
///////////////////////////////////////////
  DWORD ProgressiveRoyalClub010EndTime;
  TMoney  ProgressiveRoyalClub010Amount;

  DWORD ProgressiveRoyalClub1EndTime;
  TMoney  ProgressiveRoyalClub1Amount;

  DWORD ProgressiveRoyalClub25EndTime;
  TMoney  ProgressiveRoyalClub25Amount;

  DWORD ProgressiveRoyalDiamond010EndTime;
  TMoney  ProgressiveRoyalDiamond010Amount;

  DWORD ProgressiveRoyalDiamond1EndTime;
  TMoney  ProgressiveRoyalDiamond1Amount;

  DWORD ProgressiveRoyalDiamond25EndTime;
  TMoney  ProgressiveRoyalDiamond25Amount;

  DWORD ProgressiveRoyalHeart010EndTime;
  TMoney  ProgressiveRoyalHeart010Amount;

  DWORD ProgressiveRoyalHeart1EndTime;
  TMoney  ProgressiveRoyalHeart1Amount;

  DWORD ProgressiveRoyalHeart25EndTime;
  TMoney  ProgressiveRoyalHeart25Amount;

  DWORD ProgressiveRoyalSpade010EndTime;
  TMoney  ProgressiveRoyalSpade010Amount;

  DWORD ProgressiveRoyalSpade1EndTime;
  TMoney  ProgressiveRoyalSpade1Amount;

  DWORD ProgressiveRoyalSpade25EndTime;
  TMoney  ProgressiveRoyalSpade25Amount;
////////////////////////////////////////////////
  DWORD ProgressiveRoyalFlush05EndTime;
  TMoney  ProgressiveRoyalFlush05Amount;

  DWORD ProgressiveRoyalFlush025EndTime;
  TMoney  ProgressiveRoyalFlush025Amount;

  DWORD ProgressiveRoyalFlush1EndTime;
  TMoney  ProgressiveRoyalFlush1Amount;

  DWORD ProgressiveRoyalFlush10EndTime;
  TMoney  ProgressiveRoyalFlush10Amount;

  DWORD Progressive4Aces05EndTime;
  TMoney  Progressive4Aces05Amount;

  DWORD Progressive4Aces025EndTime;
  TMoney  Progressive4Aces025Amount;

  DWORD Progressive4Aces1EndTime;
  TMoney  Progressive4Aces1Amount;

  DWORD Progressive4Aces10EndTime;
  TMoney  Progressive4Aces10Amount;

  DWORD Progressive4234s05EndTime;
  TMoney  Progressive4234s05Amount;

  DWORD Progressive4234s025EndTime;
  TMoney  Progressive4234s025Amount;

  DWORD Progressive4234s1EndTime;
  TMoney  Progressive4234s1Amount;

  DWORD Progressive4234s10EndTime;
  TMoney  Progressive4234s10Amount;
////////////////////////////////////////////////////
  DWORD ProgressiveJokerWild05EndTime;
  TMoney  ProgressiveJokerWild05Amount;

  DWORD ProgressiveJokerWild025EndTime;
  TMoney  ProgressiveJokerWild025Amount;

  DWORD ProgressiveJokerWild1EndTime;
  TMoney  ProgressiveJokerWild1Amount;

  DWORD ProgressiveJokerWild100EndTime;
  TMoney  ProgressiveJokerWild100Amount;
////////////////////////////////////////////////
  DWORD ProgressiveJacks010EndTime;
  TMoney  ProgressiveJacks010Amount;

  DWORD ProgressiveJacks025EndTime;
  TMoney  ProgressiveJacks025Amount;

  DWORD ProgressiveJacks1EndTime;
  TMoney  ProgressiveJacks1Amount;

  DWORD ProgressiveJacks5EndTime;
  TMoney  ProgressiveJacks5Amount;

  DWORD ProgressiveJacks50EndTime;
  TMoney  ProgressiveJacks50Amount;
///////////////////////////////////////////
  DWORD ProgressiveDeuces05EndTime;
  TMoney  ProgressiveDeuces05Amount;

  DWORD ProgressiveDeuces1EndTime;
  TMoney  ProgressiveDeuces1Amount;

  DWORD ProgressiveDeuces5EndTime;
  TMoney  ProgressiveDeuces5Amount;
  /////////////////////////////////////////
#endif
  BOOL  FirstBJHandEver;
  DWORD ProgressiveVPEndTime;
  TMoney  ProgressiveVPAmount;
  DWORD ProgressiveSEndTime;
  DWORD ProgressiveHSMM005EndTime;
  DWORD ProgressiveHSMM010EndTime;
  DWORD ProgressiveHSMM025EndTime;
  DWORD ProgressiveHSAI025EndTime;
  DWORD ProgressiveHSAI1EndTime;
  DWORD ProgressiveHSSJ10EndTime;
  DWORD ProgressiveHSSJ100EndTime;
  TMoney  ProgressiveSAmount;
  TMoney  ProgressiveHSMM005Amount;
  TMoney  ProgressiveHSMM010Amount;
  TMoney  ProgressiveHSMM025Amount;
  TMoney  ProgressiveHSAI025Amount;
  TMoney  ProgressiveHSAI1Amount;
  TMoney  ProgressiveHSSJ10Amount;
  TMoney  ProgressiveHSSJ100Amount;
  TMoney  CurrentKenoGame;
  bool SDJackpot025Grid[5][5];
  bool SDJackpot1Grid[5][5];
  bool SDJackpot100Grid[5][5];
  dword SDJackpot1EndTime;
  dword SDJackpot100EndTime;
  dword SDJackpot025EndTime;
  TCasinoGameData()
  {
    SDJackpot1EndTime = 0l;
    SDJackpot100EndTime = 0l;
    SDJackpot025EndTime = 0l;
    FirstBJHandEver = TRUE;
	 ProgressiveVPEndTime = 0l;
    ProgressiveVPAmount = 0l;
    ProgressiveSEndTime = 0l;
	 ProgressiveSAmount = 0l;
	 ProgressiveHSMM005EndTime = 0l;
	 ProgressiveHSMM010EndTime = 0l;
	 ProgressiveHSMM025EndTime = 0l;
	 ProgressiveHSAI025EndTime = 0l;
	 ProgressiveHSAI1EndTime   = 0l;
	 ProgressiveHSSJ10EndTime  = 0l;
	 ProgressiveHSSJ100EndTime = 0l;
	 ProgressiveHSMM005Amount  = 0l;
	 ProgressiveHSMM010Amount  = 0l;
	 ProgressiveHSMM025Amount  = 0l;
	 ProgressiveHSAI025Amount  = 0l;
	 ProgressiveHSAI1Amount    = 0l;
	 ProgressiveHSSJ10Amount   = 0l;
	 ProgressiveHSSJ100Amount  = 0l;
#if defined(ACVP_COMPILE)
    ProgressivePowerFH025Amount      = 0l;
    ProgressivePowerFH1Amount      = 0l;
    ProgressivePowerFH50Amount      = 0l;
    //////////////////////////////////////
    ProgressiveRoyalClub010Amount    = 0l;
    ProgressiveRoyalClub1Amount    = 0l;
    ProgressiveRoyalClub25Amount    = 0l;
    ProgressiveRoyalDiamond010Amount = 0l;
    ProgressiveRoyalDiamond1Amount = 0l;
    ProgressiveRoyalDiamond25Amount = 0l;
    ProgressiveRoyalHeart010Amount   = 0l;
    ProgressiveRoyalHeart1Amount   = 0l;
    ProgressiveRoyalHeart25Amount   = 0l;
    ProgressiveRoyalSpade010Amount   = 0l;
    ProgressiveRoyalSpade1Amount   = 0l;
    ProgressiveRoyalSpade25Amount   = 0l;
    /////////////////////////////////////////////
    ProgressiveRoyalFlush05Amount   = 0l;
    ProgressiveRoyalFlush025Amount   = 0l;
    ProgressiveRoyalFlush1Amount   = 0l;
    ProgressiveRoyalFlush10Amount   = 0l;
    Progressive4Aces05Amount        = 0l;
    Progressive4Aces025Amount        = 0l;
    Progressive4Aces1Amount        = 0l;
    Progressive4Aces10Amount        = 0l;
    Progressive4234s05Amount        = 0l;
    Progressive4234s025Amount        = 0l;
    Progressive4234s1Amount        = 0l;
    Progressive4234s10Amount        = 0l;
   //////////////////////////////////////////////
    ProgressiveJokerWild05Amount    = 0l;
    ProgressiveJokerWild025Amount    = 0l;
    ProgressiveJokerWild1Amount    = 0l;
    ProgressiveJokerWild100Amount    = 0l;
    /////////////////////////////////////////
    ProgressiveJacks010Amount        = 0l;
    ProgressiveJacks025Amount        = 0l;
    ProgressiveJacks1Amount        = 0l;
    ProgressiveJacks5Amount        = 0l;
    ProgressiveJacks50Amount        = 0l;
////////////////////////////////////////////
    ProgressiveDeuces05Amount       = 0l;
    ProgressiveDeuces1Amount       = 0l;
    ProgressiveDeuces5Amount       = 0l;
///////////////////////////////////////////////

    for(int16 i=0;i<5;i++)
    {
      for(int16 j=0;j<5;j++)
      {
        SDJackpot025Grid[i][j] = false;
        SDJackpot1Grid[i][j] = false;
        SDJackpot100Grid[i][j] = false;
      }
    }
#endif
  }
};
//*******************************************************************
#endif
