//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  clord.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     07/2/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _clord_h
#define _clord_h
#include "cmodewin.h"
class TCLordMainState;
class TCLord
{
  public:
  int comeout;
  int marker;
  int dice1;
  int dice2;
  int credits;
  int machinenum;
  int coinsplayed;
  int coinsize;
  int winnerpaid;
  int activeplayer;
  int maxbet;
  int pot;
  int numofsplits;
  int playersin;
  int game;
  TCLordMainState   *pState;
  TCModeWin         *pMWin;
  TCLord(TCModeWin  *pmwin);
 ~TCLord();
  ShowDice();
  ShowWinner();
  GetBet();
  Bet1();
  BetMax();
  CashOut();
  int GoodToGo();
  InitCraps();
  Winner();
  void FinalClear();
  GetPlayin() {return playersin;};
  ThrowDice();
};
#endif