//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  klord.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     07/2/95   A. Krist    Original baseline
//*******************************************************************
#if !defined _klord_h
#define _klord_h
#include "kmodewin.h"
class TKLordMainState;
class TKLord
{
  public:
  TSpot tempspot;
  int currentticket;
  int newticket;
  int notickets;
  int winnum;
  int credits;
  int machinenum;
  int coinsplayed;
  int coinsize;
  int winnerpaid;
  int activeplayer;
  int maxbet;
  int numplays;
  int perticket;
  int playersin;
  int game;
  int historynum;
  int currentgame;
  int secintogame;
  int nextgame;
  int updatecount;
  int tempticketarray[80];
  int winarray[80];
  int historyarray[80];
  TKLordMainState   *pState;
  TKModeWin         *pMWin;
  TKLord(TKModeWin *pmwin);
 ~TKLord();
  ShowWheel();
  ShowWinner();
  GetBet();
  Bet1();
  BetMax();
  CashOut();
  int GoodToGo();
  InitKeno();
  Winner();
  void ClearActions();
  void FinalClear();
  GetPlayin() {return playersin;};
  DisplayCurrentGame();
  ClearDisplay();
  NewGame();
  NewTicket();
  DisplayHistory(int x);
  ResetRand();
  SetPlays();
  SetSpotGame();
  SetPerTicket();
  Add();
  Remove();
  Forward();
  Backward();
  PaySpot1();
  ToggleSpot1(){if(tempticketarray[0] == 0){tempticketarray[0] = 1;}
					 else{tempticketarray[0] = 0;}return 1;};
  ToggleSpot2(){if(tempticketarray[1] == 0){tempticketarray[1] = 1;}
					 else{tempticketarray[1] = 0;}return 1;};
  ToggleSpot3(){if(tempticketarray[2] == 0){tempticketarray[2] = 1;}
					 else{tempticketarray[2] = 0;}return 1;};
  ToggleSpot4(){if(tempticketarray[3] == 0){tempticketarray[3] = 1;}
					 else{tempticketarray[3] = 0;}return 1;};
 //maybe 76  more,ask mike...
};
#endif