//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlglord.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   M.Perry     original baseline
//********************************************************************
#if !defined(__vlglord_h)
#define __vlglord_h

//#include "casglord.h"
#include "caslgld.h"
//class TVLobbyModeWin;
class TVLobby1ModeWin;
class TVLLordMainState;
#include "casbutsp.h"  // Button
#include "clmessp.h"   //Message Display
#include "cgametyp.h"
//*******************************************************************
enum TGLordVLID
{
  idJack5,
  idDeuce25,
  idJack25,
  idDeuce1,
  idJack1,
  idJackProg,
  idDeuce5,
  idJack100,
  idDeuce100,
  idJoke100,
  idLogo,
  idMen,
  idBack,
  idWhirl,
  idButton0
};
enum TVPLiteLobbyIdleEnum
{
  vliSound1 = 2,
  vliSound2 = 3,
  vliSound3 = 4,
  vliSound4 = 5,
  vliSound5 = 6,
  vliSound6 = 7,
  vliSound7 = 8,
  vliSound8 = 9,
  vliWater  = 10
};
//#define NumResponders 12
//*******************************************************************
class TCasinoVLGameLord:public TCasLobbyGameLord
{
  public:
  enum {NumResponders = 12};
  TCasinoVLGameLord(TVLobby1ModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TCasinoVLGameLord();

  TResponder *Responders[NumResponders];
  virtual BOOL Respond(TResponder &responder);
  void ButtonClear(int button);
  virtual BOOL Respond(int Button,int info = 0,void *pdata = NULL);
  BOOL  ButtonHit[1];
  int ButtonInfo;
  void SetupResponders();
  void CleanupResponders();
  BOOL SetSound1Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound1,set);}
  BOOL SetSound2Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound2,set);}
  BOOL SetSound3Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound3,set);}
  BOOL SetSound4Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound4,set);}
  BOOL SetSound5Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound5,set);}
  BOOL SetSound6Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound6,set);}
  BOOL SetSound7Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound7,set);}
  BOOL SetSound8Idle(int set = 0)    {return SetCurrentSpriteSet(vliSound8,set);}
  BOOL SetWaterIdle(int set = 0)     {return SetCurrentSpriteSet(vliWater,set);}
  //int activeplayer;
  int playersin;
  int shutdownstate;
//  TVLobbyModeWin            *pMWin;
  TCasButton                *MenuEscButton;
  TCasLobbyMessageDisplay   *MessageDisplay;
  int                        Whirl;

 // BOOL SetCashWhirlIdle()      {return SetCurrentSpriteSet(1,0);}
  Switch();
  InitL();
  GetPlayin() {return playersin;};
  void  SwitchToPlayer(int player);
  void  CyclePlayers();
  virtual void SetupActivePlayer(int slot);
  virtual void ShuttingDown();
  virtual void NotifyPlayerActivation(int slotnum);
  virtual void NotifyPlayerDeActivation(int slotnum);
  virtual void SetupSprites() {}
  virtual void CleanupSprites() {}
};
//*******************************************************************
#endif