//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlspl.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/16/95    M.Perry     original baseline
//********************************************************************
#if !defined(__vlspl_h)
#define __vlspl_h

#include "vlglspl.h"
#include "casnames.rh"
#include "vlnames.rh"
//*******************************************************************
class TVLobby1SpriteList:public TVLGLordSpriteList
{
  public:
  TVLobby1SpriteList(TOgleModeWindow *pmw,TFileMode filemode,TGameObject *PGObj)
	 :TVLGLordSpriteList(pmw,filemode,PGObj)
  {
	 Init(filemode,TRUE,FALSE);
  }

  virtual ~TVLobby1SpriteList() {}
  virtual TSprite *CreateSprite(const string &SpriteFName)
  {
	 TFileMode FM(SpriteFName,fm_None,fm_Immed,FileMode.DirIndex);
	 if(SpriteFName == GetResString(IDS_MS_B0_VL))
	 {
		return (new TCasButton(PModeWin,FM,(TCasinoGameLord *)POwnerGObj,100,TRect(84,433,169,463),idButton0,TRUE));
	 }
	 if (SpriteFName == GetResString(IDS_MS_MESS_VL))
	 {
		return (new TCasLobbyMessageDisplay(PModeWin,FM));
	 }
	 return (new TSprite(PModeWin,FM));
	// if      (SpriteFName == GetResString(IDS_MS_CHIPS_S_S1000))       {return (new TCasChips(pOwnerWindow,FM));}
	// else                                      {return (new TSprite(pOwnerWindow,FM,psource));}
  }
  virtual TSprite *CreateSprite(const string &SpriteFName,void *psource)
  {
	 TFileMode FM(SpriteFName,fm_None,fm_Immed,FileMode.DirIndex);
	 if(SpriteFName == GetResString(IDS_MS_B0_VL))
	 {
		return (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)POwnerGObj,100,TRect(84,433,169,463),idButton0,TRUE));
	 }
	 if (SpriteFName == GetResString(IDS_MS_MESS_VL))
	 {
		return (new TCasLobbyMessageDisplay(PModeWin,FM,psource));
	 }
	 return (new TSprite(PModeWin,FM,psource));
//if      (SpriteFName == GetResString(IDS_MS_CHIPS_S_S1000))       {return (new TCasChips(pOwnerWindow,FM,psource));}
	// else                                      {return (new TSprite(pOwnerWindow,FM,psource));}
  }
};
//*******************************************************************
#endif