//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vp5crdsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/16/95    M.Perry    original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__vp5crdsp_h)
#define __vp5crdsp_h

#include "osprite.h"
#include "card.h"
//*******************************************************************
class TVP5Card:public TSprite
{
public:
  TAnm *PCard[5];
  //TAnm *PBack;
  TAnm *PHold[5];
  TWav *PFlipSound[5];
  TWav *PHoldSound;
  void SetupAnms();
  void SetupWavs();
  TVP5Card(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TVP5Card(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TVP5Card();
  void ShowBack(int card);
  void SetBack();
  void ShowFlip(int card);
  void ShowSilentFlip(int card);
  void ShowFace(TSuit suit,TCardName cardname,int card);
  void Hold(bool held = true,int card = 0);
};
//*******************************************************************
#endif

