//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  accvpmw.h
//    Project Name:  acc
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    09/23/99   M.Perry     original baseline
//********************************************************************
#if !defined(__accvpmw_h)
#define __accvpmw_h

#include "casvpmw.h"
//*******************************************************************
class TACCVPModeWin:public TVideoPokerModeWin
{
protected:
  int16 ModeSubGameType;
  int16 ModeDenomID;
  int16 idsGameLord,idsHuman0,idsHuman1,idsHuman2;
  string strGameLord,strHuman0,strHuman1,strHuman2;
  
public:
  TACCVPModeWin(string modename,TPal *ppal,int16 sgt,int16 denomid,
                string title = "Cardoza Entertainment's Video Poker");
  virtual ~TACCVPModeWin();
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual void SetupGObjIDS();
  virtual void SetupGObjStrings();
  virtual TGameObject *CreateGObj(TFileMode &fm,int16 id,void *psource);
};
//*******************************************************************
#endif