//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvsa1st.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5    10/17/99   M.Perry      Original baseline
//*******************************************************************
#if !defined __acvsa1st_h
#define __acvsa1st_h

#include "acvpsgld.h"
#include "acvsglst.h"
//*******************************************************************
class TACVPSlotsAct1State : public TACVPSlotsLordState
{
public:
  TACVPSlotsAct1State(TACVPSlotsGameLord *plord);
  virtual ~TACVPSlotsAct1State();
  bool  WaitOnTray;
  bool  IgnoreCoach;
  int   ZeroStart;
  dword StartFUC;
  dword FUCLength;
  bool  IsUp;
  dword DelayFUC;

//  TResponder *AddCoinResponder;

  int WaitingOnWRCounter;
  bool askexpertflag,Lock,WaitOnSpin;
  int	 StopReelTime;
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void EndSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState2();
  virtual bool HandleAddCoin(TResponder &responder);
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleNamePlate(TResponder &responder);
};
//*******************************************************************
#endif
