//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvscmsp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/26/99    M.Perry    original baseline
//********************************************************************
#if !defined(__acvscmsp_h)
#define __acvscmsp_h

#include "osprite.h"
//*******************************************************************
class TACVPSlotsColumn : public TSprite
{
public:
  enum {NumWavs = 10};

protected:
  TAnm *PColumn;
  TWav *PWavs[NumWavs];
//  int16   MostRecentWav;
//  TAnm *PNums;

public:
  TACVPSlotsColumn(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPSlotsColumn(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPSlotsColumn();
  void SetColumn(int16 num);
//  void SetNum(int16 num);
//  bool IsWaveStopped(int16 Wave = -1);
  void PlayCoinsSound(int16 numcoins);
  void PlayCreditsSound(int16 numcredits);
  bool IsAllWavsStopped();

protected:
  void PlaySound(int16 Sound);
  void SetupWavs();
  void SetupAnms();
};
//*******************************************************************
#endif