//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvsglst.h
//    Project Name:  acvp
// Original Author:  Michael R. Perr
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5    10/17/99    M.Perry     Original baseline
//*******************************************************************
#if !defined __acvsglst_h
#define __acvsglst_h

#include "ostate.h"
#include "acvpsgld.h"
class TACVPSlotsGameLord;
class TResponder;
//*******************************************************************
class TACVPSlotsLordState : public TState
{
public:
  TACVPSlotsGameLord *pOwnerLord;
  TACVPSlotsLordState(TACVPSlotsGameLord *plord);
  virtual ~TACVPSlotsLordState();

// virtual void HandleUpdate(dword NewFUC);

 bool SpeedClick(TResponder &responder);
 virtual bool HandleSpeedClick(TResponder &responder) {return false;}
 bool AddCoin(TResponder &responder);
 virtual bool HandleAddCoin(TResponder &responder) {return true;}
 bool NamePlate(TResponder &responder);
 virtual bool HandleNamePlate(TResponder &responder) {return true;}
};
//*******************************************************************
#endif
