//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvssdsp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry     original baseline
//********************************************************************
#if !defined(__acvssdsp_h)
#define __acvssdsp_h

#include "osprite.h"
#include "owav.h"
//*******************************************************************
class TACVPSlotsSound:public TSprite
{
public:
  enum {NumSounds = 5};

protected:
  int16 r1,r2,r3;
  TWav *Sounds[NumSounds];

public:
  TACVPSlotsSound(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPSlotsSound(TOgleModeWindow *pmw,const TFileMode &fm,void *psource);
  virtual ~TACVPSlotsSound();
  void PlayStartSpin() {PlaySound(0);}
  void StopSpin() {if (Sounds[0] != NULL) {Sounds[0]->Stop();}}
  void PlayReel3() {PlaySound(r3);}
  void StopReel3() {if (Sounds[r3] != NULL) {Sounds[r3]->Stop();}}
  void PlayReel2() {PlaySound(r2);}
  void StopReel2() {if (Sounds[r2] != NULL) {Sounds[r2]->Stop();}}
  void PlayReel1() {PlaySound(r1);}
  void StopReel1() {if (Sounds[r1] != NULL) {Sounds[r1]->Stop();}}

protected:
  void SetupWavs();
  void PlaySound(int16 Sound);
};
//*******************************************************************
#endif