//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvstrsp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry     original baseline
//********************************************************************
#if !defined(__acvstrsp_h)
#define __acvstrsp_h

#include "osprite.h"
//*******************************************************************
class TACVPSlotsTravel : public TSprite
{
public:
  TAnm *PTravel;
  TWav *Flat;
  int16 NumOfMoveFrames;
  int16 framecount;
  int16 StartFrame;
  int16 LapInc;
  void SetupAnms();
  bool MoveDone;
  bool MoveBack;
  bool LapIsDone;
  int16  StartLapFrame;
  TACVPSlotsTravel(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPSlotsTravel(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPSlotsTravel();
  void SetNum(int16 frame);
  virtual void PostUpdate(dword NewFUC);
  void DoLap();
  bool LapDone(){return LapIsDone;}
  void MoveForward(int16 framesforward);
  void MoveBackward(int16 framesBackward);
  void PlayFlatWav();
  bool IsDone(){return MoveDone;}
  int16 CurrentFrameIs();
};
//*******************************************************************
#endif