//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betred.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//  2.0     09/19/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _betred_h
#define _betred_h

#include "crbssp.h"
//*******************************************************************
class TBetRed : public TRBetSpot
{
public:
  TBetRed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 code);
  TBetRed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource,int16 code);
  virtual ~TBetRed();
  virtual bool Winner(int16 WinNum);
  virtual bool Winner(int16 WinNum,int16 Player)
  {
    return TRBetSpot::Winner(WinNum,Player);
  }
  virtual int32 Odds();
};
//*******************************************************************
#endif
