//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjddst.h  // dealer draw state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/23/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjddst_h
#define __bjddst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJDealerDrawState : public TBJLordState
{
public:
  bool FirstCard;
  bool WaitOnSkit;
  dword StartingFUC;
  dword FUCLength;
  TBJDealerDrawState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJDealerDrawState();
  virtual void CreateSubState1();
  virtual void StartSubState1();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif