//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjdealst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/24/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjflipst_h
#define __bjflipst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJDealerFlipState : public TBJLordState
{
public:
  dword StartingFUC;
  dword NextFUC;
  dword FUCLength;
  bool  WaitOnSkit;
  bool  CheckHole;
  bool  ShowHole;
  bool  HoleDelay;
  bool  CardShow;
  int16   RemoveBackFUC;
  int16   ShowBackFUC;
  int16   ShowFaceFUC;
  int16   hole;

public:
  TBJDealerFlipState(TCasinoBJGameLord *pNewBJLord,int16 Hole);
  virtual ~TBJDealerFlipState();

  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif