//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjrmst.h    // remove bets
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/8/95   A. Krist    Original baseline
//  2.0     09/24/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _bjrmst_h
#define _bjrmst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJRemoveState : public TBJLordState
{
public:
  TResponder *BetSpot1Responder;
  TResponder *BetSpot2Responder;
  TResponder *BetSpot3Responder;
  TResponder *RemoveDoubleResponder;
  bool        QuickKick;

public:
  TBJRemoveState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJRemoveState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleBetSpot1(TResponder &responder);
  virtual bool HandleBetSpot2(TResponder &responder);
  virtual bool HandleBetSpot3(TResponder &responder);
  virtual bool HandleRemoveDouble(TResponder &responder);
};
//*******************************************************************
#endif