//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjstate.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/23/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjstate_h
#define __bjstate_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJState : public TBJLordState
{
public:
  bool       WaitOnSkit;
  bool       FinalLook;
  dword StartingFUC;
  dword FUCLength;
  int16 dealerblackjack;
  TBJState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
  virtual void CreateSubState4();
  virtual void CreateSubState5();
  virtual void CreateSubState6();
  virtual void CreateSubState7();
  virtual void CreateSubState8();
};
//*******************************************************************
#endif