//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caschsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/2/95    M.Perry    original baseline
//  1.0     10/14/95   A.Krist    updated
//  1.0     12/23/95   M.Perry    inline functions moved into .cpp file.
//  2.0     09/02/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__caschsp_h)
#define __caschsp_h

#include "osprite.h"
//*******************************************************************
class TCasChips:public TSprite
{
public:
  TAnm *PChips[6];
  TWav *OneChip;
  TWav *TwoChip;
  TWav *ThreeChip;
  int16  col1;
  int16  col2;
  int16  col3;
  int16  col4;
  int16  col5;
  int16  col6;

  TMoney oldnum;

  int16 GetCol1() {return col1;};
  int16 GetCol2() {return col2;};
  int16 GetCol3() {return col3;};
  int16 GetCol4() {return col4;};
  int16 GetCol5() {return col5;};
  int16 GetCol6() {return col6;};

  void ShowCards() {SetNum(oldnum);}
  void NoShowCards();

  void SetupCols(TMoney money,int16 a,int16 b,int16 c,int16 d,int16 e,int16 f,bool Sound=true);
  void SetupAnms();
  void SetupWavs();
  TCasChips(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TCasChips(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TCasChips();
  void SetNum(TMoney money,bool Sound = true);
  void AddChips(TMoney money,bool Sound);
  void SubChips(TMoney money);
  int16  GetBorrow(int32 convertto);
  void Convert(int32 confrom,int32 conto);
};
//*******************************************************************
#endif

