//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cashgld.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/08/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__cashgld_h)
#define __cashgld_h

#include "hsglord.h"
//*******************************************************************
class TCashGameLord:public TCasinoHSGameLord
{
public:
  TCashGameLord(THunSlotsModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TCashGameLord();
  virtual void CycleDenom();
  virtual TMoney PayOut();
  virtual TMoney PayLine1();
  virtual void SetReel();
  virtual void SetupSprites();
  virtual void CleanupSprites();
};
//*******************************************************************
#endif