//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  Casmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//                                      
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/14/95    M.Perry     original baseline
//  2.0    08/31/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__casmw_h)
#define __casmw_h
                                    
#include "omodewin.h"
#include "casdef.h"

class TPlayer;
class CASOWLCLASS TCasinoGameFrameWindow;
class TCasinoPlayerMgr;
class TCasinoGameLord;
class TCasinoPlayer;
//*******************************************************************
class CASOWLCLASS TCasinoModeWin:public TOgleModeWindow
{
public:
  TCasinoModeWin(string modename,TPal *PPal,string title);
  virtual ~TCasinoModeWin();

//  virtual void CreatePlayerList();

  TCasinoGameFrameWindow *GetCasGFW();
  TCasinoPlayerMgr *GetCasPlayerMgr();
  TCasinoGameLord *GetCasGameLord()
  {
    return (TCasinoGameLord *)GetGameLord();
  }
  TCasinoPlayer *GetCasPlayer(int16 slotnum)
  {
    return (TCasinoPlayer *)GetPlayer(slotnum);
  }
  virtual int16 AskCriteriaQuestion(int16 QNum);
  virtual void ShuttingDown();

  virtual void SetupGObjs();

public:
  void CmAskExpertStatistics();
  void CeAskExpertStatistics(TCommandEnabler &enabler);
  void CmAskExpertInstruction();
  void CeAskExpertInstruction(TCommandEnabler &enabler);
  void CmAskExpertRecommendation();
  void CeAskExpertRecommendation(TCommandEnabler &enabler);

  DECLARE_RESPONSE_TABLE(TCasinoModeWin);
};
//*******************************************************************
#endif
