//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjglspl.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/15/95    M.Perry     original baseline
//  2.0    09/30/97     M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__cbjglspl_h)
#define __cbjglspl_h

#include "csprlist.h"

#include "cbjdlrsp.h"
#include "cbjdspsp.h"
#include "cbjbssp.h"
#include "cbjrksp.h"
#include "cbjsgsp.h"
#include "casbutsp.h"
#include "cascdsp.h"    //Cash Display
#include "casmessp.h"   //Message Display
#include "circlesp.h"   //Circle
#include "casbusp.h"    // Bet Unit
#include "cbjsdsp.h"
//*******************************************************************
enum TBJGLordRID
{
  bjidButton0,bjidButton1,bjidButton2,bjidButton3,bjidButton4,bjidButton5,bjidButton6,bjidButton7,
  bjidButton8,bjidButton9,bjidButton10,bjidButton11,bjidButton12,bjidButton13,bjidButton14,bjidButton15,
  bjidButton16,bjidButton17,bjidButton18,
  bjidBetSpot0,
  bjidBetSpot1,
  bjidBetSpot2,
  bjidBetSpot3,
  bjidBetSpot4,
  bjidBetSpot5,
  bjidBetSpot6,

  bjidDealer,
  bjidDealerSpot,

  bjidNamePlate,
  bjidStatBar,
  bjidFeltCursor
};

//*******************************************************************
class TBJGLordSpriteList:public TCasinoSpriteList
{
public:
  TBJGLordSpriteList(TOgleModeWindow *pmw,TFileMode filemode,TGObjSp *PGObj);
  virtual ~TBJGLordSpriteList();
};
//*******************************************************************
#endif

