//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cdebtdlg.h
//    Project Name:  Cas
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     7/2/97     M.Perry    original baseline
//  2.0     08/31/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__cdebtdlg_h)
#define __cdebtdlg_h

#include "odlg.h"

class TStatic;
class TButton;
class TCasinoPlayerData;
//*******************************************************************
class TGamblerDebtDlg:public TOgleDialog
{
protected:
  TCasinoPlayerData *PCasPlayerData;
  TStatic *PName_STB;
  TStatic *PBankroll_STB;
  TStatic *PDebt_STB;
  TStatic *PLOC_STB;
  TStatic *PAvailNow_STB;
  TButton *PBorrow_PB;
  TButton *PRepay_PB;
  TButton *PDone_PB;

public:
  TGamblerDebtDlg(TWindow *pwin,TCasinoPlayerData *pcasplayerdata);
  virtual ~TGamblerDebtDlg();
  void CmBorrow();
  void CmRepay();
  void CmDone();
  virtual void SetupWindow();
  void HandleStatus();
  void HandleNoDataStatus();

  DECLARE_RESPONSE_TABLE(TGamblerDebtDlg);
};
//*******************************************************************
#endif
