//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cvpglord.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   M.Perry     original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//********************************************************************
#if !defined(__cvpglord_h)
#define __cvpglord_h

#include "casglord.h"
class TVideoPokerModeWin;
//*******************************************************************
class TCasinoVPGameLord:public TCasinoGameLord
{
public:
  TMoney credits;
  TMoney coinsplayed;
  TMoney coinsize;
  TMoney winnerpaid;
  TMoney maxbet;
  TMoney progressive;

public:
  TCasinoVPGameLord(TVideoPokerModeWin *PNewOwnerWindow,const TFileMode &fm,
						  int16 subgametype,int16 coindenom);
  virtual ~TCasinoVPGameLord();

  virtual TSprite *CreateSprite(string spritename,int16 id = 0,void *psource = NULL);
  virtual bool AddCredits(int16 AddCredits) {return false;}
  virtual bool Respond(int16 Button,int16 info = 0,void *pdata = NULL) {return TCasinoGameLord::Respond(Button,info,pdata);}
  virtual bool Respond(TResponder &responder) {return TCasinoGameLord::Respond(responder);}
  virtual void SetupResponders(){}
  virtual void CleanupResponders(){}
  virtual void SwitchToPlayer(int16 player){}
  virtual void CyclePlayers(){}
  virtual void SetupActivePlayer(int16 slot){}
  virtual void ShuttingDown(){}
  virtual void NotifyPlayerActivation(int16 slotnum){}
  virtual void NotifyPlayerDeActivation(int16 slotnum){}
  virtual void SetupSprites(){}
  virtual void CleanupSprites(){}
  virtual void SetUIDSStrings(){}
};
//*******************************************************************
#endif
