//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hscpsp.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/26/97    A.Krist     original baseline
//  2.0    09/04/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__hscpsp_h)
#define __hscpsp_h

#include "osprite.h"
//*******************************************************************
class THSCoinsPlayed : public TSprite
{
public:
  TAnm *PNums;
  TWav *PWavs[10];
  int16   MostRecentWav;
  void SetupAnms();
  THSCoinsPlayed(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  THSCoinsPlayed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~THSCoinsPlayed();
  void SetNum(int16 num);
  bool IsWaveStopped(int16 Wave = -1);
  void PlaySound(int16 Sound);
};
//*******************************************************************
#endif