//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hslglord.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__hslglord_h)
#define __hslglord_h

class THSLobbyModeWin;
class THSLLordMainState;
#include "caslgld.h"
#include "cgametyp.h"
#include "casbutsp.h"  // Button
#include "hslmessp.h"   //Message Display
#include "hscdsp.h"    //Cash Display
#include "hsnmsp.h"
#include "hsjpsp.h"
#include "hsreelsp.h"
#include "hslwhsp.h"
#include "hssdsp.h"
//*******************************************************************
enum TGLordHSLID
{
  HSLidHotSpot1,HSLidHotSpot2,HSLidHotSpot3,HSLidHotSpot4,HSLidHotSpot5,
  HSLidHotSpot6,HSLidHotSpot7,HSLidHotSpot8,HSLidHotSpot9,HSLidHotSpot10,
  HSLidHotSpot11,HSLidHotSpot12,HSLidHotSpot13,HSLidHotSpot14,HSLidHotSpot15,
  HSLidHotSpot16,HSLidHotSpot17,HSLidHotSpot18,HSLidHotSpot19,HSLidHotSpot20,
  HSLidHotSpot21,HSLidHotSpot22,HSLidHotSpot23,HSLidHotSpot24,HSLidHotSpot25,
  HSLidHotSpot26,HSLidHotSpot27,HSLidHotSpot28,HSLidHotSpot29,HSLidHotSpot30,
  HSLidHotSpot31,HSLidHotSpot32,HSLidHotSpot33,HSLidHotSpot34,HSLidHotSpot35,
  HSLidHotSpot36,HSLidHotSpot37,HSLidHotSpot38,HSLidHotSpot39,HSLidHotSpot40,
  HSLidHotSpot41,HSLidHotSpot42,HSLidHotSpot43,HSLidHotSpot44,HSLidHotSpot45,
  HSLidHotSpot46,HSLidHotSpot47,HSLidHotSpot48,HSLidHotSpot49,HSLidHotSpot50,
  HSLidHotSpot51,HSLidHotSpot52,HSLidHotSpot53,HSLidHotSpot54,HSLidHotSpot55,
  HSLidHotSpot56,HSLidHotSpot57,HSLidHotSpot58,HSLidHotSpot59,HSLidHotSpot60,
  HSLidHotSpot61,HSLidHotSpot62,HSLidHotSpot63,HSLidHotSpot64,HSLidHotSpot65,
  HSLidHotSpot66,HSLidHotSpot67,HSLidHotSpot68,HSLidHotSpot69,HSLidHotSpot70,
  HSLidHotSpot71,HSLidHotSpot72,HSLidHotSpot73,HSLidHotSpot74,HSLidHotSpot75,
  HSLidHotSpot76,HSLidHotSpot77,HSLidHotSpot78,HSLidHotSpot79,HSLidHotSpot80,
  HSLidHotSpot81,HSLidHotSpot82,HSLidHotSpot83,HSLidHotSpot84,HSLidHotSpot85,
  HSLidHotSpot86,HSLidHotSpot87,HSLidHotSpot88,HSLidHotSpot89,HSLidHotSpot90,
  HSLidHotSpot91,HSLidHotSpot92,HSLidHotSpot93,HSLidHotSpot94,HSLidHotSpot95,
  HSLidHotSpot96,HSLidHotSpot97,HSLidHotSpot98,HSLidHotSpot99,HSLidHotSpot100,
  HSLidHotSpot101,HSLidHotSpot102,HSLidSpeed,HSLidButton0,HSLidCredit,
  HSLidBudPlay,HSLidCreate
};
//#define NumResponders 104
enum THSLobbyIdleEnum
{
  HSliCrapsDealer = 1,
  HSliRouletteDealer = 2,
  HSliBJDealer = 3,
  HSliFountain = 4,
  HSliVPSign = 5,
  HSliSlots = 6,
  HSliProgSign = 7,
  HSliKeno = 8,
  HSliEscalator = 9,
  HSliHorse = 10,
  HSliMessageThingy = 11,
  HSliWheel = 12,
  HSliLight1 = 13,
  HSliLight2 = 14,
  HSliLight3 = 15,
  HSliLight4 = 16,
  HSliWater = 17,
  HSliSlot1 = 18,
  HSliSlot2 = 19,
  HSliSlot3 = 20
};
//*******************************************************************
class TCasinoHSLGameLord:public TCasLobbyGameLord
{
public:
  enum {NumResponders = 104};

  TResponder *Responders[NumResponders];

  TLobbyModeWin               *pMWin;
  TCasButton                  *MenuEscButton;
  TCasButton                  *BudPlayButton;
  TCasButton                  *CreateButton;
  THSLobbyMessageDisplay      *MessageDisplay;
  THSCashDisplay              *BankCashDisplay;
  THSNamePlate                *NamePlate1;
  THSReel                     *Reel1;
  THSReel                     *Reel2;
  THSReel                     *Reel3;
  THSProgressive              *Progressive;
  THSLWinHighLight            *WinHighLight;
  THSSound                    *Sounds;
  TSprite *PLow1;
  TSprite *PLow2;
  TSprite *PLow3;
  TSprite *PLow4;
  TSprite *PLow5;
  TSprite *PLow6;
  TSprite *PLow7;
  TSprite *PLow8;
  TSprite *PWater;

  dword StartFUC,FUCLength;
  dword StartingPullFUC,FUCPullLength;
  dword StartingWinFUC,FUCWinLength;
  dword StartingFUC;
  dword EndingFUC;
  dword SkitStartingFUC;
  dword SkitFUCLength;

  TMoney Coinsizes[7];
  TMoney coinsize;
  TMoney coinsplayed;
  TMoney winnerpaid;
  TMoney ProgressiveBaseAmounts[7];
  TMoney ProgressiveMaxAmount;
  TMoney ProgressiveIncrements[7];
  TMoney ProgressiveAmounts[7];
  TMoney maxbet;

  int16 BetMaxNumOfCredits;
  int16 BetMaxNumOfCoins;
  int16 volcano1,volcano2,bud1; //skits
  int16 spin1,spin2,spin3,win1,win2,win3,win4,win5;
  int16 coinsplayedwav;
  int16   LobbyPhase;
  int16 CurrentProgressiveDisplayed;
  int16 ButtonInfo;
  int16 playersin;
  int16 shutdownstate;
  int16 r1;
  int16 r2;
  int16 r3;
  int16 PayOffSound;

  bool PlayBud;
  bool  ButtonHit[3];
  bool SongsKilled;

  dword SongsKilledFUC;

public:
  TCasinoHSLGameLord(TLobbyModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TCasinoHSLGameLord();

  void BudInit();
  void BudDelete();
  void FreezeAllButtons();
  void UnFreezeAllButtons();
  void Clear();
  bool Volcano1(dword &StartFUC,dword &FUCLength){return ChooseStartSkit(volcano1,StartFUC,FUCLength);};
  bool Volcano2(dword &StartFUC,dword &FUCLength){return ChooseStartSkit(volcano2,StartFUC,FUCLength);};
  bool Bud1(dword &StartFUC,dword &FUCLength){return ChooseStartSkit(bud1,StartFUC,FUCLength);};
  virtual bool Respond(TResponder &responder);
  void ButtonClear(int16 button);
  virtual bool Respond(int16 Button,int16 info = 0,void *pdata = NULL);
  virtual void NotifyPlayerCashChange(int16 slotnum);
  TMiscData *GetReelDataPtr() {return GetMiscData();}
  void SetupResponders();
  void CleanupResponders();
  int16 BetMax();
  void Spin();
  virtual void SetReel();
  TMoney Winner();
  virtual TMoney PayOut();
  bool SetTorches(int16 set = 0)   {return SetCurrentSpriteSet(1,set);}
  bool SetVol1(int16 set = 0)      {return SetCurrentSpriteSet(2,set);}
  bool SetVol2(int16 set = 0)      {return SetCurrentSpriteSet(3,set);}
  bool SetEmtyBud(int16 set = 0)   {return SetCurrentSpriteSet(4,set);}
  bool SetFullBud(int16 set = 0)   {return SetCurrentSpriteSet(5,set);}
  bool SetSound1(int16 set = 0)    {return SetCurrentSpriteSet(6,set);}
  bool SetSound2(int16 set = 0)    {return SetCurrentSpriteSet(7,set);}
  bool SetSound3(int16 set = 0)    {return SetCurrentSpriteSet(8,set);}
  bool SetSound4(int16 set = 0)    {return SetCurrentSpriteSet(9,set);}
  bool SetSong(int16 set = 0)      {return SetCurrentSpriteSet(10,set);}
  bool SetLight1(int16 set = 0)    {return SetCurrentSpriteSet(11,set);}
  bool SetLight2(int16 set = 0)    {return SetCurrentSpriteSet(12,set);}
  bool SetLight3(int16 set = 0)    {return SetCurrentSpriteSet(13,set);}
  bool SetLight4(int16 set = 0)    {return SetCurrentSpriteSet(14,set);}
  bool SetLight5(int16 set = 0)    {return SetCurrentSpriteSet(15,set);}
  bool SetLight6(int16 set = 0)    {return SetCurrentSpriteSet(16,set);}
  bool SetLight7(int16 set = 0)    {return SetCurrentSpriteSet(17,set);}
  bool SetLight8(int16 set = 0)    {return SetCurrentSpriteSet(18,set);}
  bool SetLight9(int16 set = 0)    {return SetCurrentSpriteSet(19,set);}
  bool SetLight10(int16 set = 0)   {return SetCurrentSpriteSet(20,set);}
  bool SetLight11(int16 set = 0)   {return SetCurrentSpriteSet(21,set);}
  bool SetLight12(int16 set = 0)   {return SetCurrentSpriteSet(22,set);}
  int16 Switch();
  int16 InitL();
  int16 GetPlayin() {return playersin;};
  void  SwitchToPlayer(int16 player);
  void  CyclePlayers();
  virtual void SetupActivePlayer(int16 slot);
  virtual void ShuttingDown();
  virtual void NotifyPlayerActivation(int16 slotnum);
  virtual void NotifyPlayerDeActivation(int16 slotnum);
  virtual void SetupSprites() {}
  virtual void CleanupSprites() {}
  virtual void Update(dword fuc);
  virtual void TurnOnNext();
  virtual void TurnOffNext();

protected:
  string strBankruptTitle;
  string strPlayCheaperCreditYes;
  string strPlayCheaperCreditNo;
  string strBrokeCreditYes;
  string strBrokeCreditNo;
};
//*******************************************************************
#endif