//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hslordst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/01/97   A. Krist    Original baseline
//  2.0     09/04/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _hslordst_h
#define _hslordst_h

#include "ostate.h"
#include "hsglord.h"
class TCasinoHSGameLord;
class TResponder;
//*******************************************************************
class THSLordState : public TState
{
public:
  TCasinoHSGameLord *pOwnerLord;
  THSLordState(TCasinoHSGameLord *pNewHSLord);
  ~THSLordState();

 virtual void HandleUpdate(dword NewFUC);

 bool SpeedClick(TResponder &responder);
 virtual bool HandleSpeedClick(TResponder &responder) {return false;}  //must override?
 bool AddCoin(TResponder &responder);
 virtual bool HandleAddCoin(TResponder &responder) {return true;}
 bool NamePlate(TResponder &responder);
 virtual bool HandleNamePlate(TResponder &responder) {return true;}
};
//*******************************************************************
#endif
