//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hstrsp.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/26/97    A.Krist     original baseline
//  2.0    09/04/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__hstrsp_h)
#define __hstrsp_h

#include "osprite.h"
//*******************************************************************
class THSTravel : public TSprite
{
public:
  TAnm *PTravel;
  TWav *Flat;
  int16 NumOfMoveFrames;
  int16 framecount;
  int16 StartFrame;
  int16 LapInc;
  void SetupAnms();
  bool MoveDone;
  bool MoveBack;
  bool LapIsDone;
  int16  StartLapFrame;
  THSTravel(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  THSTravel(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~THSTravel();
  void SetNum(int16 frame);
  virtual void PostUpdate(dword NewFUC);
  void DoLap();
  bool LapDone(){return LapIsDone;}
  void MoveForward(int16 framesforward);
  void MoveBackward(int16 framesBackward);
  void PlayFlatWav();
  bool IsDone(){return MoveDone;}
  int16 CurrentFrameIs();
};
//*******************************************************************
#endif