//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hswinst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/04/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _hswinst_h
#define _hswinst_h

#include "hsglord.h"
#include "hslordst.h"
//*******************************************************************
class THSWinState : public THSLordState
{
public:
  bool WaitOnTravel;
  TResponder *SpeedClickResponder;
  TMoney wincount;
  TMoney wincountup;
  THSWinState(TCasinoHSGameLord *pNewHSLord);
  ~THSWinState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleSpeedClick(TResponder &responder);
};
//*******************************************************************
#endif
