//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  rrollgld.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/05/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__rrollgld_h)
#define __rrollgld_h

#include "hsglord.h"
//*******************************************************************
class TRockRollGameLord:public TCasinoHSGameLord
{
public:
  TRockRollGameLord(THunSlotsModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TRockRollGameLord();
  virtual TMoney PayOut();
  int16 GetReelDataInt(int16 index);
  virtual TMoney PayLine1();
  virtual void SetReel();
  virtual void SetupSprites();
  virtual void CleanupSprites();
};
//*******************************************************************
#endif
