//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  slordst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _slordst_h
#define _slordst_h

#include "ostate.h"
#include "csglord.h"

class TCasinoSGameLord;
class TResponder;
//*******************************************************************
class TSLordState : public TState
{
public:
  TCasinoSGameLord *pOwnerLord;

public:
  TSLordState(TCasinoSGameLord *pNewSLord);
  virtual ~TSLordState();

  virtual void HandleUpdate(dword NewFUC);
  bool OneChip(TResponder &responder);
  virtual bool HandleOneChip(TResponder &responder);
  bool FiveChip(TResponder &responder);
  virtual bool HandleFiveChip(TResponder &responder);
  bool TwentyFiveChip(TResponder &responder);
  virtual bool HandleTwentyFiveChip(TResponder &responder);
  bool OneHundredChip(TResponder &responder);
  virtual bool HandleOneHundredChip(TResponder &responder);
  bool OneThouChip(TResponder &responder);
  virtual bool HandleOneThouChip(TResponder &responder);
  bool TenThouChip(TResponder &responder);
  virtual bool HandleTenThouChip(TResponder &responder);
  bool SpeedClick(TResponder &responder);
  virtual bool HandleSpeedClick(TResponder &responder);
  bool MenuEscButton(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);
  bool Bet1Button(TResponder &responder);
  virtual bool HandleBet1(TResponder &responder);
  bool BetMaxButton(TResponder &responder);
  virtual bool HandleBetMax(TResponder &responder);
  bool CashOut(TResponder &responder);
  virtual bool HandleCashOut(TResponder &responder);
  bool Spin(TResponder &responder);
  virtual bool HandleSpin(TResponder &responder);
  bool AddCoin(TResponder &responder);
  virtual bool HandleAddCoin(TResponder &responder);
  bool AskExpert(TResponder &responder);
  virtual bool HandleAskExpert(TResponder &responder);
  bool StatBar(TResponder &responder);
  virtual bool HandleStatBar(TResponder &responder);
  bool NamePlate(TResponder &responder);
  virtual bool HandleNamePlate(TResponder &responder);
};
//*******************************************************************
#endif