//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vpcoutst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _vpcoutst_h
#define _vpcoutst_h

//#include "cvpglord.h"
#include "accvpgld.h"
#include "vplordst.h"
//*******************************************************************
class TVPCashOutState : public TVPLordState
{
public:
  int16 Count;
  bool Start16;
  TResponder *SpeedClickResponder;
//  TVPCashOutState(TCasinoVPGameLord *pNewVPLord);
  TVPCashOutState(TACCVPGLord *pNewVPLord);
  virtual ~TVPCashOutState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleSpeedClick(TResponder &responder);
};
//*******************************************************************
#endif