//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjmodwin.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/21/95   A. Krist    Original baseline
//*******************************************************************
#include "bjmodwin.h"
#include "bjlord.h"
#include "bjlrdmst.h"
#include "bjlordst.h"
#include "bjmodest.h"
#include "bjmodmst.h"
//#include "gobj.h"
extern BankRoll;
#define  NUMBEROFPLAYERS 3
#define  HUMAN 3

//*******************************************************************
TBJModeWin::TBJModeWin()
{
 // cout << "ModeWinState constructor" << endl;
  pState = new TBJModeMainState(this);
 // if(pState != NULL) {pState->Run();}
  pLord  = new TBJLord(this);
}
//*******************************************************************
TBJModeWin::~TBJModeWin()
{
  if(pLord != NULL)
  {
	 delete pLord;
	 pLord = NULL;
  }
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
//  cout << "ModeWinState destructor" << endl;

}
//*******************************************************************
TBJModeWin::YHit()
{
  if(pState != NULL)
  {
	 if(pState->Run() == ess_Done)
	 {
	  //	cout << "I'm done!!!" << endl;
	 }
  }
  if(pLord->pState != NULL)
  {
	 pLord->pState->Run();
  }
  return 1;
}
//*******************************************************************
TBJModeWin::XHit()
{
  pState->XHit();
  pLord->pState->XHit();
  return 1;
}