//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjrdsp.cpp
//    Project Name:  Casino
// Original Author:  Adam Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/15/96    M.Perry     moved into cpp file.
//********************************************************************
#include "cbjrdsp.h"
//*******************************************************************
void TBJRemoveDouble::SetupAnms()
{
  PButton = GetAnm(0);

  if (PButton == NULL) {AnmError("Remove Double","button",0);}
  PButton->CAD.ClearAutoStart();
  PButton->CAD.SetDirStill();
  PButton->CAD.ClearAutoStop();
}
//*******************************************************************
TBJRemoveDouble::TBJRemoveDouble(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TBJRemoveDouble::TBJRemoveDouble(TOgleModeWindow *pmw,const TFileMode &fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TBJRemoveDouble::~TBJRemoveDouble()
{
}
//*******************************************************************

