//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  bj1glist.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/24/96    M.Perry     original baseline
//  2.0    09/23/97    M.Perry     32-bit conversion.
//********************************************************************
#include "bj1glist.h"
#include "bj1gld.h"
#include "cbjplay.h"
#include "casbjmw.h"
#include "casnames.rh"
#include "cbjnames.rh"
//*******************************************************************
TBJ1GObjList::TBJ1GObjList(TBlackJackModeWin *POwnerMW)
:TBJGObjList(POwnerMW)
{
  PBJModeWin = POwnerMW;
}
//*******************************************************************
TGameObject *TBJ1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_BJ1))
  {
    return (new TBJ1GameLord(PBJModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_BJ1))
  {
    return (new TCasinoBJPlayer(PBJModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_BJ1))
  {
    return (new TCasinoBJPlayer(PBJModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_BJ1))
  {
    return (new TCasinoBJPlayer(PBJModeWin,FM,2));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************

