//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casbjmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    9/10/96     M.Perry    original baseline
//  2.0   09/23/97     M.Perry    32-bit conversion.
//********************************************************************
#include "casbjmw.h"
#include "chelpid.h"
#include "accmenu.rh"
//*******************************************************************
string TBlackJackModeWin::GetDetName()
{
  return string("bj.det");
}
//*******************************************************************
TBlackJackModeWin::TBlackJackModeWin(string modename,TPal *PPal,int16 numdecks,string title)
:TCasinoModeWin(modename,PPal,title),
 NumDecks(numdecks)
{
  strModeName = "Blackjack";
  ModeHelpCommand = HELP_CONTEXT;
  ModeHelpData = IDH_CAS_BJ;
}
//*******************************************************************
TBlackJackModeWin::~TBlackJackModeWin()
{
}
//*******************************************************************
int TBlackJackModeWin::GetMenuID()
{
  return IDM_CASINO_BJ;
}
//*******************************************************************
