//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cbjdlrsp.cpp
//    Project Name:  Casino
// Original Author:  Adam Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    10/12/95   A.Krist     original baseline.
//  2.0    09/23/97   M.Perry     32-bit conversion.
//********************************************************************
#include "cbjdlrsp.h"
#include "oanm.h"
//*******************************************************************
TBJDealer::TBJDealer(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TBJDealer::TBJDealer(TOgleModeWindow *pmw,TFileMode fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
void TBJDealer::SetupAnms()
{
  for (int16 i=0;i<7;i++)
  {
    PDeals[i] = GetAnm(i);
    if (PDeals[i] == NULL) {AnmError("Dealer","Deals",i);}
  }
}
//*******************************************************************
void TBJDealer::ShowDeal(int16 spot)
{
  if (PDeals == NULL) {return;}

  for(int16 i=0;i<7;i++)
  {
    PDeals[i]->NoShow();
  }
  PDeals[spot]->Show();
}
//*******************************************************************