//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cinitst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "cinitst.h"
#include "clord.h"
#include <iostream.h>

TInitCState::TInitCState(TCLord *pNewCLord)
	: TCLordState(pNewCLord)
{
 // cout << "GAState constructor" << endl;
}
TInitCState::~TInitCState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TInitCState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TInitCState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TInitCState::ExecuteFirstTime()
{
  cout << "Init state" << endl;
  pOwnerLord->InitCraps();
  ExecuteStatus    = ess_Done;

}