//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  clord.cpp     // Craps
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//*******************************************************************
#include "clord.h"
#include "clordst.h"
#include "clordmst.h"
#include "ostate.h"
#include <time.h>   //To Set Random Number Generator
#define  NUMBEROFPLAYERS 3
#define  BET1  5
#include <stdio.h>
#include <iostream.h>
#include <stdlib.h> //For Random Number Generator
#include <conio.h>
//*******************************************************************
TCLord::TCLord(TCModeWin *pmwin)
{
  pState   = new TCLordMainState(this);

  pMWin        = pmwin;
  dice1        = 0;
  dice2        = 0;
  maxbet       = 3;
  credits      = 0;
  coinsize     = 1;
  machinenum   = 0;
  playersin    = 0;
  game         = 1;
  numofsplits  = 0;
  coinsplayed  = 0;
  activeplayer = 0;
  marker       = 0; // Comeout Roll
  comeout      = 0; // Not
 // if(pState != NULL) {pState->Run();}
}
//*******************************************************************
TCLord::~TCLord()
{
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
}
//*******************************************************************
void TCLord::FinalClear()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
}
//*******************************************************************
TCLord::Winner()
{
  winnerpaid = 0;
  pMWin->GObj[activeplayer].Winnings(dice1,dice2,comeout);
  return 1;
}// winner
//*******************************************************************
TCLord::InitCraps()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
  activeplayer = 0;
  credits = 0;
  coinsplayed = 0;
  winnerpaid = 0;
  dice1 = 0;
  dice2 = 0;
  return 1;
}
//*******************************************************************
TCLord::GetBet()
{
 int z=1;
 coinsplayed = 0;
 winnerpaid = 0;
 while(z != 0)
 {
  cout << "Get Bet" << endl;
  if(coinsplayed < maxbet)
  {
	 cout << "Enter 1 to 'BET 1' ";
  }
  if(coinsplayed < maxbet && (credits > 0 || pMWin->GObj[activeplayer].cash > coinsize))
  {
	 cout << "Enter 2 to 'BET MAX' ";
  }
  if(coinsplayed > 0)// || pMWin->GObj[activeplayer].currentbets > 0)
  {
	 cout << "Enter 3 to 'PLACE BET' ";
  }
  if(credits > 0)
  {
	 cout << "Enter 4 to 'CASH OUT' ";
  }
	if(pMWin->GObj[activeplayer].currentbets > 0)
  {
	 cout << "Enter 5 to 'ROLL DICE' ";
  }
  cout << "Enter 6 to 'QUIT' ";
  cin >> z;
  int q=0;
  switch (z) {
	 case 1 :  Bet1();break;
	 case 2 :  BetMax();break;
	 case 3 :  cin >> q;if(pMWin->GObj[activeplayer].AddBet(q,coinsplayed))
							  {
								 coinsplayed = 0;
								 break;  // Spin
							  }
	 case 4 :  CashOut();break;
	 case 5 :  return 1;
	 case 6 :  CashOut();return 0;
	 default : return 0;  // Quit
  }
 }
 return 0;
}
//*******************************************************************
TCLord::CashOut()
{
  for(;credits>0;credits--)
  {
	 pMWin->GObj[activeplayer].cash += coinsize;
	 cout << pMWin->GObj[activeplayer].cash << endl;
  }
  return 1;
}
//*******************************************************************
TCLord::Bet1()
{
	if(credits > 0)
	{
	  credits--;
	  coinsplayed++;
	  return 1;
	}
	if(pMWin->GObj[activeplayer].cash > coinsize)
	{
	  pMWin->GObj[activeplayer].cash -= coinsize;
	  coinsplayed++;
	}
	return 1;
}
//*******************************************************************
TCLord::BetMax()
{
  if(credits > maxbet-coinsplayed)
  {
	 credits -= maxbet-coinsplayed;
	 coinsplayed = maxbet;
	 return 1;
  }
  else
  {
	 coinsplayed += credits;
	 credits = 0;                          // Could make a little faster
  }
  if(pMWin->GObj[activeplayer].cash > (maxbet-coinsplayed)*coinsize)
  {
	 pMWin->GObj[activeplayer].cash -= (maxbet-coinsplayed)*coinsize;
	 coinsplayed = maxbet;
  }
  else
  {
	 coinsplayed += (pMWin->GObj[activeplayer].cash)/(coinsize);
	 pMWin->GObj[activeplayer].cash = 0;
  }
  return 1;
}
//*******************************************************************
TCLord::ShowDice()
{
  return 1;
}
//*******************************************************************
TCLord::ThrowDice()
{
  dice1 = random(6);
  dice2 = random(6);
  cout << "Dice 1 -> " << (dice1 + 1) <<  endl;
  cout << "Dice 2 -> " << (dice2 + 1) <<  endl;
  return dice1;
}
