//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  crollst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "crollst.h"
#include "clord.h"
#include <iostream.h>

TCRollState::TCRollState(TCLord *pNewCLord)
	: TCLordState(pNewCLord)
{
 // cout << "CRollState constructor" << endl;
}
TCRollState::~TCRollState()
{
 // cout << "CRollState destructor" << endl;
}
//*******************************************************************
void TCRollState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TCRollState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TCRollState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->ThrowDice();
  ExecuteStatus    = ess_Done;

}