//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betanyc.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/18/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "betanyc.h"
//*******************************************************************
TBetAnyCraps::TBetAnyCraps(TOgleModeWindow *pmw,const TFileMode &NewFileMode,
                           int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,MessageCode)
{
  SpotType = AnyCraps;
}
//*******************************************************************
TBetAnyCraps::TBetAnyCraps(TOgleModeWindow *pmw,const TFileMode &NewFileMode,
                           void *psource,int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,psource,MessageCode)
{
  SpotType = AnyCraps;
}
//*******************************************************************
TBetAnyCraps::~TBetAnyCraps()
{
}
//*******************************************************************
int32 TBetAnyCraps::Odds()
{
  return 7;
}
//*******************************************************************
#pragma argsused
bool TBetAnyCraps::Winner(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if( ((FirstDice+SecondDice) == 0) ||((FirstDice+SecondDice) == 1) ||
        ((FirstDice+SecondDice) == 10) )
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************
#pragma argsused
bool TBetAnyCraps::Loser(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if( ((FirstDice+SecondDice) != 0)&&((FirstDice+SecondDice) != 1)&&
         ((FirstDice+SecondDice) != 10) )
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************