//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betbig.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/18/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "betbig.h"
//*******************************************************************
TBetBig::TBetBig(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 point,int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,MessageCode)
{
  SpotType = Big;
  BigPoint=point;
}
//*******************************************************************
TBetBig::TBetBig(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource,
                 int16 point,int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,psource,MessageCode)
{
  SpotType = Big;
  BigPoint=point;
}
//*******************************************************************
TBetBig::~TBetBig()
{
}
//*******************************************************************
int32 TBetBig::Odds()
{
  return 1;
}
//*******************************************************************
#pragma argsused
bool TBetBig::Winner(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if(FirstDice+SecondDice == BigPoint)
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************
#pragma argsused
bool TBetBig::Loser(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if(FirstDice+SecondDice == 5)
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************
