//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betfield.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     05/18/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "betfield.h"
//*******************************************************************
TBetField::TBetField(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,MessageCode)
{
  SpotType = Field;
}
//*******************************************************************
TBetField::TBetField(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource,
                     int16 MessageCode)
:TCBetSpot(pmw,NewFileMode,psource,MessageCode)
{
  SpotType = Field;
}
//*******************************************************************
TBetField::~TBetField()
{
}
//*******************************************************************
int32 TBetField::Odds()
{
  if(FieldPoint == 0)
  {
	 return 2;
  }
  else if(FieldPoint == 10)
  {
	 return 3;
  }
  else
  {
    return 1;
  }
}
//*******************************************************************
#pragma argsused
bool TBetField::Winner(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  FieldPoint = int16(FirstDice+SecondDice);
	  if( (FirstDice+SecondDice == 0) || (FirstDice+SecondDice == 1)||(FirstDice+SecondDice == 2)
			||(FirstDice+SecondDice == 7)||(FirstDice+SecondDice == 8)||(FirstDice+SecondDice == 9)
			||(FirstDice+SecondDice == 10) )
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************
#pragma argsused
bool TBetField::Loser(int16 FirstDice,int16 SecondDice,int16 Point,bool ComeOut)
  {
	  if( (FirstDice+SecondDice==3)||(FirstDice+SecondDice == 4)||(FirstDice+SecondDice == 5)
			 || (FirstDice+SecondDice == 6) )
	  {
		 return true;
	  }
	  else
	  {
		 return false;
	  }
  }
//*******************************************************************