//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cclrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/21/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "cclrdmst.h"
#include "ccinitst.h"

//*******************************************************************
TCLordMainState::TCLordMainState(TCasinoCGameLord *pNewCLord)
:TCLordState(pNewCLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState4,ess_StartSubState2,ess_Done);
}
//*******************************************************************
TCLordMainState::~TCLordMainState()
{
}
//*******************************************************************
void TCLordMainState::CreateSubState1()
{
  PActiveSubState = (TState *) new TInitCState(pOwnerLord);
}
//*******************************************************************
void TCLordMainState::CreateSubState2()
{
  PActiveSubState = (TState *) new TCAct1State(pOwnerLord);
}
//*******************************************************************
void TCLordMainState::CreateSubState3()
{
	 PActiveSubState = (TState *) new TCAct2State(pOwnerLord);
}
//*******************************************************************
void TCLordMainState::CreateSubState4()
{
 // PActiveSubState = (TState *) new TRWinnerState(pOwnerLord);
}
//*******************************************************************
void TCLordMainState::CreateSubState5()
{
  //PActiveSubState = (TState *) new TRDrawCardsState(pOwnerLord);
}
//*******************************************************************

