//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  daccapp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/17/97    M.Perry     modified app hierarchy.
//********************************************************************
#include "daccapp.h"
#include "daccgfw.h"
#include "cgametyp.h"
//*******************************************************************
void TDACCApp::GetAppInfo(TOgleAppInfo &appinfo)
{
  TCasinoApp::GetAppInfo(appinfo);
  appinfo.MainTitle = "Avery Cardoza's Casino Demo";
}
//*******************************************************************
int TDACCApp::GetAppType()
{
  return catCasino;
}
//*******************************************************************
int TDACCApp::GetAppSubType()
{
  return castDemo;
}
//*******************************************************************
TDACCApp::TDACCApp(string hddrive,string hddir,string appname)
:TCasinoApp(hddrive,hddir,appname)
{
}
//*******************************************************************
TDACCApp::~TDACCApp()
{
}
//*******************************************************************
TOgleGameFrameWindow *TDACCApp::CreateGameFrameWindow()
{
  TOgleAppInfo appinfo;
  GetAppInfo(appinfo);
  return (new TDACCGameFrameWindow(this,appinfo.MainTitle.c_str()));
}
//*******************************************************************
void TDACCApp::CreateGameFile()
{
  TCasinoApp::CreateGameFile();
}
//*******************************************************************
string TDACCApp::GetDetName()
{
//  return AppName;
  return string("casdemo");
}
//*******************************************************************
