//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  gwstate.cpp   // Get Winner
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "gwstate.h"
#include "gamelord.h"
#include <iostream.h>

TGWState::TGWState(TGLord *pNewGLord)
	: TGLordState(pNewGLord)
{
 // cout << "GWState constructor" << endl;
}
TGWState::~TGWState()
{
 // cout << "GWState destructor" << endl;
}
//*******************************************************************
void TGWState::RecommendSibling()
{
	Status = ss_DoneRecom10;
}
//*******************************************************************
void TGWState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TGLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TGWState::ExecuteFirstTime()     // Get Winner
{
  //cout << "Winner" << endl;
  pOwnerLord->Winner();
 // pOwnerLord->FinalClear();

  ExecuteStatus    = ess_Done;

}