//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsgfw.cpp
//    Project Name:  Hundred Slots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     5/20/97    M.Perry    original baseline
//  2.0     09/09/97   M.Perry    32-bit conversion.
//********************************************************************
#include "hsgfw.h"
#include "cgametyp.h"
#include "hsmenu.rh"
#include "hsnames.rh"
#include "omodewin.h"
//*******************************************************************
DEFINE_RESPONSE_TABLE1(THSGameFrameWindow,TCasinoGameFrameWindow)
  // lobby
  EV_COMMAND(CM_GAME_HSLOTS_LOBBY,CmGameLobby),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LOBBY,CeGameLobby),

  EV_COMMAND(CM_OPTIONSLOBBY_SHOWINTRO ,CmShowIntro),
  EV_COMMAND_ENABLE(CM_OPTIONSLOBBY_SHOWINTRO ,CeShowIntro),
  // modes              
  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_5C,CmTreasuresAtlantis_5c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_5C,CeTreasuresAtlantis_5c),
  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_25C,CmTreasuresAtlantis_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_25C,CeTreasuresAtlantis_25c),
  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_1,CmTreasureAtlantis_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_1,CeTreasureAtlantis_1),
//  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_5,CmTreasuresAtlantis_5),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_5,CeTreasuresAtlantis_5),
  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_10,CmTreasuresAtlantis_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_10,CeTreasuresAtlantis_10),
//  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_25,CmTreasuresAtlantis_25),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_25,CeTreasuresAtlantis_25),
  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_50,CmTreasuresAtlantis_50),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_50,CeTreasuresAtlantis_50),
//  EV_COMMAND(CM_GAME_HSLOTS_TREASURESATLANTIS_5C,CmThunderAlley_5c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASURESATLANTIS_5C,CeThunderAlley_5c),
//  EV_COMMAND(CM_GAME_HSLOTS_THUNDERALLEY_5C,CmThunderAlley_5c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_THUNDERALLEY_5C,CeThunderAlley_5c),
//  EV_COMMAND(CM_GAME_HSLOTS_THUNDERALLEY_10C,CmThunderAlley_10c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_THUNDERALLEY_10C,CeThunderAlley_10c),
  EV_COMMAND(CM_GAME_HSLOTS_THUNDERALLEY_25C,CmThunderAlley_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_THUNDERALLEY_25C,CeThunderAlley_25c),
  EV_COMMAND(CM_GAME_HSLOTS_THUNDERALLEY_1,CmThunderAlley_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_THUNDERALLEY_1,CeThunderAlley_1),
  EV_COMMAND(CM_GAME_HSLOTS_THUNDERALLEY_5,CmThunderAlley_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_THUNDERALLEY_5,CeThunderAlley_5),
  EV_COMMAND(CM_GAME_HSLOTS_RAGSRICHES_5C,CmRagsRiches_5c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_RAGSRICHES_5C,CeRagsRiches_5c),
  EV_COMMAND(CM_GAME_HSLOTS_RAGSRICHES_10C,CmRagsRiches_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_RAGSRICHES_10C,CeRagsRiches_10c),
  EV_COMMAND(CM_GAME_HSLOTS_RAGSRICHES_25C,CmRagsRiches_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_RAGSRICHES_25C,CeRagsRiches_25c),
  EV_COMMAND(CM_GAME_HSLOTS_RAGSRICHES_1,CmRagsRiches_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_RAGSRICHES_1,CeRagsRiches_1),
  EV_COMMAND(CM_GAME_HSLOTS_WINNERSCIRCLE_5C,CmWinnersCircle_5c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_WINNERSCIRCLE_5C,CeWinnersCircle_5c),
  EV_COMMAND(CM_GAME_HSLOTS_WINNERSCIRCLE_10C,CmWinnersCircle_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_WINNERSCIRCLE_10C,CeWinnersCircle_10c),
  EV_COMMAND(CM_GAME_HSLOTS_WINNERSCIRCLE_25C,CmWinnersCircle_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_WINNERSCIRCLE_25C,CeWinnersCircle_25c),
//  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_5C,CmTexasTwister_5c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_5C,CeTexasTwister_5c),
//  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_10C,CmTexasTwister_10c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_10C,CeTexasTwister_10c),
  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_25C,CmTexasTwister_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_25C,CeTexasTwister_25c),
  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_1,CmTexasTwister_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_1,CeTexasTwister_1),
  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_5,CmTexasTwister_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_5,CeTexasTwister_5),
  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_10,CmTexasTwister_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_10,CeTexasTwister_10),
  EV_COMMAND(CM_GAME_HSLOTS_TEXASTWISTER_25,CmTexasTwister_25),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TEXASTWISTER_25,CeTexasTwister_25),
  EV_COMMAND(CM_GAME_HSLOTS_TREASUREHAUNT_5C,CmTreasureHaunt_5c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASUREHAUNT_5C,CeTreasureHaunt_5c),
  EV_COMMAND(CM_GAME_HSLOTS_TREASUREHAUNT_10C,CmTreasureHaunt_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASUREHAUNT_10C,CeTreasureHaunt_10c),
  EV_COMMAND(CM_GAME_HSLOTS_TREASUREHAUNT_25C,CmTreasureHaunt_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASUREHAUNT_25C,CeTreasureHaunt_25c),
  EV_COMMAND(CM_GAME_HSLOTS_TREASUREHAUNT_50,CmTreasureHaunt_50),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASUREHAUNT_50,CeTreasureHaunt_50),
//  EV_COMMAND(CM_GAME_HSLOTS_TREASUREHAUNT_100,CmTreasureHaunt_100),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TREASUREHAUNT_100,CeTreasureHaunt_100),
  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_5C,CmCashQuest_5c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_5C,CeCashQuest_5c),
//  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_10C,CmCashQuest_10c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_10C,CeCashQuest_10c),
  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_25C,CmCashQuest_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_25C,CeCashQuest_25c),
  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_1,CmCashQuest_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_1,CeCashQuest_1),
  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_5,CmCashQuest_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_5,CeCashQuest_5),
//  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_10,CmCashQuest_10),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_10,CeCashQuest_10),
//  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_25,CmCashQuest_25),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_25,CeCashQuest_25),
//  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_50,CmCashQuest_50),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_50,CeCashQuest_50),
//  EV_COMMAND(CM_GAME_HSLOTS_CASHQUEST_100,CmCashQuest_100),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_CASHQUEST_100,CeCashQuest_100),
  EV_COMMAND(CM_GAME_HSLOTS_BIRTHDAYBASH_5C,CmBirthdayBash_5c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_BIRTHDAYBASH_5C,CeBirthdayBash_5c),
//  EV_COMMAND(CM_GAME_HSLOTS_BIRTHDAYBASH_10C,CmBirthdayBash_10c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_BIRTHDAYBASH_10C,CeBirthdayBash_10c),
  EV_COMMAND(CM_GAME_HSLOTS_BIRTHDAYBASH_25C,CmBirthdayBash_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_BIRTHDAYBASH_25C,CeBirthdayBash_25c),
  EV_COMMAND(CM_GAME_HSLOTS_BIRTHDAYBASH_1,CmBirthdayBash_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_BIRTHDAYBASH_1,CeBirthdayBash_1),
//  EV_COMMAND(CM_GAME_HSLOTS_BIRTHDAYBASH_5,CmBirthdayBash_5),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_BIRTHDAYBASH_5,CeBirthdayBash_5),
  EV_COMMAND(CM_GAME_HSLOTS_MONKEYMADNESS_5CP,CmMonkeyMadness_5cp),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_MONKEYMADNESS_5CP,CeMonkeyMadness_5cp),
  EV_COMMAND(CM_GAME_HSLOTS_MONKEYMADNESS_10CP,CmMonkeyMadness_10cp),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_MONKEYMADNESS_10CP,CeMonkeyMadness_10cp),
  EV_COMMAND(CM_GAME_HSLOTS_MONKEYMADNESS_25CP,CmMonkeyMadness_25cp),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_MONKEYMADNESS_25CP,CeMonkeyMadness_25cp),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKI_10C,CmZodiacAttackI_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKI_10C,CeZodiacAttackI_10c),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKI_25C,CmZodiacAttackI_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKI_25C,CeZodiacAttackI_25c),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKI_1,CmZodiacAttackI_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKI_1,CeZodiacAttackI_1),
//  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKI_5,CmZodiacAttackI_5),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKI_5,CeZodiacAttackI_5),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKII_10C,CmZodiacAttackII_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKII_10C,CeZodiacAttackII_10c),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKII_25C,CmZodiacAttackII_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKII_25C,CeZodiacAttackII_25c),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKII_1,CmZodiacAttackII_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKII_1,CeZodiacAttackII_1),
//  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKII_5,CmZodiacAttackII_5),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKII_5,CeZodiacAttackII_5),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKIII_10C,CmZodiacAttackIII_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKIII_10C,CeZodiacAttackIII_10c),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKIII_25C,CmZodiacAttackIII_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKIII_25C,CeZodiacAttackIII_25c),
  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKIII_1,CmZodiacAttackIII_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKIII_1,CeZodiacAttackIII_1),
//  EV_COMMAND(CM_GAME_HSLOTS_ZODIACATTACKIII_5,CmZodiacAttackIII_5),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ZODIACATTACKIII_5,CeZodiacAttackIII_5),
  EV_COMMAND(CM_GAME_HSLOTS_ROCKROLL_25C,CmRockRoll_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROCKROLL_25C,CeRockRoll_25c),
  EV_COMMAND(CM_GAME_HSLOTS_ROCKROLL_1,CmRockRoll_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROCKROLL_1,CeRockRoll_1),
  EV_COMMAND(CM_GAME_HSLOTS_ROCKROLL_50,CmRockRoll_50),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROCKROLL_50,CeRockRoll_50),
  EV_COMMAND(CM_GAME_HSLOTS_ROCKROLL_100,CmRockRoll_100),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROCKROLL_100,CeRockRoll_100),
//  EV_COMMAND(CM_GAME_HSLOTS_ROCKROLL_500,CmRockRoll_500),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROCKROLL_500,CeRockRoll_500),
  EV_COMMAND(CM_GAME_HSLOTS_ROCKROLL_1000,CmRockRoll_1000),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROCKROLL_1000,CeRockRoll_1000),
//  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_25C,CmSilverSafari_25c),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_25C,CeSilverSafari_25c),
  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_1,CmSilverSafari_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_1,CeSilverSafari_1),
  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_5,CmSilverSafari_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_5,CeSilverSafari_5),
//  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_10,CmSilverSafari_10),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_10,CeSilverSafari_10),
//  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_25,CmSilverSafari_25),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_25,CeSilverSafari_25),
//  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_50,CmSilverSafari_50),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_50,CeSilverSafari_50),
  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_100,CmSilverSafari_100),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_100,CeSilverSafari_100),
//  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_500,CmSilverSafari_500),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_500,CeSilverSafari_500),
  EV_COMMAND(CM_GAME_HSLOTS_SILVERSAFARI_1000,CmSilverSafari_1000),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SILVERSAFARI_1000,CeSilverSafari_1000),
  EV_COMMAND(CM_GAME_HSLOTS_ALIENINVASION_25CP,CmAlienInvasion_25cp),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ALIENINVASION_25CP,CeAlienInvasion_25cp),
  EV_COMMAND(CM_GAME_HSLOTS_ALIENINVASION_1P,CmAlienInvasion_1p),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ALIENINVASION_1P,CeAlienInvasion_1p),
  EV_COMMAND(CM_GAME_HSLOTS_FRUITLOOT_1,CmFruitLoot_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_FRUITLOOT_1,CeFruitLoot_1),
  EV_COMMAND(CM_GAME_HSLOTS_FRUITLOOT_5,CmFruitLoot_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_FRUITLOOT_5,CeFruitLoot_5),
  EV_COMMAND(CM_GAME_HSLOTS_FRUITLOOT_10,CmFruitLoot_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_FRUITLOOT_10,CeFruitLoot_10),
  EV_COMMAND(CM_GAME_HSLOTS_TYCOONSTRUST_1,CmTycoonsTrust_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TYCOONSTRUST_1,CeTycoonsTrust_1),
  EV_COMMAND(CM_GAME_HSLOTS_TYCOONSTRUST_5,CmTycoonsTrust_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TYCOONSTRUST_5,CeTycoonsTrust_5),
  EV_COMMAND(CM_GAME_HSLOTS_TYCOONSTRUST_10,CmTycoonsTrust_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TYCOONSTRUST_10,CeTycoonsTrust_10),
  EV_COMMAND(CM_GAME_HSLOTS_TYCOONSTRUST_25,CmTycoonsTrust_25),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_TYCOONSTRUST_25,CeTycoonsTrust_25),
  EV_COMMAND(CM_GAME_HSLOTS_SOUTHERNCROSS_1,CmSouthernCross_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SOUTHERNCROSS_1,CeSouthernCross_1),
  EV_COMMAND(CM_GAME_HSLOTS_SOUTHERNCROSS_5,CmSouthernCross_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SOUTHERNCROSS_5,CeSouthernCross_5),
  EV_COMMAND(CM_GAME_HSLOTS_SOUTHERNCROSS_10,CmSouthernCross_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SOUTHERNCROSS_10,CeSouthernCross_10),
  EV_COMMAND(CM_GAME_HSLOTS_SOUTHERNCROSS_25,CmSouthernCross_25),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SOUTHERNCROSS_25,CeSouthernCross_25),
//  EV_COMMAND(CM_GAME_HSLOTS_SOUTHERNCROSS_50,CmSouthernCross_50),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SOUTHERNCROSS_50,CeSouthernCross_50),
//  EV_COMMAND(CM_GAME_HSLOTS_SOUTHERNCROSS_100,CmSouthernCross_100),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SOUTHERNCROSS_100,CeSouthernCross_100),
  EV_COMMAND(CM_GAME_HSLOTS_POOLSHARK_5,CmPoolShark_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_POOLSHARK_5,CePoolShark_5),
  EV_COMMAND(CM_GAME_HSLOTS_POOLSHARK_10,CmPoolShark_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_POOLSHARK_10,CePoolShark_10),
  EV_COMMAND(CM_GAME_HSLOTS_POOLSHARK_25,CmPoolShark_25),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_POOLSHARK_25,CePoolShark_25),
  EV_COMMAND(CM_GAME_HSLOTS_POOLSHARK_50,CmPoolShark_50),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_POOLSHARK_50,CePoolShark_50),
  EV_COMMAND(CM_GAME_HSLOTS_POOLSHARK_500,CmPoolShark_500),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_POOLSHARK_500,CePoolShark_500),
  EV_COMMAND(CM_GAME_HSLOTS_SUPERJACKPOT_10P,CmSuperJackpot_10p),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SUPERJACKPOT_10P,CeSuperJackpot_10p),
  EV_COMMAND(CM_GAME_HSLOTS_SUPERJACKPOT_100P,CmSuperJackpot_100p),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SUPERJACKPOT_100P,CeSuperJackpot_100p),
  EV_COMMAND(CM_GAME_HSLOTS_GOLDRUSH_50,CmGoldRush_50),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_GOLDRUSH_50,CeGoldRush_50),
//  EV_COMMAND(CM_GAME_HSLOTS_GOLDRUSH_100,CmGoldRush_100),
//  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_GOLDRUSH_100,CeGoldRush_100),
  EV_COMMAND(CM_GAME_HSLOTS_GOLDRUSH_500,CmGoldRush_500),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_GOLDRUSH_500,CeGoldRush_500),
  EV_COMMAND(CM_GAME_HSLOTS_GOLDRUSH_1000,CmGoldRush_1000),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_GOLDRUSH_1000,CeGoldRush_1000),
  // start of new modes.
  EV_COMMAND(CM_GAME_HSLOTS_SHOOTMOON_25C,CmShootMoon_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SHOOTMOON_25C,CeShootMoon_25c),
  EV_COMMAND(CM_GAME_HSLOTS_SHOOTMOON_1,CmShootMoon_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SHOOTMOON_1,CeShootMoon_1),
  EV_COMMAND(CM_GAME_HSLOTS_SHOOTMOON_10,CmShootMoon_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SHOOTMOON_10,CeShootMoon_10),
  EV_COMMAND(CM_GAME_HSLOTS_QUESTGOLD_10C,CmQuestGold_10c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_QUESTGOLD_10C,CeQuestGold_10c),
  EV_COMMAND(CM_GAME_HSLOTS_QUESTGOLD_25C,CmQuestGold_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_QUESTGOLD_25C,CeQuestGold_25c),
  EV_COMMAND(CM_GAME_HSLOTS_QUESTGOLD_1,CmQuestGold_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_QUESTGOLD_1,CeQuestGold_1),
  EV_COMMAND(CM_GAME_HSLOTS_QUESTGOLD_25,CmQuestGold_25),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_QUESTGOLD_25,CeQuestGold_25),
  EV_COMMAND(CM_GAME_HSLOTS_HOTREELS_25C,CmHotReels_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_HOTREELS_25C,CeHotReels_25c),
  EV_COMMAND(CM_GAME_HSLOTS_HOTREELS_1,CmHotReels_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_HOTREELS_1,CeHotReels_1),
  EV_COMMAND(CM_GAME_HSLOTS_HOTREELS_5,CmHotReels_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_HOTREELS_5,CeHotReels_5),
  EV_COMMAND(CM_GAME_HSLOTS_HOTREELS_10,CmHotReels_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_HOTREELS_10,CeHotReels_10),
  EV_COMMAND(CM_GAME_HSLOTS_HOTREELS_100,CmHotReels_100),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_HOTREELS_100,CeHotReels_100),
  EV_COMMAND(CM_GAME_HSLOTS_HOTREELS_1000,CmHotReels_1000),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_HOTREELS_1000,CeHotReels_1000),
  EV_COMMAND(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_25C,CmLightningStrike_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_25C,CeLightningStrike_25c),
  EV_COMMAND(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_1,CmLightningStrike_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_1,CeLightningStrike_1),
  EV_COMMAND(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_5,CmLightningStrike_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_5,CeLightningStrike_5),
  EV_COMMAND(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_50,CmLightningStrike_50),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_50,CeLightningStrike_50),
  EV_COMMAND(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_100,CmLightningStrike_100),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_100,CeLightningStrike_100),
  EV_COMMAND(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_1000,CmLightningStrike_1000),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_LIGHTNINGSTRIKES_1000,CeLightningStrike_1000),
  EV_COMMAND(CM_GAME_HSLOTS_ROADRALLYII_25C,CmRoadRally_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROADRALLYII_25C,CeRoadRally_25c),
  EV_COMMAND(CM_GAME_HSLOTS_ROADRALLYII_1,CmRoadRally_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROADRALLYII_1,CeRoadRally_1),
  EV_COMMAND(CM_GAME_HSLOTS_ROADRALLYII_5,CmRoadRally_5),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROADRALLYII_5,CeRoadRally_5),
  EV_COMMAND(CM_GAME_HSLOTS_ROADRALLYII_100,CmRoadRally_100),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_ROADRALLYII_100,CeRoadRally_100),
  EV_COMMAND(CM_GAME_HSLOTS_SWAMPMUSIC_25C,CmSwampMusic_25c),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SWAMPMUSIC_25C,CeSwampMusic_25c),
  EV_COMMAND(CM_GAME_HSLOTS_SWAMPMUSIC_1,CmSwampMusic_1),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SWAMPMUSIC_1,CeSwampMusic_1),
  EV_COMMAND(CM_GAME_HSLOTS_SWAMPMUSIC_10,CmSwampMusic_10),
  EV_COMMAND_ENABLE(CM_GAME_HSLOTS_SWAMPMUSIC_10,CeSwampMusic_10),
END_RESPONSE_TABLE;
//*******************************************************************
void THSGameFrameWindow::CmGameLobby()
{
  SwitchGameModes(strLobby);
  GetHSMenuEnable()->SetModes(true);
  GetHSMenuEnable()->Lobby = false;
}
//*******************************************************************
void THSGameFrameWindow::CeGameLobby(TCommandEnabler &enabler)
{
  enabler.Enable(GetHSMenuEnable()->Lobby);
  if (GetHSMenuEnable()->GetCurrentMode() == IDS_M_LOBBY)
  {
    enabler.SetCheck(TCommandEnabler::Checked);
  }
  else
  {
    enabler.SetCheck(TCommandEnabler::Unchecked);
  }
}
//*******************************************************************
bool THSGameFrameWindow::SwitchShootMoon(TMoney money)
{
  bool found = false;
  if (money == 0.25 && GetHSMenuEnable()->ShootMoon_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ShootMoon_25c = false;
    if (SwitchModeDenom(IDS_M_SHOOTMOON,money)) {return true;}
  }
  if (money == 1.0 && GetHSMenuEnable()->ShootMoon_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ShootMoon_1 = false;
    if (SwitchModeDenom(IDS_M_SHOOTMOON,money)) {return true;}
  }
  if (money == 10.0 && GetHSMenuEnable()->ShootMoon_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ShootMoon_10 = false;
    if (SwitchModeDenom(IDS_M_SHOOTMOON,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
    SwitchGameModes(strShootMoon);
    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchQuestGold(TMoney money)
{
  bool found = false;
  if (money == 0.10 && GetHSMenuEnable()->QuestGold_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->QuestGold_10c = false;
    if (SwitchModeDenom(IDS_M_QUESTGOLD,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->QuestGold_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->QuestGold_25c = false;
    if (SwitchModeDenom(IDS_M_QUESTGOLD,money)) {return true;}
  }
  if (money == 1.0 && GetHSMenuEnable()->QuestGold_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->QuestGold_1 = false;
    if (SwitchModeDenom(IDS_M_QUESTGOLD,money)) {return true;}
  }
  if (money == 25.0 && GetHSMenuEnable()->QuestGold_25)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->QuestGold_25 = false;
    if (SwitchModeDenom(IDS_M_QUESTGOLD,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
    SwitchGameModes(strQuestGold);
    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchHotReels(TMoney money)
{
  bool found = false;
  if (money == 0.25 && GetHSMenuEnable()->HotReels_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->HotReels_25c = false;
    if (SwitchModeDenom(IDS_M_HOTREELS,money)) {return true;}
  }
  if (money == 1.0 && GetHSMenuEnable()->HotReels_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->HotReels_1 = false;
    if (SwitchModeDenom(IDS_M_HOTREELS,money)) {return true;}
  }
  if (money == 5.0 && GetHSMenuEnable()->HotReels_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->HotReels_5 = false;
    if (SwitchModeDenom(IDS_M_HOTREELS,money)) {return true;}
  }
  if (money == 10.0 && GetHSMenuEnable()->HotReels_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->HotReels_10 = false;
    if (SwitchModeDenom(IDS_M_HOTREELS,money)) {return true;}
  }
  if (money ==100.0 && GetHSMenuEnable()->HotReels_100)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->HotReels_100 = false;
    if (SwitchModeDenom(IDS_M_HOTREELS,money)) {return true;}
  }
  if (money == 1000.0 && GetHSMenuEnable()->HotReels_1000)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->HotReels_1000 = false;
    if (SwitchModeDenom(IDS_M_HOTREELS,money)) {return true;}
  }
  if (found)
  {
    GetHSMenuEnable()->Denom = money;
    ModeDenom = money;
    SwitchGameModes(strHotReels);
    return true;
  }
  return false;
}
//********************************************************************
bool THSGameFrameWindow::SwitchLightningStrike(TMoney money)
{
  bool found = false;
  if (money == 0.25 && GetHSMenuEnable()->LightningStrikes_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->LightningStrikes_25c = false;
    if (SwitchModeDenom(IDS_M_LIGHTNINGSTRIKE,money)) {return true;}
  }
  if (money == 1.0 && GetHSMenuEnable()->LightningStrikes_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->LightningStrikes_1 = false;
    if (SwitchModeDenom(IDS_M_LIGHTNINGSTRIKE,money)) {return true;}
  }
  if (money == 5.0 && GetHSMenuEnable()->LightningStrikes_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->LightningStrikes_5 = false;
    if (SwitchModeDenom(IDS_M_LIGHTNINGSTRIKE,money)) {return true;}
  }
  if (money == 50.0 && GetHSMenuEnable()->LightningStrikes_50)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->LightningStrikes_50 = false;
    if (SwitchModeDenom(IDS_M_LIGHTNINGSTRIKE,money)) {return true;}
  }
  if (money == 100.0 && GetHSMenuEnable()->LightningStrikes_100)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->LightningStrikes_100 = false;
    if (SwitchModeDenom(IDS_M_LIGHTNINGSTRIKE,money)) {return true;}
  }
  if (money == 1000.0 && GetHSMenuEnable()->LightningStrikes_1000)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->LightningStrikes_1000 = false;
    if (SwitchModeDenom(IDS_M_LIGHTNINGSTRIKE,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
    SwitchGameModes(strLightningStrike);
    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchRoadRally(TMoney money)
{
  bool found = false;

  if (money == 0.25 && GetHSMenuEnable()->RoadRallyII_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RoadRallyII_25c = false;
    if (SwitchModeDenom(IDS_M_ROADRALLY,money)) {return true;}
  }
  if (money == 1.0 && GetHSMenuEnable()->RoadRallyII_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RoadRallyII_1 = false;
    if (SwitchModeDenom(IDS_M_ROADRALLY,money)) {return true;}
  }
  if (money == 5.0 && GetHSMenuEnable()->RoadRallyII_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RoadRallyII_5 = false;
    if (SwitchModeDenom(IDS_M_ROADRALLY,money)) {return true;}
  }
  if (money == 100.0 && GetHSMenuEnable()->RoadRallyII_100)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RoadRallyII_100 = false;
    if (SwitchModeDenom(IDS_M_ROADRALLY,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
    SwitchGameModes(strRoadRally);
    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchSwampMusic(TMoney money)
{
  bool found = false;

  if (money == 0.25 && GetHSMenuEnable()->SwampMusic_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SwampMusic_25c = false;
    if (SwitchModeDenom(IDS_M_SWAMPMUSIC,money)) {return true;}
  }
  if (money == 1.0 && GetHSMenuEnable()->SwampMusic_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SwampMusic_1 = false;
    if (SwitchModeDenom(IDS_M_SWAMPMUSIC,money)) {return true;}
  }
  if (money == 10.0 && GetHSMenuEnable()->SwampMusic_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SwampMusic_10 = false;
    if (SwitchModeDenom(IDS_M_SWAMPMUSIC,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
    SwitchGameModes(strSwampMusic);
    return true;
  }
  return false;
}
//*******************************************************************
void THSGameFrameWindow::EnableCheckMenu(TCommandEnabler &ce,bool enable,int16 modeid,TMoney money)
{
  ce.Enable(enable);
  if (GetHSMenuEnable()->GetCurrentMode() == modeid)
  {
    ce.SetCheck(TCommandEnabler::Checked);
  }
  else
  {
    ce.SetCheck(TCommandEnabler::Unchecked);
  }
}
//*******************************************************************
void THSGameFrameWindow::CmTreasuresAtlantis_5c()
{
  SwitchTreasuresAtlantis(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasuresAtlantis_5c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_5c,IDS_M_TREASURESATLANTIS,0.05);
}
//*******************************************************************
void THSGameFrameWindow::CmTreasuresAtlantis_25c()
{
  SwitchTreasuresAtlantis(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasuresAtlantis_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_25c,IDS_M_TREASURESATLANTIS,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmTreasureAtlantis_1()
{
  SwitchTreasuresAtlantis(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasureAtlantis_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_1,IDS_M_TREASURESATLANTIS,1.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmTreasuresAtlantis_5()
//{
//  SwitchTreasuresAtlantis(5.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeTreasuresAtlantis_5(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_5,IDS_M_TREASURESATLANTIS,5.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmTreasuresAtlantis_10()
{
  SwitchTreasuresAtlantis(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasuresAtlantis_10(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_10,IDS_M_TREASURESATLANTIS,10.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmTreasuresAtlantis_25()
//{
//  SwitchTreasuresAtlantis(25.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeTreasuresAtlantis_25(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_25,IDS_M_TREASURESATLANTIS,25.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmTreasuresAtlantis_50()
{
  SwitchTreasuresAtlantis(50.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasuresAtlantis_50(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasuresAtlantis_50,IDS_M_TREASURESATLANTIS,50.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmThunderAlley_5c()
//{
//  SwitchThunderAlley(0.05);
//}
//*******************************************************************
//void THSGameFrameWindow::CeThunderAlley_5c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->ThunderAlley_5c,IDS_M_THUNDERALLEY,0.05);
//}
//*******************************************************************
//void THSGameFrameWindow::CmThunderAlley_10c()
//{
//  SwitchThunderAlley(0.10);
//}
//*******************************************************************
//void THSGameFrameWindow::CeThunderAlley_10c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->ThunderAlley_10c,IDS_M_THUNDERALLEY,0.10);
//}
//*******************************************************************
void THSGameFrameWindow::CmThunderAlley_25c()
{
  SwitchThunderAlley(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeThunderAlley_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ThunderAlley_25c,IDS_M_THUNDERALLEY,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmThunderAlley_1()
{
  SwitchThunderAlley(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeThunderAlley_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ThunderAlley_1,IDS_M_THUNDERALLEY,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmThunderAlley_5()
{
  SwitchThunderAlley(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeThunderAlley_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ThunderAlley_5,IDS_M_THUNDERALLEY,5.00);
}
//*******************************************************************
void THSGameFrameWindow::CmRagsRiches_5c()
{
  SwitchRagsRiches(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeRagsRiches_5c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RagsRiches_5c,IDS_M_RAGSRICHES,0.05);
}
//*******************************************************************
void THSGameFrameWindow::CmRagsRiches_10c()
{
  SwitchRagsRiches(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeRagsRiches_10c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RagsRiches_10c,IDS_M_RAGSRICHES,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmRagsRiches_25c()
{
  SwitchRagsRiches(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeRagsRiches_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RagsRiches_25c,IDS_M_RAGSRICHES,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmRagsRiches_1()
{
  SwitchRagsRiches(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeRagsRiches_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RagsRiches_1,IDS_M_RAGSRICHES,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmWinnersCircle_5c()
{
  SwitchWinnersCircle(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeWinnersCircle_5c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->WinnersCircle_5c,IDS_M_WINNERSCIRCLE,0.05);
}
//*******************************************************************
void THSGameFrameWindow::CmWinnersCircle_10c()
{
  SwitchWinnersCircle(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeWinnersCircle_10c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->WinnersCircle_10c,IDS_M_WINNERSCIRCLE,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmWinnersCircle_25c()
{
  SwitchWinnersCircle(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeWinnersCircle_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->WinnersCircle_25c,IDS_M_WINNERSCIRCLE,0.25);
}
//*******************************************************************
//void THSGameFrameWindow::CmTexasTwister_5c()
//{
//  SwitchTexasTwister(0.05);
//}
//*******************************************************************
//void THSGameFrameWindow::CeTexasTwister_5c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_5c,IDS_M_TEXASTWISTER,0.05);
//}
//*******************************************************************
//void THSGameFrameWindow::CmTexasTwister_10c()
//{
//  SwitchTexasTwister(0.10);
//}
//*******************************************************************
//void THSGameFrameWindow::CeTexasTwister_10c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_10c,IDS_M_TEXASTWISTER,0.10);
//}
//*******************************************************************
void THSGameFrameWindow::CmTexasTwister_25c()
{
  SwitchTexasTwister(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeTexasTwister_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_25c,IDS_M_TEXASTWISTER,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmTexasTwister_1()
{
  SwitchTexasTwister(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTexasTwister_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_1,IDS_M_TEXASTWISTER,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTexasTwister_5()
{
  SwitchTexasTwister(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTexasTwister_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_5,IDS_M_TEXASTWISTER,5.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTexasTwister_10()
{
  SwitchTexasTwister(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTexasTwister_10(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_10,IDS_M_TEXASTWISTER,10.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTexasTwister_25()
{
  SwitchTexasTwister(25.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTexasTwister_25(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TexasTwister_25,IDS_M_TEXASTWISTER,25.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTreasureHaunt_5c()
{
  SwitchTreasureHaunt(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasureHaunt_5c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasureHaunt_5c,IDS_M_TREASUREHAUNT,0.05);
}
//*******************************************************************
void THSGameFrameWindow::CmTreasureHaunt_10c()
{
  SwitchTreasureHaunt(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasureHaunt_10c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasureHaunt_10c,IDS_M_TREASUREHAUNT,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmTreasureHaunt_25c()
{
  SwitchTreasureHaunt(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasureHaunt_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasureHaunt_25c,IDS_M_TREASUREHAUNT,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmTreasureHaunt_50()
{
  SwitchTreasureHaunt(50.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTreasureHaunt_50(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasureHaunt_50,IDS_M_TREASUREHAUNT,50.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmTreasureHaunt_100()
//{
//  SwitchTreasureHaunt(100.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeTreasureHaunt_100(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->TreasureHaunt_100,IDS_M_TREASUREHAUNT,100.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmCashQuest_5c()
{
  SwitchCashQuest(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeCashQuest_5c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_5c,IDS_M_CASHQUEST,0.05);
}
//*******************************************************************
//void THSGameFrameWindow::CmCashQuest_10c()
//{
//  SwitchCashQuest(0.10);
//}
//*******************************************************************
//void THSGameFrameWindow::CeCashQuest_10c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_10c,IDS_M_CASHQUEST,0.10);
//}
//*******************************************************************
void THSGameFrameWindow::CmCashQuest_25c()
{
  SwitchCashQuest(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeCashQuest_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_25c,IDS_M_CASHQUEST,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmCashQuest_1()
{
  SwitchCashQuest(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeCashQuest_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_1,IDS_M_CASHQUEST,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmCashQuest_5()
{
  SwitchCashQuest(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeCashQuest_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_5,IDS_M_CASHQUEST,5.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmCashQuest_10()
//{
//  SwitchCashQuest(10.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeCashQuest_10(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_10,IDS_M_CASHQUEST,10.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CmCashQuest_25()
//{
//  SwitchCashQuest(25.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeCashQuest_25(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_25,IDS_M_CASHQUEST,25.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CmCashQuest_50()
//{
//  SwitchCashQuest(50.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeCashQuest_50(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_50,IDS_M_CASHQUEST,50.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CmCashQuest_100()
//{
//  SwitchCashQuest(100.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeCashQuest_100(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->CashQuest_100,IDS_M_CASHQUEST,100.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmBirthdayBash_5c()
{
  SwitchBirthdayBash(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeBirthdayBash_5c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->BirthdayBash_5c,IDS_M_BIRTHDAYBASH,0.05);
}
//*******************************************************************
//void THSGameFrameWindow::CmBirthdayBash_10c()
//{
//  SwitchBirthdayBash(0.10);
//}
//*******************************************************************
//void THSGameFrameWindow::CeBirthdayBash_10c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->BirthdayBash_10c,IDS_M_BIRTHDAYBASH,0.10);
//}
//*******************************************************************
void THSGameFrameWindow::CmBirthdayBash_25c()
{
  SwitchBirthdayBash(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeBirthdayBash_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->BirthdayBash_25c,IDS_M_BIRTHDAYBASH,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmBirthdayBash_1()
{
  SwitchBirthdayBash(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeBirthdayBash_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->BirthdayBash_1,IDS_M_BIRTHDAYBASH,1.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmBirthdayBash_5()
//{
//  SwitchBirthdayBash(5.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeBirthdayBash_5(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->BirthdayBash_5,IDS_M_BIRTHDAYBASH,5.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmMonkeyMadness_5cp()
{
  SwitchMonkeyMadness(0.05);
}
//*******************************************************************
void THSGameFrameWindow::CeMonkeyMadness_5cp(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->MonkeyMadness_5cp,IDS_M_MONKEYMADNESS,0.05);
}
//*******************************************************************
void THSGameFrameWindow::CmMonkeyMadness_10cp()
{
  SwitchMonkeyMadness(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeMonkeyMadness_10cp(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->MonkeyMadness_10cp,IDS_M_MONKEYMADNESS,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmMonkeyMadness_25cp()
{
  SwitchMonkeyMadness(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeMonkeyMadness_25cp(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->MonkeyMadness_25cp,IDS_M_MONKEYMADNESS,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackI_10c()
{
  SwitchZodiacAttackI(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackI_10c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackI_10c,IDS_M_ZODIACATTACKI,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackI_25c()
{
  SwitchZodiacAttackI(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackI_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackI_25c,IDS_M_ZODIACATTACKI,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackI_1()
{
  SwitchZodiacAttackI(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackI_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackI_1,IDS_M_ZODIACATTACKI,1.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmZodiacAttackI_5()
//{
//  SwitchZodiacAttackI(5.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeZodiacAttackI_5(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackI_5,IDS_M_ZODIACATTACKI,5.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackII_10c()
{
  SwitchZodiacAttackII(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackII_10c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackII_10c,IDS_M_ZODIACATTACKII,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackII_25c()
{
  SwitchZodiacAttackII(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackII_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackII_25c,IDS_M_ZODIACATTACKII,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackII_1()
{
  SwitchZodiacAttackII(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackII_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackII_1,IDS_M_ZODIACATTACKII,1.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmZodiacAttackII_5()
//{
//  SwitchZodiacAttackII(5.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeZodiacAttackII_5(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackII_5,IDS_M_ZODIACATTACKII,5.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackIII_10c()
{
  SwitchZodiacAttackIII(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackIII_10c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackIII_10c,IDS_M_ZODIACATTACKIII,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackIII_25c()
{
  SwitchZodiacAttackIII(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackIII_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackIII_25c,IDS_M_ZODIACATTACKIII,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmZodiacAttackIII_1()
{
  SwitchZodiacAttackIII(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeZodiacAttackIII_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackIII_1,IDS_M_ZODIACATTACKIII,1.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmZodiacAttackIII_5()
//{
//  SwitchZodiacAttackIII(5.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeZodiacAttackIII_5(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->ZodiacAttackIII_5,IDS_M_ZODIACATTACKIII,5.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmRockRoll_25c()
{
  SwitchRockRoll(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeRockRoll_25c(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RockRoll_25c,IDS_M_ROCKROLL,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmRockRoll_1()
{
  SwitchRockRoll(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeRockRoll_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RockRoll_1,IDS_M_ROCKROLL,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmRockRoll_50()
{
  SwitchRockRoll(50.00);
}
//*******************************************************************
void THSGameFrameWindow::CeRockRoll_50(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RockRoll_50,IDS_M_ROCKROLL,50.00);
}
//*******************************************************************
void THSGameFrameWindow::CmRockRoll_100()
{
  if (SwitchRockRoll(100.00))
  {
    GetHSMenuEnable()->RockRoll_100 = false;
  }
}
//*******************************************************************
void THSGameFrameWindow::CeRockRoll_100(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RockRoll_100,IDS_M_ROCKROLL,100.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmRockRoll_500()
//{
//  SwitchRockRoll(500.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeRockRoll_500(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->RockRoll_500,IDS_M_ROCKROLL,500.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmRockRoll_1000()
{
  SwitchRockRoll(1000.00);
}
//*******************************************************************
void THSGameFrameWindow::CeRockRoll_1000(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->RockRoll_1000,IDS_M_ROCKROLL,1000.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmSilverSafari_25c()
//{
//  SwitchSilverSafari(0.25);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSilverSafari_25c(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_25c,IDS_M_SILVERSAFARI,0.25);
//}
//*******************************************************************
void THSGameFrameWindow::CmSilverSafari_1()
{
  SwitchSilverSafari(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSilverSafari_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_1,IDS_M_SILVERSAFARI,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSilverSafari_5()
{
  SwitchSilverSafari(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSilverSafari_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_5,IDS_M_SILVERSAFARI,5.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmSilverSafari_10()
//{
//  SwitchSilverSafari(10.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSilverSafari_10(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_10,IDS_M_SILVERSAFARI,10.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CmSilverSafari_25()
//{
//  SwitchSilverSafari(25.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSilverSafari_25(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_25,IDS_M_SILVERSAFARI,25.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CmSilverSafari_50()
//{
//  SwitchSilverSafari(50.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSilverSafari_50(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_50,IDS_M_SILVERSAFARI,50.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmSilverSafari_100()
{
  SwitchSilverSafari(100.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSilverSafari_100(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_100,IDS_M_SILVERSAFARI,100.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmSilverSafari_500()
//{
//  SwitchSilverSafari(500.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSilverSafari_500(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_500,IDS_M_SILVERSAFARI,500.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmSilverSafari_1000()
{
  SwitchSilverSafari(1000.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSilverSafari_1000(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SilverSafari_1000,IDS_M_SILVERSAFARI,1000.00);
}
//*******************************************************************
void THSGameFrameWindow::CmAlienInvasion_25cp()
{
  SwitchAlienInvasion(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeAlienInvasion_25cp(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->AlienInvasion_25cp,IDS_M_ALIENINVASION,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmAlienInvasion_1p()
{
  SwitchAlienInvasion(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeAlienInvasion_1p(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->AlienInvasion_1p,IDS_M_ALIENINVASION,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmFruitLoot_1()
{
  SwitchFruitLoot(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeFruitLoot_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->FruitLoot_1,IDS_M_FRUITLOOT,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmFruitLoot_5()
{
  SwitchFruitLoot(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeFruitLoot_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->FruitLoot_5,IDS_M_FRUITLOOT,5.00);
}
//*******************************************************************
void THSGameFrameWindow::CmFruitLoot_10()
{
  SwitchFruitLoot(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CeFruitLoot_10(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->FruitLoot_10,IDS_M_FRUITLOOT,10.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTycoonsTrust_1()
{
  SwitchTycoonsTrust(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTycoonsTrust_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TycoonsTrust_1,IDS_M_TYCOONSTRUST,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTycoonsTrust_5()
{
  SwitchTycoonsTrust(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTycoonsTrust_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TycoonsTrust_5,IDS_M_TYCOONSTRUST,5.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTycoonsTrust_10()
{
  SwitchTycoonsTrust(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTycoonsTrust_10(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TycoonsTrust_10,IDS_M_TYCOONSTRUST,10.00);
}
//*******************************************************************
void THSGameFrameWindow::CmTycoonsTrust_25()
{
  SwitchTycoonsTrust(25.00);
}
//*******************************************************************
void THSGameFrameWindow::CeTycoonsTrust_25(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->TycoonsTrust_25,IDS_M_TYCOONSTRUST,25.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSouthernCross_1()
{
  SwitchSouthernCross(1.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSouthernCross_1(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SouthernCross_1,IDS_M_SOUTHERNCROSS,1.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSouthernCross_5()
{
  SwitchSouthernCross(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSouthernCross_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SouthernCross_5,IDS_M_SOUTHERNCROSS,5.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSouthernCross_10()
{
  SwitchSouthernCross(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSouthernCross_10(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SouthernCross_10,IDS_M_SOUTHERNCROSS,10.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSouthernCross_25()
{
  SwitchSouthernCross(25.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSouthernCross_25(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SouthernCross_25,IDS_M_SOUTHERNCROSS,25.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmSouthernCross_50()
//{
//  SwitchSouthernCross(50.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSouthernCross_50(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SouthernCross_50,IDS_M_SOUTHERNCROSS,50.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CmSouthernCross_100()
//{
//  SwitchSouthernCross(100.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeSouthernCross_100(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->SouthernCross_100,IDS_M_SOUTHERNCROSS,100.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmPoolShark_5()
{
  SwitchPoolShark(5.00);
}
//*******************************************************************
void THSGameFrameWindow::CePoolShark_5(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->PoolShark_5,IDS_M_POOLSHARK,5.00);
}
//*******************************************************************
void THSGameFrameWindow::CmPoolShark_10()
{
  SwitchPoolShark(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CePoolShark_10(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->PoolShark_10,IDS_M_POOLSHARK,10.00);
}
//*******************************************************************
void THSGameFrameWindow::CmPoolShark_25()
{
  SwitchPoolShark(25.00);
}
//*******************************************************************
void THSGameFrameWindow::CePoolShark_25(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->PoolShark_25,IDS_M_POOLSHARK,25.00);
}
//*******************************************************************
void THSGameFrameWindow::CmPoolShark_50()
{
  SwitchPoolShark(50.00);
}
//*******************************************************************
void THSGameFrameWindow::CePoolShark_50(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->PoolShark_50,IDS_M_POOLSHARK,50.00);
}
//*******************************************************************
void THSGameFrameWindow::CmPoolShark_500()
{
  SwitchPoolShark(500.00);
}
//*******************************************************************
void THSGameFrameWindow::CePoolShark_500(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->PoolShark_500,IDS_M_POOLSHARK,500.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSuperJackpot_10p()
{
  SwitchSuperJackpot(10.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSuperJackpot_10p(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SuperJackpot_10p,IDS_M_SUPERJACKPOT,10.00);
}
//*******************************************************************
void THSGameFrameWindow::CmSuperJackpot_100p()
{
  SwitchSuperJackpot(100.00);
}
//*******************************************************************
void THSGameFrameWindow::CeSuperJackpot_100p(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->SuperJackpot_100p,IDS_M_SUPERJACKPOT,100.00);
}
//*******************************************************************
void THSGameFrameWindow::CmGoldRush_50()
{
  SwitchGoldRush(50.00);
}
//*******************************************************************
void THSGameFrameWindow::CeGoldRush_50(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->GoldRush_50,IDS_M_GOLDRUSH,50.00);
}
//*******************************************************************
//void THSGameFrameWindow::CmGoldRush_100()
//{
//  SwitchGoldRush(100.00);
//}
//*******************************************************************
//void THSGameFrameWindow::CeGoldRush_100(TCommandEnabler &enabler)
//{
//  EnableCheckMenu(enabler,GetHSMenuEnable()->GoldRush_100,IDS_M_GOLDRUSH,100.00);
//}
//*******************************************************************
void THSGameFrameWindow::CmGoldRush_500()
{
  SwitchGoldRush(500.00);
}
//*******************************************************************
void THSGameFrameWindow::CeGoldRush_500(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->GoldRush_500,IDS_M_GOLDRUSH,500.00);
}
//*******************************************************************
void THSGameFrameWindow::CmGoldRush_1000()
{
  SwitchGoldRush(1000.00);
}
//*******************************************************************
void THSGameFrameWindow::CeGoldRush_1000(TCommandEnabler &enabler)
{
  EnableCheckMenu(enabler,GetHSMenuEnable()->GoldRush_1000,IDS_M_GOLDRUSH,1000.00);
}
//*******************************************************************
void THSGameFrameWindow::CmShootMoon_25c()
{
  SwitchShootMoon(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeShootMoon_25c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->ShootMoon_25c,IDS_M_SHOOTMOON,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmShootMoon_1()
{
  SwitchShootMoon(1.0);
}
//*******************************************************************
void THSGameFrameWindow::CeShootMoon_1(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->ShootMoon_1,IDS_M_SHOOTMOON,1.0);
}
//*******************************************************************
void THSGameFrameWindow::CmShootMoon_10()
{
  SwitchShootMoon(10.0);
}
//*******************************************************************
void THSGameFrameWindow::CeShootMoon_10(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->ShootMoon_10,IDS_M_SHOOTMOON,10.0);
}
//*******************************************************************
void THSGameFrameWindow::CmQuestGold_10c()
{
  SwitchQuestGold(0.10);
}
//*******************************************************************
void THSGameFrameWindow::CeQuestGold_10c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->QuestGold_10c,IDS_M_QUESTGOLD,0.10);
}
//*******************************************************************
void THSGameFrameWindow::CmQuestGold_25c()
{
  SwitchQuestGold(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeQuestGold_25c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->QuestGold_25c,IDS_M_QUESTGOLD,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmQuestGold_1()
{
  SwitchQuestGold(1.0);
}
//*******************************************************************
void THSGameFrameWindow::CeQuestGold_1(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->QuestGold_1,IDS_M_QUESTGOLD,1.0);
}
//*******************************************************************
void THSGameFrameWindow::CmQuestGold_25()
{
  SwitchQuestGold(25.0);
}
//*******************************************************************
void THSGameFrameWindow::CeQuestGold_25(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->QuestGold_25,IDS_M_QUESTGOLD,25.0);
}
//*******************************************************************
void THSGameFrameWindow::CmHotReels_25c()
{
  SwitchHotReels(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeHotReels_25c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->HotReels_25c,IDS_M_HOTREELS,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmHotReels_1()
{
  SwitchHotReels(1.0);
}
//*******************************************************************
void THSGameFrameWindow::CeHotReels_1(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->HotReels_1,IDS_M_HOTREELS,1.0);
}
//*******************************************************************
void THSGameFrameWindow::CmHotReels_5()
{
  SwitchHotReels(5.0);
}
//*******************************************************************
void THSGameFrameWindow::CeHotReels_5(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->HotReels_5,IDS_M_HOTREELS,5.0);
}
//*******************************************************************
void THSGameFrameWindow::CmHotReels_10()
{
  SwitchHotReels(10.0);
}
//*******************************************************************
void THSGameFrameWindow::CeHotReels_10(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->HotReels_10,IDS_M_HOTREELS,10.0);
}
//*******************************************************************
void THSGameFrameWindow::CmHotReels_100()
{
  SwitchHotReels(100.0);
}
//*******************************************************************
void THSGameFrameWindow::CeHotReels_100(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->HotReels_100,IDS_M_HOTREELS,100.0);
}
//*******************************************************************
void THSGameFrameWindow::CmHotReels_1000()
{
  SwitchHotReels(1000.0);
}
//*******************************************************************
void THSGameFrameWindow::CeHotReels_1000(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->HotReels_1000,IDS_M_HOTREELS,1000.0);
}
//*******************************************************************
void THSGameFrameWindow::CmLightningStrike_25c()
{
  SwitchLightningStrike(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeLightningStrike_25c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->LightningStrikes_25c,IDS_M_LIGHTNINGSTRIKE,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmLightningStrike_1()
{
  SwitchLightningStrike(1.0);
}
//*******************************************************************
void THSGameFrameWindow::CeLightningStrike_1(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->LightningStrikes_1,IDS_M_LIGHTNINGSTRIKE,1.0);
}
//*******************************************************************
void THSGameFrameWindow::CmLightningStrike_5()
{
  SwitchLightningStrike(5.0);
}
//*******************************************************************
void THSGameFrameWindow::CeLightningStrike_5(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->LightningStrikes_5,IDS_M_LIGHTNINGSTRIKE,5.0);
}
//*******************************************************************
void THSGameFrameWindow::CmLightningStrike_50()
{
  SwitchLightningStrike(50.0);
}
//*******************************************************************
void THSGameFrameWindow::CeLightningStrike_50(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->LightningStrikes_50,IDS_M_LIGHTNINGSTRIKE,50.0);
}
//*******************************************************************
void THSGameFrameWindow::CmLightningStrike_100()
{
  SwitchLightningStrike(100.0);
}
//*******************************************************************
void THSGameFrameWindow::CeLightningStrike_100(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->LightningStrikes_100,IDS_M_LIGHTNINGSTRIKE,100.0);
}
//*******************************************************************
void THSGameFrameWindow::CmLightningStrike_1000()
{
  SwitchLightningStrike(1000.0);
}
//*******************************************************************
void THSGameFrameWindow::CeLightningStrike_1000(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->LightningStrikes_1000,IDS_M_LIGHTNINGSTRIKE,1000.0);
}
//*******************************************************************
void THSGameFrameWindow::CmRoadRally_25c()
{
  SwitchRoadRally(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeRoadRally_25c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->RoadRallyII_25c,IDS_M_ROADRALLY,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmRoadRally_1()
{
  SwitchRoadRally(1.0);
}
//*******************************************************************
void THSGameFrameWindow::CeRoadRally_1(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->RoadRallyII_1,IDS_M_ROADRALLY,1.0);
}
//*******************************************************************
void THSGameFrameWindow::CmRoadRally_5()
{
  SwitchRoadRally(5.0);
}
//*******************************************************************
void THSGameFrameWindow::CeRoadRally_5(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->RoadRallyII_5,IDS_M_ROADRALLY,5.0);
}
//*******************************************************************
void THSGameFrameWindow::CmRoadRally_100()
{
  SwitchRoadRally(100.0);
}
//*******************************************************************
void THSGameFrameWindow::CeRoadRally_100(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->RoadRallyII_100,IDS_M_ROADRALLY,100.0);
}
//*******************************************************************
void THSGameFrameWindow::CmSwampMusic_25c()
{
  SwitchSwampMusic(0.25);
}
//*******************************************************************
void THSGameFrameWindow::CeSwampMusic_25c(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->SwampMusic_25c,IDS_M_SWAMPMUSIC,0.25);
}
//*******************************************************************
void THSGameFrameWindow::CmSwampMusic_1()
{
  SwitchSwampMusic(1.0);
}
//*******************************************************************
void THSGameFrameWindow::CeSwampMusic_1(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->SwampMusic_1,IDS_M_SWAMPMUSIC,1.0);
}
//*******************************************************************
void THSGameFrameWindow::CmSwampMusic_10()
{
  SwitchSwampMusic(10.0);
}
//*******************************************************************
void THSGameFrameWindow::CeSwampMusic_10(TCommandEnabler &ce)
{
  EnableCheckMenu(ce,GetHSMenuEnable()->SwampMusic_10,IDS_M_SWAMPMUSIC,10.0);
}
//*******************************************************************

