//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hsact2st.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "hsla2st.h"
#include "hslglord.h"
#include "hslwinst.h"

#include "otimers.h"
#include "orespond.h"
//*******************************************************************
THSLAct2State::THSLAct2State(TCasinoHSLGameLord *pNewHSLLord)
:THSLLordState(pNewHSLLord)
{
  SetRunOrder(ess_Execute,ess_StartSubState2,ess_Done);
}
//*******************************************************************
THSLAct2State::~THSLAct2State()
{
}
//*******************************************************************
void THSLAct2State::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
}
//*******************************************************************
void THSLAct2State::CreateSubState1()
{
  //PActiveSubState = new TSDrawState(pOwnerLord);
}
//*******************************************************************
void THSLAct2State::CreateSubState2()
{
  PActiveSubState = new THSLWinState(pOwnerLord);
}
//*******************************************************************
