//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hslgl.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    A.Krist      original baseline
//  2.0    09/09/97    M.Perry      32-bit conversion.
//********************************************************************
#include "hslgl.h"
#include "hslgld.h"
#include "casnames.rh"
#include "clnames.rh"
//*******************************************************************
TGameObject *THSLobby1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == "o1glrd00")
  {
	 return (new THSLobby1GameLord((TLobbyModeWin *)PModeWin,FM));
  }
  else if (FM.Name == "o1humn01")
  {
	 return (new TCasinoHSLPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == "o1humn02")
  {
	 return (new TCasinoHSLPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == "o1humn03")
  {
	 return (new TCasinoHSLPlayer(PModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************