//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hslmessp.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    12/23/95    A.Krist      moved inline functions into .cpp file.
//  2.0    09/09/97    M.Perry      32-bit conversion.
//********************************************************************
#include "hslmessp.h"
#include "oanm.h"
//*******************************************************************
THSLobbyMessageDisplay::THSLobbyMessageDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
THSLobbyMessageDisplay::THSLobbyMessageDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//********************************************************************
THSLobbyMessageDisplay::~THSLobbyMessageDisplay()
{
}
//*******************************************************************
void THSLobbyMessageDisplay::ShowLobbyMessage(int code)
{
	 NoShowDisplay();
	 PMessage->CAD.SetCurrentFrame(int16(code));
	 PMessage->Show();
	 Update(GetAdjFUC());
}
//*******************************************************************
void THSLobbyMessageDisplay::NoShowDisplay()
{
  PMessage->NoShow();
}
//*******************************************************************
void THSLobbyMessageDisplay::SetupAnms()
{
  PMessage = GetAnm(0);
  PMessage->CAD.ClearAutoStart();
  PMessage->CAD.ClearAutoStop();
  PMessage->CAD.SetDirStill();
}
//*******************************************************************
