//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hslwinst.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/29/95   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "hslwinst.h"
#include "otimers.h"
#include "orespond.h"
//*******************************************************************
THSLWinState::THSLWinState(TCasinoHSLGameLord *pNewHSLLord)
:THSLLordState(pNewHSLLord)
{
}
//*******************************************************************
THSLWinState::~THSLWinState()
{
}
//*******************************************************************
void THSLWinState::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
  pOwnerLord->Winner();
}
//*******************************************************************
void THSLWinState::HandlePostUpdate(dword NewFUC)
{
	 if(pOwnerLord->StartingWinFUC+pOwnerLord->FUCWinLength <= NewFUC)
	 {
		  ExecuteWaiting = false;
		  pOwnerLord->Sounds->PlaySound(5);
		  pOwnerLord->BankCashDisplay->SetNum(pOwnerLord->GetCash(pOwnerLord->activeplayer));
	 }
  return;
}
//*******************************************************************
#pragma argsused
bool THSLWinState::HandleSpeedClick(TResponder &responder)
{
  return true; // to get rid of warning.
 /* if (responder.GetResponseEvent() == reRUp)
  {
	 SpeedClickResponder = &responder;
  }

  if (responder.GetResponseEvent() == reRDown)
  {
	 responder.SetPriority();
  }

  if (responder.GetResponseEvent() == reChar)
  {
	 SpeedClickResponder = &responder;
  }
  return TRUE; */
}
//*******************************************************************