//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  moonmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/09/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "moonmw.h"
#include "hsnames.rh"
//#include "moongl.h"
#include "moongld.h"
#include "hsplay.h"
//*******************************************************************
TMoonModeWin::TMoonModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TMoonModeWin::~TMoonModeWin()
{
}
//*******************************************************************
//void TMoonModeWin::MakeGObjList()
//{
//  PGObjList = new TMoonGObjList(this);
//}
//*******************************************************************
string TMoonModeWin::GetDetName()
{
  return string("u1shoot.det");
}
//*******************************************************************
//void TMoonModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("u1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("u1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","u1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","u1humn01");}
//}
//*******************************************************************
TGameObject *TMoonModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_MOON))
    {
      pLord = new TMoonGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_MOON))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************