 //*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  roadgld.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   A.Krist    Original baseline
//  2.0     09/09/97   M.Perry    32-bit conversion.
//*******************************************************************
#include "roadgld.h"
#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
//*******************************************************************
void TRoadGameLord::Clear()
{
  WinMiles = 0;
  TCasinoHSGameLord::Clear();
}
//*******************************************************************
void TRoadGameLord::CycleDenom()
{
		//????GetCasPD(activeplayer)->Cash += GetCasPlayer(activeplayer)->credit*coinsize;
		GetCasPlayer(activeplayer)->credit = 0;
		if(coinsplayed > 0 || credits > 0)
		{
		  CoinPay->PlaySound(6);
		}
		if(shutdownstate == 0)
		{
		  GetCasPD(activeplayer)->Cash += double(coinsplayed*coinsize);
		}
		coinsplayed = 0;
		GetCasPD(activeplayer)->Cash += double(credits*coinsize);
		credits = 0;
		if(Button5){Button5->ShowGray();}
		Button0->ShowGray();
		Credits->SetNum(0);
		CoinsPlayed->SetNum(0);
		BankCashDisplay->SetNum(GetCash(activeplayer));

  CurrentDenomNum++;
  if(CurrentDenomNum >= NumOfDenoms){CurrentDenomNum = 0;}
  Value->ChangeDenom(Denom[CurrentDenomNum]);
  coinsize = Denom[CurrentDenomNum];
  if(GetCasPD(activeplayer)->Cash < double(coinsize*maxbet))
  {
	 if(Button3 != NULL){Button3->ShowGray();}
	 Button4->ShowGray();
  }
  else
  {
	 if(Button3 != NULL){Button3->ShowVoidUp();}
	 Button4->ShowVoidUp();
  }

}
//*******************************************************************
void TRoadGameLord::SetReel()
{
  int16 w,x,y,z;
  w = int16(random(GetReelDataPtr()->Getint16(1,21)));
  x = int16(random(GetReelDataPtr()->Getint16(2,21)));
  y = int16(random(GetReelDataPtr()->Getint16(3,21)));
  if(Is4Reel)
  {
	 z = int16(random(GetReelDataPtr()->Getint16(4,21)));
  }

  for(int16 i1 = 0;i1 <= 21;i1++)
  {
    if (w <= GetReelDataPtr()->Getint16(1,i1))
    {
      w = i1;
      break;
    }
  }

  /*
  if(w<=GetReelDataPtr()->Getint16(1,0)){w=0;}
  else if(w<=GetReelDataPtr()->Getint16(1,1)){w=1;}
  else if(w<=GetReelDataPtr()->Getint16(1,2)){w=2;}
  else if(w<=GetReelDataPtr()->Getint16(1,3)){w=3;}
  else if(w<=GetReelDataPtr()->Getint16(1,4)){w=4;}
  else if(w<=GetReelDataPtr()->Getint16(1,5)){w=5;}
  else if(w<=GetReelDataPtr()->Getint16(1,6)){w=6;}
  else if(w<=GetReelDataPtr()->Getint16(1,7)){w=7;}
  else if(w<=GetReelDataPtr()->Getint16(1,8)){w=8;}
  else if(w<=GetReelDataPtr()->Getint16(1,9)){w=9;}
  else if(w<=GetReelDataPtr()->Getint16(1,10)){w=10;}
  else if(w<=GetReelDataPtr()->Getint16(1,11)){w=11;}
  else if(w<=GetReelDataPtr()->Getint16(1,12)){w=12;}
  else if(w<=GetReelDataPtr()->Getint16(1,13)){w=13;}
  else if(w<=GetReelDataPtr()->Getint16(1,14)){w=14;}
  else if(w<=GetReelDataPtr()->Getint16(1,15)){w=15;}
  else if(w<=GetReelDataPtr()->Getint16(1,16)){w=16;}
  else if(w<=GetReelDataPtr()->Getint16(1,17)){w=17;}
  else if(w<=GetReelDataPtr()->Getint16(1,18)){w=18;}
  else if(w<=GetReelDataPtr()->Getint16(1,19)){w=19;}
  else if(w<=GetReelDataPtr()->Getint16(1,20)){w=20;}
  else if(w<=GetReelDataPtr()->Getint16(1,21)){w=21;}
  */

  for (int16 i2 = 0;i2 <= 21;i2++)
  {
    if (x <= GetReelDataPtr()->Getint16(2,i2))
    {
      x = i2;
      break;
    }
  }

  /*
  if(x<=GetReelDataPtr()->Getint16(2,0)){x=0;}
  else if(x<=GetReelDataPtr()->Getint16(2,1)){x=1;}
  else if(x<=GetReelDataPtr()->Getint16(2,2)){x=2;}
  else if(x<=GetReelDataPtr()->Getint16(2,3)){x=3;}
  else if(x<=GetReelDataPtr()->Getint16(2,4)){x=4;}
  else if(x<=GetReelDataPtr()->Getint16(2,5)){x=5;}
  else if(x<=GetReelDataPtr()->Getint16(2,6)){x=6;}
  else if(x<=GetReelDataPtr()->Getint16(2,7)){x=7;}
  else if(x<=GetReelDataPtr()->Getint16(2,8)){x=8;}
  else if(x<=GetReelDataPtr()->Getint16(2,9)){x=9;}
  else if(x<=GetReelDataPtr()->Getint16(2,10)){x=10;}
  else if(x<=GetReelDataPtr()->Getint16(2,11)){x=11;}
  else if(x<=GetReelDataPtr()->Getint16(2,12)){x=12;}
  else if(x<=GetReelDataPtr()->Getint16(2,13)){x=13;}
  else if(x<=GetReelDataPtr()->Getint16(2,14)){x=14;}
  else if(x<=GetReelDataPtr()->Getint16(2,15)){x=15;}
  else if(x<=GetReelDataPtr()->Getint16(2,16)){x=16;}
  else if(x<=GetReelDataPtr()->Getint16(2,17)){x=17;}
  else if(x<=GetReelDataPtr()->Getint16(2,18)){x=18;}
  else if(x<=GetReelDataPtr()->Getint16(2,19)){x=19;}
  else if(x<=GetReelDataPtr()->Getint16(2,20)){x=20;}
  else if(x<=GetReelDataPtr()->Getint16(2,21)){x=21;}
  */

  for (int16 i3 = 0;i3 <= 21;i3++)
  {
    if (y <= GetReelDataPtr()->Getint16(3,i3))
    {
      y = i3;
      break;
    }
  }

  /*
  if(y<=GetReelDataPtr()->Getint16(3,0)){y=0;}
  else if(y<=GetReelDataPtr()->Getint16(3,1)){y=1;}
  else if(y<=GetReelDataPtr()->Getint16(3,2)){y=2;}
  else if(y<=GetReelDataPtr()->Getint16(3,3)){y=3;}
  else if(y<=GetReelDataPtr()->Getint16(3,4)){y=4;}
  else if(y<=GetReelDataPtr()->Getint16(3,5)){y=5;}
  else if(y<=GetReelDataPtr()->Getint16(3,6)){y=6;}
  else if(y<=GetReelDataPtr()->Getint16(3,7)){y=7;}
  else if(y<=GetReelDataPtr()->Getint16(3,8)){y=8;}
  else if(y<=GetReelDataPtr()->Getint16(3,9)){y=9;}
  else if(y<=GetReelDataPtr()->Getint16(3,10)){y=10;}
  else if(y<=GetReelDataPtr()->Getint16(3,11)){y=11;}
  else if(y<=GetReelDataPtr()->Getint16(3,12)){y=12;}
  else if(y<=GetReelDataPtr()->Getint16(3,13)){y=13;}
  else if(y<=GetReelDataPtr()->Getint16(3,14)){y=14;}
  else if(y<=GetReelDataPtr()->Getint16(3,15)){y=15;}
  else if(y<=GetReelDataPtr()->Getint16(3,16)){y=16;}
  else if(y<=GetReelDataPtr()->Getint16(3,17)){y=17;}
  else if(y<=GetReelDataPtr()->Getint16(3,18)){y=18;}
  else if(y<=GetReelDataPtr()->Getint16(3,19)){y=19;}
  else if(y<=GetReelDataPtr()->Getint16(3,20)){y=20;}
  else if(y<=GetReelDataPtr()->Getint16(3,21)){y=21;}
  */

  if(Is4Reel)
  {
    for (int16 i4 = 0;i4 <= 21;i4++)
    {
      if (z <= GetReelDataPtr()->Getint16(4,i4))
      {
        z = i4;
        break;
      }
    }

    /*
    if(z<=GetReelDataPtr()->Getint16(4,0)){z=0;}
	 else if(z<=GetReelDataPtr()->Getint16(4,1)){z=1;}
	 else if(z<=GetReelDataPtr()->Getint16(4,2)){z=2;}
	 else if(z<=GetReelDataPtr()->Getint16(4,3)){z=3;}
	 else if(z<=GetReelDataPtr()->Getint16(4,4)){z=4;}
	 else if(z<=GetReelDataPtr()->Getint16(4,5)){z=5;}
	 else if(z<=GetReelDataPtr()->Getint16(4,6)){z=6;}
	 else if(z<=GetReelDataPtr()->Getint16(4,7)){z=7;}
	 else if(z<=GetReelDataPtr()->Getint16(4,8)){z=8;}
	 else if(z<=GetReelDataPtr()->Getint16(4,9)){z=9;}
	 else if(z<=GetReelDataPtr()->Getint16(4,10)){z=10;}
	 else if(z<=GetReelDataPtr()->Getint16(4,11)){z=11;}
	 else if(z<=GetReelDataPtr()->Getint16(4,12)){z=12;}
	 else if(z<=GetReelDataPtr()->Getint16(4,13)){z=13;}
	 else if(z<=GetReelDataPtr()->Getint16(4,14)){z=14;}
	 else if(z<=GetReelDataPtr()->Getint16(4,15)){z=15;}
	 else if(z<=GetReelDataPtr()->Getint16(4,16)){z=16;}
	 else if(z<=GetReelDataPtr()->Getint16(4,17)){z=17;}
	 else if(z<=GetReelDataPtr()->Getint16(4,18)){z=18;}
	 else if(z<=GetReelDataPtr()->Getint16(4,19)){z=19;}
	 else if(z<=GetReelDataPtr()->Getint16(4,20)){z=20;}
	 else if(z<=GetReelDataPtr()->Getint16(4,21)){z=21;}
    */
  }
  Reel1->SetNum(w);
  Reel2->SetNum(x);
  Reel3->SetNum(y);
  if(Is4Reel)
  {
	 Reel4->SetNum(z);
  }
}
//*******************************************************************
TMoney TRoadGameLord::PayOut()
{
  TMoney Total=0;
  if(coinsplayed >= 1)
  {Total += (double)PayLine1();}
  if(coinsplayed >= 2)
  {Total += (double)PayLine2();}
  if(coinsplayed >= 3)
  {Total += (double)PayLine3();}
  if(coinsplayed >= 4)
  {Total += (double)PayLine4();}
  if(coinsplayed == 5)
  {Total += (double)PayLine5();}
  return Total;
}
//*******************************************************************
TMoney TRoadGameLord::PayLine1()
{
  int s0=0,s1=0,s2=0;//,s3=0;
  s0 = Reel1->GetCurrentAnmFrame(1);
  s1 = Reel2->GetCurrentAnmFrame(1);
  s2 = Reel3->GetCurrentAnmFrame(1);
//  if(Is4Reel)
//  {
//	 s3 = GetReelDataPtr()->Getint16(11,(Reel4->GetCurrentAnmFrame(1)));
//  }
  switch(s0)
  {
	 case 1  : s0 = 1;break;
	 case 3  : s0 = 25;break;
	 case 5  : s0 = 2;break;
	 case 7  : s0 = 10;break;
	 case 9  : s0 = -1;break;//Accident
	 case 11 : s0 = 50;break;
	 case 13 : s0 = 1;break;
	 case 15 : s0 = 5;break;
	 case 17 : s0 = -2;break;//Flat Tire
	 case 19 : s0 = 2;break;
	 case 21 : s0 = 3;break;
	 default : s0 = 0;
  }
  switch(s1)
  {
	 case 1  : s1 = 1;break;
	 case 3  : s1 = 25;break;
	 case 5  : s1 = 2;break;
	 case 7  : s1 = 10;break;
	 case 9  : s1 = -1;break;//Accident
	 case 11 : s1 = 50;break;
	 case 13 : s1 = 1;break;
	 case 15 : s1 = 5;break;
	 case 17 : s1 = -2;break;//Flat Tire
	 case 19 : s1 = 2;break;
	 case 21 : s1 = 3;break;
	 default : s1 = 0;
  }
  switch(s2)
  {
	 case 1  : s2 = 1;break;
	 case 3  : s2 = 25;break;
	 case 5  : s2 = 2;break;
	 case 7  : s2 = 10;break;
	 case 9  : s2 = -1;break;//Accident
	 case 11 : s2 = 50;break;
	 case 13 : s2 = 1;break;
	 case 15 : s2 = 5;break;
	 case 17 : s2 = -2;break;//Flat Tire
	 case 19 : s2 = 2;break;
	 case 21 : s2 = 3;break;
	 default : s2 = 0;
  }
  if(s0 > 0 && s1 > 0 && s2 > 0)
  {
	 WinMiles = int16(s0+s1+s2);
	 if(WinMiles > 99)
	 {
		if(Travel->CurrentFrameIs() == 0){WaitOneFrame = true;}
		Lap=true;
		ShowLapLaps = true;
		Travel->DoLap();
	 }
	 DoForward();
	 TotalMiles += int16(s0+s1+s2);
	 if(TotalMiles >= 500){ShowWinFlag = true;}
	 Odometer->SetNum(int16(TotalMiles%500));
	 MileMarker->SetNum(TotalMiles);
	 //Laps->SetNum(TotalMiles);
	 ShowLaps = true;
	 return WinMiles;
  }
  if(s0 == -1 || s1 == -1 || s2 == -1)
  {
	 TotalMiles = 0;
	 Odometer->SetNum(TotalMiles);
	 MileMarker->NoShow();
	 DoAccident();
	 return 0;
  }
  if(s0 == -2 || s1 == -2 || s2 == -2)
  {
	 if(TotalMiles < 100){TotalMiles=0;}
	 else if(TotalMiles < 200){TotalMiles=100;}
	 else if(TotalMiles < 300){TotalMiles=200;}
	 else if(TotalMiles < 400){TotalMiles=300;}
	 else if(TotalMiles < 500){TotalMiles=400;}
	 MileMarker->SetNum(TotalMiles);
	 Odometer->SetNum(TotalMiles);
	 DoFlat();
	 return 0;
  }
  return 0;
}
//*******************************************************************
void TRoadGameLord::DoFlat()
{
  if(CurrentRRFrame <= 8)
  {
	 if(8-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(8-CurrentRRFrame));
	 }
	 FlatFrame = 8;
  }
  else if(CurrentRRFrame <= 20)
  {
	 if(20-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(20-CurrentRRFrame));
	 }
	 FlatFrame = 20;
  }
  else if(CurrentRRFrame <= 32)
  {
	 if(32-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(32-CurrentRRFrame));
	 }
	 FlatFrame = 32;
  }
  else if(CurrentRRFrame <= 35)
  {
	 if(35-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(35-CurrentRRFrame));
	 }
	 FlatFrame = 35;
  }
  else if(CurrentRRFrame <= 37)
  {
	 if(37-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(35-CurrentRRFrame));
	 }
	 FlatFrame = 37;
  }

}
//*******************************************************************
void TRoadGameLord::DoAccident()
{
  if(CurrentRRFrame <= 5)
  {
	 if(5-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(5-CurrentRRFrame));
	 }
	 AccidentFrame = 5;
  }
  else if(CurrentRRFrame <= 10)
  {
	 if(10-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(10-CurrentRRFrame));
	 }
	 AccidentFrame = 10;
  }
  else if(CurrentRRFrame <= 26)
  {
	 if(26-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(26-CurrentRRFrame));
	 }
	 AccidentFrame = 26;
  }
  else if(CurrentRRFrame <= 30)
  {
	 if(30-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(30-CurrentRRFrame));
	 }
	 AccidentFrame = 30;
  }
  else if(CurrentRRFrame <= 33)
  {
	 if(33-CurrentRRFrame != 0)
	 {
		Travel->MoveForward(int16(33-CurrentRRFrame));
	 }
	 AccidentFrame = 33;
  }
}
//*******************************************************************
void TRoadGameLord::DoForward()
{
  if(TotalMiles+WinMiles >= 500)
  {
	 WaitOnLap = true;
  }
  if((TotalMiles+WinMiles)%100 >= MilesArray[(CurrentRRFrame+1)%38])
  {
	 int i=1;
	 while((TotalMiles+WinMiles)%100 >= MilesArray[(CurrentRRFrame+i)%38] && i<38)
	 {
		i++;
	 }
	 WaitOnForward = true;
	 Travel->MoveForward(int16(i-1));
  }
  else if((TotalMiles+WinMiles)%100 <= MilesArray[CurrentRRFrame])
  {
	 int j=38-CurrentRRFrame;
	 int i=0;

	 while((TotalMiles+WinMiles)%100 >= MilesArray[i] && i<38)
	 {
		i++;
	 }
	 WaitOnForward = true;
	 Travel->MoveForward(int16(i+j));
  }
  return;
}
//*******************************************************************
void TRoadGameLord::SetupSprites()
{
  Song = GetSpriteIndex("\\q1glrd00\\q100song.sp");
  Crash1 = GetSpriteIndex("\\q1glrd00\\q100cc05.sp");
  Crash2 = GetSpriteIndex("\\q1glrd00\\q100cc10.sp");
  Crash3 = GetSpriteIndex("\\q1glrd00\\q100cc26.sp");
  Crash4 = GetSpriteIndex("\\q1glrd00\\q100cc30.sp");
  Crash5 = GetSpriteIndex("\\q1glrd00\\q100cc33.sp");
  Flat1 = GetSpriteIndex("\\q1glrd00\\q100fl08.sp");
  Flat2 = GetSpriteIndex("\\q1glrd00\\q100fl20.sp");
  Flat3 = GetSpriteIndex("\\q1glrd00\\q100fl32.sp");
  Flat4 = GetSpriteIndex("\\q1glrd00\\q100fl35.sp");
  Flat5 = GetSpriteIndex("\\q1glrd00\\q100fl37.sp");
  FinishLine = GetSpriteIndex("\\q1glrd00\\q100flag.sp");

  if (Crash1 == 0 ||
		Crash2 == 0 ||
		Crash3 == 0 ||
		Crash4 == 0 ||
		Crash5 == 0 ||
		Flat1  == 0 ||
		Flat2  == 0 ||
		Flat3  == 0 ||
		Flat4  == 0 ||
		Flat5  == 0 ||
		FinishLine == 0)
  {
    SpriteError("Crash","crash");
  }
  
  TCasinoHSGameLord::SetupSprites();
}
//*******************************************************************
void TRoadGameLord::CleanupSprites()
{
  CoinsPlayed->NoShow();
}
//*******************************************************************
TRoadGameLord::TRoadGameLord(THunSlotsModeWin *pmwin,const TFileMode &fm)
  :TCasinoHSGameLord(pmwin,fm,cslRoadRally,pmwin->StartDenom)
{
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());

  CreateAddSpriteList(splfm);

  TFileMode mdfm(strMiscDataName,
                 TFileMode::fm_None,
                 TFileMode::fm_Immed,
                 FileMode.GetDirIndex());

  CreateAddMiscData(mdfm);
  maxbet=5;
  Denom[0] = (double)0.25;
  Denom[1] = (double)1.0;
  Denom[2] = (double)5.0;
  Denom[3] = (double)100.0;
  NumOfDenoms = 4;
  SetupSprites();
  Value->SetDenom(coinsize);
  if(coinsize == 0.05)        {CurrentDenomNum = -1;}
  else if(coinsize == 0.1)    {CurrentDenomNum = -1;}
  else if(coinsize == 0.25)   {CurrentDenomNum = 0;}
  else if(coinsize == 1.0)    {CurrentDenomNum = 1;}
  else if(coinsize == 5.0)    {CurrentDenomNum = 2;}
  else if(coinsize == 10.0)   {CurrentDenomNum = -1;}
  else if(coinsize == 25.0)   {CurrentDenomNum = -1;}
  else if(coinsize == 50.0)   {CurrentDenomNum = -1;}
  else if(coinsize == 100.0)  {CurrentDenomNum = 3;}
  else if(coinsize == 500.0)  {CurrentDenomNum = -1;}
  else if(coinsize == 1000.0) {CurrentDenomNum = -1;}
  WaitOnLap = false;
  WinMiles = 0;
  MilesArray[0]  = 0;MilesArray[1]  = 3;MilesArray[2]  = 6;MilesArray[3]  = 9;MilesArray[4]  = 12;
  MilesArray[5]  = 15;MilesArray[6]  = 18;MilesArray[7]  = 21;MilesArray[8]  = 24;MilesArray[9]  = 27;
  MilesArray[10] = 30;MilesArray[11] = 33;MilesArray[12] = 36;MilesArray[13] = 39;MilesArray[14] = 42;
  MilesArray[15] = 45;MilesArray[16] = 48;MilesArray[17] = 51;MilesArray[18] = 54;MilesArray[19] = 57;
  MilesArray[20] = 60;MilesArray[21] = 63;MilesArray[22] = 66;MilesArray[23] = 69;MilesArray[24] = 72;
  MilesArray[25] = 75;MilesArray[26] = 78;MilesArray[27] = 81;MilesArray[28] = 83;MilesArray[29] = 85;
  MilesArray[30] = 87;MilesArray[31] = 89;MilesArray[32] = 91;MilesArray[33] = 93;MilesArray[34] = 95;
  MilesArray[35] = 97;MilesArray[36] = 99;MilesArray[37] = 100;
  CurrentRRFrame = 0;
  WaitOnForward = false;
  AccidentFrame = 0;
  FlatFrame = 0;
  StartFUC  = 0;
  FUCLength = 0;
  FlatGoBack = false;
  MaxOnly = true;
  Lap = false;
  ShowWinFlag = false;
  ShowLaps = false;
  ShowLapLaps = false;
  WaitOneFrame = false;
}
//*******************************************************************
TRoadGameLord::~TRoadGameLord()
{
  CleanupSprites();
}
//*****************************************************************
void TRoadGameLord::PostUpdate(dword NewFUC)
{
  if(ShowLaps && !ShowLapLaps)
  {
	 if(Travel->CurrentFrameIs() == 0)
	 {
		  Laps->SetNum(TotalMiles);
	 }
  }
  if(ShowLapLaps)
  {
	 if(WaitOneFrame)
	 {
		WaitOneFrame = false;
	 }
	 else if(Travel->CurrentFrameIs() == 0)
	 {
		  Laps->PLaps->CAD.SetCurrentFrame(int16(Laps->PLaps->CAD.GetCurrentFrame()+1));
		  ShowLapLaps = false;
	 }
  }
  if(ShowWinFlag)
  {
	 if(Travel->CurrentFrameIs() == 0 &&
		 Laps->PLaps->CAD.GetCurrentFrame() == 5)
	 {
		StartFUC = GetAdjFUC();
		FUCLength = 0;
		ActivateSprite(Song,GetAdjFUC());
		ActivateSprite(FinishLine,StartFUC,FUCLength);
		ShowWinFlag = false;
	 }
  }
  if(Lap)
  {
	 if(Travel->LapDone()){Lap=false;}
	 else
	 {
		TCasinoHSGameLord::PostUpdate(NewFUC);
		return;
	 }
  }
  if(FlatFrame)
  {
	 if(Travel->IsDone())
	 {
		Travel->NoShow();
		StartFUC = GetAdjFUC();
		FUCLength = 0;
		switch(FlatFrame)
		{
		  case 8  : ActivateSprite(Flat1,StartFUC,FUCLength);CurrentRRFrame = 11;break;
		  case 20 : ActivateSprite(Flat2,StartFUC,FUCLength);CurrentRRFrame = 23;break;
		  case 32 : ActivateSprite(Flat3,StartFUC,FUCLength);CurrentRRFrame = 36;break;
		  case 35 : ActivateSprite(Flat4,StartFUC,FUCLength);CurrentRRFrame = 37;break;
		  case 37 : ActivateSprite(Flat5,StartFUC,FUCLength);CurrentRRFrame = 37;break;
		}
		IsFlat = true;
		FlatGoBack = true;
		FlatFrame = 0;
	 }
  }
  if(FlatGoBack && StartFUC+FUCLength+1 <= NewFUC)
  {
	 int setframe=0;
	 Travel->SetNum(CurrentRRFrame);
	/* switch(TotalMiles)
	 {
		case 0   : setframe = 0;break;
		case 150 : setframe = 5;break;
		case 250 : setframe = 14;break;
		case 350 : setframe = 24;break;
	 }*/
	 FUCLength = NewFUC + CurrentRRFrame - setframe;
	 Travel->MoveBackward(int16(CurrentRRFrame - setframe));
	 FlatGoBack = false;
	 return;
  }
  if(FlatGoBack)
  {
	 return;
  }
  if(IsFlat && FUCLength+1 <= NewFUC)
  {
	 CurrentRRFrame = Travel->CurrentFrameIs();
	 IsFlat = false;
	 Travel->SetNum(CurrentRRFrame);
	 Travel->PlayFlatWav();
	 Laps->SetNum(TotalMiles);
  }
  if(AccidentFrame)
  {
	 if(Travel->IsDone())
	 {
		Travel->NoShow();
		StartFUC = GetAdjFUC();
		FUCLength = 0;
		switch(AccidentFrame)
		{
		  case 5  : ActivateSprite(Crash1,StartFUC,FUCLength);break;
		  case 10 : ActivateSprite(Crash2,StartFUC,FUCLength);break;
		  case 26 : ActivateSprite(Crash3,StartFUC,FUCLength);break;
		  case 30 : ActivateSprite(Crash4,StartFUC,FUCLength);break;
		  case 33 : ActivateSprite(Crash5,StartFUC,FUCLength);break;
		}
		IsAccident = true;
		AccidentFrame = 0;
		CurrentRRFrame = 0;
	 }
  }
  if(IsAccident && StartFUC+FUCLength+2 <= NewFUC)
  {
	 IsAccident = false;
	 Travel->SetNum(0);
    Laps->SetNum(TotalMiles);
  }
  if(WaitOnForward)
  {
	 if(Travel->IsDone())
	  {
		WaitOnForward = false;
		CurrentRRFrame = Travel->CurrentFrameIs();
		ShowLaps = false;
		ShowLapLaps = false;
	  }
  }
  if(WaitOnLap)
  {
	 if(Travel->IsDone())
	 {
		 WaitOnLap = false;
		 WinMiles = int16(TotalMiles-500);
		 Odometer->SetNum(WinMiles);
		 MileMarker->SetNum(WinMiles);
		 //Laps->SetNum(TotalMiles);
		 TotalMiles = WinMiles;
		 CurrentRRFrame = Travel->CurrentFrameIs();
		 ShowLaps = false;
		 ShowLapLaps = false;
		 //credits += 500;
		 //Credits->SetNum(credits);
		 //DoForward();
	 }
  }
	TCasinoHSGameLord::PostUpdate(NewFUC);
}
//*******************************************************************
