//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rrollgld.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   A.Krist    Original baseline
//  2.0     09/05/97   M.Perry    32-bit conversion.
//*******************************************************************
#include "rrollgld.h"
#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
//*******************************************************************
void TRockRollGameLord::SetReel()
{
  int16 w,x,y,z;
  w = int16(random(GetReelDataPtr()->Getint16(1,21)));
  x = int16(random(GetReelDataPtr()->Getint16(2,21)));
  y = int16(random(GetReelDataPtr()->Getint16(3,21)));
  if(Is4Reel)
  {
	 z = int16(random(GetReelDataPtr()->Getint16(4,21)));
  }

  for (int16 i1=0;i1<=21;i1++)
  {
    if (w <= GetReelDataPtr()->Getint16(1,i1))
    {
      w = i1;
      break;
    }
  }
  /*
  if(w<=GetReelDataPtr()->GetInt(1,0)){w=0;}
  else if(w<=GetReelDataPtr()->GetInt(1,1)){w=1;}
  else if(w<=GetReelDataPtr()->GetInt(1,2)){w=2;}
  else if(w<=GetReelDataPtr()->GetInt(1,3)){w=3;}
  else if(w<=GetReelDataPtr()->GetInt(1,4)){w=4;}
  else if(w<=GetReelDataPtr()->GetInt(1,5)){w=5;}
  else if(w<=GetReelDataPtr()->GetInt(1,6)){w=6;}
  else if(w<=GetReelDataPtr()->GetInt(1,7)){w=7;}
  else if(w<=GetReelDataPtr()->GetInt(1,8)){w=8;}
  else if(w<=GetReelDataPtr()->GetInt(1,9)){w=9;}
  else if(w<=GetReelDataPtr()->GetInt(1,10)){w=10;}
  else if(w<=GetReelDataPtr()->GetInt(1,11)){w=11;}
  else if(w<=GetReelDataPtr()->GetInt(1,12)){w=12;}
  else if(w<=GetReelDataPtr()->GetInt(1,13)){w=13;}
  else if(w<=GetReelDataPtr()->GetInt(1,14)){w=14;}
  else if(w<=GetReelDataPtr()->GetInt(1,15)){w=15;}
  else if(w<=GetReelDataPtr()->GetInt(1,16)){w=16;}
  else if(w<=GetReelDataPtr()->GetInt(1,17)){w=17;}
  else if(w<=GetReelDataPtr()->GetInt(1,18)){w=18;}
  else if(w<=GetReelDataPtr()->GetInt(1,19)){w=19;}
  else if(w<=GetReelDataPtr()->GetInt(1,20)){w=20;}
  else if(w<=GetReelDataPtr()->GetInt(1,21)){w=21;}
  */

  for (int16 i2=0;i2<=21;i2++)
  {
    if (x <= GetReelDataPtr()->Getint16(2,i2))
    {
      x = i2;
      break;
    }
  }
  /*
  if(x<=GetReelDataPtr()->GetInt(2,0)){x=0;}
  else if(x<=GetReelDataPtr()->GetInt(2,1)){x=1;}
  else if(x<=GetReelDataPtr()->GetInt(2,2)){x=2;}
  else if(x<=GetReelDataPtr()->GetInt(2,3)){x=3;}
  else if(x<=GetReelDataPtr()->GetInt(2,4)){x=4;}
  else if(x<=GetReelDataPtr()->GetInt(2,5)){x=5;}
  else if(x<=GetReelDataPtr()->GetInt(2,6)){x=6;}
  else if(x<=GetReelDataPtr()->GetInt(2,7)){x=7;}
  else if(x<=GetReelDataPtr()->GetInt(2,8)){x=8;}
  else if(x<=GetReelDataPtr()->GetInt(2,9)){x=9;}
  else if(x<=GetReelDataPtr()->GetInt(2,10)){x=10;}
  else if(x<=GetReelDataPtr()->GetInt(2,11)){x=11;}
  else if(x<=GetReelDataPtr()->GetInt(2,12)){x=12;}
  else if(x<=GetReelDataPtr()->GetInt(2,13)){x=13;}
  else if(x<=GetReelDataPtr()->GetInt(2,14)){x=14;}
  else if(x<=GetReelDataPtr()->GetInt(2,15)){x=15;}
  else if(x<=GetReelDataPtr()->GetInt(2,16)){x=16;}
  else if(x<=GetReelDataPtr()->GetInt(2,17)){x=17;}
  else if(x<=GetReelDataPtr()->GetInt(2,18)){x=18;}
  else if(x<=GetReelDataPtr()->GetInt(2,19)){x=19;}
  else if(x<=GetReelDataPtr()->GetInt(2,20)){x=20;}
  else if(x<=GetReelDataPtr()->GetInt(2,21)){x=21;}
  */

  for (int16 i3=0;i3<=21;i3++)
  {
    if (y <= GetReelDataPtr()->Getint16(3,i3))
    {
      y = i3;
      break;
    }
  }
  /*
  if(y<=GetReelDataPtr()->GetInt(3,0)){y=0;}
  else if(y<=GetReelDataPtr()->GetInt(3,1)){y=1;}
  else if(y<=GetReelDataPtr()->GetInt(3,2)){y=2;}
  else if(y<=GetReelDataPtr()->GetInt(3,3)){y=3;}
  else if(y<=GetReelDataPtr()->GetInt(3,4)){y=4;}
  else if(y<=GetReelDataPtr()->GetInt(3,5)){y=5;}
  else if(y<=GetReelDataPtr()->GetInt(3,6)){y=6;}
  else if(y<=GetReelDataPtr()->GetInt(3,7)){y=7;}
  else if(y<=GetReelDataPtr()->GetInt(3,8)){y=8;}
  else if(y<=GetReelDataPtr()->GetInt(3,9)){y=9;}
  else if(y<=GetReelDataPtr()->GetInt(3,10)){y=10;}
  else if(y<=GetReelDataPtr()->GetInt(3,11)){y=11;}
  else if(y<=GetReelDataPtr()->GetInt(3,12)){y=12;}
  else if(y<=GetReelDataPtr()->GetInt(3,13)){y=13;}
  else if(y<=GetReelDataPtr()->GetInt(3,14)){y=14;}
  else if(y<=GetReelDataPtr()->GetInt(3,15)){y=15;}
  else if(y<=GetReelDataPtr()->GetInt(3,16)){y=16;}
  else if(y<=GetReelDataPtr()->GetInt(3,17)){y=17;}
  else if(y<=GetReelDataPtr()->GetInt(3,18)){y=18;}
  else if(y<=GetReelDataPtr()->GetInt(3,19)){y=19;}
  else if(y<=GetReelDataPtr()->GetInt(3,20)){y=20;}
  else if(y<=GetReelDataPtr()->GetInt(3,21)){y=21;}
  */

  if(Is4Reel)
  {
    for (int16 i4 = 0;i4<=21;i4++)
    {
      if (z <= GetReelDataPtr()->Getint16(4,i4))
      {
        z = i4;
        break;
      }
    }
    /*
    if(z<=GetReelDataPtr()->GetInt(4,0)){z=0;}
	 else if(z<=GetReelDataPtr()->GetInt(4,1)){z=1;}
	 else if(z<=GetReelDataPtr()->GetInt(4,2)){z=2;}
	 else if(z<=GetReelDataPtr()->GetInt(4,3)){z=3;}
	 else if(z<=GetReelDataPtr()->GetInt(4,4)){z=4;}
	 else if(z<=GetReelDataPtr()->GetInt(4,5)){z=5;}
	 else if(z<=GetReelDataPtr()->GetInt(4,6)){z=6;}
	 else if(z<=GetReelDataPtr()->GetInt(4,7)){z=7;}
	 else if(z<=GetReelDataPtr()->GetInt(4,8)){z=8;}
	 else if(z<=GetReelDataPtr()->GetInt(4,9)){z=9;}
	 else if(z<=GetReelDataPtr()->GetInt(4,10)){z=10;}
	 else if(z<=GetReelDataPtr()->GetInt(4,11)){z=11;}
	 else if(z<=GetReelDataPtr()->GetInt(4,12)){z=12;}
	 else if(z<=GetReelDataPtr()->GetInt(4,13)){z=13;}
	 else if(z<=GetReelDataPtr()->GetInt(4,14)){z=14;}
	 else if(z<=GetReelDataPtr()->GetInt(4,15)){z=15;}
	 else if(z<=GetReelDataPtr()->GetInt(4,16)){z=16;}
	 else if(z<=GetReelDataPtr()->GetInt(4,17)){z=17;}
	 else if(z<=GetReelDataPtr()->GetInt(4,18)){z=18;}
	 else if(z<=GetReelDataPtr()->GetInt(4,19)){z=19;}
	 else if(z<=GetReelDataPtr()->GetInt(4,20)){z=20;}
	 else if(z<=GetReelDataPtr()->GetInt(4,21)){z=21;}
    */
  }

  Reel1->SetNum(w);
  Reel2->SetNum(x);
  Reel3->SetNum(y);
  if(Is4Reel)
  {
	 Reel4->SetNum(z);
  }
}
//*******************************************************************
TMoney TRockRollGameLord::PayOut()
{
  TMoney Total=0;
  if(coinsplayed >= 1)
  {Total += (double)PayLine1();}
  if(coinsplayed >= 2)
  {Total += (double)PayLine2();}
  if(coinsplayed >= 3)
  {Total += (double)PayLine3();}
  if(coinsplayed >= 4)
  {Total += (double)PayLine4();}
  if(coinsplayed == 5)
  {Total += (double)PayLine5();}
  return Total;
}
//*******************************************************************
int16 TRockRollGameLord::GetReelDataInt(int16 index)
{
  int16 retvalue = 0;
  if (index >= 0 && index <= 21)
  {
    retvalue = GetReelDataPtr()->Getint16(11,index);
  }
  /*
  switch(index)
  {
	 case 0  : retvalue = GetReelDataPtr()->GetInt(11,0);break;
	 case 1  : retvalue = GetReelDataPtr()->GetInt(11,1);break;
	 case 2  : retvalue = GetReelDataPtr()->GetInt(11,2);break;
	 case 3  : retvalue = GetReelDataPtr()->GetInt(11,3);break;
	 case 4  : retvalue = GetReelDataPtr()->GetInt(11,4);break;
	 case 5  : retvalue = GetReelDataPtr()->GetInt(11,5);break;
	 case 6  : retvalue = GetReelDataPtr()->GetInt(11,6);break;
	 case 7  : retvalue = GetReelDataPtr()->GetInt(11,7);break;
	 case 8  : retvalue = GetReelDataPtr()->GetInt(11,8);break;
	 case 9  : retvalue = GetReelDataPtr()->GetInt(11,9);break;
	 case 10 : retvalue = GetReelDataPtr()->GetInt(11,10);break;
	 case 11 : retvalue = GetReelDataPtr()->GetInt(11,11);break;
	 case 12 : retvalue = GetReelDataPtr()->GetInt(11,12);break;
	 case 13 : retvalue = GetReelDataPtr()->GetInt(11,13);break;
	 case 14 : retvalue = GetReelDataPtr()->GetInt(11,14);break;
	 case 15 : retvalue = GetReelDataPtr()->GetInt(11,15);break;
	 case 16 : retvalue = GetReelDataPtr()->GetInt(11,16);break;
	 case 17 : retvalue = GetReelDataPtr()->GetInt(11,17);break;
	 case 18 : retvalue = GetReelDataPtr()->GetInt(11,18);break;
	 case 19 : retvalue = GetReelDataPtr()->GetInt(11,19);break;
	 case 20 : retvalue = GetReelDataPtr()->GetInt(11,20);break;
	 case 21 : retvalue = GetReelDataPtr()->GetInt(11,21);break;
	 default : retvalue = 0;
  }
  */
  return retvalue;
}
//*******************************************************************
TMoney TRockRollGameLord::PayLine1()
{
  int s0=0,s1=0,s2=0,s3=0;
  s0 = GetReelDataInt(Reel1->GetCurrentAnmFrame(1));
  /*
  switch(Reel1->GetCurrentAnmFrame(1))
  {
	 case 0  : s0 = GetReelDataPtr()->GetInt(11,0);break;
	 case 1  : s0 = GetReelDataPtr()->GetInt(11,1);break;
	 case 2  : s0 = GetReelDataPtr()->GetInt(11,2);break;
	 case 3  : s0 = GetReelDataPtr()->GetInt(11,3);break;
	 case 4  : s0 = GetReelDataPtr()->GetInt(11,4);break;
	 case 5  : s0 = GetReelDataPtr()->GetInt(11,5);break;
	 case 6  : s0 = GetReelDataPtr()->GetInt(11,6);break;
	 case 7  : s0 = GetReelDataPtr()->GetInt(11,7);break;
	 case 8  : s0 = GetReelDataPtr()->GetInt(11,8);break;
	 case 9  : s0 = GetReelDataPtr()->GetInt(11,9);break;
	 case 10 : s0 = GetReelDataPtr()->GetInt(11,10);break;
	 case 11 : s0 = GetReelDataPtr()->GetInt(11,11);break;
	 case 12 : s0 = GetReelDataPtr()->GetInt(11,12);break;
	 case 13 : s0 = GetReelDataPtr()->GetInt(11,13);break;
	 case 14 : s0 = GetReelDataPtr()->GetInt(11,14);break;
	 case 15 : s0 = GetReelDataPtr()->GetInt(11,15);break;
	 case 16 : s0 = GetReelDataPtr()->GetInt(11,16);break;
	 case 17 : s0 = GetReelDataPtr()->GetInt(11,17);break;
	 case 18 : s0 = GetReelDataPtr()->GetInt(11,18);break;
	 case 19 : s0 = GetReelDataPtr()->GetInt(11,19);break;
	 case 20 : s0 = GetReelDataPtr()->GetInt(11,20);break;
	 case 21 : s0 = GetReelDataPtr()->GetInt(11,21);break;
	 default : s0 = 0;
  }
  */
  s1 = GetReelDataInt(Reel2->GetCurrentAnmFrame(1));
  /*
  switch(Reel2->GetCurrentAnmFrame(1))
  {
	 case 0  : s1 = GetReelDataPtr()->GetInt(11,0);break;
	 case 1  : s1 = GetReelDataPtr()->GetInt(11,1);break;
	 case 2  : s1 = GetReelDataPtr()->GetInt(11,2);break;
	 case 3  : s1 = GetReelDataPtr()->GetInt(11,3);break;
	 case 4  : s1 = GetReelDataPtr()->GetInt(11,4);break;
	 case 5  : s1 = GetReelDataPtr()->GetInt(11,5);break;
	 case 6  : s1 = GetReelDataPtr()->GetInt(11,6);break;
	 case 7  : s1 = GetReelDataPtr()->GetInt(11,7);break;
	 case 8  : s1 = GetReelDataPtr()->GetInt(11,8);break;
	 case 9  : s1 = GetReelDataPtr()->GetInt(11,9);break;
	 case 10 : s1 = GetReelDataPtr()->GetInt(11,10);break;
	 case 11 : s1 = GetReelDataPtr()->GetInt(11,11);break;
	 case 12 : s1 = GetReelDataPtr()->GetInt(11,12);break;
	 case 13 : s1 = GetReelDataPtr()->GetInt(11,13);break;
	 case 14 : s1 = GetReelDataPtr()->GetInt(11,14);break;
	 case 15 : s1 = GetReelDataPtr()->GetInt(11,15);break;
	 case 16 : s1 = GetReelDataPtr()->GetInt(11,16);break;
	 case 17 : s1 = GetReelDataPtr()->GetInt(11,17);break;
	 case 18 : s1 = GetReelDataPtr()->GetInt(11,18);break;
	 case 19 : s1 = GetReelDataPtr()->GetInt(11,19);break;
	 case 20 : s1 = GetReelDataPtr()->GetInt(11,20);break;
	 case 21 : s1 = GetReelDataPtr()->GetInt(11,21);break;
	 default : s1 = 0;
  }
  */
  s2 = GetReelDataInt(Reel3->GetCurrentAnmFrame(1));
  /*
  switch(Reel3->GetCurrentAnmFrame(1))
  {
	 case 0  : s2 = GetReelDataPtr()->GetInt(11,0);break;
	 case 1  : s2 = GetReelDataPtr()->GetInt(11,1);break;
	 case 2  : s2 = GetReelDataPtr()->GetInt(11,2);break;
	 case 3  : s2 = GetReelDataPtr()->GetInt(11,3);break;
	 case 4  : s2 = GetReelDataPtr()->GetInt(11,4);break;
	 case 5  : s2 = GetReelDataPtr()->GetInt(11,5);break;
	 case 6  : s2 = GetReelDataPtr()->GetInt(11,6);break;
	 case 7  : s2 = GetReelDataPtr()->GetInt(11,7);break;
	 case 8  : s2 = GetReelDataPtr()->GetInt(11,8);break;
	 case 9  : s2 = GetReelDataPtr()->GetInt(11,9);break;
	 case 10 : s2 = GetReelDataPtr()->GetInt(11,10);break;
	 case 11 : s2 = GetReelDataPtr()->GetInt(11,11);break;
	 case 12 : s2 = GetReelDataPtr()->GetInt(11,12);break;
	 case 13 : s2 = GetReelDataPtr()->GetInt(11,13);break;
	 case 14 : s2 = GetReelDataPtr()->GetInt(11,14);break;
	 case 15 : s2 = GetReelDataPtr()->GetInt(11,15);break;
	 case 16 : s2 = GetReelDataPtr()->GetInt(11,16);break;
	 case 17 : s2 = GetReelDataPtr()->GetInt(11,17);break;
	 case 18 : s2 = GetReelDataPtr()->GetInt(11,18);break;
	 case 19 : s2 = GetReelDataPtr()->GetInt(11,19);break;
	 case 20 : s2 = GetReelDataPtr()->GetInt(11,20);break;
	 case 21 : s2 = GetReelDataPtr()->GetInt(11,21);break;
	 default : s2 = 0;
  }
  */
  if(Is4Reel)
  {
    s3 = GetReelDataInt(Reel4->GetCurrentAnmFrame(1));
    /*
	 switch(Reel4->GetCurrentAnmFrame(1))
	 {
		case 0  : s3 = GetReelDataPtr()->GetInt(11,0);break;
		case 1  : s3 = GetReelDataPtr()->GetInt(11,1);break;
		case 2  : s3 = GetReelDataPtr()->GetInt(11,2);break;
		case 3  : s3 = GetReelDataPtr()->GetInt(11,3);break;
		case 4  : s3 = GetReelDataPtr()->GetInt(11,4);break;
		case 5  : s3 = GetReelDataPtr()->GetInt(11,5);break;
		case 6  : s3 = GetReelDataPtr()->GetInt(11,6);break;
		case 7  : s3 = GetReelDataPtr()->GetInt(11,7);break;
		case 8  : s3 = GetReelDataPtr()->GetInt(11,8);break;
		case 9  : s3 = GetReelDataPtr()->GetInt(11,9);break;
		case 10 : s3 = GetReelDataPtr()->GetInt(11,10);break;
		case 11 : s3 = GetReelDataPtr()->GetInt(11,11);break;
		case 12 : s3 = GetReelDataPtr()->GetInt(11,12);break;
		case 13 : s3 = GetReelDataPtr()->GetInt(11,13);break;
		case 14 : s3 = GetReelDataPtr()->GetInt(11,14);break;
		case 15 : s3 = GetReelDataPtr()->GetInt(11,15);break;
		case 16 : s3 = GetReelDataPtr()->GetInt(11,16);break;
		case 17 : s3 = GetReelDataPtr()->GetInt(11,17);break;
		case 18 : s3 = GetReelDataPtr()->GetInt(11,18);break;
		case 19 : s3 = GetReelDataPtr()->GetInt(11,19);break;
		case 20 : s3 = GetReelDataPtr()->GetInt(11,20);break;
		case 21 : s3 = GetReelDataPtr()->GetInt(11,21);break;
		default : s3 = 0;
	 }
    */
  }
  if(s0 == 5 && s1 == 5 && s2 == 5 && s3 == 5)
  {
	 PayOffSound = 7;
	 if(coinsplayed == 5){return 800;}
	 if(coinsplayed == 4){return 400;}
	 if(coinsplayed == 3){return 300;}
	 if(coinsplayed == 2){return 200;}
	 if(coinsplayed == 1){return 100;}
  }
  if(s0 == 4 && s1 == 4 && s2 == 4 && s3 == 4)
  {
	 PayOffSound = 6;
	 if(coinsplayed == 5){return 200;}
	 if(coinsplayed == 4){return 160;}
	 if(coinsplayed == 3){return 120;}
	 if(coinsplayed == 2){return 80;}
	 if(coinsplayed == 1){return 40;}
  }
  if(s0 == 3 && s1 == 3 && s2 == 3 && s3 == 3)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 5){return 100;}
	 if(coinsplayed == 4){return 80;}
	 if(coinsplayed == 3){return 60;}
	 if(coinsplayed == 2){return 40;}
	 if(coinsplayed == 1){return 20;}
  }
  if(s0 == 2 && s1 == 2 && s2 == 2 && s3 == 2)
  {
	 PayOffSound = 4;
	 if(coinsplayed == 5){return 50;}
	 if(coinsplayed == 4){return 40;}
	 if(coinsplayed == 3){return 30;}
	 if(coinsplayed == 2){return 20;}
	 if(coinsplayed == 1){return 10;}
  }
  if(s0 == 1 && s1 == 1 && s2 == 1 && s3 == 1)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 5){return 25;}
	 if(coinsplayed == 4){return 20;}
	 if(coinsplayed == 3){return 15;}
	 if(coinsplayed == 2){return 10;}
	 if(coinsplayed == 1){return 5;}
  }
  if((s0 == 5 && s1 == 5 && s2 == 5) || (s0 == 5 && s1 == 5 && s3 == 5) ||
	  (s0 == 5 && s2 == 5 && s3 == 5) || (s1 == 5 && s2 == 5 && s3 == 5))
  {
	 PayOffSound = 2;
	 if(coinsplayed == 5){return 15;}
	 if(coinsplayed == 4){return 12;}
	 if(coinsplayed == 3){return 9;}
	 if(coinsplayed == 2){return 6;}
	 if(coinsplayed == 1){return 3;}
  }
  if((s0 == 5 && s1 == 5) || (s0 == 5 && s2 == 5) || (s0 == 5 && s3 == 5) ||
	  (s1 == 5 && s2 == 5) || (s1 == 5 && s3 == 5) || (s2 == 5 && s3 == 5)   )
  {
	 PayOffSound = 1;
	 if(coinsplayed == 5){return 10;}
	 if(coinsplayed == 4){return 8;}
	 if(coinsplayed == 3){return 6;}
	 if(coinsplayed == 2){return 4;}
	 if(coinsplayed == 1){return 2;}
  }
  if(s0 == 5 || s1 == 5 || s2 == 5 || s3 == 5)
  {
	 PayOffSound = 0;
	 if(coinsplayed == 5){return 5;}
	 if(coinsplayed == 4){return 4;}
	 if(coinsplayed == 3){return 3;}
	 if(coinsplayed == 2){return 2;}
	 if(coinsplayed == 1){return 1;}
  }
  return 0;
}
//*******************************************************************
void TRockRollGameLord::SetupSprites()
{
  Song = GetSpriteIndex("\\a1glrd00\\a100song.sp");
  TCasinoHSGameLord::SetupSprites();
}
//*******************************************************************
void TRockRollGameLord::CleanupSprites()
{
  CoinsPlayed->NoShow();
}
//*******************************************************************
TRockRollGameLord::TRockRollGameLord(THunSlotsModeWin *pmwin,const TFileMode &fm)
  :TCasinoHSGameLord(pmwin,fm,cslRockRoll,pmwin->StartDenom)
{
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  TFileMode mdfm(strMiscDataName,
                 TFileMode::fm_None,
                 TFileMode::fm_Immed,
                 FileMode.GetDirIndex());
  CreateAddMiscData(mdfm);
  maxbet=5;
  Denom[0] = (double)0.25;
  Denom[1] = (double)1.0;
  Denom[2] = (double)50.0;
  Denom[3] = (double)100.0;
  Denom[4] = (double)1000.0;
  NumOfDenoms = 5;
  SetupSprites();
  Value->SetDenom(coinsize);
  if(coinsize == 0.05)        {CurrentDenomNum = -1;}
  else if(coinsize == 0.1)    {CurrentDenomNum = -1;}
  else if(coinsize == 0.25)   {CurrentDenomNum = 0;}
  else if(coinsize == 1.0)    {CurrentDenomNum = 1;}
  else if(coinsize == 5.0)    {CurrentDenomNum = -1;}
  else if(coinsize == 10.0)   {CurrentDenomNum = -1;}
  else if(coinsize == 25.0)   {CurrentDenomNum = -1;}
  else if(coinsize == 50.0)   {CurrentDenomNum = 2;}
  else if(coinsize == 100.0)  {CurrentDenomNum = 3;}
  else if(coinsize == 500.0)  {CurrentDenomNum = -1;}
  else if(coinsize == 1000.0) {CurrentDenomNum = 4;}
}
//*******************************************************************
TRockRollGameLord::~TRockRollGameLord()
{
  CleanupSprites();
}
//*******************************************************************
