//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  klordmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "klordmst.h"

#include <iostream.h>

TKLordMainState::TKLordMainState(TKLord *pNewKLord)
	: TKLordState(pNewKLord)
{
 // cout << "GameMainState constructor" << endl;
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_Done,//StartSubState3,
				  ess_StartSubState4,ess_StartSubState5,ess_StartSubState6,
				  ess_StartSubState7,ess_StartSubState2,ess_Done);
 // SetHeedRecommend(FALSE,TRUE,FALSE,TRUE,FALSE,TRUE,FALSE,TRUE);
}
TKLordMainState::~TKLordMainState()
{
//  cout << "GameMainState destructor" << endl;
}
//*******************************************************************
void TKLordMainState::CreateSubState1()
{
  cout << "Init state" << endl;
  PActiveSubState = (TState *) new TInitKState(pOwnerLord);
}
//*******************************************************************
void TKLordMainState::StartSubState3()
{
  if(pOwnerLord->game == 0)
  {
	 if(PActiveSubState != NULL)
	 {
		delete PActiveSubState;
	 }
	 PActiveSubState =NULL;
	 ExecuteStatus = ess_StartSubState8;
  }
  else
  {
	 CreateSubState3();
	 ExecuteStatus = ess_RunSubState3;
  }
}
//*******************************************************************
void TKLordMainState::CreateSubState2()
{
  cout << "Get bet" << endl;
  PActiveSubState = (TState *) new TWaitState(pOwnerLord);
}
//*******************************************************************
void TKLordMainState::CreateSubState3()
{
  //PActiveSubState = (TState *) new TRDealState(pOwnerLord);
}
//*******************************************************************
void TKLordMainState::CreateSubState4()
{
  cout << "Winner?" << endl;
  //PActiveSubState = (TState *) new TRGetDiscardsState(pOwnerLord);
}
//*******************************************************************
void TKLordMainState::CreateSubState5()
{
 // PActiveSubState = (TState *) new TTSpinState(pOwnerLord);   // Stud Hi
}
//*******************************************************************
void TKLordMainState::CreateSubState6()
{
  pOwnerLord->game = 0;
  PActiveSubState = (TState *) new TKWinState(pOwnerLord);  // Stud Hi
}
//*******************************************************************
void TKLordMainState::CreateSubState7()
{
  PActiveSubState = (TState *) new TKClearState(pOwnerLord);   // Draw
}
//*******************************************************************
void TKLordMainState::CreateSubState8()
{
  cout << "Draw, Dirtbag!!" << endl;
 // PActiveSubState = (TState *) new TDrawState(pOwnerLord);  // Draw
}