//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  kwinst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "kwinst.h"
#include "klord.h"
#include <iostream.h>

TKWinState::TKWinState(TKLord *pNewKLord)
	: TKLordState(pNewKLord)
{
 // cout << "KWinState constructor" << endl;
}
TKWinState::~TKWinState()
{
 // cout << "KWinState destructor" << endl;
}
//*******************************************************************
void TKWinState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TKWinState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TKLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TKWinState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->Winner();
  ExecuteStatus    = ess_Done;

}