//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caskmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/12/96  M.Perry     original baseline
//  2.0     09/17/97  M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "caskmw.h"
#include "chelpid.h"
#include "oloaddlg.h"
#include "accmenu.rh"
//*******************************************************************
TKenoModeWin::TKenoModeWin(string modename,TPal *PPal,string title)
:TCasinoModeWin(modename,PPal,title)
{
  ModeHelpCommand = HELP_CONTEXT;
  ModeHelpData = IDH_CAS_KENO;
}
//*******************************************************************
TKenoModeWin::~TKenoModeWin()
{
}
//*******************************************************************
void TKenoModeWin::ResumeUpdates()
{
  TCasinoModeWin::ResumeUpdates();
  //if(GetKLord() != NULL)
 // {
	// GetKLord()->InitHistoryDisplay();
  //}
}
//*******************************************************************
string TKenoModeWin::GetDetName()
{
  return string("keno.det");
}
//*******************************************************************
int TKenoModeWin::GetMenuID()
{
  return IDM_CASINO_KENO;
}
//*******************************************************************
void TKenoModeWin::CreateGroupGaugeDlg()
{
  PGroupGaugeDlg = new TLoadDlg(this,
                                this,
                                new TBitmap(*GetOgleApp(),IDB_LOADING_V2),
                                bdRESIZE | bdIGNOREINPUT | bdOWNBITMAP,
                                TRect(20,160,300,175),
                                TColor::LtYellow);
  PGroupGaugeDlg->Create();
}
//*******************************************************************
