//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cc1glist.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/24/96    A.Krist     original baseline
//  2.0    09/17/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ck1glist.h"
#include "ck1gld.h"
#include "ckplay.h"
#include "caskmw.h"
#include "casnames.rh"
#include "cknames.rh"
//*******************************************************************
TK1GObjList::TK1GObjList(TKenoModeWin *POwnerMW)
:TKGObjList(POwnerMW)
{
  PKModeWin = POwnerMW;
}
//*******************************************************************
TK1GObjList::~TK1GObjList()
{
}
//*******************************************************************
TGameObject *TK1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_K1))
  {
	 return (new TK1GameLord(PKModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_K1))
  {
	 return (new TCasinoKPlayer(PKModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_K1))
  {
	 return (new TCasinoKPlayer(PKModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_K1))
  {
	 return (new TCasinoKPlayer(PKModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************