//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cklrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/21/96   A. Krist    Original baseline
//  2.0     09/17/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "cklrdmst.h"
#include "ckinitst.h"

//*******************************************************************
TKLordMainState::TKLordMainState(TCasinoKGameLord *pNewKLord)
:TKLordState(pNewKLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState2,ess_Done);
}
//*******************************************************************
TKLordMainState::~TKLordMainState()
{
}
//*******************************************************************
void TKLordMainState::CreateSubState1()
{
  PActiveSubState = (TState *) new TInitKState(pOwnerLord);
}
//*******************************************************************
void TKLordMainState::CreateSubState2()
{
  PActiveSubState = (TState *) new TKAct1State(pOwnerLord);
}
//*******************************************************************
