//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  clmessp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    12/23/95    M.Perry    moved inline functions into .cpp file.
//  2.0    09/25/97    M.Perry    32-bit conversion.
//********************************************************************
#include "clmessp.h"
#include "oanm.h"
//*******************************************************************
TCasLobbyMessageDisplay::TCasLobbyMessageDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TCasLobbyMessageDisplay::TCasLobbyMessageDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//********************************************************************
TCasLobbyMessageDisplay::~TCasLobbyMessageDisplay()
{
}
//*******************************************************************
void TCasLobbyMessageDisplay::ShowLobbyMessage(int16 code)
{
	 NoShowDisplay();
	 PMessage->CAD.SetCurrentFrame(code);
	 PMessage->Show();
	 Update(GetAdjFUC());
}
//*******************************************************************
void TCasLobbyMessageDisplay::NoShowDisplay()
{
  PMessage->NoShow();
}
//*******************************************************************
void TCasLobbyMessageDisplay::SetupAnms()
{
  PMessage = GetAnm(0);
  PMessage->CAD.ClearAutoStart();
  PMessage->CAD.ClearAutoStop();
  PMessage->CAD.SetDirStill();
}
//*******************************************************************

