//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  lact1st.cpp   // FLop deal
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "lact1st.h"
#include "clglord.h"
#include "clplay.h"
#include "caslmw.h"
//*******************************************************************
TLAct1State::TLAct1State(TCasinoLGameLord *pNewLLord)
:TLLordState(pNewLLord)
{
	 SetRunOrder(ess_Execute,ess_Execute,ess_Execute,ess_Done);
}
//*******************************************************************
TLAct1State::~TLAct1State()
{
}
//*******************************************************************
void TLAct1State::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
}
//*******************************************************************
void TLAct1State::CreateSubState1()
{
}
//*******************************************************************
void TLAct1State::EndSubState1()
{
  TState::EndSubState1();
}
//*******************************************************************
#pragma argsused
void TLAct1State::HandlePostUpdate(dword NewFUC)
{
  if (pOwnerLord->ButtonHit[0])
  {
	 pOwnerLord->ButtonClear(idButton0);
	 return;
  }
}
//*******************************************************************

