//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  lmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/6/95    M.Perry    original baseline
//  1.2     04/10/97   M.Perry    changed credits bitmap
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/08/99   M.Perry    remove specialized gobjlist's
//********************************************************************
#include "lmw.h"
#include "casnames.rh"
#include "clnames.rh"
//#include "lgl.h"
#include "ccredbmp.rh"
#include "accmenu.rh"
#include "lgld.h"
#include "clplay.h"
//*******************************************************************
TLobby1ModeWin::TLobby1ModeWin(string modename,TPal *PPal,string title)
:TLobbyModeWin(modename,PPal,title)
{
}
//*******************************************************************
TLobby1ModeWin::~TLobby1ModeWin()
{
}
//*******************************************************************
int TLobby1ModeWin::GetCreditsBmpID()
{
//  return IDB_CASINO_CREDITS_V1_2;
  return IDB_CASINO_CREDITS;
}
//*******************************************************************
string TLobby1ModeWin::GetDetName()
{
  return string("lobby.det");
}
//*******************************************************************
int TLobby1ModeWin::GetMenuID()
{
  return IDM_CASINO_LOBBY;
}
//*******************************************************************
//void TLobby1ModeWin::MakeGObjList()
//{
//  PGObjList = new TLobby1GObjList(this);
//}
//*******************************************************************
//void TLobby1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoLPlayer *)GetGObjPtr(TAppString(IDS_H1_L_L1));
//  GObj[1] = (TCasinoLPlayer *)GetGObjPtr(TAppString(IDS_H2_L_L1));
//  GObj[2] = (TCasinoLPlayer *)GetGObjPtr(TAppString(IDS_H3_L_L1));
//
//  pLord = (TCasinoLGameLord *)GetGObjPtr(TAppString(IDS_GL_L_L1));
//
//  if (pLord == NULL)   {GObjError("Lobby Game Lord",TAppString(IDS_GL_L_L1));}
//  if (GObj[0] == NULL) {GObjError("Lobby Human 1",TAppString(IDS_H1_L_L1));}
//  if (GObj[1] == NULL) {GObjError("Lobby Human 2",TAppString(IDS_H2_L_L1));}
//  if (GObj[2] == NULL) {GObjError("Lobby Human 3",TAppString(IDS_H3_L_L1));}
//}
//*******************************************************************
TGameObject *TLobby1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL) {return NULL;}

  if (fm == GetResString(IDS_GL_L_L1))
  {
	 pLord = new TLobby1GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_L_L1))
  {
    GObj[0] = new TCasinoLPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_L_L1))
  {
    GObj[1] = new TCasinoLPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_L_L1))
  {
    GObj[2] = new TCasinoLPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
	 return new TGameObject(this,fm);
  }
}
//*******************************************************************