//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rclearst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "rclearst.h"
#include "rlord.h"
#include <iostream.h>

TRClearState::TRClearState(TRLord *pNewRLord)
	: TRLordState(pNewRLord)
{
 // cout << "RClearState constructor" << endl;
}
TRClearState::~TRClearState()
{
 // cout << "RClearState destructor" << endl;
}
//*******************************************************************
void TRClearState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TRClearState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TRLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TRClearState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->FinalClear();
  ExecuteStatus    = ess_Done;

}