//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rlordmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "rlordmst.h"

#include <iostream.h>

TRLordMainState::TRLordMainState(TRLord *pNewRLord)
	: TRLordState(pNewRLord)
{
 // cout << "GameMainState constructor" << endl;
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState4,ess_StartSubState5,ess_StartSubState6,
				  ess_StartSubState7,ess_StartSubState2,ess_Done);
 // SetHeedRecommend(FALSE,TRUE,FALSE,TRUE,FALSE,TRUE,FALSE,TRUE);
}
TRLordMainState::~TRLordMainState()
{
//  cout << "GameMainState destructor" << endl;
}
//*******************************************************************
void TRLordMainState::CreateSubState1()
{
  cout << "Init state" << endl;
  PActiveSubState = (TState *) new TInitRState(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::StartSubState3()
{
  if(pOwnerLord->game == 0)
  {
	 if(PActiveSubState != NULL)
	 {
		delete PActiveSubState;
	 }
	 PActiveSubState =NULL;
	 ExecuteStatus = ess_StartSubState8;
  }
  else
  {
	 CreateSubState3();
	 ExecuteStatus = ess_RunSubState3;
  }
}
//*******************************************************************
void TRLordMainState::CreateSubState2()
{
  cout << "Get bet" << endl;
  PActiveSubState = (TState *) new TGetRBetState(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState3()
{
  //PActiveSubState = (TState *) new TRDealState(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState4()
{
  cout << "Winner?" << endl;
  //PActiveSubState = (TState *) new TRGetDiscardsState(pOwnerLord);
}
//*******************************************************************
void TRLordMainState::CreateSubState5()
{
  PActiveSubState = (TState *) new TRSpinState(pOwnerLord);   // Stud Hi
}
//*******************************************************************
void TRLordMainState::CreateSubState6()
{
  pOwnerLord->game = 0;
  PActiveSubState = (TState *) new TRWinState(pOwnerLord);  // Stud Hi
}
//*******************************************************************
void TRLordMainState::CreateSubState7()
{
  PActiveSubState = (TState *) new TRClearState(pOwnerLord);   // Draw
}
//*******************************************************************
void TRLordMainState::CreateSubState8()
{
  cout << "Draw, Dirtbag!!" << endl;
 // PActiveSubState = (TState *) new TDrawState(pOwnerLord);  // Draw
}