//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rspinst.cpp    // discard
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "rspinst.h"
#include "rlord.h"
#include <iostream.h>

TRSpinState::TRSpinState(TRLord *pNewRLord)
	: TRLordState(pNewRLord)
{
 // cout << "RSpinState constructor" << endl;
}
TRSpinState::~TRSpinState()
{
 // cout << "RSpinState destructor" << endl;
}
//*******************************************************************
void TRSpinState::RecommendSibling()
{
	Status = ss_DoneRecom5;
}
//*******************************************************************
void TRSpinState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TRLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TRSpinState::ExecuteFirstTime()
{
 // cout << "First Deal" << endl;
  pOwnerLord->SpinBall();
  ExecuteStatus    = ess_Done;

}