//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  bet5num.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/21/96   M.Perry    moved into cpp
//  2.0     09/19/97   M.Perry    32-bit conversion.
//********************************************************************
#include "bet5num.h"
//*******************************************************************
TBet5Num::TBet5Num(TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code)
:TRBetSpot(pmw,NewFileMode,code)
{
  SpotType = FiveNum;
}
//*******************************************************************
TBet5Num::TBet5Num(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code)
:TRBetSpot(pmw,NewFileMode,psource,code)
{
  SpotType = FiveNum;
}
//*******************************************************************
TBet5Num::~TBet5Num()
{
}
//*******************************************************************
bool TBet5Num::Winner(int16 WinNum)
{
  if(WinNum == 1 || WinNum == 2 ||WinNum == 3 || WinNum == 0 || WinNum == 37)
  {
    return true;
  }
  else
  {
    return false;
  }
}
//*******************************************************************
bool TBet5Num::Winner(int16 WinNum,int16 Player)
{
  return TRBetSpot::Winner(WinNum,Player);
}
//*******************************************************************
long TBet5Num::Odds()
{
  return 6;
}
//*******************************************************************