//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  crglord2.cpp
//    Project Name:  Casino
// Original Author:  Adam Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/15/96    M.Perry     split up crglord.cpp into 2 pieces
//  2.0    09/18/97    M.Perry     32-bit conversion.
//  2.3    07/16/99    M.Perry     gobjlist removal,spriteid mod's.
//********************************************************************
#include "crglord.h"
#include "bethead.h"
#include "casbusp.h"
//#include "crnames.rh"
#include "crnames.rh"
//*******************************************************************
string GetResString(int16 id)
{
  return TAppString(id);
}
//*******************************************************************
#if defined(SUPPORT_OLD_VER)
void TCasinoRGameLord::SetupUniqueIDStrings()
{
  strSound = GetResString(IDS_MS_SOUND_R1);
  strBetAmount = GetResString(IDS_MS_UNITCASH_R1);
  strMsgDisplay = GetResString(IDS_MS_MESSCASH_R1);
  strCashDisplay = GetResString(IDS_MS_BANKCASH_R1);
  strMarker = GetResString(IDS_MS_MARKER_R1);
  strButtonChip1 = GetResString(IDS_MS_BC1_R1);
  strButtonChip5 = GetResString(IDS_MS_BC5_R1);
  strButtonChip25 = GetResString(IDS_MS_BC25_R1);
  strButtonChip100 = GetResString(IDS_MS_BC100_R1);
  strButtonChip1000 = GetResString(IDS_MS_BC1000_R1);
  strButtonChip10000 = GetResString(IDS_MS_BC10000_R1);
  strStatusBar = GetResString(IDS_MS_SB_R1);
  strPayoff = GetResString(IDS_MS_PAYOFF_R1);
  strNumHistory = GetResString(IDS_MS_NUMHIS_R1);
  strChips = GetResString(IDS_MS_CHIPS_R1);
  strNP1 = GetResString(IDS_MS_NP1_R1);
  strNP2 = GetResString(IDS_MS_NP2_R1);
  strNP3 = GetResString(IDS_MS_NP3_R1);
  strButton0 = GetResString(IDS_MS_B0_R1);
  strButton1 = GetResString(IDS_MS_B1_R1);
  strButton2 = GetResString(IDS_MS_B2_R1);
  strButton3 = GetResString(IDS_MS_B3_R1);
  strButton4 = GetResString(IDS_MS_B4_R1);
  strButton5 = GetResString(IDS_MS_B5_R1);
  strBS[0] = GetResString(IDS_MS_BS0_R1);
  strBS[1] = GetResString(IDS_MS_BS1_R1);
  strBS[2] = GetResString(IDS_MS_BS2_R1);
  strBS[3] = GetResString(IDS_MS_BS3_R1);
  strBS[4] = GetResString(IDS_MS_BS4_R1);
  strBS[5] = GetResString(IDS_MS_BS5_R1);
  strBS[6] = GetResString(IDS_MS_BS6_R1);
  strBS[7] = GetResString(IDS_MS_BS7_R1);
  strBS[8] = GetResString(IDS_MS_BS8_R1);
  strBS[9] = GetResString(IDS_MS_BS9_R1);
  strBS[10] = GetResString(IDS_MS_BS10_R1);
  strBS[11] = GetResString(IDS_MS_BS11_R1);
  strBS[12] = GetResString(IDS_MS_BS12_R1);
  strBS[13] = GetResString(IDS_MS_BS13_R1);
  strBS[14] = GetResString(IDS_MS_BS14_R1);
  strBS[15] = GetResString(IDS_MS_BS15_R1);
  strBS[16] = GetResString(IDS_MS_BS16_R1);
  strBS[17] = GetResString(IDS_MS_BS17_R1);
  strBS[18] = GetResString(IDS_MS_BS18_R1);
  strBS[19] = GetResString(IDS_MS_BS19_R1);
  strBS[20] = GetResString(IDS_MS_BS20_R1);
  strBS[21] = GetResString(IDS_MS_BS21_R1);
  strBS[22] = GetResString(IDS_MS_BS22_R1);
  strBS[23] = GetResString(IDS_MS_BS23_R1);
  strBS[24] = GetResString(IDS_MS_BS24_R1);
  strBS[25] = GetResString(IDS_MS_BS25_R1);
  strBS[26] = GetResString(IDS_MS_BS26_R1);
  strBS[27] = GetResString(IDS_MS_BS27_R1);
  strBS[28] = GetResString(IDS_MS_BS28_R1);
  strBS[29] = GetResString(IDS_MS_BS29_R1);
  strBS[30] = GetResString(IDS_MS_BS30_R1);
  strBS[31] = GetResString(IDS_MS_BS31_R1);
  strBS[32] = GetResString(IDS_MS_BS32_R1);
  strBS[33] = GetResString(IDS_MS_BS33_R1);
  strBS[34] = GetResString(IDS_MS_BS34_R1);
  strBS[35] = GetResString(IDS_MS_BS35_R1);
  strBS[36] = GetResString(IDS_MS_BS36_R1);
  strBS[37] = GetResString(IDS_MS_BS37_R1);
  strBS[38] = GetResString(IDS_MS_BS38_R1);
  strBS[39] = GetResString(IDS_MS_BS39_R1);
  strBS[40] = GetResString(IDS_MS_BS40_R1);
  strBS[41] = GetResString(IDS_MS_BS41_R1);
  strBS[42] = GetResString(IDS_MS_BS42_R1);
  strBS[43] = GetResString(IDS_MS_BS43_R1);
  strBS[44] = GetResString(IDS_MS_BS44_R1);
  strBS[45] = GetResString(IDS_MS_BS45_R1);
  strBS[46] = GetResString(IDS_MS_BS46_R1);
  strBS[47] = GetResString(IDS_MS_BS47_R1);
  strBS[48] = GetResString(IDS_MS_BS48_R1);
  strBS[49] = GetResString(IDS_MS_BS49_R1);
  strBS[50] = GetResString(IDS_MS_BS50_R1);
  strBS[51] = GetResString(IDS_MS_BS51_R1);
  strBS[52] = GetResString(IDS_MS_BS52_R1);
  strBS[53] = GetResString(IDS_MS_BS53_R1);
  strBS[54] = GetResString(IDS_MS_BS54_R1);
  strBS[55] = GetResString(IDS_MS_BS55_R1);
  strBS[56] = GetResString(IDS_MS_BS56_R1);
  strBS[57] = GetResString(IDS_MS_BS57_R1);
  strBS[58] = GetResString(IDS_MS_BS58_R1);
  strBS[59] = GetResString(IDS_MS_BS59_R1);
  strBS[60] = GetResString(IDS_MS_BS60_R1);
  strBS[61] = GetResString(IDS_MS_BS61_R1);
  strBS[62] = GetResString(IDS_MS_BS62_R1);
  strBS[63] = GetResString(IDS_MS_BS63_R1);
  strBS[64] = GetResString(IDS_MS_BS64_R1);
  strBS[65] = GetResString(IDS_MS_BS65_R1);
  strBS[66] = GetResString(IDS_MS_BS66_R1);
  strBS[67] = GetResString(IDS_MS_BS67_R1);
  strBS[68] = GetResString(IDS_MS_BS68_R1);
  strBS[69] = GetResString(IDS_MS_BS69_R1);
  strBS[70] = GetResString(IDS_MS_BS70_R1);
  strBS[71] = GetResString(IDS_MS_BS71_R1);
  strBS[72] = GetResString(IDS_MS_BS72_R1);
  strBS[73] = GetResString(IDS_MS_BS73_R1);
  strBS[74] = GetResString(IDS_MS_BS74_R1);
  strBS[75] = GetResString(IDS_MS_BS75_R1);
  strBS[76] = GetResString(IDS_MS_BS76_R1);
  strBS[77] = GetResString(IDS_MS_BS77_R1);
  strBS[78] = GetResString(IDS_MS_BS78_R1);
  strBS[79] = GetResString(IDS_MS_BS79_R1);
  strBS[80] = GetResString(IDS_MS_BS80_R1);
  strBS[81] = GetResString(IDS_MS_BS81_R1);
  strBS[82] = GetResString(IDS_MS_BS82_R1);
  strBS[83] = GetResString(IDS_MS_BS83_R1);
  strBS[84] = GetResString(IDS_MS_BS84_R1);
  strBS[85] = GetResString(IDS_MS_BS85_R1);
  strBS[86] = GetResString(IDS_MS_BS86_R1);
  strBS[87] = GetResString(IDS_MS_BS87_R1);
  strBS[88] = GetResString(IDS_MS_BS88_R1);
  strBS[89] = GetResString(IDS_MS_BS89_R1);
  strBS[90] = GetResString(IDS_MS_BS90_R1);
  strBS[91] = GetResString(IDS_MS_BS91_R1);
  strBS[92] = GetResString(IDS_MS_BS92_R1);
  strBS[93] = GetResString(IDS_MS_BS93_R1);
  strBS[94] = GetResString(IDS_MS_BS94_R1);
  strBS[95] = GetResString(IDS_MS_BS95_R1);
  strBS[96] = GetResString(IDS_MS_BS96_R1);
  strBS[97] = GetResString(IDS_MS_BS97_R1);
  strBS[98] = GetResString(IDS_MS_BS98_R1);
  strBS[99] = GetResString(IDS_MS_BS99_R1);
  strBS[100] = GetResString(IDS_MS_BS100_R1);
  strBS[101] = GetResString(IDS_MS_BS101_R1);
  strBS[102] = GetResString(IDS_MS_BS102_R1);
  strBS[103] = GetResString(IDS_MS_BS103_R1);
  strBS[104] = GetResString(IDS_MS_BS104_R1);
  strBS[105] = GetResString(IDS_MS_BS105_R1);
  strBS[106] = GetResString(IDS_MS_BS106_R1);
  strBS[107] = GetResString(IDS_MS_BS107_R1);
  strBS[108] = GetResString(IDS_MS_BS108_R1);
  strBS[109] = GetResString(IDS_MS_BS109_R1);
  strBS[110] = GetResString(IDS_MS_BS110_R1);
  strBS[111] = GetResString(IDS_MS_BS111_R1);
  strBS[112] = GetResString(IDS_MS_BS112_R1);
  strBS[113] = GetResString(IDS_MS_BS113_R1);
  strBS[114] = GetResString(IDS_MS_BS114_R1);
  strBS[115] = GetResString(IDS_MS_BS115_R1);
  strBS[116] = GetResString(IDS_MS_BS116_R1);
  strBS[117] = GetResString(IDS_MS_BS117_R1);
  strBS[118] = GetResString(IDS_MS_BS118_R1);
  strBS[119] = GetResString(IDS_MS_BS119_R1);
  strBS[120] = GetResString(IDS_MS_BS120_R1);
  strBS[121] = GetResString(IDS_MS_BS121_R1);
  strBS[122] = GetResString(IDS_MS_BS122_R1);
  strBS[123] = GetResString(IDS_MS_BS123_R1);
  strBS[124] = GetResString(IDS_MS_BS124_R1);
  strBS[125] = GetResString(IDS_MS_BS125_R1);
  strBS[126] = GetResString(IDS_MS_BS126_R1);
  strBS[127] = GetResString(IDS_MS_BS127_R1);
  strBS[128] = GetResString(IDS_MS_BS128_R1);
  strBS[129] = GetResString(IDS_MS_BS129_R1);
  strBS[130] = GetResString(IDS_MS_BS130_R1);
  strBS[131] = GetResString(IDS_MS_BS131_R1);
  strBS[132] = GetResString(IDS_MS_BS132_R1);
  strBS[133] = GetResString(IDS_MS_BS133_R1);
  strBS[134] = GetResString(IDS_MS_BS134_R1);
  strBS[135] = GetResString(IDS_MS_BS135_R1);
  strBS[136] = GetResString(IDS_MS_BS136_R1);
  strBS[137] = GetResString(IDS_MS_BS137_R1);
  strBS[138] = GetResString(IDS_MS_BS138_R1);
  strBS[139] = GetResString(IDS_MS_BS139_R1);
  strBS[140] = GetResString(IDS_MS_BS140_R1);
  strBS[141] = GetResString(IDS_MS_BS141_R1);
  strBS[142] = GetResString(IDS_MS_BS142_R1);
  strBS[143] = GetResString(IDS_MS_BS143_R1);
  strBS[144] = GetResString(IDS_MS_BS144_R1);
  strBS[145] = GetResString(IDS_MS_BS145_R1);
  strBS[146] = GetResString(IDS_MS_BS146_R1);
  strBS[147] = GetResString(IDS_MS_BS147_R1);
  strBS[148] = GetResString(IDS_MS_BS148_R1);
  strBS[149] = GetResString(IDS_MS_BS149_R1);
  strBS[150] = GetResString(IDS_MS_BS150_R1);
  strBS[151] = GetResString(IDS_MS_BS151_R1);
  strBS[152] = GetResString(IDS_MS_BS152_R1);
  strBS[153] = GetResString(IDS_MS_BS153_R1);
  strBS[154] = GetResString(IDS_MS_BS154_R1);
  strBS[155] = GetResString(IDS_MS_BS155_R1);
}
#endif
//*******************************************************************
#if defined(SUPPORT_OLD_VER)
int16 TCasinoRGameLord::GetUniqueID(const string &s)
{
  if (s == strSound) {return 1;}
  if (s == strBetAmount) {return 5;}
  if (s == strMsgDisplay) {return 3;}
  if (s == strCashDisplay) {return 4;}
  if (s == strMarker) {return 6;}
  if (s == strButtonChip1) {return 7;}
  if (s == strButtonChip5) {return 8;}
  if (s == strButtonChip25) {return 9;}
  if (s == strButtonChip100) {return 10;}
  if (s == strButtonChip1000) {return 11;}
  if (s == strButtonChip10000) {return 12;}
  if (s == strStatusBar) {return 13;}
  if (s == strPayoff) {return 14;}
  if (s == strNumHistory) {return 15;}
  if (s == strChips) {return 16;}
  if (s == strNP1) {return 17;}
  if (s == strNP2) {return 18;}
  if (s == strNP3) {return 19;}
  if (s == strButton0) {return 20;}
  if (s == strButton1) {return 21;}
  if (s == strButton2) {return 22;}
  if (s == strButton3) {return 23;}
  if (s == strButton4) {return 24;}
  if (s == strButton5) {return 25;}

  for (int16 i=0;i<NUM_BS;i++)
  {
    if (s == strBS[i])
    {
      return int16(i + 26); // id's for betspot's start at 26.
    }
  }
  return 0;
}
#endif
//*******************************************************************
TSprite *TCasinoRGameLord::CreateSpriteAux(string spritename,int16 id)
{
  TFileMode FM(spritename,
               TFileMode::fm_None,
               TFileMode::fm_Immed,
               FileMode.GetDirIndex());

  switch (id)
  {
    case 0:return new TSprite(PModeWin,FM);
    case 1: RSounds = new TRSound(PModeWin,FM);
            return RSounds;
   // case 2:  = (new TBetUnitChips(PModeWin,FM));
    case 3: MessageDisplay = new TCasMessageDisplay(PModeWin,FM);
            return MessageDisplay;
    case 4: BankCashDisplay = new TCasCashDisplay(PModeWin,FM);
            return BankCashDisplay;
    case 5: BetAmountDisplay = new TCasCashDisplay(PModeWin,FM);
            return BetAmountDisplay;
    case 6:  Marker = new TRMarker(PModeWin,FM);
             return Marker;
    case 7:  ButtonChip1 = new TCasButton(PModeWin,FM,this,100,
                                          TRect(566,455,584,479),ridOneChip,true,'9');
             return ButtonChip1;
    case 8:  ButtonChip5 = new TCasButton(PModeWin,FM,this,100,
                                          TRect(548,455,564,479),ridFiveChip,true,'8');
             return ButtonChip5;
    case 9:  ButtonChip25 = new TCasButton(PModeWin,FM,this,100,
                                           TRect(529,455,546,479),ridTwentyFiveChip,true,'7');
             return ButtonChip25;
    case 10: ButtonChip100 = new TCasButton(PModeWin,FM,this,100,
                                            TRect(510,455,527,479),ridOneHundredChip,true,'6');
             return ButtonChip100;
    case 11: ButtonChip1000 = new TCasButton(PModeWin,FM,this,100,
                                             TRect(491,455,508,479),ridOneThouChip,true,'5');
             return ButtonChip1000;
    case 12: ButtonChip10000 = new TCasButton(PModeWin,FM,this,100,
                                              TRect(472,455,489,479),ridTenThouChip,true,'4');
             return ButtonChip10000;
    case 13: CasStatusBar = new TCasButton(PModeWin,FM,this,100,
                                           TRect(170,430,219,479),ridStatBar,true);
             return CasStatusBar;
    case 14: PayOffSp = new TRPayOff(PModeWin,FM);
             return PayOffSp;
    case 15: NumberHistory = new TRNumberHistory(PModeWin,FM);
             return NumberHistory;
    case 16: Chips = new TCasChips(PModeWin,FM);
             return Chips;
    case 17: NamePlate1 = new TCasNamePlate(PModeWin,FM);
             return NamePlate1;
    case 18: NamePlate2 = new TCasNamePlate(PModeWin,FM);
             return NamePlate2;
    case 19: NamePlate3 = new TCasNamePlate(PModeWin,FM);
             return NamePlate3;
    case 20: MenuEscButton = new TCasButton(PModeWin,FM,this,100,
                                            TRect(223,464,258,479),ridMenuEsc,true);
             return MenuEscButton;
    case 21: Button1 = new TCasButton(PModeWin,FM,this,100,
                                      TRect(416,454,468,479),ridButton1,true,'r');
             return Button1;
    case 22: Button2 = new TCasButton(PModeWin,FM,this,100,
                                      TRect(416,430,468,452),ridButton2,true,'c');
             return Button2;
    case 23: Button3 = new TCasButton(PModeWin,FM,this,100,
                                      TRect(376,464,412,479),ridButton3,true);
             return Button3;
    case 24: Button4 = new TCasButton(PModeWin,FM,this,100,
                                      TRect(587,432,639,478),ridButton4,true,VK_RETURN);
             return Button4;
    case 25: AskExpertButton = new TCasButton(PModeWin,FM,this,100,
                                              TRect(1,430,50,479),ridAskExpert,true,'x');
             return AskExpertButton;
    case 26: BetSpot[0] = new TBetRed(PModeWin,FM,22);
             return BetSpot[0];
    case 27: BetSpot[1] = new TBetBlack(PModeWin,FM,22);
             return BetSpot[1];
    case 28: BetSpot[2] = new TBetEven(PModeWin,FM,21);
             return BetSpot[2];
    case 29: BetSpot[3] = new TBetOdd(PModeWin,FM,21);
             return BetSpot[3];
    case 30: BetSpot[4] = new TBetRange(1,18,PModeWin,FM,23);
             return BetSpot[4];
    case 31: BetSpot[5] = new TBetRange(19,36,PModeWin,FM,23);
             return BetSpot[5];
    case 32: BetSpot[6] = new TBetRange(1,12,PModeWin,FM,20);
             return BetSpot[6];
    case 33: BetSpot[7] = new TBetRange(13,24,PModeWin,FM,20);
             return BetSpot[7];
    case 34: BetSpot[8] = new TBetRange(25,36,PModeWin,FM,20);
             return BetSpot[8];
    case 35: BetSpot[9] = new TBetCol1(PModeWin,FM,19);
             return BetSpot[9];
    case 36: BetSpot[10] = new TBetCol2(PModeWin,FM,19);
             return BetSpot[10];
    case 37: BetSpot[11] = new TBetCol3(PModeWin,FM,19);
             return BetSpot[11];
    case 38: BetSpot[12] = new TBetNum(1,PModeWin,FM,13);
             return BetSpot[12];
    case 39: BetSpot[13] = new TBetNum(2,PModeWin,FM,13);
             return BetSpot[13];
    case 40: BetSpot[14] = new TBetNum(3,PModeWin,FM,13);
             return BetSpot[14];
    case 41: BetSpot[15] = new TBetNum(4,PModeWin,FM,13);
             return BetSpot[15];
    case 42: BetSpot[16] = new TBetNum(5,PModeWin,FM,13);
             return BetSpot[16];
    case 43: BetSpot[17] = new TBetNum(6,PModeWin,FM,13);
             return BetSpot[17];
    case 44: BetSpot[18] = new TBetNum(7,PModeWin,FM,13);
             return BetSpot[18];
    case 45: BetSpot[19] = new TBetNum(8,PModeWin,FM,13);
             return BetSpot[19];
    case 46: BetSpot[20] = new TBetNum(9,PModeWin,FM,13);
             return BetSpot[20];
    case 47: BetSpot[21] = new TBetNum(10,PModeWin,FM,13);
             return BetSpot[21];
    case 48: BetSpot[22] = new TBetNum(11,PModeWin,FM,13);
             return BetSpot[22];
    case 49: BetSpot[23] = new TBetNum(12,PModeWin,FM,13);
             return BetSpot[23];
    case 50: BetSpot[24] = new TBetNum(13,PModeWin,FM,13);
             return BetSpot[24];
    case 51: BetSpot[25] = (new TBetNum(14,PModeWin,FM,13));
             return BetSpot[25];
    case 52: BetSpot[26] = (new TBetNum(15,PModeWin,FM,13));
             return BetSpot[26];
    case 53: BetSpot[27] = (new TBetNum(16,PModeWin,FM,13));
             return BetSpot[27];
    case 54: BetSpot[28] = (new TBetNum(17,PModeWin,FM,13));
             return BetSpot[28];
    case 55: BetSpot[29] = (new TBetNum(18,PModeWin,FM,13));
             return BetSpot[29];
    case 56: BetSpot[30] = (new TBetNum(19,PModeWin,FM,13));
             return BetSpot[30];
    case 57: BetSpot[31] = (new TBetNum(20,PModeWin,FM,13));
             return BetSpot[31];
    case 58: BetSpot[32] = (new TBetNum(21,PModeWin,FM,13));
             return BetSpot[32];
    case 59: BetSpot[33] = (new TBetNum(22,PModeWin,FM,13));
             return BetSpot[33];
    case 60: BetSpot[34] = (new TBetNum(23,PModeWin,FM,13));
             return BetSpot[34];
    case 61: BetSpot[35] = (new TBetNum(24,PModeWin,FM,13));
             return BetSpot[35];
    case 62: BetSpot[36] = (new TBetNum(25,PModeWin,FM,13));
             return BetSpot[36];
    case 63: BetSpot[37] = (new TBetNum(26,PModeWin,FM,13));
             return BetSpot[37];
    case 64: BetSpot[38] = (new TBetNum(27,PModeWin,FM,13));
             return BetSpot[38];
    case 65: BetSpot[39] = (new TBetNum(28,PModeWin,FM,13));
             return BetSpot[39];
    case 66: BetSpot[40] = (new TBetNum(29,PModeWin,FM,13));
             return BetSpot[40];
    case 67: BetSpot[41] = (new TBetNum(30,PModeWin,FM,13));
             return BetSpot[41];
    case 68: BetSpot[42] = (new TBetNum(31,PModeWin,FM,13));
             return BetSpot[42];
    case 69: BetSpot[43] = (new TBetNum(32,PModeWin,FM,13));
             return BetSpot[43];
    case 70: BetSpot[44] = (new TBetNum(33,PModeWin,FM,13));
             return BetSpot[44];
    case 71: BetSpot[45] = (new TBetNum(34,PModeWin,FM,13));
             return BetSpot[45];
    case 72: BetSpot[46] = (new TBetNum(35,PModeWin,FM,13));
             return BetSpot[46];
    case 73: BetSpot[47] = (new TBetNum(36,PModeWin,FM,13));
             return BetSpot[47];
    case 74: BetSpot[48] = (new TBetNum(0,PModeWin,FM,13));
             return BetSpot[48];
    case 75: BetSpot[49] = (new TBetNum(37,PModeWin,FM,13));
             return BetSpot[49];
    case 76: BetSpot[50] = (new TBetRange(1,3,PModeWin,FM,15));
             return BetSpot[50];
    case 77: BetSpot[51] = (new TBetRange(4,6,PModeWin,FM,15));
             return BetSpot[51];
    case 78: BetSpot[52] = (new TBetRange(7,9,PModeWin,FM,15));
             return BetSpot[52];
    case 79: BetSpot[53] = (new TBetRange(10,12,PModeWin,FM,15));
             return BetSpot[53];
    case 80: BetSpot[54] = (new TBetRange(13,15,PModeWin,FM,15));
             return BetSpot[54];
    case 81: BetSpot[55] = (new TBetRange(16,18,PModeWin,FM,15));
             return BetSpot[55];
    case 82: BetSpot[56] = (new TBetRange(19,21,PModeWin,FM,15));
             return BetSpot[56];
    case 83: BetSpot[57] = (new TBetRange(22,24,PModeWin,FM,15));
             return BetSpot[57];
    case 84: BetSpot[58] = (new TBetRange(25,27,PModeWin,FM,15));
             return BetSpot[58];
    case 85: BetSpot[59] = (new TBetRange(28,30,PModeWin,FM,15));
             return BetSpot[59];
    case 86: BetSpot[60] = (new TBetRange(31,33,PModeWin,FM,15));
             return BetSpot[60];
    case 87: BetSpot[61] = (new TBetRange(34,36,PModeWin,FM,15));
             return BetSpot[61];
    case 88: BetSpot[62] = (new TBetRange(1,6,PModeWin,FM,18));
             return BetSpot[62];
    case 89: BetSpot[63] = (new TBetRange(4,9,PModeWin,FM,18));
             return BetSpot[63];
    case 90: BetSpot[64] = (new TBetRange(7,12,PModeWin,FM,18));
             return BetSpot[64];
    case 91: BetSpot[65] = (new TBetRange(10,15,PModeWin,FM,18));
             return BetSpot[65];
    case 92: BetSpot[66] = (new TBetRange(13,18,PModeWin,FM,18));
             return BetSpot[66];
    case 93: BetSpot[67] = (new TBetRange(16,21,PModeWin,FM,18));
             return BetSpot[67];
    case 94: BetSpot[68] = (new TBetRange(19,24,PModeWin,FM,18));
             return BetSpot[68];
    case 95: BetSpot[69] = (new TBetRange(22,27,PModeWin,FM,18));
             return BetSpot[69];
    case 96: BetSpot[70] = (new TBetRange(25,30,PModeWin,FM,18));
             return BetSpot[70];
    case 97: BetSpot[71] = (new TBetRange(28,33,PModeWin,FM,18));
             return BetSpot[71];
    case 98: BetSpot[72] = (new TBetRange(31,36,PModeWin,FM,18));
             return BetSpot[72];
    case 99: BetSpot[73] = (new TBet4Num(1,2,4,5,PModeWin,FM,16));
             return BetSpot[73];
    case 100: BetSpot[74] = (new TBet4Num(2,3,5,6,PModeWin,FM,16));
              return BetSpot[74];
    case 101: BetSpot[75] = (new TBet4Num(4,5,7,8,PModeWin,FM,16));
              return BetSpot[75];
    case 102: BetSpot[76] = (new TBet4Num(5,6,8,9,PModeWin,FM,16));
              return BetSpot[76];
    case 103: BetSpot[77] = (new TBet4Num(7,8,10,11,PModeWin,FM,16));
              return BetSpot[77];
    case 104: BetSpot[78] = (new TBet4Num(8,9,11,12,PModeWin,FM,16));
              return BetSpot[78];
    case 105: BetSpot[79] = (new TBet4Num(10,11,13,14,PModeWin,FM,16));
              return BetSpot[79];
    case 106: BetSpot[80] = (new TBet4Num(11,12,14,15,PModeWin,FM,16));
              return BetSpot[80];
    case 107: BetSpot[81] = (new TBet4Num(13,14,16,17,PModeWin,FM,16));
              return BetSpot[81];
    case 108: BetSpot[82] = (new TBet4Num(14,15,17,18,PModeWin,FM,16));
              return BetSpot[82];
    case 109: BetSpot[83] = (new TBet4Num(16,17,19,20,PModeWin,FM,16));
              return BetSpot[83];
    case 110: BetSpot[84] = (new TBet4Num(17,18,20,21,PModeWin,FM,16));
              return BetSpot[84];
    case 111: BetSpot[85] = (new TBet4Num(19,20,22,23,PModeWin,FM,16));
              return BetSpot[85];
    case 112: BetSpot[86] = (new TBet4Num(20,21,23,24,PModeWin,FM,16));
              return BetSpot[86];
    case 113: BetSpot[87] = (new TBet4Num(22,23,25,26,PModeWin,FM,16));
              return BetSpot[87];
    case 114: BetSpot[88] = (new TBet4Num(23,24,26,27,PModeWin,FM,16));
              return BetSpot[88];
    case 115: BetSpot[89] = (new TBet4Num(25,26,28,29,PModeWin,FM,16));
              return BetSpot[89];
    case 116: BetSpot[90] = (new TBet4Num(26,27,29,30,PModeWin,FM,16));
              return BetSpot[90];
    case 117: BetSpot[91] = (new TBet4Num(28,29,31,32,PModeWin,FM,16));
              return BetSpot[91];
    case 118: BetSpot[92] = (new TBet4Num(29,30,32,33,PModeWin,FM,16));
              return BetSpot[92];
    case 119: BetSpot[93] = (new TBet4Num(31,32,34,35,PModeWin,FM,16));
              return BetSpot[93];
    case 120: BetSpot[94] = (new TBet4Num(32,33,35,36,PModeWin,FM,16));
              return BetSpot[94];
    case 121: BetSpot[95] = (new TBet2Num(0,37,PModeWin,FM,14));
              return BetSpot[95];
    case 122: BetSpot[96] = (new TBet2Num(0,1,PModeWin,FM,14));
              return BetSpot[96];
    case 123: BetSpot[97] = (new TBet2Num(3,37,PModeWin,FM,14));
              return BetSpot[97];
    case 124: BetSpot[98] = (new TBet2Num(1,2,PModeWin,FM,14));
              return BetSpot[98];
    case 125: BetSpot[99] = (new TBet2Num(2,3,PModeWin,FM,14));
              return BetSpot[99];
    case 126: BetSpot[100] = (new TBet2Num(1,4,PModeWin,FM,14));
              return BetSpot[100];
    case 127: BetSpot[101] = (new TBet2Num(2,5,PModeWin,FM,14));
              return BetSpot[101];
    case 128: BetSpot[102] = (new TBet2Num(3,6,PModeWin,FM,14));
              return BetSpot[102];
    case 129: BetSpot[103] = (new TBet2Num(4,5,PModeWin,FM,14));
              return BetSpot[103];
    case 130: BetSpot[104] = (new TBet2Num(5,6,PModeWin,FM,14));
              return BetSpot[104];
    case 131: BetSpot[105] = (new TBet2Num(4,7,PModeWin,FM,14));
              return BetSpot[105];
    case 132: BetSpot[106] = (new TBet2Num(5,8,PModeWin,FM,14));
              return BetSpot[106];
    case 133: BetSpot[107] = (new TBet2Num(6,9,PModeWin,FM,14));
              return BetSpot[107];
    case 134: BetSpot[108] = (new TBet2Num(7,8,PModeWin,FM,14));
              return BetSpot[108];
    case 135: BetSpot[109] = (new TBet2Num(8,9,PModeWin,FM,14));
              return BetSpot[109];
    case 136: BetSpot[110] = (new TBet2Num(7,10,PModeWin,FM,14));
              return BetSpot[110];
    case 137: BetSpot[111] = (new TBet2Num(8,11,PModeWin,FM,14));
              return BetSpot[111];
    case 138: BetSpot[112] = (new TBet2Num(9,12,PModeWin,FM,14));
              return BetSpot[112];
    case 139: BetSpot[113] = (new TBet2Num(10,11,PModeWin,FM,14));
              return BetSpot[113];
    case 140: BetSpot[114] = (new TBet2Num(11,12,PModeWin,FM,14));
              return BetSpot[114];
    case 141: BetSpot[115] = (new TBet2Num(10,13,PModeWin,FM,14));
              return BetSpot[115];
    case 142: BetSpot[116] = (new TBet2Num(11,14,PModeWin,FM,14));
              return BetSpot[116];
    case 143: BetSpot[117] = (new TBet2Num(12,15,PModeWin,FM,14));
              return BetSpot[117];
    case 144: BetSpot[118] = (new TBet2Num(13,14,PModeWin,FM,14));
              return BetSpot[118];
    case 145: BetSpot[119] = (new TBet2Num(14,15,PModeWin,FM,14));
              return BetSpot[119];
    case 146: BetSpot[120] = (new TBet2Num(13,16,PModeWin,FM,14));
              return BetSpot[120];
    case 147: BetSpot[121] = (new TBet2Num(14,17,PModeWin,FM,14));
              return BetSpot[121];
    case 148: BetSpot[122] = (new TBet2Num(15,18,PModeWin,FM,14));
              return BetSpot[122];
    case 149: BetSpot[123] = (new TBet2Num(16,17,PModeWin,FM,14));
              return BetSpot[123];
    case 150: BetSpot[124] = (new TBet2Num(17,18,PModeWin,FM,14));
              return BetSpot[124];
    case 151: BetSpot[125] = (new TBet2Num(16,19,PModeWin,FM,14));
              return BetSpot[125];
    case 152: BetSpot[126] = (new TBet2Num(17,20,PModeWin,FM,14));
              return BetSpot[126];
    case 153: BetSpot[127] = (new TBet2Num(18,21,PModeWin,FM,14));
              return BetSpot[127];
    case 154: BetSpot[128] = (new TBet2Num(19,20,PModeWin,FM,14));
              return BetSpot[128];
    case 155: BetSpot[129] = (new TBet2Num(20,21,PModeWin,FM,14));
              return BetSpot[129];
    case 156: BetSpot[130] = (new TBet2Num(19,22,PModeWin,FM,14));
              return BetSpot[130];
    case 157: BetSpot[131] = (new TBet2Num(20,23,PModeWin,FM,14));
              return BetSpot[131];
    case 158: BetSpot[132] = (new TBet2Num(21,24,PModeWin,FM,14));
              return BetSpot[132];
    case 159: BetSpot[133] = (new TBet2Num(22,23,PModeWin,FM,14));
              return BetSpot[133];
    case 160: BetSpot[134] = (new TBet2Num(23,24,PModeWin,FM,14));
              return BetSpot[134];
    case 161: BetSpot[135] = (new TBet2Num(22,25,PModeWin,FM,14));
              return BetSpot[135];
    case 162: BetSpot[136] = (new TBet2Num(23,26,PModeWin,FM,14));
              return BetSpot[136];
    case 163: BetSpot[137] = (new TBet2Num(24,27,PModeWin,FM,14));
              return BetSpot[137];
    case 164: BetSpot[138] = (new TBet2Num(25,26,PModeWin,FM,14));
              return BetSpot[138];
    case 165: BetSpot[139] = (new TBet2Num(26,27,PModeWin,FM,14));
              return BetSpot[139];
    case 166: BetSpot[140] = (new TBet2Num(25,28,PModeWin,FM,14));
              return BetSpot[140];
    case 167: BetSpot[141] = (new TBet2Num(26,29,PModeWin,FM,14));
              return BetSpot[141];
    case 168: BetSpot[142] = (new TBet2Num(27,30,PModeWin,FM,14));
              return BetSpot[142];
    case 169: BetSpot[143] = (new TBet2Num(28,29,PModeWin,FM,14));
              return BetSpot[143];
    case 170: BetSpot[144] = (new TBet2Num(29,30,PModeWin,FM,14));
              return BetSpot[144];
    case 171: BetSpot[145] = (new TBet2Num(28,31,PModeWin,FM,14));
              return BetSpot[145];
    case 172: BetSpot[146] = (new TBet2Num(29,32,PModeWin,FM,14));
              return BetSpot[146];
    case 173: BetSpot[147] = (new TBet2Num(30,33,PModeWin,FM,14));
              return BetSpot[147];
    case 174: BetSpot[148] = (new TBet2Num(31,32,PModeWin,FM,14));
              return BetSpot[148];
    case 175: BetSpot[149] = (new TBet2Num(32,33,PModeWin,FM,14));
              return BetSpot[149];
    case 176: BetSpot[150] = (new TBet2Num(31,34,PModeWin,FM,14));
              return BetSpot[150];
    case 177: BetSpot[151] = (new TBet2Num(32,35,PModeWin,FM,14));
              return BetSpot[151];
    case 178: BetSpot[152] = (new TBet2Num(33,36,PModeWin,FM,14));
              return BetSpot[152];
    case 179: BetSpot[153] = (new TBet2Num(34,35,PModeWin,FM,14));
              return BetSpot[153];
    case 180: BetSpot[154] = (new TBet2Num(35,36,PModeWin,FM,14));
              return BetSpot[154];
    case 181: BetSpot[155] = (new TBet5Num(PModeWin,FM,17));
              return BetSpot[155];
    default:return (new TSprite(PModeWin,FM));
  }
}
//*******************************************************************
TSprite *TCasinoRGameLord::CreateSprite(string spritename,int16 id,void *psource)
{
  if (psource == NULL) {return CreateSpriteAux(spritename,id);}

  TFileMode FM(spritename,
               TFileMode::fm_None,
               TFileMode::fm_None,
               FileMode.GetDirIndex());
  switch (id)
  {
    case 0:return new TSprite(PModeWin,FM,psource);
    case 1: RSounds = (new TRSound(PModeWin,FM,psource));
            return RSounds;
   // case 2:  = (new TBetUnitChips(PModeWin,FM,psource));
    case 3: MessageDisplay = (new TCasMessageDisplay(PModeWin,FM,psource));
            return MessageDisplay;
    case 4: BankCashDisplay = (new TCasCashDisplay(PModeWin,FM,psource));
            return BankCashDisplay;
    case 5: BetAmountDisplay = (new TCasCashDisplay(PModeWin,FM,psource));
            return BetAmountDisplay;
    case 6:  Marker = (new TRMarker(PModeWin,FM,psource));
             return Marker;
    case 7:  ButtonChip1 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(566,455,584,479),ridOneChip,true,'9'));
             return ButtonChip1;
    case 8:  ButtonChip5 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(548,455,564,479),ridFiveChip,true,'8'));
             return ButtonChip5;
    case 9:  ButtonChip25 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(529,455,546,479),ridTwentyFiveChip,true,'7'));
             return ButtonChip25;
    case 10: ButtonChip100 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(510,455,527,479),ridOneHundredChip,true,'6'));
             return ButtonChip100;
    case 11: ButtonChip1000 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(491,455,508,479),ridOneThouChip,true,'5'));
             return ButtonChip1000;
    case 12: ButtonChip10000 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(472,455,489,479),ridTenThouChip,true,'4'));
             return ButtonChip10000;
    case 13: CasStatusBar = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(170,430,219,479),ridStatBar,true));
             return CasStatusBar;
    case 14: PayOffSp = (new TRPayOff(PModeWin,FM,psource));
             return PayOffSp;
    case 15: NumberHistory = (new TRNumberHistory(PModeWin,FM,psource));
             return NumberHistory;
    case 16: Chips = (new TCasChips(PModeWin,FM,psource));
             return Chips;
    case 17: NamePlate1 = (new TCasNamePlate(PModeWin,FM,psource));
             return NamePlate1;
    case 18: NamePlate2 = (new TCasNamePlate(PModeWin,FM,psource));
             return NamePlate2;
    case 19: NamePlate3 = (new TCasNamePlate(PModeWin,FM,psource));
             return NamePlate3;
    case 20: MenuEscButton = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(223,464,258,479),ridMenuEsc,true));
             return MenuEscButton;
    case 21: Button1 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(416,454,468,479),ridButton1,true,'r'));
             return Button1;
    case 22: Button2 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(416,430,468,452),ridButton2,true,'c'));
             return Button2;
    case 23: Button3 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(376,464,412,479),ridButton3,true));
             return Button3;
    case 24: Button4 = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(587,432,639,478),ridButton4,true,VK_RETURN));
             return Button4;
    case 25: AskExpertButton = (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)this,100,TRect(1,430,50,479),ridAskExpert,true,'x'));
             return AskExpertButton;
    case 26: BetSpot[0] = (new TBetRed(PModeWin,FM,psource,22));
             return BetSpot[0];
    case 27: BetSpot[1] = (new TBetBlack(PModeWin,FM,psource,22));
             return BetSpot[1];
    case 28: BetSpot[2] = (new TBetEven(PModeWin,FM,psource,21));
             return BetSpot[2];
    case 29: BetSpot[3] = (new TBetOdd(PModeWin,FM,psource,21));
             return BetSpot[3];
    case 30: BetSpot[4] = (new TBetRange(1,18,PModeWin,FM,psource,23));
             return BetSpot[4];
    case 31: BetSpot[5] = (new TBetRange(19,36,PModeWin,FM,psource,23));
             return BetSpot[5];
    case 32: BetSpot[6] = (new TBetRange(1,12,PModeWin,FM,psource,20));
             return BetSpot[6];
    case 33: BetSpot[7] = (new TBetRange(13,24,PModeWin,FM,psource,20));
             return BetSpot[7];
    case 34: BetSpot[8] = (new TBetRange(25,36,PModeWin,FM,psource,20));
             return BetSpot[8];
    case 35: BetSpot[9] = (new TBetCol1(PModeWin,FM,psource,19));
             return BetSpot[9];
    case 36: BetSpot[10] = (new TBetCol2(PModeWin,FM,psource,19));
             return BetSpot[10];
    case 37: BetSpot[11] = (new TBetCol3(PModeWin,FM,psource,19));
             return BetSpot[11];
    case 38: BetSpot[12] = (new TBetNum(1,PModeWin,FM,psource,13));
             return BetSpot[12];
    case 39: BetSpot[13] = (new TBetNum(2,PModeWin,FM,psource,13));
             return BetSpot[13];
    case 40: BetSpot[14] = (new TBetNum(3,PModeWin,FM,psource,13));
             return BetSpot[14];
    case 41: BetSpot[15] = (new TBetNum(4,PModeWin,FM,psource,13));
             return BetSpot[15];
    case 42: BetSpot[16] = (new TBetNum(5,PModeWin,FM,psource,13));
             return BetSpot[16];
    case 43: BetSpot[17] = (new TBetNum(6,PModeWin,FM,psource,13));
             return BetSpot[17];
    case 44: BetSpot[18] = (new TBetNum(7,PModeWin,FM,psource,13));
             return BetSpot[18];
    case 45: BetSpot[19] = (new TBetNum(8,PModeWin,FM,psource,13));
             return BetSpot[19];
    case 46: BetSpot[20] = (new TBetNum(9,PModeWin,FM,psource,13));
             return BetSpot[20];
    case 47: BetSpot[21] = (new TBetNum(10,PModeWin,FM,psource,13));
             return BetSpot[21];
    case 48: BetSpot[22] = (new TBetNum(11,PModeWin,FM,psource,13));
             return BetSpot[22];
    case 49: BetSpot[23] = (new TBetNum(12,PModeWin,FM,psource,13));
             return BetSpot[23];
    case 50: BetSpot[24] = (new TBetNum(13,PModeWin,FM,psource,13));
             return BetSpot[24];
    case 51: BetSpot[25] = (new TBetNum(14,PModeWin,FM,psource,13));
             return BetSpot[25];
    case 52: BetSpot[26] = (new TBetNum(15,PModeWin,FM,psource,13));
             return BetSpot[26];
    case 53: BetSpot[27] = (new TBetNum(16,PModeWin,FM,psource,13));
             return BetSpot[27];
    case 54: BetSpot[28] = (new TBetNum(17,PModeWin,FM,psource,13));
             return BetSpot[28];
    case 55: BetSpot[29] = (new TBetNum(18,PModeWin,FM,psource,13));
             return BetSpot[29];
    case 56: BetSpot[30] = (new TBetNum(19,PModeWin,FM,psource,13));
             return BetSpot[30];
    case 57: BetSpot[31] = (new TBetNum(20,PModeWin,FM,psource,13));
             return BetSpot[31];
    case 58: BetSpot[32] = (new TBetNum(21,PModeWin,FM,psource,13));
             return BetSpot[32];
    case 59: BetSpot[33] = (new TBetNum(22,PModeWin,FM,psource,13));
             return BetSpot[33];
    case 60: BetSpot[34] = (new TBetNum(23,PModeWin,FM,psource,13));
             return BetSpot[34];
    case 61: BetSpot[35] = (new TBetNum(24,PModeWin,FM,psource,13));
             return BetSpot[35];
    case 62: BetSpot[36] = (new TBetNum(25,PModeWin,FM,psource,13));
             return BetSpot[36];
    case 63: BetSpot[37] = (new TBetNum(26,PModeWin,FM,psource,13));
             return BetSpot[37];
    case 64: BetSpot[38] = (new TBetNum(27,PModeWin,FM,psource,13));
             return BetSpot[38];
    case 65: BetSpot[39] = (new TBetNum(28,PModeWin,FM,psource,13));
             return BetSpot[39];
    case 66: BetSpot[40] = (new TBetNum(29,PModeWin,FM,psource,13));
             return BetSpot[40];
    case 67: BetSpot[41] = (new TBetNum(30,PModeWin,FM,psource,13));
             return BetSpot[41];
    case 68: BetSpot[42] = (new TBetNum(31,PModeWin,FM,psource,13));
             return BetSpot[42];
    case 69: BetSpot[43] = (new TBetNum(32,PModeWin,FM,psource,13));
             return BetSpot[43];
    case 70: BetSpot[44] = (new TBetNum(33,PModeWin,FM,psource,13));
             return BetSpot[44];
    case 71: BetSpot[45] = (new TBetNum(34,PModeWin,FM,psource,13));
             return BetSpot[45];
    case 72: BetSpot[46] = (new TBetNum(35,PModeWin,FM,psource,13));
             return BetSpot[46];
    case 73: BetSpot[47] = (new TBetNum(36,PModeWin,FM,psource,13));
             return BetSpot[47];
    case 74: BetSpot[48] = (new TBetNum(0,PModeWin,FM,psource,13));
             return BetSpot[48];
    case 75: BetSpot[49] = (new TBetNum(37,PModeWin,FM,psource,13));
             return BetSpot[49];
    case 76: BetSpot[50] = (new TBetRange(1,3,PModeWin,FM,psource,15));
             return BetSpot[50];
    case 77: BetSpot[51] = (new TBetRange(4,6,PModeWin,FM,psource,15));
             return BetSpot[51];
    case 78: BetSpot[52] = (new TBetRange(7,9,PModeWin,FM,psource,15));
             return BetSpot[52];
    case 79: BetSpot[53] = (new TBetRange(10,12,PModeWin,FM,psource,15));
             return BetSpot[53];
    case 80: BetSpot[54] = (new TBetRange(13,15,PModeWin,FM,psource,15));
             return BetSpot[54];
    case 81: BetSpot[55] = (new TBetRange(16,18,PModeWin,FM,psource,15));
             return BetSpot[55];
    case 82: BetSpot[56] = (new TBetRange(19,21,PModeWin,FM,psource,15));
             return BetSpot[56];
    case 83: BetSpot[57] = (new TBetRange(22,24,PModeWin,FM,psource,15));
             return BetSpot[57];
    case 84: BetSpot[58] = (new TBetRange(25,27,PModeWin,FM,psource,15));
             return BetSpot[58];
    case 85: BetSpot[59] = (new TBetRange(28,30,PModeWin,FM,psource,15));
             return BetSpot[59];
    case 86: BetSpot[60] = (new TBetRange(31,33,PModeWin,FM,psource,15));
             return BetSpot[60];
    case 87: BetSpot[61] = (new TBetRange(34,36,PModeWin,FM,psource,15));
             return BetSpot[61];
    case 88: BetSpot[62] = (new TBetRange(1,6,PModeWin,FM,psource,18));
             return BetSpot[62];
    case 89: BetSpot[63] = (new TBetRange(4,9,PModeWin,FM,psource,18));
             return BetSpot[63];
    case 90: BetSpot[64] = (new TBetRange(7,12,PModeWin,FM,psource,18));
             return BetSpot[64];
    case 91: BetSpot[65] = (new TBetRange(10,15,PModeWin,FM,psource,18));
             return BetSpot[65];
    case 92: BetSpot[66] = (new TBetRange(13,18,PModeWin,FM,psource,18));
             return BetSpot[66];
    case 93: BetSpot[67] = (new TBetRange(16,21,PModeWin,FM,psource,18));
             return BetSpot[67];
    case 94: BetSpot[68] = (new TBetRange(19,24,PModeWin,FM,psource,18));
             return BetSpot[68];
    case 95: BetSpot[69] = (new TBetRange(22,27,PModeWin,FM,psource,18));
             return BetSpot[69];
    case 96: BetSpot[70] = (new TBetRange(25,30,PModeWin,FM,psource,18));
             return BetSpot[70];
    case 97: BetSpot[71] = (new TBetRange(28,33,PModeWin,FM,psource,18));
             return BetSpot[71];
    case 98: BetSpot[72] = (new TBetRange(31,36,PModeWin,FM,psource,18));
             return BetSpot[72];
    case 99: BetSpot[73] = (new TBet4Num(1,2,4,5,PModeWin,FM,psource,16));
             return BetSpot[73];
    case 100: BetSpot[74] = (new TBet4Num(2,3,5,6,PModeWin,FM,psource,16));
              return BetSpot[74];
    case 101: BetSpot[75] = (new TBet4Num(4,5,7,8,PModeWin,FM,psource,16));
              return BetSpot[75];
    case 102: BetSpot[76] = (new TBet4Num(5,6,8,9,PModeWin,FM,psource,16));
              return BetSpot[76];
    case 103: BetSpot[77] = (new TBet4Num(7,8,10,11,PModeWin,FM,psource,16));
              return BetSpot[77];
    case 104: BetSpot[78] = (new TBet4Num(8,9,11,12,PModeWin,FM,psource,16));
              return BetSpot[78];
    case 105: BetSpot[79] = (new TBet4Num(10,11,13,14,PModeWin,FM,psource,16));
              return BetSpot[79];
    case 106: BetSpot[80] = (new TBet4Num(11,12,14,15,PModeWin,FM,psource,16));
              return BetSpot[80];
    case 107: BetSpot[81] = (new TBet4Num(13,14,16,17,PModeWin,FM,psource,16));
              return BetSpot[81];
    case 108: BetSpot[82] = (new TBet4Num(14,15,17,18,PModeWin,FM,psource,16));
              return BetSpot[82];
    case 109: BetSpot[83] = (new TBet4Num(16,17,19,20,PModeWin,FM,psource,16));
              return BetSpot[83];
    case 110: BetSpot[84] = (new TBet4Num(17,18,20,21,PModeWin,FM,psource,16));
              return BetSpot[84];
    case 111: BetSpot[85] = (new TBet4Num(19,20,22,23,PModeWin,FM,psource,16));
              return BetSpot[85];
    case 112: BetSpot[86] = (new TBet4Num(20,21,23,24,PModeWin,FM,psource,16));
              return BetSpot[86];
    case 113: BetSpot[87] = (new TBet4Num(22,23,25,26,PModeWin,FM,psource,16));
              return BetSpot[87];
    case 114: BetSpot[88] = (new TBet4Num(23,24,26,27,PModeWin,FM,psource,16));
              return BetSpot[88];
    case 115: BetSpot[89] = (new TBet4Num(25,26,28,29,PModeWin,FM,psource,16));
              return BetSpot[89];
    case 116: BetSpot[90] = (new TBet4Num(26,27,29,30,PModeWin,FM,psource,16));
              return BetSpot[90];
    case 117: BetSpot[91] = (new TBet4Num(28,29,31,32,PModeWin,FM,psource,16));
              return BetSpot[91];
    case 118: BetSpot[92] = (new TBet4Num(29,30,32,33,PModeWin,FM,psource,16));
              return BetSpot[92];
    case 119: BetSpot[93] = (new TBet4Num(31,32,34,35,PModeWin,FM,psource,16));
              return BetSpot[93];
    case 120: BetSpot[94] = (new TBet4Num(32,33,35,36,PModeWin,FM,psource,16));
              return BetSpot[94];
    case 121: BetSpot[95] = (new TBet2Num(0,37,PModeWin,FM,psource,14));
              return BetSpot[95];
    case 122: BetSpot[96] = (new TBet2Num(0,1,PModeWin,FM,psource,14));
              return BetSpot[96];
    case 123: BetSpot[97] = (new TBet2Num(3,37,PModeWin,FM,psource,14));
              return BetSpot[97];
    case 124: BetSpot[98] = (new TBet2Num(1,2,PModeWin,FM,psource,14));
              return BetSpot[98];
    case 125: BetSpot[99] = (new TBet2Num(2,3,PModeWin,FM,psource,14));
              return BetSpot[99];
    case 126: BetSpot[100] = (new TBet2Num(1,4,PModeWin,FM,psource,14));
              return BetSpot[100];
    case 127: BetSpot[101] = (new TBet2Num(2,5,PModeWin,FM,psource,14));
              return BetSpot[101];
    case 128: BetSpot[102] = (new TBet2Num(3,6,PModeWin,FM,psource,14));
              return BetSpot[102];
    case 129: BetSpot[103] = (new TBet2Num(4,5,PModeWin,FM,psource,14));
              return BetSpot[103];
    case 130: BetSpot[104] = (new TBet2Num(5,6,PModeWin,FM,psource,14));
              return BetSpot[104];
    case 131: BetSpot[105] = (new TBet2Num(4,7,PModeWin,FM,psource,14));
              return BetSpot[105];
    case 132: BetSpot[106] = (new TBet2Num(5,8,PModeWin,FM,psource,14));
              return BetSpot[106];
    case 133: BetSpot[107] = (new TBet2Num(6,9,PModeWin,FM,psource,14));
              return BetSpot[107];
    case 134: BetSpot[108] = (new TBet2Num(7,8,PModeWin,FM,psource,14));
              return BetSpot[108];
    case 135: BetSpot[109] = (new TBet2Num(8,9,PModeWin,FM,psource,14));
              return BetSpot[109];
    case 136: BetSpot[110] = (new TBet2Num(7,10,PModeWin,FM,psource,14));
              return BetSpot[110];
    case 137: BetSpot[111] = (new TBet2Num(8,11,PModeWin,FM,psource,14));
              return BetSpot[111];
    case 138: BetSpot[112] = (new TBet2Num(9,12,PModeWin,FM,psource,14));
              return BetSpot[112];
    case 139: BetSpot[113] = (new TBet2Num(10,11,PModeWin,FM,psource,14));
              return BetSpot[113];
    case 140: BetSpot[114] = (new TBet2Num(11,12,PModeWin,FM,psource,14));
              return BetSpot[114];
    case 141: BetSpot[115] = (new TBet2Num(10,13,PModeWin,FM,psource,14));
              return BetSpot[115];
    case 142: BetSpot[116] = (new TBet2Num(11,14,PModeWin,FM,psource,14));
              return BetSpot[116];
    case 143: BetSpot[117] = (new TBet2Num(12,15,PModeWin,FM,psource,14));
              return BetSpot[117];
    case 144: BetSpot[118] = (new TBet2Num(13,14,PModeWin,FM,psource,14));
              return BetSpot[118];
    case 145: BetSpot[119] = (new TBet2Num(14,15,PModeWin,FM,psource,14));
              return BetSpot[119];
    case 146: BetSpot[120] = (new TBet2Num(13,16,PModeWin,FM,psource,14));
              return BetSpot[120];
    case 147: BetSpot[121] = (new TBet2Num(14,17,PModeWin,FM,psource,14));
              return BetSpot[121];
    case 148: BetSpot[122] = (new TBet2Num(15,18,PModeWin,FM,psource,14));
              return BetSpot[122];
    case 149: BetSpot[123] = (new TBet2Num(16,17,PModeWin,FM,psource,14));
              return BetSpot[123];
    case 150: BetSpot[124] = (new TBet2Num(17,18,PModeWin,FM,psource,14));
              return BetSpot[124];
    case 151: BetSpot[125] = (new TBet2Num(16,19,PModeWin,FM,psource,14));
              return BetSpot[125];
    case 152: BetSpot[126] = (new TBet2Num(17,20,PModeWin,FM,psource,14));
              return BetSpot[126];
    case 153: BetSpot[127] = (new TBet2Num(18,21,PModeWin,FM,psource,14));
              return BetSpot[127];
    case 154: BetSpot[128] = (new TBet2Num(19,20,PModeWin,FM,psource,14));
              return BetSpot[128];
    case 155: BetSpot[129] = (new TBet2Num(20,21,PModeWin,FM,psource,14));
              return BetSpot[129];
    case 156: BetSpot[130] = (new TBet2Num(19,22,PModeWin,FM,psource,14));
              return BetSpot[130];
    case 157: BetSpot[131] = (new TBet2Num(20,23,PModeWin,FM,psource,14));
              return BetSpot[131];
    case 158: BetSpot[132] = (new TBet2Num(21,24,PModeWin,FM,psource,14));
              return BetSpot[132];
    case 159: BetSpot[133] = (new TBet2Num(22,23,PModeWin,FM,psource,14));
              return BetSpot[133];
    case 160: BetSpot[134] = (new TBet2Num(23,24,PModeWin,FM,psource,14));
              return BetSpot[134];
    case 161: BetSpot[135] = (new TBet2Num(22,25,PModeWin,FM,psource,14));
              return BetSpot[135];
    case 162: BetSpot[136] = (new TBet2Num(23,26,PModeWin,FM,psource,14));
              return BetSpot[136];
    case 163: BetSpot[137] = (new TBet2Num(24,27,PModeWin,FM,psource,14));
              return BetSpot[137];
    case 164: BetSpot[138] = (new TBet2Num(25,26,PModeWin,FM,psource,14));
              return BetSpot[138];
    case 165: BetSpot[139] = (new TBet2Num(26,27,PModeWin,FM,psource,14));
              return BetSpot[139];
    case 166: BetSpot[140] = (new TBet2Num(25,28,PModeWin,FM,psource,14));
              return BetSpot[140];
    case 167: BetSpot[141] = (new TBet2Num(26,29,PModeWin,FM,psource,14));
              return BetSpot[141];
    case 168: BetSpot[142] = (new TBet2Num(27,30,PModeWin,FM,psource,14));
              return BetSpot[142];
    case 169: BetSpot[143] = (new TBet2Num(28,29,PModeWin,FM,psource,14));
              return BetSpot[143];
    case 170: BetSpot[144] = (new TBet2Num(29,30,PModeWin,FM,psource,14));
              return BetSpot[144];
    case 171: BetSpot[145] = (new TBet2Num(28,31,PModeWin,FM,psource,14));
              return BetSpot[145];
    case 172: BetSpot[146] = (new TBet2Num(29,32,PModeWin,FM,psource,14));
              return BetSpot[146];
    case 173: BetSpot[147] = (new TBet2Num(30,33,PModeWin,FM,psource,14));
              return BetSpot[147];
    case 174: BetSpot[148] = (new TBet2Num(31,32,PModeWin,FM,psource,14));
              return BetSpot[148];
    case 175: BetSpot[149] = (new TBet2Num(32,33,PModeWin,FM,psource,14));
              return BetSpot[149];
    case 176: BetSpot[150] = (new TBet2Num(31,34,PModeWin,FM,psource,14));
              return BetSpot[150];
    case 177: BetSpot[151] = (new TBet2Num(32,35,PModeWin,FM,psource,14));
              return BetSpot[151];
    case 178: BetSpot[152] = (new TBet2Num(33,36,PModeWin,FM,psource,14));
              return BetSpot[152];
    case 179: BetSpot[153] = (new TBet2Num(34,35,PModeWin,FM,psource,14));
              return BetSpot[153];
    case 180: BetSpot[154] = (new TBet2Num(35,36,PModeWin,FM,psource,14));
              return BetSpot[154];
    case 181: BetSpot[155] = (new TBet5Num(PModeWin,FM,psource,17));
              return BetSpot[155];
    default:return (new TSprite(PModeWin,FM,psource));
  }
}
//*******************************************************************
