//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slapp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/17/97    M.Perry     modified app hierarchy.
//********************************************************************
#include "slapp.h"
#include "slgfw.h"
#include "cgametyp.h"
//*******************************************************************
void TSLApp::GetAppInfo(TOgleAppInfo &appinfo)
{
  TCasinoApp::GetAppInfo(appinfo);
  appinfo.MainTitle = "Avery Cardoza's Slots Champion";
}
//*******************************************************************
int TSLApp::GetAppType()
{
  return catSlotLite;
}
//*******************************************************************
TSLApp::TSLApp(string hddrive,string hddir,string appname)
:TCasinoApp(hddrive,hddir,appname)
{
}
//*******************************************************************
TSLApp::~TSLApp()
{
}
//*******************************************************************
TOgleGameFrameWindow *TSLApp::CreateGameFrameWindow()
{
  TOgleAppInfo appinfo;
  GetAppInfo(appinfo);
  return (new TSLGameFrameWindow(this,appinfo.MainTitle.c_str()));
}
//*******************************************************************
void TSLApp::CreateGameFile()
{
  TCasinoApp::CreateGameFile();
}
//*******************************************************************
string TSLApp::GetDetName()
{
  return AppName;
}
//*******************************************************************
