//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  slglord.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//*******************************************************************
#include "slglord.h"
#include "sllordst.h"
#include "sllrdmst.h"
#include "ostate.h"
#include <time.h>   //To Set Random Number Generator
#define  NUMBEROFPLAYERS 3
#include <stdlib.h> //For Random Number Generator
//#include "casslmw.h"
#include "slmw.h"
//#include "oskitcat.h"
#include "slplay.h"
#include "expert.h"
#include "cplaymgr.h"
#include "casapp.h"
#include "orespond.h"
#include "slmenu.rh"
//*******************************************************************
#pragma argsused
BOOL TCasinoSLGameLord::Respond(int button,int info,void *pdata)
{
  ButtonInfo = info;
  if(info != -1)
  {
	 switch(button)
	 {
	 case idButton0  : ButtonHit[0]=TRUE;break;
	 default         : WaitOnButtonDown = FALSE;break;
	 }
  }
  return TRUE;
}
//*******************************************************************
void TCasinoSLGameLord::ButtonClear(int button)
{
  switch(button)
  {
	 case idButton0  : ButtonHit[0]=FALSE;GetFW()->CmShowMenu();break;
	 default         : WaitOnButtonDown = FALSE;break;
  }
  WaitOnButtonDown = FALSE;
  return;
}
//*******************************************************************
BOOL TCasinoSLGameLord::Respond(TResponder &responder)
{
  if (PState == NULL) {return TRUE;}

  if((responder.GetResponseEvent() == reEnterArea ||
		responder.GetResponseEvent() == reLeaveArea  ) &&
		responder.GetID() != idBack && responder.GetID() != idButton0)
  {
	 if(responder.GetResponseEvent() == reEnterArea)
	 {
		switch (responder.GetID())
		{
		  case idSpit            :  MessageDisplay->ShowLobbyMessage(9);break;
		  case idJoke25          :  MessageDisplay->ShowLobbyMessage(6);break;
		  case idJoke5           :  MessageDisplay->ShowLobbyMessage(5);break;
		  case idCher2           :  MessageDisplay->ShowLobbyMessage(3);break;
		  case idCher5           :  MessageDisplay->ShowLobbyMessage(4);break;
		  case idCher1           :  MessageDisplay->ShowLobbyMessage(2);break;
		  case idJung2           :  MessageDisplay->ShowLobbyMessage(8);break;
		  case idJung1           :  MessageDisplay->ShowLobbyMessage(7);break;
		  case idAlad100         :  MessageDisplay->ShowLobbyMessage(0);break;
		  case idAladProg        :  MessageDisplay->ShowLobbyMessage(1);break;
		 // case idSpeed               :  MessageDisplay->ShowLobbyMessage();break;
		  default                :  break;
		}
	 }
	 else
	 {
      MessageDisplay->ShowLobbyMessage(10);
    }
	 if(responder.GetResponseEvent() == reLeaveArea)
	 {
		GetOgleApp()->GetCursorMgr()->SetCursor(ctAction,0,0);
		return TRUE;
	 }
	 return TRUE;
  }
  else
  {
	 DWORD FUCKLen=0;
	 DWORD STARTFUC=GetAdjFUC();
    int command = 0;
	 switch (responder.GetID())
	 {
		case idSpit       :  command = CM_GAMESLOTSSPIRIT1000;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToSpirit1000();return TRUE;
		case idJoke25     :  command = CM_GAMESLOTSJOKERS25;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToJoke25();return TRUE;
		case idJoke5      :  command = CM_GAMESLOTSJOKERS5;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToJoke5();return TRUE;
		case idCher2      :  command = CM_GAMESLOTSCHERRY2;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToCher2();return TRUE;
		case idCher5      :  command = CM_GAMESLOTSCHERRY5;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToCher5();return TRUE;
		case idCher1      :  command = CM_GAMESLOTSCHERRY1;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToCher1();return TRUE;
		case idJung2      :  command = CM_GAMESLOTSJUNGLE2;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToJung2();return TRUE;
		case idJung1      :  command = CM_GAMESLOTSJUNGLE1;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToJung1();return TRUE;
		case idAlad100    :  command = CM_GAMESLOTSALADDIN100;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToAlad100();return TRUE;
		case idAladProg   :  command = CM_GAMESLOTSALADDIN1P;break;//((TCasinoModeWin *)PModeWin)->PostSwitchToAladProg();return TRUE;
		case idLogo       :  GetOgleApp()->Help(HELP_CONTENTS);return TRUE;
		case idMen        :  GetFW()->CmShowMenu();return TRUE;
		case idBack       :  return TRUE;
		case idCar        :  if(responder.GetResponseEvent() == reLUp)
									{
									  return (ActivateSprite(Car,STARTFUC,FUCKLen));
									}
									return TRUE;
		case idTree       :  if(responder.GetResponseEvent() == reLUp)
									{
									  return (ActivateSprite(Tree,STARTFUC,FUCKLen));
									}
									return TRUE;
		default           :  return TRUE;
	 }
    if (command != 0)
    {
      PModeWin->PostCommandToFW(command);
    }
    return TRUE;
  }
}
//*******************************************************************
void TCasinoSLGameLord::SetupResponders()
{
  Responders[0]  = new TResponder(PModeWin,100,TRect(1,148,74,231)   ,idSpit,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[1]  = new TResponder(PModeWin,100,TRect(79,148,152,231) ,idJoke25,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[2]  = new TResponder(PModeWin,100,TRect(157,148,230,231),idCher2,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[3]  = new TResponder(PModeWin,100,TRect(50,243,156,396),idJung1,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[4]  = new TResponder(PModeWin,100,TRect(190,243,296,396),idJoke5,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[5]  = new TResponder(PModeWin,100,TRect(346,243,452,396),idAladProg,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[6]  = new TResponder(PModeWin,100,TRect(485,243,591,396),idCher1,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[7]  = new TResponder(PModeWin,100,TRect(410,148,483,231),idCher5,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[8]  = new TResponder(PModeWin,100,TRect(486,148,559,231),idJung2,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[9]  = new TResponder(PModeWin,100,TRect(563,148,636,231),idAlad100,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[10] = new TResponder(PModeWin,100,TRect(620,450,621,451) ,idLogo,this,TRUE);//75,420,288,479) ,idLogo,this,TRUE);
  Responders[11] = new TResponder(PModeWin,100,TRect(1,1,2,2),idMen,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[12] = new TResponder(PModeWin,50,TRect(1,1,639,479)    ,idBack,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_OFF_CURSOR));
  Responders[13] = new TResponder(PModeWin,100,TRect(227,91,416,141),idCar,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_ON_CURSOR));
  Responders[14] = new TResponder(PModeWin,100,TRect(218,14,423,87)    ,idTree,this,TRUE,'^',TCursorData(GetOgleApp(),ID_SPADE_OFF_CURSOR));

}
//*******************************************************************
TCasinoSLGameLord::TCasinoSLGameLord(TSLobby1ModeWin *pmwin,const TFileMode &fm)
//  :TCasinoGameLord(pmwin,fm,gtNone,cd1)
:TCasLobbyGameLord(pmwin,fm,gtNone,cd1)
{
  PState   = new TSLLordMainState(this);
//  ask      = new TSAsk(this);


  shutdownstate    = 0;
//  pMWin  = pmwin;
  activeplayer = 0;
  playersin=0;

  SetupResponders();
}
//*******************************************************************
TCasinoSLGameLord::~TCasinoSLGameLord()
{
  if(PState != NULL)
  {
	 delete PState;
	 PState = NULL;
  }
  CleanupResponders();
}
//*******************************************************************
void TCasinoSLGameLord::CleanupResponders()
{
  for(int i=0;i<NumResponders-1;i++) {delete Responders[i];}
}
//*******************************************************************
TCasinoSLGameLord::InitL()
{
//  SetCashWhirlIdle();
  for(int i=0;i<NumResponders-1;i++)
  {
	 Responders[i]->SetEnterLeave(TRUE);
  }
  MenuEscButton->SetCurrentUpFrame(50);
  MenuEscButton->ShowUp();
  SetSound1Idle();
  SetSound2Idle();
  SetSound3Idle();
  SetSound4Idle();
  SetSound5Idle();
  SetSound6Idle();
  SetSound7Idle();
  SetSound8Idle();
  SetTreeIdle();
  SetSignIdle();
  SetSongIdle();
  MessageDisplay->ShowLobbyMessage(10);
  return 1;
}
//*******************************************************************
void  TCasinoSLGameLord::ShuttingDown()
{
  if(shutdownstate == 0)
  {
	 if(GetCasPD(0))
	 {
		NotifyPlayerDeActivation(0);
	 }
	 if(GetCasPD(1))
	 {
		NotifyPlayerDeActivation(1);
	 }
	 if(GetCasPD(2))
	 {
		NotifyPlayerDeActivation(2);
	 }
  }
}
//*******************************************************************
void TCasinoSLGameLord::NotifyPlayerActivation(int slotnum)
{
}
//*******************************************************************
void TCasinoSLGameLord::NotifyPlayerDeActivation(int slotnum)
{
}
//*******************************************************************
void TCasinoSLGameLord::SetupActivePlayer(int slot)
{
}
//*******************************************************************
