//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  slotwnst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "slotwnst.h"
#include "slot1lrd.h"
#include <iostream.h>

TSlotWinnerState::TSlotWinnerState(TSlot1Lord *pNewSlot1Lord)
	: TSlot1LordState(pNewSlot1Lord)
{
 // cout << "GAState constructor" << endl;
}
TSlotWinnerState::~TSlotWinnerState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TSlotWinnerState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TSlotWinnerState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TSlot1LordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TSlotWinnerState::ExecuteFirstTime()
{
  cout << "Winner state" << endl;
  pOwnerLord->ShowReels();
  pOwnerLord->Winner();
  pOwnerLord->ShowWinner();

  ExecuteStatus    = ess_Done;

}