//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cs1gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//  2.3     07/12/99   M.Perry     gobjlist removal
//  2.4    09/11/99    M.Perry    setupsprites() shrinkage
//*******************************************************************
#include "cs1gld.h"
//#include "cs1spl.h"
//#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
//TSpriteList *TCherry1GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TCherry1SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TCherry1GameLord::SetReel()
{
  int16 x,y,z;
  x = int16(random(5000));
  y = int16(random(5000));
  z = int16(random(5000));
  if(x<=250){x=0;}
  else if(x<=450){x=1;}
  else if(x<=650){x=2;}
  else if(x<=800){x=3;}
  else if(x<=950){x=4;}
  else if(x<=1150){x=5;}
  else if(x<=1350){x=6;}
  else if(x<=1600){x=7;}
  else if(x<=1900){x=8;}
  else if(x<=2150){x=9;}
  else if(x<=2450){x=10;}
  else if(x<=2650){x=11;}
  else if(x<=2850){x=12;}
  else if(x<=2950){x=13;}
  else if(x<=3250){x=14;}
  else if(x<=3350){x=15;}
  else if(x<=3650){x=16;}
  else if(x<=3900){x=17;}
  else if(x<=4200){x=18;}
  else if(x<=4450){x=19;}
  else if(x<=4750){x=20;}
  else if(x<=5000){x=21;}
  if(y<=150){y=0;}
  else if(y<=250){y=1;}
  else if(y<=450){y=2;}
  else if(y<=600){y=3;}
  else if(y<=800){y=4;}
  else if(y<=1000){y=5;}
  else if(y<=1150){y=6;}
  else if(y<=1400){y=7;}
  else if(y<=1600){y=8;}
  else if(y<=2200){y=9;}
  else if(y<=2400){y=10;}
  else if(y<=2600){y=11;}
  else if(y<=2800){y=12;}
  else if(y<=2900){y=13;}
  else if(y<=3100){y=14;}
  else if(y<=3300){y=15;}
  else if(y<=3500){y=16;}
  else if(y<=3750){y=17;}
  else if(y<=3950){y=18;}
  else if(y<=4200){y=19;}
  else if(y<=4400){y=20;}
  else if(y<=5000){y=21;}
  if(z<=200){z=0;}
  else if(z<=550){z=1;}
  else if(z<=750){z=2;}
  else if(z<=900){z=3;}
  else if(z<=1200){z=4;}
  else if(z<=1550){z=5;}
  else if(z<=1750){z=6;}
  else if(z<=2050){z=7;}
  else if(z<=2150){z=8;}
  else if(z<=2400){z=9;}
  else if(z<=2500){z=10;}
  else if(z<=2900){z=11;}
  else if(z<=3100){z=12;}
  else if(z<=3200){z=13;}
  else if(z<=3400){z=14;}
  else if(z<=3650){z=15;}
  else if(z<=3850){z=16;}
  else if(z<=4150){z=17;}
  else if(z<=4250){z=18;}
  else if(z<=4650){z=19;}
  else if(z<=4750){z=20;}
  else if(z<=5000){z=21;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TCherry1GameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 0;break;
	 case 1  : s0 = 1;break;
	 case 2  : s0 = 0;break;
	 case 3  : s0 = 4;break;
	 case 4  : s0 = 0;break;
	 case 5  : s0 = 1;break;
	 case 6  : s0 = 0;break;
	 case 7  : s0 = 2;break;
	 case 8  : s0 = 0;break;
	 case 9  : s0 = 3;break;
	 case 10 : s0 = 0;break;
	 case 11 : s0 = 1;break;
	 case 12 : s0 = 0;break;
	 case 13 : s0 = 4;break;
	 case 14 : s0 = 0;break;
	 case 15 : s0 = 1;break;
	 case 16 : s0 = 0;break;
	 case 17 : s0 = 2;break;
	 case 18 : s0 = 0;break;
	 case 19 : s0 = 2;break;
	 case 20 : s0 = 0;break;
	 case 21 : s0 = 3;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 0;break;
	 case 1  : s1 = 1;break;
	 case 2  : s1 = 0;break;
	 case 3  : s1 = 4;break;
	 case 4  : s1 = 0;break;
	 case 5  : s1 = 1;break;
	 case 6  : s1 = 0;break;
	 case 7  : s1 = 2;break;
	 case 8  : s1 = 0;break;
	 case 9  : s1 = 3;break;
	 case 10 : s1 = 0;break;
	 case 11 : s1 = 1;break;
	 case 12 : s1 = 0;break;
	 case 13 : s1 = 4;break;
	 case 14 : s1 = 0;break;
	 case 15 : s1 = 1;break;
	 case 16 : s1 = 0;break;
	 case 17 : s1 = 2;break;
	 case 18 : s1 = 0;break;
	 case 19 : s1 = 2;break;
	 case 20 : s1 = 0;break;
	 case 21 : s1 = 3;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 0;break;
	 case 1  : s2 = 1;break;
	 case 2  : s2 = 0;break;
	 case 3  : s2 = 4;break;
	 case 4  : s2 = 0;break;
	 case 5  : s2 = 1;break;
	 case 6  : s2 = 0;break;
	 case 7  : s2 = 2;break;
	 case 8  : s2 = 0;break;
	 case 9  : s2 = 3;break;
	 case 10 : s2 = 0;break;
	 case 11 : s2 = 1;break;
	 case 12 : s2 = 0;break;
	 case 13 : s2 = 4;break;
	 case 14 : s2 = 0;break;
	 case 15 : s2 = 1;break;
	 case 16 : s2 = 0;break;
	 case 17 : s2 = 2;break;
	 case 18 : s2 = 0;break;
	 case 19 : s2 = 2;break;
	 case 20 : s2 = 0;break;
	 case 21 : s2 = 3;break;
	 default : s2 = 0;
  }
  if(s0 == 4 && s1 == 4 && s2 == 4)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 3){ActivateSprite(Song,GetAdjFUC());return 4000;}
	 else if(coinsplayed == 2){return 2000;}
	 else if(coinsplayed == 1){return 1000;}
  }
  else if(s0 == 3 && s1 == 3 && s2 == 3)
  {
	 PayOffSound = 4;
	 if(coinsplayed == 3){return 90;}
	 else if(coinsplayed == 2){return 60;}
	 else if(coinsplayed == 1){return 30;}
  }
  else if(s0 == 2 && s1 == 2 && s2 == 2)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 18;}
	 else if(coinsplayed == 2){return 12;}
	 else if(coinsplayed == 1){return 6;}
  }
  else if(s0 == 1 && s1 == 1 && s2 == 1)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 12;}
	 else if(coinsplayed == 2){return 8;}
	 else if(coinsplayed == 1){return 4;}
  }
  else if((s0 > 1) && (s1 > 1) && (s2 > 1))
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 9;}
	 else if(coinsplayed == 2){return 6;}
	 else if(coinsplayed == 1){return 3;}
  }
  else if( (s0 == 1 && s1 == 1) || (s0 == 1 && s2 == 1) ||(s2 == 1 && s1 == 1) )
  {
	 PayOffSound = 2;
	 if(coinsplayed == 3){return 6;}
	 else if(coinsplayed == 2){return 4;}
	 else if(coinsplayed == 1){return 2;}
  }
  else if(s0 == 1 || s1 == 1 || s2 == 1)
  {
	 PayOffSound = 1;
	 if(coinsplayed == 3){return 3;}
	 else if(coinsplayed == 2){return 2;}
	 else if(coinsplayed == 1){return 1;}
  }
  return 0;
}
//*******************************************************************
//void TCherry1GameLord::SetupSprites()
//{
//  Song = GetSpriteIndex(GetResString(IDS_AS_SONG_S_C1));
// // Sounds = NULL;
// // Sounds      = (TSSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_S_C1));
//  if (Sounds  == NULL) {SpriteError("Slots Sounds",GetResString(IDS_MS_SOUNDS_S_C1));}
//   Sounds->Start(GetFUC());
// /* Button0 = NULL;
//  Button1 = NULL;
//  Button2 = NULL;
//  Button3 = NULL;
//  Button4 = NULL;
//  Button5 = NULL;
//  Button6 = NULL;
//  Button7 = NULL;
//  BankCashDisplay = NULL;
//  CoinPay         = NULL;
//  Reel            = NULL;
//  CoinsPlayed     = NULL;
//  WinPaid         = NULL;
//  Credits         = NULL;
//  Chips           = NULL;
//  NamePlate1       = NULL;
//  NamePlate2       = NULL;
//  NamePlate3       = NULL;
//
//  CoinsPlayed     = (TSCoinsPlayed   *) GetSpritePtr(GetResString(IDS_MS_COINSPLAYED_S_C1));
//  WinPaid         = (TSWinPaid       *) GetSpritePtr(GetResString(IDS_MS_WINPAID_S_C1));
//  Credits         = (TSCredits       *) GetSpritePtr(GetResString(IDS_MS_CREDITS_S_C1));
//  Chips           = (TCasChips       *) GetSpritePtr(GetResString(IDS_MS_CHIPS_S_C1));
//  Reel            = (TSReel          *) GetSpritePtr(GetResString(IDS_MS_REEL_S_C1));
//  CoinPay         = (TSCoinPay       *) GetSpritePtr(GetResString(IDS_MS_COINPAY_S_C1));
//  BankCashDisplay = (TCasCashDisplay *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_S_C1));
//  Button0            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B0_S_C1));
//  Button1            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B1_S_C1));
//  Button2            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B2_S_C1));
//  Button3            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B3_S_C1));
//  Button4            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B4_S_C1));
//  Button5            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B5_S_C1));
//  Button6            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B6_S_C1));
//  Button7            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B7_S_C1));
//  NamePlate1      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP1_S_C1));
//  NamePlate2      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP2_S_C1));
//  NamePlate3      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP3_S_C1));
//            */
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_S_C1));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_S_C1));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_S_C1));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_S_C1));}
//  if (Reel            == NULL) {SpriteError("Reel",GetResString(IDS_MS_REEL_S_C1));}
//  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",        GetResString(IDS_MS_NP1_S_C1));}
//  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",        GetResString(IDS_MS_NP2_S_C1));}
//  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",        GetResString(IDS_MS_NP3_S_C1));}
//  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",   GetResString(IDS_MS_BANKCASH_S_C1));}
//  if (Button0 == NULL)       {SpriteError("Button0",      GetResString(IDS_MS_B0_S_C1));}
//  if (Button1 == NULL)       {SpriteError("Button1",      GetResString(IDS_MS_B1_S_C1));}
//  if (Button2 == NULL)       {SpriteError("Button2",      GetResString(IDS_MS_B2_S_C1));}
//  if (Button3 == NULL)       {SpriteError("Button3",      GetResString(IDS_MS_B3_S_C1));}
//  if (Button4 == NULL)       {SpriteError("Button4",      GetResString(IDS_MS_B4_S_C1));}
//  if (Button5 == NULL)       {SpriteError("Button5",      GetResString(IDS_MS_B5_S_C1));}
//  if (Button6 == NULL)       {SpriteError("Button6",      GetResString(IDS_MS_B6_S_C1));}
//  if (Button7 == NULL)       {SpriteError("Button7",      GetResString(IDS_MS_B7_S_C1));}
//  if (CoinPay       == NULL) {SpriteError("CoinPay",      GetResString(IDS_MS_COINPAY_S_C1));}
//
//	CoinsPlayed->Start(GetFUC());
//	Credits->Start(GetFUC());
//	WinPaid->Start(GetFUC());
//	Chips->Start(GetFUC());
//	ActivateSpriteNow(Reel);
//	CoinPay->Start(GetFUC());
//	BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//	NamePlate1->Start(GetFUC());
//	NamePlate2->Start(GetFUC());
//	NamePlate3->Start(GetFUC());
//
//}
//*******************************************************************
//void TCherry1GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TCherry1GameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_C1;
  idsButton1 = IDS_MS_B1_S_C1;
  idsButton2 = IDS_MS_B2_S_C1;
  idsButton3 = IDS_MS_B3_S_C1;
  idsButton4 = IDS_MS_B4_S_C1;
  idsButton5 = IDS_MS_B5_S_C1;
  idsButton6 = IDS_MS_B6_S_C1;
  idsButton7 = IDS_MS_B7_S_C1;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_C1;
  idsChips = IDS_MS_CHIPS_S_C1;
  idsCoinPay = IDS_MS_COINPAY_S_C1;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_C1;
  idsCredits = IDS_MS_CREDITS_S_C1;
  idsNP1 = IDS_MS_NP1_S_C1;
  idsNP2 = IDS_MS_NP2_S_C1;
  idsNP3 = IDS_MS_NP3_S_C1;
  idsReel = IDS_MS_REEL_S_C1;
  idsSound = IDS_MS_SOUNDS_S_C1;
  idsWinPaid = IDS_MS_WINPAID_S_C1;
  idsSong = IDS_AS_SONG_S_C1;
}
//*******************************************************************
TCherry1GameLord::TCherry1GameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslCherrySlam,TMoney::did_1_00)//cd1)
{
  SetupUniqueIDStrings();

  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  maxbet=3;

  SetupSprites();
}
//*******************************************************************
TCherry1GameLord::~TCherry1GameLord()
{
  CleanupSprites();
}
//*******************************************************************