//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  s76tgld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/08/99   M.Perry    gobjlist removal
//  2.4     09/10/99   M.Perry    setupsprites shrinkage
//*******************************************************************
#include "s76tgld.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
void TSpirit76GameLord::SetReel()
{
  int16 x,y,z;
  x=(int16)random(5000);
  y=(int16)random(5000);
  z=(int16)random(5000);

  if(x<=200){x=0;}
  else if(x<=300){x=1;}
  else if(x<=650){x=2;}
  else if(x<=900){x=3;}
  else if(x<=1200){x=4;}
  else if(x<=1350){x=5;}
  else if(x<=1650){x=6;}
  else if(x<=2100){x=7;}
  else if(x<=2400){x=8;}
  else if(x<=2550){x=9;}
  else if(x<=2750){x=10;}
  else if(x<=2850){x=11;}
  else if(x<=3050){x=12;}
  else if(x<=3600){x=13;}
  else if(x<=3800){x=14;}
  else if(x<=4000){x=15;}
  else if(x<=4200){x=16;}
  else if(x<=4300){x=17;}
  else if(x<=4500){x=18;}
  else if(x<=4600){x=19;}
  else if(x<=4900){x=20;}
  else if(x<=5000){x=21;}

  if(y<=300){y=0;}
  else if(y<=500){y=1;}
  else if(y<=700){y=2;}
  else if(y<=750){y=3;}
  else if(y<=1000){y=4;}
  else if(y<=1400){y=5;}
  else if(y<=1600){y=6;}
  else if(y<=1900){y=7;}
  else if(y<=2100){y=8;}
  else if(y<=2300){y=9;}
  else if(y<=2500){y=10;}
  else if(y<=2550){y=11;}
  else if(y<=2750){y=12;}
  else if(y<=3150){y=13;}
  else if(y<=3350){y=14;}
  else if(y<=3600){y=15;}
  else if(y<=3380){y=16;}
  else if(y<=4350){y=17;}
  else if(y<=4550){y=18;}
  else if(y<=4600){y=19;}
  else if(y<=4800){y=20;}
  else if(y<=5000){y=21;}

  if(z<=200){z=0;}
  else if(z<=300){z=1;}
  else if(z<=650){z=2;}
  else if(z<=900){z=3;}
  else if(z<=1200){z=4;}
  else if(z<=1350){z=5;}
  else if(z<=1650){z=6;}
  else if(z<=2100){z=7;}
  else if(z<=2400){z=8;}
  else if(z<=2550){z=9;}
  else if(z<=2750){z=10;}
  else if(z<=2850){z=11;}
  else if(z<=3050){z=12;}
  else if(z<=3600){z=13;}
  else if(z<=3800){z=14;}
  else if(z<=4000){z=15;}
  else if(z<=4200){z=16;}
  else if(z<=4300){z=17;}
  else if(z<=4500){z=18;}
  else if(z<=4600){z=19;}
  else if(z<=4900){z=20;}
  else if(z<=5000){z=21;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TSpirit76GameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 0;break;
	 case 1  : s0 = 6;break;
	 case 2  : s0 = 0;break;
	 case 3  : s0 = 3;break;
	 case 4  : s0 = 0;break;
	 case 5  : s0 = 5;break;
	 case 6  : s0 = 0;break;
	 case 7  : s0 = 2;break;
	 case 8  : s0 = 0;break;
	 case 9  : s0 = 4;break;
	 case 10 : s0 = 0;break;
	 case 11 : s0 = 6;break;
	 case 12 : s0 = 0;break;
	 case 13 : s0 = 1;break;
	 case 14 : s0 = 0;break;
	 case 15 : s0 = 3;break;
	 case 16 : s0 = 0;break;
	 case 17 : s0 = 4;break;
	 case 18 : s0 = 0;break;
	 case 19 : s0 = 5;break;
	 case 20 : s0 = 0;break;
	 case 21 : s0 = 1;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 0;break;
	 case 1  : s1 = 1;break;
	 case 2  : s1 = 0;break;
	 case 3  : s1 = 6;break;
	 case 4  : s1 = 0;break;
	 case 5  : s1 = 2;break;
	 case 6  : s1 = 0;break;
	 case 7  : s1 = 5;break;
	 case 8  : s1 = 0;break;
	 case 9  : s1 = 1;break;
	 case 10 : s1 = 0;break;
	 case 11 : s1 = 6;break;
	 case 12 : s1 = 0;break;
	 case 13 : s1 = 2;break;
	 case 14 : s1 = 0;break;
	 case 15 : s1 = 4;break;
	 case 16 : s1 = 0;break;
	 case 17 : s1 = 3;break;
	 case 18 : s1 = 0;break;
	 case 19 : s1 = 6;break;
	 case 20 : s1 = 0;break;
	 case 21 : s1 = 4;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 0;break;
	 case 1  : s2 = 6;break;
	 case 2  : s2 = 0;break;
	 case 3  : s2 = 3;break;
	 case 4  : s2 = 0;break;
	 case 5  : s2 = 5;break;
	 case 6  : s2 = 0;break;
	 case 7  : s2 = 2;break;
	 case 8  : s2 = 0;break;
	 case 9  : s2 = 4;break;
	 case 10 : s2 = 0;break;
	 case 11 : s2 = 6;break;
	 case 12 : s2 = 0;break;
	 case 13 : s2 = 1;break;
	 case 14 : s2 = 0;break;
	 case 15 : s2 = 3;break;
	 case 16 : s2 = 0;break;
	 case 17 : s2 = 4;break;
	 case 18 : s2 = 0;break;
	 case 19 : s2 = 5;break;
	 case 20 : s2 = 0;break;
	 case 21 : s2 = 1;break;
	 default : s2 = 0;
  }
  if(s0 == 6 && s1 == 6 && s2 == 6)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 3)
    {
      ActivateSprite(Song,GetAdjFUC());
      return 5000;
    }
	 else if(coinsplayed == 2)
    {
      return 3000;
    }
	 else if(coinsplayed == 1)
    {
      return 1000;
    }
  }
  if(s0 == 5 && s1 == 5 && s2 == 5)
  {
    PayOffSound = 4;
	 if(coinsplayed == 3)
    {
      return 900;
    }
	 else if(coinsplayed == 2)
    {
      return 600;
    }
	 else if(coinsplayed == 1)
    {
      return 300;
    }
  }
  if(s0 == 4 && s1 == 4 && s2 == 4)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3)
    {
      return 150;
    }
	 else if(coinsplayed == 2)
    {
      return 100;
    }
	 else if(coinsplayed == 1)
    {
      return 50;
    }
  }
  if(s0 == 3 && s1 == 3 && s2 == 3)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 60;}
	 if(coinsplayed == 2){return 40;}
	 if(coinsplayed == 1){return 20;}
  }
  if(s0 == 2 && s1 == 2 && s2 == 2)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 30;}
	 if(coinsplayed == 2){return 20;}
	 if(coinsplayed == 1){return 10;}
  }
  if(s0 == 1 && s1 == 1 && s2 == 1)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 3){return 30;}
	 if(coinsplayed == 2){return 20;}
	 if(coinsplayed == 1){return 10;}
  }
  if((s0 == 1 && s1 == 1) || (s0 == 1 && s2 == 1) || (s1 == 1 && s2 == 1))
  {
	 PayOffSound = 2;
	 if(coinsplayed == 3){return 15;}
	 if(coinsplayed == 2){return 10;}
	 if(coinsplayed == 1){return 5;}
  }
  if(s0 == 1 || s1 == 1 || s2 == 1)
  {
	 PayOffSound = 1;
	 if(coinsplayed == 3){return 6;}
	 if(coinsplayed == 2){return 4;}
	 if(coinsplayed == 1){return 2;}
  }
  return 0;
}
//*******************************************************************
//void TSpirit76GameLord::SetupSprites()
//{
//  Song = GetSpriteIndex(GetResString(IDS_AS_SONG_S_S1000));
//
//  if (Sounds  == NULL)         {SpriteError("Slots Sounds",GetResString(IDS_MS_SOUNDS_S_S1000));}
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_S_S1000));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_S_S1000));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_S_S1000));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_S_S1000));}
//  if (Reel            == NULL) {SpriteError("Reel",GetResString(IDS_MS_REEL_S_S1000));}
//  if (NamePlate1 == NULL)      {SpriteError("NamePlate1",GetResString(IDS_MS_NP1_S_S1000));}
//  if (NamePlate2 == NULL)      {SpriteError("NamePlate2",GetResString(IDS_MS_NP2_S_S1000));}
//  if (NamePlate3 == NULL)      {SpriteError("NamePlate3",GetResString(IDS_MS_NP3_S_S1000));}
//  if (BankCashDisplay == NULL) {SpriteError("BankCashDisplay",GetResString(IDS_MS_BANKCASH_S_S1000));}
//  if (Button0 == NULL)         {SpriteError("Button0",GetResString(IDS_MS_B0_S_S1000));}
//  if (Button1 == NULL)         {SpriteError("Button1",GetResString(IDS_MS_B1_S_S1000));}
//  if (Button2 == NULL)         {SpriteError("Button2",GetResString(IDS_MS_B2_S_S1000));}
//  if (Button3 == NULL)         {SpriteError("Button3",GetResString(IDS_MS_B3_S_S1000));}
//  if (Button4 == NULL)         {SpriteError("Button4",GetResString(IDS_MS_B4_S_S1000));}
//  if (Button5 == NULL)         {SpriteError("Button5",GetResString(IDS_MS_B5_S_S1000));}
//  if (Button6 == NULL)         {SpriteError("Button6",GetResString(IDS_MS_B6_S_S1000));}
//  if (Button7 == NULL)         {SpriteError("Button7",GetResString(IDS_MS_B7_S_S1000));}
//  if (CoinPay       == NULL)   {SpriteError("CoinPay",GetResString(IDS_MS_COINPAY_S_S1000));}
//
//  Sounds->Start(GetFUC());
//  CoinsPlayed->Start(GetFUC());
//  Credits->Start(GetFUC());
//  WinPaid->Start(GetFUC());
//  Chips->Start(GetFUC());
//  ActivateSpriteNow(Reel);
//  CoinPay->Start(GetFUC());
//  BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//  NamePlate1->Start(GetFUC());
//  NamePlate2->Start(GetFUC());
//  NamePlate3->Start(GetFUC());
//}
//*******************************************************************
//void TSpirit76GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TSpirit76GameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_S1000;
  idsButton1 = IDS_MS_B1_S_S1000;
  idsButton2 = IDS_MS_B2_S_S1000;
  idsButton3 = IDS_MS_B3_S_S1000;
  idsButton4 = IDS_MS_B4_S_S1000;
  idsButton5 = IDS_MS_B5_S_S1000;
  idsButton6 = IDS_MS_B6_S_S1000;
  idsButton7 = IDS_MS_B7_S_S1000;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_S1000;
  idsChips = IDS_MS_CHIPS_S_S1000;
  idsCoinPay = IDS_MS_COINPAY_S_S1000;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_S1000;
  idsCredits = IDS_MS_CREDITS_S_S1000;
  idsNP1 = IDS_MS_NP1_S_S1000;
  idsNP2 = IDS_MS_NP2_S_S1000;
  idsNP3 = IDS_MS_NP3_S_S1000;
  idsReel = IDS_MS_REEL_S_S1000;
  idsSound = IDS_MS_SOUNDS_S_S1000;
  idsWinPaid = IDS_MS_WINPAID_S_S1000;
  idsSong = IDS_AS_SONG_S_S1000;
}
//*******************************************************************
TSpirit76GameLord::TSpirit76GameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslSpiritOf76,TMoney::did_1000_00)//cd1000)
{
  maxbet=3;

  SetupUniqueIDStrings();

  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  SetupSprites();
}
//*******************************************************************
TSpirit76GameLord::~TSpirit76GameLord()
{
  CleanupSprites();
}
//*******************************************************************