//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  tefgld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/12/99   M.Perry     gobjlist removal
//  2.4    09/11/99    M.Perry    setupsprites() shrinkage
//*******************************************************************
#include "te500gld.h"
//#include "te500spl.h"
//#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
//TSpriteList *TEclipse500GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TEclipse500SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TEclipse500GameLord::SetReel()
{
  int16 x,y,z;
  x = int16(random(5000));
  y = int16(random(5000));
  z = int16(random(5000));
  if(x<=10){x=0;}
  else if(x<=510){x=1;}
  else if(x<=520){x=2;}
  else if(x<=800){x=3;}
  else if(x<=810){x=4;}
  else if(x<=1145){x=5;}
  else if(x<=1155){x=6;}
  else if(x<=2095){x=7;}
  else if(x<=2105){x=8;}
  else if(x<=2175){x=9;}
  else if(x<=2185){x=10;}
  else if(x<=2680){x=11;}
  else if(x<=2690){x=12;}
  else if(x<=3565){x=13;}
  else if(x<=3575){x=14;}
  else if(x<=3855){x=15;}
  else if(x<=3865){x=16;}
  else if(x<=4515){x=17;}
  else if(x<=4525){x=18;}
  else if(x<=4585){x=19;}
  else if(x<=4595){x=20;}
  else if(x<=5000){x=21;}
  if(y<=10){y=0;}
  else if(y<=365){y=1;}
  else if(y<=375){y=2;}
  else if(y<=460){y=3;}
  else if(y<=470){y=4;}
  else if(y<=1565){y=5;}
  else if(y<=1575){y=6;}
  else if(y<=1990){y=7;}
  else if(y<=2000){y=8;}
  else if(y<=2335){y=9;}
  else if(y<=2345){y=10;}
  else if(y<=2650){y=11;}
  else if(y<=2660){y=12;}
  else if(y<=3670){y=13;}
  else if(y<=3680){y=14;}
  else if(y<=4055){y=15;}
  else if(y<=4065){y=16;}
  else if(y<=4365){y=17;}
  else if(y<=4395){y=18;}
  else if(y<=4665){y=19;}
  else if(y<=4675){y=20;}
  else if(y<=5000){y=21;}
  if(z<=10){z=0;}
  else if(z<=510){z=1;}
  else if(z<=520){z=2;}
  else if(z<=800){z=3;}
  else if(z<=810){z=4;}
  else if(z<=1145){z=5;}
  else if(z<=1155){z=6;}
  else if(z<=2095){z=7;}
  else if(z<=2105){z=8;}
  else if(z<=2175){z=9;}
  else if(z<=2185){z=10;}
  else if(z<=2680){z=11;}
  else if(z<=2690){z=12;}
  else if(z<=3565){z=13;}
  else if(z<=3575){z=14;}
  else if(z<=3855){z=15;}
  else if(z<=3865){z=16;}
  else if(z<=4515){z=17;}
  else if(z<=4525){z=18;}
  else if(z<=4585){z=19;}
  else if(z<=4595){z=20;}
  else if(z<=5000){z=21;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TEclipse500GameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 0;break;
	 case 1  : s0 = 2;break;
	 case 2  : s0 = 0;break;
	 case 3  : s0 = 4;break;
	 case 4  : s0 = 0;break;
	 case 5  : s0 = 3;break;
	 case 6  : s0 = 0;break;
	 case 7  : s0 = 1;break;
	 case 8  : s0 = 0;break;
	 case 9  : s0 = 5;break;
	 case 10 : s0 = 0;break;
	 case 11 : s0 = 2;break;
	 case 12 : s0 = 0;break;
	 case 13 : s0 = 1;break;
	 case 14 : s0 = 0;break;
	 case 15 : s0 = 4;break;
	 case 16 : s0 = 0;break;
	 case 17 : s0 = 1;break;
	 case 18 : s0 = 0;break;
	 case 19 : s0 = 5;break;
	 case 20 : s0 = 0;break;
	 case 21 : s0 = 3;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 0;break;
	 case 1  : s1 = 3;break;
	 case 2  : s1 = 0;break;
	 case 3  : s1 = 5;break;
	 case 4  : s1 = 0;break;
	 case 5  : s1 = 1;break;
	 case 6  : s1 = 0;break;
	 case 7  : s1 = 3;break;
	 case 8  : s1 = 0;break;
	 case 9  : s1 = 4;break;
	 case 10 : s1 = 0;break;
	 case 11 : s1 = 2;break;
	 case 12 : s1 = 0;break;
	 case 13 : s1 = 1;break;
	 case 14 : s1 = 0;break;
	 case 15 : s1 = 3;break;
	 case 16 : s1 = 0;break;
	 case 17 : s1 = 2;break;
	 case 18 : s1 = 0;break;
	 case 19 : s1 = 4;break;
	 case 20 : s1 = 0;break;
	 case 21 : s1 = 2;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 0;break;
	 case 1  : s2 = 2;break;
	 case 2  : s2 = 0;break;
	 case 3  : s2 = 4;break;
	 case 4  : s2 = 0;break;
	 case 5  : s2 = 3;break;
	 case 6  : s2 = 0;break;
	 case 7  : s2 = 1;break;
	 case 8  : s2 = 0;break;
	 case 9  : s2 = 5;break;
	 case 10 : s2 = 0;break;
	 case 11 : s2 = 2;break;
	 case 12 : s2 = 0;break;
	 case 13 : s2 = 1;break;
	 case 14 : s2 = 0;break;
	 case 15 : s2 = 4;break;
	 case 16 : s2 = 0;break;
	 case 17 : s2 = 1;break;
	 case 18 : s2 = 0;break;
	 case 19 : s2 = 5;break;
	 case 20 : s2 = 0;break;
	 case 21 : s2 = 3;break;
	 default : s2 = 0;
  }
  if(s0 == 5 && s1 == 5 && s2 == 5)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 5){ActivateSprite(Song,GetAdjFUC());return 100000l;}
	 if(coinsplayed == 4){return 40000l;}
	 if(coinsplayed == 3){return 30000;}
	 if(coinsplayed == 2){return 20000;}
	 if(coinsplayed == 1){return 10000;}
  }
  if(s0 == 4 && s1 == 4 && s2 == 4)
  {
	 PayOffSound = 4;
	 if(coinsplayed == 5){return 500;}
	 if(coinsplayed == 4){return 400;}
	 if(coinsplayed == 3){return 300;}
	 if(coinsplayed == 2){return 200;}
	 if(coinsplayed == 1){return 100;}
  }
  if(s0 == 3 && s1 == 3 && s2 == 3)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 5){return 250;}
	 if(coinsplayed == 4){return 200;}
	 if(coinsplayed == 3){return 150;}
	 if(coinsplayed == 2){return 100;}
	 if(coinsplayed == 1){return 50;}
  }
  if(s0 == 2 && s1 == 2 && s2 == 2)
  {
	 PayOffSound = 2;
	 if(coinsplayed == 5){return 50;}
	 if(coinsplayed == 4){return 40;}
	 if(coinsplayed == 3){return 30;}
	 if(coinsplayed == 2){return 20;}
	 if(coinsplayed == 1){return 10;}
  }
  if(s0 == 1 && s1 == 1 && s2 == 1)
  {
	 PayOffSound = 1;
	 if(coinsplayed == 5){return 10;}
	 if(coinsplayed == 4){return 8;}
	 if(coinsplayed == 3){return 6;}
	 if(coinsplayed == 2){return 4;}
	 if(coinsplayed == 1){return 2;}
  }
  return 0;
}
//*******************************************************************
//void TEclipse500GameLord::SetupSprites()
//{
//  Song = GetSpriteIndex(GetResString(IDS_AS_SONG_S_E500));
// // Sounds = NULL;
// // Sounds      = (TSSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_S_E500));
//  if (Sounds  == NULL) {SpriteError("Slots Sounds",GetResString(IDS_MS_SOUNDS_S_E500));}
//   Sounds->Start(GetFUC());
// /* Button0 = NULL;
//  Button1 = NULL;
//  Button2 = NULL;
//  Button3 = NULL;
//  Button4 = NULL;
//  Button5 = NULL;
//  Button6 = NULL;
//  Button7 = NULL;
//  BankCashDisplay = NULL;
//  CoinPay         = NULL;
//  Reel            = NULL;
//  CoinsPlayed     = NULL;
//  WinPaid         = NULL;
//  Credits         = NULL;
//  Chips           = NULL;
//  NamePlate1       = NULL;
//  NamePlate2       = NULL;
//  NamePlate3       = NULL;
//
//  CoinsPlayed     = (TSCoinsPlayed   *) GetSpritePtr(GetResString(IDS_MS_COINSPLAYED_S_E500));
//  WinPaid         = (TSWinPaid       *) GetSpritePtr(GetResString(IDS_MS_WINPAID_S_E500));
//  Credits         = (TSCredits       *) GetSpritePtr(GetResString(IDS_MS_CREDITS_S_E500));
//  Chips           = (TCasChips       *) GetSpritePtr(GetResString(IDS_MS_CHIPS_S_E500));
//  Reel            = (TSReel          *) GetSpritePtr(GetResString(IDS_MS_REEL_S_E500));
//  CoinPay         = (TSCoinPay       *) GetSpritePtr(GetResString(IDS_MS_COINPAY_S_E500));
//  BankCashDisplay = (TCasCashDisplay *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_S_E500));
//  Button0            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B0_S_E500));
//  Button1            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B1_S_E500));
//  Button2            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B2_S_E500));
//  Button3            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B3_S_E500));
//  Button4            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B4_S_E500));
//  Button5            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B5_S_E500));
//  Button6            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B6_S_E500));
//  Button7            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B7_S_E500));
//  NamePlate1      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP1_S_E500));
//  NamePlate2      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP2_S_E500));
//  NamePlate3      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP3_S_E500));
//             */
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_S_E500));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_S_E500));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_S_E500));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_S_E500));}
//  if (Reel            == NULL) {SpriteError("Reel",GetResString(IDS_MS_REEL_S_E500));}
//  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",        GetResString(IDS_MS_NP1_S_E500));}
//  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",        GetResString(IDS_MS_NP2_S_E500));}
//  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",        GetResString(IDS_MS_NP3_S_E500));}
//  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",   GetResString(IDS_MS_BANKCASH_S_E500));}
//  if (Button0 == NULL)       {SpriteError("Button0",      GetResString(IDS_MS_B0_S_E500));}
//  if (Button1 == NULL)       {SpriteError("Button1",      GetResString(IDS_MS_B1_S_E500));}
//  if (Button2 == NULL)       {SpriteError("Button2",      GetResString(IDS_MS_B2_S_E500));}
//  if (Button3 == NULL)       {SpriteError("Button3",      GetResString(IDS_MS_B3_S_E500));}
//  if (Button4 == NULL)       {SpriteError("Button4",      GetResString(IDS_MS_B4_S_E500));}
//  if (Button5 == NULL)       {SpriteError("Button5",      GetResString(IDS_MS_B5_S_E500));}
//  if (Button6 == NULL)       {SpriteError("Button6",      GetResString(IDS_MS_B6_S_E500));}
//  if (Button7 == NULL)       {SpriteError("Button7",      GetResString(IDS_MS_B7_S_E500));}
//  if (CoinPay       == NULL) {SpriteError("CoinPay",      GetResString(IDS_MS_COINPAY_S_E500));}
//
//	CoinsPlayed->Start(GetFUC());
//	Credits->Start(GetFUC());
//	WinPaid->Start(GetFUC());
//	Chips->Start(GetFUC());
//	ActivateSpriteNow(Reel);
//	CoinPay->Start(GetFUC());
//	BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//	NamePlate1->Start(GetFUC());
//	NamePlate2->Start(GetFUC());
//	NamePlate3->Start(GetFUC());
//
//}
//*******************************************************************
//void TEclipse500GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TEclipse500GameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_E500;
  idsButton1 = IDS_MS_B1_S_E500;
  idsButton2 = IDS_MS_B2_S_E500;
  idsButton3 = IDS_MS_B3_S_E500;
  idsButton4 = IDS_MS_B4_S_E500;
  idsButton5 = IDS_MS_B5_S_E500;
  idsButton6 = IDS_MS_B6_S_E500;
  idsButton7 = IDS_MS_B7_S_E500;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_E500;
  idsChips = IDS_MS_CHIPS_S_E500;
  idsCoinPay = IDS_MS_COINPAY_S_E500;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_E500;
  idsCredits = IDS_MS_CREDITS_S_E500;
  idsNP1 = IDS_MS_NP1_S_E500;
  idsNP2 = IDS_MS_NP2_S_E500;
  idsNP3 = IDS_MS_NP3_S_E500;
  idsReel = IDS_MS_REEL_S_E500;
  idsSound = IDS_MS_SOUNDS_S_E500;
  idsWinPaid = IDS_MS_WINPAID_S_E500;
  idsSong = IDS_AS_SONG_S_E500;
}
//*******************************************************************
TEclipse500GameLord::TEclipse500GameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslTotalEclipse,TMoney::did_500_00)//cd500)
{
  SetupUniqueIDStrings();

  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  maxbet=5;

  SetupSprites();
}
//*******************************************************************
TEclipse500GameLord::~TEclipse500GameLord()
{
  CleanupSprites();
}
//*******************************************************************