//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  vlmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/6/95    M.Perry    original baseline
//********************************************************************
#include "vlmw.h"

#include "casnames.rh"
#include "vlnames.rh"

#include "vlgl.h"
#include "vplcred.rh"
#include "vplmenu.rh"
//*******************************************************************
TVLobby1ModeWin::TVLobby1ModeWin(string modename,TPal *PPal,string title)
:TLobbyModeWin(modename,PPal,title)
{
//  ::MessageBox(NULL,"vplite lobby ctor","Hi Mike",MB_OK);
}
//*******************************************************************
TVLobby1ModeWin::~TVLobby1ModeWin()
{
}
//*******************************************************************
string TVLobby1ModeWin::GetDetName()
{                                                      
  return string("vpchamp");
}
//*******************************************************************
int TVLobby1ModeWin::GetMenuID()
{
  return IDM_VPLITE_LOBBY;
}
//*******************************************************************
int TVLobby1ModeWin::GetCreditsBmpID()
{
  return IDB_VPLITE_CREDITS;
}
//*******************************************************************
void TVLobby1ModeWin::MakeGObjList()
{
  PGObjList = new TVLobby1GObjList(this);
}
//*******************************************************************
void TVLobby1ModeWin::InitGObjLists()
{
  GObj[0] = (TCasinoVLPlayer *)GetGObjPtr(TAppString(IDS_H1_VL));
  GObj[1] = (TCasinoVLPlayer *)GetGObjPtr(TAppString(IDS_H2_VL));
  GObj[2] = (TCasinoVLPlayer *)GetGObjPtr(TAppString(IDS_H3_VL));

  pLord = (TCasinoVLGameLord *)GetGObjPtr(TAppString(IDS_GL_VL));

  if (pLord == NULL)   {GObjError("Lobby Game Lord",TAppString(IDS_GL_VL));}
  if (GObj[0] == NULL) {GObjError("Lobby Human 1",TAppString(IDS_H1_VL));}
  if (GObj[1] == NULL) {GObjError("Lobby Human 2",TAppString(IDS_H2_VL));}
  if (GObj[2] == NULL) {GObjError("Lobby Human 3",TAppString(IDS_H3_VL));}
}
//*******************************************************************