//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cvpposp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "cvpposp.h"
#include "oanm.h"
//*******************************************************************
void TVPCoinPay::SetupAnms()
{
	 PCoinPay = GetAnm(0);
	 if (PCoinPay == NULL) {AnmError("CoinPay","Bar",0);}
	 PCoinPay->CAD.ClearAutoStart();
	 PCoinPay->CAD.ClearAutoStop();
	 PCoinPay->CAD.SetDirStill();;
}
//*******************************************************************
TVPCoinPay::TVPCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TVPCoinPay::TVPCoinPay(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TVPCoinPay::~TVPCoinPay()
{
}
//*******************************************************************
void TVPCoinPay::ClearTray()
{
	 PCoinPay->NoShow();
}
//*******************************************************************
void TVPCoinPay::SetTray(int16 num)
{
  if(num>98)
  {
    PCoinPay->CAD.SetCurrentFrame(98);
  }
  else
  {
    PCoinPay->CAD.SetCurrentFrame(num);
  }
  PCoinPay->Show();
  Update(GetAdjFUC());
}
//*******************************************************************