//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  jw25gl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "jw25gl.h"
#include "jw25gld.h"
#include "casnames.rh"
#include "cvpnames.rh"
//*******************************************************************
TJW25GObjList::TJW25GObjList(TOgleModeWindow *POwnerMW)
:TVPGObjList(POwnerMW)
{
}
//*******************************************************************
TJW25GObjList::~TJW25GObjList()
{
}
//*******************************************************************
TGameObject *TJW25GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_VP_JW25))
  {
    return (new TJW25GameLord((TVideoPokerModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_VP_JW25))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_VP_JW25))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_VP_JW25))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,2));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************
