//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvlmst.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5     10/14/99   M.Perry     Original baseline
//*******************************************************************
#include "acvlmst.h"

#include "acvplgld.h"
#include "acvlinst.h"
#include "acvla1st.h"
//*******************************************************************
TACVPLobbyMainState::TACVPLobbyMainState(TACVPLobbyGameLord *plord)
:TACVPLobbyState(plord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
}
//*******************************************************************
TACVPLobbyMainState::~TACVPLobbyMainState()
{
}
//*******************************************************************
void TACVPLobbyMainState::CreateSubState1()
{
  PActiveSubState = new TACVPLobbyInitState(pOwnerLord);
}
//*******************************************************************
void TACVPLobbyMainState::CreateSubState2()
{
  PActiveSubState = new TACVPLobbyAct1State(pOwnerLord);
}
//*******************************************************************
void TACVPLobbyMainState::CreateSubState3()
{
}
//*******************************************************************
void TACVPLobbyMainState::CreateSubState4()
{
}
//*******************************************************************