//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpimw.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry    original baseline
//********************************************************************
#include "acvpimw.h"
#include "acvpmenu.rh"
#include "acvpigld.h"
//*******************************************************************
TACVPIntroModeWin::TACVPIntroModeWin(string modename,TPal *ppal,string title)
:TCasinoModeWin(modename,ppal,title)
{
  UseBmpMono = true;
  MonoColorNDX = 0;
  ShowWindowBeforeGObjList = false;
}
//*******************************************************************
TACVPIntroModeWin::~TACVPIntroModeWin()
{
}
//*******************************************************************
int TACVPIntroModeWin::GetMenuID()
{
  return IDM_ACVP_INTRO;
//  return IDM_HUNSLOTS_INTRO;
}
//*******************************************************************
string TACVPIntroModeWin::GetDetName()
{
  return string("s1.det");
}
//*******************************************************************
TGameObject *TACVPIntroModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == string("\\s1glrd00\\s1glrd00.go"))
    {
      pLord = new TACVPIntroGameLord(this,fm);
      return pLord;
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************
void TACVPIntroModeWin::SetupGObjs()
{
  if (pLord == NULL)
  {
    GObjError(string("GameLord"),string("intro glrd"));
  }
  // ignore any missing human gobjs.
}
//*******************************************************************

