//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvsmtsp.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry    original baseline
//********************************************************************
#include "acvsmtsp.h"
#include "oanm.h"
//*******************************************************************
TACVPSlotsTitle::TACVPSlotsTitle(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TACVPSlotsTitle::TACVPSlotsTitle(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TACVPSlotsTitle::~TACVPSlotsTitle()
{
}
//*******************************************************************
void TACVPSlotsTitle::SetupAnms()
{
	PTitle = GetAnm(0);
	if (PTitle == NULL) {AnmError("Title","Nums",0);}
	PTitle->CAD.ClearAutoStart();
	PTitle->CAD.ClearAutoStop();
	PTitle->CAD.SetDirStill();
}
//*******************************************************************

