//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gediddlg.h
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     5/29/97    M.Perry    added id codes to sprites.
//  2.0    10/28/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__gediddlg_h)
#define __gediddlg_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(OWL_DIALOG_H)
#include <owl\dialog.h>
#endif

//#if !defined(__inifile_h)
//#include "inifile.h"
//#endif

#if !defined(__ospidini_h)
#include "ospidini.h"
#endif

class TEdit;
class TStatic;
class TListBox;
//*******************************************************************
class TIDCodeListDlg:public TDialog
{
protected:
//  string strInfoSection;
//  string strIDSection;
//  string strNumIDKey;
  string strFileName;
//  TIniFile *PIniFile;
  TSpriteIDIniFile *PSpriteIDIniFile;
  int16 Top;
  int16 Bottom;
  TEdit *PEdit[10];
  TStatic *PStatic[10];

protected:
//  void SqueezeIniFile();

public:
  TIDCodeListDlg(TWindow *pwin,string name);
  virtual ~TIDCodeListDlg();
  void CreateEdit();
  void DestroyEdit();
  void CreateStatic();
  void DestroyStatic();
  void CmUp();
  void CmDown();
  void LoadEdits();
  void LoadStatics();
  void CmOk();
  void CmClone();
  void SaveEdits();
  void SaveIDName(int16 i,string name);
//  string GetDefName(int16 i);
  virtual void SetupWindow();

  DECLARE_RESPONSE_TABLE(TIDCodeListDlg);
};
//*******************************************************************
class TSelectIDNameDlg:public TDialog
{
protected:
  int16 SelectedIndex;
  TListBox *PListBox;
  TStatic *PStatic;
  string strFileName;
//  string strInfoSection;
//  string strIDSection;
//  string strNumIDKey;
  string strSpriteName;
  string GetDefName(int16 i);
public:
  TSelectIDNameDlg(TWindow *pwin,string name,int16 idcode,string spritename);
  virtual ~TSelectIDNameDlg();
  int16 GetSelectedIndex() {return SelectedIndex;}
  void LoadLB();
  void UnLoadLB();
  void CmOk();
  void EvDblClk();
  void CmEdit();
  virtual void SetupWindow();

  DECLARE_RESPONSE_TABLE(TSelectIDNameDlg);
};
//*******************************************************************
#endif