//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedowlmn.cpp
//    Project Name:  Game Editor
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/24/95    M.Perry     original baseline
//  2.0    10/29/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__gedapp_h)
#include "gedapp.h"
#endif

#if !defined(__omisc_h)
#include "omisc.h"
#endif
//*******************************************************************
int OwlMain(int /*argc*/,char *argv[])
{
  string HDDrive,HDDir,AppName,AppHDString,HDExt;
  AppHDString = argv[0];
  TOgleFileName::SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);

  int AppResult = -1;      
  try
  {
     TGameEditorApp *PApp = new TGameEditorApp(HDDrive,HDDir,AppName);
     if (PApp->Initialize())
     {
       AppResult = PApp->Run();
     }
     delete PApp;
  }
  catch (xmsg& x)
  {
    ::MessageBox(0,x.why().c_str(),"Exception",MB_OK);
  }

  return AppResult;
}
//*******************************************************************

