/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridbmp.h                                                               //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.50 - 25 nov 1995                       //
// TGrid - Copyright  1994,1995 H. Picot, All Rights Reserved.            //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDBMP_H
#define GRIDBMP_H

class _GRIDCLASS TGBitmap : public TGStatic
   {
   protected:
      TModule *bmpModule;

   public:
      TGBitmap (TWindow *p, int id, TModule *bmpModule, int x, int y, int w, int h, TModule *module = 0);
      TGBitmap (TWindow *p, int id, TModule *bmpModule, TModule *module = 0);
      virtual void DrawCell (TDC &dc, TRect &rc, const void *p, TGAlign);
   };


class _GRIDCLASS TGBitmapFile : public TGStatic
   {
   protected:
      TModule *bmpModule;

   public:
      TGBitmapFile (TWindow *p, int id, int x, int y, int w, int h, TModule *module = 0);
      TGBitmapFile (TWindow *p, int id, TModule *module = 0);
      virtual void DrawCell (TDC &dc, TRect &rc, const void *p, TGAlign);
   };


TSize _GRIDFUNCTION DibToDC (TDC &dc, TDib &dib, int x, int y, int w, int h, bool calc = false, bool keepRatio = true);
TSize _GRIDFUNCTION DibToDC (TDC &dc, const char *file, int x, int y, int w, int h, bool calc = false, bool keepRatio = true);
TSize _GRIDFUNCTION DibToDC (TDC &dc, HINSTANCE inst, int resid, int x, int y, int w, int h, bool calc = false, bool keepRatio = true);

#endif

// EOF
