/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridstat.h                                                              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.50 - 25 nov 1995                       //
// TGrid - Copyright  1994,1995 H. Picot, All Rights Reserved.            //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDSTAT_H
#define GRIDSTAT_H

class _GRIDCLASS TGStatic : public TStatic
   {
   friend TGrid;

   COLOR_HEADER

   protected:
      TGrid *grid;

      virtual void DrawCell (TDC &dc, TRect &rc, const void *p, TGAlign align = Left);
      virtual void Init ();

   public:
      TGStatic (TWindow *p, int id, const char *title, int x, int y, int w, int h, int textlen = 0, TModule *module = 0); // doc
      TGStatic (TWindow *p, int id, int textlen = 0, TModule *module = 0);
     ~TGStatic ();

      bool Create ();
      virtual int Height () { return Attr.H; }
      virtual int  Width () { return Attr.W; }   
   };

#endif

// EOF
