create or replace package PAce as
//*******************************************************************

// **************************** support *****************************

procedure Support_GetPhone(ean IN,phone OUT,ec OUT);
procedure Support_SetPhone(ean IN,phone IN,ec OUT);

procedure Support_GetEmail(ean IN,email OUT,ec OUT);
procedure Support_SetEmail(ean IN,email IN,ec OUT);

procedure Support_GetWebUrl(ean IN,weburl OUT,ec OUT);
procedure Support_SetWebUrl(ean IN,weburl IN,ec OUT);

procedure Support_GetNewWelcome(ean IN,welcome OUT,ec OUT);
procedure Support_SetNewWelcome(ean IN,welcome IN,ec OUT);

procedure Support_GetNewDisclaimer(ean IN,disclaimer OUT,ec OUT);
procedure Support_SetNewDisclaimer(ean IN,disclaimer IN,ec OUT);

// ***************************** lobby ******************************

procedure Lobby_GetGreetingOn(ean IN,on OUT TBool,ec OUT);
procedure Lobby_SetGreetinOn(ean IN,on IN TBool,ec OUT);

procedure Lobby_GetGreetingTxt(ean IN,greeting OUT,ec OUT);
procedure Lobby_SetGreetingTxt(ean IN,greeting IN,ec OUT);

procedure Lobby_GetMarqueeTxt(ean IN,marquee OUT,ec OUT);
procedure Lobby_SetMarqueeTxt(ean IN,marquee IN,ec OUT);

// ***************************** bank cfg ***************************

procedure Bank_GetAllowCashPlay(ean IN,cash OUT TBool,ec OUT);
procedure Bank_SetAllowCashPlay(ean IN,cash IN TBool,ec OUT);

procedure Bank_GetAllowFreePlay(ean IN,free OUT TBool,ec OUT);
procedure Bank_SetAllowFreePlay(ean IN,free IN TBool,ec OUT);

procedure Bank_GetNewUsersFreePlayAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Bank_SetNewUsersFreePlayAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Bank_GetNewFreeOnlyFreePlayAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Bank_SetNewFreeOnlyFreePlayAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Bank_GetAddDailyFreePlayAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Bank_SetAddDailyFreePlayAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Bank_GetMaxAddDailyFreePlayUnlessFlag(ean IN,flag OUT TBool,ec OUT);
procedure Bank_SetMaxAddDailyFreePlayUnlessFlag(ean IN,flag IN TBool,ec OUT);

procedure Bank_GetMaxAddDailyFreePlayUnlessAmount(ean IN,amount OUT TCurrency,
                                                  ec OUT);
procedure Bank_SetMaxAddDailyFreePlayUnlessAmount(ean IN,amount IN TCurrency,
                                                  ec OUT);

procedure Bank_GetMaxAddDailyFreePlayCashLockoutFlag(ean IN,flag OUT TBool,
                                                     ec OUT);
procedure Bank_SetMaxAddDailyFreePlayCashLockoutFlag(ean IN,flag IN TBool,
                                                     ec OUT);

procedure Bank_GiveFreePlayAmount(ean IN PDef.TEAN,amount IN PDef.TCurrency,
                                  rlonly IN PDef.TBool,ec OUT);

// **************************** check cfg ***************************

procedure Check_GetAllowDep(ean IN,allow OUT TBool,ec OUT);
procedure Check_SetAllowDep(ean IN,allow IN TBool,ec OUT);

procedure Check_GetAllowDep(ean IN,asc IN,allow OUT,ec OUT);
procedure Check_SetAllowDep(ean IN,asc IN,allow IN,ec OUT);

procedure Check_GetMinDepAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetMinDepAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetMaxDepAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetMaxDepAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetDepServiceFee(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetDepServiceFee(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetDepServiceFeeReturn(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetDepServiceFeeReturn(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetAllowAdvances(ean IN,allow OUT TBool,ec OUT);
procedure Check_SetAllowAdvances(ean IN,allow IN TBool,ec OUT);

procedure Check_GetDepInstructions(ean IN,instr OUT string,ec OUT);
procedure Check_SetDepInstructions(ean IN,instr IN string,ec OUT);

procedure Check_GetAllowWD(ean IN,allow OUT TBool,ec OUT);
procedure Check_SetAllowWD(ean IN,allow IN TBool,ec OUT);

procedure Check_GetMinWDAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetMinWDAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetMaxWDAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetMaxWDAmount(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetWDServiceFeeRegular(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetWDServiceFeeRegular(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetWDServiceFeeExpress(ean IN,amount OUT TCurrency,ec OUT);
procedure Check_SetWDServiceFeeExpress(ean IN,amount IN TCurrency,ec OUT);

procedure Check_GetWDInstructions(ean IN,instr OUT string,ec OUT);
procedure Check_SetWDInstructions(ean IN,instr In string,ec OUT);

procedure Check_GetAllowEmpNewWD(ean IN,allow OUT TBool,ec OUT);
procedure Check_SetAllowEmpNewWD(ean IN,allow IN TBool,ec OUT);

// ************************* credit cards cfg ***********************

procedure CC_GetAllowDep(ean IN,allow OUT TBool,ec OUT);
procedure CC_SetAllowDep(ean IN,allow IN TBool,ec OUT);

procedure CC_GetAllowDep(ean IN,asc IN,allow OUT,ec OUT);
procedure CC_SetAllowDep(ean IN,asc IN,allow IN,ec OUT);

procedure CC_GetMinDepAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure CC_SetMinDepAmount(ean IN,amount IN TCurrency,ec OUT);

procedure CC_GetMaxDepAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure CC_SetMaxDepAmount(ean IN,amount IN TCurrency,ec OUT);

procedure CC_GetDepServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure CC_SetDepServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT);

procedure CC_GetDepInstructions(ean IN,instr OUT string,ec OUT);
procedure CC_SetDepInstructions(ean IN,instr IN string,ec OUT);

procedure CC_GetAllowAutoDep(ean IN,allow OUT TBool,ec OUT);
procedure CC_SetAllowAutoDep(ean IN,allow IN TBool,ec OUT);

procedure CC_GetAllowWD(ean IN,allow OUT TBool,ec OUT);
procedure CC_SetAllowWD(ean IN,allow IN TBool,ec OUT);

procedure CC_GetMinWDAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure CC_SetMinWDAmount(ean IN,amount IN TCurrency,ec OUT);

procedure CC_GetMaxWDAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure CC_SetMaxWDAmount(ean IN,amount IN TCurrency,ec OUT);

procedure CC_GetWDServiceFee(ean IN,amount OUT TCurrency,ec OUT);
procedure CC_SetWDServiceFee(ean IN,amount IN TCurrency,ec OUT);

procedure CC_GetAllowWD_GT_Dep(ean IN,allow OUT TBool,ec OUT);
procedure CC_SetAllowWD_GT_Dep(ean IN,allow IN TBool,ec OUT);

procedure CC_GetRecreditExpireDays(ean IN,amount OUT uint16,ec OUT);
procedure CC_SetRecreditExpireDays(ean IN,amount IN uint16,ec OUT);

procedure CC_GetWDInstructions(ean IN,instr OUT string,ec OUT);
procedure CC_SetWDInstructions(ean IN,instr IN string,ec OUT);

procedure CC_GetAllowAutoWD(ean IN,auto OUT TBool,ec OUT);
procedure CC_SetAllowAutoWD(ean IN,auto IN TBool,ec OUT);

procedure CC_GetAllowNewEmpDep(ean IN,allow OUT TBool,ec OUT);
procedure CC_SetAllowNewEmpDep(ean IN,allow IN TBool,ec OUT);

procedure CC_GetAllowNewEmpWD(ean IN,allow OUT TBool,ec OUT);
procedure CC_SetAllowNewEmpWD(ean IN,allow IN TBool,ec OUT);

// *************************** western union cfg ********************

procedure WU_GetAllowDep(ean IN,allow OUT TBool,ec OUT);
procedure WU_SetAllowDep(ean IN,allow IN TBool,ec OUT);

procedure WU_GetMinDepAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure WU_SetMinDepAmount(ean IN,amount IN TCurrency,ec OUT);

procedure WU_GetMaxDepAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure WU_SetMaxDepAmount(ean IN,amount IN TCurrency,ec OUT);

procedure WU_GetDepServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure WU_SetDepServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT);

procedure WU_GetDepInstructions(ean IN,instr OUT string,ec OUT);
procedure WU_SetDepInstructions(ean IN,instr IN string,ec OUT);

procedure WU_GetAllowWD(ean IN,allow OUT TBool,ec OUT);
procedure WU_SetAllowWD(ean IN,allow IN TBool,ec OUT);

procedure WU_GetMinWDAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure WU_SetMinWDAmount(ean IN,amount IN TCurrency,ec OUT);

procedure WU_GetMaxWDAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure WU_SetMaxWDAmount(ean IN,amount IN TCurrency,ec OUT);

procedure WU_GetWDServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT);
procedure WU_SetWDServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT);

procedure WU_GetWDInstructions(ean IN,instr OUT string,ec OUT);
procedure WU_SetWDInstructions(ean IN,instr IN string,ec OUT);

procedure WU_GetAllowAutoWD(ean IN,auto OUT TBool,ec OUT);
procedure WU_SetAllowAutoWD(ean IN,auto IN TBool,ec OUT);

procedure WU_GetAllowNewEmpWD(ean IN,allow OUT TBool,ec OUT);
procedure WU_SetAllowNewEmpWD(ean IN,allow IN TBool,ec OUT);

// *************************** wire transfers cfg *******************

procedure WT_GetAllowDep(ean IN,allow OUT TBool,ec OUT);
procedure WT_SetAllowDep(ean IN,allow IN TBool,ec OUT);

procedure WT_GetMinDep(ean IN,amount OUT TCurrency,ec OUT);
procedure WT_SetMinDep(ean IN,amount IN TCurrency,ec OUT);

procedure WT_GetMaxDep(ean IN,amount OUT TCurrency,ec OUT);
procedure WT_SetMaxDep(ean IN,amount IN TCurrency,ec OUT);

procedure WT_GetDepServiceFee(ean IN,amount OUT TCurrency,ec OUT);
procedure WT_SetDepServiceFee(ean IN,amount IN TCurrency,ec OUT);

procedure WT_GetAllowAdvances(ean IN,allow OUT TBool,ec OUT);
procedure WT_SetAllowAdvances(ean IN,allow IN TBool,ec OUT);

procedure WT_GetDepInstructions(ean IN,instr OUT string,ec OUT);
procedure WT_SetDepInstructions(ean IN,instr IN string,ec OUT);

procedure WT_GetAllowWD(ean IN,allow OUT TBool,ec OUT);
procedure WT_SetAllowWD(ean IN,allow IN TBool,ec OUT);

procedure WT_GetMinWD(ean IN,amount OUT TCurrency,ec OUT);
procedure WT_SetMinWD(ean IN,amount IN TCurrency,ec OUT);

procedure WT_GetMaxWD(ean IN,amount OUT TCurrency,ec OUT);
procedure WT_SetMaxWD(ean IN,amount IN TCurrency,ec OUT);

procedure WT_GetWDServiceFee(ean IN,amount OUT TCurrency,ec OUT);
procedure WT_SetWDServiceFee(ean IN,amount IN TCurrency,ec OUT);

procedure WT_GetWDInstructions(ean IN,instr OUT string,ec OUT);
procedure WT_SetWDInstructions(ean IN,instr IN string,ec OUT);

procedure WT_GetAllowAutoWD(ean IN,allow OUT TBool,ec OUT);
procedure WT_SetAllowAutoWD(ean IN,allow IN TBool,ec OUT);

procedure WT_GetAllowNewEmpWD(ean IN,allow OUT TBool,ec OUT);
procedure WT_SetAllowNewEmpWD(ean IN,allow IN TBool,ec OUT);

//********************* employee proc's *****************************

procedure Employee_GetPrivs(ean IN,sel_ean IN,privset OUT TPrivSet,ec OUT);

procedure Employee_GetArray(ean IN,emp_array OUT,num_emp OUT,ec OUT);

procedure Employee_GetActivityArray(ean IN,sel_ean IN,log_array OUT,
                                    log_num OUT,ec OUT);

procedure Employee_ResetFailedPWCount(ean IN,reset_ean IN,ec OUT);

procedure Employee_ChangeRank(ean IN,ch_ean IN,role IN,rank IN,ec OUT);

procedure Employee_ChangeName(ean IN,ch_ean IN,fname IN,lname IN,ec OUT);

procedure Employee_Create(ean IN,fname IN,lname IN,empname IN,
                          securitylevel IN,pw IN,ec OUT);

// the only function that doesn't need a ean input to check security clearance.
procedure Employee_Login(empname IN,pw IN,ace_ipaddr IN,
                         failedpwcount OUT,old_ipaddr OUT,
                         last_date OUT TDate,ec OUT);

procedure Employee_Logoff(ean IN,lo_ean IN,ec OUT);

procedure Employee_ChangePW(ean IN,cpw_ean IN,oldpw IN,newpw IN);

procedure Employee_SetLock(ean IN,sel_ean IN,locked IN,ec OUT);

procedure Employee_SetOpen(ean IN,sel_ean IN,open IN,ec OUT);

//******************** user proc's **********************************

procedure User_Get(ean IN,uan IN,user OUT,ec OUT);

procedure User_GetData(ean IN,uan IN,userdata OUT,ec OUT); // general acc info.

procedure User_GetWallet(ean IN,uan IN,wallet OUT,ec OUT);

procedure User_Create(ean IN,userinfo IN,username IN,pw IN,
                      un1 OUT,un2 OUT,un3 OUT,un4 OUT,ec OUT);

procedure User_GetUANArray(ean IN,lastname IN,firstname IN,
                           uan_array OUT,num_uan OUT,ec OUT);

procedure User_GetInfo(ean IN,uan IN,userinfo OUT,ec OUT);
procedure User_SetInfo(ean IN,uan IN,userinfo IN,ec OUT);

procedure User_GetChangesArray(ean IN,uan IN,
                               log_array OUT,log_num OUT,ec OUT);

procedure User_SetPassword(ean IN,uan IN,pwstr IN,ec OUT);

procedure User_GetDataArray(ean IN,filter IN,
                            userdata_array OUT,num_userdata OUT,ec OUT);

procedure User_SetOpen(ean IN,uan IN,open IN TBool,ec OUT);

procedure User_SetSysLock(ean IN,uan IN,lock IN TBool,ec OUT);
 
procedure User_SetCasLock(ean IN,uan IN,lock IN TBool,ec OUT);

procedure User_GetRatingData(ean IN,uan IN,rating OUT,ratingptmod OUT,ec OUT);

procedure User_GetRatingChangesArray(ean IN,uan IN,
                                     ratingchanges_array OUT,
                                     num_ratingchanges OUT,ec OUT);

procedure User_ModifyRating(ean IN,uan IN,amount IN,description IN,ec OUT);

procedure User_GetAccountBIDArray(ean IN,uan IN,bid_array OUT,bid_num OUT,
                                  ec OUT);

procedure User_GetAccountArray(ean IN,uan IN,
                               account_array OUT,account_num OUT,ec OUT);

procedure User_GetAccount(ean IN,bid IN,account OUT,ec OUT);

procedure User_AddAccount(ean IN,uan IN,acccode IN,accsubcode IN,fi_accnum IN,
                          nameonacc IN,expdate IN,address IN,nameofbank IN,
                          abanum IN,ec OUT);

procedure User_RemoveAccount(ean IN,uan IN,bid IN,ec OUT);
//******************** tx proc's ************************************

procedure TX_GetInfo(ean IN,txt IN,txd IN,txinfo OUT TTXInfo,ec OUT);

procedure TX_GetCCDepArray(ean IN,filter IN,
                           ccdep_array OUT,ccdep_num OUT,ec OUT);

procedure TX_GetCCWDArray(ean IN,filter IN,ccwd_array OUT,ccwd_num OUT,ec OUT);

procedure TX_GetCheckDepArray(ean IN,filter IN,
                              chkdep_array OUT,chkdep_num OUT,ec OUT);

procedure TX_GetCheckWDArray(ean IN,filter IN,
                             chkwd_array OUT,chkwd_num OUT,ec OUT);

procedure TX_GetWTDepArray(ean IN,filter IN,
                           wtdep_array OUT,wtdep_num OUT,ec OUT);

procedure TX_GetWTWDArray(ean IN,filter IN,wtwd_array OUT,wtwd_num OUT,ec OUT);

procedure TX_GetWUDepArray(ean IN,filter IN,
                           wudep_array OUT,wudep_num OUT,ec OUT);

procedure TX_GetWUWDArray(ean IN,filter IN,wuwd_array OUT,wuwd_num OUT,ec OUT);

procedure TX_GetAdjDepArray(ean IN,filter IN,
                            adjdep_array OUT,adjdep_num OUT,ec OUT);

procedure TX_GetAdjWDArray(ean IN,filter IN,
                           adjwd_array OUT,adjwd_num OUT,ec OUT);

procedure TX_CheckDep(ean,uan,noservfee IN TBool,bid,amount,checknum,
                      dateoncheck,note,ec);

procedure TX_CheckWD(ean,uan,bid,amount,express,noservfee,note,ec);

procedure TX_CCDep(ean,uan,noservfee IN TBool,bid,amount,
                   complete,fi_approvalcode,completedate,note,ec);

procedure TX_CCWD(ean IN TEAN,uan IN TUAN,bid IN TBID,amount IN TCurrency,
                  note IN string,noservfee IN TBool,complete IN TBool,
                  fi_approvalcode IN,ec OUT TErrorCode);

procedure TX_WUDep(ean,uan,amount,brancnum,address,mtc,noservfee,note,ec);

procedure TX_WUWD(ean,uan,amount,limitaddress,noservfee,note,ec OUT);

procedure TX_WTDep(ean,uan,amount,bankname,abanum,bankaccnum,
                   bankaddress,noservfee,complete,completedate,fi_approvalcode,
                   note,ec);

procedure TX_WTWD(ean,uan,bid,amount,noservfee,note,ec);

procedure TX_AdjDep(ean,uan,amount,details,note,ec);

procedure TX_AdjWD(ean,uan,amount,details,note,ec);

procedure TX_ChipsCashDep(ean,uan,amount,ec);

procedure TX_ChipsCashWD(ean,uan,amount,ec);

procedure TX_ChipsFreeDep(ean IN,uan IN,amount IN,ec OUT);

procedure TX_ChipsFreeWD(ean IN,uan IN,amount IN,ec OUT);

procedure TX_Note(ean IN,uan IN,txid IN,note IN,ec OUT);

procedure TX_GetNoteArray(ean IN,txid IN,
                          txnotes_array OUT,txnotes_num OUT,ec OUT);

procedure TX_GetLogArray(ean IN,txlog_array OUT,txlog_num OUT,ec OUT); //?? uan IN ???

procedure TX_GetLogArray(txid IN,txlog_array OUT,txlog_num OUT,ec OUT);

procedure TX_ModifyCheckDep(ean IN,txid IN,mac IN,fee IN TBool,
                            chkdep OUT,ec OUT);

procedure TX_ModifyCheckWD(ean IN,txid IN, mac IN,chkwd OUT,ec OUT);

procedure TX_ModifyCCDep(ean IN,txid IN,mac IN,ccdep OUT,ec OUT);

procedure TX_ModifyCCWD(ean IN,txid IN,mac IN,ccwd OUT,ec OUT);

procedure TX_ModifyWUDep(ean IN,txid IN,mac IN,wudep OUT,ec OUT);

procedure TX_ModifyWUWD(ean IN,txid IN,mac IN,wuwd OUT,ec OUT);

procedure TX_ModifyWTDep(ean IN,txid IN,mac IN,wtdep OUT,ec OUT);

procedure TX_ModifyWTWD(ean IN,txid IN,mac IN,wtwd OUT, ec OUT);

procedure TX_ModifyAdjDep(ean IN,txid IN,mac IN,adjdep OUT,ec OUT);

procedure TX_ModifyAdjWD(ean IN,txid IN,mac IN,adjwd OUT,ec OUT);

procedure TX_CommitCheckDep(ean IN,ec OUT);

procedure TX_CommitCheckWD(ean IN,ec OUT);

procedure TX_CommitCCDep(ean IN,ec OUT);

procedure TX_CommitCCWD(ean IN,ec OUT);

procedure TX_CommitWUDep(ean IN,ec OUT);

procedure TX_CommitWUWD(ean IN,ec OUT);

procedure TX_CommitWTDep(ean IN,ec OUT);

procedure TX_CommitWTWD(ean IN,ec OUT);

procedure TX_CommitAdjDep(ean IN,ec OUT);

procedure TX_CommitAdjWD(ean IN,ec OUT);

procedure TX_CancelCheckDep(ean IN,ec OUT);

procedure TX_CancelCheckWD(ean IN,ec OUT);

procedure TX_CancelCCDep(ean IN,ec OUT);

procedure TX_CancelCCWD(ean IN,ec OUT);

procedure TX_CancelWUDep(ean IN,ec OUT);

procedure TX_CancelWUWD(ean IN,ec OUT);

procedure TX_CancelWTDep(ean IN,ec OUT);

procedure TX_CancelWTWD(ean IN,ec OUT);

procedure TX_CancelAjdDep(ean IN,ec OUT);

procedure TX_CancelAdjWD(ean IN,ec OUT);

// ********************* Report proc's ******************************

procedure Report_GetGameStatsArray(ean IN,date1 IN,date2 IN,gt IN,cash IN TBool,
                                   gamestat_array OUT,gamestat_num OUT,ec OUT);

procedure Report_GetWD(ean IN,date1 IN,date2 IN,txt OUT,ec OUT);

procedure Report_GetAdjDepArray(ean IN,filter IN,
                                adjdep_array OUT,adjdep_num OUT,ec OUT);

procedure Report_GetAdjWDArray(ean IN,filter IN,
                               adjwd_array OUT,adjwd_num OUT,ec OUT);

procedure Report_GetCheckDepArray(ean IN,filter IN,
                                  chdep_array OUT,chdep_num OUT,ec OUT);

procedure Report_GetCheckWDArray(ean IN,filter IN,
                                 chwd_array OUT,chwd_num OUT,ec OUT);

procedure Report_GetCCDepArray(ean IN,filter IN,
                               ccdep_array OUT,ccdep_num OUT,ec OUT);

procedure Report_GetCCWDArray(ean IN,filter IN,
                              ccwd_array OUT,ccwd_num OUT,ec OUT);

procedure Report_GetWTDepArray(ean IN,filter IN,
                               wtdep_array OUT,wtdep_num OUT,ec OUT);

procedure Report_GetWTWDArray(ean IN,filter IN,
                              wtwd_array OUT,wtwd_num OUT,ec OUT);

procedure Report_GetWUDepArray(ean IN,filter IN,
                               wudep_array OUT,wudep_num OUT,ec OUT);

procedure Report_GetWUWDArray(ean IN,filter IN,
                              wuwd_array OUT,wuwd_num OUT,ec OUT);

procedure Report_GetFinancialSummary(ean IN,date1 IN,date2 IN,txt OUT,ec OUT);

procedure Report_GetDep(ean IN,date1 IN,date2 IN,txt OUT,ec OUT);

//********************** Regional Lockout proc's ********************

procedure Region_GetDefault(ean IN,region OUT TRegion,ec OUT);

procedure Region_SetDefault(ean IN,region IN TRegion,ec OUT);

procedure Region_Set(ean IN,region IN TRegion,ec OUT);

procedure Region_Add(ean IN,region IN TRegion,ec OUT);

procedure Region_Remove(ean IN,state IN,country IN,ec OUT);

procedure Region_GetArray(ean IN,rd_array OUT,rd_num OUT,ec OUT);

procedure Region_DeActivateLock(ean IN,reglockid IN,ec OUT);

procedure Region_GetLockArray(ean IN,uan IN,active IN bool,
                              rl_array OUT,rl_num OUT,ec OUT);

// ************************* casino stuff *****************************

procedure Cas_GetGTDataArray(ean IN,gtd_array OUT,gtd_num OUT,ec OUT);

procedure Cas_GetCasinoSession(ean IN,uan IN,csc IN,cs OUT,ec OUT);

procedure Cas_GetCasinoSessionArray(ean IN,uan IN,
                                    cs_array OUT,cs_num OUT,ec OUT);

procedure Cas_GetGameSession(ean IN,uan IN,gsid IN,gs OUT,ec OUT);

procedure Cas_GetGameSessionArray(ean IN,uan IN,csid IN,
                                  gs_array OUT,gs_num OUT,ec OUT);

// ************************* stat stuff *****************************

procedure Stats_Get(ean IN,uan IN,gametype IN,mid IN,date IN,csc IN,
                    ms OUT,ec OUT);

// ************************* slots proc's ***************************

procedure Slots_GetInstanceArray(ean IN,uan IN,si_array OUT,si_num OUT,ec OUT);

procedure Slots_GetRoundArray(ean IN,uan IN,sid IN,
                              sr_array OUT,sr_num OUT,ec OUT);

// ************************* slots cfg ******************************

procedure Slots_GetLocNumMax(ean IN,max OUT,ec OUT);

procedure Slots_SetMachine(ean IN,mid IN,active IN,locnum IN,ec OUT);

procedure Slots_GetGameStatArray(ean IN,availstatus IN,
                                 gamestat_array OUT,gamestat_num OUT,ec OUT);

procedure Slots_GetOn(ean IN,on OUT TBool,ec OUT);

procedure Slots_SetOn(ean IN,on IN TBool,ec OUT);

//************************* bj proc's *******************************

procedure BJ_GetInstanceArray(ean IN,uan IN,
                              bji_array OUT,bji_num OUT,ec OUT);

procedure BJ_GetRoundArray(ean IN,uan IN,bjid IN,
                           bjr_array OUT,bjr_num OUT,ec OUT);

//************************ bj cfg ***********************************

procedure BJ_GetLocNumMax(ean IN,max OUT,ec OUT);

procedure BJ_SetMachine(ean IN,mid IN,active IN,locnum IN,ec OUT);

procedure BJ_GetGameStatArray(ean IN,availstatus IN,
                              gamestat_array OUT,gamestat_num OUT,ec OUT);

procedure BJ_GetOn(ean IN,on OUT TBool,ec OUT);

procedure BJ_SetOn(ean IN,on IN TBool,ec OUT);

//************************ roulette proc's **************************

procedure Roulette_GetInstanceArray(ean IN,uan IN,
                                    ri_array OUT,ri_num OUT,ec OUT);

procedure Roulette_GetRoundArray(ean IN,uan IN,rid IN,
                                 rr_array OUT,rr_num OUT,ec OUT);

// ********************** roulette cfg ******************************

procedure Roulette_GetLocNumMax(ean IN,max OUT,ec OUT);

procedure Roulette_SetMachine(ean IN,mid IN,active IN,locnum IN,ec OUT);

procedure Roulette_GetGameStatArray(ean IN,availstatus IN,
                                    gamestat_array OUT,gamestat_num OUT,ec OUT);

procedure Roulette_GetOn(ean IN,on OUT TBool,ec OUT);

procedure Roulette_SetOn(ean IN,on IN TBool,ec OUT);

//************************* vp proc's *******************************

procedure VP_GetInstanceArray(ean IN,uan IN,
                              vpi_array OUT,vpi_num OUT,ec OUT);

procedure VP_GetRoundArray(ean IN,uan IN,vpid IN,
                           vpr_array OUT,vpr_num OUT,ec OUT);

//************************* vp cfg **********************************

procedure VP_GetLocNumMax(ean IN,max OUT,ec OUT);

procedure VP_SetMachine(ean IN,mid IN,active IN,locnum IN,ec OUT);

procedure VP_GetGameStatArray(ean IN,availstatus IN,
                              gamestat_array OUT,gamestat_num OUT,ec OUT);

procedure VP_GetOn(ean IN,on OUT TBool,ec OUT);

procedure VP_SetOn(ean IN,on IN TBool,ec OUT);

//*******************************************************************
end PAce;
