create or replace package PCasSession as
//*******************************************************************
procedure GetArray(gw_ipaddr IN,cs_array OUT,cs_num OUT,ec OUT);

procedure Create(uan IN PDef.TUAN,
                 gatewayid IN PDef.TGatewayID,
                 cscounter IN PDef.TLgCount,
                 cs IN OUT TCasSession,
                 errorcode OUT PDef.TErrorCode);

procedure Add(cs IN OUT TCasSession,errorcode OUT PDef.TErrorCode);

procedure CreateAdd(uan IN PDef.TUAN,
                    gatewayid IN PDef.TGatewayID,
                    cscounter IN PDef.TLgCount,
                    cs IN OUT TCasSession,
                    errorcode OUT PDef.TErrorCode);

procedure Lock(csid IN PDef.TCSID,
               cs IN OUT TCasSession,
               errorcode OUT PDef.TErrorCode);

procedure UnLock(cs IN OUT TCasSession,ec OUT);

procedure Get(uan IN,cscounter IN,cs OUT,ec OUT);
function IsStopSafe(cs IN TCasSession) return PDef.TBool;

procedure Start(user IN OUT TUser,
                cs IN OUT TCasSession,
                gametype IN PDef.TGame,
                machineid IN PDef.TMID,
                ec OUT PDef.TErrorCode);

procedure Start(user IN OUT TUser,
                cs IN OUT TCasSession,
                ec OUT PDef.TErrorCode);

procedure Pause(user IN OUT TUser,
                cs IN OUT TCasSession,
                ec OUT PDef.TErrorCode);

procedure ReStart(user IN OUT TUser,
                  cs IN OUT TCasSession,
                  ec OUT PDef.TErrorCode);

procedure Stop(user IN OUT TUser,
               cs IN OUT TCasSession,
               ec OUT PDef.TErrorCode);

procedure SwitchGame(user IN OUT TUser,
                     cs IN OUT TCasSession,
                     gametype IN PDef.TGame,
                     mid IN PDef.TMID,
                     endgs IN PDef.TBool,
                     ec OUT PDef.TErrorCode);
//*******************************************************************
end PCasSession;