create or replace package PCheckWDTX as
//*******************************************************************
procedure Modify(ean IN PDef.TEAN,
                 txid IN TXID,
                 mac IN TMAC,
                 checkwdtx OUT TCheckWDTX);

procedure Commit(ean IN,ec OUT);

procedure Cancel(ean IN,ec OUT);

procedure Lock(txid IN TXID,
              checkwdtx IN OUT TCheckWDTX,
              ec OUT TErrorcode);

procedure UnLock(checkwdtx IN TCheckWDTX,ec OUT TErrorCode);

procedure LockArray(ean IN,checkwdtx_array OUT,checkwdtx_num OUT,ec OUT);

procedure UnLockArray(checkwdtx_array IN,checkwdtx_num IN,ec OUT);

procedure Create(ean IN,uan IN,amount IN,express IN,noservfee IN,
                 checkwdtx OUT,ec OUT);

procedure Add(checkwdtx IN,ec OUT);

procedure CreateAdd(ean IN,uan IN,amount IN,express IN TBool,
                    noservfee IN,txid OUT,ec OUT);

procedure GetArray(filter IN TFilter,
                   checkwdtx_array OUT,checkwdtx_num OUT,ec OUT);
//*******************************************************************
end PCheckWithdrawal;