create or replace package body TLogCodes as
//***********************************************
procedure Get(codeid IN,logging OUT,ec OUT)
{
  logcode TLogCode;
  select logcode from Tbl_LogCodes
  where rec.CodeID == codeid;
}
//***********************************************
procedure Set(codeid IN,logging IN,ec OUT)
{
  update Tbl_LogCodes
  rec.Logging = logging
  where rec.CodeID == codeid;
}
//***********************************************
procedure SetDefaults()
{
  ec TErrorCode = EC_NONE;

  Set(LOG_REGION_READ,false,ec);
  Set(LOG_REGION_WRITE,true,ec);
  Set(LOG_REGION_CREATE,true,ec);
  Set(LOG_REGION_REMOVE,true,ec);
  Set(LOG_SUPPORT_CFG_PHONE_READ,false,ec);
  Set(LOG_SUPPORT_CFG_PHONE_WRITE,true,ec);
  Set(LOG_SUPPORT_CFG_EMAIL_READ.false,ec);
  Set(LOG_SUPPORT_CFG_EMAIL_WRITE,true,ec);
  Set(LOG_SUPPORT_CFG_WEBURL_READ,false,ec);
  Set(LOG_SUPPORT_CFG_WEBURL_WRITE,true,ec);
  Set(LOG_SUPPORT_CFG_NEWWELCOME_READ,false,ec);
  Set(LOG_SUPPORT_CFG_NEWWELCOME_WRITE,true,ec);
  Set(LOG_SUPPORT_CFG_NEWDISCLAIMER_READ,false,ec);
  Set(LOG_SUPPORT_CFG_NEWDISCLAIMER_WRITE,true,ec);
  Set(LOG_LOBBY_CFG_GREETINGON_READ,false,ec);
  Set(LOG_LOBBY_CFG_GREETINGON_WRITE,true,ec);
  Set(LOG_LOBBY_CFG_GREETINGTXT_READ,false,ec);
  Set(LOG_LOBBY_CFG_GREETINGTXT_WRITE,true,ec);
  Set(LOG_LOBBY_CFG_MARQUEETXT_READ,false,ec);
  Set(LOG_LOBBY_CFG_MARQUEETXT_WRITE,true,ec);
  Set(LOG_SLOTS_INSTANCE_READ,false,ec);
  Set(LOG_SLOTS_ROUND_READ,false,ec);
  Set(LOG_SLOTS_CFG_MACHINE_READ,false,ec);
  Set(LOG_SLOTS_CFG_MACHINE_WRITE,true,ec);
  Set(LOG_SLOTS_CFG_MACHINE_CREATE,true,ec);
  Set(LOG_SLOTS_CFG_MACHINECURRENT_READ,false,ec);
  Set(LOG_SLOTS_CFG_MACHINECURRENT_WRITE,true,ec);
  Set(LOG_SLOTS_CFG_MACHINEOPEN_READ,false,ec);
  Set(LOG_SLOTS_CFG_MACHINEOPEN_WRITE,true,ec);
  Set(LOG_SLOTS_CFG_ON_READ,false,ec);
  Set(LOG_SLOTS_CFG_ON_WRITE,true,ec);
  Set(LOG_BJ_INSTANCE_READ,false,ec);
  Set(LOG_BJ_ROUND_READ,false,ec);
  Set(LOG_BJ_CFG_MACHIHE_READ,false,ec);
  Set(LOG_BJ_CFG_MACHINE_WRITE,true,ec);
  Set(LOG_BJ_CFG_MACHINECURRENT_READ,false,ec);
  Set(LOG_BJ_CFG_MACHINECURRENT_WRITE,false,ec);
  Set(LOG_BJ_CFG_MACHINEOPEN_READ,false,ec);
  Set(LOG_BJ_CFG_MACHINEOPEN_WRITE,true,ec);
  Set(LOG_BJ_CFG_ON_READ,false,ec);
  Set(LOG_BJ_CFG_ON_WRITE,true,ec);
  Set(LOG_VP_INSTANCE_READ,false,ec);
  Set(LOG_VP_ROUND_READ,false,ec);
  Set(LOG_VP_CFG_MACHINE_READ,false,ec);
  Set(LOG_VP_CFG_MACHINE_WRITE,true,ec);
  Set(LOG_VP_CFG_MACHINECURRENT_READ,false,ec);
  Set(LOG_VP_CFG_MACHINECURRENT_WRITE,true,ec);
  Set(LOG_VP_CFG_MACHINEOPEN_READ,false,ec);
  Set(LOG_VP_CFG_MACHINEOPEN_WRITE,true,ec);
  Set(LOG_VP_CFG_ON_READ,false,ec);
  Set(LOG_VP_CFG_ON_WRITE,true,ec);
  Set(LOG_ROULETTE_INSTANCE_READ,false,ec);
  Set(LOG_ROULETTE_ROUND_READ,false,ec);
  Set(LOG_ROULETTE_CFG_MACHINE_READ,false,ec);
  Set(LOG_ROULETTE_CFG_MACHINE_WRITE,true,ec);
  Set(LOG_ROULETTE_CFG_MACHINECURRENT_READ,false,ec);
  Set(LOG_ROULETTE_CFG_MACHINECURRENT_WRITE,true,ec);
  Set(LOG_ROULETTE_CFG_MACHINEOOPEN_READ,false,ec);
  Set(LOG_ROULETTE_CFG_MACHINEOPEN_WRITE,true,ec);
  Set(LOG_ROULETTE_CFG_ON_READ,false,ec);
  Set(LOG_ROULETTE_CFG_ON_WRITE,true,ec);
  Set(LOG_TX_STATS_READ,false,ec);
  Set(LOG_TX_NOTE_READ,false,ec);
  Set(LOG_TX_NOTE_WRITE,true,ec);
  Set(LOG_TX_NOTE_CREATE,true,ec);
  Set(LOG_TX_LOG_READ,false,ec);
  Set(LOG_TX_CHIPS_CASH_CFG_READ,false,ec);
  Set(LOG_TX_CHIPS_CASH_CFG_ALLOW_READ,false,ec);
  Set(LOG_TX_CHIPS_CASH_CFG_ALLOW_WRITE,true,ec);
  Set(LOG_TX_CHIPS_CASH_READ,false,ec);
  Set(LOG_TX_CHIPS_CASH_WRITE,true,ec);
  Set(LOG_TX_CHIPS_CASH_CREATE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_ALLOW_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_ALLOW_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_NEWAMOUNT_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_NEWAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_NEWFREEONLYAMOUNT_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_NEWFREEONLYAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_ADDDAILYAMOUNT_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_ADDDAILYAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSFLAG_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSFLAG_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSAMOUNT_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYCASHLOCKOUTFLAG_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYCASHLOCKOUTFLAG_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_READ,false,ec);
  Set(LOG_TX_CHIPS_FREE_WRITE,true,ec);
  Set(LOG_TX_CHIPS_FREE_CREATE,true,ec);
  Set(LOG_TX_CHECK_CFG_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWDEP_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_ALLLOWDEP_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_MINDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_MINDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_MAXDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_MAXDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_DEPSERVFEE_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_DEPSERVFEE_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWADVANCES_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWADVANCES_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_DEPINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_DEPINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWWD_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWWD_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_MINWDAMOUNT_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_MINWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_MAXWDAMOUNT_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_MAXWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_WDSERVFEEREG_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_WDSERVFEEREG_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_WDSERVFEEEXP_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_WDSERVFEEEXP_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_WDINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_WDINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWEMPNEWWD_READ,false,ec);
  Set(LOG_TX_CHECK_CFG_ALLOWEMPNEWWD_WRITE,true,ec);
  Set(LOG_TX_CHECK_DEP_READ,false,ec);
  Set(LOG_TX_CHECK_DEP_WRITE,true,ec);
  Set(LOG_TX_CHECK_DEP_CREATE,true,ec);
  Set(LOG_TX_CHECK_DEP_COMMIT,true,ec);
  Set(LOG_TX_CHECK_DEP_CANCEL,true,ec);
  Set(LOG_TX_CHECK_WD_READ,false,ec);
  Set(LOG_TX_CHECK_WD_WRITE,true,ec);
  Set(LOG_TX_CHECK_WD_CREATE,true,ec);
  Set(LOG_TX_CHECK_WD_COMMIT,true,ec);
  Set(LOG_TX_CHECK_WD_CANCEL,true,ec);
  Set(LOG_TX_CC_CFG_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWDEP_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWDEP_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_MINDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_CC_CFG_MINDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_MAXDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_CC_CFG_MAXDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_DEPSERVFEE_READ,false,ec);
  Set(LOG_TX_CC_CFG_DEPSERVFEE_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_DEPINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_CC_CFG_DEPINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_ALLOWAUTODEP_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWAUTODEP_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_ALLOWWD_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWWD_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_MINWDAMOUNT_READ,false,ec);
  Set(LOG_TX_CC_CFG_MINWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_MAXWDAMOUNT_READ,false,ec);
  Set(LOG_TX_CC_CFG_MAXWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_WDSERVFEE_READ,false,ec);
  Set(LOG_TX_CC_CFG_WDSERVFEE_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_ALLOWWDGTDEP_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWWDGTDEP_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_RECREDITEXPDAYS_READ,false,ec);
  Set(LOG_TX_CC_CFG_RECREDITEXPDAYS_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_WDINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_CC_CFG_WDINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_ALLOWAUTOWD_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWAUTOWD_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_ALLOWEMPNEWDEP_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWEMPNEWDEP_WRITE,true,ec);
  Set(LOG_TX_CC_CFG_ALLOWEMPNEWWD_READ,false,ec);
  Set(LOG_TX_CC_CFG_ALLOWEMPNEWWD_WRITE,true,ec);
  Set(LOG_TX_CC_DEP_READ,false,ec);
  Set(LOG_TX_CC_DEP_WRITE,true,ec);
  Set(LOG_TX_CC_DEP_CREATE,true,ec);
  Set(LOG_TX_CC_DEP_COMMIT,true,ec);
  Set(LOG_TX_CC_DEP_CANCEL,true,ec);
  Set(LOG_TX_CC_WD_READ,false,ec);
  Set(LOG_TX_CC_WD_WRITE,true,ec);
  Set(LOG_TX_CC_WD_CREATE,true,ec);
  Set(LOG_TX_CC_WD_COMMIT,true,ec);
  Set(LOG_TX_CC_WD_CANCEL,true,ec);
  Set(LOG_TX_WU_CFG_READ,false,ec);
  Set(LOG_TX_WU_CFG_ALLOWDEP_READ,false,ec);
  Set(LOG_TX_WU_CFG_ALLOWDEP_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_MINDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_WU_CFG_MINDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_MAXDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_WU_CFG_MAXDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_DEPSERVFEE_READ,false,ec);
  Set(LOG_TX_WU_CFG_DEPSERVFEE_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_DEPINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_WU_CFG_DEPINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_ALLOWWD_READ,false,ec);
  Set(LOG_TX_WU_CFG_ALLOWWD_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_MINWDAMOUNT_READ,false,ec);
  Set(LOG_TX_WU_CFG_MINWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_MAXWDAMOUNT_READ,false,ec);
  Set(LOG_TX_WU_CFG_MAXWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_WDSERVFEE_READ,false,ec);
  Set(LOG_TX_WU_CFG_WDSERVFEE_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_WDINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_WU_CFG_WDINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_ALLOWAUTOWD_READ,false,ec);
  Set(LOG_TX_WU_CFG_ALLOWAUTOWD_WRITE,true,ec);
  Set(LOG_TX_WU_CFG_ALLOWEMPNEWWD_READ,false,ec);
  Set(LOG_TX_WU_CFG_ALLOWEMPNEWWD_WRITE,true,ec);
  Set(LOG_TX_WU_DEP_READ,false,ec);
  Set(LOG_TX_WU_DEP_WRITE,true,ec);
  Set(LOG_TX_WU_DEP_CREATE,true,ec);
  Set(LOG_TX_WU_DEP_COMMIT,true,ec);
  Set(LOG_TX_WU_DEP_CANCEL,true,ec);
  Set(LOG_TX_WU_WD_READ,false,ec);
  Set(LOG_TX_WU_WD_WRITE,true,ec);
  Set(LOG_TX_WU_WD_CREATE,true,ec);
  Set(LOG_TX_WU_WD_COMMIT,true,ec);
  Set(LOG_TX_WU_WD_CANCEL,true,ec);
  Set(LOG_TX_WT_CFG_READ,false,ec);
  Set(LOG_TX_WT_CFG_ALLOWDEP_READ,false,ec);
  Set(LOG_TX_WT_CFG_ALLOWDEP_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_MINDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_WT_CFG_MINDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_MAXDEPAMOUNT_READ,false,ec);
  Set(LOG_TX_WT_CFG_MAXDEPAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_DEPSERVFEE_READ,false,ec);
  Set(LOG_TX_WT_CFG_DEPSERVFEE_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_ALLOWDEPADVANCES_READ,false,ec);
  Set(LOG_TX_WT_CFG_ALLOWDEPADVANCES_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_DEPINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_WT_CFG_DEPINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_ALLOWWD_READ,false,ec);
  Set(LOG_TX_WT_CFG_ALLOWWD_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_MINWDAMOUNT_READ,false,ec);
  Set(LOG_TX_WT_CFG_MINWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_MAXWDAMOUNT_READ,false,ec);
  Set(LOG_TX_WT_CFG_MAXWDAMOUNT_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_WDSERVFEE_READ,false,ec);
  Set(LOG_TX_WT_CFG_WDSERVFEE_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_WDINSTRUCTIONS_READ,false,ec);
  Set(LOG_TX_WT_CFG_WDINSTRUCTIONS_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_ALLOWAUTOWD_READ,false,ec);
  Set(LOG_TX_WT_CFG_ALLOWAUTOWD_WRITE,true,ec);
  Set(LOG_TX_WT_CFG_ALLOWEMPNEWWD_READ,false,ec);
  Set(LOG_TX_WT_CFG_ALLOWEMPNEWWD_WRITE,true,ec);
  Set(LOG_TX_WT_DEP_READ,false,ec);
  Set(LOG_TX_WT_DEP_WRITE,true,ec);
  Set(LOG_TX_WT_DEP_CREATE,true,ec);
  Set(LOG_TX_WT_DEP_COMMIT,true,ec);
  Set(LOG_TX_WT_DEP_CANCEL,true,ec);
  Set(LOG_TX_WT_WD_READ,false,ec);
  Set(LOG_TX_WT_WD_WRITE,true,ec);
  Set(LOG_TX_WT_WD_CREATE,true,ec);
  Set(LOG_TX_WT_WD_COMMIT,true,ec);
  Set(LOG_TX_WT_WD_CANCEL,true,ec);
  Set(LOG_TX_ADJ_CFG_READ,false,ec);
  Set(LOG_TX_ADJ_CFG_WRITE,true,ec);
  Set(LOG_TX_ADJ_DEP_READ,false,ec);
  Set(LOG_TX_ADJ_DEP_WRITE,true,ec);
  Set(LOG_TX_ADJ_DEP_CREATE,true,ec);
  Set(LOG_TX_ADJ_DEP_COMMIT,true,ec);
  Set(LOG_TX_ADJ_DEP_CANCEL,true,ec);
  Set(LOG_TX_ADJ_WD_READ,false,ec);
  Set(LOG_TX_ADJ_WD_WRITE,true,ec);
  Set(LOG_TX_ADJ_WD_CREATE,true,ec);
  Set(LOG_TX_ADJ_WD_COMMIT,true,ec);
  Set(LOG_TX_ADJ_WD_CANCEL,true,ec);
  Set(LOG_EMP_READ,false,ec);
  Set(LOG_EMP_WRITE,true,ec);
  Set(LOG_EMP_CREATE,true,ec);
  Set(LOG_EMP_ACTIVITY_READ,false,ec);
  Set(LOG_EMP_ACTIVITY_WRITE,false,ec);
  Set(LOG_EMP_PW_READ,false,ec);
  Set(LOG_EMP_PW_WRITE,true,ec);
  Set(LOG_EMP_PW_RESETCOUNT_READ,false,ec);
  Set(LOG_EMP_PW_RESETCOUNT_WRITE,true,ec);
  Set(LOG_EMP_LOGIN,true,ec);
  Set(LOG_EMP_LOGOFF,true,ec);
  Set(LOG_EMP_LOCK_READ,false,ec);
  Set(LOG_EMP_LOG_WRITE,false,ec);
  Set(LOG_EMP_OPEN_READ,false,ec);
  Set(LOG_EMP_OPEN_WRITE,true,ec);
  Set(LOG_USER_READ,false,ec);
  Set(LOG_USER_WRITE,true,ec);
  Set(LOG_USER_CREATE,true,ec);
  Set(LOG_USER_INFO_READ,false,ec);
  Set(LOG_USER_INFO_WRITE,true,ec);
  Set(LOG_USER_PW_READ,true,ec);
  Set(LOG_USER_PW_WRITE,true,ec);
  Set(LOG_USER_CASLOCK_READ,false,ec);
  Set(LOG_USER_CASLOCK_WRITE,true,ec);
  Set(LOG_USER_BANKACC_READ,false,ec);
  Set(LOG_USER_BANKACC_WRITE,true,ec);
  Set(LOG_USER_BANKACC_CREATE,true,ec);
  Set(LOG_USER_REGLOCK_READ,false,ec);
  Set(LOG_USER_REGLOCK_WRITE,true,ec);
  Set(LOG_USER_CASSESSION_READ,false,ec);
  Set(LOG_USER_GAMESESSION_READ,false,ec);
  Set(LOG_WALLET_READ,false,ec);
  Set(LOG_WALLET_WRITE,true,ec);
  Set(LOG_WALLET_RATING_READ,false,ec);
  Set(LOG_WALLET_RATING_WRITE,true,ec);
  Set(LOG_REPORT_GAMESTATS_READ,false,ec);
  Set(LOG_REPORT_DEP_READ,true,ec);
  Set(LOG_REPORT_WD_READ,true,ec);
  Set(LOG_REPORT_ADJ_DEP_READ,true,ec);
  Set(LOG_REPORT_ADJ_WD_READ,true,ec);
  Set(LOG_REPORT_CHECK_DEP_READ,true,ec);
  Set(LOG_REPORT_CHECK_WD_READ,true,ec);
  Set(LOG_REPORT_CC_DEP_READ,true,ec);
  Set(LOG_REPORT_CC_WD_READ,true,ec);
  Set(LOG_REPORT_WT_DEP_READ,true,ec);
  Set(LOG_REPORT_WT_WD_READ,true,ec);
  Set(LOG_REPORT_WU_DEP_READ,true,ec);
  Set(LOG_REPORT_WU_WD_READ,true,ec);
  Set(LOG_REPORT_FINANCIALSUMMARY_READ,true,ec);
}
//***********************************************
end;