//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  animicon.h
//    Project Name:  Ogle
// Original Author:  Dave Anderson
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     ???       D.Anderson  original baseline.
//  2.0    08/27/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__animicon_h)
#define __animicon_h

#if !defined(__ogeo_h)
#include "ogeo.h"
#endif

//#include <owl/window.h>
class TWindow;
class TFrameWindow;
//*******************************************************************
class IconSequence
{
public:
  int numIcons;
  TResId iconId[33];//add a class for icons
};
//*******************************************************************
class TOgleAnimatedIcons
{
public:
  TOgleAnimatedIcons();
  ~TOgleAnimatedIcons();
  IconSequence ico;
  IconSequence icoseq1;
  bool LoadIconSequence(IconSequence toLoad);
  void LoadIconIDs();
  bool SetupTimer(TWindow* tWnd);
  void AnimateIcon(TFrameWindow* tWnd);
};
//*******************************************************************
#endif