//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  odetldlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/9/96     M.Perry    original baseline
//  2.0     8/26/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__odetldlg_h)
#define __odetldlg_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(OWL_DIALOG_H)
#include <owl\dialog.h>
#endif

#if !defined(OWL_LISTBOX_H)
#include <owl\listbox.h>
#endif

#if !defined(OWL_BUTTON_H)
#include <owl\button.h>
#endif

#if !defined(OWL_EDIT_H)
#include <owl\edit.h>
#endif

class TDetList;
//*******************************************************************
class OGLEOWLCLASS TDetListDlg:public TDialog
{
protected:
  TStatic *PSource;
  TEdit *PDest;
  TListBox *PDesNamesLB;
  TDetList *PDetList;
  TStatic *PStatus;
  TStatic *PStatus2;
public:
  void SetStatus(const char *pchars) {PStatus->SetText(pchars);}
  void SetStatus(string &str) {SetStatus(str.c_str());}
  void SetStatus2(const char *pchars) {PStatus2->SetText(pchars);}
  void SetStatus2(string &str) {SetStatus2(str.c_str());}

  TDetListDlg(TDetList *pdetlist,TWindow *pwin);
  virtual ~TDetListDlg();
  virtual void SetupWindow();
  void CmCreateAll();
  void CmCreate();
  void CmAdd();
  void CmRemove();
  void CmEdit();
  void CmDone();
  void LoadDesNamesLB();
  void UnLoadDesNamesLB();
  DECLARE_RESPONSE_TABLE(TDetListDlg);
};
//*******************************************************************
#endif
