//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  odlevdlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/17/96   M.Perry    original baseline
//  2.0     08/27/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__odlevdlg_h)
#define __odlevdlg_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(OWL_RADIOBUT_H)
#include <owl\radiobut.h>
#endif

#if !defined(OWL_DIALOG_H)
#include <owl\dialog.h>
#endif

class OGLEOWLCLASS TOgleModeWindow;
//*******************************************************************
class OGLEOWLCLASS TDetailLevelDlg:public TDialog
{
protected:
  TRadioButton *PDL3_RB;
  TRadioButton *PDL2_RB;
  TRadioButton *PDL1_RB;
  TRadioButton *PDL0_RB;
  TOgleModeWindow *PModeWin;

public:
  TDetailLevelDlg(TOgleModeWindow *pmw);
  virtual ~TDetailLevelDlg();
  virtual void SetupWindow();
  void CmOk();

  DECLARE_RESPONSE_TABLE(TDetailLevelDlg);
};
//*******************************************************************
#endif
