//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  odlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     6/27/97    M.Perry    original baseline
//  2.0    08/26/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__odlg_h)
#define __odlg_h

#if !defined(OWL_DIALOG_H)
#include <owl\dialog.h>
#endif
//*******************************************************************
class TOgleDialog:public TDialog
{
protected:
  bool DoCentering;
  int ExecutingMethod;
  bool ExecuteAppModal;

public:
  TOgleDialog(TWindow *pwin,TResId resid,bool docentering = true,TModule *pmodule = NULL);
  virtual ~TOgleDialog();
  virtual void SetupWindow();
  virtual int Execute(int flags);
  virtual int Execute() {return Execute(MB_TASKMODAL);}
  virtual void Destroy(int retvalue = IDCANCEL);
  virtual void CloseWindow(int retvalue);
};
//*******************************************************************
#endif
