//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name: ohidewin.h
//    Project Name: Ogle
// Original Author: Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.2    06/01/99    M.Perry     added to fix focus problem.
//********************************************************************
#if !defined(__ohidewin_h)
#define __ohidewin_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(OWL_WINDOW_H)
#include <owl\window.h>
#endif

//*******************************************************************
class TOgleHideWin : public TWindow
{
public:
  TOgleHideWin(TWindow *pparent,string title);
  virtual ~TOgleHideWin();

  void EvSetFocus(HWND hwndlostfocus);
  void EvKillFocus(HWND hwndgetfocus);

  DECLARE_RESPONSE_TABLE(TOgleHideWin);
};
//*******************************************************************
#endif