//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oloaddlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/22/96   M.Perry     original baseline
//  1.2     3/20/97    M.Perry     derived from TOgleGroupGaugeDlg
//  2.0     08/27/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__oloaddlg_h)
#define __oloaddlg_h

#if !defined(__ogrpgdlg_h)
#include "ogrpgdlg.h"
#endif

#if !defined(__oloadbmp_rh)
#include "oloadbmp.rh"
#endif

class TGauge;

#if !defined(OWL_GDIOBJEC_H)
#include <owl\gdiobjec.h>
#endif
//*******************************************************************
class TLoadDlg:public TOgleGroupGaugeDlg
{
protected:
  TGauge *PG1;
  TGauge *PG2;
  int NumGaugesUsed;
public:
  TLoadDlg(void *powner,TWindow *pwin,TBitmap *pbitmap,word options,TRect r1,TRect r2,TColor c1,TColor c2);
  TLoadDlg(void *powner,TWindow *pwin,TBitmap *pbitmap,word options,TRect r,TColor c);
  virtual ~TLoadDlg();
  virtual void SetupWindow();
  virtual void SetGaugeText(string text,int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeCaption(string caption,int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeValue(int value,int gaugenum = -1,int groupnum = -1);
  virtual void IncGaugeValue(int gaugenum = -1,int groupnum = -1);
  virtual void DecGaugeValue(int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeRange(int min,int max,int gaugenum = -1,int groupnum = -1);
};
//*******************************************************************
#endif