//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  onamesp.h
//    Project Name:  ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    11/04/99    M.Perry     original baseline
//********************************************************************
#if !defined(__onamesp_h)
#define __onamesp_h

#include "osprite.h"
//*******************************************************************
class TOgleNameSprite : public TSprite
{
public:
  enum
  {
    NumAlphaAnms = 12
  };

protected:
  string CurrentName;
  TAnm *PAlpha[NumAlphaAnms];
  int16 FrameNum[uint8_max];

protected:
  void SetupAnms();
public:
  TOgleNameSprite(TOgleModeWindow *pmw,const TFileMode &fm);
  TOgleNameSprite(TOgleModeWindow *pmw,const TFileMode &fm,void *psource);
  virtual ~TOgleNameSprite();
  void SetName(string &s);
};
//*******************************************************************
#endif
