//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oplayer.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    10/10/95    M.Perry    original baseline
//  2.0    8/23/97     M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__oplayer_h)
#define __oplayer_h

#if !defined(__ogobj_h)
#include "ogobj.h"
#endif

#if !defined(__oplaydat_h)
#include "oplaydat.h"
#endif
//*******************************************************************
class TPlayer:public TGameObject
{
public:
  int16 ActiveSlotNum;
  TPlayerData *pd;

public:
  TPlayer(TOgleModeWindow *pmw,TFileMode &NewFileMode,int16 activeslotnum);
  virtual ~TPlayer();

  virtual void ShuttingDown();
  virtual void Activate(dword StartFUC);
  virtual void DeActivate();
  virtual void NotifyPlayerActivation(int16 slotnum);
  virtual void NotifyPlayerDeActivation(int16 slotnum);
  virtual void GetDataPtr();
  virtual void ClearDataPtr();
};
//*******************************************************************
#endif

