//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ospidini.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.4    08/18/99   M.Perry     baseline
//********************************************************************
#if !defined(__ospidini_h)

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(__inifile_h)
#include "inifile.h"
#endif

#if !defined(__ofilenam_h)
#include "ofilenam.h"
#endif
//*******************************************************************
class TSpriteIDIniFile:public TIniFile
{
protected:
  string strInfoSection;
  string strIDSection;
  string strNumIDKey;
  
public:
  TSpriteIDIniFile(const TOgleFileName &ofn);
  virtual ~TSpriteIDIniFile();
  void Squeeze();
  string GetDefName(int16 id) const;
  int16 GetNumID() const;
  void SetNumID(int16 numid);
  string GetIDName(int16 numid) const;
  void SetIDName(int16 idnum,const string &idname);
};
//*******************************************************************
#endif