//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  owarnmsg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.3    08/05/99    M.Perry    baseline
//********************************************************************
#if !defined(__owarnmsg_h)
#define __owarnmsg_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

//#if !defined(OWL_DIALOG_H)
//#include "owl\dialog.h"
//#endif
#if !defined(__odlg_h)
#include "odlg.h"
#endif

class TStatic;
class TCheckBox;
//*******************************************************************
class TWarnMsgDlg : public TOgleDialog
{
public:
  static bool CreateExecute(string msg,
                            string title,
                            int warn,
                            bool updateini);
  TWarnMsgDlg(string msg,string title);
  virtual ~TWarnMsgDlg();
  bool GetWarnEnb();
  virtual void SetupWindow();
protected:
  bool bWarnEnb;
  string strMsg,strTitle;
  TStatic *PMsgStatic;
  TCheckBox *PEnbCheckBox;
  virtual void CmOk();

  DECLARE_RESPONSE_TABLE(TWarnMsgDlg);
};
//*******************************************************************
#endif