//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  smarts.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     08/26/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _smarts_h
#define _smarts_h

#include "hand.h"                          
#include "pokerhan.h"

class TDeck;

#include "deck.h"
//*******************************************************************
class TSmarts
{
public:
  TSmarts();
  virtual ~TSmarts();
  virtual int16 Holding(THand *h){return 1;};
  virtual int16 Compare(THand *hnd,THand *hnd2)=0;
  virtual int16 LowComp(THand *hnd,THand *hnd2)=0;
  virtual int16 Insert_Sort(TPokerHand *h)=0;
};
//*******************************************************************
#endif

