//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  winini.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     04/01/97   M.Perry     original baseline
//  2.0     08/26/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__winini_h)
#define __winini_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif
//*******************************************************************
class TWinIniFile
{
public:
  TWinIniFile() {}
  virtual ~TWinIniFile() {}
  int boolToint(bool b);
  bool intTobool(int i);
  bool WriteString(string inisection,string entrykey,string newentry);
  string ReadString(string inisection,string entrykey,string defstr);
  int ReadInt(string inisection,string entrykey,int defint);
  bool WriteInt(string inisection,string entrykey,int newint);
  bool Writebool(string inisection,string entrykey,bool newbool);
  bool Readbool(string inisection,string entrykey,bool defbool);
};
//*******************************************************************
//*********************  inlines  ***********************************
//*******************************************************************
inline int TWinIniFile::boolToint(bool b)
{
  return (b?1:0);
}
//*******************************************************************
inline bool TWinIniFile::intTobool(int i)
{
  return (i?true:false);
}
//*******************************************************************
#endif
