//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  osound.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/14/95    M.Perry     original baseline
//  2.0     8/23/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__osound_h)
#include "osound.h"
#endif

#if !defined(__omodewin_h)
#include "omodewin.h"
#endif

#if !defined(__ogamefw_h)
#include "ogamefw.h"
#endif

#if !defined(__oapp_h)
#include "oapp.h"
#endif
//*******************************************************************
TSound::TSound(TOgleModeWindow *pmw)
:TOgleBase(pmw),PSoundMgr(NULL)
{
  PSoundMgr = FindSoundMgr();
}
//*******************************************************************
TSound::TSound(TOgleModeWindow *pmw,const TFileMode &fm)
:TOgleBase(pmw,true,fm),PSoundMgr(NULL)
{
  PSoundMgr = FindSoundMgr();
}
//*******************************************************************
TSound::~TSound()
{
}
//*******************************************************************
TOgleSoundMgr *TSound::FindSoundMgr()
{
  if (PModeWin != NULL) {return PModeWin->GetSoundMgr();}
  return TOgleApp::GetOgleApp()->GetSoundMgr();
}
//*******************************************************************
