//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ohidewin.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.2    06/01/99   M.Perry     added to fix focus problem.
//********************************************************************
#if !defined(__ohidewin_h)
#include "ohidewin.h"
#endif

#if !defined(__oapp_h)
#include "oapp.h"
#endif

#if !defined(__ogamefw_h)
#include "ogamefw.h"
#endif
//*******************************************************************
DEFINE_RESPONSE_TABLE1(TOgleHideWin,TWindow)
  EV_WM_SETFOCUS,
  EV_WM_KILLFOCUS,
END_RESPONSE_TABLE;
//*******************************************************************
TOgleHideWin::TOgleHideWin(TWindow *pparent,string title)
:TWindow(pparent,title.c_str())
{
}
//*******************************************************************
TOgleHideWin::~TOgleHideWin()
{
}
//*******************************************************************
void TOgleHideWin::EvSetFocus(HWND hwndlostfocus)
{
  // let framewin give focus to someone else.
  TOgleGameFrameWindow *pgfw = TOgleApp::GetOgleApp()->GetFW();
  if (pgfw != NULL)
  {
    pgfw->SetFocus();
  }
  else // no framewin, so do default OWL thing.
  {
    TWindow::EvSetFocus(hwndlostfocus);
  }
}
//*******************************************************************
void TOgleHideWin::EvKillFocus(HWND /*hwndgetfocus*/)
{
  // don't do normal TWindow thing.
  // don't make framewin hold win to restore focus back
  // to later.
  DefaultProcessing();
}
//*******************************************************************
