//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  omodewin.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     02/27/95   M. Perry    original baseline
//  2.0     08/29/97   M.Perry     32-bit conversion.
//                                 need to change ctor,initialize,setupwindow shit.
//                                 including Attr struct.
//********************************************************************
#if !defined(__omodewin_h)
#include "omodewin.h"
#endif

#if !defined(__omode_h)
#include "omode.h"
#endif

#if !defined(_oapp_h)
#include "oapp.h"
#endif

#if !defined(__oinifile_h)
#include "oinifile.h"
#endif

#if !defined(__STDIO_H)
#include <stdio.h>
#endif

#if !defined(__ogobjlst_h)
#include "ogobjlst.h"
#endif

#if !defined(__oplaymgr_h)
#include "oplaymgr.h"
#endif

#if !defined(__oplayer_h)
#include "oplayer.h"
#endif

#if !defined(__oglord_h)
#include "oglord.h"
#endif

#if !defined(__ogamefw_h)
#include "ogamefw.h"
#endif

#if !defined(__oscrnmgr_h)
#include "oscrnmgr.h"
#endif

#if !defined(__osndmgr_h)
#include "osndmgr.h"
#endif

//#include "obmpmono.h"

#if !defined(__mstate_h)
#include "mstate.h"
#endif

#if !defined(__osmsgdlg_h)
#include "osmsgdlg.h"
#endif

#if !defined(__odlevdlg_h)
#include "odlevdlg.h"
#endif

#if defined(DEBUGSPRITES)
#if !defined(__IOSTREAM_H)
  #include <iostream.h>
#endif
#if !defined(__FSTREAM_H)
  #include <fstream.h>
#endif
#endif

#if !defined(__oloadbmp_rh)
#include "oloadbmp.rh"
#endif

#if !defined(__oloaddlg_h)
#include "oloaddlg.h"
#endif

#if !defined(__ogaugdlg_rh)
#include "ogaugdlg.rh"
#endif

#if !defined(__ofilemgr_h)
#include "ofilemgr.h"
#endif

#if !defined(__ogame_h)
#include "ogame.h"
#endif

#if !defined(__osys_h)
#include "osys.h"
#endif

#include <assert.h>

DIAG_DEFINE_GROUP(OMODEWIN,0,0); //name,enabled,level
//*******************************************************************
DEFINE_RESPONSE_TABLE1(TOgleModeWindow,TWindow)
  EV_WM_TIMER,
  EV_WM_LBUTTONDOWN,
  EV_WM_LBUTTONUP,
  EV_WM_LBUTTONDBLCLK,
  EV_WM_RBUTTONDOWN,
  EV_WM_RBUTTONUP,
  EV_WM_RBUTTONDBLCLK,
  EV_WM_CHAR,
  EV_WM_SETCURSOR,
  EV_WM_ERASEBKGND,
  EV_WM_SETFOCUS,
  EV_WM_KILLFOCUS,
  EV_WM_ACTIVATEAPP,
  EV_WM_QUERYNEWPALETTE,
  EV_WM_PALETTECHANGED,
  EV_COMMAND(CM_MODEHELP,ModeHelp),
  EV_COMMAND(CM_MODEDETAILLEVEL,DoDetailLevelDlg),
END_RESPONSE_TABLE;
//*******************************************************************
//*******************************************************************
#if defined(DEBUGUPDATES)
void TMWUpdateSum::ClearData()
{
  PaintCount = 0;
  PaintTotals = 0;
  ScreenMgrCount = 0;
  ScreenMgrTotals = 0;
  UpdateCount = 0;
  UpdateTotals = 0;
  SndMgrCount = 0;
  SndMgrTotals = 0;
  RunStateCount = 0;
  RunStateTotals = 0;
  UpdateStateCount = 0;
  UpdateStateTotals = 0;
  PostUpdateStateCount = 0;
  PostUpdateStateTotals = 0;
  UpdateGObjCount = 0;
  UpdateGObjTotals = 0;
  PostUpdateGObjCount = 0;
  PostUpdateGObjTotals = 0;
  ProcessRectsCount = 0;
  ProcessRectsTotals = 0;
  RenderBGCount = 0;
  RenderBGTotals = 0;
  RenderCount = 0;
  RenderTotals = 0;
  GrListSortCount = 0;
  GrListSortTotals = 0;
  BltToCount = 0;
  BltToTotals = 0;
  BltToSingleStart = 0;
  BltToSingleEnd = 0;
  BltToSingleLastCount = -1;
  for (int16 i=0;i<NUMBLTTOSINGLES;i++)
  {
    BltToSingleTotals[i] = 0;
    BltToSingleFrameNums[i] = -1;
    BltToSingleNames[i] = strNoName;
  }
  Generic1Count = 0;
  Generic1Totals = 0;
  Generic1Title = strNoName;
  Generic2Count = 0;
  Generic2Totals = 0;
  Generic2Title = strNoName;

  CurGI = 0;
  LastGI = -1;
  for (int16 gi = 0;gi<NUMGOBJS;gi++)
  {
    UListWALLastCount[gi] = 0;
    PUListWALLastCount[gi] = 0;
    LastSpriteType[gi] = 0;
    for (int16 i=0;i<NUMLISTWALS;i++)
    {
      UListWALTotals[gi][i] = 0;
      UListWALCount[gi][i] = 0;
      UListWALNames[gi][i] = strNoName;
      PUListWALTotals[gi][i] = 0;
      PUListWALCount[gi][i] = 0;
      PUListWALNames[gi][i] = strNoName;
      UActiveListCount[gi][i] = 0;
      UActiveListTotals[gi][i] = 0;
      PUActiveListCount[gi][i] = 0;
      PUActiveListTotals[gi][i] = 0;
      UActiveListIdlesCount[gi][i] = 0;
      UActiveListIdlesTotals[gi][i] = 0;
      PUActiveListIdlesCount[gi][i] = 0;
      PUActiveListIdlesTotals[gi][i] = 0;
      UActiveListNumElements[gi][i] = 0;
      PUActiveListNumElements[gi][i] = 0;
      UActiveListHasGoing[gi][i] = false;
      SpriteStartTotals[gi][i] = 0;
      SpriteStartCount[gi][i] = 0;
      SpriteUpdateTotals[gi][i] = 0;
      SpriteUpdateCount[gi][i] = 0;
      SpritePUpdateTotals[gi][i] = 0;
      SpritePUpdateCount[gi][i] = 0;
      AnmStartTotals[gi][i] = 0;
      AnmStartCount[gi][i] = 0;
      AnmUpdateTotals[gi][i] = 0;
      AnmUpdateCount[gi][i] = 0;
      AnmPUpdateTotals[gi][i] = 0;
      AnmPUpdateCount[gi][i] = 0;
      WavStartTotals[gi][i] = 0;
      WavStartCount[gi][i] = 0;
      WavUpdateTotals[gi][i] = 0;
      WavUpdateCount[gi][i] = 0;
      WavPUpdateTotals[gi][i] = 0;
      WavPUpdateCount[gi][i] = 0;
    }
  }
  KeyCount = 0;
  KeyTotals = 0;
  MouseCount = 0;
  MouseTotals = 0;
  AreaCount = 0;
  AreaTotals = 0;
}
//*******************************************************************
dword TMWUpdateSum::GetSpriteStartTotal(int16 gi)
{
  if (gi >= NUMGOBJS) {return 0;}
  dword total = 0;
  for (int16 i=0;i<NUMLISTWALS;i++)
  {
    total += SpriteStartTotals[gi][i];
  }
  return total;
}
//*******************************************************************
dword TMWUpdateSum::GetSpriteUpdateTotal(int16 gi)
{
  if (gi >= NUMGOBJS) {return 0;}
  dword total = 0;
  for (int16 i=0;i<NUMLISTWALS;i++)
  {
    total += SpriteUpdateTotals[gi][i];
  }
  return total;
}
//*******************************************************************
dword TMWUpdateSum::GetAnmStartTotal(int16 gi)
{
  if (gi >= NUMGOBJS) {return 0;}
  dword total = 0;
  for (int16 i=0;i<NUMLISTWALS;i++)
  {
    total += AnmStartTotals[gi][i];
  }
  return total;
}
//*******************************************************************
dword TMWUpdateSum::GetAnmUpdateTotal(int16 gi)
{
  if (gi >= NUMGOBJS) {return 0;}
  dword total = 0;
  for (int16 i=0;i<NUMLISTWALS;i++)
  {
    total += AnmUpdateTotals[gi][i];
  }
  return total;
}
//*******************************************************************
#endif
//*******************************************************************
//*******************************************************************
bool TOgleModeWindow::SwitchDenom(TMoney &money)
{
  if (pLord == NULL) {return false;}
  return pLord->SwitchDenom(money);
}
//*******************************************************************
void TOgleModeWindow::SetupGObjs()
{
  // need to override.
}
//*******************************************************************
#if defined(GED_COMPILE)
bool TOgleModeWindow::CheckSpriteIDConflict()
{
  TGObjList *pgol = GetGObjList();
  if (pgol != NULL)
  {
    return pgol->CheckSpriteIDConflict();
  }
  return true; // ???
}
#endif
//*******************************************************************
#if defined(GED_COMPILE)
bool TOgleModeWindow::CheckSpriteIDUsage()
{
  TGObjList *pgol = GetGObjList();
  if (pgol != NULL)
  {
    return pgol->CheckSpriteIDUsage();
  }
  return true;
}
#endif
//*******************************************************************
TGObjList *TOgleModeWindow::GetGObjList()
{
  if (GetMode() == NULL) {return NULL;}
  return GetMode()->GetGObjList();
}
//*******************************************************************
bool TOgleModeWindow::RegisterDet()
{
  return GetFileMgr()->RegisterDet(GetDetName());
}
//*******************************************************************
bool TOgleModeWindow::UnRegisterDet()
{
  return GetFileMgr()->UnRegisterDet(GetDetName());
}
//*******************************************************************
void TOgleModeWindow::TimeChanged()
{
  if (GetGObjList() != NULL)
  {
    GetGObjList()->TimeChanged();
  }
}
//*******************************************************************
TOgleGroupGaugeDlg *TOgleModeWindow::CreateHiddenGrpGauge()
{
  TOgleGroupGaugeDlg *pggd = new TOgleGroupGaugeDlg(this,this,NULL,0,IDD_OGLEHIDDEN);
  pggd->Create();
  return pggd;
}
//*******************************************************************
void TOgleModeWindow::CreateGroupGaugeDlg()
{
  if (GetFW()->IsSplashScreenActive())  // make a hidden,dummy dlg.
  {
    PGroupGaugeDlg = CreateHiddenGrpGauge();
    return;
  }

  #if !defined(GED_COMPILE)
  PGroupGaugeDlg = new TLoadDlg(this,
                                this,
                                new TBitmap(*GetOgleApp(),IDB_LOADING_V2),
                                bdRESIZE | bdIGNOREINPUT | bdOWNBITMAP,
                                TRect(20,160,300,175),
                                TRect(20,180,300,195),
                                TColor::LtYellow,
                                TColor::LtYellow);
  PGroupGaugeDlg->Create();
  #endif
}
//*******************************************************************
void TOgleModeWindow::DestroyGroupGaugeDlg()
{
  if (PGroupGaugeDlg != NULL)
  {
    assert(PGroupGaugeDlg->GetOwner() == this); // just checking to make sure mw created it.

    delete PGroupGaugeDlg;
    PGroupGaugeDlg = NULL;
  }
}
//*******************************************************************
void TOgleModeWindow::FadeIn(TBmp *pbmp)
{
  if (pbmp == NULL) {return;}

  int16 w = int16(pbmp->GetWidth());
  int16 h = int16(labs(pbmp->GetHeight()));
  int16 w4 = pbmp->NumScanBytes(w);
  byte *pbits = pbmp->FindBits();
  byte huge *ppixel1 = NULL;
  byte huge *ppixel2 = NULL;
  byte huge *ppixel3 = NULL;
  byte huge *ppixel4 = NULL;
  byte pixel1,pixel2,pixel3,pixel4;
  bool topdown = pbmp->PBitmapInfo->IsTopDown();
  Show(SW_SHOWNORMAL);
  Invalidate();
  TOgleWindowDC wdc(*this);
//  TVideoPal vpal(this,*PMasterPalette);
  TVideoPal vpal(this,*GetMode()->GetPal());
  wdc.SelectPal(vpal,false);
  wdc.RealizePalette();
  int16 x1,y1,x2,y2,x3,y3,x4,y4;
  for(dword i=0;i<75000l;i++)
  {
    x1 = int16(random(w));
    y1 = int16(random(h));
    x2 = int16(random(w));
    y2 = int16(random(h));
    x3 = int16(random(w));
    y3 = int16(random(h));
    x4 = int16(random(w));
    y4 = int16(random(h));
    ppixel1 = pbmp->GetPixelAddr(pbits,x1,y1,topdown,w4,h);
    ppixel2 = pbmp->GetPixelAddr(pbits,x2,y2,topdown,w4,h);
    ppixel3 = pbmp->GetPixelAddr(pbits,x3,y3,topdown,w4,h);
    ppixel4 = pbmp->GetPixelAddr(pbits,x4,y4,topdown,w4,h);
    if (ppixel1 != NULL)
    {
      pixel1 = *ppixel1;
      wdc.SetPixel(x1,y1,TColor(pixel1));
    }
    if (ppixel2 != NULL)
    {
      pixel2 = *ppixel2;
      wdc.SetPixel(x2,y2,TColor(pixel2));
    }
    if (ppixel3 != NULL)
    {
      pixel3 = *ppixel3;
      wdc.SetPixel(x3,y3,TColor(pixel3));
    }
    if (ppixel4 != NULL)
    {
      pixel4 = *ppixel4;
      wdc.SetPixel(x4,y4,TColor(pixel4));
    }
  }
  wdc.RestorePalette();
}
//*******************************************************************
void TOgleModeWindow::GetIniDetailLevel()
{
  SetDetailLevel(int16(GetOgleApp()->GetIniFile()->GetDetailLevel(strModeName,3)));
}
//*******************************************************************
void TOgleModeWindow::SetIniDetailLevel()
{
  GetOgleApp()->GetIniFile()->SetDetailLevel(strModeName,GetDetailLevel());
}
//*******************************************************************
void TOgleModeWindow::DoDetailLevelDlg()
{
  bool waspaused = GetUpdatePause();
  SetUpdatePause();
  GetSoundMgr()->Stop(true);

  TDetailLevelDlg *pdld = new TDetailLevelDlg(this);
  pdld->Execute();
  delete pdld;

  SetIniDetailLevel(); // don't need here because deinitialize will call.

  if (!waspaused) {ClearUpdatePause();}
}
//*******************************************************************
void TOgleModeWindow::ScrollMsg(string title,string *ptext,int16 num,bool pause)
{
  bool waspaused = GetUpdatePause();
  if (!waspaused && pause) {SetUpdatePause();}
  TScrollMsgDlg *psmd = new TScrollMsgDlg(this,title,ptext,num);
  psmd->Execute();
  if (!waspaused && pause) {ClearUpdatePause();}
}
//*******************************************************************
TPlayerMgr *TOgleModeWindow::GetPlayerMgr()
{
  return GetFW()->GetPlayerMgr();
}
//*******************************************************************
bool TOgleModeWindow::Help(uint command,uint32 data)
{
  return GetOgleApp()->Help(command,data);
}
//*******************************************************************
void TOgleModeWindow::ModeHelp()
{
  Help(ModeHelpCommand,ModeHelpData);
}
//*******************************************************************
int TOgleModeWindow::GetMenuID()
{
  return 0;
}
//*******************************************************************
TModule *TOgleModeWindow::GetMenuModule()
{
  return GetOgleApp();
}
//*******************************************************************
void TOgleModeWindow::InitMenu()
{
  if (GetMenuID() > 0)
  {
    GetFW()->SwitchMenu(GetMenuID(),GetMenuModule());
  }
}
//*******************************************************************
void TOgleModeWindow::DeInitMenu()
{
  if (GetMenuID() > 0)
  {
    GetFW()->SetToDefMenu();
  }
}
//*******************************************************************
TCursorMgr *TOgleModeWindow::GetCursorMgr()
{
  return GetOgleApp()->GetCursorMgr();
}
//*******************************************************************
void TOgleModeWindow::PostSwitchToMode(int16 ModeIndex)
{
  TSwToModeMsg(ModeIndex).PostToFW();
}
//*******************************************************************
void TOgleModeWindow::PostSwitchToMode(string modename)
{
  int16 mi = GetOgleApp()->PGame->GetModeIndex(modename);
  PostSwitchToMode(mi);
}
//*******************************************************************
void TOgleModeWindow::PostCommandToFW(int command)
{
  TCmMsg(command).PostToFW();
}
//*******************************************************************
void TOgleModeWindow::BeenSwitchedTo()
{
  ClearUpdatePause();
}
//*******************************************************************
string TOgleModeWindow::GetDetName()
{
  return string("");
}
//*******************************************************************
void TOgleModeWindow::GObjError(const string &GObjDescr,const string &GObjFName)
{
  string str = "Error setting up GObj ";
  str += GObjDescr;
  str += "\n GObj name: ";
  str += GObjFName;
  MessageBox(NULL,str.c_str(),"GObj Setup",MB_OK);
  exit(EXIT_FAILURE);
}
//*******************************************************************
void TOgleModeWindow::SetIndexes()
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->SetIndexes();}
}
//*******************************************************************
void TOgleModeWindow::EvPaletteChanged(HWND hWndPalChg)
{
  if (hWndPalChg == HWindow) {return;}
  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->EvPaletteChanged(hWndPalChg);
  }
}
//*******************************************************************
bool TOgleModeWindow::EvQueryNewPalette()
{
  if (GetMode() == NULL || GetMode()->GetScreenMgr() == NULL) {return false;}
  return GetMode()->GetScreenMgr()->EvQueryNewPalette();
}
//*******************************************************************
void TOgleModeWindow::Activate()
{
  TRACEX(OMODEWIN,0,"Activate");

  GetFW()->Activate(true);
  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->Activate();
  }
  ResumeUpdates();
  SetActive(true);
}
//*******************************************************************
void TOgleModeWindow::DeActivate()
{
  TRACEX(OMODEWIN,0,"DeActivate");

  SetActive(false);
  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->DeActivate();
  }
  GetFW()->DeActivate(true);
}
//*******************************************************************
void TOgleModeWindow::EvSetFocus(HWND hWndLostFocus)
{
  TRACEX(OMODEWIN,0,"setfocus");

  Invalidate();
  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->EvSetFocus(hWndLostFocus);
  }
  TWindow::EvSetFocus(hWndLostFocus);
}
//*******************************************************************
void TOgleModeWindow::EvKillFocus(HWND hWndGetFocus)
{
  TRACEX(OMODEWIN,0,"killfocus");

  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->EvKillFocus(hWndGetFocus);
  }
  TWindow::EvKillFocus(hWndGetFocus);
}
//*******************************************************************
#pragma argsused
bool TOgleModeWindow::EvEraseBkgnd(HDC hDC)
{
  if (GetMode() == NULL || GetMode()->GetScreenMgr() == NULL) {return true;}
  return GetMode()->GetScreenMgr()->EvEraseBkgnd(hDC);
}
//*******************************************************************
void TOgleModeWindow::GetWindowClass(WNDCLASS& wndClass)
{
  TWindow::GetWindowClass(wndClass);
  wndClass.hCursor = 0;
  #if !defined(GED_COMPILE) // probably doesn't affect GEd anyway.
  wndClass.style &= ~CS_DBLCLKS;
  #endif
}
//*******************************************************************
void TOgleModeWindow::SetCursorData(TCursorData &cd,bool check)
{
  if (check)
  {
    TPoint pt;
    GetCursorPos(pt);
    HWND hw = WindowFromPoint(pt);
    if (hw != HWindow) {return;}
  }
  if (!SetCursor(cd.PModule,cd.ResId)) {::SetCursor(HCursor);}
}
//*******************************************************************
bool TOgleModeWindow::EvSetCursor(HWND hWndCursor, uint hitTest, uint mouseMsg)
{
  if (hWndCursor == HWindow && hitTest == HTCLIENT)
  {
    if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
    {
      TPoint point;
      GetCursorPos(point);
      ScreenToClient(point);
      GetMode()->GetScreenMgr()->SetCursor(point);
    }
    TCursorData cd = GetCursorMgr()->GetCursor();
    SetCursorData(cd);
    return true;
  }
  return TWindow::EvSetCursor(hWndCursor,hitTest,mouseMsg);
}
//*******************************************************************
#if defined(DEBUGSPRITES)
void TOgleModeWindow::RTReport()
{
  string str = "c:\\";
  str += ModeWindowFileName;
  str += ".txt";
  ofstream os(str.c_str());
  if (!os)
  {
    MessageBox("Problem with output file","Error - RT Report",MB_OK);
  }
  else
  {
    if (GetMode() == NULL || GetMode()->GetScreenMgr() == NULL)
    {
      os<<"Screen Mgr is NULL\n";
    }
    else
    {
      GetMode()->GetScreenMgr()->RTReport(os);
    }

    if (GetGObjList() == NULL) {os<<"GObj List is NULL\n";}
    else
    {
      os<<"**********************************************************\n";
      os<<"FUC: "<<GetFUC()<<"\n";
      os<<"Adj FUC: "<<GetAdjFUC()<<"\n";
      GetGObjList()->RTReport(os);
      MessageBox("RT Report completed","RT Report Msg",MB_OK);
    }
  }
}
#endif
//*******************************************************************
TOgleModeWindow::TOgleModeWindow(TOgleApp *papp,TOgleGameFrameWindow *pgfw,
                                 string modename,TPal *PPal,string title)
:TWindow(0,title.c_str()),
 UseBmpMono(false),
 MonoColorNDX(0),
 GObjInfoInitialized(false),
 GObjIDSInitialized(false),
 GObjStringsInitialized(false)
{
  AllowFadeIn = false;
  HideGauge = false;
  PGroupGaugeDlg = NULL;
  strModeName = "Default";
  DetailLevel = 3; //0-lowest,3-highest
  ShowWindowBeforeGObjList = true;
  DiscardBeforeLoading = false;
  ModeHelpCommand = HELP_CONTENTS;
  ModeHelpData = 0;
  StartNowOK = false;
  randomize();
  Initialized = false;
  pLord = NULL;
  GObj = NULL;
  ClearUpdatePause();
  SetActive(false);     // mike - just added.
  ModeWinInitOK = true;
  PTime = NULL;
  PState = NULL;
  NumPlayers = 0;

  Attr.X = 0;
  Attr.Y = 0;
  Attr.W = 640;
  Attr.H = 480;

  PMode = NULL;
  ModeWindowFileName = modename;

  assert (ModeWinInitOK);
}
//*******************************************************************
TOgleModeWindow::~TOgleModeWindow ()
{
  SetActive(false);
  Destroy();
}
//*******************************************************************
bool TOgleModeWindow::IdleAction(long count)
{
// return false if we want to wait(yield until our app msg)/pump/continue loop
// *** -> return true if we want to pump(maybe yield if other app msg)/continue loop

//  if (!Update())
//  {
    GetFileMgr()->Idle();
//  }
  return TWindow::IdleAction(count);
}
//*******************************************************************
void TOgleModeWindow::ShuttingDown()
{
  if (GetGObjList() != NULL) {GetGObjList()->ShuttingDown();}
}
//*******************************************************************
bool TOgleModeWindow::AskQuitMode()
{
  if (MessageBox(NULL,
                 "Are you sure you want to quit this mode",
                 "Quit Mode ?",
                 MB_YESNO | MB_ICONHAND | MB_SYSTEMMODAL) == IDYES)
  {
    return true;
  }
  return false;
}
//*******************************************************************
bool TOgleModeWindow::CanClose()
{
  #ifdef NOASKQUIT
  return true;
  #else
  return (AskQuitMode());
  #endif
}
//*******************************************************************
bool TOgleModeWindow::IsPlayerChangeOk()
{
  if (pLord == NULL) {return true;}
  return (pLord->IsPlayerChangeOk());
}
//*******************************************************************
void TOgleModeWindow::NotifyModePlayerActivation(int16 slotnum)
{
  if (GObj != NULL)
  {
    for (int16 i=0;i<NumPlayers;i++)
    {
      if (GObj[i] != NULL) {GObj[i]->NotifyPlayerActivation(slotnum);}
    }
  }
  if (pLord != NULL) {pLord->NotifyPlayerActivation(slotnum);}
}
//*******************************************************************
void TOgleModeWindow::NotifyModePlayerDeActivation(int16 slotnum)
{
  if (pLord != NULL) {pLord->NotifyPlayerDeActivation(slotnum);}
  for (int16 i=0;i<NumPlayers;i++)
  {
    if (GObj[i] != NULL) {GObj[i]->NotifyPlayerDeActivation(slotnum);}
  }
}
//*******************************************************************
#pragma argsused
int16 TOgleModeWindow::AskCriteriaQuestion(int16 QNum)
{
  return 0;
}
//*******************************************************************
TGameObject *TOgleModeWindow::GetGObjPtr(int16 GObjIndex)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return NULL;}
  return pgobjlist->GetGObjPtr(GObjIndex);
}
//*******************************************************************
int16 TOgleModeWindow::GetGObjIndex(string GObjName)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return NULL;}
  return pgobjlist->GetGObjIndex(GObjName);
}
//*******************************************************************
int16 TOgleModeWindow::GetSpriteIndex(int16 GObjIndex,string SpriteName)
{
  TGameObject *pgobj = GetGObjPtr(GObjIndex);
  if (pgobj == NULL) {return -1;}
  return pgobj->GetSpriteIndex(SpriteName);
}
//*******************************************************************
bool TOgleModeWindow::ActivateSpriteNow(int16 GObjIndex,int16 ListNum)
{
  return ActivateSprite(GObjIndex,ListNum,GetAdjFUC());
}
//*******************************************************************
bool TOgleModeWindow::ActivateSkitNow(int16 GObjIndex,int16 SkitCatIndex,int16 SkitIndex)
{
  return ActivateSkit(GObjIndex,SkitCatIndex,SkitIndex,GetAdjFUC());
}
//*******************************************************************
bool TOgleModeWindow::ActivateSkit(int16 GObjIndex,int16 SkitCatIndex,
											  int16 SkitIndex,dword StartFUC)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return false;}
  return pgobjlist->ActivateSkit(GObjIndex,SkitCatIndex,SkitIndex,StartFUC);
}
//*******************************************************************
dword TOgleModeWindow::GetSkitLength(int16 GObjIndex,int16 SkitCatIndex,int16 SkitIndex)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return 0;}
  return pgobjlist->GetSkitLength(GObjIndex,SkitCatIndex,SkitIndex);
}
//*******************************************************************
dword TOgleModeWindow::GetSpriteLength(int16 GObjIndex,int16 SpriteIndex)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return 0;}
  return pgobjlist->GetSpriteLength(GObjIndex,SpriteIndex);
}
//*******************************************************************
bool TOgleModeWindow::ActivateSprite(int16 GObjIndex,int16 ListNum,dword StartFUC)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return false;}
  return pgobjlist->ActivateSprite(GObjIndex,ListNum,StartFUC);
}
//*******************************************************************
bool TOgleModeWindow::CanActivateSprite(int16 GObjIndex,int16 ListNum,dword StartFUC)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return false;}
  return pgobjlist->CanActivateSprite(GObjIndex,ListNum,StartFUC);
}
//*******************************************************************
bool TOgleModeWindow::IsActiveSprite(int16 GObjIndex,int16 ListNum)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist == NULL) {return false;}
  return pgobjlist->IsActiveSprite(GObjIndex,ListNum);
}
//*******************************************************************
void TOgleModeWindow::Paint(TDC& dc,bool erase,TRect& rect)
{
  #if defined(DEBUGUPDATES)
  DebugUpdate.StartPaint();
  #endif

  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->Paint(dc,erase,rect);
  }

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndPaint();
  #endif
}
//*******************************************************************
void TOgleModeWindow::CreatePlayerList(int16 numplayers)
{
//  NumPlayers = 3;
  DestroyPlayerList(); // MRP - 06/25/99 - v2.3

  NumPlayers = numplayers;
  GObj = new TPlayer *[NumPlayers];
  for (int16 i=0;i<NumPlayers;i++)
  {
    GObj[i] = NULL;
  }
}
//*******************************************************************
void TOgleModeWindow::DestroyPlayerList()
{
  if (GObj != NULL)
  {
    delete [] GObj;
    GObj = NULL;
    NumPlayers = 0;
  }
}
//*******************************************************************
void TOgleModeWindow::Slenderize()
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->Slenderize();}
}
//*******************************************************************
void TOgleModeWindow::CreateMode()
{
  if (ModeWindowFileName == "defmode")
  {
    PMode = new TOgleMode(this,true,0); //use bmpmono for bg for def.
  }
  else
  {
    PMode = new TOgleMode(this,ModeWindowFileName,UseBmpMono,MonoColorNDX);
  }
}
//*******************************************************************
void TOgleModeWindow::DestroyMode()
{
  delete PMode;
  PMode = NULL;
}
//*******************************************************************
TGameObject *TOgleModeWindow::CreateGObj(TFileMode &fm,int16 id,void *psource)
//note: meant to be overridden.
{
  // TGameObject doesn't have psource ctor, yet.
  return new TGameObject(this,fm);
}
//*******************************************************************
bool TOgleModeWindow::DestroyGObj(TGameObject *pgobj)
{
  if (pgobj == NULL) {return false;}
  delete pgobj;
  return true;
}
//*******************************************************************
void TOgleModeWindow::PreLoad()
{
  if (ShowWindowBeforeGObjList)
  {
    Show(SW_SHOWNORMAL);  // might be unnecessary.
    Invalidate();         // but we want to show background while creating gobj's.
    UpdateWindow();
  }
}
//*******************************************************************
void TOgleModeWindow::PostLoad()
{
  if (!ShowWindowBeforeGObjList)
  {
    Show(SW_SHOWNORMAL);
    Invalidate();
    UpdateWindow();
  }
}
//*******************************************************************
void TOgleModeWindow::CreateTimer()
{
  if (!SetTimer(ModeWindowTimer,1)) {ModeWinInitOK = false;}

  PTime = new TOgleTime(167);
}
//*******************************************************************
void TOgleModeWindow::DestroyTimer()
{
  KillTimer(ModeWindowTimer);
  delete PTime;
  PTime = NULL;
}
//*******************************************************************
void TOgleModeWindow::SetupGObjIDS()
{
  GObjIDSInitialized = true;
}
//*******************************************************************
void TOgleModeWindow::SetupGObjStrings()
{
  GObjStringsInitialized = true;
}
//*******************************************************************
void TOgleModeWindow::SetupGObjInfo()
{
  if (GObjInfoInitialized) {return;}
  SetupGObjIDS();
  SetupGObjStrings();
  GObjInfoInitialized = true;
}
//*******************************************************************
#pragma argsused
void TOgleModeWindow::Initialize(dword StartFUC)
{
  if (Initialized) {return;}

  GetCursorMgr()->SetCursor(ctHiPri,0,IDC_WAIT);

  if (DiscardBeforeLoading) {TSys::RequestDiscard();}

  SetupGObjInfo();

  InitMenu();

  GetIniDetailLevel();

  RegisterDet();

  CreateTimer();

//  GetFW()->DestroySplash(); // MRP - 06/27/99 - v2.3 moved into ogfw

  CreateGroupGaugeDlg();

  PreLoad();

  CreateMode();

  PostLoad();

  CreateModeState();  // also put mode's state into TOgleMode.
  RunState();

  DestroyGroupGaugeDlg();

  GetFileMgr()->ModeActivated();
  GetSoundMgr()->ModeActivated();

  SetActive(true);  // added by MRP at 4/27/97

  assert(ModeWinInitOK);
  Initialized = true;

  GetCursorMgr()->SetCursor(ctHiPri,0,0);
}
//*******************************************************************
void TOgleModeWindow::DeInitialize()
{
  if (!Initialized) {return;}

  SetActive(false);  // added by MRP at 4/27/97

  DeInitMenu();

  SetIniDetailLevel();

  ShuttingDown();

  DeleteModeState();

  DestroyTimer();

  DestroyMode();

  UnRegisterDet();

  GetPlayerMgr()->ModeDeActivated();
  GetFileMgr()->ModeDeActivated();
  GetSoundMgr()->ModeDeActivated();
  GetCursorMgr()->ModeDeActivated();
  Initialized = false;
}
//*******************************************************************
void TOgleModeWindow::SetupWindow()
{
  TWindow::SetupWindow();
  //Enter HWnd dependent startup code after here.

  // Initialize pulled out of here, to wait for creation to finish before showing window.
}
//*******************************************************************
void TOgleModeWindow::CleanupWindow()
{
  if (Initialized) {DeInitialize();}

  //Enter HWnd dependent cleanup code before here.
  TWindow::CleanupWindow();
}
//*******************************************************************
void TOgleModeWindow::UpdateState(dword NewFUC)
{
  if (PState != NULL) {PState->Update(NewFUC);}
}
//*******************************************************************
void TOgleModeWindow::PostUpdateState(dword NewFUC)
{
  if (PState != NULL) {PState->PostUpdate(NewFUC);}
}
//*******************************************************************
void TOgleModeWindow::RunState()
{
  if (PState != NULL)
  {
    if (PState->Run() == ess_Done)
    {
      // The Mode state said it was done.
      // Tell the FrameWindow that the mode is done.
      // Post a message to FrameWindow.
      MessageBox("Unexpected mode state 'done' status.\nMaking new state",
                 "Warning - mode state",
                 MB_OK);

      DeleteModeState();
      CreateModeState();
    }
  }
}
//*******************************************************************
#pragma argsused
void TOgleModeWindow::EvTimer(uint timerId)
{
  if (!GetInitialized()) {return;}
  
  if (PState != NULL)
  {
    PState->Timer();
  }
  else
  {
    #if defined(MW_WARN_STATE)
    static bool mb = false;
    if (!mb)
    {
      mb = true;
      MessageBox("MW->PState == NULL during timer","Warning - mode state",MB_OK | MB_APPLMODAL);
      mb = false;
    }
    #endif
    Update();
  }
  RunState();
}
//*******************************************************************
void TOgleModeWindow::UpdateAllGObjs(dword NewFUC)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->Update(NewFUC);}
}
//*******************************************************************
void TOgleModeWindow::UpdateAllStates(dword NewFUC)
{
  UpdateState(NewFUC);

  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->UpdateState(NewFUC);}
}
//*******************************************************************
void TOgleModeWindow::PostUpdateAllStates(dword NewFUC)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->PostUpdateState(NewFUC);}

  PostUpdateState(NewFUC);
}
//*******************************************************************
#pragma argsused
void TOgleModeWindow::UpdateMgrs(dword NewFUC)
{
  #if defined(DEBUGUPDATES)
  DebugUpdate.StartScreenMgr();
  #endif

  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->Update();
  }

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndScreenMgr();
  DebugUpdate.StartSndMgr();
  #endif

  GetSoundMgr()->Update(NewFUC);

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndSndMgr();
  #endif
}
//*******************************************************************
void TOgleModeWindow::PostUpdateAllGObjs(dword NewFUC)
{
  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->PostUpdate(NewFUC);}
}
//*******************************************************************
void TOgleModeWindow::RunAllStates()
{
//  RunState(); //put into evtimer.

//  if (PGObjList != NULL) {PGObjList->RunState();}

  TGObjList *pgobjlist = GetGObjList();
  if (pgobjlist != NULL) {pgobjlist->RunState();}
}
//*******************************************************************
#if defined(DEBUGUPDATES)
#define NUMSHOWTIMESTRINGS 2000
void TOgleModeWindow::ShowTime()
{
  string title = "Show Time";
  char buffer[50];
  string *pstr = new string[NUMSHOWTIMESTRINGS];
  int count = 0;
  string text = "FUC: ";
  ultoa(PTime->GetFrameUpdateCount(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "FUC Delta: ";
  ultoa(DebugUpdate.UpdateCount,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Idle#: ";
  ultoa(GetFileMgr()->NumIdleHits,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "**** Memory Usage ****";
  pstr[count++] = text;
  text = "Sound Mgr Size Used: ";
  ultoa(GetSoundMgr()->GetSizeUsed(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mem Mgr bytes alloc'd: ";
  ultoa(TOgleMemMgr::GetBytesAllocated(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mem Mgr Audio Size: ";
  ultoa(TOgleMemMgr::GetAudioSize(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mem Mgr App Size: ";
  ultoa(TOgleMemMgr::GetAppBytesAllocated(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mem Mgr Working Size: ";
  ultoa(TOgleMemMgr::GetWorkingSize(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  #if defined(BI_PLAT_WIN16)
  text = "**Global Info**";
  pstr[count++] = text;
  GLOBALINFO ginfo;
  ginfo.dwSize = sizeof(GLOBALINFO);
  GlobalInfo(&ginfo);
  text = "Total Items: ";
  ultoa(ginfo.wcItems,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Items Free: ";
  ultoa(ginfo.wcItemsFree,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Items LRU: ";
  ultoa(ginfo.wcItemsLRU,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "**General Info**";
  pstr[count++] = text;
  text = "GetFreeSpace: ";
  ultoa(GetFreeSpace(0),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "GetSystemResources: ";
  ultoa(GetFreeSystemResources(GFSR_SYSTEMRESOURCES),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "GetGDIResources: ";
  ultoa(GetFreeSystemResources(GFSR_GDIRESOURCES),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "GetUserResources: ";
  ultoa(GetFreeSystemResources(GFSR_USERRESOURCES),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "**MemManInfo**";
  pstr[count++] = text;
  MEMMANINFO mmi;
  mmi.dwSize = sizeof(MEMMANINFO);
  MemManInfo(&mmi);
  text = "Largest Free Block: ";
  ultoa(mmi.dwLargestFreeBlock,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Max pgs avail: ";
  ultoa(mmi.dwMaxPagesAvailable,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Max pgs lockable: ";
  ultoa(mmi.dwMaxPagesLockable,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Total linear space: ";
  ultoa(mmi.dwTotalLinearSpace,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Total unlocked pgs: ";
  ultoa(mmi.dwTotalUnlockedPages,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Free pgs: ";
  ultoa(mmi.dwFreePages,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Total pgs: ";
  ultoa(mmi.dwTotalPages,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Free linear space: ";
  ultoa(mmi.dwFreeLinearSpace,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Swap File pgs: ";
  ultoa(mmi.dwSwapFilePages,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Page size: ";
  ultoa(mmi.wPageSize,buffer,10);
  text += buffer;
  pstr[count++] = text;
  #endif
  text = "**********************";
  pstr[count++] = text;
  text = "Paint Avg: ";
  ultoa(DebugUpdate.GetPaintAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Process Rects: ";
  ultoa(DebugUpdate.GetProcessRectsAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Current List Rect Count: ";
//  itoa(PScreenMgr->PVideo->GetCurrentList()->GetRecCount(),buffer,10);
  itoa(GetMode()->GetScreenMgr()->PVideo->GetCurrentList()->GetRecCount(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Render BG: ";
  ultoa(DebugUpdate.GetRenderBGAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Render: ";
  ultoa(DebugUpdate.GetRenderAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "GrList Count Now: ";
//  itoa(PScreenMgr->PVideo->GetGrList().GetRecCount(),buffer,10);
  itoa(GetMode()->GetScreenMgr()->PVideo->GetGrList().GetRecCount(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "GrList Sort: ";
  ultoa(DebugUpdate.GetGrListSortAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "BltTo Count: ";
  ultoa(DebugUpdate.BltToCount,
  buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "BltTo Avg: ";
  ultoa(DebugUpdate.GetBltToAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "FileMgr Avg: ";
  ultoa(GetFileMgr()->DebugFMUpdate.GetPRAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "FileMgr Count: ";
  ultoa(GetFileMgr()->DebugFMUpdate.UpdateCount,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "FileMgr Total: ";
  ultoa(GetFileMgr()->DebugFMUpdate.PRTotals,buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Update Avg: ";
  ultoa(DebugUpdate.GetUpdateAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "ScreenMgr Avg: ";
  ultoa(DebugUpdate.GetScreenMgrAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "SndMgr Avg: ";
  ultoa(DebugUpdate.GetSndMgrAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "**** start of non-update times ****";
  pstr[count++] = text;
  text = "Keyboard Avg: ";
  ultoa(DebugUpdate.GetKeyAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Keyboard Count: ";
  ultoa(DebugUpdate.GetKeyCount(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Keyboard Total: ";
  ultoa(DebugUpdate.GetKeyTotals(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mouse Avg: ";
  ultoa(DebugUpdate.GetMouseAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mouse Count: ";
  ultoa(DebugUpdate.GetMouseCount(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Mouse Total: ";
  ultoa(DebugUpdate.GetMouseTotals(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Area Avg: ";
  ultoa(DebugUpdate.GetAreaAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Area Count: ";
  ultoa(DebugUpdate.GetAreaCount(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Area Totals: ";
  ultoa(DebugUpdate.GetAreaTotals(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "**** end of non-update times ****";
  pstr[count++] = text;
  text = "Run States: ";
  ultoa(DebugUpdate.GetRunStateAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Update States: ";
  ultoa(DebugUpdate.GetUpdateStateAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "PostUpdate States: ";
  ultoa(DebugUpdate.GetPostUpdateStateAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Update GObjs: ";
  ultoa(DebugUpdate.GetUpdateGObjAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "PostUpdate GObjs: ";
  ultoa(DebugUpdate.GetPostUpdateGObjAvg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "Num GObj's: ";
  itoa(DebugUpdate.LastGI + 1,buffer,10);
  text += buffer;
  pstr[count++] = text;

  text = "***** Start Active List Info *****";
  pstr[count++] = text;
  for (int gi=0;gi<=DebugUpdate.LastGI;gi++)
  {
    text = "GI: ";
    itoa(gi,buffer,10);
    text += buffer;
    text += " ,Num ListWAL's: ";
    itoa(DebugUpdate.UListWALLastCount[gi] + 1,buffer,10);
    text += buffer;
    pstr[count++] = text;
  }
  text = "*********** Update ****************";
  pstr[count++] = text;
  for (int16 gi = 0;gi<=DebugUpdate.LastGI;gi++)
  {
    text = "GI: ";
    itoa(gi,buffer,10);
    text += buffer;
    pstr[count++] = text;
    for (int i=0;i<=DebugUpdate.UListWALLastCount[gi];i++)
    {
      text = "(";
      itoa(i,buffer,10);
      text += buffer;
      text += ") ";
      text += DebugUpdate.UListWALNames[gi][i];
      pstr[count++] = text;
      text = "RecCount: ";
      itoa(DebugUpdate.GetUActiveListNumElements(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "Has going element: ";
      if (DebugUpdate.GetUActiveListHasGoing(gi,i)) {text += "true";}
      else                                          {text += "false";}
      pstr[count++] = text;
      text = "Update Avg: ";
      ultoa(DebugUpdate.GetUListWALAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  UActiveList Avg: ";
      ultoa(DebugUpdate.GetUActiveListAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  UIdles Avg: ";
      ultoa(DebugUpdate.GetUActiveListIdlesAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite Start Avg: ";
      ultoa(DebugUpdate.GetSpriteStartAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite Start Count: ";
      ultoa(DebugUpdate.GetSpriteStartCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite Start Total: ";
      ultoa(DebugUpdate.GetSpriteStartTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite Update Avg: ";
      ultoa(DebugUpdate.GetSpriteUpdateAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite Update Count: ";
      ultoa(DebugUpdate.GetSpriteUpdateCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite Update Total: ";
      ultoa(DebugUpdate.GetSpriteUpdateTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm Start Avg: ";
      ultoa(DebugUpdate.GetAnmStartAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm Start Count: ";
      ultoa(DebugUpdate.GetAnmStartCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm Start Total: ";
      ultoa(DebugUpdate.GetAnmStartTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm Update Avg: ";
      ultoa(DebugUpdate.GetAnmUpdateAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm Update Count: ";
      ultoa(DebugUpdate.GetAnmUpdateCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm Update Total: ";
      ultoa(DebugUpdate.GetAnmUpdateTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav Start Avg: ";
      ultoa(DebugUpdate.GetWavStartAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav Start Count: ";
      ultoa(DebugUpdate.GetWavStartCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav Start Total: ";
      ultoa(DebugUpdate.GetWavStartTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav Update Avg: ";
      ultoa(DebugUpdate.GetWavUpdateAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav Update Count: ";
      ultoa(DebugUpdate.GetWavUpdateCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav Update Totals: ";
      ultoa(DebugUpdate.GetWavUpdateTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
    }
  }

  text = "********* PostUpdate ************";
  pstr[count++] = text;
  for (int16 gi=0;gi<=DebugUpdate.LastGI;gi++)
  {
    text = "GI: ";
    itoa(gi,buffer,10);
    text += buffer;
    pstr[count++] = text;
    for (int i=0;i<=DebugUpdate.PUListWALLastCount[gi];i++)
    {
      text = "(";
      itoa(i,buffer,10);
      text += buffer;
      text += ") ";
      text += DebugUpdate.PUListWALNames[gi][i];
      pstr[count++] = text;
      text = "RecCount: ";
      itoa(DebugUpdate.GetPUActiveListNumElements(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "PUp Avg: ";
      ultoa(DebugUpdate.GetPUListWALAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  PUActiveList Avg: ";
      ultoa(DebugUpdate.GetPUActiveListAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  PUIdles Avg: ";
      ultoa(DebugUpdate.GetPUActiveListIdlesAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite PUpdate Avg: ";
      ultoa(DebugUpdate.GetSpritePUpdateAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite PUpdate Count: ";
      ultoa(DebugUpdate.GetSpritePUpdateCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Sprite PUpdate Total: ";
      ultoa(DebugUpdate.GetSpritePUpdateTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm PUpdate Avg: ";
      ultoa(DebugUpdate.GetAnmPUpdateAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm PUpdate Count: ";
      ultoa(DebugUpdate.GetAnmPUpdateCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Anm PUpdate Total: ";
      ultoa(DebugUpdate.GetAnmPUpdateTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav PUpdate Avg: ";
      ultoa(DebugUpdate.GetWavPUpdateAvg(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav PUpdate Count: ";
      ultoa(DebugUpdate.GetWavPUpdateCount(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
      text = "  Wav PUpdate Total: ";
      ultoa(DebugUpdate.GetWavPUpdateTotals(gi,i),buffer,10);
      text += buffer;
      pstr[count++] = text;
    }
  }

  text = "*** Generic Calls ***";
  pstr[count++] = text;
  text = DebugUpdate.Generic1Title;
  text += " (G1): ";
  ultoa(DebugUpdate.GetGeneric1Avg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = DebugUpdate.Generic2Title;
  text += " (G2): ";
  ultoa(DebugUpdate.GetGeneric2Avg(),buffer,10);
  text += buffer;
  pstr[count++] = text;
  text = "****** Anm BltTo timing Info *******";
  pstr[count++] = text;
  text = "Gr Blt calls (last update): ";
  itoa(DebugUpdate.BltToSingleLastCount + 1,buffer,10);
  text += buffer;
  pstr[count++] = text;
  for (int i=0;i<=DebugUpdate.BltToSingleLastCount;i++) // gets set to -1 when empty.
  {
    text = DebugUpdate.BltToSingleNames[i];
    text += " (";
    ultoa(DebugUpdate.BltToSingleTotals[i],buffer,10);
    text += buffer;
    text += ")";
    pstr[count++] = text;
  }

  // display msg
  assert(NUMSHOWTIMESTRINGS > count); // just checking.
  ScrollMsg(title,pstr,count);
  delete [] pstr;

  DebugUpdate.ClearData();
  GetFileMgr()->DebugFMUpdate.ClearData();
}
#endif
//*******************************************************************
bool TOgleModeWindow::Update()
{
  if (GetUpdatePause() || !GetActive()) {return false;}
  if (PTime == NULL) {return false;}
  if (!PTime->UpdateNow()) {return false;}
  Update(PTime->GetFrameUpdateCount());
  return true;
}
//*******************************************************************
void TOgleModeWindow::Update(dword NewFUC)
// note: might need to use following:
// if (PSoundMgr != NULL) {PSoundMgr->Pump();}
{
  #if defined(DEBUGUPDATES)
  DebugUpdate.StartUpdate();
  #endif

  SetStartNow();

  RunAllStates(); //mrp - 11/6/99 - fixed update's before initl in acvp.

  GetFileMgr()->Update(NewFUC);

  #if defined(DEBUGUPDATES)
  DebugUpdate.StartUpdateState();
  #endif

  UpdateAllStates(NewFUC);  // recently moved up here.

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndUpdateState();
  #endif

  ClearStartNow();

  #if defined(DEBUGUPDATES)
  DebugUpdate.StartUpdateGObj();
  #endif

  UpdateAllGObjs(NewFUC);

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndUpdateGObj();
  #endif

  UpdateMgrs(NewFUC);

  #if defined(DEBUGUPDATES)
  DebugUpdate.StartPostUpdateGObj();
  #endif

  PostUpdateAllGObjs(NewFUC);

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndPostUpdateGObj();
  DebugUpdate.StartPostUpdateState();
  #endif

  PostUpdateAllStates(NewFUC); // recently moved down here.

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndPostUpdateState();
  DebugUpdate.StartRunState();
  #endif

  RunAllStates(); // now only run's gobj's states, removed mode state, which is now called by timer.

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndRunState();
  #endif

  GetFileMgr()->PostUpdate(NewFUC);

  #if defined(DEBUGUPDATES)
  DebugUpdate.EndUpdate();
  #endif
}
//*******************************************************************
void TOgleModeWindow::CreateModeState()
{
  PState = new TModeState(this);
}
//*******************************************************************
void TOgleModeWindow::DeleteModeState()
{
  delete PState;
  PState = NULL;
}
//*******************************************************************
void TOgleModeWindow::EvLButtonDown(uint modKeys, TPoint& point)
{
  if (GetFUC() < 2) {return;}
  GetFW()->ShowMenu(false);
  if (PState != NULL) {PState->LButtonDown(modKeys,point);}
}
//*******************************************************************
void TOgleModeWindow::EvLButtonUp(uint modKeys,TPoint &point)
{
  if (GetFUC() < 2) {return;}
  if (PState != NULL) {PState->LButtonUp(modKeys,point);}
}
//*******************************************************************
void TOgleModeWindow::EvLButtonDblClk(uint modKeys, TPoint& point)
{
  if (GetFUC() < 2) {return;}
  if (PState != NULL) {PState->LButtonDblClk(modKeys,point);}
}
//*******************************************************************
void TOgleModeWindow::EvRButtonDown(uint modKeys, TPoint& point)
{
  if (GetFUC() < 2) {return;}
  GetFW()->ShowMenu(false);
  if (PState != NULL) {PState->RButtonDown(modKeys,point);}
}
//*******************************************************************
void TOgleModeWindow::EvRButtonUp(uint modKeys,TPoint &point)
{
  if (GetFUC() < 2) {return;}
  if (PState != NULL) {PState->RButtonUp(modKeys,point);}
}
//*******************************************************************
void TOgleModeWindow::EvRButtonDblClk(uint modKeys,TPoint &point)
{
  if (GetFUC() < 2) {return;}
  if (PState != NULL) {PState->RButtonDblClk(modKeys,point);}
}
//*******************************************************************
void TOgleModeWindow::EvChar(uint key,uint repeatCount,uint flags)
{
  if (GetFUC() < 2) {return;}
  GetFW()->ShowMenu(false);
  if (PState != NULL) {PState->Char(key,repeatCount,flags);}
}
//*******************************************************************
void TOgleModeWindow::ReSendEnterArea()
{
  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->ReSendEnterArea();
  }
}
//*******************************************************************
void TOgleModeWindow::SendToEnterAreaResponder(int16 msg)
{
  if (GetMode() != NULL && GetMode()->GetScreenMgr() != NULL)
  {
    GetMode()->GetScreenMgr()->SendToEnterAreaResponder(msg);
  }
}
//*******************************************************************
int TOgleModeWindow::MessageBox(HWND hWnd,
                                const char far* text,
                                const char far* caption,
                                uint            type)
{
  if (GetApplication()->BWCCEnabled()) {
    static bool FAR PASCAL(*bwccMessageBox)(HWND, LPCSTR, LPCSTR, uint);
    if (!bwccMessageBox)
      (FARPROC)bwccMessageBox =
        GetApplication()->GetBWCCModule()->GetProcAddress("BWCCMessageBox");
    if (bwccMessageBox)
      return (*bwccMessageBox)(hWnd, text, caption, type);
    return 0;
  }
  else {
    GetApplication()->EnableCtl3dAutosubclass(true);
    int retValue = ::MessageBox(hWnd, text, caption, type);
    GetApplication()->EnableCtl3dAutosubclass(false);
    return retValue;
  }
}
//*******************************************************************

