//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedspm.h
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     8/17/95    M.Perry     original baseline
//  2.0    10/28/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__gedspm_h)
#define __gedspm_h

#if !defined(__geddef_h)
#include "geddef.h"
#endif

class GEDOWLCLASS TEditorModeWin;

#if !defined(__gedmst_h)
#include "gedmst.h"
#endif

#if !defined(__gedmodew_h)
#include "gedmodew.h"
#endif
//*******************************************************************
class TGEdModePreviewSpriteState:public TGEdModeState
{
public:
  bool JustStarted;
  bool LBEvent;
  bool Wait1;
  bool Wait2;
  TGEdModePreviewSpriteState(TEditorModeWin *PNewModeWindow);
  virtual ~TGEdModePreviewSpriteState();
  virtual void ExecuteFirstTime();
  virtual void Execute();

  virtual bool HandleLDown(uint modKeys, TPoint &point);
  virtual void RecommendSibling();
};
//*******************************************************************
#endif

