//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpa1st.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpa1st_h
#define _acvpa1st_h

#include "acvpglrd.h"
#include "acvpldst.h"
//*******************************************************************
class TACVPAct1State : public TVPLordState
{
public:
  TACVPAct1State(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPAct1State();
  dword DelayFUC;
  bool WaitOnTray;
  bool IgnoreCoach;
  TResponder *Bet1Responder;
  TResponder *CashOutResponder;
  TResponder *BetMaxResponder;
  TResponder *DealDrawResponder;
  TResponder *MenuEscResponder;
  TResponder *AskExpertResponder;

  TResponder *AddCoinResponder;

  int16 WaitingOnWRCounter;
  bool askexpertflag;
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState2();
  virtual bool HandleAddCoin(TResponder &responder);
  virtual bool HandleBet1(TResponder &responder);
  virtual bool HandleAskExpert(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);
  virtual bool HandleBetMax(TResponder &responder);
  virtual bool HandleCashOut(TResponder &responder);
  virtual bool HandleDealDraw(TResponder &responder);
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleNamePlate(TResponder &responder);
};
//*******************************************************************
#endif

