//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvpcost.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _acvpcost_h
#define _acvpcost_h

#include "acvpglrd.h"
#include "acvpldst.h"
//*******************************************************************
class TACVPCashOutState : public TVPLordState
{
public:
  int16 Count;
  int16 FrameCount;
  bool Start16;
  TResponder *SpeedClickResponder;
  TACVPCashOutState(TACVPVPGLord *pNewVPLord);
  virtual ~TACVPCashOutState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleSpeedClick(TResponder &responder);
};
//*******************************************************************
#endif