//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpwrsp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__acvpwrsp_h)
#define __acvpwrsp_h

#include "osprite.h"
//*******************************************************************
class TACVPWinRatio : public TSprite
{
public:
  TAnm *PWinRatio;
  TWav *PWavs[16];
  int startFrame;

  void SetupAnms();
  TACVPWinRatio(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPWinRatio(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPWinRatio();
  void ClearColumn();
  void SetColumn(int16 num,bool IsCoin);
  void SetStartFrame(int start);
  void PlaySound(int num,bool IsCoin);
  void PlaySound(int num);
  void PlaySound(int num,int offSet);
  void SetColumn(int16 num);
};
//*******************************************************************
#endif

