//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  jw1gl.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/18/95    M.Perry     original baseline
//********************************************************************
#if !defined(__jw1gl_h)
#define __jw1gl_h

#include "ogobjlst.h"
#include "vpgobj.h"
#include "vplord.h"
//class TVideoPokerModeWin;
#include "casvpmw.h"
//*******************************************************************
class TJW1GObjList:public TGObjList
{
  public:
  TJW1GObjList(TOgleModeWindow *POwnerMW) :TGObjList(POwnerMW) {}
  virtual ~TJW1GObjList() {}
  virtual TGameObject *CreateGObj(TFileMode FM)
  {
    if (FM.Name == VPJWild1GLord)
    {
      return (new TVPLord((TVideoPokerModeWin *)POwnerWindow,FM));
    }
    else if (FM.Name == VPJWild1Human1)
    {
      return (new TVPGObj(POwnerWindow,FM));
    }
    else if (FM.Name == VPJWild1Human2)
    {
      return (new TVPGObj(POwnerWindow,FM));
    }
    else if (FM.Name == VPJWild1Human3)
    {
      return (new TVPGObj(POwnerWindow,FM));
    }
    else
    {
      return (new TGameObject(POwnerWindow,FM));
    }
  }
};
//*******************************************************************
#endif

