//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slglord.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry                   
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   M.Perry     original baseline
//********************************************************************
#if !defined(__slglord_h)
#define __slglord_h

//#include "casglord.h"
#include "caslgld.h"
//class TSLobbyModeWin;
class TSLobby1ModeWin;
class TSLLordMainState;
#include "casbutsp.h"  // Button
#include "cslmessp.h"   //Message Display
//#include "cslcarsp.h"
//#include "csltresp.h"
#include "cgametyp.h"
//*******************************************************************
enum TGLordSLID
{
  idSpit,
  idJoke25,
  idCher2,
  idJung1,
  idJoke5,
  idAladProg,
  idCher1,
  idCher5,
  idJung2,
  idAlad100,
  idLogo,
  idMen,
  idBack,
  idButton0,
  idCar,
  idTree
};
enum TSlotLiteLobbyIdleEnum
{
  sliSound1 = 1,
  sliSound2 = 2,
  sliSound3 = 3,
  sliSound4 = 4,
  sliSound5 = 5,
  sliSound6 = 6,
  sliSound7 = 7,
  sliSound8 = 8,
  sliTree   = 9,
  sliSign   = 10,
  sliSong   = 11
};
#define NumResponders 15
//*******************************************************************
class TCasinoSLGameLord:public TCasLobbyGameLord
{
  public:
  TCasinoSLGameLord(TSLobby1ModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TCasinoSLGameLord();

  TResponder *Responders[NumResponders];
  virtual BOOL Respond(TResponder &responder);
  void ButtonClear(int button);
  virtual BOOL Respond(int Button,int info = 0,void *pdata = NULL);
  BOOL  ButtonHit[1];
  int ButtonInfo;
  void SetupResponders();
  void CleanupResponders();
  //int activeplayer;
  BOOL SetSound1Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound1,set);}
  BOOL SetSound2Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound2,set);}
  BOOL SetSound3Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound3,set);}
  BOOL SetSound4Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound4,set);}
  BOOL SetSound5Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound5,set);}
  BOOL SetSound6Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound6,set);}
  BOOL SetSound7Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound7,set);}
  BOOL SetSound8Idle(int set = 0)    {return SetCurrentSpriteSet(sliSound8,set);}
  BOOL SetTreeIdle(int set = 0)      {return SetCurrentSpriteSet(sliTree,set);}
  BOOL SetSignIdle(int set = 0)      {return SetCurrentSpriteSet(sliSign,set);}
  BOOL SetSongIdle(int set = 0)      {return SetCurrentSpriteSet(sliSong,set);}
  int playersin;
  int shutdownstate;
//  TSLobbyModeWin              *pMWin;
  TCasButton                  *MenuEscButton;
  TCasSLLobbyMessageDisplay   *MessageDisplay;
  int                     Car;
  int                     Tree;
 // BOOL SetCashWhirlIdle()      {return SetCurrentSpriteSet(1,0);}
  Switch();
  InitL();
  GetPlayin() {return playersin;};
  void  SwitchToPlayer(int player);
  void  CyclePlayers();
  virtual void SetupActivePlayer(int slot);
  virtual void ShuttingDown();
  virtual void NotifyPlayerActivation(int slotnum);
  virtual void NotifyPlayerDeActivation(int slotnum);
  virtual void SetupSprites() {}
  virtual void CleanupSprites() {}
};
//*******************************************************************
#endif