//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvscdsp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry     original baseline
//********************************************************************
#if !defined(__acvscdsp_h)
#define __acvscdsp_h

#include "osprite.h"
//*******************************************************************
class TACVPSlotsCashDisplay : public TSprite
{
public:
  enum {MaxDigitNDX = 16,NumDigits = MaxDigitNDX + 1};

protected:
  TMoney Cash;
  string strCash;
  TAnm *PDigits[NumDigits];
  int16 FrameNums[uint8_max]; //char to framenum converter.
  bool LeftToRightAnms;

protected:
  void SetupAnms();

public:
  TACVPSlotsCashDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,bool lefttoright = true);
  TACVPSlotsCashDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,bool lefttoright = true);
  virtual ~TACVPSlotsCashDisplay();
  bool SetNum(TMoney money);
};
//*******************************************************************
#endif
