//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvsrlsp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5     10/17/99   M.Perry     original baseline
//********************************************************************
#if !defined(__acvsrlsp_h)
#define __acvsrlsp_h

#include "osprite.h"
//*******************************************************************
class TACVPSlotsReel : public TSprite
{
public:
  int16 BlurFrame0,BlurFrame1,BlurFrame2;
  bool Blur0,Blur1,Blur2,NoShowStill;
  TAnm *PBlur;
  TAnm *PReel;
//  TWav *PReelStopSound[22];
  TWav *PReelStopWav;
  void SetupAnms();
  TACVPSlotsReel(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPSlotsReel(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPSlotsReel();
  void Blur();
  void ShowReel();
  void SetReel();
  void SetNum(int16 Reel0);
  virtual void PostUpdate(dword NewFUC);
};
//*******************************************************************
#endif