//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvswhsp.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry    original baseline
//********************************************************************
#if !defined(__acvswhsp_h)
#define __acvswhsp_h

#include "osprite.h"
//*******************************************************************
class TACVPSlotsWinHighLight : public TSprite
{
public:
  enum {NumWaves = 12};

protected:
  TAnm *PTitle;
  TWav *PWaves[NumWaves];
  int16 CurrentSound;

public:
  TACVPSlotsWinHighLight(TOgleModeWindow *pmw,const TFileMode &NewFileMode);
  TACVPSlotsWinHighLight(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource);
  virtual ~TACVPSlotsWinHighLight();
  void PlaySound(int16 sound);
  bool IsWaveStopped(int16 ndx);
  bool IsCurrentWaveStopped();
  void StopAll();

protected:
  virtual void Update(dword NewFUC);
  void SetupAnms();
};
//*******************************************************************
#endif
