//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjaskex.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     12/28/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjaskex_h
#define __bjaskex_h

//#include "cstring.h"
#include "ogle.h"
class TBJHand;
class TBlackJackModeWin;
class TCasinoBJGameLord;
//*******************************************************************
enum TBJAction
{
  bjNone   = 0,
  bjHit    = 1,
  bjStand  = 2,
  bjSplit  = 3,
  bjDouble = 4
};
//*******************************************************************
class TBJAsk
{
public:
  TCasinoBJGameLord *pOwnerLord;
  TBJAction BJAction;
  string expertRecomString;
  TBJAsk(TCasinoBJGameLord *pNewBJLord);
  ~TBJAsk();
  void AskFirstTwoCardsExpert(TBJHand *hand,int16 Decks,bool Show = true);
  void AskAfterFirstTwoCardsExpert(TBJHand *hand,int16 Decks,bool Show = true);
  void AskBetExpert();
  void AskInsuranceExpert();
};
//*******************************************************************
#endif