//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjbustst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/23/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjbustst_h
#define __bjbustst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJBustState : public TBJLordState
{
public:
  int16 bustto;
  bool FirstTime;
  bool       WaitOnDealerBJ;
  bool       FinishDealerBJ;
  bool       WaitOnPlayer;
  bool       FinishPlayer;
  int16 remove,show,discards;

  dword StartingFUC;
  dword NextFUC;
  dword FUCLength;
  bool WaitOnSkit;
  TBJBustState(TCasinoBJGameLord *pNewBJLord,int16 BustTo);
  virtual ~TBJBustState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif