//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjdealst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/24/97  M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjdealst_h
#define __bjdealst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJDealState : public TBJLordState
{
public:
  dword StartingFUC;
  dword FUCLength;
  dword NextFUC;
  dword CardFUC;
  int16 dealto;
  bool  ShowTotal;
  bool  ShowDeal;

public:
  TBJDealState(TCasinoBJGameLord *pNewBJLord,int16 DealTo,bool Total=true,bool showdeal=true);
  virtual ~TBJDealState();
  TBJLookFromTo Looking(int16 lookingat,int16 lookto);
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif