//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjexpost.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/6/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry    32-bit conversion.
//*******************************************************************
#if !defined __bjexpost_h
#define __bjexpost_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJDealerExpoState : public TBJLordState
{
public:
  dword StartingFUC;
  dword FUCLength;
  bool  WaitOnSkit;
  bool  ExpoHole;
  int16 hole;
  int16 ShowBackFUC;
  int16 RemoveBackFUC;
  TBJDealerExpoState(TCasinoBJGameLord *pNewBJLord);
  virtual ~TBJDealerExpoState();

  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif