//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjwst.h    // win state
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/16/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined __bjwst_h
#define __bjwst_h

#include "cbjglord.h"
#include "bjlordst.h"
//*******************************************************************
class TBJWinState : public TBJLordState
{
public:
  int16 winto;
  int16 Tip;
  bool  DoTip;
  bool  FinishTip;
  int16 discards;
  dword StartingFUC;
  dword FUCLength;
  TBJWinState(TCasinoBJGameLord *pNewBJLord,int16 LoseTo);
  virtual ~TBJWinState();

  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);

  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void CreateSubState3();
};
//*******************************************************************
#endif