//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casapp.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/14/95    M.Perry     original baseline
//  2.0    08/31/97    M.Perry     32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//********************************************************************
#if !defined(__casapp_h)
#define __casapp_h

#include "oapp.h"
#include "casgfw.h"
#include "casini.h"
//*******************************************************************
class CASOWLCLASS TCasinoApp:public TOgleApp
{
public:
  virtual void GetAppInfo(TOgleAppInfo &appinfo);
  virtual int16 GetAppType();
  TCasinoApp(string NewHDDrive,string NewHDDir,string NewAppName);
  virtual ~TCasinoApp();
  virtual TOgleGameFrameWindow *CreateGameFrameWindow();
  virtual void CreateGameFile();
  virtual string GetDetName();
  virtual void CreateIniFile();
};
//*******************************************************************
#endif

