//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  casvpmw.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/14/95    M.Perry     original baseline
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__casvpmw_h)
#define __casvpmw_h

#include "casmw.h"

class TCasinoVPGameLord;
//*******************************************************************
class CASOWLCLASS TVideoPokerModeWin:public TCasinoModeWin
{
public:
  TVideoPokerModeWin(string modename,TPal *PPal,string title = "Cardoza Entertainment's Video Poker");
  virtual ~TVideoPokerModeWin();
  virtual string GetDetName();
  virtual int GetMenuID();
  virtual void CreateGroupGaugeDlg();

  void CmOptionsAdd50Credits();
  void CeOptionsAdd50Credits(TCommandEnabler &enabler);
  void CmOptionsAdd100Credits();
  void CeOptionsAdd100Credits(TCommandEnabler &enabler);
  void CmOptionsAdd200Credits();
  void CeOptionsAdd200Credits(TCommandEnabler &enabler);

  TCasinoVPGameLord *GetVPGameLord() {return (TCasinoVPGameLord *)GetCasGameLord();}

  DECLARE_RESPONSE_TABLE(TVideoPokerModeWin);
};
//*******************************************************************
#endif
