//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  ccact2st.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/28/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _ccact2st_h
#define _ccact2st_h

#include "ccglord.h"
#include "cclordst.h"
//*******************************************************************
class TCAct2State : public TCLordState
{
public:
  TCAct2State(TCasinoCGameLord *pNewCLord);
  virtual ~TCAct2State();
  bool       askexpertflag;
  bool       WaitOnReturnOdds;
  bool       FinishReturnOdds;
  bool       WaitOnMarker;
  bool       WaitOnGetMark;
  bool       WaitOnShuffle;
  bool       WaitOnResult;
  bool       FinishWinners;
  bool   	 WaitOnFirstWinner;
  bool   	 WaitOnLoser;
  bool  Player0;
  bool  Player1;
  bool  Player2;
  bool       GetNextWinner;
  int16  PayoutOrder[43];
  int16   Player;
  dword StartingFUC;
  dword FUCLength;
  dword MarkFUC;
  TResponder *MenuEscResponder;
  int16 BetCounter;

  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void EndSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState2();
  virtual bool HandleMenuEsc(TResponder &responder);

  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif