//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  ccpost.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/28/96   A. Krist    Original baseline
//  2.0     09/18/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _ccpost_h
#define _ccpost_h

#include "ccglord.h"
#include "cclordst.h"
//*******************************************************************
class TCPayOutState : public TCLordState
{
public:
  TCPayOutState(TCasinoCGameLord *pNewCLord,int16 BSpot);
  virtual ~TCPayOutState();
  bool WaitOnResult;
  dword StartingFUC;
  dword FUCLength;
  int16 BetSpot;

  virtual void ExecuteFirstTime();

  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif