//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ckglspl.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/25/96    M.Perry     original baseline
//  2.0    09/30/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__ckglspl_h)
#define __ckglspl_h

#include "csprlist.h"

#include "ckarowsp.h" //arrows
#include "ckgenisp.h" //genie
#include "ckmdsp.h"   //main display
#include "ckcksp.h"   //checks
#include "ckhdsp.h"   //history display
#include "ckposp.h"   //payoff schedule
#include "ckoldsp.h"  //old ticket results, diagonal across ticket
#include "ckhnsp.h"   //history game number
#include "cktimesp.h" //clock
#include "ckgnsp.h"   //current game number
#include "ckplsp.h"   //number of plays/games good for
#include "ckgtsp.h"   //game type 1spot,...
#include "ckbasp.h"   //bet amount per
#include "ckvgsp.h"   //valid games
#include "casbutsp.h"
#include "cascdsp.h"    //Cash Display
//*******************************************************************
class TKGLordSpriteList:public TCasinoSpriteList
{
public:
  TKGLordSpriteList(TOgleModeWindow *pmw,TFileMode filemode,TGObjSp *PGObj);
  virtual ~TKGLordSpriteList();
};
//*******************************************************************
#endif