//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cract2st.h    // input
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/28/96   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _cract2st_h
#define _cract2st_h

#include "crglord.h"
#include "crlordst.h"
//*******************************************************************
class TRAct2State : public TRLordState
{
public:
  TRAct2State(TCasinoRGameLord *pNewRLord);
  virtual ~TRAct2State();
  dword MarkerFUC;
  bool  Player0;
  bool  Player1;
  bool  Player2;
  bool  askexpertflag;
  bool  WaitOnMarker;
  bool  WaitOnPlaceMarker;
  bool  WaitOnRemoveMarker;
  bool  WaitOnRemoveChips;
  bool  WaitOnLoser;
  bool  WaitOnShuffle;
  bool  WaitOnResult;
  bool  GetNextWinner;
  int16 PayoutOrder[156];
  int16 Player;
  dword StartingFUC;
  dword FUCLength;
  TResponder *MenuEscResponder;
  int16 BetCounter;

  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void EndSubState1();
  virtual void CreateSubState2();
  virtual void EndSubState2();
  virtual bool HandleMenuEsc(TResponder &responder);

  virtual void HandlePostUpdate(dword NewFUC);
};
//*******************************************************************
#endif