//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  crrmst.h    // remove bets
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     3/28/95   A. Krist    Original baseline
//  2.0    09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _crrmst_h
#define _crrmst_h

#include "crglord.h"
#include "crlordst.h"
//*******************************************************************
class TRRemoveState : public TRLordState
{
public:
  bool        QuickKick;
  TResponder *BetSpotResponder;
  TResponder *Button1Responder;
  TRRemoveState(TCasinoRGameLord *pNewRLord);
  virtual ~TRRemoveState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleBetSpot(TResponder &responder,int16 Spot);
  virtual bool HandleNamePlate(TResponder &responder){return true;}

  virtual bool HandleButton1(TResponder &responder);
};
//*******************************************************************
#endif