//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  csdata.h
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/9/96     M.Perry    split up cplaydat file
//  2.0    08/31/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__csdata_h)
#define __csdata_h

#include "casdata.h"
//*******************************************************************
struct TCSSession : public TCasinoSession
{
  TCSSession();
  int16 nLowPayoffs;
  int16 nHiPayoffs;
  void ClearData();
  void StartSession(TMoney startingcash,int16 subgametype,TMoney denom);
  void EndSession(TMoney endingcash);
};
//*******************************************************************
struct TCasinoSData : public TCasinoData
{
  TCSSession Sessions[NUMSESSIONS];
  TMoney Cumulative;
  TCasinoSData();
  void ClearData();
  void StartSession(TMoney startingcash,int16 subgametype,TMoney denom);
  void EndSession(TMoney endingcash);
  int16 GetFirstValidSession();
  int16 GetNextValidSession();
  void IncCurrentSession();
  int16 GetPrevValidSession();
};
//*******************************************************************
#endif