//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hscdsp.h    //CashDisplay
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist    original baseline
//  2.0    09/04/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__hscdsp_h)
#define __hscdsp_h

#include "osprite.h"
//*******************************************************************
class THSCashDisplay : public TSprite
{
public:
  TAnm           *PDigits[15];
  dword            DelayEndFUC;
  TMoney            Win;
  TMoney            Bet;
  bool            DELAY;
  virtual void Update(dword NewFUC);
  void ShowMessageString(string str,dword fuclen = 0,int OffSet = 0);
  void ShowWinNum(TMoney money,dword fuclen = 0);
  void ShowCashOut(TMoney money,dword fuclen = 0);
  void ShowBetNum(TMoney money,dword fuclen = 0);
  void NoShowDisplay(bool back = true);
  void SetupAnms();
  THSCashDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode);
  THSCashDisplay(TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource);
  virtual ~THSCashDisplay();
  int SetNum(TMoney money,dword fuclen = 0);
};
//*******************************************************************
#endif
