//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsintgld.h
//    Project Name:  HunSlots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     7/7/97     M.Perry    original baseline
//  2.0    09/09/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__hsintgld_h)
#define __hsintgld_h

#include "casglord.h"

class THSIntroModeWin;
//*******************************************************************
class THSIntroGameLord:public TCasinoGameLord
{
protected:
  TResponder *PBigResponder;
  TSprite *PSprite1;
  dword EndFuc;

public:
  THSIntroGameLord(THSIntroModeWin *pmodewin,TFileMode fm);
  virtual ~THSIntroGameLord();
  virtual bool Respond(TResponder &responder);
  virtual bool Respond(int16 id,int16 info = 0,void *pdata = NULL)
  {
    return TCasinoGameLord::Respond(id,info,pdata);
  }
  virtual void Update(dword fuc);
  virtual void SetupSprites();
};
//*******************************************************************
#endif