//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hsla2st.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _hsla2st_h
#define _hsla2st_h

#include "hslglord.h"
#include "hsllst.h"
//*******************************************************************
class THSLAct2State : public THSLLordState
{
public:
  THSLAct2State(TCasinoHSLGameLord *pNewHSLLord);
  ~THSLAct2State();
  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
};
//*******************************************************************
#endif