//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  llordst.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _hsllst_h
#define _hsllst_h

#include "ostate.h"
#include "hslglord.h"

class TCasinoHSLGameLord;
class TResponder;
//*******************************************************************
class THSLLordState : public TState
{
public:
  TCasinoHSLGameLord *pOwnerLord;
  THSLLordState(TCasinoHSLGameLord *pNewHSLLord);
  ~THSLLordState();

  virtual void HandleUpdate(dword NewFUC);

  bool Lobby(TResponder &responder);
  virtual bool HandleLobby(TResponder &responder) {return true;}

  bool SpeedClick(TResponder &responder);
  virtual bool HandleSpeedClick(TResponder &responder) {return false;}  //must override?
};
//*******************************************************************
#endif