//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsmsg.h
//    Project Name:  Hunslots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     7/30/97    M.Perry    original baseline
//  2.0    09/09/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__hsmsg_h)
#define __hsmsg_h

#include "ogle.h"
#include "odlg.h"
#include "hsmsg.rh"

class _OWLCLASS TButton;
class _OWLCLASS TStatic;
//*******************************************************************
class TBankruptMsgDlg:public TOgleDialog
{
protected:
  TButton *PDone_PB;
  TStatic *PText_STB;
  string strText;
  string strTitle;

public:
  TBankruptMsgDlg(TWindow *parent,string text,string title = "",TResId dlgid = IDD_BANKRUPT_MSG);
  virtual ~TBankruptMsgDlg();
  virtual void SetupWindow();
  void CmDone();

  DECLARE_RESPONSE_TABLE(TBankruptMsgDlg);
};
//*******************************************************************
#endif