//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  roadgld.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/09/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__roadgld_h)
#define __roadgld_h

#include "hsglord.h"
//*******************************************************************
class TRoadGameLord:public TCasinoHSGameLord
{
public:
  int16 MilesArray[38];
  int16 WinMiles;
  int16 AccidentFrame;
  int16 FlatFrame;
  bool WaitOneFrame;
  bool ShowLapLaps;
  bool ShowLaps;
  bool ShowWinFlag;
  bool Lap;
  bool FlatGoBack;
  bool WaitOnLap;
  bool WaitOnForward;
  TRoadGameLord(THunSlotsModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TRoadGameLord();
  virtual void CycleDenom();
  virtual void PostUpdate(dword NewFUC);
  virtual TMoney PayOut();
  virtual TMoney PayLine1();
  virtual void SetReel();
  virtual void SetupSprites();
  virtual void CleanupSprites();
  void DoForward();
  void DoFlat();
  void DoAccident();
  virtual void Clear();
};
//*******************************************************************
#endif