//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  soutgld.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/11/95   A.Krist     original baseline
//  2.0     09/08/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__soutgld_h)
#define __soutgld_h

#include "hsglord.h"
//*******************************************************************
class TSoutGameLord:public TCasinoHSGameLord
{
public:
  bool sTop;
  bool sMid;
  bool sBot;
  TSoutGameLord(THunSlotsModeWin *PNewOwnerWindow,const TFileMode &fm);
  virtual ~TSoutGameLord();
  virtual void CycleDenom();
  virtual TMoney PayOut();
  virtual TMoney PayLine1();
  virtual TMoney PayLine2();
  virtual TMoney PayLine3();
  virtual TMoney PayLine4();
  virtual TMoney PayLine5();
  virtual void SetReel();
  virtual void SetupSprites();
  virtual void CleanupSprites();
};
//*******************************************************************
#endif