//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  swinst.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     09/28/95   A. Krist    Original baseline
//  2.0     09/27/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _swinst_h
#define _swinst_h

#include "csglord.h"
#include "slordst.h"
//*******************************************************************
class TSWinState : public TSLordState
{
public:
  TResponder *SpeedClickResponder;
  TMoney wincount;
  TMoney wincountup;
  
public:
  TSWinState(TCasinoSGameLord *pNewSLord);
  virtual ~TSWinState();
  virtual void ExecuteFirstTime();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleSpeedClick(TResponder &responder);
};
//*******************************************************************
#endif