//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vpact2St.h
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/28/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _vpact2st_h
#define _vpact2st_h

//#include "cvpglord.h"
#include "accvpgld.h"
#include "vplordst.h"
//*******************************************************************
class TVPAct2State : public TVPLordState
{
public:
//  TVPAct2State(TCasinoVPGameLord *pNewVPLord);
  TVPAct2State(TACCVPGLord *pNewVPLord);
  virtual ~TVPAct2State();

  dword CursorFUC;
  TResponder *DealDrawResponder;
  TResponder *MenuEscResponder;
  TResponder *AskExpertResponder;
  bool askexpertflag;
  bool IgnoreCoach;

  virtual void ExecuteFirstTime();
  virtual void CreateSubState1();
  virtual void CreateSubState2();
  virtual void HandlePostUpdate(dword NewFUC);
  virtual bool HandleHoldCard0(TResponder &responder);
  virtual bool HandleHoldCard1(TResponder &responder);
  virtual bool HandleHoldCard2(TResponder &responder);
  virtual bool HandleHoldCard3(TResponder &responder);
  virtual bool HandleHoldCard4(TResponder &responder);
  virtual bool HandleDealDraw(TResponder &responder);
  virtual bool HandleAskExpert(TResponder &responder);
  virtual bool HandleMenuEsc(TResponder &responder);
};
//*******************************************************************
#endif