//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//                        
//       File Name:  cowlmain.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/13/95    M.Perry     original baseline
//********************************************************************
//#include "casapp.h"
#include "caccapp.h"
#include "omisc.h"
//*******************************************************************
int OwlMain(int /*argc*/,char *argv[])
{
  string HDDrive,HDDir,AppName,AppHDString,HDExt;
  AppHDString = argv[0];
  SplitUp(AppHDString,HDDrive,HDDir,AppName,HDExt);

  int AppResult = -1;
  try
  {
//     TCasinoApp *PApp = new TCasinoApp(HDDrive,HDDir,AppName);
     TCasACCApp *PApp = new TCasACCApp(HDDrive,HDDir,AppName);
     if (PApp->Initialize())
     {
       AppResult = PApp->Run();
     }
     delete PApp;
  }
  catch (xmsg& x)
  {
    ::MessageBox(0,x.why().c_str(),"Exception",MB_OK);
  }
  return AppResult;
}
//*******************************************************************
