//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  bjlrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/23/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "bjlrdmst.h"
#include "bjwinst.h"
//*******************************************************************
TBJLordMainState::TBJLordMainState(TCasinoBJGameLord *pNewBJLord)
:TBJLordState(pNewBJLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState4,ess_StartSubState2,ess_Done);
}
//*******************************************************************
TBJLordMainState::~TBJLordMainState()
{
}
//*******************************************************************
void TBJLordMainState::CreateSubState1()
{
  PActiveSubState = (TState *) new TInitBJState(pOwnerLord);
}
//*******************************************************************
void TBJLordMainState::CreateSubState2()
{
  PActiveSubState = (TState *) new TBJAct1State(pOwnerLord);
}
//*******************************************************************
void TBJLordMainState::CreateSubState3()
{
  if(!pOwnerLord->pHand->bj)
  {
	 PActiveSubState = (TState *) new TBJAct2State(pOwnerLord);
  }
}
//*******************************************************************
void TBJLordMainState::CreateSubState4()
{
 // PActiveSubState = (TState *) new TBJWinnerState(pOwnerLord);
}
//*******************************************************************
void TBJLordMainState::CreateSubState5()
{
  //PActiveSubState = (TState *) new TBJDrawCardsState(pOwnerLord);
}
//*******************************************************************
