//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  clordman.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "clordman.h"

#include <iostream.h>

TSlot1LordMainState::TSlot1LordMainState(TSlot1Lord *pNewSlot1Lord)
	: TSlot1LordState(pNewSlot1Lord)
{
 // cout << "GameMainState constructor" << endl;
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState4,ess_StartSubState5,ess_StartSubState6,
				  ess_StartSubState2,ess_StartSubState8,ess_Done);
 // SetHeedRecommend(FALSE,TRUE,FALSE,TRUE,FALSE,TRUE,FALSE,TRUE);
}
TSlot1LordMainState::~TSlot1LordMainState()
{
//  cout << "GameMainState destructor" << endl;
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState1()
{
  cout << "Init state" << endl;
  PActiveSubState = (TState *) new TInitSlotState(pOwnerLord);
}
//*******************************************************************
void TSlot1LordMainState::StartSubState3()
{
  if(pOwnerLord->game == 0)
  {
	 if(PActiveSubState != NULL)
	 {
		delete PActiveSubState;
	 }
	 PActiveSubState =NULL;
	 ExecuteStatus = ess_StartSubState7;
  }
  else
  {
	 CreateSubState3();
	 ExecuteStatus = ess_RunSubState3;
  }
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState2()
{
  cout << "Get bet" << endl;
  PActiveSubState = (TState *) new TGetSlotBetState(pOwnerLord);
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState3()
{
  PActiveSubState = (TState *) new TSlotSpinState(pOwnerLord);
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState4()
{
  cout << "Winner?" << endl;
  PActiveSubState = (TState *) new TSlotWinnerState(pOwnerLord);
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState5()
{
  //PActiveSubState = (TState *) new TNewSHState(pOwnerLord);   // Stud Hi
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState6()
{
 // PActiveSubState = (TState *) new TStudHiState(pOwnerLord);  // Stud Hi
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState7()
{
  //PActiveSubState = (TState *) new TNewDState(pOwnerLord);   // Draw
}
//*******************************************************************
void TSlot1LordMainState::CreateSubState8()
{
  cout << "Draw, Dirtbag!!" << endl;
 // PActiveSubState = (TState *) new TDrawState(pOwnerLord);  // Draw
}

