//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  clordst.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//*******************************************************************
#include "clordst.h"
#include "clord.h"
#include <iostream.h>

TCLordState::TCLordState(TCLord *pNewCLord)
{
//  cout << "GLordState constructor" << endl;
  pOwnerLord = pNewCLord;
}
TCLordState::~TCLordState()
{
 // cout << "GLordState destructor" << endl;
}
//*******************************************************************
void TCLordState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TCLordState::XHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TCLordState *)PActiveSubState)->XHit();
  }
}