//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cc1gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/25/96    M.Perry    original baseline
//  2.0    09/18/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "cc1gld.h"
#include "casnames.rh"
#include "ccnames.rh"
#include "ogamefw.h"
//#include "cc1glspl.h"
#include "oskitcat.h"
#include "orespond.h"
#include "oanm.h"
//*******************************************************************
//TSpriteList *TC1GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TC1GLordSpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TC1GameLord::SetupSkits()
{
  placemark              = GetSkitListIndex(GetResString(IDS_KCL_PLACEMARK_C1));
  if (placemark == -1)     {SpriteError("placemark",GetResString(IDS_KCL_PLACEMARK_C1));}
  getmark              = GetSkitListIndex(GetResString(IDS_KCL_GETMARK_C1));
  if (getmark == -1)     {SpriteError("getmark",GetResString(IDS_KCL_GETMARK_C1));}

  result1              = GetSkitListIndex(GetResString(IDS_KCL_RESULT1_C1));
  if (result1 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT1_C1));}
  result2              = GetSkitListIndex(GetResString(IDS_KCL_RESULT2_C1));
  if (result2 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT2_C1));}
  result3              = GetSkitListIndex(GetResString(IDS_KCL_RESULT3_C1));
  if (result3 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT3_C1));}
  result4              = GetSkitListIndex(GetResString(IDS_KCL_RESULT4_C1));
  if (result4 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT4_C1));}
  result5              = GetSkitListIndex(GetResString(IDS_KCL_RESULT5_C1));
  if (result5 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT5_C1));}
  result6              = GetSkitListIndex(GetResString(IDS_KCL_RESULT6_C1));
  if (result6 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT6_C1));}
  result7              = GetSkitListIndex(GetResString(IDS_KCL_RESULT7_C1));
  if (result7 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT7_C1));}
  result8              = GetSkitListIndex(GetResString(IDS_KCL_RESULT8_C1));
  if (result8 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT8_C1));}
  result9              = GetSkitListIndex(GetResString(IDS_KCL_RESULT9_C1));
  if (result9 == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULT9_C1));}
  resulta              = GetSkitListIndex(GetResString(IDS_KCL_RESULTA_C1));
  if (resulta == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTA_C1));}
  resultb              = GetSkitListIndex(GetResString(IDS_KCL_RESULTB_C1));
  if (resultb == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTB_C1));}
  resultc              = GetSkitListIndex(GetResString(IDS_KCL_RESULTC_C1));
  if (resultc == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTC_C1));}
  resultd              = GetSkitListIndex(GetResString(IDS_KCL_RESULTD_C1));
  if (resultd == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTD_C1));}
  resulte              = GetSkitListIndex(GetResString(IDS_KCL_RESULTE_C1));
  if (resulte == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTE_C1));}
  resultf              = GetSkitListIndex(GetResString(IDS_KCL_RESULTF_C1));
  if (resultf == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTF_C1));}
  resultg              = GetSkitListIndex(GetResString(IDS_KCL_RESULTG_C1));
  if (resultg == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTG_C1));}
  resulth              = GetSkitListIndex(GetResString(IDS_KCL_RESULTH_C1));
  if (resulth == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTH_C1));}
  resulti              = GetSkitListIndex(GetResString(IDS_KCL_RESULTI_C1));
  if (resulti == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTI_C1));}
  resultj              = GetSkitListIndex(GetResString(IDS_KCL_RESULTJ_C1));
  if (resultj == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTJ_C1));}
  resultk              = GetSkitListIndex(GetResString(IDS_KCL_RESULTK_C1));
  if (resultk == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTK_C1));}
  resultl              = GetSkitListIndex(GetResString(IDS_KCL_RESULTL_C1));
  if (resultl == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTL_C1));}
  resultm              = GetSkitListIndex(GetResString(IDS_KCL_RESULTM_C1));
  if (resultm == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTM_C1));}
  resultn              = GetSkitListIndex(GetResString(IDS_KCL_RESULTN_C1));
  if (resultn == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTN_C1));}
  resulto              = GetSkitListIndex(GetResString(IDS_KCL_RESULTO_C1));
  if (resulto == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTO_C1));}
  resultp              = GetSkitListIndex(GetResString(IDS_KCL_RESULTP_C1));
  if (resultp == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTP_C1));}
  resultq              = GetSkitListIndex(GetResString(IDS_KCL_RESULTQ_C1));
  if (resultq == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTQ_C1));}
  resultr              = GetSkitListIndex(GetResString(IDS_KCL_RESULTR_C1));
  if (resultr == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTR_C1));}
  results              = GetSkitListIndex(GetResString(IDS_KCL_RESULTS_C1));
  if (results == -1)     {SpriteError("result",GetResString(IDS_KCL_RESULTS_C1));}

  greetplayers              = GetSkitListIndex(GetResString(IDS_KCL_GREETPLAYERS_C1));
  if (greetplayers == -1)     {SpriteError("greetplayers",GetResString(IDS_KCL_GREETPLAYERS_C1));}

  placebets                 = GetSkitListIndex(GetResString(IDS_KCL_PLACEBETS_C1));
  if (placebets == -1)        {SpriteError("PlaceBets",GetResString(IDS_KCL_PLACEBETS_C1));}

  prespincom                = GetSkitListIndex(GetResString(IDS_KCL_PRESPINCOM_C1));
  if (prespincom == -1)       {SpriteError("PreSpinCom",GetResString(IDS_KCL_PRESPINCOM_C1));}

  advbets   	 				 = GetSkitListIndex(GetResString(IDS_KCL_ADVBETS_C1));
  if (advbets == -1)          {SpriteError("AdvBets",GetResString(IDS_KCL_ADVBETS_C1));}
  shakea	                   = GetSkitListIndex(GetResString(IDS_KCL_SHAKEA_C1));
  if (shakea == -1)           {SpriteError("ShakeA",GetResString(IDS_KCL_SHAKEA_C1));}
  shakeb						    = GetSkitListIndex(GetResString(IDS_KCL_SHAKEB_C1));
  if (shakeb == -1)           {SpriteError("ShakeB",GetResString(IDS_KCL_SHAKEB_C1));}
  shakec						    = GetSkitListIndex(GetResString(IDS_KCL_SHAKEC_C1));
  if (shakec == -1)           {SpriteError("ShakeC",GetResString(IDS_KCL_SHAKEC_C1));}
  throwa						    = GetSkitListIndex(GetResString(IDS_KCL_THROWA_C1));
  if (throwa == -1)           {SpriteError("ThrowA",GetResString(IDS_KCL_THROWA_C1));}
  throwb						    = GetSkitListIndex(GetResString(IDS_KCL_THROWB_C1));
  if (throwb == -1)           {SpriteError("ThrowB",GetResString(IDS_KCL_THROWB_C1));}
  throwc						    = GetSkitListIndex(GetResString(IDS_KCL_THROWC_C1));
  if (throwc == -1)           {SpriteError("ThrowC",GetResString(IDS_KCL_THROWC_C1));}
  dicelanda						 = GetSkitListIndex(GetResString(IDS_KCL_DICELANDA_C1));
  if (dicelanda == -1)        {SpriteError("DiceLandA",GetResString(IDS_KCL_DICELANDA_C1));}
  dicelandb					    = GetSkitListIndex(GetResString(IDS_KCL_DICELANDB_C1));
  if (dicelandb == -1)        {SpriteError("DiceLandB",GetResString(IDS_KCL_DICELANDB_C1));}
  dicelandc					    = GetSkitListIndex(GetResString(IDS_KCL_DICELANDC_C1));
  if (dicelandc == -1)        {SpriteError("DiceLandC",GetResString(IDS_KCL_DICELANDC_C1));}
  stalla						    = GetSkitListIndex(GetResString(IDS_KCL_STALLA_C1));
  if (stalla == -1)           {SpriteError("StallA",GetResString(IDS_KCL_STALLA_C1));}
  stallb						    = GetSkitListIndex(GetResString(IDS_KCL_STALLB_C1));
  if (stallb == -1)           {SpriteError("StallB",GetResString(IDS_KCL_STALLB_C1));}
  stallc						    = GetSkitListIndex(GetResString(IDS_KCL_STALLC_C1));
  if (stallc == -1)           {SpriteError("StallC",GetResString(IDS_KCL_STALLC_C1));}
  placemark						 = GetSkitListIndex(GetResString(IDS_KCL_PLACEMARK_C1));
  if (placemark == -1)        {SpriteError("PlaceMark",GetResString(IDS_KCL_PLACEMARK_C1));}
  getmark						 = GetSkitListIndex(GetResString(IDS_KCL_GETMARK_C1));
  if (getmark == -1)          {SpriteError("GetMark",GetResString(IDS_KCL_GETMARK_C1));}

  winner                   = GetSkitListIndex(GetResString(IDS_KCL_WINNER_C1));
  if (winner == -1)          {SpriteError("Winner",GetResString(IDS_KCL_WINNER_C1));}

//  result                   = GetSkitListIndex(GetResString(IDS_KCL_RESULT_C1));
//  if (result == -1)          {SpriteError("Result",GetResString(IDS_KCL_RESULT_C1));}

  payoffcom                   = GetSkitListIndex(GetResString(IDS_KCL_PAYOFFCOM_C1));
  if (payoffcom == -1)          {SpriteError("PayOffCom",GetResString(IDS_KCL_PAYOFFCOM_C1));}

  pointcom4                   = GetSkitListIndex(GetResString(IDS_KCL_POINTCOM4_C1));
  if (pointcom4 == -1)          {SpriteError("PointCom4",GetResString(IDS_KCL_POINTCOM4_C1));}
  pointcom5                   = GetSkitListIndex(GetResString(IDS_KCL_POINTCOM5_C1));
  if (pointcom5 == -1)          {SpriteError("PointCom5",GetResString(IDS_KCL_POINTCOM5_C1));}
  pointcom6                   = GetSkitListIndex(GetResString(IDS_KCL_POINTCOM6_C1));
  if (pointcom6 == -1)          {SpriteError("PointCom6",GetResString(IDS_KCL_POINTCOM6_C1));}
  pointcom8                   = GetSkitListIndex(GetResString(IDS_KCL_POINTCOM8_C1));
  if (pointcom8 == -1)          {SpriteError("PointCom8",GetResString(IDS_KCL_POINTCOM8_C1));}
  pointcom9                   = GetSkitListIndex(GetResString(IDS_KCL_POINTCOM9_C1));
  if (pointcom9 == -1)          {SpriteError("PointCom9",GetResString(IDS_KCL_POINTCOM9_C1));}
  pointcoma                   = GetSkitListIndex(GetResString(IDS_KCL_POINTCOMA_C1));
  if (pointcoma == -1)          {SpriteError("PointComA",GetResString(IDS_KCL_POINTCOMA_C1));}

  comecom                   = GetSkitListIndex(GetResString(IDS_KCL_COMECOM_C1));
  if (comecom == -1)          {SpriteError("ComeCom",GetResString(IDS_KCL_COMECOM_C1));}

  nocomecoma                  = GetSkitListIndex(GetResString(IDS_KCL_NOCOMECOMA_C1));
  if (nocomecoma == -1)       {SpriteError("NoComeComA",GetResString(IDS_KCL_NOCOMECOMA_C1));}
  nocomecomb                  = GetSkitListIndex(GetResString(IDS_KCL_NOCOMECOMB_C1));
  if (nocomecomb == -1)       {SpriteError("NoComeComB",GetResString(IDS_KCL_NOCOMECOMB_C1));}
  nocomecomc                  = GetSkitListIndex(GetResString(IDS_KCL_NOCOMECOMC_C1));
  if (nocomecomc == -1)       {SpriteError("NoComeComC",GetResString(IDS_KCL_NOCOMECOMC_C1));}

  eshakea                     = GetSkitListIndex(GetResString(IDS_KCL_ESHAKEA_C1));
  if (eshakea == -1)          {SpriteError("ESHAKEA",GetResString(IDS_KCL_ESHAKEA_C1));}
  eshakeb                     = GetSkitListIndex(GetResString(IDS_KCL_ESHAKEB_C1));
  if (eshakeb == -1)          {SpriteError("ESHAKEB",GetResString(IDS_KCL_ESHAKEB_C1));}
  eshakec                     = GetSkitListIndex(GetResString(IDS_KCL_ESHAKEC_C1));
  if (eshakec == -1)          {SpriteError("ESHAKEC",GetResString(IDS_KCL_ESHAKEC_C1));}

  givedicea                     = GetSkitListIndex(GetResString(IDS_KCL_GIVEDICEA_C1));
  if (givedicea == -1)          {SpriteError("GiveDiceA",GetResString(IDS_KCL_GIVEDICEA_C1));}
  givediceb                     = GetSkitListIndex(GetResString(IDS_KCL_GIVEDICEB_C1));
  if (givediceb == -1)          {SpriteError("GiveDiceB",GetResString(IDS_KCL_GIVEDICEB_C1));}
  givedicec                     = GetSkitListIndex(GetResString(IDS_KCL_GIVEDICEC_C1));
  if (givedicec == -1)          {SpriteError("GiveDiceC",GetResString(IDS_KCL_GIVEDICEC_C1));}

  loser                    = GetSkitListIndex(GetResString(IDS_KCL_LOSER_C1));
  if (loser == -1)           {SpriteError("Loser",GetResString(IDS_KCL_LOSER_C1));}

  //postreconcilecom          = GetSkitListIndex(GetResString(IDS_KCL_POSTRECONCILECOMM_BJ1));
 // if (postreconcilecom == -1) {SpriteError("PostReconcileCom",GetResString(IDS_KCL_POSTRECONCILECOMM_BJ1));}

}
//*******************************************************************
void TC1GameLord::SetupSprites()
{
  //for(int16 i=0;i<47;i++)
  //{
	// BetSpot[i]        = NULL;
  //}
  //Sounds            = NULL;
  //Sounds            = (TRSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_C1));
  if (Sounds == NULL)  {SpriteError("Sounds",GetResString(IDS_MS_SOUNDS_C1));}
  /*Button0       = NULL;
  Button1       = NULL;
  Button2       = NULL;
  Button3       = NULL;
  Button4       = NULL;
  Button5       = NULL;
  Button6       = NULL;
  Button7       = NULL;
  Button8       = NULL;
  Button9       = NULL;
  Button10      = NULL;
  Button11      = NULL;
  Button12      = NULL;
  Button13      = NULL;
  MessageDisplay   = NULL;
  BankCashDisplay  = NULL;
  BetAmountDisplay = NULL;
  Chips              = NULL;
  NamePlate1         = NULL;
  NamePlate2         = NULL;
  NamePlate3         = NULL;
//  Circle             = NULL;
  BetPayOff          = NULL;

  BigDice1           = NULL;
  BigDice2           = NULL;
  BigDice3           = NULL;
  BigDice4           = NULL;
  BigDice5           = NULL;
  BigDice6           = NULL;

  Puck               = NULL;
  DiceA = NULL;
  DiceB = NULL;
  DiceC = NULL;
  DiceD = NULL;
    */
  mpickupdicea         = GetSpriteIndex(GetResString(IDS_AS_MPICKUPDICEA_C1));
  fpickupdicea         = GetSpriteIndex(GetResString(IDS_AS_FPICKUPDICEA_C1));
  mpickupdiceb         = GetSpriteIndex(GetResString(IDS_AS_MPICKUPDICEB_C1));
  fpickupdiceb         = GetSpriteIndex(GetResString(IDS_AS_FPICKUPDICEB_C1));
  mpickupdicec         = GetSpriteIndex(GetResString(IDS_AS_MPICKUPDICEC_C1));
  fpickupdicec         = GetSpriteIndex(GetResString(IDS_AS_FPICKUPDICEC_C1));
  returnodds           = GetSpriteIndex(GetResString(IDS_AS_RODDS_C1));
      /*
  DiceA              = (TCDice *)               GetSpritePtr(GetResString(IDS_MS_DICEA_C1));
  DiceB              = (TCDice *)               GetSpritePtr(GetResString(IDS_MS_DICEB_C1));
  DiceC              = (TCDice *)               GetSpritePtr(GetResString(IDS_MS_DICEC_C1));
  DiceD              = (TCDice *)               GetSpritePtr(GetResString(IDS_MS_DICED_C1));

  Puck               = (TCPuck *)               GetSpritePtr(GetResString(IDS_MS_PUCK_C1));
  BetPayOff          = (TCBetPayOff *)          GetSpritePtr(GetResString(IDS_MS_BETPAYOFF_C1));

  BetSpot[0]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS0_C1));
  BetSpot[1]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS1_C1));
  BetSpot[2]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS2_C1));
  BetSpot[3]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS3_C1));
  BetSpot[4]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS4_C1));
  BetSpot[5]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS5_C1));
  BetSpot[6]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS6_C1));
  BetSpot[7]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS7_C1));
  BetSpot[8]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS8_C1));
  BetSpot[9]         = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS9_C1));
  BetSpot[10]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS10_C1));
  BetSpot[11]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS11_C1));
  BetSpot[12]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS12_C1));
  BetSpot[13]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS13_C1));
  BetSpot[14]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS14_C1));
  BetSpot[15]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS15_C1));
  BetSpot[16]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS16_C1));
  BetSpot[17]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS17_C1));
  BetSpot[18]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS18_C1));
  BetSpot[19]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS19_C1));
  BetSpot[20]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS20_C1));
  BetSpot[21]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS21_C1));
  BetSpot[22]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS22_C1));
  BetSpot[23]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS23_C1));
  BetSpot[24]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS24_C1));
  BetSpot[25]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS25_C1));
  BetSpot[26]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS26_C1));
  BetSpot[27]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS27_C1));
  BetSpot[28]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS28_C1));
  BetSpot[29]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS29_C1));
  BetSpot[30]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS30_C1));
  BetSpot[31]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS31_C1));
  BetSpot[32]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS32_C1));
  BetSpot[33]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS33_C1));
  BetSpot[34]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS34_C1));
  BetSpot[35]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS35_C1));
  BetSpot[36]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS36_C1));
  BetSpot[37]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS37_C1));
  BetSpot[38]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS38_C1));
  BetSpot[39]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS39_C1));
  BetSpot[40]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS40_C1));
  BetSpot[41]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS41_C1));
  BetSpot[42]        = (TCBetSpot *)            GetSpritePtr(GetResString(IDS_MS_BS42_C1));


//  Circle             = (TCrapsCircle          *) GetSpritePtr(GetResString(IDS_MS_CIRCLE_C1));
  Button0            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B0_C1));
  Button1            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B1_C1));
  Button2            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B2_C1));
  Button3            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B3_C1));
  Button4            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B4_C1));
  Button5            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B5_C1));
  Button6            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B6_C1));
  Button7            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B7_C1));
  Button8            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B8_C1));
  Button9            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B9_C1));
  Button10           = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B10_C1));
  Button11           = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B11_C1));
  Button12           = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B12_C1));
  Button13           = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B13_C1));
  Chips              = (TCasChips             *) GetSpritePtr(GetResString(IDS_MS_CHIPS_C1));
  NamePlate1         = (TCasNamePlate         *) GetSpritePtr(GetResString(IDS_MS_NP1_C1));
  NamePlate2         = (TCasNamePlate         *) GetSpritePtr(GetResString(IDS_MS_NP2_C1));
  NamePlate3         = (TCasNamePlate         *) GetSpritePtr(GetResString(IDS_MS_NP3_C1));
//  PayOffSp           = (TCPayOff              *) GetSpritePtr(GetResString(IDS_MS_PAYOFF_C1));
  MessageDisplay     = (TCasMessageDisplay    *) GetSpritePtr(GetResString(IDS_MS_MESS_C1));
  BankCashDisplay    = (TCasCashDisplay       *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_C1));
  BetAmountDisplay   = (TCasCashDisplay       *) GetSpritePtr(GetResString(IDS_MS_UNITCASH_C1));
  BigDice1           = (TCBigDice             *) GetSpritePtr(GetResString(IDS_MS_BIGDICE1_C1));
  BigDice2           = (TCBigDice             *) GetSpritePtr(GetResString(IDS_MS_BIGDICE2_C1));
  BigDice3           = (TCBigDice             *) GetSpritePtr(GetResString(IDS_MS_BIGDICE3_C1));
  BigDice4           = (TCBigDice             *) GetSpritePtr(GetResString(IDS_MS_BIGDICE4_C1));
  BigDice5           = (TCBigDice             *) GetSpritePtr(GetResString(IDS_MS_BIGDICE5_C1));
  BigDice6           = (TCBigDice             *) GetSpritePtr(GetResString(IDS_MS_BIGDICE6_C1));
        */
  if (BetSpot[0] == NULL)         {SpriteError("Bet Spot 0",        GetResString(IDS_MS_BS0_C1));}
  if (BetSpot[1] == NULL)         {SpriteError("Bet Spot 1",        GetResString(IDS_MS_BS1_C1));}
  if (BetSpot[2] == NULL)         {SpriteError("Bet Spot 2",        GetResString(IDS_MS_BS2_C1));}
  if (BetSpot[3] == NULL)         {SpriteError("Bet Spot 3",        GetResString(IDS_MS_BS3_C1));}
  if (BetSpot[4] == NULL)         {SpriteError("Bet Spot 4",        GetResString(IDS_MS_BS4_C1));}
  if (BetSpot[5] == NULL)         {SpriteError("Bet Spot 5",        GetResString(IDS_MS_BS5_C1));}
  if (BetSpot[6] == NULL)         {SpriteError("Bet Spot 6",        GetResString(IDS_MS_BS6_C1));}
  if (BetSpot[7] == NULL)         {SpriteError("Bet Spot 7",        GetResString(IDS_MS_BS7_C1));}
  if (BetSpot[8] == NULL)         {SpriteError("Bet Spot 8",        GetResString(IDS_MS_BS8_C1));}
  if (BetSpot[9] == NULL)         {SpriteError("Bet Spot 9",        GetResString(IDS_MS_BS9_C1));}
  if (BetSpot[10] == NULL)         {SpriteError("Bet Spot 10",        GetResString(IDS_MS_BS10_C1));}
  if (BetSpot[11] == NULL)         {SpriteError("Bet Spot 11",        GetResString(IDS_MS_BS11_C1));}
  if (BetSpot[12] == NULL)         {SpriteError("Bet Spot 12",        GetResString(IDS_MS_BS12_C1));}
  if (BetSpot[13] == NULL)         {SpriteError("Bet Spot 13",        GetResString(IDS_MS_BS13_C1));}
  if (BetSpot[14] == NULL)         {SpriteError("Bet Spot 14",        GetResString(IDS_MS_BS14_C1));}
  if (BetSpot[15] == NULL)         {SpriteError("Bet Spot 15",        GetResString(IDS_MS_BS15_C1));}
  if (BetSpot[16] == NULL)         {SpriteError("Bet Spot 16",        GetResString(IDS_MS_BS16_C1));}
  if (BetSpot[17] == NULL)         {SpriteError("Bet Spot 17",        GetResString(IDS_MS_BS17_C1));}
  if (BetSpot[18] == NULL)         {SpriteError("Bet Spot 18",        GetResString(IDS_MS_BS18_C1));}
  if (BetSpot[19] == NULL)         {SpriteError("Bet Spot 19",        GetResString(IDS_MS_BS19_C1));}
  if (BetSpot[20] == NULL)         {SpriteError("Bet Spot 20",        GetResString(IDS_MS_BS20_C1));}
  if (BetSpot[21] == NULL)         {SpriteError("Bet Spot 21",        GetResString(IDS_MS_BS21_C1));}
  if (BetSpot[22] == NULL)         {SpriteError("Bet Spot 22",        GetResString(IDS_MS_BS22_C1));}
  if (BetSpot[23] == NULL)         {SpriteError("Bet Spot 23",        GetResString(IDS_MS_BS23_C1));}
  if (BetSpot[24] == NULL)         {SpriteError("Bet Spot 24",        GetResString(IDS_MS_BS24_C1));}
  if (BetSpot[25] == NULL)         {SpriteError("Bet Spot 25",        GetResString(IDS_MS_BS25_C1));}
  if (BetSpot[26] == NULL)         {SpriteError("Bet Spot 26",        GetResString(IDS_MS_BS26_C1));}
  if (BetSpot[27] == NULL)         {SpriteError("Bet Spot 27",        GetResString(IDS_MS_BS27_C1));}
  if (BetSpot[28] == NULL)         {SpriteError("Bet Spot 28",        GetResString(IDS_MS_BS28_C1));}
  if (BetSpot[29] == NULL)         {SpriteError("Bet Spot 29",        GetResString(IDS_MS_BS29_C1));}
  if (BetSpot[30] == NULL)         {SpriteError("Bet Spot 30",        GetResString(IDS_MS_BS30_C1));}
  if (BetSpot[31] == NULL)         {SpriteError("Bet Spot 31",        GetResString(IDS_MS_BS31_C1));}
  if (BetSpot[32] == NULL)         {SpriteError("Bet Spot 32",        GetResString(IDS_MS_BS32_C1));}
  if (BetSpot[33] == NULL)         {SpriteError("Bet Spot 33",        GetResString(IDS_MS_BS33_C1));}
  if (BetSpot[34] == NULL)         {SpriteError("Bet Spot 34",        GetResString(IDS_MS_BS34_C1));}
  if (BetSpot[35] == NULL)         {SpriteError("Bet Spot 35",        GetResString(IDS_MS_BS35_C1));}
  if (BetSpot[36] == NULL)         {SpriteError("Bet Spot 36",        GetResString(IDS_MS_BS36_C1));}
  if (BetSpot[37] == NULL)         {SpriteError("Bet Spot 37",        GetResString(IDS_MS_BS37_C1));}
  if (BetSpot[38] == NULL)         {SpriteError("Bet Spot 38",        GetResString(IDS_MS_BS38_C1));}
  if (BetSpot[39] == NULL)         {SpriteError("Bet Spot 39",        GetResString(IDS_MS_BS39_C1));}
  if (BetSpot[40] == NULL)         {SpriteError("Bet Spot 40",        GetResString(IDS_MS_BS40_C1));}
  if (BetSpot[41] == NULL)         {SpriteError("Bet Spot 41",        GetResString(IDS_MS_BS41_C1));}
  if (BetSpot[42] == NULL)         {SpriteError("Bet Spot 42",        GetResString(IDS_MS_BS42_C1));}

//  if (Circle  == NULL)            {SpriteError("Circle",                GetResString(IDS_MS_CIRCLE_C1));}
  if (Button0 == NULL)            {SpriteError("Button0",               GetResString(IDS_MS_B0_C1));}
  if (Button1 == NULL)            {SpriteError("Button1",               GetResString(IDS_MS_B1_C1));}
  if (Button2 == NULL)            {SpriteError("Button2",               GetResString(IDS_MS_B2_C1));}
  if (Button3 == NULL)            {SpriteError("Button3",               GetResString(IDS_MS_B3_C1));}
  if (Button4 == NULL)            {SpriteError("Button4",               GetResString(IDS_MS_B4_C1));}
  if (Button5 == NULL)            {SpriteError("Button5",               GetResString(IDS_MS_B5_C1));}
  if (Button6 == NULL)            {SpriteError("Button6",               GetResString(IDS_MS_B6_C1));}
  if (Button7 == NULL)            {SpriteError("Button7",               GetResString(IDS_MS_B7_C1));}
  if (Button8 == NULL)            {SpriteError("Button8",               GetResString(IDS_MS_B8_C1));}
  if (Button9 == NULL)            {SpriteError("Button9",               GetResString(IDS_MS_B9_C1));}
  if (Button10 == NULL)           {SpriteError("Button10",              GetResString(IDS_MS_B10_C1));}
  if (Button11 == NULL)           {SpriteError("Button11",              GetResString(IDS_MS_B11_C1));}
  if (Button12 == NULL)           {SpriteError("Button12",              GetResString(IDS_MS_B12_C1));}
  if (Button13 == NULL)           {SpriteError("Button13",              GetResString(IDS_MS_B13_C1));}
  if (Chips == NULL)              {SpriteError("Chip Stacks",           GetResString(IDS_MS_CHIPS_C1));}
  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",            GetResString(IDS_MS_NP1_C1));}
  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",            GetResString(IDS_MS_NP2_C1));}
  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",            GetResString(IDS_MS_NP3_C1));}
 // if (PayOffSp  == NULL)          {SpriteError("PayOffSp" ,             GetResString(IDS_MS_PAYOFF_C1));}
  if (BigDice1 == NULL)           {SpriteError("BigDice1",              GetResString(IDS_MS_BIGDICE1_C1));}
  if (BigDice2 == NULL)           {SpriteError("BigDice2",              GetResString(IDS_MS_BIGDICE2_C1));}
  if (BigDice3 == NULL)           {SpriteError("BigDice3",              GetResString(IDS_MS_BIGDICE3_C1));}
  if (BigDice4 == NULL)           {SpriteError("BigDice4",              GetResString(IDS_MS_BIGDICE4_C1));}
  if (BigDice5 == NULL)           {SpriteError("BigDice5",              GetResString(IDS_MS_BIGDICE5_C1));}
  if (BigDice6 == NULL)           {SpriteError("BigDice6",              GetResString(IDS_MS_BIGDICE6_C1));}
  if (MessageDisplay == NULL)     {SpriteError("MessageDisplay",        GetResString(IDS_MS_MESS_C1));}
  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",       GetResString(IDS_MS_BANKCASH_C1));}
  if (BetAmountDisplay == NULL)   {SpriteError("BetAmountDisplay",      GetResString(IDS_MS_UNITCASH_C1));}

  if (mpickupdicea == -1)         {SpriteError("pick1",                 GetResString(IDS_AS_MPICKUPDICEA_C1));}
  if (fpickupdicea == -1)         {SpriteError("pick2",                 GetResString(IDS_AS_FPICKUPDICEA_C1));}
  if (mpickupdiceb == -1)         {SpriteError("pick3",                 GetResString(IDS_AS_MPICKUPDICEB_C1));}
  if (fpickupdiceb == -1)         {SpriteError("pick4",                 GetResString(IDS_AS_FPICKUPDICEB_C1));}
  if (mpickupdicec == -1)         {SpriteError("pick5",                 GetResString(IDS_AS_MPICKUPDICEC_C1));}
  if (fpickupdicec == -1)         {SpriteError("pick6",                 GetResString(IDS_AS_FPICKUPDICEC_C1));}

  if (DiceA == NULL)              {SpriteError("DiceA",                 GetResString(IDS_MS_DICEA_C1));}
  if (DiceB == NULL)              {SpriteError("DiceB",                 GetResString(IDS_MS_DICEB_C1));}
  if (DiceC == NULL)              {SpriteError("DiceC",                 GetResString(IDS_MS_DICEC_C1));}
 // if (DiceD == NULL)              {SpriteError("DiceD",                 GetResString(IDS_MS_DICED_C1));}

  if (Puck == NULL)               {SpriteError("Puck",                  GetResString(IDS_MS_PUCK_C1));}
  if (BetPayOff == NULL)          {SpriteError("BetPayOff",             GetResString(IDS_MS_BETPAYOFF_C1));}

  DiceA->Start(GetFUC());
  DiceB->Start(GetFUC());
  DiceC->Start(GetFUC());
 // DiceD->Start(GetFUC());
  Puck->Start(GetFUC());
  BetPayOff->Start(GetFUC());
  BetSpot[0]->Start(GetFUC());
  BetSpot[1]->Start(GetFUC());
  BetSpot[2]->Start(GetFUC());
  BetSpot[3]->Start(GetFUC());
  BetSpot[4]->Start(GetFUC());
  BetSpot[5]->Start(GetFUC());
  BetSpot[6]->Start(GetFUC());
  BetSpot[7]->Start(GetFUC());
  BetSpot[8]->Start(GetFUC());
  BetSpot[9]->Start(GetFUC());
  BetSpot[10]->Start(GetFUC());
  BetSpot[11]->Start(GetFUC());
  BetSpot[12]->Start(GetFUC());
  BetSpot[13]->Start(GetFUC());
  BetSpot[14]->Start(GetFUC());
  BetSpot[15]->Start(GetFUC());
  BetSpot[16]->Start(GetFUC());
  BetSpot[17]->Start(GetFUC());
  BetSpot[18]->Start(GetFUC());
  BetSpot[19]->Start(GetFUC());
  BetSpot[20]->Start(GetFUC());
  BetSpot[21]->Start(GetFUC());
  BetSpot[22]->Start(GetFUC());
  BetSpot[23]->Start(GetFUC());
  BetSpot[24]->Start(GetFUC());
  BetSpot[25]->Start(GetFUC());
  BetSpot[26]->Start(GetFUC());
  BetSpot[27]->Start(GetFUC());
  BetSpot[28]->Start(GetFUC());
  BetSpot[29]->Start(GetFUC());
  BetSpot[30]->Start(GetFUC());
  BetSpot[31]->Start(GetFUC());
  BetSpot[32]->Start(GetFUC());
  BetSpot[33]->Start(GetFUC());
  BetSpot[34]->Start(GetFUC());
  BetSpot[35]->Start(GetFUC());
  BetSpot[36]->Start(GetFUC());
  BetSpot[37]->Start(GetFUC());
  BetSpot[38]->Start(GetFUC());
  BetSpot[39]->Start(GetFUC());
  BetSpot[40]->Start(GetFUC());
  BetSpot[41]->Start(GetFUC());
  BetSpot[42]->Start(GetFUC());

  Chips->Start(GetFUC());
//  PayOffSp->Start(GetFUC());
  BigDice1->Start(GetFUC());
  BigDice2->Start(GetFUC());
  BigDice3->Start(GetFUC());
  BigDice4->Start(GetFUC());
  BigDice5->Start(GetFUC());
  BigDice6->Start(GetFUC());
  //ActivateSpriteNow(NamePlate1);
//  ActivateSpriteNow(NamePlate2);
//  ActivateSpriteNow(NamePlate3);
//  ActivateSpriteNow(Circle);
  ActivateSpriteNow(Button0);
  ActivateSpriteNow(Button1);
  ActivateSpriteNow(Button2);
  if (!GetFW()->GetHandleShowMenu())
  {
	 Button2->PButton->CAD.SetCurrentFrame(1);
	 Button2->Show();
	 Button2->PButtonResponder->Remove();
  }

  ActivateSpriteNow(Button3);
  ActivateSpriteNow(Button4);
  ActivateSpriteNow(Button5);
  ActivateSpriteNow(Button6);
  ActivateSpriteNow(Button7);
  ActivateSpriteNow(Button8);
  ActivateSpriteNow(Button9);
  ActivateSpriteNow(Button10);
  ActivateSpriteNow(Button11);
  ActivateSpriteNow(Button12);
  ActivateSpriteNow(Button13);
  NamePlate1->Start(GetFUC());
  NamePlate2->Start(GetFUC());
  NamePlate3->Start(GetFUC());
  MessageDisplay->Start(GetFUC());
  BankCashDisplay->Start(GetFUC());
  BetAmountDisplay->Start(GetFUC());

/*  #ifdef DEBUGIDLES
  DealerPos = GetSpritePtr("e100sp07");
  Pos1 = GetSpritePtr("e100sp04");
  Pos2 = GetSpritePtr("e100sp05");
  Pos3 = GetSpritePtr("e100sp06");
  #endif
  */
}
//*******************************************************************
void TC1GameLord::CleanupSprites()
{
  //CoinsPlayed->NoShow();
}
//*******************************************************************
TC1GameLord::TC1GameLord(TCrapsModeWin *pcmodewin,const TFileMode &filemode)
  :TCasinoCGameLord(pcmodewin,filemode)
{
  randomize();
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

  TFileMode skcfm(SkitCatName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSkitCat(skcfm);

  SetupSprites();
  SetupSkits();
}
//*******************************************************************
TC1GameLord::~TC1GameLord()
{
}
//*******************************************************************