//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cc1glist.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/24/96    A.Krist     original baseline
//  2.0    09/18/97    M.Perry     32-bit conversion.
//********************************************************************
#include "cc1glist.h"
#include "cc1gld.h"
#include "ccplay.h"
#include "cascmw.h"
#include "casnames.rh"
#include "ccnames.rh"
//*******************************************************************
TC1GObjList::TC1GObjList(TCrapsModeWin *POwnerMW)
:TCGObjList(POwnerMW)
{
  PCModeWin = POwnerMW;
}
//*******************************************************************
TC1GObjList::~TC1GObjList()
{
}
//*******************************************************************
TGameObject *TC1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_C1))
  {
	 return (new TC1GameLord(PCModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_C1))
  {
	 return (new TCasinoCPlayer(PCModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_C1))
  {
	 return (new TCasinoCPlayer(PCModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_C1))
  {
	 return (new TCasinoCPlayer(PCModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************