//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cc1mw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/23/96    M.Perry    original baseline
//  2.0    09/18/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "cc1mw.h"
//#include "cc1glist.h"
#include "cc1gld.h"
#include "ccplay.h"
#include "casnames.rh"
#include "ccnames.rh"
//*******************************************************************
TC1ModeWin::TC1ModeWin(string modename,TPal *PPal,string title)
:TCrapsModeWin(modename,PPal,title)
{
}
//*******************************************************************
TC1ModeWin::~TC1ModeWin()
{
}
//*******************************************************************
//void TC1ModeWin::MakeGObjList()
//{
//  PGObjList = new TC1GObjList(this);
//}
//*******************************************************************
//void TC1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoCPlayer *)GetGObjPtr(TAppString(IDS_H1_C1));
//  GObj[1] = (TCasinoCPlayer *)GetGObjPtr(TAppString(IDS_H2_C1));
//  GObj[2] = (TCasinoCPlayer *)GetGObjPtr(TAppString(IDS_H3_C1));
//
//  pLord = (TCasinoCGameLord *)GetGObjPtr(TAppString(IDS_GL_C1));
//
//  if (pLord == NULL)   {GObjError("Craps Game Lord",TAppString(IDS_GL_C1));}
//  if (GObj[0] == NULL) {GObjError("Craps Human 1",TAppString(IDS_H1_C1));}
//  if (GObj[1] == NULL) {GObjError("Craps Human 2",TAppString(IDS_H2_C1));}
//  if (GObj[2] == NULL) {GObjError("Craps Human 3",TAppString(IDS_H3_C1));}
//}
//*******************************************************************
TGameObject *TC1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == GetResString(IDS_GL_C1))
  {
    pLord = new TC1GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_C1))
  {
    GObj[0] = new TCasinoCPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_C1))
  {
    GObj[1] = new TCasinoCPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_C1))
  {
    GObj[2] = new TCasinoCPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
	 return new TGameObject(this,fm);
  }
}
//*******************************************************************
