//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsfw2.cpp
//    Project Name:  Hundred Slots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     5/20/97    M.Perry     original baseline
//  2.0    09/09/97    M.Perry     32-bit conversion.
//********************************************************************
#include "hsgfw.h"
#include "hsapp.h"
#include "ogame.h"
#include "cgametyp.h"
#include "omodewin.h"
#include "hsmenu.rh"
#include "hsnames.rh"
#include "hsabt.rh"
#include "casmw.h"
#include "ofilemgr.h"

#include "rrollmw.h"
#include "zod1mw.h"
#include "zod2mw.h"
#include "zod3mw.h"
#include "poolmw.h"
#include "goldmw.h"
#include "treamw.h"
#include "thunmw.h"
#include "frutmw.h"
#include "ragsmw.h"
#include "winnmw.h"
#include "silvmw.h"
#include "texamw.h"
#include "haunmw.h"
#include "tycomw.h"
#include "cashmw.h"
#include "birtmw.h"
#include "soutmw.h"
#include "monkmw.h"
#include "aliemw.h"
#include "supemw.h"
#include "moonmw.h"
#include "lighmw.h"
#include "roadmw.h"
#include "hotrmw.h"
#include "swammw.h"
#include "quesmw.h"
#include "l1mw.h"
#include "hsintmw.h"
//*******************************************************************
THSMenuEnable::THSMenuEnable(bool setvalues)
:TCasinoMenuEnable(false)
{
  if (setvalues)
  {
    SetAll(true);
  }
  CurrentMode = -1;// IDS_M_LOBBY;
//  Lobby = false;
//  Denom = 0.0;
}
//*******************************************************************
THSMenuEnable::~THSMenuEnable()
{
}
//*******************************************************************
void THSMenuEnable::SetAll(bool value)
{
  TCasinoMenuEnable::SetAll(value);
}
//*******************************************************************
void THSMenuEnable::SetModes(bool value)
{
  TCasinoMenuEnable::SetModes(value);

  About = value;
  Contents = value;


//  Lobby = value;

  TreasuresAtlantis_5c = value;
  TreasuresAtlantis_25c = value;
  TreasuresAtlantis_1 = value;
//  TreasuresAtlantis_5 = value;
  TreasuresAtlantis_10 = value;
//  TreasuresAtlantis_25 = value;
  TreasuresAtlantis_50 = value;

//  ThunderAlley_5c = value;
//  ThunderAlley_10c = value;
  ThunderAlley_25c = value;
  ThunderAlley_1 = value;
  ThunderAlley_5 = value;

  RagsRiches_5c = value;
  RagsRiches_10c = value;
  RagsRiches_25c = value;
  RagsRiches_1 = value;

  WinnersCircle_5c = value;
  WinnersCircle_10c = value;
  WinnersCircle_25c = value;

//  TexasTwister_5c = value;
//  TexasTwister_10c = value;
  TexasTwister_25c = value;
  TexasTwister_1 = value;
  TexasTwister_5 = value;
  TexasTwister_10 = value;
  TexasTwister_25 = value;

  TreasureHaunt_5c = value;
  TreasureHaunt_10c = value;
  TreasureHaunt_25c = value;
  TreasureHaunt_50 = value;
//  TreasureHaunt_100 = value;

  CashQuest_5c = value;
//  CashQuest_10c = value;
  CashQuest_25c = value;
  CashQuest_1 = value;
  CashQuest_5 = value;
//  CashQuest_10 = value;
//  CashQuest_25 = value;
//  CashQuest_50 = value;
//  CashQuest_100 = value;

  BirthdayBash_5c = value;
//  BirthdayBash_10c = value;
  BirthdayBash_25c = value;
  BirthdayBash_1 = value;
//  BirthdayBash_5 = value;

  MonkeyMadness_5cp = value;
  MonkeyMadness_10cp = value;
  MonkeyMadness_25cp = value;

  ZodiacAttackI_10c = value;
  ZodiacAttackI_25c = value;
  ZodiacAttackI_1 = value;
//  ZodiacAttackI_5 = value;

  ZodiacAttackII_10c = value;
  ZodiacAttackII_25c = value;
  ZodiacAttackII_1 = value;
//  ZodiacAttackII_5 = value;

  ZodiacAttackIII_10c = value;
  ZodiacAttackIII_25c = value;
  ZodiacAttackIII_1 = value;
//  ZodiacAttackIII_5 = value;

  RockRoll_25c = value;
  RockRoll_1 = value;
  RockRoll_50 = value;
  RockRoll_100 = value;
//  RockRoll_500 = value;
  RockRoll_1000 = value;

//  SilverSafari_25c = value;
  SilverSafari_1 = value;
  SilverSafari_5 = value;
//  SilverSafari_10 = value;
//  SilverSafari_25 = value;
//  SilverSafari_50 = value;
  SilverSafari_100 = value;
//  SilverSafari_500 = value;
  SilverSafari_1000 = value;

  AlienInvasion_25cp = value;
  AlienInvasion_1p = value;

  FruitLoot_1 = value;
  FruitLoot_5 = value;
  FruitLoot_10 = value;

  TycoonsTrust_1 = value;
  TycoonsTrust_5 = value;
  TycoonsTrust_10 = value;
  TycoonsTrust_25 = value;

  SouthernCross_1 = value;
  SouthernCross_5 = value;
  SouthernCross_10 = value;
  SouthernCross_25 = value;
//  SouthernCross_50 = value;
//  SouthernCross_100 = value;

  PoolShark_5 = value;
  PoolShark_10 = value;
  PoolShark_25 = value;
  PoolShark_50 = value;
  PoolShark_500 = value;

  SuperJackpot_10p = value;
  SuperJackpot_100p = value;

  GoldRush_50 = value;
//  GoldRush_100 = value;
  GoldRush_500 = value;
  GoldRush_1000 = value;

  QuestGold_10c = value;
  QuestGold_25c = value;
  QuestGold_1 = value;
  QuestGold_25 = value;

  RoadRallyII_25c = value;
  RoadRallyII_1 = value;
  RoadRallyII_5 = value;
  RoadRallyII_100 = value;

  HotReels_25c = value;
  HotReels_1 = value;
  HotReels_5 = value;
  HotReels_10 = value;
  HotReels_100 = value;
  HotReels_1000 = value;

  SwampMusic_25c = value;
  SwampMusic_1 = value;
  SwampMusic_10 = value;

  LightningStrikes_25c = value;
  LightningStrikes_1 = value;
  LightningStrikes_5 = value;
  LightningStrikes_50 = value;
  LightningStrikes_100 = value;
  LightningStrikes_1000 = value;

  ShootMoon_25c = value;
  ShootMoon_1 = value;
  ShootMoon_10 = value;
}
//*******************************************************************
//*******************************************************************
THSGameFrameWindow::THSGameFrameWindow(THSApp *phsapp,const char *szTitle)
:TCasinoGameFrameWindow(phsapp,szTitle,true,false)
{
  idsIntro = IDS_M_INTRO;
  SetupModeNameStrings();
//  FadeIn = false;
  GetIniShowIntro();
  DoStyle();
  DoIcon();
  DoMenu();
  if (ShowIntro)
  {
    StartupModeIndex = GetGame()->GetModeIndex(strIntro);
    // MRP - 06/27/99 - v2.3
//    SetFadeIn(true); // mrp - v2.4 - 09/03/99 - don't need it.
  }
  else
  {
    StartupModeIndex = GetGame()->GetModeIndex(strLobby);
  }
}
//*******************************************************************
THSGameFrameWindow::~THSGameFrameWindow()
{
}
//*******************************************************************
void THSGameFrameWindow::SetupModeNameStrings()
{
//  strIntro             = string("v1intro.m");
  strIntro             = TAppString(IDS_M_INTRO);
  strLobby             = TAppString(IDS_M_LOBBY);
  strTreasuresAtlantis = TAppString(IDS_M_TREASURESATLANTIS);
  strThunderAlley      = TAppString(IDS_M_THUNDERALLEY);
  strRagsRiches        = TAppString(IDS_M_RAGSRICHES);
  strWinnersCircle     = TAppString(IDS_M_WINNERSCIRCLE);
  strTexasTwister      = TAppString(IDS_M_TEXASTWISTER);
  strTreasureHaunt     = TAppString(IDS_M_TREASUREHAUNT);
  strCashQuest         = TAppString(IDS_M_CASHQUEST);
  strBirthdayBash      = TAppString(IDS_M_BIRTHDAYBASH);
  strMonkeyMadness     = TAppString(IDS_M_MONKEYMADNESS);
  strZodiacAttackI     = TAppString(IDS_M_ZODIACATTACKI);
  strZodiacAttackII    = TAppString(IDS_M_ZODIACATTACKII);
  strZodiacAttackIII   = TAppString(IDS_M_ZODIACATTACKIII);
  strRockRoll          = TAppString(IDS_M_ROCKROLL);
  strSilverSafari      = TAppString(IDS_M_SILVERSAFARI);
  strAlienInvasion     = TAppString(IDS_M_ALIENINVASION);
  strFruitLoot         = TAppString(IDS_M_FRUITLOOT);
  strTycoonsTrust      = TAppString(IDS_M_TYCOONSTRUST);
  strSouthernCross     = TAppString(IDS_M_SOUTHERNCROSS);
  strPoolShark         = TAppString(IDS_M_POOLSHARK);
  strSuperJackpot      = TAppString(IDS_M_SUPERJACKPOT);
  strGoldRush          = TAppString(IDS_M_GOLDRUSH);
  strShootMoon         = TAppString(IDS_M_SHOOTMOON);
  strQuestGold         = TAppString(IDS_M_QUESTGOLD);
  strHotReels          = TAppString(IDS_M_HOTREELS);
  strLightningStrike   = TAppString(IDS_M_LIGHTNINGSTRIKE);
  strRoadRally         = TAppString(IDS_M_ROADRALLY);
  strSwampMusic        = TAppString(IDS_M_SWAMPMUSIC);
}
//*******************************************************************
void THSGameFrameWindow::NotifyDenomSwitch(TMoney denom)
{
  ModeDenom = denom;
  GetHSMenuEnable()->Denom = denom;
  GetHSMenuEnable()->SetModes(true);

//  int sid = SID_MONEY_0;
  int16 did = denom.GetDenomID();

//  if (denom == 0.05) {sid = SID_MONEY_5C;}
//  else if (denom == 0.10) {sid = SID_MONEY_10C;}
//  else if (denom == 0.25) {sid = SID_MONEY_25C;}
//  else if (denom == 1.0) {sid = SID_MONEY_1;}
//  else if (denom == 5.0) {sid = SID_MONEY_5;}
//  else if (denom == 10.0) {sid = SID_MONEY_10;}
//  else if (denom == 25.0) {sid = SID_MONEY_25;}
//  else if (denom == 50.0) {sid = SID_MONEY_50;}
//  else if (denom == 100.0) {sid = SID_MONEY_100;}
//  else if (denom == 500.0) {sid = SID_MONEY_500;}
//  else if (denom == 1000.0) {sid = SID_MONEY_1000;}

  switch (GetHSMenuEnable()->GetCurrentMode())
  {
    case IDS_M_TREASURESATLANTIS :
      switch (did)
      {
        case TMoney::did_0_05  : GetHSMenuEnable()->TreasuresAtlantis_5c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->TreasuresAtlantis_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->TreasuresAtlantis_1 = false;break;
        case TMoney::did_10_00  : GetHSMenuEnable()->TreasuresAtlantis_10 = false;break;
        case TMoney::did_50_00  : GetHSMenuEnable()->TreasuresAtlantis_50 = false;break;
      }
      break;
    case IDS_M_THUNDERALLEY :
      switch (did)
      {
        case TMoney::did_0_25: GetHSMenuEnable()->ThunderAlley_25c = false;break;
        case TMoney::did_1_00  : GetHSMenuEnable()->ThunderAlley_1 = false;break;
        case TMoney::did_5_00  : GetHSMenuEnable()->ThunderAlley_5 = false;break;
      }
      break;
    case IDS_M_RAGSRICHES :
      switch (did)
      {
        case TMoney::did_0_05  : GetHSMenuEnable()->RagsRiches_5c = false;break;
        case TMoney::did_0_10 : GetHSMenuEnable()->RagsRiches_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->RagsRiches_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->RagsRiches_1 = false;break;
      }
      break;
    case IDS_M_WINNERSCIRCLE :
      switch (did)
      {
        case TMoney::did_0_05  : GetHSMenuEnable()->WinnersCircle_5c = false;break;
        case TMoney::did_0_10 : GetHSMenuEnable()->WinnersCircle_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->WinnersCircle_25c = false;break;
      }
      break;
    case IDS_M_TEXASTWISTER :
      switch (did)
      {
        case TMoney::did_0_25 : GetHSMenuEnable()->TexasTwister_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->TexasTwister_1 = false;break;
        case TMoney::did_5_00   : GetHSMenuEnable()->TexasTwister_5 = false;break;
        case TMoney::did_10_00  : GetHSMenuEnable()->TexasTwister_10 = false;break;
        case TMoney::did_25_00  : GetHSMenuEnable()->TexasTwister_25 = false;break;
      }
      break;
    case IDS_M_TREASUREHAUNT :
      switch (did)
      {
        case TMoney::did_0_05  : GetHSMenuEnable()->TreasureHaunt_5c = false;break;
        case TMoney::did_0_10 : GetHSMenuEnable()->TreasureHaunt_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->TreasureHaunt_25c = false;break;
        case TMoney::did_50_00  : GetHSMenuEnable()->TreasureHaunt_50 = false;break;
      }
      break;
    case IDS_M_CASHQUEST :
      switch (did)
      {
        case TMoney::did_0_05 : GetHSMenuEnable()->CashQuest_5c = false;break;
        case TMoney::did_0_25: GetHSMenuEnable()->CashQuest_25c = false;break;
        case TMoney::did_1_00  : GetHSMenuEnable()->CashQuest_1 = false;break;
        case TMoney::did_5_00  : GetHSMenuEnable()->CashQuest_5 = false;break;
      }
      break;
    case IDS_M_BIRTHDAYBASH :
      switch (did)
      {
        case TMoney::did_0_05  : GetHSMenuEnable()->BirthdayBash_5c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->BirthdayBash_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->BirthdayBash_1 = false;break;
      }
      break;
    case IDS_M_MONKEYMADNESS :
      switch (did)
      {
        case TMoney::did_0_05  : GetHSMenuEnable()->MonkeyMadness_5cp = false;break;
        case TMoney::did_0_10 : GetHSMenuEnable()->MonkeyMadness_10cp = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->MonkeyMadness_25cp = false;break;
      }
      break;
    case IDS_M_ZODIACATTACKI :
      switch (did)
      {
        case TMoney::did_0_10 : GetHSMenuEnable()->ZodiacAttackI_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->ZodiacAttackI_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->ZodiacAttackI_1 = false;break;
      }
      break;
    case IDS_M_ZODIACATTACKII :
      switch (did)
      {
        case TMoney::did_0_10 : GetHSMenuEnable()->ZodiacAttackII_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->ZodiacAttackII_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->ZodiacAttackII_1 = false;break;
      }
      break;
    case IDS_M_ZODIACATTACKIII :
      switch (did)
      {
        case TMoney::did_0_10 : GetHSMenuEnable()->ZodiacAttackIII_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->ZodiacAttackIII_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->ZodiacAttackIII_1 = false;break;
      }
      break;
    case IDS_M_ROCKROLL :
      switch (did)
      {
        case TMoney::did_0_25  : GetHSMenuEnable()->RockRoll_25c = false;break;
        case TMoney::did_1_00    : GetHSMenuEnable()->RockRoll_1 = false;break;
        case TMoney::did_50_00   : GetHSMenuEnable()->RockRoll_50 = false;break;
        case TMoney::did_100_00  : GetHSMenuEnable()->RockRoll_100 = false;break;
        case TMoney::did_1000_00 : GetHSMenuEnable()->RockRoll_1000 = false;break;
      }
      break;
    case IDS_M_SILVERSAFARI :
      switch (did)
      {
        case TMoney::did_1_00    : GetHSMenuEnable()->SilverSafari_1 = false;break;
        case TMoney::did_5_00    : GetHSMenuEnable()->SilverSafari_5 = false;break;
        case TMoney::did_100_00  : GetHSMenuEnable()->SilverSafari_100 = false;break;
        case TMoney::did_1000_00 : GetHSMenuEnable()->SilverSafari_1000 = false;break;
      }
      break;
    case IDS_M_ALIENINVASION :
      switch (did)
      {
        case TMoney::did_0_25 : GetHSMenuEnable()->AlienInvasion_25cp = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->AlienInvasion_1p = false;break;
      }
      break;
    case IDS_M_FRUITLOOT :
      switch (did)
      {
        case TMoney::did_1_00  : GetHSMenuEnable()->FruitLoot_1 = false;break;
        case TMoney::did_5_00  : GetHSMenuEnable()->FruitLoot_5 = false;break;
        case TMoney::did_10_00 : GetHSMenuEnable()->FruitLoot_10 = false;break;
      }
      break;
    case IDS_M_TYCOONSTRUST :
      switch (did)
      {
        case TMoney::did_1_00  : GetHSMenuEnable()->TycoonsTrust_1 = false;break;
        case TMoney::did_5_00  : GetHSMenuEnable()->TycoonsTrust_5 = false;break;
        case TMoney::did_10_00 : GetHSMenuEnable()->TycoonsTrust_10 = false;break;
        case TMoney::did_25_00 : GetHSMenuEnable()->TycoonsTrust_25 = false;break;
      }
      break;
    case IDS_M_SOUTHERNCROSS :
      switch (did)
      {
        case TMoney::did_1_00  : GetHSMenuEnable()->SouthernCross_1 = false;break;
        case TMoney::did_5_00  : GetHSMenuEnable()->SouthernCross_5 = false;break;
        case TMoney::did_10_00 : GetHSMenuEnable()->SouthernCross_10 = false;break;
        case TMoney::did_25_00 : GetHSMenuEnable()->SouthernCross_25 = false;break;
      }
      break;
    case IDS_M_POOLSHARK :
      switch (did)
      {
        case TMoney::did_5_00   : GetHSMenuEnable()->PoolShark_5 = false;break;
        case TMoney::did_10_00  : GetHSMenuEnable()->PoolShark_10 = false;break;
        case TMoney::did_25_00  : GetHSMenuEnable()->PoolShark_25 = false;break;
        case TMoney::did_50_00  : GetHSMenuEnable()->PoolShark_50 = false;break;
        case TMoney::did_500_00 : GetHSMenuEnable()->PoolShark_500 = false;break;
      }
      break;
    case IDS_M_SUPERJACKPOT :
      switch (did)
      {
        case TMoney::did_10_00  : GetHSMenuEnable()->SuperJackpot_10p = false;break;
        case TMoney::did_100_00 : GetHSMenuEnable()->SuperJackpot_100p = false;break;
      }
      break;
    case IDS_M_GOLDRUSH :
      switch (did)
      {
        case TMoney::did_50_00   : GetHSMenuEnable()->GoldRush_50 = false;break;
        case TMoney::did_500_00  : GetHSMenuEnable()->GoldRush_500 = false;break;
        case TMoney::did_1000_00 : GetHSMenuEnable()->GoldRush_1000 = false;break;
      }
      break;
    case IDS_M_SHOOTMOON :
      switch (did)
      {
        case TMoney::did_0_25 : GetHSMenuEnable()->ShootMoon_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->ShootMoon_1 = false;break;
        case TMoney::did_10_00  : GetHSMenuEnable()->ShootMoon_10 = false;break;
      }
      break;
    case IDS_M_HOTREELS :
      switch (did)
      {
        case TMoney::did_0_25  : GetHSMenuEnable()->HotReels_25c = false;break;
        case TMoney::did_1_00    : GetHSMenuEnable()->HotReels_1 = false;break;
        case TMoney::did_5_00    : GetHSMenuEnable()->HotReels_5 = false;break;
        case TMoney::did_10_00   : GetHSMenuEnable()->HotReels_10 = false;break;
        case TMoney::did_100_00  : GetHSMenuEnable()->HotReels_100 = false;break;
        case TMoney::did_1000_00 : GetHSMenuEnable()->HotReels_1000 = false;break;
      }
      break;
    case IDS_M_LIGHTNINGSTRIKE :
      switch (did)
      {
        case TMoney::did_0_25  : GetHSMenuEnable()->LightningStrikes_25c = false;break;
        case TMoney::did_1_00    : GetHSMenuEnable()->LightningStrikes_1 = false;break;
        case TMoney::did_5_00    : GetHSMenuEnable()->LightningStrikes_5 = false;break;
        case TMoney::did_50_00   : GetHSMenuEnable()->LightningStrikes_50 = false;break;
        case TMoney::did_100_00  : GetHSMenuEnable()->LightningStrikes_100 = false;break;
        case TMoney::did_1000_00 : GetHSMenuEnable()->LightningStrikes_1000 = false;break;
      }
      break;
    case IDS_M_ROADRALLY :
      switch (did)
      {
        case TMoney::did_0_25 : GetHSMenuEnable()->RoadRallyII_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->RoadRallyII_1 = false;break;
        case TMoney::did_5_00   : GetHSMenuEnable()->RoadRallyII_5 = false;break;
        case TMoney::did_100_00 : GetHSMenuEnable()->RoadRallyII_100 = false;break;
      }
      break;
    case IDS_M_SWAMPMUSIC :
      switch (did)
      {
        case TMoney::did_0_25 : GetHSMenuEnable()->SwampMusic_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->SwampMusic_1 = false;break;
        case TMoney::did_10_00  : GetHSMenuEnable()->SwampMusic_10 = false;break;
      }
      break;
    case IDS_M_QUESTGOLD :
      switch (did)
      {
        case TMoney::did_0_10 : GetHSMenuEnable()->QuestGold_10c = false;break;
        case TMoney::did_0_25 : GetHSMenuEnable()->QuestGold_25c = false;break;
        case TMoney::did_1_00   : GetHSMenuEnable()->QuestGold_1 = false;break;
        case TMoney::did_25_00  : GetHSMenuEnable()->QuestGold_25 = false;break;
      }
      break;
    default:break;
  }
}
//*******************************************************************
void THSGameFrameWindow::CreateMenuEnable()
{
  PMenuEnable = new THSMenuEnable(true);
}
//*******************************************************************
int THSGameFrameWindow::GetMenuID()
{
  return IDM_HUNSLOTS_DEF;
}
//*******************************************************************
void THSGameFrameWindow::DoMenu()
{
  AssignMenu(IDM_HUNSLOTS_DEF);
}
//*******************************************************************
int THSGameFrameWindow::GetAboutID()
{
  return IDB_HSLOTS_ABOUT;
}
//*******************************************************************
void THSGameFrameWindow::SwitchGameModes(int16 modeindex)
{
  if (!IsValidModeIndex(modeindex))
  {
	 MessageBox("Internal error, no switch attempted","Switch Mode",MB_OK);
  }
  else
  {
	 if (!SwitchModes(modeindex))
	 {
		MessageBox("Internal error, switching to startup mode","Switch Mode",MB_OK);
		SwitchModes(GetModeIndex(strLobby));//TAppString(IDS_M_LOBBY)));
	 }
  }
}
//*******************************************************************
#pragma argsused
void THSGameFrameWindow::SwitchModesID(word id,word did)
{
  MessageBox("absolete function","Error",MB_OK);
}
//*******************************************************************
bool THSGameFrameWindow::SwitchModeDenom(int16 modeid,TMoney money)
{
  if (GetHSMenuEnable()->GetCurrentMode() != modeid) {return false;}
  if (money == GetHSMenuEnable()->Denom) {return true;}
  if (PModeWin != NULL && PModeWin->SwitchDenom(money))
  {
    GetHSMenuEnable()->Denom = money;
    ModeDenom = money;
    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchTreasuresAtlantis(TMoney money)
{
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->TreasuresAtlantis_5c)
  {
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasuresAtlantis_5c = false;
    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
    {
      return true;
    }
    found = true;
  }
  if (money == 0.25 && GetHSMenuEnable()->TreasuresAtlantis_25c)
  {
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasuresAtlantis_25c = false;
    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
    {
      return true;
    }
    found = true;
  }
  if (money == 1.00 && GetHSMenuEnable()->TreasuresAtlantis_1)
  {
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasuresAtlantis_1 = false;
    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
    {
      return true;
    }
    found = true;
  }
//  if (money == 5.00 && GetHSMenuEnable()->TreasuresAtlantis_5)
//  {
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->TreasuresAtlantis_5 = false;
//    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
//    {
//      return true;
//    }
//    found = true;
//  }
  if (money == 10.00 && GetHSMenuEnable()->TreasuresAtlantis_10)
  {
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasuresAtlantis_10 = false;
    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
    {
      return true;
    }
    found = true;
  }
//  if (money == 25.00 && GetHSMenuEnable()->TreasuresAtlantis_25)
//  {
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->TreasuresAtlantis_25 = false;
//    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
//    {
//      return true;
//    }
//    found = true;
//  }
  if (money == 50.00 && GetHSMenuEnable()->TreasuresAtlantis_50)
  {
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasuresAtlantis_50 = false;
    if (SwitchModeDenom(IDS_M_TREASURESATLANTIS,money))
    {
      return true;
    }
    found = true;
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;

    SwitchGameModes(strTreasuresAtlantis);//TAppString(IDS_M_TREASURESATLANTIS));

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchThunderAlley(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_THUNDERALLEY,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
//  if (money == 0.05 && GetHSMenuEnable()->ThunderAlley_5c)
//  {
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->ThunderAlley_5c = false;
//    if (SwitchModeDenom(IDS_M_THUNDERALLEY,money))
//    {
//      return true;
//    }
//    found = true;
//  }
//  if (money == 0.10 && GetHSMenuEnable()->ThunderAlley_10c)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->ThunderAlley_10c = false;
//    if (SwitchModeDenom(IDS_M_THUNDERALLEY,money))
//    {
//      return true;
//    }
//  }
  if (money == 0.25 && GetHSMenuEnable()->ThunderAlley_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ThunderAlley_25c = false;
    if (SwitchModeDenom(IDS_M_THUNDERALLEY,money))
    {
      return true;
    }
  }
  if (money == 1.00 && GetHSMenuEnable()->ThunderAlley_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ThunderAlley_1 = false;
    if (SwitchModeDenom(IDS_M_THUNDERALLEY,money))
    {
      return true;
    }
  }
  if (money == 5.00 && GetHSMenuEnable()->ThunderAlley_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ThunderAlley_5 = false;
    if (SwitchModeDenom(IDS_M_THUNDERALLEY,money))
    {
      return true;
    }
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strThunderAlley);//TAppString(IDS_M_THUNDERALLEY));

//    if (money == 0.05) {GetHSMenuEnable()->ThunderAlley_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->ThunderAlley_10c = false;}
//    else if (money == 0.25) {GetHSMenuEnable()->ThunderAlley_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->ThunderAlley_1 = false;}
//    else {GetHSMenuEnable()->ThunderAlley_5 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchRagsRiches(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_RAGSRICHES,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->RagsRiches_5c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RagsRiches_5c = false;
    if (SwitchModeDenom(IDS_M_RAGSRICHES,money)) {return true;}
  }
  if (money == 0.10 && GetHSMenuEnable()->RagsRiches_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RagsRiches_10c = false;
    if (SwitchModeDenom(IDS_M_RAGSRICHES,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->RagsRiches_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RagsRiches_25c = false;
    if (SwitchModeDenom(IDS_M_RAGSRICHES,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->RagsRiches_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RagsRiches_1 = false;
    if (SwitchModeDenom(IDS_M_RAGSRICHES,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strRagsRiches);//TAppString(IDS_M_RAGSRICHES));

//    if (money == 0.05) {GetHSMenuEnable()->RagsRiches_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->RagsRiches_10c = false;}
//    else if (money == 0.25) {GetHSMenuEnable()->RagsRiches_25c = false;}
//    else {GetHSMenuEnable()->RagsRiches_1 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchWinnersCircle(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_WINNERSCIRCLE,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->WinnersCircle_5c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->WinnersCircle_5c = false;
    if (SwitchModeDenom(IDS_M_WINNERSCIRCLE,money)) {return true;}
  }
  if (money == 0.10 && GetHSMenuEnable()->WinnersCircle_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->WinnersCircle_10c = false;
    if (SwitchModeDenom(IDS_M_WINNERSCIRCLE,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->WinnersCircle_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->WinnersCircle_25c = false;
    if (SwitchModeDenom(IDS_M_WINNERSCIRCLE,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strWinnersCircle);//TAppString(IDS_M_WINNERSCIRCLE));

//    if (money == 0.05) {GetHSMenuEnable()->WinnersCircle_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->WinnersCircle_10c = false;}
//    else {GetHSMenuEnable()->WinnersCircle_25c = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchTexasTwister(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_TEXASTWISTER,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
//  if (money == 0.05 && GetHSMenuEnable()->TexasTwister_5c)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->TexasTwister_5c = false;
//    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
//  }
//  if (money == 0.10 && GetHSMenuEnable()->TexasTwister_10c)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->TexasTwister_10c = false;
//    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
//  }
  if (money == 0.25 && GetHSMenuEnable()->TexasTwister_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TexasTwister_25c = false;
    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->TexasTwister_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TexasTwister_1 = false;
    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
  }
  if (money == 5.00 && GetHSMenuEnable()->TexasTwister_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TexasTwister_5 = false;
    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
  }
  if (money == 10.00 && GetHSMenuEnable()->TexasTwister_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TexasTwister_10 = false;
    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
  }
  if (money == 25.00 && GetHSMenuEnable()->TexasTwister_25)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TexasTwister_25 = false;
    if (SwitchModeDenom(IDS_M_TEXASTWISTER,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strTexasTwister);//TAppString(IDS_M_TEXASTWISTER));

//    if (money == 0.05) {GetHSMenuEnable()->TexasTwister_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->TexasTwister_10c = false;}
//    else if (money == 0.25) {GetHSMenuEnable()->TexasTwister_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->TexasTwister_1 = false;}
//    else if (money == 5.00) {GetHSMenuEnable()->TexasTwister_5 = false;}
//    else if (money == 10.00) {GetHSMenuEnable()->TexasTwister_10 = false;}
//    else {GetHSMenuEnable()->TexasTwister_25 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchTreasureHaunt(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_TREASUREHAUNT,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->TreasureHaunt_5c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasureHaunt_5c = false;
    if (SwitchModeDenom(IDS_M_TREASUREHAUNT,money)) {return true;}
  }
  if (money == 0.10 && GetHSMenuEnable()->TreasureHaunt_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasureHaunt_10c = false;
    if (SwitchModeDenom(IDS_M_TREASUREHAUNT,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->TreasureHaunt_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasureHaunt_25c = false;
    if (SwitchModeDenom(IDS_M_TREASUREHAUNT,money)) {return true;}
  }
  if (money == 50.00 && GetHSMenuEnable()->TreasureHaunt_50)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TreasureHaunt_50 = false;
    if (SwitchModeDenom(IDS_M_TREASUREHAUNT,money)) {return true;}
  }
//  if (money == 100.00 && GetHSMenuEnable()->TreasureHaunt_100)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->TreasureHaunt_100 = false;
//    if (SwitchModeDenom(IDS_M_TREASUREHAUNT,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strTreasureHaunt);//TAppString(IDS_M_TREASUREHAUNT));

//    if (money == 0.05) {GetHSMenuEnable()->TreasureHaunt_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->TreasureHaunt_10c = false;}
//    else if (money == 0.25) {GetHSMenuEnable()->TreasureHaunt_25c = false;}
//    else if (money == 50.00) {GetHSMenuEnable()->TreasureHaunt_50 = false;}
//    else {GetHSMenuEnable()->TreasureHaunt_100 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchCashQuest(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_CASHQUEST,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->CashQuest_5c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->CashQuest_5c = false;
    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
  }
//  if (money == 0.10 && GetHSMenuEnable()->CashQuest_10c)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->CashQuest_10c = false;
//    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
//  }
  if (money == 0.25 && GetHSMenuEnable()->CashQuest_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->CashQuest_25c = false;
    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->CashQuest_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->CashQuest_1 = false;
    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
  }
  if (money == 5.00 && GetHSMenuEnable()->CashQuest_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->CashQuest_5 = false;
    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
  }
//  if (money == 10.00 && GetHSMenuEnable()->CashQuest_10)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->CashQuest_10 = false;
//    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
//  }
//  if (money == 25.00 && GetHSMenuEnable()->CashQuest_25)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->CashQuest_25 = false;
//    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
//  }
//  if (money == 50.00 && GetHSMenuEnable()->CashQuest_50)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->CashQuest_50 = false;
//    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
//  }
//  if (money == 100.00 && GetHSMenuEnable()->CashQuest_100)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->CashQuest_100 = false;
//    if (SwitchModeDenom(IDS_M_CASHQUEST,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strCashQuest);//TAppString(IDS_M_CASHQUEST));

//    if (money == 0.05) {GetHSMenuEnable()->CashQuest_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->CashQuest_10c = false;}
//    else if (money == 0.25) {GetHSMenuEnable()->CashQuest_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->CashQuest_1 = false;}
//    else if (money == 5.00) {GetHSMenuEnable()->CashQuest_5 = false;}
//    else if (money == 10.00) {GetHSMenuEnable()->CashQuest_10 = false;}
//    else if (money == 25.00) {GetHSMenuEnable()->CashQuest_25 = false;}
//    else if (money == 50.00) {GetHSMenuEnable()->CashQuest_50 = false;}
//    else {GetHSMenuEnable()->CashQuest_100 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchBirthdayBash(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_BIRTHDAYBASH,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->BirthdayBash_5c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->BirthdayBash_5c = false;
    if (SwitchModeDenom(IDS_M_BIRTHDAYBASH,money)) {return true;}
  }
//  if (money == 0.10 && GetHSMenuEnable()->BirthdayBash_10c)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->BirthdayBash_10c = false;
//    if (SwitchModeDenom(IDS_M_BIRTHDAYBASH,money)) {return true;}
//  }
  if (money == 0.25 && GetHSMenuEnable()->BirthdayBash_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->BirthdayBash_25c = false;
    if (SwitchModeDenom(IDS_M_BIRTHDAYBASH,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->BirthdayBash_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->BirthdayBash_1 = false;
    if (SwitchModeDenom(IDS_M_BIRTHDAYBASH,money)) {return true;}
  }
//  if (money == 5.00 && GetHSMenuEnable()->BirthdayBash_5)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->BirthdayBash_5 = false;
//    if (SwitchModeDenom(IDS_M_BIRTHDAYBASH,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strBirthdayBash);//TAppString(IDS_M_BIRTHDAYBASH));

//    if (money == 0.05) {GetHSMenuEnable()->BirthdayBash_5c = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->BirthdayBash_10c = false;}
//    else if (money == 0.25) {GetHSMenuEnable()->BirthdayBash_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->BirthdayBash_1 = false;}
//    else {GetHSMenuEnable()->BirthdayBash_5 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchMonkeyMadness(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_MONKEYMADNESS,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.05 && GetHSMenuEnable()->MonkeyMadness_5cp)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->MonkeyMadness_5cp = false;
    if (SwitchModeDenom(IDS_M_MONKEYMADNESS,money)) {return true;}
  }
  if (money == 0.10 && GetHSMenuEnable()->MonkeyMadness_10cp)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->MonkeyMadness_10cp = false;
    if (SwitchModeDenom(IDS_M_MONKEYMADNESS,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->MonkeyMadness_25cp)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->MonkeyMadness_25cp = false;
    if (SwitchModeDenom(IDS_M_MONKEYMADNESS,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strMonkeyMadness);//TAppString(IDS_M_MONKEYMADNESS));

//    if (money == 0.05) {GetHSMenuEnable()->MonkeyMadness_5cp = false;}
//    else if (money == 0.10) {GetHSMenuEnable()->MonkeyMadness_10cp = false;}
//    else {GetHSMenuEnable()->MonkeyMadness_25cp = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchZodiacAttackI(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_ZODIACATTACKI,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.10 && GetHSMenuEnable()->ZodiacAttackI_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackI_10c = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKI,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->ZodiacAttackI_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackI_25c = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKI,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->ZodiacAttackI_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackI_1 = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKI,money)) {return true;}
  }
//  if (money == 5.00 && GetHSMenuEnable()->ZodiacAttackI_5)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->ZodiacAttackI_5 = false;
//    if (SwitchModeDenom(IDS_M_ZODIACATTACKI,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strZodiacAttackI);//TAppString(IDS_M_ZODIACATTACKI));

//    if (money == 0.10) {GetHSMenuEnable()->ZodiacAttackI_10c = false;}
//    else if(money == 0.25) {GetHSMenuEnable()->ZodiacAttackI_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->ZodiacAttackI_1 = false;}
//    else {GetHSMenuEnable()->ZodiacAttackI_5 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchZodiacAttackII(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_ZODIACATTACKII,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.10 && GetHSMenuEnable()->ZodiacAttackII_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackII_10c = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKII,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->ZodiacAttackII_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackII_25c = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKII,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->ZodiacAttackII_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackII_1 = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKII,money)) {return true;}
  }
//  if (money == 5.00 && GetHSMenuEnable()->ZodiacAttackII_5)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->ZodiacAttackII_5  = false;
//    if (SwitchModeDenom(IDS_M_ZODIACATTACKII,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strZodiacAttackII);//TAppString(IDS_M_ZODIACATTACKII));

//    if (money == 0.10) {GetHSMenuEnable()->ZodiacAttackII_10c = false;}
//    else if(money == 0.25) {GetHSMenuEnable()->ZodiacAttackII_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->ZodiacAttackII_1 = false;}
//    else {GetHSMenuEnable()->ZodiacAttackII_5 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchZodiacAttackIII(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_ZODIACATTACKIII,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.10 && GetHSMenuEnable()->ZodiacAttackIII_10c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackIII_10c = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKIII,money)) {return true;}
  }
  if (money == 0.25 && GetHSMenuEnable()->ZodiacAttackIII_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackIII_25c = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKIII,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->ZodiacAttackIII_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->ZodiacAttackIII_1 = false;
    if (SwitchModeDenom(IDS_M_ZODIACATTACKIII,money)) {return true;}
  }
//  if (money == 5.00 && GetHSMenuEnable()->ZodiacAttackIII_5)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->ZodiacAttackIII_5 = false;
//    if (SwitchModeDenom(IDS_M_ZODIACATTACKIII,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strZodiacAttackIII);//TAppString(IDS_M_ZODIACATTACKIII));

//    if (money == 0.10) {GetHSMenuEnable()->ZodiacAttackIII_10c = false;}
//    else if(money == 0.25) {GetHSMenuEnable()->ZodiacAttackIII_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->ZodiacAttackIII_1 = false;}
//    else {GetHSMenuEnable()->ZodiacAttackIII_5 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchRockRoll(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_ROCKROLL,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.25 && GetHSMenuEnable()->RockRoll_25c)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RockRoll_25c = false;
    if (SwitchModeDenom(IDS_M_ROCKROLL,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->RockRoll_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RockRoll_1 = false;
    if (SwitchModeDenom(IDS_M_ROCKROLL,money)) {return true;}
  }
  if (money == 50.00 && GetHSMenuEnable()->RockRoll_50)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RockRoll_50 = false;
    if (SwitchModeDenom(IDS_M_ROCKROLL,money)) {return true;}
  }
  if (money == 100.00 && GetHSMenuEnable()->RockRoll_100)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RockRoll_100 = false;
    if (SwitchModeDenom(IDS_M_ROCKROLL,money)) {return true;}
  }
//  if (money == 500.00 && GetHSMenuEnable()->RockRoll_500)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->RockRoll_500 = false;
//    if (SwitchModeDenom(IDS_M_ROCKROLL,money)) {return true;}
//  }
  if (money == 1000.00 && GetHSMenuEnable()->RockRoll_1000)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->RockRoll_1000 = false;
    if (SwitchModeDenom(IDS_M_ROCKROLL,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strRockRoll);//TAppString(IDS_M_ROCKROLL));

//    if (money == 0.25) {GetHSMenuEnable()->RockRoll_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->RockRoll_1 = false;}
//    else if (money == 50.00) {GetHSMenuEnable()->RockRoll_50 = false;}
//    else if (money == 100.00) {GetHSMenuEnable()->RockRoll_100 = false;}
//    else if (money == 500.00) {GetHSMenuEnable()->RockRoll_500 = false;}
//    else {GetHSMenuEnable()->RockRoll_1000 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchSilverSafari(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_SILVERSAFARI,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
//  if (money == 0.25 && GetHSMenuEnable()->SilverSafari_25c)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SilverSafari_25c = false;
//    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
//  }
  if (money == 1.00 && GetHSMenuEnable()->SilverSafari_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SilverSafari_1 = false;
    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
  }
  if (money == 5.00 && GetHSMenuEnable()->SilverSafari_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SilverSafari_5 = false;
    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
  }
//  if (money == 10.00 && GetHSMenuEnable()->SilverSafari_10)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SilverSafari_10 = false;
//    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
//  }
//  if (money == 25.00 && GetHSMenuEnable()->SilverSafari_25)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SilverSafari_25 = false;
//    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
//  }
//  if (money == 50.00 && GetHSMenuEnable()->SilverSafari_50)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SilverSafari_50 = false;
//    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
//  }
  if (money == 100.00 && GetHSMenuEnable()->SilverSafari_100)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SilverSafari_100 = false;
    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
  }
//  if (money == 500.00 && GetHSMenuEnable()->SilverSafari_500)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SilverSafari_500 = false;
//    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
//  }
  if (money == 1000.00 && GetHSMenuEnable()->SilverSafari_1000)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SilverSafari_1000 = false;
    if (SwitchModeDenom(IDS_M_SILVERSAFARI,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strSilverSafari);//TAppString(IDS_M_SILVERSAFARI));

//    if (money == 0.25) {GetHSMenuEnable()->SilverSafari_25c = false;}
//    else if (money == 1.00) {GetHSMenuEnable()->SilverSafari_1 = false;}
//    else if (money == 5.00) {GetHSMenuEnable()->SilverSafari_5 = false;}
//    else if (money == 10.00) {GetHSMenuEnable()->SilverSafari_10 = false;}
//    else if (money == 25.00) {GetHSMenuEnable()->SilverSafari_25 = false;}
//    else if (money == 50.00) {GetHSMenuEnable()->SilverSafari_50 = false;}
//    else if (money == 100.00) {GetHSMenuEnable()->SilverSafari_100 = false;}
//    else if (money == 500.00) {GetHSMenuEnable()->SilverSafari_500 = false;}
//    else {GetHSMenuEnable()->SilverSafari_1000 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchAlienInvasion(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_ALIENINVASION,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 0.25 && GetHSMenuEnable()->AlienInvasion_25cp)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->AlienInvasion_25cp = false;
    if (SwitchModeDenom(IDS_M_ALIENINVASION,money)) {return true;}
  }
  if (money == 1.00 && GetHSMenuEnable()->AlienInvasion_1p)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->AlienInvasion_1p = false;
    if (SwitchModeDenom(IDS_M_ALIENINVASION,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strAlienInvasion);//TAppString(IDS_M_ALIENINVASION));

//    if (money == 0.25) {GetHSMenuEnable()->AlienInvasion_25cp = false;}
//    else {GetHSMenuEnable()->AlienInvasion_1p = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchFruitLoot(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_FRUITLOOT,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 1.00 && GetHSMenuEnable()->FruitLoot_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->FruitLoot_1 = false;
    if (SwitchModeDenom(IDS_M_FRUITLOOT,money)) {return true;}
  }
  if (money == 5.00 && GetHSMenuEnable()->FruitLoot_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->FruitLoot_5 = false;
    if (SwitchModeDenom(IDS_M_FRUITLOOT,money)) {return true;}
  }
  if (money == 10.00 && GetHSMenuEnable()->FruitLoot_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->FruitLoot_10 = false;
    if (SwitchModeDenom(IDS_M_FRUITLOOT,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strFruitLoot);//TAppString(IDS_M_ALIENINVASION));

//    if (money == 1.00) {GetHSMenuEnable()->FruitLoot_1 = false;}
//    else if (money == 5.00) {GetHSMenuEnable()->FruitLoot_5 = false;}
//    else {GetHSMenuEnable()->FruitLoot_10 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchTycoonsTrust(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_TYCOONSTRUST,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 1.00 && GetHSMenuEnable()->TycoonsTrust_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TycoonsTrust_1 = false;
    if (SwitchModeDenom(IDS_M_TYCOONSTRUST,money)) {return true;}
  }
  if (money == 5.00 && GetHSMenuEnable()->TycoonsTrust_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TycoonsTrust_5 = false;
    if (SwitchModeDenom(IDS_M_TYCOONSTRUST,money)) {return true;}
  }
  if (money == 10.00 && GetHSMenuEnable()->TycoonsTrust_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TycoonsTrust_10 = false;
    if (SwitchModeDenom(IDS_M_TYCOONSTRUST,money)) {return true;}
  }
  if (money == 25.00 && GetHSMenuEnable()->TycoonsTrust_25)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->TycoonsTrust_25 = false;
    if (SwitchModeDenom(IDS_M_TYCOONSTRUST,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strTycoonsTrust);//TAppString(IDS_M_TYCOONSTRUST));

//    if (money == 1.00) {GetHSMenuEnable()->TycoonsTrust_1 = false;}
//    else if (money == 5.00) {GetHSMenuEnable()->TycoonsTrust_5 = false;}
//    else if (money == 10.00) {GetHSMenuEnable()->TycoonsTrust_10 = false;}
//    else {GetHSMenuEnable()->TycoonsTrust_25 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchSouthernCross(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 1.00 && GetHSMenuEnable()->SouthernCross_1)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SouthernCross_1 = false;
    if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money)) {return true;}
  }
  if (money == 5.00 && GetHSMenuEnable()->SouthernCross_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SouthernCross_5 = false;
    if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money)) {return true;}
  }
  if (money == 10.00 && GetHSMenuEnable()->SouthernCross_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SouthernCross_10 = false;
    if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money)) {return true;}
  }
  if (money == 25.00 && GetHSMenuEnable()->SouthernCross_25)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SouthernCross_25 = false;
    if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money)) {return true;}
  }
//  if (money == 50.00 && GetHSMenuEnable()->SouthernCross_50)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SouthernCross_50 = false;
//    if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money)) {return true;}
//  }
//  if (money == 100.00 && GetHSMenuEnable()->SouthernCross_100)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->SouthernCross_100 = false;
//    if (SwitchModeDenom(IDS_M_SOUTHERNCROSS,money)) {return true;}
//  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strSouthernCross);//TAppString(IDS_M_SOUTHERNCROSS));

//    if (money == 1.0) {GetHSMenuEnable()->SouthernCross_1 = false;}
//    else if (money == 5.00) {GetHSMenuEnable()->SouthernCross_5 = false;}
//    else if (money == 10.00) {GetHSMenuEnable()->SouthernCross_10 = false;}
//    else if (money == 25.00) {GetHSMenuEnable()->SouthernCross_25 = false;}
//    else if (money == 50.00) {GetHSMenuEnable()->SouthernCross_50 = false;}
//    else {GetHSMenuEnable()->SouthernCross_100 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchPoolShark(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_POOLSHARK,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 5.00 && GetHSMenuEnable()->PoolShark_5)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->PoolShark_5 = false;
    if (SwitchModeDenom(IDS_M_POOLSHARK,money)) {return true;}
  }
  if (money == 10.00 && GetHSMenuEnable()->PoolShark_10)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->PoolShark_10 = false;
    if (SwitchModeDenom(IDS_M_POOLSHARK,money)) {return true;}
  }
  if (money == 25.00 && GetHSMenuEnable()->PoolShark_25)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->PoolShark_25 = false;
    if (SwitchModeDenom(IDS_M_POOLSHARK,money)) {return true;}
  }
  if (money == 50.00 && GetHSMenuEnable()->PoolShark_50)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->PoolShark_50 = false;
    if (SwitchModeDenom(IDS_M_POOLSHARK,money)) {return true;}
  }
  if (money == 500.00 && GetHSMenuEnable()->PoolShark_500)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->PoolShark_500 = false;
    if (SwitchModeDenom(IDS_M_POOLSHARK,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strPoolShark);//TAppString(IDS_M_POOLSHARK));

//    if (money == 5.00) {GetHSMenuEnable()->PoolShark_5 = false;}
//    else if (money == 10.00) {GetHSMenuEnable()->PoolShark_10 = false;}
//    else if (money == 25.00) {GetHSMenuEnable()->PoolShark_25 = false;}
//    else if (money == 50.00) {GetHSMenuEnable()->PoolShark_50 = false;}
//    else {GetHSMenuEnable()->PoolShark_500 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchSuperJackpot(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_SUPERJACKPOT,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 10.00 && GetHSMenuEnable()->SuperJackpot_10p)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SuperJackpot_10p = false;
    if (SwitchModeDenom(IDS_M_SUPERJACKPOT,money)) {return true;}
  }
  if (money == 100.00 && GetHSMenuEnable()->SuperJackpot_100p)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->SuperJackpot_100p = false;
    if (SwitchModeDenom(IDS_M_SUPERJACKPOT,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strSuperJackpot);//TAppString(IDS_M_SUPERJACKPOT));

//    if (money == 10.00) {GetHSMenuEnable()->SuperJackpot_10p = false;}
//    else {GetHSMenuEnable()->SuperJackpot_100p = false;}

    return true;
  }
  return false;
}
//*******************************************************************
bool THSGameFrameWindow::SwitchGoldRush(TMoney money)
{
//  if (SwitchModeDenom(IDS_M_GOLDRUSH,money))
//  {
//    GetHSMenuEnable()->SetModes(true);
//    return true;
//  }
  bool found = false;
  if (money == 50.00 && GetHSMenuEnable()->GoldRush_50)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->GoldRush_50 = false;
    if (SwitchModeDenom(IDS_M_GOLDRUSH,money)) {return true;}
  }
//  if (money == 100.00 && GetHSMenuEnable()->GoldRush_100)
//  {
//    found = true;
//    GetHSMenuEnable()->SetModes(true);
//    GetHSMenuEnable()->GoldRush_100 = false;
//    if (SwitchModeDenom(IDS_M_GOLDRUSH,money)) {return true;}
//  }
  if (money == 500.00 && GetHSMenuEnable()->GoldRush_500)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->GoldRush_500 = false;
    if (SwitchModeDenom(IDS_M_GOLDRUSH,money)) {return true;}
  }
  if (money == 1000.00 && GetHSMenuEnable()->GoldRush_1000)
  {
    found = true;
    GetHSMenuEnable()->SetModes(true);
    GetHSMenuEnable()->GoldRush_1000 = false;
    if (SwitchModeDenom(IDS_M_GOLDRUSH,money)) {return true;}
  }
  if (found)
  {
    ModeDenom = money;
    GetHSMenuEnable()->Denom = money;
//    GetHSMenuEnable()->SetModes(true);
    SwitchGameModes(strGoldRush);//TAppString(IDS_M_GOLDRUSH));

//    if (money == 50.00) {GetHSMenuEnable()->GoldRush_50 = false;}
//    else if (money == 100.00) {GetHSMenuEnable()->GoldRush_100 = false;}
//    else if (money == 500.00) {GetHSMenuEnable()->GoldRush_500 = false;}
//    else {GetHSMenuEnable()->GoldRush_1000 = false;}

    return true;
  }
  return false;
}
//*******************************************************************
TWindow *THSGameFrameWindow::CreateModeWindow(int16 ModeIndex)
{
  if (!IsValidModeIndex(ModeIndex)) {return PModeWin;}

  string modename = GetModeName(ModeIndex);

  if (modename == strIntro)
  {
    PModeWin = new THSIntroModeWin(modename,GetOgleApp()->PMasterPalette,"Intro");
    GetHSMenuEnable()->SetCurrentMode(IDS_M_INTRO);
    return PModeWin;
  }

  if (modename == strLobby)
  {
    PModeWin = new THSLobby1ModeWin(modename,GetOgleApp()->PMasterPalette);
    GetHSMenuEnable()->SetCurrentMode(IDS_M_LOBBY);
    return PModeWin;
  }
  if (modename == strShootMoon)
  {
	 PModeWin = new TMoonModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_SHOOTMOON);
	 return PModeWin;
  }
  if (modename == strQuestGold)
  {
	 PModeWin = new TQuesModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_QUESTGOLD);
	 return PModeWin;
  }
  if (modename == strHotReels)
  {
	 PModeWin = new THotRModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_HOTREELS);
	 return PModeWin;
  }
  if (modename == strLightningStrike)
  {
	 PModeWin = new TLighModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_LIGHTNINGSTRIKE);
	 return PModeWin;
  }
  if (modename == strRoadRally)
  {
	 PModeWin = new TRoadModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_ROADRALLY);
	 return PModeWin;
  }
  if (modename == strSwampMusic)
  {
	 PModeWin = new TSwamModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_SWAMPMUSIC);
	 return PModeWin;
  }
  if (modename == strRockRoll)
  {
	 PModeWin = new TRockRollModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_ROCKROLL);
	 return PModeWin;
  }
  if (modename == strPoolShark)
  {
	 PModeWin = new TPoolModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_POOLSHARK);
	 return PModeWin;
  }
  if (modename == strGoldRush)
  {
	 PModeWin = new TGoldModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_GOLDRUSH);
	 return PModeWin;
  }
  if (modename == strTreasuresAtlantis)
  {
	 PModeWin = new TTreaModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_TREASURESATLANTIS);
	 return PModeWin;
  }
  if (modename == strThunderAlley)
  {
	 PModeWin = new TThunModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_THUNDERALLEY);
	 return PModeWin;
  }
  if (modename == strRagsRiches)
  {
	 PModeWin = new TRagsModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_RAGSRICHES);
	 return PModeWin;
  }
  if (modename == strWinnersCircle)
  {
	 PModeWin = new TWinnModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_WINNERSCIRCLE);
	 return PModeWin;
  }
  if (modename == strTexasTwister)
  {
	 PModeWin = new TTexaModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_TEXASTWISTER);
	 return PModeWin;
  }
  if (modename == strTreasureHaunt)
  {
	 PModeWin = new THaunModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_TREASUREHAUNT);
	 return PModeWin;
  }
  if (modename == strCashQuest)
  {
	 PModeWin = new TCashModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_CASHQUEST);
	 return PModeWin;
  }
  if (modename == strBirthdayBash)
  {
	 PModeWin = new TBirtModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_BIRTHDAYBASH);
	 return PModeWin;
  }
  if (modename == strMonkeyMadness)
  {
	 PModeWin = new TMonkModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_MONKEYMADNESS);
	 return PModeWin;
  }
  if (modename == strZodiacAttackI)
  {
	 PModeWin = new TZod1ModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_ZODIACATTACKI);
	 return PModeWin;
  }
  if (modename == strZodiacAttackII)
  {
	 PModeWin = new TZod2ModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_ZODIACATTACKII);
	 return PModeWin;
  }
  if (modename == strZodiacAttackIII)
  {
	 PModeWin = new TZod3ModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_ZODIACATTACKIII);
	 return PModeWin;
  }
  if (modename == strSilverSafari)
  {
	 PModeWin = new TSilvModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_SILVERSAFARI);
	 return PModeWin;
  }
  if (modename == strAlienInvasion)
  {
	 PModeWin = new TAlieModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_ALIENINVASION);
	 return PModeWin;
  }
  if (modename == strFruitLoot)
  {
	 PModeWin = new TFrutModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_FRUITLOOT);
	 return PModeWin;
  }
  if (modename == strTycoonsTrust)
  {
	 PModeWin = new TTycoModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_TYCOONSTRUST);
	 return PModeWin;
  }
  if (modename == strSouthernCross)
  {
	 PModeWin = new TSoutModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_SOUTHERNCROSS);
	 return PModeWin;
  }
  if (modename == strSuperJackpot)
  {
	 PModeWin = new TSupeModeWin(modename,GetOgleApp()->PMasterPalette,ModeDenom);
	 GetHSMenuEnable()->SetCurrentMode(IDS_M_SUPERJACKPOT);
	 return PModeWin;
  }
  ::MessageBox(NULL,"Default Mode Window Created","Create Mode Window",MB_OK);
//  GetFileMgr()->RegisterDet("o1lobby");
  PModeWin = new TCasinoModeWin(modename,GetOgleApp()->PMasterPalette,string("Default Casino ModeWin"));
  GetHSMenuEnable()->SetCurrentMode(-1);
  return PModeWin;
}
//*******************************************************************

