//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsintgl.cpp
//    Project Name:  HunSlots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     7/7/97     M.Perry     original baseline
//  2.0    09/09/97    M.Perry     32-bit conversion.
//********************************************************************
#include "hsintgl.h"
#include "hsintgld.h"
#include "hsintmw.h"
//*******************************************************************
THSIntroGObjList::THSIntroGObjList(THSIntroModeWin *pmodewin)
:TGObjList(pmodewin)
{
}
//*******************************************************************
THSIntroGObjList::~THSIntroGObjList()
{
}
//*******************************************************************
TGameObject *THSIntroGObjList::CreateGObj(TFileMode fm)
{
  if (fm.Name == "v1glrd00")
  {
    return new THSIntroGameLord((THSIntroModeWin *)PModeWin,fm);
  }
  else
  {
    return TGObjList::CreateGObj(fm);
  }
}
//*******************************************************************
