//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  hslrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/04/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "hslrdmst.h"
//*******************************************************************
THSLordMainState::THSLordMainState(TCasinoHSGameLord *pNewHSLord)
	: THSLordState(pNewHSLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
				  ess_StartSubState2,ess_Done);
}
//*******************************************************************
THSLordMainState::~THSLordMainState()
{
}
//*******************************************************************
void THSLordMainState::CreateSubState1()
{
  PActiveSubState = new TInitHSState(pOwnerLord);
  pOwnerLord->Button0->ShowGray();
}
//*******************************************************************
void THSLordMainState::CreateSubState2()
{
  PActiveSubState = new THSAct1State(pOwnerLord);
}
//*******************************************************************
void THSLordMainState::CreateSubState3()
{
  PActiveSubState = new THSAct2State(pOwnerLord);
}
//*******************************************************************
void THSLordMainState::CreateSubState4()
{
}
//*******************************************************************
