//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsmdsp.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/26/95    A.Krist      original baseline
//  2.0    09/04/97    M.Perry      32-bit conversion.
//********************************************************************
#include "hsmdsp.h"
#include "oanm.h"
#include "owav.h"
//*******************************************************************
THSMedalion::THSMedalion(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
THSMedalion::THSMedalion(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
THSMedalion::~THSMedalion()
{
}
//*******************************************************************
void THSMedalion::SetNum(int16 frame)
{
  if(PMedalion->CAD.GetCurrentFrame() < frame)
  {
	 PWave->Start();;
  }
  PMedalion->CAD.SetCurrentFrame(frame);
  PMedalion->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
void THSMedalion::SetupAnms()
{
	PMedalion = GetAnm(0);
	if (PMedalion == NULL) {AnmError("Medalion","Nums",0);}
	PMedalion->CAD.ClearAutoStart();
	PMedalion->CAD.ClearAutoStop();
	PMedalion->CAD.SetDirStill();
	PWave = NULL;
	PWave = GetWav(0);
	if (PWave == NULL) {AnmError("Sound Sprite","sound",0);}
}
//*******************************************************************
