//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  hsmsg.cpp
//    Project Name:  Hunslots
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.3     7/29/97    M.Perry    original baseline
//  2.0    09/09/97    M.Perry    32-bit conversion.
//********************************************************************
#include "hsmsg.h"
#include <owl\button.h>
#include <owl\static.h>

//*******************************************************************
DEFINE_RESPONSE_TABLE1(TBankruptMsgDlg,TOgleDialog)
 EV_COMMAND(IDC_BANKRUPT_MSG_DONE_PB,CmDone),
END_RESPONSE_TABLE;
//*******************************************************************
TBankruptMsgDlg::TBankruptMsgDlg(TWindow *parent,string text,string title,TResId dlgid)
:TOgleDialog(parent,dlgid,true),
 strText(text),
 strTitle(title)
{
  PDone_PB = new TButton(this,IDC_BANKRUPT_MSG_DONE_PB);
  PText_STB = new TStatic(this,IDC_BANKRUPT_MSG_TEXT_STB);
}
//*******************************************************************
TBankruptMsgDlg::~TBankruptMsgDlg()
{
  delete PDone_PB;
  delete PText_STB;
}
//*******************************************************************
void TBankruptMsgDlg::SetupWindow()
{
  TOgleDialog::SetupWindow();
  PText_STB->SetText(strText.c_str());
  if (strTitle != "") {SetCaption(strTitle.c_str());}
}
//*******************************************************************
void TBankruptMsgDlg::CmDone()
{
  TOgleDialog::CmOk();
}
//*******************************************************************