//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  poolmw.cpp
//    Project Name:  HunSlots
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "poolmw.h"

#include "hsnames.rh"
//#include "poolgl.h"
#include "poolgld.h"
#include "hsplay.h"
//*******************************************************************
TPoolModeWin::TPoolModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TPoolModeWin::~TPoolModeWin()
{
}
//*******************************************************************
//void TPoolModeWin::MakeGObjList()
//{
//  PGObjList = new TPoolGObjList(this);
//}
//*******************************************************************
string TPoolModeWin::GetDetName()
{
  return string("a2pool.det");
}
//*******************************************************************
//void TPoolModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("a2humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("a2glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a2glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a2humn01");}
//
//*******************************************************************
TGameObject *TPoolModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_POOL))
    {
      pLord = new TPoolGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_POOL))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************
