//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  rrollmw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "rrollmw.h"

#include "hsnames.rh"
//#include "csnames.rh"

//#include "rrollgl.h"
#include "rrollgld.h"
#include "hsplay.h"
//*******************************************************************
TRockRollModeWin::TRockRollModeWin(string modename,TPal *PPal,TMoney denom,string title)
:THunSlotsModeWin(modename,PPal,denom,title)
{
}
//*******************************************************************
TRockRollModeWin::~TRockRollModeWin()
{
}
//*******************************************************************
//void TRockRollModeWin::MakeGObjList()
//{
//  PGObjList = new TRockRollGObjList(this);
//}
//*******************************************************************
string TRockRollModeWin::GetDetName()
{
  return string("a1rock.det");
}
//*******************************************************************
//void TRockRollModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("a1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("a1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","a1glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","a1humn01");}
//}
//*******************************************************************
TGameObject *TRockRollModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_RROLL))
    {
      pLord = new TRockRollGameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_RROLL))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************
