//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  zod1mw.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     5/6/97    A.Krist    original baseline
//  2.0    09/05/97   M.Perry    32-bit conversion.
//  2.3    06/26/99   M.Perry    filename mod's
//********************************************************************
#include "zod1mw.h"

#include "hsnames.rh"
//#include "zod1gl.h"
#include "zod1gld.h"
#include "hsplay.h"
//*******************************************************************
TZod1ModeWin::TZod1ModeWin(string modename,TPal *PPal,TMoney Denom,string title)
:THunSlotsModeWin(modename,PPal,Denom,title)
{
}
//*******************************************************************
TZod1ModeWin::~TZod1ModeWin()
{
}
//*******************************************************************
//void TZod1ModeWin::MakeGObjList()
//{
//  PGObjList = new TZod1GObjList(this);
//}
//*******************************************************************
string TZod1ModeWin::GetDetName()
{
  return string("c1zod01.det");
}
//*******************************************************************
//void TZod1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoHSPlayer *)GetGObjPtr(string("c1humn01"));
//
//  pLord = (TCasinoHSGameLord *)GetGObjPtr(string("c1glrd00"));
//
//  if (pLord == NULL)   {GObjError("Slots Game Lord","glrd00");}
//  if (GObj[0] == NULL) {GObjError("Slots Human 1","humn01");}
//
//*******************************************************************
TGameObject *TZod1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (psource != NULL)
  {
    return NULL;
  }
  else
  {
    if (fm == GetResString(IDS_GL_ATTACK1))
    {
      pLord = new TZod1GameLord(this,fm);
      return pLord;
    }
    else if (fm == GetResString(IDS_H1_ATTACK1))
    {
      GObj[0] = new TCasinoHSPlayer(this,fm,0);
      return GObj[0];
    }
    else
    {
      return new TGameObject(this,fm);
    }
  }
}
//*******************************************************************