//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  waitstate.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/22/95   A. Krist    Original baseline
//*******************************************************************
#include "waitstate.h"
#include "gamelord.h"
#include <iostream.h>

//*******************************************************************

TWaitState::TWaitState(TKLord *pNewKLord)
	: TKLordState(pNewKLord)
{
  cout << "WaitState constructor" << endl;
  waiting = 1;
}
//*******************************************************************

TWaitState::~TWaitState()
{
  cout << "WaitState destructor" << endl;
}
//*******************************************************************
void TWaitState::RecommendSibling()
{
  //	Status = ss_DoneRecom3;
}
//*******************************************************************

void TWaitState::YHit()
{
  waiting = 0;
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TGLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TWaitState::XHit()
{
  //waiting = 1;
}
//*******************************************************************
void TWaitState::ExecuteFirstTime()
{
  int x=0;
  if(waiting)
  {
	 ExecuteWaiting  = TRUE;
  }
  else
  {
	 Status = ss_Done;
  }
  // Message handler
  cout << "History-> 81 ";
  cout << "For new ticket->82 ";
  cout << "Add ticket->83 ";
  cout << "Remove ticket->84 ";
  cout << "Forward->91 ";
  cout << "Backward()->92 ";

  if(pOwnerLord->newticket)
  {
	 cout << "1-81 for spots ";
	 cout << "86 to set number of plays ";
	 cout << "87 to set amount played ";
	 cout << "88 to set Game type  ";

  }
  cin >> x;
  switch(x) {
	 case  1 : pOwnerLord->ToggleSpot1();break;
	 case  2 : pOwnerLord->ToggleSpot2();break;
	 case  3 : pOwnerLord->ToggleSpot3();break;
	 case  4 : pOwnerLord->ToggleSpot4();break;
	 case 81 : cout << "Enter Game Number to view ";cin >> x;pOwnerLord->DisplayHistory(x);break;
	 case 82 : pOwnerLord->NewTicket();break;
	 case 83 : pOwnerLord->Add();break;
	 case 84 : pOwnerLord->Remove();break;
	 case 86 : pOwnerLord->SetPlays();break;
	 case 87 : pOwnerLord->SetPerTicket();break;
	 case 88 : pOwnerLord->SetSpotGame();break;
	 case 91 : pOwnerLord->Forward();break;
	 case 92 : pOwnerLord->Backward();break;
	 default : break;
  }
}