//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ck1gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/25/96    M.Perry    original baseline
//  2.0    09/17/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "ck1gld.h"
#include "casnames.rh"
#include "cknames.rh"
#include "ogamefw.h"

//#include "ck1glspl.h"
#include "oskitcat.h"
#include "orespond.h"
#include "oanm.h"
//*******************************************************************
/*TSpriteList *TK1GameLord::CreateSpriteList(TFileMode splfm)
{
  return (new TK1GLordSpriteList(PModeWin,splfm,this));
} */
//*******************************************************************
void TK1GameLord::SetupSkits()
{
}
//*******************************************************************
void TK1GameLord::SetupSprites()
{
//  int i=0;
  //Sounds = NULL;
  //Sounds      = (TKSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_K1));
  if (Sounds  == NULL) {SpriteError("Keno Sounds",GetResString(IDS_MS_SOUNDS_K1));}
  Sounds->Start(GetFUC());

 /*
  Sounds = NULL;
  BankCashDisplay    = NULL;
  NamePlate1         = NULL;
  NamePlate2         = NULL;
  NamePlate3         = NULL;
  Button0            = NULL;
  Button1            = NULL;
  Button2            = NULL;
  Button3            = NULL;
  Button4            = NULL;
  Button5            = NULL;
  Button6            = NULL;
  Button7            = NULL;
  Chips              = NULL;

  HistoryLeft        = NULL;
  HistoryRight       = NULL;
  TicketLeft         = NULL;
  TicketRight        = NULL;
  Plays              = NULL;
  MainDisplay        = NULL;
  Genie              = NULL;
  HistoryDisplay     = NULL;
  Checks             = NULL;
  PayOff             = NULL;
  Result             = NULL;
  HistoryNums        = NULL;
  Time              = NULL;
  GameNum            = NULL;
  GameType           = NULL;
  BetAmount          = NULL;
  ValidGames         = NULL; */

  trash              = GetSpriteIndex(GetResString(IDS_AS_TRASH_K1));

 /* HistoryLeft				 = (TKArrow *)         GetSpritePtr(GetResString(IDS_MS_HISTLEFT_K1));
  HistoryRight			    = (TKArrow *)         GetSpritePtr(GetResString(IDS_MS_HISTRIGHT_K1));
  TicketLeft				 = (TKArrow *)         GetSpritePtr(GetResString(IDS_MS_TICKLEFT_K1));
  TicketRight				 = (TKArrow *)         GetSpritePtr(GetResString(IDS_MS_TICKRIGHT_K1));
  MainDisplay  			 = (TKMainDisplay *)   GetSpritePtr(GetResString(IDS_MS_MAINDISPLAY_K1));
  Genie    			       = (TKGenie *)         GetSpritePtr(GetResString(IDS_MS_GENIE_K1));
  HistoryDisplay			 = (TKHistoryDisplay *)GetSpritePtr(GetResString(IDS_MS_HISTDISPLAY_K1));
  Checks			          = (TKCheck *)         GetSpritePtr(GetResString(IDS_MS_CHECKS_K1));
  PayOff     			    = (TKPayOff *)        GetSpritePtr(GetResString(IDS_MS_PAYOFF_K1));
  Result			          = (TKResult *)        GetSpritePtr(GetResString(IDS_MS_RESULT_K1));
  HistoryNums			    = (TKHistoryNums *)   GetSpritePtr(GetResString(IDS_MS_HISTNUMS_K1));
  Time			          = (TKTime *)          GetSpritePtr(GetResString(IDS_MS_CLOCK_K1));
  GameNum			       = (TKGameNum *)       GetSpritePtr(GetResString(IDS_MS_GAMENUM_K1));
  Plays			          = (TKPlays *)         GetSpritePtr(GetResString(IDS_MS_PLAYS_K1));
  GameType			       = (TKGameType *)      GetSpritePtr(GetResString(IDS_MS_GAMETYPE_K1));
  BetAmount			       = (TKBetAmount *)     GetSpritePtr(GetResString(IDS_MS_BETAMOUNT_K1));
  ValidGames				 = (TKValidGames *)    GetSpritePtr(GetResString(IDS_MS_VALIDGAMES_K1));
   */
  if(HistoryLeft    == NULL)    {SpriteError("HLeft",     GetResString(IDS_MS_HISTLEFT_K1));}
  if(HistoryRight   == NULL)    {SpriteError("hright",    GetResString(IDS_MS_HISTRIGHT_K1));}
  if(TicketLeft     == NULL)    {SpriteError("tleft",     GetResString(IDS_MS_TICKLEFT_K1));}
  if(TicketRight    == NULL)    {SpriteError("tright",    GetResString(IDS_MS_TICKRIGHT_K1));}
  if(MainDisplay    == NULL)    {SpriteError("maindis",   GetResString(IDS_MS_MAINDISPLAY_K1));}
  if(Genie    	     == NULL)    {SpriteError("genie",     GetResString(IDS_MS_GENIE_K1));}
  if(HistoryDisplay == NULL)    {SpriteError("hisdis",    GetResString(IDS_MS_HISTDISPLAY_K1));}
  if(Checks			  == NULL)    {SpriteError("checks",    GetResString(IDS_MS_CHECKS_K1));}
  if(PayOff     	  == NULL)    {SpriteError("payoff",    GetResString(IDS_MS_PAYOFF_K1));}
  if(Result			  == NULL)    {SpriteError("result",    GetResString(IDS_MS_RESULT_K1));}
  if(HistoryNums	  == NULL)    {SpriteError("hisnums",   GetResString(IDS_MS_HISTNUMS_K1));}
  if(Time			  == NULL)    {SpriteError("Time",      GetResString(IDS_MS_CLOCK_K1));}
  if(GameNum		  == NULL)    {SpriteError("gamenum",   GetResString(IDS_MS_GAMENUM_K1));}
  if(Plays			  == NULL)    {SpriteError("plays",     GetResString(IDS_MS_PLAYS_K1));}
  if(GameType		  == NULL)    {SpriteError("gametype",  GetResString(IDS_MS_GAMETYPE_K1));}
  if(BetAmount		  == NULL)    {SpriteError("betamount", GetResString(IDS_MS_BETAMOUNT_K1));}
  if(ValidGames	  == NULL)    {SpriteError("validgames",GetResString(IDS_MS_VALIDGAMES_K1));}

 /* Chips              = (TCasChips       *) GetSpritePtr(GetResString(IDS_MS_CHIPS_K1));
  BankCashDisplay    = (TCasCashDisplay *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_K1));
  Button0            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B0_K1));
  Button1            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B1_K1));
  Button2            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B2_K1));
  Button3            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B3_K1));
  Button4            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B4_K1));
  Button5            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B5_K1));
  Button6            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B6_K1));
  Button7            = (TCasButton      *) GetSpritePtr(GetResString(IDS_MS_B7_K1));
  NamePlate1         = (TCasNamePlate   *) GetSpritePtr(GetResString(IDS_MS_NP1_K1));
  NamePlate2         = (TCasNamePlate   *) GetSpritePtr(GetResString(IDS_MS_NP2_K1));
  NamePlate3         = (TCasNamePlate   *) GetSpritePtr(GetResString(IDS_MS_NP3_K1));
   */
  if (Button0 == NULL)         {SpriteError("Button0",        GetResString(IDS_MS_B0_K1));}
  if (Button1 == NULL)         {SpriteError("Button1",        GetResString(IDS_MS_B1_K1));}
  if (Button2 == NULL)         {SpriteError("Button2",        GetResString(IDS_MS_B2_K1));}
  if (Button3 == NULL)         {SpriteError("Button3",        GetResString(IDS_MS_B3_K1));}
  if (Button4 == NULL)         {SpriteError("Button4",        GetResString(IDS_MS_B4_K1));}
  if (Button5 == NULL)         {SpriteError("Button5",        GetResString(IDS_MS_B5_K1));}
  if (Button6 == NULL)         {SpriteError("Button6",        GetResString(IDS_MS_B6_K1));}
  if (Button7 == NULL)         {SpriteError("Button7",        GetResString(IDS_MS_B7_K1));}
  if (Chips == NULL)           {SpriteError("Chip Stacks",    GetResString(IDS_MS_CHIPS_K1));}
  if (NamePlate1 == NULL)      {SpriteError("NamePlate1",     GetResString(IDS_MS_NP1_K1));}
  if (NamePlate2 == NULL)      {SpriteError("NamePlate2",     GetResString(IDS_MS_NP2_K1));}
  if (NamePlate3 == NULL)      {SpriteError("NamePlate3",     GetResString(IDS_MS_NP3_K1));}
  if (BankCashDisplay == NULL) {SpriteError("BankCashDisplay",GetResString(IDS_MS_BANKCASH_K1));}

  if (trash == -1)             {SpriteError("trash",          GetResString(IDS_AS_TRASH_K1));}

  NamePlate1->Start(GetFUC());
  NamePlate2->Start(GetFUC());
  NamePlate3->Start(GetFUC());
  ActivateSpriteNow(Button0);
  ActivateSpriteNow(Button1);
  ActivateSpriteNow(Button2);
  if (!GetFW()->GetHandleShowMenu())
  {
	 Button2->PButton->CAD.SetCurrentFrame(1);
	 Button2->Show();
	 Button2->PButtonResponder->Remove();
  }
  ActivateSpriteNow(Button3);
  ActivateSpriteNow(Button4);
  ActivateSpriteNow(Button5);
  ActivateSpriteNow(Button6);
  ActivateSpriteNow(Button7);
  BankCashDisplay->Start(GetFUC());
  Chips->Start(GetFUC());

	HistoryLeft->Start(GetFUC());
	HistoryRight->Start(GetFUC());
	TicketLeft->Start(GetFUC());
	TicketRight->Start(GetFUC());
	Plays->Start(GetFUC());
	MainDisplay->Start(GetFUC());
	Genie->Start(GetFUC());
	HistoryDisplay->Start(GetFUC());
	Checks->Start(GetFUC());
	PayOff->Start(GetFUC());
	Result->Start(GetFUC());
	HistoryNums->Start(GetFUC());
  ActivateSpriteNow(Time);
	GameNum->Start(GetFUC());
	GameType->Start(GetFUC());
	BetAmount->Start(GetFUC());
	ValidGames->Start(GetFUC());
/*  #ifdef DEBUGIDLES
  DealerPos = GetSpritePtr("e100sp07");
  Pos1 = GetSpritePtr("e100sp04");
  Pos2 = GetSpritePtr("e100sp05");
  Pos3 = GetSpritePtr("e100sp06");
  #endif
  */
}
//*******************************************************************
void TK1GameLord::CleanupSprites()
{
  //CoinsPlayed->NoShow();
}
//*******************************************************************
TK1GameLord::TK1GameLord(TKenoModeWin *pkmodewin,const TFileMode &filemode)
  :TCasinoKGameLord(pkmodewin,filemode)
{
  randomize();
  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);

 // TFileMode skcfm(SkitCatName,fm_None,fm_Immed,FileMode.DirIndex);
//  CreateAddSkitCat(skcfm);

  SetupSprites();
//  SetupSkits();
}
//*******************************************************************
TK1GameLord::~TK1GameLord()
{
}
//*******************************************************************