//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    03/23/96    A.Krist     moved inline functions into .cpp file.
//  2.0    09/17/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ckbasp.h"
#include "oanm.h"
//*******************************************************************
void TKBetAmount::SetupAnms()
{
  PBetAmount = GetAnm(0);
  if (PBetAmount == NULL) {AnmError("KBetAmount","BetAmount",0);}
  PBetAmount->CAD.ClearAutoStart();
  PBetAmount->CAD.ClearAutoStop();
  PBetAmount->CAD.SetDirStill();
}
//*******************************************************************
TKBetAmount::TKBetAmount(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//********************************************************************
TKBetAmount::TKBetAmount(TOgleModeWindow *pmw,TFileMode fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
 //*******************************************************************
TKBetAmount::~TKBetAmount()
{
}
//*******************************************************************
void TKBetAmount::SetNum(int16 num)
{
  if(num <= 0)
  {
	 PBetAmount->NoShow();
  }
  else
  {
	 PBetAmount->CAD.SetCurrentFrame(int16(num-1));
	 PBetAmount->Show();
    Update(GetAdjFUC());
  }
}
//*******************************************************************