//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0    03/23/96    A.Krist     moved inline functions into .cpp file.
//  2.0    09/17/97    M.Perry     32-bit conversion.
//********************************************************************
#include "ckcksp.h"
#include "oanm.h"
//*******************************************************************
void TKCheck::SetupAnms()
{
  for(int16 i=0;i<80;i++)
  {
	 PCheck[i] = GetAnm(i);
	 if (PCheck[i] == NULL) {AnmError("KCheck","Check",i);}
	 PCheck[i]->CAD.ClearAutoStart();
	 PCheck[i]->CAD.ClearAutoStop();
	 PCheck[i]->CAD.SetDirStill();
  }
}
//*******************************************************************
TKCheck::TKCheck(TOgleModeWindow *pmw,TFileMode NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//********************************************************************
TKCheck::TKCheck(TOgleModeWindow *pmw,TFileMode fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
 //*******************************************************************
TKCheck::~TKCheck()
{
}
//*******************************************************************
#pragma argsused
void TKCheck::SetNum(bool *pnums,int32 startgame)
{
	for(int i=0;i<80;i++)
	{
	  if(pnums[i])
	  {
		 PCheck[i]->CAD.SetCurrentFrame(0);
		 PCheck[i]->Show();
	  }
	  else
	  {
       PCheck[i]->NoShow();
	  }
	}
   Update(GetAdjFUC());
}
//*******************************************************************