//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  kinitst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//  2.0     09/17/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "ckinitst.h"
#include "ckglord.h"

//*******************************************************************
TInitKState::TInitKState(TCasinoKGameLord *pNewKLord)
:TKLordState(pNewKLord)
{
}
//*******************************************************************
TInitKState::~TInitKState()
{
}
//*******************************************************************
void TInitKState::ExecuteFirstTime()
{
  pOwnerLord->InitKeno();
  pOwnerLord->DisplayTicketForward();
  ExecuteWaiting = false;
  ExecuteStatus  = ess_Done;
}
//*******************************************************************
