//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  caslgld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/27/97    M.Perry    inserted for turning off idles.
//  2.0    09/09/97    M.Perry    32-bit conversion.
//********************************************************************
#include "caslgld.h"
#include "caslmw.h"
//*******************************************************************
TCasLobbyGameLord::TCasLobbyGameLord(TLobbyModeWin *pmwin,const TFileMode &fm,
                                     int16 subgametype,int16 denomid)//TMoney denom)
:TCasinoGameLord(pmwin,fm,subgametype,denomid),
 PLobbyModeWin(pmwin),
 TurnOffState(0)
{
}
//*******************************************************************
TCasLobbyGameLord::~TCasLobbyGameLord()
{
}
//*******************************************************************
#pragma argsused
void TCasLobbyGameLord::CheckLobbyIdles(dword fuc)
{
    if (PLobbyModeWin->GoodCount > 6) // takes 4 good updates in a row to turn it back on.
  {
    TurnOnNext();
    PLobbyModeWin->GoodCount = 0;
    PLobbyModeWin->SlowCount = 0;
  }
  if (PLobbyModeWin->SlowCount >= 2) // only takes 2 slow updates in a row to turn off something.
  {
    TurnOffNext();
    PLobbyModeWin->GoodCount = 0;
    PLobbyModeWin->SlowCount = 0;
  }
}
//*******************************************************************
void TCasLobbyGameLord::Update(dword fuc)
{
  CheckLobbyIdles(fuc);
  TCasinoGameLord::Update(fuc);
}
//*******************************************************************
void TCasLobbyGameLord::TurnOnNext()
{
}
//*******************************************************************
void TCasLobbyGameLord::TurnOffNext()
{
}
//*******************************************************************

