//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  lspl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.0     09/27/97   M.Perry     32-bit conversion.
//********************************************************************
#include "lspl.h"
//#include "casbutsp.h"
#include "clglord.h"
//*******************************************************************
TLobby1SpriteList::TLobby1SpriteList(TOgleModeWindow *pmw,TFileMode filemode,TGameObject *PGObj)
:TLGLordSpriteList(pmw,filemode,PGObj)
{
  Init(filemode,true,false);
}
//*******************************************************************
TLobby1SpriteList::~TLobby1SpriteList()
{
}
//*******************************************************************
#pragma argsused
TSprite *TLobby1SpriteList::CreateSprite(string spritename,int16 id,void *psource)
{
    TFileMode FM(spritename,fm_None,fm_None,FileMode.DirIndex);
    if (psource == NULL)
    {
      FM.SetRamImmed();
	   if(spritename == GetResString(IDS_MS_B0_L_L1))
	   {
		  return (new TCasButton(PModeWin,FM,(TCasinoGameLord *)POwnerGObj,100,TRect(307,426,337,440),idButton0,true));
	   }
	   if (spritename == GetResString(IDS_MS_MESS_L1))
	   {
		  return (new TCasLobbyMessageDisplay(PModeWin,FM));
	   }
	   return (new TSprite(PModeWin,FM));
    }
    else
    {
	   if(spritename == GetResString(IDS_MS_B0_L_L1))
	   {
		  return (new TCasButton(PModeWin,FM,psource,(TCasinoGameLord *)POwnerGObj,100,TRect(307,426,337,440),idButton0,true));
  	   }
	   if (spritename == GetResString(IDS_MS_MESS_L1))
	   {
		  return (new TCasLobbyMessageDisplay(PModeWin,FM,psource));
	   }
	   return (new TSprite(PModeWin,FM,psource));
    }
}
//*******************************************************************