//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rdstate.cpp   // River Deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "rdstate.h"
#include "gamelord.h"
#include <iostream.h>

TRDState::TRDState(TGLord *pNewGLord)
	: TGLordState(pNewGLord)
{
 // cout << "GAState constructor" << endl;
}
TRDState::~TRDState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TRDState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TRDState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TGLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TRDState::ExecuteFirstTime()     // River Deal
{
  //cout << "River Deal Deal" << endl;
  pOwnerLord->RiverDealt();
  ExecuteStatus    = ess_Done;

}