//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rgbetst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "rgbetst.h"
#include "rlord.h"
#include <iostream.h>

TGetRBetState::TGetRBetState(TRLord *pNewRLord)
	: TRLordState(pNewRLord)
{
 // cout << "GAState constructor" << endl;
}
TGetRBetState::~TGetRBetState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TGetRBetState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TGetRBetState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TRLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TGetRBetState::ExecuteFirstTime()
{
  cout << "Get bet state" << endl;
  pOwnerLord->game = pOwnerLord->GetBet();
  ExecuteStatus    = ess_Done;

}