//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rinitst.cpp   // FLop deal
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/29/95   A. Krist    Original baseline
//*******************************************************************
#include "rinitst.h"
#include "rlord.h"
#include <iostream.h>

TInitRState::TInitRState(TRLord *pNewRLord)
	: TRLordState(pNewRLord)
{
 // cout << "GAState constructor" << endl;
}
TInitRState::~TInitRState()
{
 // cout << "GAState destructor" << endl;
}
//*******************************************************************
void TInitRState::RecommendSibling()
{
	Status = ss_DoneRecom8;
}
//*******************************************************************
void TInitRState::YHit()
{
  if((Status == ss_Running) && (PActiveSubState != NULL))
  {
	 ((TRLordState *)PActiveSubState)->YHit();
  }
}
//*******************************************************************
void TInitRState::ExecuteFirstTime()
{
  cout << "Init state" << endl;
  pOwnerLord->InitRoulette();
  ExecuteStatus    = ess_Done;

}