//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  rlord.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//*******************************************************************
#include "rlord.h"
#include "rlordst.h"
#include "rlordmst.h"
#include "ostate.h"
#include <time.h>   //To Set Random Number Generator
//#include "studlobrain.h"
//#include "studlogame.h"
#define  NUMBEROFPLAYERS 3
#define  BET1  5
#include <stdio.h>
#include <iostream.h>
#include <stdlib.h> //For Random Number Generator
#include <conio.h>
//*******************************************************************
TRLord::TRLord(TRModeWin *pmwin)
{
  pState   = new TRLordMainState(this);

  pMWin  = pmwin;
  winnum = 0;
  maxbet=3;
  credits = 0;
  coinsize=1;
  machinenum = 0;
  playersin=0;
  game   = 1;
  numofsplits = 0;
  coinsplayed = 0;
  activeplayer = 0;
 // if(pState != NULL) {pState->Run();}
}
//*******************************************************************
TRLord::~TRLord()
{
  if(pState != NULL)
  {
	 delete pState;
	 pState = NULL;
  }
}
//*******************************************************************
void TRLord::FinalClear()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
}
//*******************************************************************
TRLord::Winner()
{
  winnerpaid = 0;
  pMWin->GObj[activeplayer].Winnings(winnum);
  return 1;
}// winner
//*******************************************************************
TRLord::InitRoulette()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
  }
  activeplayer = 0;
  credits = 0;
  coinsplayed = 0;
  winnerpaid = 0;
  return 1;
}
//*******************************************************************
TRLord::GetBet()
{
 int z=1;
 coinsplayed = 0;
 winnerpaid = 0;
 while(z != 0)
 {
  cout << "Get Bet" << endl;
  if(coinsplayed < maxbet)
  {
	 cout << "Enter 1 to 'BET 1' ";
  }
  if(coinsplayed < maxbet && (credits > 0 || pMWin->GObj[activeplayer].cash > coinsize))
  {
	 cout << "Enter 2 to 'BET MAX' ";
  }
  if(coinsplayed > 0)
  {
	 cout << "Enter 3 to 'PLACE BET' ";
  }
  if(credits > 0)
  {
	 cout << "Enter 4 to 'CASH OUT' ";
  }

  cout << "Enter 6 to 'QUIT' ";
	if(coinsplayed == 0)
  {
	 cout << "Enter 7 to 'SWITCH' to another player ";
  }
  cin >> z;
  int q=0;
  switch (z) {
	 case 1 :  Bet1();break;
	 case 2 :  BetMax();cout << "Place bet ";cin >> q;
				  pMWin->GObj[activeplayer].AddBet(q,coinsplayed);return 1;
	 case 3 :  cin >> q;pMWin->GObj[activeplayer].AddBet(q,coinsplayed);return 1;  // Spin
	 case 4 :  CashOut();break;
	 case 6 :  FinalCashOut();return 0;
	 case 7 :  Switch();break;
	 default : return 0;  // Quit
  }
 }
 return 0;
}
//*******************************************************************
TRLord::Switch()
{
  pMWin->GObj[activeplayer].credit = credits;
  activeplayer++;
  activeplayer = activeplayer%NUMBEROFPLAYERS;
  cout << "Player " << activeplayer << endl;
  credits = pMWin->GObj[activeplayer].credit;
  return 1;
}
//*******************************************************************
TRLord::FinalCashOut()
{
  int i=0;
  for(i=0;i<NUMBEROFPLAYERS;i++)
  {
	 for(;credits>0;credits--)
	 {
		pMWin->GObj[activeplayer].cash += coinsize;
		cout << pMWin->GObj[activeplayer].cash << endl;
	 }
	 Switch();
  }
  return 1;
}
//*******************************************************************
TRLord::CashOut()
{
  for(;credits>0;credits--)
  {
	 pMWin->GObj[activeplayer].cash += coinsize;
	 cout << pMWin->GObj[activeplayer].cash << endl;
  }
  return 1;
}
//*******************************************************************
TRLord::Bet1()
{
	if(credits > 0)
	{
	  credits--;
	  coinsplayed++;
	  return 1;
	}
	if(pMWin->GObj[activeplayer].cash > coinsize)
	{
	  pMWin->GObj[activeplayer].cash -= coinsize;
	  coinsplayed++;
	}
	return 1;
}
//*******************************************************************
TRLord::BetMax()
{
  if(credits > maxbet-coinsplayed)
  {
	 credits -= maxbet-coinsplayed;
	 coinsplayed = maxbet;
	 return 1;
  }
  else
  {
	 coinsplayed += credits;
	 credits = 0;                          // Could make a little faster
  }
  if(pMWin->GObj[activeplayer].cash > (maxbet-coinsplayed)*coinsize)
  {
	 pMWin->GObj[activeplayer].cash -= (maxbet-coinsplayed)*coinsize;
	 coinsplayed = maxbet;
  }
  else
  {
	 coinsplayed += (pMWin->GObj[activeplayer].cash)/(coinsize);
	 pMWin->GObj[activeplayer].cash = 0;
  }
  return 1;
}
//*******************************************************************
TRLord::ShowWheel()
{
  return 1;
}
//*******************************************************************
TRLord::SpinBall()
{
  winnum = random(38);
  cout << " Winnum -> " << winnum <<  endl;
  return winnum;
}

