//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  bet4num.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     12/21/96   M.Perry    moved into cpp.
//  2.0     09/19/97   M.Perry    32-bit conversion.
//********************************************************************
#include "bet4num.h"
//*******************************************************************
TBet4Num::TBet4Num(int16 Num1,int16 Num2,int16 Num3,int16 Num4,
                   TOgleModeWindow *pmw,TFileMode NewFileMode,int16 code)
:TRBetSpot(pmw,NewFileMode,code)
{
  num1 = Num1;
  num2=Num2;
  num3 = Num3;
  num4=Num4;
  SpotType = FourNum;
}
//*******************************************************************
TBet4Num::TBet4Num(int16 Num1,int16 Num2,int16 Num3,int16 Num4,
                   TOgleModeWindow *pmw,TFileMode NewFileMode,void *psource,int16 code)
:TRBetSpot(pmw,NewFileMode,psource,code)
{
  num1 = Num1;
  num2=Num2;
  num3 = Num3;
  num4=Num4;
  SpotType = FourNum;
}
//*******************************************************************
TBet4Num::~TBet4Num()
{
}
//*******************************************************************
bool TBet4Num::Winner(int16 WinNum)
{
  if(WinNum == num2 || WinNum == num1 ||WinNum == num3 || WinNum == num4)
  {
    return true;
  }
  else
  {
    return false;
  }
}
//*******************************************************************
bool TBet4Num::Winner(int16 WinNum,int16 Player)
{
  return TRBetSpot::Winner(WinNum,Player);
}
//*******************************************************************
int32 TBet4Num::Odds()
{
  return 8;
}
//*******************************************************************