//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  betred.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     08/2/95   A. Krist    Original baseline
//  2.0     09/19/97  M.Perry     32-bit conversion.
//*******************************************************************
#include "betred.h"
//*******************************************************************
TBetRed::TBetRed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,int16 code)
:TRBetSpot(pmw,NewFileMode,code)
{
 SpotType = Red;
}
//*******************************************************************
TBetRed::TBetRed(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource,int16 code)
:TRBetSpot(pmw,NewFileMode,psource,code)
{
  SpotType = Red;
}
//*******************************************************************
TBetRed::~TBetRed()
{
}
//*******************************************************************
bool TBetRed::Winner(int16 WinNum)
{
  if(WinNum==1  || WinNum==3  ||WinNum==5  ||WinNum==7  ||WinNum==9  ||WinNum==12 ||
     WinNum==14 || WinNum==16 ||WinNum==18 ||WinNum==19 ||WinNum==21 ||WinNum==23 ||
     WinNum==25 || WinNum==27 ||WinNum==30 ||WinNum==32 ||WinNum==34 ||WinNum==36)
  {
    return true;
  }
  else
  {
    return false;
  }
}
//*******************************************************************
int32 TBetRed::Odds()
{
  return 1;
}
//*******************************************************************

