//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  cr1glist.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     3/24/96    A.Krist     original baseline
//  2.0    09/18/97    M.Perry     32-bit conversion.
//********************************************************************
#include "cr1glist.h"
#include "cr1gld.h"
#include "crplay.h"
#include "casrmw.h"
#include "casnames.rh"
#include "crnames.rh"
//*******************************************************************
TR1GObjList::TR1GObjList(TRouletteModeWin *POwnerMW)
:TRGObjList(POwnerMW)
{
  PRModeWin = POwnerMW;
}
//*******************************************************************
TGameObject *TR1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_R1))
  {
	 return (new TR1GameLord(PRModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_R1))
  {
	 return (new TCasinoRPlayer(PRModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_R1))
  {
	 return (new TCasinoRPlayer(PRModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_R1))
  {
	 return (new TCasinoRPlayer(PRModeWin,FM,2));
  }
  else
  {
	 return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************