 //*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cract2st.cpp
//    Project Name:  Casino
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     03/29/95   A. Krist    Original baseline
//  2.0     09/19/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "cract2st.h"
#include "crpost.h" //payout
#include "orespond.h"
//*******************************************************************
TRAct2State::TRAct2State(TCasinoRGameLord *pNewRLord)
:TRLordState(pNewRLord)
{
	 SetRunOrder(ess_Execute,ess_StartSubState3,ess_Execute,ess_Done,ess_Done,ess_Done);
	 StartingFUC        = 0;
	 FUCLength          = 0;
	 MenuEscResponder   = NULL;
	 WaitOnMarker       = false;
	 WaitOnPlaceMarker  = false;
	 WaitOnRemoveMarker = false;
	 WaitOnRemoveChips  = false;
	 WaitOnResult       = false;
	 WaitOnLoser        = false;
	 askexpertflag      = false;
	 GetNextWinner      = false;
	 Player             = 2;
	 MarkerFUC          = 0;
	 BetCounter         = 0;
	 Player0 = true;
	 Player1 = true;
	 Player2 = true;

	 PayoutOrder[0]   = 4;
	 PayoutOrder[1]   = 2;
    PayoutOrder[2]   = 0;
    PayoutOrder[3]   = 1;
    PayoutOrder[4]   = 3;
    PayoutOrder[5]   = 5;
	 PayoutOrder[6]   = 6;
    PayoutOrder[7]   = 7;
    PayoutOrder[8]   = 8;
    PayoutOrder[9]   = 48;
    PayoutOrder[10]  = 96;
	 PayoutOrder[11]  = 12;
    PayoutOrder[12]  = 100;
    PayoutOrder[13]  = 15;
    PayoutOrder[14]  = 105;
    PayoutOrder[15]  = 18;
	 PayoutOrder[16]  = 110;
    PayoutOrder[17]  = 21;
    PayoutOrder[18]  = 115;
    PayoutOrder[19]  = 24;
    PayoutOrder[20]  = 120;
	 PayoutOrder[21]  = 27;
    PayoutOrder[22]  = 125;
    PayoutOrder[23]  = 30;
    PayoutOrder[24]  = 130;
    PayoutOrder[25]  = 33;
	 PayoutOrder[26]  = 135;
    PayoutOrder[27]  = 36;
    PayoutOrder[28]  = 140;
    PayoutOrder[29]  = 39;
    PayoutOrder[30]  = 145;
	 PayoutOrder[31]  = 42;
    PayoutOrder[32]  = 150;
    PayoutOrder[33]  = 45;
    PayoutOrder[34]  = 9;
    PayoutOrder[35]  = 98;
	 PayoutOrder[36]  = 73;
    PayoutOrder[37]  = 103;
    PayoutOrder[38]  = 75;
    PayoutOrder[39]  = 108;
    PayoutOrder[40]  = 77;
	 PayoutOrder[41]  = 113;
    PayoutOrder[42]  = 79;
    PayoutOrder[43]  = 118;
    PayoutOrder[44]  = 81;
    PayoutOrder[45]  = 123;
	 PayoutOrder[46]  = 83;
    PayoutOrder[47]  = 128;
    PayoutOrder[48]  = 85;
    PayoutOrder[49]  = 133;
    PayoutOrder[50]  = 87;
	 PayoutOrder[51]  = 138;
    PayoutOrder[52]  = 89;
    PayoutOrder[53]  = 143;
    PayoutOrder[54]  = 91;
    PayoutOrder[55]  = 148;
	 PayoutOrder[56]  = 93;
    PayoutOrder[57]  = 152;
    PayoutOrder[58]  = 95;
    PayoutOrder[59]  = 13;
    PayoutOrder[60]  = 101;
	 PayoutOrder[61]  = 16;
    PayoutOrder[62]  = 106;
    PayoutOrder[63]  = 19;
    PayoutOrder[64]  = 111;
    PayoutOrder[65]  = 22;
	 PayoutOrder[66]  = 116;
    PayoutOrder[67]  = 25;
    PayoutOrder[68]  = 121;
    PayoutOrder[69]  = 28;
    PayoutOrder[70]  = 126;
	 PayoutOrder[71]  = 31;
    PayoutOrder[72]  = 131;
    PayoutOrder[73]  = 34;
    PayoutOrder[74]  = 136;
    PayoutOrder[75]  = 37;
	 PayoutOrder[76]  = 141;
    PayoutOrder[77]  = 40;
    PayoutOrder[78]  = 146;
    PayoutOrder[79]  = 43;
    PayoutOrder[80]  = 151;
	 PayoutOrder[81]  = 46;
    PayoutOrder[82]  = 10;
    PayoutOrder[83]  = 99;
    PayoutOrder[84]  = 74;
    PayoutOrder[85]  = 104;
	 PayoutOrder[86]  = 76;
    PayoutOrder[87]  = 109;
    PayoutOrder[88]  = 78;
    PayoutOrder[89]  = 114;
    PayoutOrder[90]  = 80;
	 PayoutOrder[91]  = 119;
    PayoutOrder[92]  = 82;
    PayoutOrder[93]  = 124;
    PayoutOrder[94]  = 84;
    PayoutOrder[95]  = 129;
	 PayoutOrder[96]  = 86;
    PayoutOrder[97]  = 134;
    PayoutOrder[98]  = 88;
    PayoutOrder[99]  = 139;
    PayoutOrder[100] = 90;
	 PayoutOrder[101] = 144;
    PayoutOrder[102] = 92;
    PayoutOrder[103] = 149;
    PayoutOrder[104] = 94;
    PayoutOrder[105] = 153;
	 PayoutOrder[106] = 49;
    PayoutOrder[107] = 97;
    PayoutOrder[108] = 14;
    PayoutOrder[109] = 102;
    PayoutOrder[110] = 17;
	 PayoutOrder[111] = 107;
    PayoutOrder[112] = 20;
    PayoutOrder[113] = 112;
    PayoutOrder[114] = 23;
    PayoutOrder[115] = 117;
	 PayoutOrder[116] = 26;
    PayoutOrder[117] = 122;
    PayoutOrder[118] = 29;
    PayoutOrder[119] = 127;
    PayoutOrder[120] = 32;
	 PayoutOrder[121] = 132;
    PayoutOrder[122] = 35;
    PayoutOrder[123] = 137;
    PayoutOrder[124] = 38;
    PayoutOrder[125] = 142;
	 PayoutOrder[126] = 41;
    PayoutOrder[127] = 147;
    PayoutOrder[128] = 44;
    PayoutOrder[129] = 154;
    PayoutOrder[130] = 47;
	 PayoutOrder[131] = 11;
    PayoutOrder[132] = 155;
    PayoutOrder[133] = 50;
    PayoutOrder[134] = 62;
    PayoutOrder[135] = 51;
	 PayoutOrder[136] = 63;
    PayoutOrder[137] = 52;
    PayoutOrder[138] = 64;
    PayoutOrder[139] = 53;
    PayoutOrder[140] = 65;
	 PayoutOrder[141] = 54;
    PayoutOrder[142] = 66;
    PayoutOrder[143] = 55;
    PayoutOrder[144] = 67;
    PayoutOrder[145] = 56;
	 PayoutOrder[146] = 68;
    PayoutOrder[147] = 57;
    PayoutOrder[148] = 69;
    PayoutOrder[149] = 58;
    PayoutOrder[150] = 70;
	 PayoutOrder[151] = 59;
    PayoutOrder[152] = 71;
    PayoutOrder[153] = 60;
    PayoutOrder[154] = 72;
    PayoutOrder[155] = 61;
}
//*******************************************************************
TRAct2State::~TRAct2State()
{
}
//*******************************************************************
void TRAct2State::ExecuteFirstTime()
{
//  pOwnerLord->SetBodyIdle();
  if(!pOwnerLord->GetCasPD(2))
	 {
		Player2 = false;
	 }
	 if(!pOwnerLord->GetCasPD(1))
	 {
		Player1 = false;
	 }
	 if(!pOwnerLord->GetCasPD(0))
	 {
		Player0 = false;
	 }

  ExecuteWaiting = true;
  ExecuteStatus    = ess_Execute;
  pOwnerLord->PostSpinStats();
//  StartingFUC = PTimePtr->GetFrameUpdateCount() + 1;
  StartingFUC = pOwnerLord->GetAdjFUC();
  WaitOnResult = true;
  pOwnerLord->MessageDisplay->NoShowDisplay();
}
//*******************************************************************
void TRAct2State::CreateSubState1()
{
  PActiveSubState = new TRPayOutState(pOwnerLord,PayoutOrder[BetCounter],Player);
}
//*******************************************************************
void TRAct2State::EndSubState1()
{
  bool skip=false;
  pOwnerLord->BetSpot[PayoutOrder[BetCounter]]->NoShowSpark();
  TState::EndSubState1();
  ExecuteWaiting = false;
  while(BetCounter < 156 &&
        !(pOwnerLord->BetSpot[PayoutOrder[BetCounter]]->Winner(pOwnerLord->winnum,Player)) )
  {
	 BetCounter++;
	 skip = true;
  }
  if(BetCounter >= 156)
  {
	 ExecuteStatus = ess_Execute;
	 ExecuteWaiting = true;
//	 StartingFUC = PTimePtr->GetFrameUpdateCount() + 1;
	 GetNextWinner = true;
    if(Player == 2)
	 {
      Player2 = false;
      BetCounter = 0;
    }
	 if(Player == 1)
	 {
      Player1 = false;
      BetCounter = 0;
    }
	 if(Player == 0)
	 {
      Player0 = false;
      BetCounter = 0;
    }
	// StartingFUC = pOwnerLord->GetAdjFUC();
	// pOwnerLord->FinalResult(StartingFUC,FUCLength);//RemoveMarker(StartingFUC,FUCLength);
	// WaitOnMarker = true;
  }
  else
  {
	 if(!skip)
	 {
		BetCounter++;
		skip = false;
	 }
	 ExecuteStatus = ess_StartSubState1;
  }
  pOwnerLord->ShowMarker();
}
//*******************************************************************
void TRAct2State::CreateSubState2()
{
  //PActiveSubState = new TRRemoveState(pOwnerLord);
}
//*******************************************************************
void TRAct2State::EndSubState2()
{
  TState::EndSubState2();
  ExecuteWaiting = false;
  ExecuteStatus  = ess_Done;
}
//*******************************************************************
void TRAct2State::HandlePostUpdate(dword NewFUC)
{
  if (WaitOnResult)
  {
	 if((StartingFUC + FUCLength) <= NewFUC)
	 {
		WaitOnResult = false;
		WaitOnPlaceMarker = true;
//		StartingFUC = PTimePtr->GetFrameUpdateCount() + 1;
      StartingFUC = pOwnerLord->GetAdjFUC();
		pOwnerLord->PlaceMarker(StartingFUC,FUCLength,MarkerFUC);
		pOwnerLord->Marker->NoShowMarker();
	 }
  }
  if (WaitOnPlaceMarker)
  {
	 if(StartingFUC+MarkerFUC == NewFUC)
	 {
      pOwnerLord->ShowMarker();
      MarkerFUC = 0;
    }

	 if((StartingFUC + FUCLength + 4) <= NewFUC)
	 {
		WaitOnPlaceMarker = false;
		WaitOnLoser = true;
//		StartingFUC = PTimePtr->GetFrameUpdateCount() + 1;
      StartingFUC = pOwnerLord->GetAdjFUC();
		pOwnerLord->Loser(StartingFUC,FUCLength);
	 }
  }
  if (WaitOnLoser)
  {
	 if((StartingFUC + FUCLength) <= NewFUC)
	 {
		WaitOnLoser = false;
		if(pOwnerLord->IsLoser())
		{
		  WaitOnRemoveChips = true;
//		  StartingFUC = PTimePtr->GetFrameUpdateCount() + 1;
        StartingFUC = pOwnerLord->GetAdjFUC();
		  pOwnerLord->RemoveChips(StartingFUC,FUCLength);
		}
		else
		{
		 //??? ExecuteWaiting = false;
		  GetNextWinner = true;
		 // while(BetCounter < 156 && !(pOwnerLord->BetSpot[BetCounter]->Winner(pOwnerLord->winnum)) )
		 // {BetCounter++;}
		 // if(BetCounter >= 156)
		 // {ExecuteStatus = ess_StartSubState2;}
		 // else
		 // {ExecuteStatus = ess_StartSubState1;}
		}
	 }
  }
  if (WaitOnRemoveChips)
  {
	 if(StartingFUC+2 == NewFUC){pOwnerLord->ClearLosers();}

	 if((StartingFUC + FUCLength) <= NewFUC)
	 {
		WaitOnRemoveChips = false;
		//???ExecuteWaiting = false;
		GetNextWinner = true;
	  //	while(BetCounter < 156 && !(pOwnerLord->BetSpot[BetCounter]->Winner(pOwnerLord->winnum)) )
	  //	{BetCounter++;}
	  //	if(BetCounter >= 156)
	  //	{ExecuteStatus = ess_StartSubState2;}
	  //	else
	  //	{ExecuteStatus = ess_StartSubState1;}
	 }
  }
  if(GetNextWinner)
  {
	 if(Player2 == false){Player = 1;}
	 if(Player1 == false && Player2 == false){Player = 0;}
	 if(Player0 == false && Player1 == false && Player2 == false){Player = -1;}
	 if((Player0 == false && Player1 == false && Player2 == false) || Player <= -1)
	 {
		StartingFUC = pOwnerLord->GetAdjFUC();
		pOwnerLord->FinalResult(StartingFUC,FUCLength);
		//RemoveMarker(StartingFUC,FUCLength);
		WaitOnMarker = true;
		GetNextWinner = false;
	 }
	 else
	 {
		while(BetCounter < 156 &&
            !(pOwnerLord->BetSpot[PayoutOrder[BetCounter]]->Winner(pOwnerLord->winnum,Player)) )
		{BetCounter++;}
		if(BetCounter >= 156)
		{
		 if(Player == 2)
		 {Player2 = false;BetCounter = 0;}
		 if(Player == 1)
		 {Player1 = false;BetCounter = 0;}
		 if(Player == 0)
		 {Player0 = false;BetCounter = 0;}
		}
		else
		{ExecuteStatus = ess_StartSubState1;GetNextWinner = false;}
	 }
  }
  if (WaitOnMarker)
  {
	 if((StartingFUC + FUCLength) <= NewFUC)
	 {
		WaitOnMarker = false;
		WaitOnRemoveMarker = true;
//      StartingFUC = PTimePtr->GetFrameUpdateCount() + 1;
		StartingFUC = pOwnerLord->GetAdjFUC();
		pOwnerLord->RemoveMarker(StartingFUC,FUCLength,MarkerFUC);
	 }
  }
  if (WaitOnRemoveMarker)
  {
	 if(StartingFUC+MarkerFUC == NewFUC)
	 {
		pOwnerLord->NoShowMarker();
		MarkerFUC=0;
	 }
	 if((StartingFUC + FUCLength-2) == NewFUC)
	 {
		pOwnerLord->Marker->ShowMarker();
	 }
	 if((StartingFUC + FUCLength) <= NewFUC)
	 {
		WaitOnRemoveMarker = false;
      ExecuteWaiting = false;
		ExecuteStatus  = ess_Done;
	 }
  }

  if(MenuEscResponder != NULL)
  {
	 pOwnerLord->MenuEscButton->ShowUp();
	 if (MenuEscResponder->GetResponseEvent() != reChar)
	 {
		MenuEscResponder->ClearPriority();
	 }
	 MenuEscResponder = NULL;

	 return;
  }

}
//*******************************************************************
bool TRAct2State::HandleMenuEsc(TResponder &responder)
{
  if(!WaitOnMarker || !WaitOnResult)
  {
  if (responder.GetResponseEvent() == reLUp)
  {
	 MenuEscResponder = &responder;
  }

  if (responder.GetResponseEvent() == reLDown)
  {
	 pOwnerLord->MenuEscButton->ShowDown();
	 responder.SetPriority();
  }

  if (responder.GetResponseEvent() == reChar)
  {
	 pOwnerLord->MenuEscButton->ShowDown();
	 MenuEscResponder = &responder;
  }
  }
  return true;
}
//*******************************************************************
