//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  crsdsp.cpp
//    Project Name:  Casino
// Original Author:  A.Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry    moved into cpp file.
//  2.0    09/19/97    M.Perry    32-bit conversion.
//********************************************************************
#include "crsdsp.h"
#include "owav.h"
//*******************************************************************
void TRSound::SetupWavs()
{
  for(int16 i=0;i<11;i++)
  {
	 Sounds[i] = GetWav(i);
	 if (Sounds[i] == NULL) {AnmError("Sound Sprite","sound",i);}
  }
}
//*******************************************************************
TRSound::TRSound(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  //SetToManual();
  //NoShow();
  SetupWavs();
}
//*******************************************************************
TRSound::TRSound(TOgleModeWindow *pmw,const TFileMode &fm,void *psource)
:TSprite(pmw,fm,psource)
{
//  SetToManual();
//  NoShow();
  SetupWavs();
}
//*******************************************************************
TRSound::~TRSound()
{
}
//*******************************************************************
void TRSound::PlaySound(int16 sound)
{
  Sounds[sound]->Start();
}
//*******************************************************************

