//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slintmw.cpp
//    Project Name:  Slotlite
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.2     4/25/97    M.Perry     added intro mode.
//********************************************************************
#include "slintmw.h"

#include "slintgl.h"
#include "obmpmono.h"
#include "slmenu.rh"
//*******************************************************************
TSLIntroModeWin::TSLIntroModeWin(string modename,TPal *ppal,string title)
:TCasinoModeWin(modename,ppal,title)
{
  ShowWindowBeforeGObjList = FALSE;
}
//*******************************************************************
TSLIntroModeWin::~TSLIntroModeWin()
{
}
//*******************************************************************
void TSLIntroModeWin::MakeGObjList()
{
  PGObjList = new TSLIntroGObjList(this);
}
//*******************************************************************
TBmp *TSLIntroModeWin::MakeBG()
{
  TBmp *pbmp;
  TOgleRect rect(Attr.X,Attr.Y,Attr.W,Attr.H);
  pbmp = new TBmpMono(this,rect,0);
  return pbmp;
}
//*******************************************************************
int TSLIntroModeWin::GetMenuID()
{
  return IDM_SLOTLITE_INTRO;
}
//*******************************************************************
void TSLIntroModeWin::CreateGroupGaugeDlg()
{
  PGroupGaugeDlg = CreateHiddenGrpGauge();
}
//*******************************************************************
