//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  slmw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/6/95    M.Perry    original baseline
//********************************************************************
#include "slmw.h"
                                   
#include "casnames.rh"
#include "slnames.rh"

#include "slgl.h"
#include "slcred.rh"
#include "slmenu.rh"
//*******************************************************************
//DEFINE_RESPONSE_TABLE1(TSLobby1ModeWin,TCasinoModeWin)
//  EV_COMMAND(CM_OPTIONSLOBBYCREDITS ,CmOptionsCredits),
//  EV_COMMAND_ENABLE(CM_OPTIONSLOBBYCREDITS ,CeOptionsCredits),
//  EV_COMMAND(CM_OPTIONSLOBBYGIFTSHOP,CmOptionsGiftShop),
//  EV_COMMAND_ENABLE(CM_OPTIONSLOBBYGIFTSHOP,CeOptionsGiftShop),
//END_RESPONSE_TABLE;
////*******************************************************************
//void TSLobby1ModeWin::CmOptionsCredits()
//{
//  MessageBox("Adam gets all the credit","Credits",MB_OK);
//}
////*******************************************************************
//void TSLobby1ModeWin::CeOptionsCredits(TCommandEnabler &enabler)
//{
//  enabler.Enable(TRUE);
//}
////*******************************************************************
//void TSLobby1ModeWin::CmOptionsGiftShop()
//{
//  MessageBox("Please buy our stuff,pretty please","Gift Shop",MB_OK);
//}
////*******************************************************************
//void TSLobby1ModeWin::CeOptionsGiftShop(TCommandEnabler &enabler)
//{
//  enabler.Enable(TRUE);
//}
//*******************************************************************
TSLobby1ModeWin::TSLobby1ModeWin(string modename,TPal *PPal,string title)
:TLobbyModeWin(modename,PPal,title)
{
}
//*******************************************************************
TSLobby1ModeWin::~TSLobby1ModeWin()
{
}
//*******************************************************************
void TSLobby1ModeWin::MakeGObjList()
{
  PGObjList = new TSLobby1GObjList(this);
}
//*******************************************************************
void TSLobby1ModeWin::InitGObjLists()
{
  GObj[0] = (TCasinoSLPlayer *)GetGObjPtr(TAppString(IDS_H1_SL));
  GObj[1] = (TCasinoSLPlayer *)GetGObjPtr(TAppString(IDS_H2_SL));
  GObj[2] = (TCasinoSLPlayer *)GetGObjPtr(TAppString(IDS_H3_SL));

  pLord = (TCasinoSLGameLord *)GetGObjPtr(TAppString(IDS_GL_SL));

  if (pLord == NULL)   {GObjError("Lobby Game Lord",TAppString(IDS_GL_SL));}
  if (GObj[0] == NULL) {GObjError("Lobby Human 1",TAppString(IDS_H1_SL));}
  if (GObj[1] == NULL) {GObjError("Lobby Human 2",TAppString(IDS_H2_SL));}
  if (GObj[2] == NULL) {GObjError("Lobby Human 3",TAppString(IDS_H3_SL));}
}
//*******************************************************************
string TSLobby1ModeWin::GetDetName()
{
  return string("slotchmp");
}
//*******************************************************************
int TSLobby1ModeWin::GetMenuID()
{
  return IDM_SLOTLITE_LOBBY;
}
//*******************************************************************
int TSLobby1ModeWin::GetCreditsBmpID()
{
  return IDB_SLOTLITE_CREDITS;
}
//*******************************************************************
