//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  jj1gld.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3     07/12/99   M.Perry    gobjlist removal
//  2.4    09/11/99    M.Perry    setupsprites() shrinkage
//*******************************************************************
#include "jj1gld.h"
//#include "jj1spl.h"
//#include "oskitcat.h"
#include "ogamefw.h"
#include "orespond.h"
#include "oanm.h"
#include "csnames.rh"
//*******************************************************************
//TSpriteList *TJungle1GameLord::CreateSpriteList(TFileMode splfm)
//{
//  return (new TJungle1SpriteList(PModeWin,splfm,this));
//}
//*******************************************************************
void TJungle1GameLord::SetReel()
{
  int16 x,y,z;
  x=(int16)random(5000);
  y=(int16)random(5000);
  z=(int16)random(5000);
  if(x<=300){x=0;}
  else if(x<=750){x=1;}
  else if(x<=1300){x=2;}
  else if(x<=1700){x=3;}
  else if(x<=2000){x=4;}
  else if(x<=2700){x=5;}
  else if(x<=3100){x=6;}
  else if(x<=3500){x=7;}
  else if(x<=4100){x=8;}
  else if(x<=4500){x=9;}
  else if(x<=5000){x=10;}
  if(y<=575){y=0;}
  else if(y<=1125){y=1;}
  else if(y<=1575){y=2;}
  else if(y<=1975){y=3;}
  else if(y<=2375){y=4;}
  else if(y<=2775){y=5;}
  else if(y<=3300){y=6;}
  else if(y<=3700){y=7;}
  else if(y<=4200){y=8;}
  else if(y<=4500){y=9;}
  else if(y<=5000){y=10;}
  if(z<=300){z=0;}
  else if(z<=750){z=1;}
  else if(z<=1300){z=2;}
  else if(z<=1700){z=3;}
  else if(z<=2000){z=4;}
  else if(z<=2700){z=5;}
  else if(z<=3100){z=6;}
  else if(z<=3500){z=7;}
  else if(z<=4100){z=8;}
  else if(z<=4500){z=9;}
  else if(z<=5000){z=10;}
  Reel->SetNum(x,y,z);
}
//*******************************************************************
TMoney TJungle1GameLord::PayOut()
{
  int16 s0=0,s1=0,s2=0;
  switch(Reel->GetCurrentAnmFrame(3))
  {
	 case 0  : s0 = 5;break;
	 case 1  : s0 = 4;break;
	 case 2  : s0 = 3;break;
	 case 3  : s0 = 2;break;
	 case 4  : s0 = 5;break;
	 case 5  : s0 = 1;break;
	 case 6  : s0 = 2;break;
	 case 7  : s0 = 4;break;
	 case 8  : s0 = 1;break;
	 case 9  : s0 = 2;break;
	 case 10 : s0 = 3;break;
	 default : s0 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(4))
  {
	 case 0  : s1 = 4;break;
	 case 1  : s1 = 2;break;
	 case 2  : s1 = 1;break;
	 case 3  : s1 = 5;break;
	 case 4  : s1 = 4;break;
	 case 5  : s1 = 5;break;
	 case 6  : s1 = 3;break;
	 case 7  : s1 = 1;break;
	 case 8  : s1 = 2;break;
	 case 9  : s1 = 1;break;
	 case 10 : s1 = 3;break;
	 default : s1 = 0;
  }
  switch(Reel->GetCurrentAnmFrame(5))
  {
	 case 0  : s2 = 5;break;
	 case 1  : s2 = 4;break;
	 case 2  : s2 = 3;break;
	 case 3  : s2 = 2;break;
	 case 4  : s2 = 5;break;
	 case 5  : s2 = 1;break;
	 case 6  : s2 = 2;break;
	 case 7  : s2 = 4;break;
	 case 8  : s2 = 1;break;
	 case 9  : s2 = 2;break;
	 case 10 : s2 = 3;break;
	 default : s2 = 0;
  }
  if(s0 == 5 && s1 == 5 && s2 == 5)
  {
	 PayOffSound = 5;
	 if(coinsplayed == 5){ActivateSprite(Song,GetAdjFUC());return 1000;}
	 if(coinsplayed == 4){return 500;}
	 if(coinsplayed == 3){return 300;}
	 if(coinsplayed == 2){return 200;}
	 if(coinsplayed == 1){return 100;}
  }
  if(s0 == 4 && s1 == 4 && s2 == 4)
  {
	 PayOffSound = 4;
	 if(coinsplayed == 5){return 250;}
	 if(coinsplayed == 4){return 200;}
	 if(coinsplayed == 3){return 150;}
	 if(coinsplayed == 2){return 100;}
	 if(coinsplayed == 1){return 50;}
  }
  if(s0 == 3 && s1 == 3 && s2 == 3)
  {
	 PayOffSound = 3;
	 if(coinsplayed == 5){return 25;}
	 if(coinsplayed == 4){return 20;}
	 if(coinsplayed == 3){return 15;}
	 if(coinsplayed == 2){return 10;}
	 if(coinsplayed == 1){return 5;}
  }
  if(s0 == 2 && s1 == 2 && s2 == 2)
  {
	 PayOffSound = 2;
	 if(coinsplayed == 5){return 15;}
	 if(coinsplayed == 4){return 12;}
	 if(coinsplayed == 3){return 9;}
	 if(coinsplayed == 2){return 6;}
	 if(coinsplayed == 1){return 3;}
  }
  if(s0 == 1 && s1 == 1 && s2 == 1)
  {
	 PayOffSound = 1;
	 if(coinsplayed == 5){return 10;}
	 if(coinsplayed == 4){return 8;}
	 if(coinsplayed == 3){return 6;}
	 if(coinsplayed == 2){return 4;}
	 if(coinsplayed == 1){return 2;}
  }
  return 0;
}
//*******************************************************************
//void TJungle1GameLord::SetupSprites()
//{
//  Song = GetSpriteIndex(GetResString(IDS_AS_SONG_S_J1));
// // Sounds = NULL;
// // Sounds      = (TSSound *) GetSpritePtr(GetResString(IDS_MS_SOUNDS_S_J1));
//  if (Sounds  == NULL) {SpriteError("Slots Sounds",GetResString(IDS_MS_SOUNDS_S_J1));}
//   Sounds->Start(GetFUC());
//  /*Button0 = NULL;
//  Button1 = NULL;
//  Button2 = NULL;
//  Button3 = NULL;
//  Button4 = NULL;
//  Button5 = NULL;
//  Button6 = NULL;
//  Button7 = NULL;
//  BankCashDisplay = NULL;
//  CoinPay         = NULL;
//  Reel            = NULL;
//  CoinsPlayed     = NULL;
//  WinPaid         = NULL;
//  Credits         = NULL;
//  Chips           = NULL;
//  NamePlate1       = NULL;
//  NamePlate2       = NULL;
//  NamePlate3       = NULL;
//
//  CoinsPlayed     = (TSCoinsPlayed   *) GetSpritePtr(GetResString(IDS_MS_COINSPLAYED_S_J1));
//  WinPaid         = (TSWinPaid       *) GetSpritePtr(GetResString(IDS_MS_WINPAID_S_J1));
//  Credits         = (TSCredits       *) GetSpritePtr(GetResString(IDS_MS_CREDITS_S_J1));
//  Chips           = (TCasChips       *) GetSpritePtr(GetResString(IDS_MS_CHIPS_S_J1));
//  Reel            = (TSReel          *) GetSpritePtr(GetResString(IDS_MS_REEL_S_J1));
//  CoinPay         = (TSCoinPay       *) GetSpritePtr(GetResString(IDS_MS_COINPAY_S_J1));
//  BankCashDisplay = (TCasCashDisplay *) GetSpritePtr(GetResString(IDS_MS_BANKCASH_S_J1));
//  Button0            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B0_S_J1));
//  Button1            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B1_S_J1));
//  Button2            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B2_S_J1));
//  Button3            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B3_S_J1));
//  Button4            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B4_S_J1));
//  Button5            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B5_S_J1));
//  Button6            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B6_S_J1));
//  Button7            = (TCasButton            *) GetSpritePtr(GetResString(IDS_MS_B7_S_J1));
//  NamePlate1      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP1_S_J1));
//  NamePlate2      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP2_S_J1));
//  NamePlate3      = (TCasNamePlate *) GetSpritePtr(GetResString(IDS_MS_NP3_S_J1));
//                                     */
//  if (CoinsPlayed     == NULL) {SpriteError("Coins Played Nums",GetResString(IDS_MS_COINSPLAYED_S_J1));}
//  if (WinPaid         == NULL) {SpriteError("Win Paid Nums",GetResString(IDS_MS_WINPAID_S_J1));}
//  if (Credits         == NULL) {SpriteError("Credits Nums",GetResString(IDS_MS_CREDITS_S_J1));}
//  if (Chips           == NULL) {SpriteError("Chip Stacks",GetResString(IDS_MS_CHIPS_S_J1));}
//  if (Reel            == NULL) {SpriteError("Reel",GetResString(IDS_MS_REEL_S_J1));}
//  if (NamePlate1 == NULL)         {SpriteError("NamePlate1",        GetResString(IDS_MS_NP1_S_J1));}
//  if (NamePlate2 == NULL)         {SpriteError("NamePlate2",        GetResString(IDS_MS_NP2_S_J1));}
//  if (NamePlate3 == NULL)         {SpriteError("NamePlate3",        GetResString(IDS_MS_NP3_S_J1));}
//  if (BankCashDisplay == NULL)    {SpriteError("BankCashDisplay",   GetResString(IDS_MS_BANKCASH_S_J1));}
//  if (Button0 == NULL)       {SpriteError("Button0",      GetResString(IDS_MS_B0_S_J1));}
//  if (Button1 == NULL)       {SpriteError("Button1",      GetResString(IDS_MS_B1_S_J1));}
//  if (Button2 == NULL)       {SpriteError("Button2",      GetResString(IDS_MS_B2_S_J1));}
//  if (Button3 == NULL)       {SpriteError("Button3",      GetResString(IDS_MS_B3_S_J1));}
//  if (Button4 == NULL)       {SpriteError("Button4",      GetResString(IDS_MS_B4_S_J1));}
//  if (Button5 == NULL)       {SpriteError("Button5",      GetResString(IDS_MS_B5_S_J1));}
//  if (Button6 == NULL)       {SpriteError("Button6",      GetResString(IDS_MS_B6_S_J1));}
//  if (Button7 == NULL)       {SpriteError("Button7",      GetResString(IDS_MS_B7_S_J1));}
//  if (CoinPay       == NULL) {SpriteError("CoinPay",      GetResString(IDS_MS_COINPAY_S_J1));}
//
//	CoinsPlayed->Start(GetFUC());
//	Credits->Start(GetFUC());
//	WinPaid->Start(GetFUC());
//	Chips->Start(GetFUC());
//	ActivateSpriteNow(Reel);
//	CoinPay->Start(GetFUC());
//	BankCashDisplay->Start(GetFUC());
//  ActivateSpriteNow(Button0);
//  ActivateSpriteNow(Button1);
//  ActivateSpriteNow(Button2);
//  if (!GetFW()->GetHandleShowMenu())
//  {
//	 Button2->PButton->CAD.SetCurrentFrame(1);
//	 Button2->Show();
//	 Button2->PButtonResponder->Remove();
//  }
//
//  ActivateSpriteNow(Button3);
//  ActivateSpriteNow(Button4);
//  ActivateSpriteNow(Button5);
//  ActivateSpriteNow(Button6);
//  ActivateSpriteNow(Button7);
//	NamePlate1->Start(GetFUC());
//	NamePlate2->Start(GetFUC());
//	NamePlate3->Start(GetFUC());
//
//}
//*******************************************************************
//void TJungle1GameLord::CleanupSprites()
//{
//  CoinsPlayed->NoShow();
//}
//*******************************************************************
void TJungle1GameLord::SetUIDS()
{
  idsButton0 = IDS_MS_B0_S_J1;
  idsButton1 = IDS_MS_B1_S_J1;
  idsButton2 = IDS_MS_B2_S_J1;
  idsButton3 = IDS_MS_B3_S_J1;
  idsButton4 = IDS_MS_B4_S_J1;
  idsButton5 = IDS_MS_B5_S_J1;
  idsButton6 = IDS_MS_B6_S_J1;
  idsButton7 = IDS_MS_B7_S_J1;
  idsBankCashDisplay = IDS_MS_BANKCASH_S_J1;
  idsChips = IDS_MS_CHIPS_S_J1;
  idsCoinPay = IDS_MS_COINPAY_S_J1;
  idsCoinsPlayed = IDS_MS_COINSPLAYED_S_J1;
  idsCredits = IDS_MS_CREDITS_S_J1;
  idsNP1 = IDS_MS_NP1_S_J1;
  idsNP2 = IDS_MS_NP2_S_J1;
  idsNP3 = IDS_MS_NP3_S_J1;
  idsReel = IDS_MS_REEL_S_J1;
  idsSound = IDS_MS_SOUNDS_S_J1;
  idsWinPaid = IDS_MS_WINPAID_S_J1;
  idsSong = IDS_AS_SONG_S_J1;
}
//*******************************************************************
TJungle1GameLord::TJungle1GameLord(TSlotsModeWin *pmwin,const TFileMode &fm)
:TCasinoSGameLord(pmwin,fm,cslJungleJingle,TMoney::did_1_00)//cd1)
{
  SetupUniqueIDStrings();

  TFileMode splfm(SpriteListName,
                  TFileMode::fm_None,
                  TFileMode::fm_Immed,
                  FileMode.GetDirIndex());
  CreateAddSpriteList(splfm);
  maxbet=5;

  SetupSprites();
}
//*******************************************************************
TJungle1GameLord::~TJungle1GameLord()
{
  CleanupSprites();
}
//*******************************************************************