//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  cvpglord.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     10/11/95   M.Perry    Original baseline
//  2.0     09/25/97   M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    retrofit to Ogle
//*******************************************************************
#include "cvpglord.h"
#include "casvpmw.h"
//*******************************************************************
TSprite *TCasinoVPGameLord::CreateSprite(string spritename,int16 id,void *psource)
{
  return TCasinoGameLord::CreateSprite(spritename,id,psource);
}
//*******************************************************************
//void TCasinoVPGameLord::SetupResponders()
//{
//// do nothing.
//}
//*******************************************************************
TCasinoVPGameLord::TCasinoVPGameLord(TVideoPokerModeWin *pmwin,const TFileMode &fm,
												 int16 subgametype,int16 denomid)
:TCasinoGameLord(pmwin,fm,subgametype,denomid),
 progressive(4000),
 maxbet(5),
 credits(0),
 coinsplayed(0),
 winnerpaid(0)
{
  coinsize = GameDenom;
}
//*******************************************************************
TCasinoVPGameLord::~TCasinoVPGameLord()
{
}
//*******************************************************************

