//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  jb1gl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry    original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//********************************************************************
#include "jb1gl.h"
#include "jb1gld.h"
#include "casnames.rh"
#include "cvpnames.rh"
//*******************************************************************
TJB1GObjList::TJB1GObjList(TOgleModeWindow *POwnerMW)
:TVPGObjList(POwnerMW)
{
}
//*******************************************************************
TJB1GObjList::~TJB1GObjList()
{
}
//*******************************************************************
TGameObject *TJB1GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_VP_JB1))
  {
    return (new TJB1GameLord((TVideoPokerModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_VP_JB1))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_VP_JB1))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_VP_JB1))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,2));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************
