//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  jw100gl.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     1/25/96    M.Perry     original baseline
//********************************************************************
#include "jw100gl.h"
#include "jw100gld.h"
#include "casnames.rh"
#include "cvpnames.rh"
//*******************************************************************
TJW100GObjList::TJW100GObjList(TOgleModeWindow *POwnerMW)
:TVPGObjList(POwnerMW)
{
}
//*******************************************************************
TJW100GObjList::~TJW100GObjList()
{
}
//*******************************************************************
TGameObject *TJW100GObjList::CreateGObj(TFileMode FM)
{
  if (FM.Name == GetResString(IDS_GL_VP_JW100))
  {
    return (new TJW100GameLord((TVideoPokerModeWin *)PModeWin,FM));
  }
  else if (FM.Name == GetResString(IDS_H1_VP_JW100))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,0));
  }
  else if (FM.Name == GetResString(IDS_H2_VP_JW100))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,1));
  }
  else if (FM.Name == GetResString(IDS_H3_VP_JW100))
  {
    return (new TCasinoVPPlayer(PModeWin,FM,2));
  }
  else
  {
    return (new TGameObject(PModeWin,FM));
  }
}
//*******************************************************************
