//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  tb1mw.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     10/6/95    M.Perry    original baseline
//  2.0    09/25/97    M.Perry    32-bit conversion.
//  2.3    07/14/99    M.Perry    gobjlist removal
//********************************************************************
#include "tb1mw.h"
#include "casnames.rh"
#include "cvpnames.rh"
//#include "tb1gl.h"
#include "tb1gld.h"
#include "cvpplay.h"
//*******************************************************************
TTB1ModeWin::TTB1ModeWin(string modename,TPal *PPal,string title)
:TVideoPokerModeWin(modename,PPal,title)
{
}
//*******************************************************************
TTB1ModeWin::~TTB1ModeWin()
{
}
//*******************************************************************
//void TTB1ModeWin::MakeGObjList()
//{
//  PGObjList = new TTB1GObjList(this);
//}
//*******************************************************************
//void TTB1ModeWin::InitGObjLists()
//{
//  GObj[0] = (TCasinoVPPlayer *)GetGObjPtr(TAppString(IDS_H1_VP_TB1));
//  GObj[1] = (TCasinoVPPlayer *)GetGObjPtr(TAppString(IDS_H2_VP_TB1));
//  GObj[2] = (TCasinoVPPlayer *)GetGObjPtr(TAppString(IDS_H3_VP_TB1));
//
//  pLord = (TCasinoVPGameLord *)GetGObjPtr(TAppString(IDS_GL_VP_TB1));
//
//  if (pLord == NULL)   {GObjError("Video Poker Game Lord",TAppString(IDS_GL_VP_TB1));}
//  if (GObj[0] == NULL) {GObjError("Video Poker Human 1",TAppString(IDS_H1_VP_TB1));}
//  if (GObj[1] == NULL) {GObjError("Video Poker Human 2",TAppString(IDS_H2_VP_TB1));}
//  if (GObj[2] == NULL) {GObjError("Video Poker Human 3",TAppString(IDS_H3_VP_TB1));}
//}
//*******************************************************************
TGameObject *TTB1ModeWin::CreateGObj(TFileMode &fm,int16 id,void *psource)
{
  if (fm == GetResString(IDS_GL_VP_TB1))
  {
    pLord = new TTB1GameLord(this,fm);
    return pLord;
  }
  else if (fm == GetResString(IDS_H1_VP_TB1))
  {
    GObj[0] = new TCasinoVPPlayer(this,fm,0);
    return GObj[0];
  }
  else if (fm == GetResString(IDS_H2_VP_TB1))
  {
    GObj[1] = new TCasinoVPPlayer(this,fm,1);
    return GObj[1];
  }
  else if (fm == GetResString(IDS_H3_VP_TB1))
  {
    GObj[2] = new TCasinoVPPlayer(this,fm,2);
    return GObj[2];
  }
  else
  {
    return new TGameObject(this,fm);
  }
}
//*******************************************************************

