//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vplordst.cpp
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "vplordst.h"
//#include "cvpglord.h"
//*******************************************************************
//TVPLordState::TVPLordState(TCasinoVPGameLord *pNewVPLord)
TVPLordState::TVPLordState(TACCVPGLord *pNewVPLord)
{
  pOwnerLord = pNewVPLord;
}
//*******************************************************************
TVPLordState::~TVPLordState()
{
}
//*******************************************************************
void TVPLordState::HandleUpdate(dword NewFUC)
{
  if (pOwnerLord->SubGameType == cvpJacksProgressive)
  {
	if(NewFUC%3600 == 0)
	{
	  if(random(300) == 1) {pOwnerLord->progressive = 4000;}
	}
	if(pOwnerLord->progressive >= 99995l) {pOwnerLord->progressive = 4000;}
	pOwnerLord->Progressive->SetNum(pOwnerLord->progressive);
	pOwnerLord->progressive = pOwnerLord->Progressive->GetNum();;
  }
}
//*******************************************************************
bool TVPLordState::NamePlate(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->NamePlate(responder);
  }
  else
  {
	 return HandleNamePlate(responder);
  }
}
//*******************************************************************
bool TVPLordState::OneChip(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->OneChip(responder);
  }
  else
  {
	 return HandleOneChip(responder);
  }
}
//*******************************************************************
bool TVPLordState::FiveChip(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->FiveChip(responder);
  }
  else
  {
	 return HandleFiveChip(responder);
  }
}
//*******************************************************************
bool TVPLordState::TwentyFiveChip(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->TwentyFiveChip(responder);
  }
  else
  {
	 return HandleTwentyFiveChip(responder);
  }
}
//*******************************************************************
bool TVPLordState::OneHundredChip(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->OneHundredChip(responder);
  }
  else
  {
	 return HandleOneHundredChip(responder);
  }
}
//*******************************************************************
bool TVPLordState::OneThouChip(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->OneThouChip(responder);
  }
  else
  {
	 return HandleOneThouChip(responder);
  }
}
//*******************************************************************
bool TVPLordState::TenThouChip(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->TenThouChip(responder);
  }
  else
  {
	 return HandleTenThouChip(responder);
  }
}
//*******************************************************************
bool TVPLordState::StatBar(TResponder &responder)
{
  return HandleStatBar(responder);
}
//*******************************************************************
bool TVPLordState::Bet1Button(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->Bet1Button(responder);
  }
  else
  {
    return HandleBet1(responder);
  }
}
//*******************************************************************
bool TVPLordState::MenuEscButton(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->MenuEscButton(responder);
  }
  else
  {
	 return HandleMenuEsc(responder);
  }
}
//*******************************************************************
bool TVPLordState::SpeedClick(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
	 return ((TVPLordState *)PActiveSubState)->SpeedClick(responder);
  }
  else
  {
	 return HandleSpeedClick(responder);
  }
}
//*******************************************************************
bool TVPLordState::BetMaxButton(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->BetMaxButton(responder);
  }
  else
  {
    return HandleBetMax(responder);
  }
}
//*******************************************************************
bool TVPLordState::CashOut(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->CashOut(responder);
  }
  else
  {
    return HandleCashOut(responder);
  }
}
//*******************************************************************
bool TVPLordState::DealDraw(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->DealDraw(responder);
  }
  else
  {
    return HandleDealDraw(responder);
  }
}
//*******************************************************************
bool TVPLordState::AddCoin(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->AddCoin(responder);
  }
  else
  {
    return HandleAddCoin(responder);
  }
}
//*******************************************************************
bool TVPLordState::AskExpert(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->HandleAskExpert(responder);
  }
  else
  {
    return HandleAskExpert(responder);
  }
}
//*******************************************************************
bool TVPLordState::HoldCard0(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->HoldCard0(responder);
  }
  else
  {
    return HandleHoldCard0(responder);
  }
}
//*******************************************************************
bool TVPLordState::HoldCard1(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->HoldCard1(responder);
  }
  else
  {
    return HandleHoldCard1(responder);
  }
}
//*******************************************************************
bool TVPLordState::HoldCard2(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->HoldCard2(responder);
  }
  else
  {
    return HandleHoldCard2(responder);
  }
}
//*******************************************************************
bool TVPLordState::HoldCard3(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->HoldCard3(responder);
  }
  else
  {
    return HandleHoldCard3(responder);
  }
}
//*******************************************************************
bool TVPLordState::HoldCard4(TResponder &responder)
{
  if (Status != ss_Running) {return true;}

  if (PActiveSubState != NULL)
  {
    return ((TVPLordState *)PActiveSubState)->HoldCard4(responder);
  }
  else
  {
    return HandleHoldCard4(responder);
  }
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleOneChip(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleFiveChip(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleTwentyFiveChip(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleOneHundredChip(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleOneThouChip(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleTenThouChip(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleSpeedClick(TResponder &responder)
{
  return false;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleMenuEsc(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleBet1(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleBetMax(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleCashOut(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleDealDraw(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleAddCoin(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleAskExpert(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleHoldCard0(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleHoldCard1(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleHoldCard2(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleHoldCard3(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleHoldCard4(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleStatBar(TResponder &responder)
{
  return true;
}
//*******************************************************************
#pragma argsused
bool TVPLordState::HandleNamePlate(TResponder &responder)
{
  if(pOwnerLord->GetNumActivePlayers() > 1)
  {
    return true;
  }
  return true;
}
//*******************************************************************
