//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  vplrdmst.cpp     // GameLord MainState
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     09/25/97   M.Perry     32-bit conversion.
//*******************************************************************
#include "vplordms.h"
//*******************************************************************
//TVPLordMainState::TVPLordMainState(TCasinoVPGameLord *pNewVPLord)
TVPLordMainState::TVPLordMainState(TACCVPGLord *pNewVPLord)
:TVPLordState(pNewVPLord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_StartSubState3,
 				  ess_StartSubState2,ess_Done);
 // SetHeedRecommend(FALSE,TRUE);
}
//*******************************************************************
TVPLordMainState::~TVPLordMainState()
{
}
//*******************************************************************
void TVPLordMainState::CreateSubState1()
{
  PActiveSubState = new TInitVPState(pOwnerLord);
  pOwnerLord->Button4->ShowGray();
  pOwnerLord->Button7->ShowGray();
}
//*******************************************************************
void TVPLordMainState::CreateSubState2()
{
  PActiveSubState = new TVPAct1State(pOwnerLord);
}
//*******************************************************************
void TVPLordMainState::CreateSubState3()
{
  PActiveSubState = new TVPAct2State(pOwnerLord);
}
//*******************************************************************
void TVPLordMainState::CreateSubState4()
{
//  PActiveSubState = new TVPDeInitState(pOwnerLord);
}
//*******************************************************************

