//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpbksp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "acvpbksp.h"
#include "oanm.h"
#include "owav.h"
//*******************************************************************
void TACVPBackground::SetupAnms()
{
  PBack = GetAnm(0);
  PBack->CAD.ClearAutoStart();
  PBack->CAD.ClearAutoStop();
  PBack->CAD.SetDirStill();;
}
//*******************************************************************
TACVPBackground::TACVPBackground(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TACVPBackground::TACVPBackground(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
}
//*******************************************************************
TACVPBackground::~TACVPBackground()
{
}

