//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpfasp.cpp
//    Project Name:  Casino
// Original Author:  Adam Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry    moved into cpp file.
//  2.0    09/27/97    M.Perry    32-bit conversion.
//********************************************************************
#include "acvpfasp.h"
#include "oanm.h"
#include "owav.h"
//*******************************************************************
/*void TACVPFAss::SetupWavs()
{
	 PFlipSound = GetWav(0);
	 if (PFlipSound == NULL) {AnmError("Look Sprite","FlipSound",0);}
} */
//*******************************************************************
void TACVPFAss::SetupAnms()
{
    PAss = GetAnm(0);
	 if (PAss == NULL) {AnmError("FAss Sprite","ass",0);}
     PAss->NoShow();
    PAss->CAD.ClearAutoStart();
    PAss->CAD.ClearAutoStop();
    PAss->CAD.SetDirStill();
}
//*******************************************************************
TACVPFAss::TACVPFAss(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
//  SetupWavs();
}
//*******************************************************************
TACVPFAss::TACVPFAss(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
 // SetupWavs();
}
//*******************************************************************
TACVPFAss::~TACVPFAss()
{
}
//*******************************************************************
