//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpjbsp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "acvpjbsp.h"
#include "oanm.h"
#include "owav.h"
//*******************************************************************
void TACVPJackpotBonus::SetupAnms()
{
//???	 PWavs[i] = GetWav(i);
  PJackB = GetAnm(0);
  PJackB->CAD.ClearAutoStart();
  PJackB->CAD.ClearAutoStop();
  PJackB->CAD.SetDirStill();;
 // int16 i=0;
  //while(i<13 && PWavs[i] != NULL)
  //{
  //	i++;
  //}
}
//*******************************************************************
TACVPJackpotBonus::TACVPJackpotBonus(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
  multFrame = 0;
  delayFuc=0;
}
//*******************************************************************
TACVPJackpotBonus::TACVPJackpotBonus(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
  multFrame = 0;
  delayFuc=0;
}
//*******************************************************************
TACVPJackpotBonus::~TACVPJackpotBonus()
{
}
//*******************************************************************
void TACVPJackpotBonus::PostUpdate(dword NewFUC)
{
   if(delayFuc)
   {
     if(delayFuc == 1)
     {
       PJackB->CAD.SetCurrentFrame(multFrame);
     }
     else
     {
       PJackB->CAD.SetCurrentFrame((PJackB->CAD.GetCurrentFrame()+random(5)+1)%7);
     }
     PJackB->Show();
     delayFuc--;
   }
	TSprite::PostUpdate(NewFUC);
}
//*******************************************************************
int16 TACVPJackpotBonus::RollBonus()
{
    if (PJackB == NULL) {return -1;}
    delayFuc = random(12)+2;
	 return delayFuc;
}
//*******************************************************************
void TACVPJackpotBonus::InitBonus(int16 num)
{
  if (PJackB == NULL) {return;}

  PJackB->CAD.SetCurrentFrame(num);
  PJackB->Show();
  multFrame = num;
  Update(GetAdjFUC());
}
//*******************************************************************
void TACVPJackpotBonus::SetBonus(int16 num)
{
  if (PJackB == NULL) {return;}

  //PWavs[num]->Start();
  PJackB->CAD.SetCurrentFrame(num);
  PJackB->Show();

  Update(GetAdjFUC());
}
//*******************************************************************
int16 TACVPJackpotBonus::SetMult()
{
  int16 multValue=0;
  int xx = random(100);
  if(xx < 50)
  {multFrame = 0;}
  else if(xx < 70)
  {multFrame = 1;}
  else if(xx < 83)
  {multFrame = 2;}
  else if(xx < 90)
  {multFrame = 3;}
  else if(xx < 95)
  {multFrame = 4;}
  else if(xx < 99)
  {multFrame = 5;}
  else
  {multFrame = 6;}

  switch(multFrame)
  {
    case 0 : multValue = 35;break;
    case 1 : multValue = 50;break;
    case 2 : multValue = 75;break;
    case 3 : multValue = 100;break;
    case 4 : multValue = 250;break;
    case 5 : multValue = 500;break;
    case 6 : multValue = 1000;break;

  }
  return multValue;
}