//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvpttsp.cpp
//    Project Name:  Casino
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/19/96    M.Perry     moved into cpp file.
//  2.0    09/25/97    M.Perry     32-bit conversion.
//********************************************************************
#include "acvpttsp.h"
#include "oanm.h"
#include "owav.h"
//*******************************************************************
void TACVPTreasureTrove::SetupAnms()
{
//???	 PWavs[i] = GetWav(i);
  PChest = GetAnm(0);
  PChest->CAD.ClearAutoStart();
  PChest->CAD.ClearAutoStop();
  PChest->CAD.SetDirStill();;
 // int16 i=0;
  //while(i<13 && PWavs[i] != NULL)
  //{
  //	i++;
  //}
}
//*******************************************************************
TACVPTreasureTrove::TACVPTreasureTrove(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  NoShow();
  SetToManual();
  SetupAnms();
  multFrame = 0;
  delayFuc=0;
}
//*******************************************************************
TACVPTreasureTrove::TACVPTreasureTrove(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  NoShow();
  SetToManual();
  SetupAnms();
  multFrame = 0;
  delayFuc=0;
}
//*******************************************************************
TACVPTreasureTrove::~TACVPTreasureTrove()
{
}
//*******************************************************************
void TACVPTreasureTrove::PostUpdate(dword NewFUC)
{
   if(delayFuc)
   {
     if(delayFuc == 1)
     {
       PChest->CAD.SetCurrentFrame(multFrame);
     }
     else
     {
       PChest->CAD.SetCurrentFrame((PChest->CAD.GetCurrentFrame()+random(3)+1)%5);
     }
     PChest->Show();
     delayFuc--;
   }
	TSprite::PostUpdate(NewFUC);
}
//*******************************************************************
int16 TACVPTreasureTrove::RollChest()
{
    if (PChest == NULL) {return -1;}
    delayFuc = random(12)+2;
	 return delayFuc;
}
//*******************************************************************
void TACVPTreasureTrove::InitChest(int16 num)
{
  if (PChest == NULL) {return;}

  PChest->CAD.SetCurrentFrame(num);
  PChest->Show();
  multFrame = num;
  Update(GetAdjFUC());
}
//*******************************************************************
void TACVPTreasureTrove::SetChest(int16 num)
{
  if (PChest == NULL) {return;}

  //PWavs[num]->Start();
  PChest->CAD.SetCurrentFrame(num);
  PChest->Show();

  Update(GetAdjFUC());
}
//*******************************************************************
int16 TACVPTreasureTrove::SetMult()
{
  int16 multValue=0;
  int xx = random(100);
  if(xx < 50)
  {multFrame = 0;}
  else if(xx < 80)
  {multFrame = 1;}
  else if(xx < 92)
  {multFrame = 2;}
  else if(xx < 98)
  {multFrame = 3;}
  else
  {multFrame = 4;}

  switch(multFrame)
  {
    case 0 : multValue = 1;break;
    case 1 : multValue = 2;break;
    case 2 : multValue = 3;break;
    case 3 : multValue = 4;break;
    case 4 : multValue = 5;break;
  }
  return multValue;
}