//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvslpsp.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry    original baseline
//********************************************************************
#include "acvslpsp.h"
#include "oanm.h"
//*******************************************************************
TACVPSlotsLaps::TACVPSlotsLaps(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TACVPSlotsLaps::TACVPSlotsLaps(TOgleModeWindow *pmw,const TFileMode &NewFileMode,void *psource)
:TSprite(pmw,NewFileMode,psource)
{
  SetToManual();
  NoShow();
  SetupAnms();
}
//*******************************************************************
TACVPSlotsLaps::~TACVPSlotsLaps()
{
}
//*******************************************************************
void TACVPSlotsLaps::SetNum(int16 frame)
{
  int16 setframe = int16(frame/100);
  if(frame < 0){return;}
  PLaps->CAD.SetCurrentFrame(setframe);
  PLaps->Show();
  Update(GetAdjFUC());
}
//*******************************************************************
void TACVPSlotsLaps::SetupAnms()
{
	PLaps = GetAnm(0);
	if (PLaps == NULL) {AnmError("Laps","Nums",0);}
	PLaps->CAD.ClearAutoStart();
	PLaps->CAD.ClearAutoStop();
	PLaps->CAD.SetDirStill();
	Update(GetAdjFUC());
}
//*******************************************************************
