//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  acvsmst.h
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  2.5    10/17/99    M.Perry     Original baseline
//*******************************************************************
#include "acvsmst.h"
//*******************************************************************
TACVPSlotsLordMainState::TACVPSlotsLordMainState(TACVPSlotsGameLord *plord)
:TACVPSlotsLordState(plord)
{
  SetRunOrder(ess_StartSubState1,ess_StartSubState2,ess_Done);
}
//*******************************************************************
TACVPSlotsLordMainState::~TACVPSlotsLordMainState()
{
}
//*******************************************************************
void TACVPSlotsLordMainState::CreateSubState1()
{
  PActiveSubState = new TACVPSlotsInitState(pOwnerLord);
//  pOwnerLord->Button0->ShowGray(); //??? handled in glord->InitS() ???
}
//*******************************************************************
void TACVPSlotsLordMainState::CreateSubState2()
{
  PActiveSubState = new TACVPSlotsAct1State(pOwnerLord);
}
//*******************************************************************
//void TACVPSlotsLordMainState::CreateSubState3()
//{
//  PActiveSubState = new TACVPSlotsAct2State(pOwnerLord);
//}
//*******************************************************************

