//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  acvssdsp.cpp
//    Project Name:  acvp
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  2.5    10/17/99    M.Perry     original baseline.
//********************************************************************
#include "acvssdsp.h"
//#include "owav.h"
//*******************************************************************
void TACVPSlotsSound::SetupWavs()
{
  for(int16 i=0;i<NumSounds;i++)
  {
	 Sounds[i] = GetWav(i);
	 if (i <= (NumSounds - 2) && Sounds[i] == NULL) {AnmError("Sound Sprite","sound",i);}
  }
//  Sounds[4] = GetWav(4);
//  Sounds[5] = GetWav(5);
  if (Sounds[4] == NULL)
  {
    r3 = 1;
    r2 = 2;
    r1 = 3;
  }
  else
  {
    r3 = 2;
    r2 = 3;
    r1 = 4;
  }
}
//*******************************************************************
TACVPSlotsSound::TACVPSlotsSound(TOgleModeWindow *pmw,const TFileMode &NewFileMode)
:TSprite(pmw,NewFileMode)
{
  SetToManual();
  NoShow();
  SetupWavs();
}
//*******************************************************************
TACVPSlotsSound::TACVPSlotsSound(TOgleModeWindow *pmw,const TFileMode &fm,void *psource)
:TSprite(pmw,fm,psource)
{
  SetToManual();
  NoShow();
  SetupWavs();
}
//*******************************************************************
TACVPSlotsSound::~TACVPSlotsSound()
{
}
//*******************************************************************
void TACVPSlotsSound::PlaySound(int16 sound)
{
  if (sound >= 0 && sound < NumSounds && Sounds[sound] != NULL)
  {
    Sounds[sound]->Start();
    Update(GetAdjFUC());
  }
}
//*******************************************************************
