//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedini.h
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     9/20/95    M.Perry    original baseline
//********************************************************************
#if !defined(__gedini_h)
#define __gedini_h

#include "oinifile.h"
//*******************************************************************
class TGEdIniFile:public TOgleIniFile
{
public:
  TGEdIniFile(string &hddrive,string &hddir,string &exename)
    :TOgleIniFile(hddrive,hddir,exename,string("ged.ini"))
  {
    SetToDefaults();
  }
  virtual ~TGEdIniFile() {}

protected:
  TGEdIniFile() {}
  virtual void SetToDefaults()
  {
    TOgleIniFile::SetToDefaults();
    SetCDDrive(GetHDDrive());
    SetCDDir(GetHDDir());
  }
};
//*******************************************************************
#endif
