//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedwin.h
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     8/3/95     M.Perry     original baseline
//  2.0    10/28/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__gedwin_h)
#define __gedwin_h

#if !defined(__omsg_h)
#include "omsg.h"
#endif

#if !defined(__oapp_h)
#include "oapp.h"
#endif

//#include "omsghand.h"

#if !defined(__CSTRING_H)
#include <cstring.h>
#endif

#if !defined(OWL_SCROLLER_H)
#include <owl/scroller.h> //for TScroller
#endif

#if !defined(OWL_OPENSAVE_H)
#include <owl/opensave.h>//for TOpenSaveDialog
#endif

#if !defined(OWL_DC_H)
#include <owl/dc.h>
#endif

//#include <osl/geometry.h>

//#if defined(OGLEOWLVER5)
//  #include <winsys\geometry.h>
//#else
//  #include <osl\geometry.h>
//#endif

#if !defined(__ogeo_h)
#include "ogeo.h"
#endif

#if !defined(CLASSLIB_ARRAYS_H)
#include <classlib/arrays.h>
#endif

#if !defined(__geddef_h)
#include "geddef.h"
#endif
class TVDFlags;
//*******************************************************************
class GEDOWLCLASS TGedWin :public TWindow//,TOgleMsgHandler
{
private:
  TOgleFileMgr *PFileMgr;

  public:
  TOgleFileMgr *GetFileMgr()
  {
    if (PFileMgr != NULL) {return PFileMgr;}
    PFileMgr = GetOgleApp()->GetFileMgr();
    return PFileMgr;
  }
  TOgleApp *GetOgleApp() {return TOgleApp::GetOgleApp();}
  TOgleGameFrameWindow *GetFW() {return (TOgleGameFrameWindow *)GetOgleApp()->GetMainWindow();}
  TGedWin() : TWindow(0,"GedWin"),PFileMgr(NULL) {}
  virtual ~TGedWin() {}
  TVDFlags &GetVDFlags();

  protected:
  bool VerifyNumbers(string str);
  int TranslateStrToInt(string str);
  int GetInt(string Title,int defvalue = 1234);
  int GetIntRange(int minint,int maxint,string Title);

//  DECLARE_RESPONSE_TABLE(TGedWin);
};
//*******************************************************************
#endif

