//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedmmain.cpp
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     8/17/95    M.Perry     original baseline
//  2.0    10/29/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__gedmmain_h)
#include "gedmmain.h"
#endif

#if !defined(__gedmodew_h)
#include "gedmodew.h"
#endif

//#include "gedspmsg.h"

#if !defined(__gedspm_h)
#include "gedspm.h"
#endif

#if !defined(__gedskm_h)
#include "gedskm.h"
#endif
//*******************************************************************
TGEdModeMainState::TGEdModeMainState(TEditorModeWin *PNewModeWindow)
               :TGEdModeState(PNewModeWindow)
{
  #ifdef STATEDEBUG
  strcpy(ClassName,"TGEdModeMainState");
  #endif
  SetRunOrder(ess_Execute,ess_Execute,ess_Execute,ess_Done,ess_Done,ess_Done);
  SetHeedRecommend(false);
}
//*******************,************************************************
TGEdModeMainState::~TGEdModeMainState()
{
}
//*******************************************************************
void TGEdModeMainState::CreateSubState1()
{
  PActiveSubState = new TGEdModePreviewSpriteState(GetGEdModeWin());
}
//*******************************************************************
void TGEdModeMainState::CreateSubState2()
{
  PActiveSubState = new TGEdModePreviewSkitState(GetGEdModeWin());
}
//*******************************************************************
void TGEdModeMainState::ExecuteFirstTime()
{
  ExecuteWaiting = true;
  ExecuteStatus = ess_Execute;
}
//*******************************************************************
void TGEdModeMainState::Execute()
{
  ExecuteStatus = ess_Execute;
  if (GetGEdModeWin()->GetPreviewSprite())
  {
    if (GetGEdModeWin()->SpritePreviewDone)
    {
//      (new TGedSwitchToSpriteEditorMsg())->Post();
      TSwToSprEdMsg().PostToFW();
    }
    else
    {
      ExecuteStatus = ess_StartSubState1;
    }
  }
  else if (GetGEdModeWin()->GetPreviewSkit())
  {
    if (GetGEdModeWin()->SkitPreviewDone)
    {
//      (new TGedSwitchToSkitEditorMsg())->Post();
      TSwToSktEdMsg().PostToFW();
    }
    else
    {
      ExecuteStatus = ess_StartSubState2;
    }
  }
}
//*******************************************************************

