//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  gedwin.cpp
//    Project Name:  GEd
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     8/7/95     M.Perry     original baseline
//  2.0    10/28/97    M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__gedwin_h)
#include "gedwin.h"
#endif

//#include <owl/framewin.h>

#if !defined(__geddlgs_h)
#include "geddlgs.h"
#endif

#if !defined(__gedapp_h)
#include "gedapp.h"
#endif
//*******************************************************************
//DEFINE_RESPONSE_TABLE1(TGedWin,TWindow)
//  EV_MESSAGE(PM_OGLEMSG,PmHandleOgleMsg),
//END_RESPONSE_TABLE;
//*******************************************************************
TVDFlags &TGedWin::GetVDFlags()
{
//  return (((TGameEditorApp *)POgleApp)->VDFlags);
  return (((TGameEditorApp *)GetOgleApp())->VDFlags);
}
//*******************************************************************
bool TGedWin::VerifyNumbers(string str)
{
  if (str.find_first_not_of("-0123456789") == NPOS)
  {
    string s = str.substr(1);
    if (s.find_first_not_of("0123456789") == NPOS)
    {
      return true;
    }
    else
    {
      return false;
    }
  }
  else
  {
    return false;
  }
}
//*******************************************************************
int TGedWin::TranslateStrToInt(string str)
{
  return (atoi(str.c_str()));
}
//*******************************************************************
int TGedWin::GetInt(string Title,int defvalue)
{
  char intstring[17];
  itoa(defvalue,intstring,10);
  intstring[5] = '\0';

  bool Out = false;
  while (!Out)
  {
    char buffer[5];
    strcpy(buffer,intstring);

    TInputDialog tid(this,"Enter Integer",Title.c_str(),buffer,5);
    if (tid.Execute() == IDOK)
    {
      string s = buffer;
      if (VerifyNumbers(s))
      {
        return (TranslateStrToInt(s));
      }
    }
  }
  return 0;  // shouldn't hit.
}
//*******************************************************************
int TGedWin::GetIntRange(int minint,int maxint,string Title)
{
  bool Out = false;
  while (!Out)
  {
    int x = GetInt(Title);
    if ((x >= minint) && (x <= maxint)) {return x;}
  }
  return 0; // shouldn't hit.
}
//*******************************************************************
