create or replace package body PChipsCashDepTX as
//*******************************************************************
procedure Create(ean IN,uan IN,amount IN,code IN,chipscashdeptx OUT,ec OUT)
{
  ec = EC_NONE;

  PWallet.Lock(uan,wallet,ec);

  if (wallet.GetCashChips() < amount)
  {
    ec = EC_WALLET_CHIPS_CASH_NSF;
    PWallet.UnLock(wallet,ec);
  }
  else
  {
    wallet.IncBalance(amount);
    wallet.DecChipsCash(amount);
    PWallet.UnLock(wallet,ec);

    chipscashdeptx TChipsCashDepTX = TChipsCashDepTX(TXID_Seq.Next(),
                                                     uan,
                                                     false,
                                                     amount,
                                                     code,
                                                     ean,
                                                     SYSDATE);
  }
}
//*******************************************************************
procedure Add(chipscashdeptx IN,ec OUT)
{
  insert chipscashdeptx
  into Tbl_ChipsCashDepTX
}
//*******************************************************************
procedure CreateAdd(ean IN,uan IN,amount IN,code IN,txid OUT,ec OUT)
{
  Create(ean,uan,amount,code,chipscashdeptx,ec);
  if (ec == EC_NONE)
  {
    txid = chipscashdeptx.TXID;
    Add(chipscashdeptx,ec);
  }
}
//*******************************************************************
end;