create or replace package body PAce as
// **************************** support *****************************
procedure Support_GetPhone(ean IN,phone OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetPhone(phone,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_PHONE_READ,0,0,ec);
    }
  }
}
//*******************************************************************
procedure Support_SetPhone(ean IN,phone IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetPhone(oldphone,ec);
    PCasCfg.Support_SetPhone(phone,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_PHONE_WRITE,oldphone,newphone,ec);
    }
  }
}
//*******************************************************************
procedure Support_GetEmail(ean IN,email OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetEMail(email,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_EMAIL_READ,0,0,ec);
    }
  }
}
//*******************************************************************
procedure Support_SetEmail(ean IN,email IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetEMail(oldemail,ec);
    PCasCfg.Support_SetEMail(email,ec);
    if(ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_EMAIL_WRITE,oldemail,email,ec);
    }
  }
}
//*******************************************************************
procedure Support_GetWebUrl(ean IN,weburl OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetWebUrl(weburl,ec);
    PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_WEBURL_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Support_SetWebUrl(ean IN,weburl IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetWebUrl(oldweburl,ec);
    PCasCfg.Support_SetWebUrl(weburl,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_WEBURL_WRITE,oldweburl,weburl,ec);
    }
  }
}
//*******************************************************************
procedure Support_GetNewWelcome(ean IN,welcome OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPPORT,PRIV_SUPPORT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetNewWelcome(welcome,ec);
    PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_NEWWELCOME_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Support_SetNewWelcome(ean IN,welcome IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetNewWelcome(oldwelcome,ec);
    PCasCfg.Support_SetNewWelcome(welcome,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_NEWWELCOME_WRITE,oldwelcome,welcome,ec);
    }
  }
}
//*******************************************************************
procedure Support_GetNewDisclaimer(ean IN,disclaimer OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetNewDisclaimer(disclaimer,ec);
    PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_NEWDISCLAIMER_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Support_SetNewDisclaimer(ean IN,disclaimer IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SUPPORT,PRIV_SUPPORT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Support_GetNewDisclaimer(olddisclaimer,ec);
    PCasCfg.Support_SetNewDisclaimer(disclaimer,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_SUPPORT_CFG_NEWDISCLAIMER_WRITE,
                     olddisclaimer,disclaimer,ec);
    }
  }
}
// ***************************** lobby ******************************
procedure Lobby_GetGreetingOn(ean IN,on OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_LOBBY,PRIV_LOBBY_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Lobby_GetGreetingOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_LOBBY_CFG_GREETINGON_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Lobby_SetGreetinOn(ean IN,on IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_LOBBY,PRIV_LOBBY_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Lobby_GetGreetingOn(oldon,ec);
    PCasCfg.Lobby_SetGreetingOn(on,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_LOBBY_CFG_GREETINGON_WRITE,oldon,on,ec);
    }
  }
}
//*******************************************************************
procedure Lobby_GetGreetingTxt(ean IN,greeting OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_LOBBY,PRIV_LOBBY_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Lobby_GetGreetingTxt(greeting,ec);
    PLog.CreateAdd(ean,0,LOG_LOBBY_CFG_GREETINGTXT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Lobby_SetGreetingTxt(ean IN,greeting IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_LOBBY,PRIV_LOBBY_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Lobby_GetGreetingTxt(oldgreeting,ec);
    PCasCfg.Lobby_SetGreetingTxt(greeting,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_LOBBY_CFG_GREETINGTXT_WRITE,oldgreeting,greeting,ec);
    }
  }
}
//*******************************************************************
procedure Lobby_GetMarqueeTxt(ean IN,marquee OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_LOBBY,PRIV_LOBBY_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Lobby_GetMarqueeTxt(marquee,ec);
    PLog.CreateAdd(ean,0,LOG_LOBBY_CFG_MARQUEETXT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Lobby_SetMarqueeTxt(ean IN,marquee IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_LOBBY,PRIV_LOBBY_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Lobby_GetMarqueeTxt(oldmarquee,ec);
    PCasCfg.Lobby_SetMarqueeTxt(marquee,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_LOBBY_CFG_MARQUEETXT_WRITE,oldmarquee,marquee,ec);
    }
  }
}
// ***************************** bank cfg ***************************
procedure Bank_GetAllowCashPlay(ean IN,cash OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_CASH_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetAllowCashPlay(cash,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_CASH_CFG_ALLOW_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetAllowCashPlay(ean IN,cash IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_CASH_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetAllowCashPlay(oldcash,ec);
    PCasCfg.Bank_SetAllowCashPlay(cash,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_CASH_CFG_ALLOW_READ,oldcash,cash,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetAllowFreePlay(ean IN,free OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetAllowFreePlay(free,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_ALLOW_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetAllowFreePlay(ean IN,free IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIVSET_TX_CHIPS_FREE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetAllowFreePlay(oldfree,ec);
    PCasCfg.Bank_SetAllowFreePlay(free,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_ALLOW_READ,oldfree,free,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetNewUsersFreePlayAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetNewUsersFreePlayAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_NEWAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetNewUsersFreePlayAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetNewUsersFreePlayAmount(oldamount,ec);
    PCasCfg.Bank_SetNewUsersFreePlayAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_NEWAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetNewFreeOnlyFreePlayAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetNewFreeOnlyFreePlayAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_NEWFREEONLYAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetNewFreeOnlyFreePlayAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetNewFreeOnlyFreePlayAmount(oldamount,ec);
    PCasCfg.Bank_SetNewFreeOnlyFreePlayAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_NEWFREEONLYAMOUNT_WRITE,
                     oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetAddDailyFreePlayAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetAddDailyFreePlayAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_ADDDAILYAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetAddDailyFreePlayAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetAddDailyFreePlayAmount(oldamount,ec);
    PCasCfg.Bank_SetAddDailyFreePlayAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_ADDDAILYAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetMaxAddDailyFreePlayUnlessFlag(ean IN,flag OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetMaxAddDailyFreePlayUnlessFlag(flag,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSFLAG_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetMaxAddDailyFreePlayUnlessFlag(ean IN,flag IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetMaxAddDailyFreePlayUnlessFlag(oldflag,ec);
    PCasCfg.Bank_SetMaxAddDailyFreePlayUnlessFlag(flag,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSFLAG_WRITE,
                     oldflag,flag,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetMaxAddDailyFreePlayUnlessAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetMaxAddDailyFreePlayUnlessAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetMaxAddDailyFreePlayUnlessAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetMaxAddDailyFreePlayUnlessAmount(oldamount,ec);
    PCasCfg.Bank_SetMaxAddDailyFreePlayUnlessAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYUNLESSAMOUNT_WRITE,
                     oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GetMaxAddDailyFreePlayCashLockoutFlag(ean IN,flag OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetMaxAddDailyFreePlayCashLockoutFlag(flag,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYCASHLOCKOUTFLAG_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Bank_SetMaxAddDailyFreePlayCashLockoutFlag(ean IN,flag IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Bank_GetMaxAddDailyFreePlayCashLockoutFlag(oldflag,ec);
    PCasCfg.Bank_SetMaxAddDailyFreePlayCashLockoutFlag(flag,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_CFG_MAXADDDAILYCASHLOCKOUTFLAG_WRITE,
                     oldflag,flag,ec);
    }
  }
}
//*******************************************************************
procedure Bank_GiveFreePlayAmount(ean IN PDef.TEAN,amount IN PDef.TCurrency,
                                  rlonly IN PDef.TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,PRIV_TX_CHIPS_FREE_DEP_CREATE,ec);
  if (ec == EC_NONE)
  {
    PUser.GiveFreePlayAmount(amount,rlonly,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHIPS_FREE_GIVE,rlonly,amount,ec);
    }
  }
}
// **************************** check cfg ***************************
procedure Check_GetAllowDep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowDep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWDEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetAllowDep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowDep(oldallow,ec);
    PCasCfg.Check_SetAllowDep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWDEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetMinDepAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMinDepAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MINDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetMinDepAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMinDepAmount(oldamount,ec);
    PCasCfg.Check_SetMinDepAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MINDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetMaxDepAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMaxDepAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MAXDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetMaxDepAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMaxDepAmount(oldamount,ec);
    PCasCfg.Check_SetMaxDepAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MAXDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetDepServiceFee(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetDepServiceFee(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_DEPSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetDepServiceFee(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIVSET_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetDepServiceFee(oldamount,ec);
    PCasCfg.Check_SetDepServiceFee(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_DEPSERVEFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetAllowAdvances(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowAdvances(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWADVANCES_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetAllowAdvances(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowAdvances(oldallow,ec);
    PCasCfg.Check_SetAllowAdvances(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWADVANCES_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetDepInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIVSET_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetDepInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_DEPINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetDepInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetDepInstructions(oldinstr,ec);
    PCasCfg.Check_SetDepInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_DEPINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetAllowWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetAllowWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowWD(oldallow,ec);
    PCasCfg.Check_SetAllowWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWWD_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetMinWDAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMinWDAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MINWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetMinWDAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMinWDAmount(oldamount,ec);
    PCasCfg.Check_SetMinWDAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MINWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetMaxWDAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMaxWDAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_MAXWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetMaxWDAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetMaxWDAmount(oldamount,ec);
    PCasCfg.Check_SetMaxWDAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_MAXWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetWDServiceFeeRegular(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetWDServiceFeeRegular(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_WDSERVFEEREG_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetWDServiceFeeRegular(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetWDServiceFeeRegular(oldamount,ec);
    PCasCfg.Check_SetWDServiceFeeRegular(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_WDSERVFEEREG_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetWDServiceFeeExpress(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetWDServiceFeeExpress(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_WDSERVFEEEXP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetWDServiceFeeExpress(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetWDServiceFeeExpress(oldamount,ec);
    PCasCfg.Check_SetWDServiceFeeExpress(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_WDSERVFEEEXP_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetWDInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetWDInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_WDINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetWDInstructions(ean IN,instr In string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetWDInstructions(oldinstr,ec);
    PCasCfg.Check_SetWDInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_WDINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure Check_GetAllowEmpNewWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowEmpNewWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWEMPNEWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Check_SetAllowEmpNewWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Check_GetAllowEmpNewWD(oldallow,ec);
    PCasCfg.Check_SetAllowEmpNewWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_ALLOWEMPNEWWD_WRITE,oldallow,allow,ec);
    }
  }
}
// ************************* credit cards cfg ***********************
procedure CC_GetAllowDep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowDep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWDEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAllowDep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowDep(oldallow,ec);
    PCasCfg.CC_SetAllowDep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWDEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetMinDepAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMinDepAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MINDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetMinDepAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMinDepAmount(oldamount,ec);
    PCasCfg.CC_SetMinDepAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MINDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetMaxDepAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMaxDepAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MAXDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetMaxDepAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMaxDepAmount(oldamount,ec);
    PCasCfg.CC_SetMaxDepAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MAXDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetDepServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetDepServiceFeeAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_DEPSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetDepServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetDepServiceFeeAmount(oldamount,ec);
    PCasCfg.CC_SetDepServiceFeeAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_DEPSERVFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetDepInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetDepInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_DEPINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetDepInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIVS_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetDepInstructions(oldinstr,ec);
    PCasCfg.CC_SetDepInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_DEPINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetAllowAutoDep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowAutoDep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWAUTODEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAllowAutoDep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowAutoDep(oldallow,ec);
    PCasCfg.CC_SetAllowAutoDep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWAUTODEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetAllowWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAllowWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowWD(oldallow,ec);
    PCasCfg.CC_SetAllowWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWWD_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetMinWDAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMinWDAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MINWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetMinWDAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMinWDAmount(oldamount,ec);
    PCasCfg.CC_SetMinWDAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MINWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetMaxWDAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMaxWDAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MAXWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetMaxWDAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetMaxWDAmount(oldamount,ec);
    PCasCfg.CC_SetMaxWDAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_MAXWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetWDServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetWDServiceFeeAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_WDSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetWDServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetWDServiceFeeAmount(oldamount,ec);
    PCasCfg.CC_SetWDServiceFeeAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_WDSERVFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetAllowWD_GT_Dep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowWD_GT_Dep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWWDGTDEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAllowWD_GT_Dep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowWD_GT_Dep(oldallow,ec);
    PCasCfg.CC_SetAllowWD_GT_Dep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWWDGTDEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetRecreditExpireDays(ean IN,amount OUT uint16,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetRecreditExpireDays(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_RECREDITEXPDAYS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetRecreditExpireDays(ean IN,amount IN uint16,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetRecreditExpireDays(oldamount,ec);
    PCasCfg.CC_SetRecreditExpireDays(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_RECREDITEXPDAYS_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetWDInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetWDInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_WDINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetWDInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetWDInstructions(oldinstr,ec);
    PCasCfg.CC_SetWDInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_WDINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetAutoWD(ean IN,auto OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAutoWD(auto,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWAUTOWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAutoWD(ean IN,auto IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAutoWD(oldauto,ec);
    PCasCfg.CC_SetAutoWD(auto,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWAUTOWD_WRITE,oldauto,auto,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetAllowEmpNewDep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowEmpNewDep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWEMPNEWDEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAllowEmpNewDep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowEmpNewDep(oldallow,ec);
    PCasCfg.CC_SetAllowEmpNewDep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWEMPNEWDEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure CC_GetAllowEmpNewWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowEmpNewWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOW_EMPNEWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure CC_SetAllowEmpNewWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.CC_GetAllowEmpNewWD(oldallow,ec);
    PCasCfg.CC_SetAllowEmpNewWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_ALLOWEMPNEWWD_WRITE,oldallow,allow,ec);
    }
  }
}
// *************************** western union cfg ********************
procedure WU_GetAllowDep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAllowDep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWDEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetAllowDep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAllowDep(oldallow,ec);
    PCasCfg.WU_SetAllowDep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWDEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetMinDepAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMinDepAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MINDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetMinDepAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMinDepAmount(oldamount,ec);
    PCasCfg.WU_SetMinDepAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MINDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetMaxDepAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMaxDepAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MAXDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetMaxDepAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMaxDepAmount(oldamount,ec);
    PCasCfg.WU_SetMaxDepAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MAXDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetDepServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetDepServiceFeeAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_DEPSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetDepServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetDepServiceFeeAmount(oldamount,ec);
    PCasCfg.WU_SetDepServiceFeeAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_DEPSERVFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetDepInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetDepInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_DEPINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetDepInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetDepInstructions(oldinstr,ec);
    PCasCfg.WU_SetDepInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_DEPINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetAllowWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAllowWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetAllowWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAllowWD(oldallow,ec);
    PCasCfg.WU_SetAllowWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWWD_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetMinWDAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMinWDAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MINWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetMinWDAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMinWDAmount(oldamount,ec);
    PCasCfg.WU_SetMInWDAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MINWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetMaxWDAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMaxWDAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MAXWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetMaxWDAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetMaxWDAmount(oldamount,ec);
    PCasCfg.WU_SetMaxWDAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_MAXWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetWDServiceFeeAmount(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetWDServiceFeeAmount(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_WDSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetWDServiceFeeAmount(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET-TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetWDServiceFeeAmount(oldamount,ec);
    PCasCfg.WU_SetWDServiceFeeAmount(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_WDSERVFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetWDInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetWDInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_WDINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetWDInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetWDInstructions(oldinstr,ec);
    PCasCfg.WU_SetWDInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_WDINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetAutoWD(ean IN,auto OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAutoWD(auto,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWAUTOWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetAutoWD(ean IN,auto IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAutoWD(oldauto,ec);
    PCasCfg.WU_SetAutoWD(auto,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWAUTOWD_WRITE,oldauto,auto,ec);
    }
  }
}
//*******************************************************************
procedure WU_GetAllowEmpNewWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAllowEmpNewWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWEMPNEWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WU_SetAllowEmpNewWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WU_GetAllowEmpNewWD(oldallow,ec);
    PCasCfg.WU_SetAllowEmpNewWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_ALLOWEMPNEWWD_WRITE,oldallow,allow,ec);
    }
  }
}
// *************************** wire transfers cfg *******************
procedure WT_GetAllowDep(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowDep(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWDEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetAllowDep(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowDep(oldallow,ec);
    PCasCfg.WT_SetAllowDep(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWDEP_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetMinDep(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMinDep(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MINDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetMinDep(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMinDep(oldamount,ec);
    PCasCfg.WT_SetMinDep(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MINDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetMaxDep(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMaxDep(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MAXDEPAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetMaxDep(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMaxDep(oldamount,ec);
    PCasCfg.WT_SetMaxDep(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MAXDEPAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetDepServiceFee(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetDepServiceFee(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_DEPSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetDepServiceFee(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WRITE,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetDepServiceFee(oldamount,ec);
    PCasCfg.WT_SetDepServiceFee(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_DEPSERVFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetAllowDepAdvances(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowDepAdvances(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWDEPADVANCES_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetAllowDepAdvances(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowDepAdvances(oldallow,ec);
    PCasCfg.WT_SetAllowDepAdvances(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWDEPADVANCES_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetDepInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetDepInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_DEPINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetDepInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetDepInstructions(oldinstr,ec);
    PCasCfg.WT_SetDepInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_DEPINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetAllowWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetAllowWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowWD(oldallow,ec);
    PCasCfg.WT_SetAllowWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWWD_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetMinWD(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMinWD(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MINWDAMOUNT,READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetMinWD(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMinWD(oldamount,ec);
    PCasCfg.WT_SetMinWD(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MINWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetMaxWD(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMaxWD(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MAXWDAMOUNT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetMaxWD(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetMaxWD(oldamount,ec);
    PCasCfg.WT_SetMaxWD(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_MAXWDAMOUNT_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetWDServiceFee(ean IN,amount OUT TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetWDServiceFee(amount,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_WDSERVFEE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetWDServiceFee(ean IN,amount IN TCurrency,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetWDServiceFee(oldamount,ec);
    PCasCfg.WT_SetWDServiceFee(amount,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_WDSERVFEE_WRITE,oldamount,amount,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetWDInstructions(ean IN,instr OUT string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetWDInstructions(instr,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_WDINSTRUCTIONS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetWDInstructions(ean IN,instr IN string,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetWDInstructions(oldinstr,ec);
    PCasCfg.WT_SetWDInstructions(instr,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_WDINSTRUCTIONS_WRITE,oldinstr,instr,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetAllowAutoWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowAutoWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWAUTOWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetAllowAutoWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowAutoWD(oldallow,ec);
    PCasCfg.WT_SetAllowAutoWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWAUTOWD_WRITE,oldallow,allow,ec);
    }
  }
}
//*******************************************************************
procedure WT_GetAllowEmpNewWD(ean IN,allow OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowEmpNewWD(allow,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWEMPNEWWD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure WT_SetAllowEmpNewWD(ean IN,allow IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.WT_GetAllowEmpNewWD(oldallow,ec);
    PCasCfg.WT_SetAllowEmpNewWD(allow,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_ALLOWEMPNEWWD_WRITE,oldallow,allow,ec);
    }
  }
}
//********************* employee proc's *****************************
procedure Employee_GetPrivs(ean IN,sel_ean IN,privset OUT TPrivSet,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_READ,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,employee,ec);
    PEmpSecAcc.GetPrivs(employee.Roles,privset,ec);
  }
}
//*******************************************************************
procedure Employee_GetArray(ean IN,emp_array OUT,num_emp OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_READ,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,employee,ec);
    PEmployee.GetArray(employee.Roles.Employee,emp_array,emp_num,ec);
    PLog.CreateAdd(ean,0,LOG_EMP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Employee_GetActivityArray(ean IN,sel_ean IN,log_array OUT,log_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_ACTIVITY_READ,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,employee,ec);
    PLog.GetArray(sel_ean,employee.Roles.Employee,log_array,log_num,ec);
    PLog.CreateAdd(ean,0,LOG_EMP_ACTIVITY_READ,0,sel_ean,ec);
  }
}
//*******************************************************************
procedure Employee_ReSetFailedPWCount(ean IN,reset_ean IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_PW_READ | PRIV_EMP_PW_WRITE,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,emp1,ec);
    PEmployee.Get(reset_ean,emp2,ec);
    if (emp1.Roles.Employee >= emp2.Roles.Employee)
    {
      PEmployee.ReSetFailedPWCount(reset_ean,oldcount,ec);
      if (ec == EC_NONE)
      {
        PLog.CreateAdd(ean,0,LOG_EMP_PW_RESETCOUNT_WRITE,reset_ean,oldcount,ec);
      }
    }
    else
    {
      ec = EC_SECURITY_ACCESS_DENIED;
    }
  }
}
//*******************************************************************
procedure Employee_Create(ean IN,fname IN,lname IN,empname IN,
                          securitylevel IN,pw IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_CREATE,ec);
  if (ec == EC_NONE)
  {
    PEmployee.CreateAdd(fname,lname,empname,securitylevel,pw,ec);
    if (ec == EC_NONE)
    {
      PEmployee.Get(empname,employee,ec);
      PLog.CreateAdd(ean,0,LOG_EMP_CREATE,0,employee.EAN,ec);
    }
  }
}
//*******************************************************************
procedure Employee_Login(empname IN,pw IN,ace_ipaddr IN,ean OUT,
                         failedpwcount OUT,old_ipaddr OUT,last_date OUT TDate,ec OUT)
{
  PEmployee.Login(empname,pw,ace_ipaddr,ean,failedpwcount,old_ipaddr,last_date,ec);
  PLog.CreateAdd(ean,0,LOG_EMP_LOGIN,empname,ec,ec);
}
//*******************************************************************
procedure Employee_Logoff(ean IN,ec OUT)
{
  if (ec == EC_NONE)
  {
    PEmployee.Logoff(ean,ec);
    PLog.CreateAdd(ean,0,LOG_EMP_LOGOFF,0,ec,ec);
  }
}
//*******************************************************************
procedure Employee_ChangePW(ean IN,cpw_ean IN,oldpw IN,newpw IN)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_PW_WRITE,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,emp1,ec);
    PEmployee.Get(cpw_ean,emp2,ec);
    if (emp1.Roles.Employee >= emp2.Roles.Employee)
    {
      PEmployee.ChangePW(cpw_ean,oldpw,newpw,ec);
      if (ec == EC_NONE)
      {
        PLog.CreateAdd(ean,cpw_ean,LOG_EMP_PW_WRITE,cpw_ean,oldpw,ec);
      }
    }
    else
    {
      ec = EC_SECURITY_ACCESS_DENIED;
    }
  }
}
//*******************************************************************
procedure Employee_SetLock(ean IN,sel_ean IN,locked IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_LOCK_WRITE,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,emp1,ec);
    PEmployee.Get(sel_ean,emp2,ec);
    if (emp1.Roles.Employee >= emp2.Roles.Employee)
    {
      PEmployee.SetLock(sel_ean,locked,ec);
      PLog.CreateAdd(ean,sel_ean,LOG_EMP_LOCK_WRITE,emp2.SysLock,locked,ec);
    }
    else
    {
      ec = EC_SECURITY_ACCESS_DENIED;
    }
  }
}
//*******************************************************************
procedure Employee_SetOpen(ean IN,sel_ean IN,open IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_EMP,PRIV_EMP_WRITE,ec);
  if (ec == EC_NONE)
  {
    PEmployee.Get(ean,emp1,ec);
    PEmployee.Get(sel_ean,emp2,ec);
    if (emp1.Roles.Employee >= emp2.Roles.Employee)
    {
      PEmployee.SetOpen(sel_ean,open,ec);
      PLog.CreateAdd(ean,sel_ean,LOG_EMP_OPEN_WRITE,emp2.Open,open,ec);
    }
    else
    {
      ec = EC_SECURITY_ACCESS_DENIED;
    }
  }
}
//******************** user proc's **********************************
procedure User_Get(ean IN,uan IN,user OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_READ,ec);
  if (ec == EC_NONE)
  {
    PUser.Get(uan,user,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_GetWallet(ean IN,uan IN,wallet OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_READ,ec);
  if (ec == EC_NONE)
  {
    PWallet.Get(uan,wallet,ec);

    // zero any sensitive info.
    PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_BALANCE_READ,ec);
    if (ec != EC_NONE)
    {
      wallet.Balance = 0;
    }
    PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_CHIPS_FREE,ec);
    if (ec != EC_NONE)
    {
      wallet.FreeChips = 0;
    }
    PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_CHIPS_CASH,ec);
    if (ec != EC_NONE)
    {
      wallet.Cash = 0;
    }
    PLog.CreateAdd(ean,uan,LOG_WALLET_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_Create(ean IN,userinfo IN,username IN,pw IN,un1 OUT,un2 OUT,un3 OUT,un4 OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_CREATE,ec);
  if (ec == EC_NONE)
  {
    PUser.Create(username,userinfo,pw,ec);
    PUser.Get(username,user,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,user.UAN,LOG_USER_CREATE,username,0,ec);
    }
    else
    {
      PUser.GetModifiedUserNames(username,userinfo.Name,un1,un2,un3,un4);
    }
  }
}
//*******************************************************************
procedure User_GetUANArray(ean IN,lastname IN,firstname IN,
                           uan_array OUT,num_uan OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_READ,ec);
  if (ec == EC_NONE)
  {
    PUser.GetUANArray(firstname,lastname,uan_array,uan_num,ec);
    PLog.CreateAdd(ean,0,LOG_USER_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_GetInfo(ean IN,uan IN,userinfo OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_INFO_READ,ec);
  if (ec == EC_NONE)
  {
    PUser_Info.Get(uan,userinfo,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_INFO_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_SetInfo(ean IN,uan IN,userinfo IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_INFO_WRITE,ec);
  if (ec == EC_NONE)
  {
    PLog.CreateAdd(ean,uan,LOG_USER_INFO_WRITE,0,0);

    PUser_Info.Set(userinfo,ec); // update db.
  }
}
//*******************************************************************
procedure User_GetChangesArray(ean IN,uan IN,
                               log_array OUT,log_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_READ | PRIV_USER_INFO_READ,ec);
  if (ec == EC_NONE)
  {
    PLog.GetArray(uan,log_array,log_num,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_INFO_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_SetPassword(ean IN,uan IN,pwstr IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_PW_WRITE,ec);
  if (ec == EC_NONE)
  {
    PPassword.Lock(uan,pw,ec);
    oldpwstr = pw.PWStr;
    pw.Set(pwstr,ec);
    PPassword.UnLock(pw,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,uan,LOG_USER_PW_WRITE,oldpwstr,pwstr,ec);
    }
  }
}
//*******************************************************************
procedure User_GetDataArray(ean IN,filter IN,
                            userdata_array OUT,num_userdata OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_READ | PRIV_USER_INFO_READ,ec);
  if (ec == EC_NONE)
  {
    xpw TBool = true;

    PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_PW_READ,ec);
    if (ec == EC_NONE)
    {
      xpw = false;
    }

    PUser.GetDataArray(filter,xpw,userdata_array,userdata_num,ec);
  }
}
//*******************************************************************
procedure User_SetOpen(ean IN,uan IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_WRITE,ec);
  if (ec == EC_NONE)
  {
    PUser.Get(uan,user,ec);

    PUser.SetOpen(uan,open,ec);

    PLog.CreateAdd(ean,uan,LOG_USER_OPEN_WRITE,user.Open,open,ec);
  }
}
//*******************************************************************
procedure User_SetSysLock(ean IN,uan IN,lock IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_SYSLOCK_WRITE,ec);
  if (ec == EC_NONE)
  {
    PUser.Get(uan,user,ec);
    PUser.SetSysLock(uan,lock,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_SYSLOCK_WRITE,user.SysLock,lock,ec);
  }
}
//*******************************************************************
procedure User_SetCasLock(ean IN,uan IN,lock IN TBool,ec OUT);
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_CASLOCK_WRITE,ec);
  if (ec == EC_NONE)
  {
    PUser.Get(uan,user,ec);
    PUser.SetCasLock(uan,lock,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_CASLOCK_WRITE,user.CasLock,lock,ec);
  }
}
//*******************************************************************
procedure User_GetRatingData(ean IN,uan IN,rating OUT,ratingptmod OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_RATINGMOD_READ,ec);
  if (ec == EC_NONE)
  {
    PUser.GetRatingData(uan,rating,ratingptmod,ec);
    PLog.CreateAdd(ean,uan,LOG_WALLET_RATING_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_GetRatingChangesArray(ean IN,uan IN,
                                     ratingchanges_array OUT,
                                     num_ratingchanges OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_RATING,PRIV_TX_RATING_WD_READ |
                                          PRIV_TX_RATING_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PRatingChange.GetArray(uan,ratingchanges_array,ratingchanges_num,ec);
    PLog.CreateAdd(ean,uan,LOG_TX_RATING_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_ModifyRating(ean IN,uan IN,amount IN,description IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_RATING,PRIV_TX_RATING_WD_WRITE |
                                          PRIV_TX_RATING_DEP_WRITE,ec);
  if (ec == EC_NONE)
  {
    PRatingChange.CreateAdd(ean,uan,description,amount,ec);
    if (amount < 0)
    {
      PLog.CreateAdd(ean,uan,LOG_TX_RATING_WD_WRITE,0,amount,ec);
    }
    else
    {
      PLog.CreateAdd(ean,uan,LOG_TX_RATING_DEP_WRITE,0,amount,ec);
    }
  }
}
//*******************************************************************
procedure User_GetAccountBIDArray(ean IN,uan IN,bid_array OUT,bid_num,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_READ,ec);
  if (ec == EC_NONE)
  {
    PAccount.GetBIDArray(uan,bid_array,bid_num,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_BANKACC_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_GetAccountArray(ean IN,uan IN,
                               account_array OUT,account_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_READ,ec);
  if (ec == EC_NONE)
  {
    xnumbers TBool = true;
    PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_NUMBERS_READ,ec);
    if (ec == EC_NONE)
    {
      xnumbers = false;
    }
    PAccount.GetArray(uan,xnumbers,account_array,account_num,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_BANKACC_READ,0,0,ec);
  }
}
//*******************************************************************
procedure User_GetAccount(ean IN,bid IN,account OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_READ,ec);
  if (ec == EC_NONE)
  {
    PAccount.Get(bid,account,ec);
    PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_NUMBERS_READ,ec);
    PLog.CreateAdd(ean,account.UAN,LOG_USER_BANKACC_READ,bid,0,ec);
    if (ec != EC_NONE)
    {
      account.XOut();
    }
  }
}
//*******************************************************************
procedure User_AddAccount(ean IN,uan IN,acccode IN,accsubcode IN,fi_accnum IN,
                          nameonacc IN,expdate IN,address IN,nameofbank IN,
                          abanum IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_CREATE,ec);
  if (ec == EC_NONE)
  {
    PAccount.CreateAdd(uan,acccode,accsubcode,fi_accnum,nameonacc,expdate,
                       address,nameofbank,abanum,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_BANKACC_CREATE,0,fi_accnum,ec);
  }
}
//*******************************************************************
procedure User_RemoveAccount(ean IN,uan IN,bid IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_BANKACC_WRITEE,ec);
  if (ec == EC_NONE)
  {
    PAccount.Remove(uan,bid,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_BANKACC_WRITE,bid,0,ec);
  }
}
//******************** tx proc's ************************************
procedure TX_GetInfo(ean IN,txt IN,txd IN,txinfo OUT TTXInfo,ec OUT)
// note: this is used to get info like min, max, and fee amounts,etc.
//       all with one call.
{
   if (txt == TXT_CHECK)
   {
     PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_CFG_READ,ec);
     if (ec == EC_NONE)
     {
       if (txd == TXD_DEPOSIT)
       {
         PCasCfg.Check_GetAllowDep(txinfo.Allowed,ec);
         PCasCfg.Check_GetMinDepAmount(txinfo.Min,ec);
         PCasCfg.Check_GetMaxDepAmount(txinfo.Max,ec);
         PCasCfg.Check_GetDepServiceFee(txinfo.ServiceFee1,ec);
         PCasCfg.Check_GetAllowAdvances(txinfo.AllowAdvance,ec);
         txinfo.ServiceFee2 = 0;
         txinfo.AllowAuto = false;
         txinfo.AllowEmpNew = true;
       }
       else if (txd == TXD_WITHDRAWAL)
       {
         PCasCfg.Check_GetAllowWD(txinfo.Allowed,ec);
         PCasCfg.Check_GetMinWDAmount(txinfo.Min,ec);
         PCasCfg.Check_GetMaxWDAmount(txinfo.Max,ec);
         PCasCfg.Check_GetWDServiceFeeRegular(txinfo.ServiceFee1,ec);
         PCasCfg.Check_GetWDServiceFeeExpress(txinfo.ServiceFee2,ec);
         PCasCfg.Check_GetAllowEmpNewWD(txinfo.AllowEmpNew,ec);
         txinfo.AllowAuto = false;
         txinfo.AllowEmpNew = true;
       }
       PLog.CreateAdd(ean,0,LOG_TX_CHECK_CFG_READ,0,0,ec);
     }
   }
   else if (txt == TXT_CREDITCARD)
   {
     PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_CFG_READ,ec);
     if (ec == EC_NONE)
     {
       if (txd == TXD_DEPOSIT)
       {
         PCasCfg.CC_GetAllowDep(txinfo.Allow,ec);
         PCasCfg.CC_GetMinDepAmount(txinfo.Min,ec);
         PCasCfg.CC_GetMaxDepAmount(txinfo.Max,ec);
         PCasCfg.CC_GetDepServiceFeeAmount(txinfo.ServiceFee1,ec);
         PCasCfg.CC_GetAllowAutoDep(txinfo.AllowAuto,ec);
         PCasCfg.CC_GetAllowEmpNewDep(txinfo.AllowEmpNew,ec);
         txinfo.ServiceFee2 = 0;
       }
       else if (txd == TXD_WITHDRAWAL)
       {
         PCasCfg.CC_GetAllowWD(txinfo.Allow,ec);
         PCasCfg.CC_GetMinWDAmount(txinfo.Min,ec);
         PCasCfg.CC_GetMaxWDAmount(txinfo.Max,ec);
         PCasCfg.CC_GetWDServiceFeeAmount(txinfo.ServiceFee1,ec);
         PCasCfg.CC_GetAllowWD_GT_Dep(txinfo.AllowWDGTDep,ec);
         PCasCfg.CC_GetRecreditExpireDays(txinfo.RecreditDays,ec);
         PCasCfg.CC_GetAutoWD(txinfo.AllowAuto,ec);
         PCasCfg.CC_GetAllowEmpNewWD(txinfo.AllowEmpNew,ec);
         txinfo.ServiceFee2 = 0;
       }
       PLog.CreateAdd(ean,0,LOG_TX_CC_CFG_READ,0,0,ec);
     }
   }
   else if (txt == TXT_WESTERNUNION)
   {
     PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_CFG_READ,ec);
     if (ec == EC_NONE)
     {
       if (txd == TXD_DEPOSIT)
       {
         PCasCfg.WU_GetAllowDep(txinfo.Allow,ec);
         PCasCfg.WU_GetMinDepAmount(txinfo.Min,ec);
         PCasCfg.WU_GetMaxDepAmount(txinfo.Max,ec);
         PCasCfg.WU_GetDepServiceFeeAmount(txinfo.ServiceFee1,ec);
         txinfo.ServiceFee2 = 0;
       }
       else if (txd == TXD_WITHDRAWAL)
       {
         PCasCfg.WU_GetAllowWD(txinfo.Allow,ec);
         PCasCfg.WU_GetMinWDAmount(txinfo.Min,ec);
         PCasCfg.WU_GetMaxWDAmount(txinfo.Max,ec);
         PCasCfg.WU_GetWDServiceFeeAmount(txinfo.ServiceFee1,ec);
         PCasCfg.WU_GetAutoWD(txinfo.AllowAuto,ec);
         PCasCfg.WU_GetAllowEmpNewWD(txinfo.AllowEmpNew,ec);
         txinfo.ServiceFee2 = 0;
       }
       PLog.CreateAdd(ean,0,LOG_TX_WU_CFG_READ,0,0,ec);
     }
   }
   else if (txt == TXT_WIRETRANSFER)
   {
     PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_CFG_READ,ec);
     if (ec == EC_NONE)
     {
       if (txd == TXD_DEPOSIT)
       {
         PCasCfg.WT_GetAllowDep(txinfo.Allow,ec);
         PCasCfg.WT_GetMinDep(txinfo.Min,ec);
         PCasCfg.WT_GetMaxDep(txinfo.Max,ec);
         PCasCfg.WT_GetDepServiceFee(txinfo.ServiceFee1,ec);
         PCasCfg.WT_GetAllowDepAdvances(txinfo.AllowAdvance,ec);
         txinfo.ServiceFee2 = 0;
       }
       else if (txd == TXD_WITHDRAWAL)
       {
         PCasCfg.WT_GetAllowWD(txinfo.Allow,ec);
         PCasCfg.WT_GetMinWD(txinfo.Min,ec);
         PCasCfg.WT_GetMaxWD(txinfo.Max,ec);
         PCasCfg.WT_GetWDServiceFee(txinfo.ServiceFee1,ec);
         PCasCfg.WT_GetAllowAutoWD(txinfo.AllowAuto,ec);
         PCasCfg.WT_GetAllowEmpNewWD(txinfo.AllowEmpNew,ec);
         txinfo.ServiceFee2 = 0;
       }
       PLog.CreateAdd(ean,0,LOG_TX_WT_CFG_READ,0,0,ec);
     }
   }
   else
   {
     ec = EC_TXT_UNKNOWN;
   }
}
//*******************************************************************
procedure TX_GetCCDepArray(ean IN,filter IN,
                           ccdep_array OUT,ccdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.GetArray(filter,ccdep_array,ccdep_num,ec);
    PLog.Create(ean,0,LOG_TX_CC_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetCCWDArray(ean IN,filter IN,ccwd_array OUT,ccwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.GetArray(filter,ccwd_array,ccwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetCheckDepArray(ean IN,filter IN,
                              chkdep_array OUT,chkdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.GetArray(filter,chkdep_array,chkdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetCheckWDArray(ean IN,filter IN,
                             chkwd_array OUT,chkwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.GetArray(filter,chkwd_array,chkwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetWTDepArray(ean IN,filter IN,
                           wtdep_array OUT,wtdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.GetArray(filter,wtdep_array,wtdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetWTWDArray(ean IN,filter IN,wtwd_array OUT,wtwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.GetArray(filter,wtwd_array,wtwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetWUDepArray(ean IN,filter IN,
                           wudep_array OUT,wudep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVST_TX_WU,PRIV_TX_WU_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.GetArray(filter,wudep_array,wudep_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetWUWDArray(ean IN,filter IN,wuwd_array OUT,wuwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.GetArray(filter,wuwd_array,wuwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetAdjDepArray(ean IN,filter IN,
                            adjdep_array OUT,adjdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,PRIV_TX_ADJ_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.GetArray(filter,adjdep_array,adjdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_GetAdjWDArray(ean IN,filter IN,
                           adjwd_array OUT,adjwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,PRIV_TX_ADJ_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.GetArray(filter,adjwd_array,adjwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CheckDep(ean,uan,noservfee IN TBool,bid,amount,checknum,
                      dateoncheck,note,ec)
{
  // identify all priv's needed.
  privs = PRIV_TX_CHECK_DEP_CREATE;
  TX_GetInfo(ean,TXT_CHECK,TXD_DEP,txinfo,ec);
  if (amount < txinfo.Min || amount < txinfo.Max)
  {
    privs |= PRIV_TX_CHECK_DEP_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_CHECK_DEP_SERVFEE;
  }

  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.CreateAdd(uan,noservfee,bid,amount,checknum,dateoncheck,
                          txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_CHECK_DEP_CREATE,checknum,bid,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_CheckWD(ean,uan,bid,amount,express,noservfee,note,ec)
{
  privs = PRIV_TX_CHECK_WD_CREATE;
  TX_GetInfo(ean,TXT_CHECK,TXD_WITHDRAWAL,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs |= PRIV_TX_CHECK_WD_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_CHECK_WD_SERVFEE;
  }

  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.CreateAdd(ean,uan,bid,amount,express,noservfee,txid OUT,ec OUT);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_CHECK_WD_CREATE,amount,note,ec);
    }
  }
}
//*******************************************************************
procedure TX_CCDep(ean,uan,noservfee IN TBool,bid,amount,
                   complete,fi_approvalcode,completedate,note,ec)
{
  privs = PRIV_TX_CC_DEP_CREATE;
  TX_GetInfo(ean,TXT_CC,TXD_DEP,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs |= PRIV_TX_CC_DEP_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_CC_DEP_SERVFEE;
  }
  if (complete)
  {
    privs |= PRIV_TX_CC_DEP_WRITE;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.CreateAdd(uan,noservfee,bid,amount,complete,
                               fi_approvalcode,completedate,txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_CC_DEP_CREATE,bid,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_CCWD(ean IN TEAN,uan IN TUAN,bid IN TBID,amount IN TCurrency,
                  note IN string,noservfee IN TBool,complete IN TBool,
                  fi_approvalcode IN,ec OUT TErrorCode)
{
  privs = PRIV_TX_CC_WD_CREATE;
  TX_GetInfo(ean,TXT_CC,TXD_WD,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs |= PRIV_TX_CC_WD_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_CC_WD_SERVFEE;
  }
  if (complete)
  {
    privs |= PRIV_TX_CC_WD_WRITE;
  }

  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.CreateAdd(ean,uan,bid,amount,noservfee,
                              complete,fi_approvalcode,txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_CC_WD_CREATE,bid,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_WUDep(ean,uan,amount,branchnum,address,mtc,noservfee,note,ec)
{
  privs = PRIV_TX_WU_DEP_CREATE;
  TX_GetInfo(ean,TXT_WU,TXD_DEP,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs |= PRIV_TX_WU_DEP_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs|= PRIV_TX_WU_DEP_SERVFEE;
  }

  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.CreateAdd(uan,amount,branchnum,address,mtc,noservfee,
                                 txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_WU_DEP_CREATE,mtc,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_WUWD(ean,uan,amount,limitaddress,noservfee,note,ec)
{
  privs = PRIV_TX_WU_WD_CREATE;
  TX_GetInfo(ean,TXT_WU,TXD_WD,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs |= PRIV_TX_WU_WD_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_WU_WD_SERVFEE;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.CreateAdd(uan,amount,limitaddress,noservfee,
                                txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_WU_WD_CREATE,amount,0,ec);
    }
  }
}
//*******************************************************************
procedure TX_WTDep(ean,uan,amount,bankname,abanum,bankaccnum,
                   bankaddress,noservfee,complete,completedate,fi_approvalcode,
                   note,ec)
{
  privs = PRIV_TX_WT_DEP_CREATE;
  TX_GetInfo(ean,TXT_WT,TXD_DEP,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs = PRIV_TX_WT_DEP_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_WT_DEP_SERVFEE;
  }
  if (complete)
  {
    privs |= PRIV_TX_WT_DEP_WRITE;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.CreateAdd(ean,uan,amount,bankname,abanum,bankaccnum,
                                 bankaddress,complete,completedate,
                                 fi_approvalcode,txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_WT_DEP_CREATE,fi_approvalcode,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_WTWD(ean,uan,bid,amount,noservfee,note,ec)
{
  privs = PRIV_TX_WT_WD_CREATE;
  TX_GetInfo(ean,TXT_WT,TXD_WD,txinfo,ec);
  if (amount < txinfo.Min || amount > txinfo.Max)
  {
    privs |= PRIV_TX_WT_WD_IGNORELIMITS;
  }
  if (noservfee)
  {
    privs |= PRIV_TX_WT_WD_SERVFEE;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.CreateAdd(ean,uan,bid,amount,noservfee,txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_WT_WD_CREATE,bid,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_AdjDep(ean,uan,amount,details,note,ec)
{
  privs = PRIV_TX_ADJ_DEP_CREATE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.CreateAdd(user,wallet,amount,details,txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_ADJ_DEP_CREATE,amount,0,ec);
    }
  }
}
//*******************************************************************
procedure TX_AdjWD(ean,uan,amount,details,note,ec)
{
  privs = PRIV_TX_ADJ_WD_CREATE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.CreateAdd(uan,amount,details,txid,ec);
    if (ec == EC_NONE)
    {
      PTXNote.CreateAdd(uan,txid,note,ec);
      PLog.CreateAdd(ean,uan,LOG_TX_ADJ_WD_CREATE,amount,0,ec);
    }
  }
}
//*******************************************************************
procedure TX_ChipsCashDep(ean,uan,amount,ec)
{
  privs = PRIV_TX_CHIPS_CASH_DEP_CREATE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,privs,ec);
  if (ec == EC_NONE)
  {
    PChipsDepTX.CreateAdd(uan,amount,txid,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,uan,LOG_TX_CHIPS_CASH_DEP_CREATE,0,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_ChipsCashWD(ean,uan,amount,ec)
{
  privs = PRIV_TX_CHIPS_CASH_WD_CREATE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,privs,ec);
  if (ec == EC_NONE)
  {
    PChipsWDTX.CreateAdd(uan,amount,txid,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,uan,LOG_TX_CHIPS_CASH_WD_CREATE,0,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_ChipsFreeDep(ean IN,uan IN,amount IN,ec OUT)
{
  privs = PRIV_TX_CHIPS_FREE_DEP_CREATE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,privs,ec);
  if (ec == EC_NONE)
  {
    PChipsFreeDepTX.CreateAdd(uan,amount,txid,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,uan,LOG_TX_CHIPS_FREE_DEP_CREATE,0,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_ChipsFreeWD(ean IN,uan IN,amount IN,ec OUT)
{
  privs = PRIV_TX_CHIPS_FREE_WD_CREATE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHIPS,privs,ec);
  if (ec == EC_NONE)
  {
    PChipsFreeWDTX.CreateAdd(uan,amount,txid,ec);
    if (ec == EC_NONE)
    {
      PLog.CreateAdd(ean,uan,LOG_TX_CHIPS_FREE_WD_CREATE,0,amount,ec);
    }
  }
}
//*******************************************************************
procedure TX_Note(ean IN,uan IN,txid IN,note IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_NOTE_CREATE,ec);
  if (ec == EC_NONE)
  {
    PTXNotes.CreateAdd(uan,txid,note,ec);
//    PLog.CreateAdd(ean,uan,LOG_TX_NOTE_CREATE,0,note,ec);
  }
}
//*******************************************************************
procedure TX_GetNoteArray(ean IN,txid IN,
                          txnotes_array OUT,txnotes_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_NOTE_READ,ec);
  if (ec == EC_NONE)
  {
    PTXNotes.GetArray(txid,txnotes_array,txnotes_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_NOTE_READ,txid,0,ec);
  }
}
//*******************************************************************
procedure TX_GetLogArray(ean IN,txlog_array OUT,txlog_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_LOG_READ,ec);
  if (ec == EC_NONE)
  {
    PTXLog.GetArray(ean,txlog_array,txlog_num,ec);
    PLog.CreateAdd(ean,0,LOG_TX_LOG_READ,0,0,ec);
  }
}
//*******************************************************************
procedure TX_ModifyCheckDep(ean IN,txid IN,mac IN,chkdep OUT,ec OUT)
{
  privs = PRIV_TX_CHECK_DEP_WRITE;
  if (mac == MAC_DEP_ADVANCE_APPROVED)
  {
    privs |= PRIV_TX_CHECK_DEP_ADV_APPR;
  }
  else if (mac == MAC_DEP_ADVANCE_DENIED)
  {
    privs |= PRIV_TX_CHECK_DEP_ADV_DENY;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.Modify(ean,txid,mac,chkdep,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_DEP_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyCheckWD(ean IN,txid IN, mac IN,chkwd OUT,ec OUT)
{
  privs = PRIV_TX_CHECK_WD_WRITE;
  
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.Modify(ean,txid,mac,chkwd,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_WD_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyCCDep(ean IN,txid IN,mac IN,ccdep OUT,ec OUT)
{
  privs = PRIV_TX_CC_DEP_WRITE;
  if (mac == MAC_DEP_ADVANCE_APPROVED)
  {
    privs |= PRIV_TX_CC_DEP_ADV_APPR;
  }
  else if (mac == MAC_DEP_ADVANCE_DENIED)
  {
    privs |= PRIV_TX_CC_DEP_ADV_DENY;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.Modify(ean,txid,mac,ccdep,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_DEP_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyCCWD(ean IN,txid IN,mac IN,ccwd OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_WD_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.Modify(ean,txid,mac,ccwd,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_WD_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyWUDep(ean IN,txid IN,mac IN,wudep OUT,ec OUT)
{
  privs = PRIV_TX_WU_DEP_WRITE;
  if (mac == MAC_DEP_ADVANCE_APPROVED)
  {
    privs |= PRIV_TX_WU_DEP_ADV_APPR;
  }
  else if (mac == MAC_DEP_ADVANCE_DENIED)
  {
   privs |= PRIV_TX_WU_DEP_ADV_DENY;
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.Modify(ean,txid,mac,wudep,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_DEP_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyWUWD(ean IN,txid IN,mac IN,wuwd OUT,ec OUT)
{
  privs = PRIV_TX_WU_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.Modify(ean,txid,mac,wuwd,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_WD_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyWTDep(ean IN,txid IN,mac IN,wtdep OUT,ec OUT)
{
  privs = PRIV_TX_WT_DEP_WRITE;
  if (mac == MAC_DEP_ADVANCE_APPROVED)
  {
    privs |= PRIV_TX_WT_DEP_ADV_APPR;
  }
  else if (mac == MAC_DEP_ADVANCE_DENIED)
  {
    privs |= PRIV_TX_WT_DEP_ADV_DENY
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.Modify(ean,txid,mac,wtdep,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_DEP_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyWTWD(ean IN,txid IN,mac IN,wtwd OUT, ec OUT)
{
  privs = PRIV_TX_WT_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.Modify(ean,txid,mac,wtwd,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_WD_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyAdjDep(ean IN,txid IN,mac IN,adjdep OUT,ec OUT)
{
  privs = PRIV_TX_ADJ_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.Modify(ean,txid,mac,adjdep,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_DEP_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_ModifyAdjWD(ean IN,txid IN,mac IN,adjwd OUT,ec OUT)
{
  privs = PRIV_TX_ADJ_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.Modify(ean,txid,mac,adjwd,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_WD_WRITE,txid,mac,ec);
  }
}
//*******************************************************************
procedure TX_CommitCheckDep(ean IN,ec OUT)
{
  privs = PRIV_TX_CHECK_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_DEP_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitCheckWD(ean IN,ec OUT)
{
  privs = PRIV_TX_CHECK_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_WD_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitCCDep(ean IN,ec OUT)
{
  privs = PRIV_TX_CC_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_DEP_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitCCWD(ean IN,ec OUT)
{
  privs = PRIV_TX_CC_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_WD_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitWUDep(ean IN,ec OUT)
{
  privs = PRIV_TX_WU_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_DEP_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitWUWD(ean IN,ec OUT)
{
  privs = PRIV_TX_WU_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_WD_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitWTDep(ean IN,ec OUT)
{
  privs = PRIV_TX_WT_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_DEP_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitWTWD(ean IN,ec OUT)
{
  privs = PRIV_TX_WT_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_WD_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitAdjDep(ean IN,ec OUT)
{
  privs = PRIV_TX_ADJ_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_DEP_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CommitAdjWD(ean IN,ec OUT)
{
  privs = PRIV_TX_AJD_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.Commit(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_WD_COMMIT,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelCheckDep(ean IN,ec OUT)
{
  privs = PRIV_TX_CHECK_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_DEP_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelCheckWD(ean IN,ec OUT)
{
  privs = PRIV_TX_CHECK_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,privs,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CHECK_WD_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelCCDep(ean IN,ec OUT)
{
  privs = PRIV_TX_CC_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_DEP_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelCCWD(ean IN,ec OUT)
{
  privs = PRIV_TX_CC_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,privs,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_CC_WD_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelWUDep(ean IN,ec OUT)
{
  privs = PRIV_TX_WU_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_DEP_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelWUWD(ean IN,ec OUT)
{
  privs = PRIV_TX_WU_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,privs,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WU_WD_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelWTDep(ean IN,ec OUT)
{
  privs = PRIV_TX_WT_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_DEP_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelWTWD(ean IN,ec OUT)
{
  privs = PRIV_TX_WT_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,privs,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_WT_WD_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelAjdDep(ean IN,ec OUT)
{
  privs = PRIV_TX_ADJ_DEP_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_DEP_CANCEL,0,0,ec);
  }
}
//*******************************************************************
procedure TX_CancelAdjWD(ean IN,ec OUT)
{
  privs = PRIV_TX_ADJ_WD_WRITE;
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,privs,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.Cancel(ean,ec);
    PLog.CreateAdd(ean,0,LOG_TX_ADJ_WD_CANCEL,0,0,ec);
  }
}
// ********************* Report proc's ******************************
procedure Report_GetGameStatsArray(ean IN,date1 IN,date2 IN,gt IN,cash IN TBool,
                                   gamestat_array OUT,gamestat_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    PMachine_Stats.GetArray(date1,date2,gt,cash,gamestat_array,gamestat_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_GAMESTATS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetWD(ean IN,date1 IN,date2 IN,txt OUT,ec OUT)
{
  // the following need to be checked individually before get's.
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_WD_TOTALS_READ,ec);
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_WD_TOTALS_READ,ec);
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_WD_TOTALS_READ,ec);
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.Get(date1,date2,chkneedappr,chkdenied,chkneedcut,chknotcashed,
                   chkcashed,chkservfee1,chkservfee2,ec);
    PCreditCardWDTX.Get(date1,date2,ccneedappr,ccdenied,ccneedtransfer,
                        cctransferred,ccservfee,ec);
    PWireTransferWDTX.Get(date1,date2,wtneedappr,wtdenied,wtneedtransfer,
                          wttransferred,wtservfee,ec);
    PWesternUnionWDTX.Get(date1,date2,wuneedappr,wudenied,wuneedtransfer,
                          wutransferred,wuservfee,ec);
    PAdjWDTX.Get(date1,date2,adjtotal,ec);

    PLog.CreateAdd(ean,0,LOG_REPORT_WD_READ,0,0,ec);

    txt  = "User Withdrawals by Check Awaiting Approval: " +
           string(chkneedappr) + "\n" +
           "User Withdrawals by Credit Card Awaiting approval: " +
           string(ccneedappr) + "\n" +
           "User Withdrawals by Wire Transfer Awaiting Approval: " +
           string(wtneedappr) + "\n" +
           "User Withdrawals by Western Union Awaiting Approval: " +
           string(wuneedappr) + "\n" +
           "Total User Withdrawals Awaiting Approval: " +
           string(chkneedappr + ccneedappr + wtneedappr + wuneedappr) + "\n" +

           "User Withdrawal Requests by Check that were Denied" +
           string(chkdenied) + "\n" +
           "User Withdrawal Requests by Credit Card that were Denied" +
           string(ccdenied) + "\n" +
           "User Withdrawal Requests by Wire Transfer that were Denied" +
           string(wtdenied) + "\n" +
           "User Withdrawal Requests by Western Union that were Denied" +
           string(wudenied) + "\n" +

           etc.
  }
}
//*******************************************************************
procedure Report_GetAdjDepArray(ean IN,filter IN,
                                adjdep_array OUT,adjdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,PRIV_TX_ADJ_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.GetArray(filter,adjdep_array,adjdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_ADJ_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetAdjWDArray(ean IN,filter IN,
                               adjwd_array OUT,adjwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,PRIV_TX_ADJ_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.GetArray(filter,adjwd_array,adjwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_ADJ_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetCheckDepArray(ean IN,filter IN,
                                  chdep_array OUT,chdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.GetArray(filter,chdep_array,chdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_CHECK_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetCheckWDArray(ean IN,filter IN,
                                 chwd_array OUT,chwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.GetArray(filter,chwd_array,chwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_CHECK_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetCCDepArray(ean IN,filter IN,
                               ccdep_array OUT,ccdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.GetArray(filter,ccdep_array,ccdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_CC_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetCCWDArray(ean IN,filter IN,
                              ccwd_array OUT,ccwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.GetArray(filter,ccwd_array,ccwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_CC_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetWTDepArray(ean IN,filter IN,
                               wtdep_array OUT,wtdep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.GetArray(filter,wtdep_array,wtdep_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_WT_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetWTWDArray(ean IN,filter IN,
                              wtwd_array OUT,wtwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.GetArray(filter,wtwd_array,wtwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_WT_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetWUDepArray(ean IN,filter IN,
                               wudep_array OUT,wudep_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_DEP_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.GetArray(filter,wudep_array,wudep_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_WU_DEP_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetWUWDArray(ean IN,filter IN,
                              wuwd_array OUT,wuwd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_WD_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.GetArray(filter,wuwd_array,wuwd_num,ec);
    PLog.CreateAdd(ean,0,LOG_REPORT_WU_WD_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Report_GetFinancialSummary(ean IN,date1 IN,date2 IN,txt OUT,ec OUT)
{
  // initial all vars to 0.


  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    // casino profits.
    PMachine_Stats.GetProfit(GT_BJ,date1,date2,bjprofit,ec);
    PMachine_Stats.GetProfit(GT_ROULETTE,date1,date2,rprofit,ec);
    PMachine_Stats.GetProfit(GT_SLOTS,date1,date2,sprofit,ec);
    PMachine_Stats.GetProfit(GT_VP,date1,date2,vpprofit,ec);
  }

  PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_READ,ec);
  if (ec == EC_NONE)
  {
    // Money held in player.
    PWallet.GetTotals(balance,cash,free,ec);

    PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_BALANCE_TOTALS_READ,ec);
    if (ec != EC_NONE)
    {
      balance = 0;
    }
    PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_CHIPS_FREE_TOTALS_READ,ec);
    if (ec != EC_NONE)
    {
      free = 0;
    }
    PEmpSecAcc.Verify(ean,PRIVSET_WALLET,PRIV_WALLET_CHIPS_CASH_TOTALS_READ,ec);
    if (ec != EC_NONE)
    {
      cash = 0;
    }
  }
  // Adjustment.
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,PRIV_TX_ADJ_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.Get(date1,date2,adjdeptotal,ec);
  }
  PEmpSecAcc.Verify(ena,PRIVSET_TX_ADJ,PRIV_TX_ADJ_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjWDTX.Get(date1,date2,adjwdtotal,ec);
  }

  //Deposit/Withdrawal Summary.
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.Get(date1,date2,chkdeptotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.Get(date1,date2,ccdeptotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.Get(date1,date2,wudeptotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.Get(date1,date2,wtdeptotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.Get(date1,date2,chkwdtotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.Get(date1,date2,ccwdtotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.Get(date1,date2,wuwdtotal,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_WD_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.Get(date1,date2,wtwdtotal,ec);
  }

  // Service Fees Collected.
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_DEP_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.GetServiceFee(date1,date2,chkdepservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_DEP_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.GetServiceFee(date1,date2,ccdepservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_DEP_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.GetServiceFee(date1,date2,wudepservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_DEP_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.GetServiceFee(date1,date2,wtdepservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_WD_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PCheckWDTX.GetServiceFee(date1,date2,chkwdservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_WD_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PCreditCardWDTX.GetServiceFee(date1,date2,ccwdservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_WD_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PWireTransferWDTX.GetServiceFee(date1,date2,wtwdservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_WD_SERVFEE,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionWDTX.GetServiceFee(date1,date2,wuwdservfee,ec);
  }

  PLog.CreateAdd(ean,0,LOG_REPORT_FINANCIALSUMMARY_READ,0,0,ec);

  // something like this:
  txt = "BlackJack"   + string(bjprofit) +
        "Roulette"    + string(rprofit) +
        "Slots"       + string(sprofit) +
        "Video Poker" + string(vpprofit) +

        "Bank Accounts" + string(balance) +
        "Casino Chips"  + string(cash) +

        "Adjustment deposits"    + string(adjdeptotal) +
        "Adjustment withdrawals" + string(adjwdtotal) +

        "Player Deposits"    + string(chkdeptotal + ccdeptotal +
                                      wudeptotal + wtdeptotal) +
        "Player Withdrawals" + string(chkwdtotal + ccwdtotal +
                                      wuwdtotal + wtwdtotal) +

        "Deposit Service Fees"    + string(chkdepservfee + ccdepservfee +
                                           wudepservfee + wtdepservfee) +
        "Withdrawal Service Fees" + string(chkwdservfee + ccwdservfee +
                                           wuwdservfee + wtwdservfee);
  }
}
//*******************************************************************
procedure Report_GetDep(ean IN,date1 IN,date2 IN,txt OUT,ec OUT)
{
  // initialize vars to 0.


  PEmpSecAcc.Verify(ean,PRIVSET_TX_CHECK,PRIV_TX_CHECK_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCheckDepTX.Get(date1,date2,chkneedadvappr,chkadvneedfunds,chkdeniedadvappr,
                    chkfundsrecvd,chkservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_CC,PRIV_TX_CC_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PCreditCardDepTX.Get(date1,date2,ccneedtransfer,ccfundsrecvd,ccservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WT,PRIV_TX_WT_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PWireTransferDepTX.Get(date1,date2,wtneedtransfer,wtfundsrecvd,wtservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_WU,PRIV_TX_WU_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PWesternUnionDepTX.Get(date1,date2,wuneedtransfer,wufundsrecvd,wuservfee,ec);
  }
  PEmpSecAcc.Verify(ean,PRIVSET_TX_ADJ,PRIV_TX_ADJ_DEP_TOTALS_READ,ec);
  if (ec == EC_NONE)
  {
    PAdjDepTX.Get(date1,date2,adjneedappr,adjtotal,adjdenied,ec);
  }

  PLog.CreateAdd(ean,0,LOG_REPORT_DEP_READ,0,0,ec);

  txt = "" + string(chkneedadvappr) +
        "" + string(chkadvneedfunds) +
        "" + string(chkdeniedadvappr) +
        "" + string(ccneedtransfer) +
        "" + string(wtneedtransfer) +
        "" + string(wuneedtransfer) +

        "" + string(chkfundsrecvd) +
        "" + string(ccfundsrecvd) +
        "" + string(wufundsrecvd) +
        "" + string(wtfundsrecvd) +

        "" + string(adjneedappr) +
        "" + string(adjtotal) +
        "" + string(adjdenied) +

        "" + string(chkservfee) +
        "" + string(ccservfee) +
        "" + string(wuservfee) +
        "" + string(wtservfee);
}
//********************** Regional Lockout proc's ********************
procedure Region_Set(ean IN,region IN TRegion,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_REGION,PRIV_REGION_CFG_WRITE,ec)
  if (ec == EC_NONE)
  {
    PRegion.Change(region,ec);
    PLog.CreateAdd(ean,0,LOG_REGION_WRITE,0,0,ec);
  }
}
//*******************************************************************
procedure Region_Add(ean IN,region IN TRegion,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_REGION,PRIV_REGION_CFG_CREATE,ec)
  if (ec == EC_NONE)
  {
    PRegion.CreateAdd(region,ec);
    PLog.CreateAdd(ean,0,LOG_REGION_CREATE,0,0,ec);
  }
}
//*******************************************************************
procedure Region_Remove(ean IN,state IN,country IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_REGION,PRIV_REGION_CFG_WRITE,ec)
  if (ec == EC_NONE)
  {
    PRegion.Remove(state,country,ec);
    PLog.CreateAdd(ean,0,LOG_REGION_REMOVE,0,0,ec);
  }
}
//*******************************************************************
procedure Region_GetArray(ean IN,rd_array OUT,rd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_REGION,PRIV_REGION_CFG_READ,ec)
  if (ec == EC_NONE)
  {
    PRegion.GetArray(rd_array,rd_num,ec);
    PLog.CreateAdd(ean,0,LOG_REGION_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Region_DeActivateLock(ean IN,reglockid IN,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_REGLOCK_WRITE,ec)
  if (ec == EC_NONE)
  {
    PRegLock.DeActivate(reglockid,ec);
    PLog.CreateAdd(ean,0,LOG_USER_REGLOCK_WRITE,0,0,ec);
  }
}
//*******************************************************************
procedure Region_GetLockArray(ean IN,uan IN,active IN bool,
                              rl_array OUT,rl_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_REGLOCK_READ,ec)
  if (ec == EC_NONE)
  {
    PRegLock.GetArray(uan,active,rl_array,rl_num,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_REGLOCK_READ,0,0,ec);
  }
}
// ************************* casino stuff *****************************
procedure Cas_GetGTDataArray(ean IN,gtd_array OUT,gtd_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_MACHINE_READ,ec);
  if (ec == EC_NONE)
  {
    gtd_num = 0;

    // get all machines and fill gametypedata array.
    PSlots_Machine.GetArray(MS_ALL,slotmachine_array,slotmachine_num,ec);
    for (int i=0;i<slotmachine_num;i++)
    {
      gtd_num++;
      string s = "Slots" +
                 slotmachine_array[i].Name +
                 string(slotmachine_array[i].CoinSize);
      gtd_array[gtd_num] = TGameTypeData(GT_SLOTS,slotmachine_array[i].MID,s);
    }
  }

  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_MACHINE_READ,ec);
  if (ec == EC_NONE)
  {
    PBJ_Machine.GetArray(MS_ALL,bjmachine_array,bjmachine_num,ec);
    for (int i=0;i<bjmachine_num,i++)
    {
      gtd_num++;
      s = "BJ" +
           bjmachine_array[i].Name +
           string(bjmachine_array[i].CoinSize);
      gtd_array[gtd_num] = TGameTypeData(GT_BJ,bjmachine_array[i].MID,s);
    }
  }

  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_MACHINE_READ,ec);
  if (ec == EC_NONE)
  {
    PRoulette_Machine.GetArray(MS_ALL,rmachine_array,rmachine_num,ec);
    for (int i=0;i<rmachine_num;i++)
    {
      gtd_num++;
      s = "Roulette" +
          rmachine_array[i].Name +
          string(rmachine_array[i].CoinSize);
      gtd_array[gtd_num] = TGameTypeData(GT_ROULETTE,rmachine_array[i].MID,s);
    }
  }

  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_MACHINE_READ,ec);
  if (ec == EC_NONE)
  {
    PVP_Machine.GetArray(MS_ALL,vpmachine_array,vpmachine_num,ec);
    for (int i = 0;i<vpmachine_num;i++)
    {
      gtd_num++;
      s = "VP" +
          vpmachine_array[i].Name +
          string(vpmachine_array[i].CoinSize);
      gtd_array[gtd_num] = TGameTypeData(GT_VP,vpmachine_array[i].MID,s);
    }
  }
}
//*******************************************************************
procedure Cas_GetCasinoSession(ean IN,uan IN,csc IN,cs OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_CASSESSION_READ,ec);
  if (ec == EC_NONE)
  {
    PCasSession.Get(uan,csc,cs,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_CASSESSION_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Cas_GetCasinoSessionArray(ean IN,uan IN,
                                    cs_array OUT,cs_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_CASSESSION_READ,ec);
  if (ec == EC_NONE)
  {
    PCasSession.GetArray(uan,cs_array,cs_num,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_CASSESSION_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Cas_GetGameSession(ean IN,uan IN,gsid IN,gs OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_GAMESESSION_READ,ec);
  if (ec == EC_NONE)
  {
    PGameSession.Get(uan,gsid,gs,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_GAMESESSION_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Cas_GetGameSessionArray(ean IN,uan IN,csid IN,
                                  gs_array OUT,gs_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_USER,PRIV_USER_GAMESESSION_READ,ec);
  if (ec == EC_NONE)
  {
    PGameSession.GetArray(uan,csid,gs_array,gs_num,ec);
    PLog.CreateAdd(ean,uan,LOG_USER_GAMESESSION_READ,0,0,ec);
  }
}
// ************************* stat stuff *****************************
procedure Stats_Get(ean IN,uan IN,gametype IN,mid IN,date IN,csc IN,
                    ms OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    PMachine_Stats.Get(uan,gametype,mid,csc,date,ms,ec);
    PLog.CreateAdd(ean,uan,LOG_TX_STATS_READ,0,0,ec);
  }
}
// ************************* slots proc's ***************************
procedure Slots_GetInstanceArray(ean IN,uan IN,si_array OUT,si_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_INSTANCE_READ,ec);
  if (ec == EC_NONE)
  {
    PSlots_Instance.GetArray(uan,si_array,si_num,ec);
    PLog.CreateAdd(ean,uan,LOG_SLOTS_INSTANCE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Slots_GetRoundArray(ean IN,uan IN,sid IN,
                              sr_array OUT,sr_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_ROUND_READ,ec);
  if (ec == EC_NONE)
  {
    PSlots_Round.GetArray(uan,sid,sr_array,sr_num,ec);
    PLog.CreateAdd(ean,uan,LOG_SLOTS_ROUND_READ,0,0,ec);
  }
}
// ************************* slots cfg ******************************
procedure Slots_SetCurrent(ean IN,locnum IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_MACHINE_WRITE | PRIV_SLOTS_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PSlot_Machine.SetCurrent(locnum,mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_SLOTS_CFG_MACHINECURRENT_WRITE,0,open,ec);
  }
}
//*******************************************************************
procedure Slots_GetGameStatArray(ean IN,availstatus IN,
                                 gamestat_array OUT,gamestat_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    gamestat_num = 0;
    PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_MACHINE_READ,ec);
    if (ec == EC_NONE)
    {
      PSlot_Machine.GetArray(MS_AVAIL,sm_array,sm_num,ec);
      for (int i=0;i<sm_num;i++)
      {
        gamestat_num++;
        PMachine_Stats.Get(0,GT_SLOTS,0,0,0,mstats,ec);
        gamestat_array[gamestat_num] =  TGameStat(mstats.MID,
                                                  GT_SLOTS,
                                                  sm_array[i].Name,
                                                  sm_array[i].CoinSize,
                                                  sm_array[i].MachineStatus,
                                                  sm_array[i].PayoffLevel,
                                         (SYSDATE - sm_array[i].Current_Date),
                                                  sm_array[i].Cash.Counter,
                                                  sm_array[i].Cash.PlayTimeSec,
                                                  sm_array[i].Cash.Wagered,
                                                  ?,...);
      }
    }
    PLog.CreateAdd(ean,0,LOG_TX_STATS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Slots_SetCurrentOpen(ean IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_MACHINE_WRITE | PRIV_SLOTS_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PSlot_Machine.SetCurrentOpen(mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_SLOTS_CFG_MACHINEOPEN_WRITE,mid,open,ec);
  }
}
//*******************************************************************
procedure Slots_GetOn(ean IN,on OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Slots_GetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_SLOTS_CFG_ON_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Slots_SetOn(ean IN,on IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_SLOTS,PRIV_SLOTS_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Slots_SetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_SLOTS_CFG_ON_WRITE,on,0,ec);
  }
}
//************************* bj proc's *******************************
procedure BJ_GetInstanceArray(ean IN,uan IN,
                              bji_array OUT,bji_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_INSTANCE_READ,ec);
  if (ec == EC_NONE)
  {
    PBJ_Instance.GetArray(uan,bji_array,bji_num,ec);
    PLog.CreateAdd(ean,uan,LOG_BJ_INSTANCE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure BJ_GetRoundArray(ean IN,uan IN,bjid IN,
                           bjr_array OUT,bjr_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_ROUND_READ,ec);
  if (ec == EC_NONE)
  {
    PBJ_Round.GetArray(ean,uan,LOG_BJ_ROUND_READ,0,0,ec);
    PLog.CreateAdd(ean,uan,LOG_BJ_ROUND_READ,0,0,ec);
  }
}
//************************ bj cfg ***********************************
procedure BJ_SetCurrent(ean IN,locnum IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_MACHINE_WRITE | PRIV_BJ_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PBJ_Machine.SetCurrent(locnum,mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_BJ_CFG_MACHINECURRENT_WRITE,locnum,mid,ec);
  }
}
//*******************************************************************
procedure BJ_GetGameStatArray(ean IN,availstatus IN,
                              gamestat_array OUT,gamestat_num OUT,ec OUT)
{
  gamestat_num = 0;
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_MACHINE_READ,ec);
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    PBJ_Machine.GetArray(MS_AVAIL,bjm_array,bjm_num,ec);
    for (int i=0;i<sm_num;i++)
    {
      gamestat_num++;
      PMachine_Stats.Get(0,GT_BJ,0,0,0,mstats,ec);
      gamestat_array[gamestat_num] =  TGameStat(mstats.MID,
                                                GT_BJ,
                                                sm_array[i].Name,
                                                sm_array[i].CoinSize,
                                                sm_array[i].MachineStatus,
                                                sm_array[i].PayoffLevel,
                                       (SYSDATE - sm_array[i].Current_Date),
                                                sm_array[i].Cash.Counter,
                                                sm_array[i].Cash.PlayTimeSec,
                                                sm_array[i].Cash.Wagered,
                                                ?,...);
    }
    PLog.CreateAdd(ean,0,LOG_TX_STATS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure BJ_SetCurrentOpen(ean IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_MACHINE_WRITE | PRIV_BJ_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PBJ_Machine.SetCurrent(mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_BJ_CFG_MACHINEOPEN_WRITE,mid,open,ec);
  }
}
//*******************************************************************
procedure BJ_GetOn(ean IN,on OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.BJ_GetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_BJ_CFG_ON_READ,0,0,ec);
  }
}
//*******************************************************************
procedure BJ_SetOn(ean IN,on IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_BJ,PRIV_BJ_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.BJ_SetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_BJ_CFG_ON_WRITE,on,0,ec);
  }
}
//************************ roulette proc's **************************
procedure Roulette_GetInstanceArray(ean IN,uan IN,
                                    ri_array OUT,ri_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_INSTANCE_READ,ec);
  if (ec == EC_NONE)
  {
    PRoulette_Instance.GetArray(uan,ri_array,ri_num,ec);
    PLog.CreateAdd(ean,uan,LOG_ROULETTE_INSTANCE_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Roulette_GetRoundArray(ean IN,uan IN,rid IN,
                                 rr_array OUT,rr_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_ROUND_READ,ec);
  if (ec == EC_NONE)
  {
    PRoulette_Round.GetArray(uan,rid,rr_array,rr_num,ec);
    PLog.CreateAdd(ean,uan,LOG_ROULETTE_ROUND_READ,0,0,ec);
  }
}
// ********************** roulette cfg ******************************
procedure Roulette_SetCurrent(ean IN,locnum IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_MACHINE_WRITE | PRIV_ROULETTE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PRoulette_Machine.SetCurrent(locnum,mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_ROULETTE_CFG_MACHINECURRENT_WRITE,locnum,mid,ec);
  }
}
//*******************************************************************
procedure Roulette_GetGameStatArray(ean IN,availstatus IN,
                                    gamestat_array OUT,gamestat_num OUT,ec OUT)
{
  gamestat_num = 0;
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_MACHINE_READ,ec);
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    PRoulette_Machine.GetArray(MS_AVAIL,rm_array,rm_num,ec);
    for (int i=0;i<sm_num;i++)
    {
      gamestat_num++;
      PMachine_Stats.Get(0,GT_ROULETTE,0,0,0,mstats,ec);
      gamestat_array[gamestat_num] =  TGameStat(mstats.MID,
                                                GT_ROULETTE,
                                                sm_array[i].Name,
                                                sm_array[i].CoinSize,
                                                sm_array[i].MachineStatus,
                                                sm_array[i].PayoffLevel,
                                       (SYSDATE - sm_array[i].Current_Date),
                                                sm_array[i].Cash.Counter,
                                                sm_array[i].Cash.PlayTimeSec,
                                                sm_array[i].Cash.Wagered,
                                                ?,...);
    }
    PLog.CreateAdd(ean,0,LOG_TX_STATS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Roulette_SetCurrentOpen(ean IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_MACHINE_WRITE | PRIV_ROULETTE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PRoulette_Machine.SetCurrentOpen(mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_ROULETTE_CFG_MACHINEOPEN_WRITE,0,0,ec);
  }
}
//*******************************************************************
procedure Roulette_GetOn(ean IN,on OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Roulette_GetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_ROULETTE_CFG_ON_READ,0,0,ec);
  }
}
//*******************************************************************
procedure Roulette_SetOn(ean IN,on IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_ROULETTE,PRIV_ROULETTE_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.Roulette_SetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_ROULETTE_CFG_ON_WRITE,on,0,ec);
  }
}
//************************* vp proc's *******************************
procedure VP_GetInstanceArray(ean IN,uan IN,
                              vpi_array OUT,vpi_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_INSTANCE_READ,ec);
  if (ec == EC_NONE)
  {
    PVP_Instance.GetArray(uan,vpi_array,vpi_num,ec);
    PLog.CreateAdd(ean,uan,LOG_VP_INSTANCE_READ,0,0,EC);
  }
}
//*******************************************************************
procedure VP_GetRoundArray(ean IN,uan IN,vpid IN,
                           vpr_array OUT,vpr_num OUT,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_ROUND_READ,ec);
  if (ec == EC_NONE)
  {
    PVP_Round.GetArray(uan,vpid,vpr_array,vpr_num,ec);
    PLog.CreateAdd(ean,uan,LOG_VP_ROUND_READ,0,0,ec);
  }
}
//************************* vp cfg **********************************
procedure VP_SetCurrent(ean IN,locnum IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_MACHINE_WRITE | PRIV_VP_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PVP_Machine.SetCurrent(locnum,mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_VP_CFG_MACHINECURRENT,locnum,mid,ec);
  }
}
//*******************************************************************
procedure VP_GetGameStatArray(ean IN,availstatus IN,
                              gamestat_array OUT,gamestat_num OUT,ec OUT)
{
  gamestat_num = 0;
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_MACHINE_READ,ec);
  PEmpSecAcc.Verify(ean,PRIVSET_TX,PRIV_TX_STATS_READ,ec);
  if (ec == EC_NONE)
  {
    PVP_Machine.GetArray(MS_AVAIL,vpm_array,vpm_num,ec);
    for (int i=0;i<sm_num;i++)
    {
      gamestat_num++;
      PMachine_Stats.Get(0,GT_VP,0,0,0,mstats,ec);
      gamestat_array[gamestat_num] =  TGameStat(mstats.MID,
                                                GT_VP,
                                                sm_array[i].Name,
                                                sm_array[i].CoinSize,
                                                sm_array[i].MachineStatus,
                                                sm_array[i].PayoffLevel,
                                       (SYSDATE - sm_array[i].Current_Date),
                                                sm_array[i].Cash.Counter,
                                                sm_array[i].Cash.PlayTimeSec,
                                                sm_array[i].Cash.Wagered,
                                                ?,...);
    }
    PLog.CreateAdd(ean,0,LOG_TX_STATS_READ,0,0,ec);
  }
}
//*******************************************************************
procedure VP_SetCurrentOpen(ean IN,mid IN,open IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_MACHINE_WRITE | PRIV_VP_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PVP_Machine.SetCurrentOpen(mid,open,ec);
    PLog.CreateAdd(ean,0,LOG_VP_CFG_MACHINEOPEN_WRITE,mid,open,ec);
  }
}
//*******************************************************************
procedure VP_GetOn(ean IN,on OUT TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_CFG_READ,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.VP_GetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_VP_CFG_ON_READ,0,0,ec);
  }
}
//*******************************************************************
procedure VP_SetOn(ean IN,on IN TBool,ec OUT)
{
  PEmpSecAcc.Verify(ean,PRIVSET_VP,PRIV_VP_CFG_WRITE,ec);
  if (ec == EC_NONE)
  {
    PCasCfg.VP_SetOn(on,ec);
    PLog.CreateAdd(ean,0,LOG_VP_CFG_ON_WRITE,on,0,ec);
  }
}
//*******************************************************************
end PAce;