create or replace package PMachine_Stats as
//*******************************************************************
procedure Lock(uan IN PDef.TUAN,
               gt IN PDef.TGameType,
               machineid IN PDef.TMID,
               cscounter IN,
               date IN PDef.TDate,
               ms IN OUT TMachineStats,
               ec OUT PDef.TErrorCode);

procedure UnLock(ms IN OUT TMachineStats,ec OUT PDef.TErrorCode);

procedure Create(uan IN,
                 gt IN,
                 machineid IN PDef.TMID,
                 cscounter IN,
                 date IN PDef.TDate,
                 stat IN TStat,
                 ms IN OUT TMachine_Stats,
                 ec OUT PDef.TErrorCode);

procedure Add(ms IN OUT TMachineStat,ec OUT PDef.TErrorCode);

procedure CreateAdd(uan IN,
                    gt IN,
                    machineid IN PDef.TMID,
                    cscounter IN,
                    date IN PDef.TDate,
                    stat IN TStat,
                    ec OUT PDef.TErrorCode);

procedure Update(uan IN,
                 gt IN,
                 machineid IN PDef.TMID,
                 cscounter IN,
                 date IN PDef.TDate,
                 stat IN TStat,
                 ec OUT PDef.TErrorCode);

procedure UpdateAll(uan IN,
                    gt IN,
                    mid IN,
                    cscounter IN,
                    date IN,
                    stat IN TStat,
                    ec OUT PDef.TErrorCode);

procedure GetArray(???);
procedure Get(kind IN,ms OUT,ec OUT);
procedure Get(uan IN,gt IN,mid IN,csc IN,date IN,ms OUT,ec OUT);
procedure GetArray(date1 IN TDate,date2 IN TDate,gt IN TGame,cash IN TBool,
                   gamestat_array OUT,gamestat_num OUT,ec OUT);
procedure GetProfit(gt IN TGame,date1 IN TDate,date2 IN TDate,
                    total OUT TCurrency,ec OUT);
//*******************************************************************
end PMachine_Stats;