create or replace package PUser as
//*******************************************************************
procedure LostGW(ipaddr IN,ec OUT);

procedure GetArray(gw_ipaddr IN,user_array OUT,user_num OUT,ec OUT);

function Exists(username IN PDef.TUserNameStr) return TBool;

procedure Lock(username IN PDef.TUserNameStr,
               user IN OUT TUser,
               errorcode OUT PDef.TErrorCode);

procedure Lock(uan IN PDef.TUAN,
               user IN OUT TUser,
               errorcode OUT PDef.TErrorCode);

procedure UnLock(user IN OUT TUser,errorcode OUT PDef.TErrorCode);

procedure Add(user IN TUser,errorcode OUT PDef.TErrorCode);

procedure Create(username IN PDef.TUserName,
                 pw IN PDef.TPWStr,
                 name IN TName,
                 address IN TAddress,
                 email IN,
                 dayphone IN,
                 eveningphone IN,
                 dob IN,
                 sex_male IN,
                 mothersmaiden IN,
                 hometown IN,
                 user IN OUT TUser,
                 errorcode OUT PDef.TErrorCode);

procedure CreateAdd(username IN PDef.TUserName,
                    password IN PDef.TPWStr,
                    name IN TName,
                    address IN TAddress,
                    email IN,
                    dayphone IN,
                    eveningphone IN,
                    dob IN,
                    sex_male IN,
                    mothersmaiden IN,
                    hometown IN,
                    user IN OUT TUser,
                    errorcode OUT PDef.TErrorCode);

procedure GetModifiedUserNames(username IN PDef.TUserNameStr,
                               name IN TName,
                               un1 IN OUT PDef.TUserNameStr,
                               un2 IN OUT PDef.TUserNameStr,
                               un3 IN OUT PDef.TUserNameStr,
                               un4 IN OUT PDef.TUserNameStr);

function GetModifiedUserName(username IN PDef.TUserNameStr) return TUserNameStr;

procedure ValidateUser(user IN OUT TUser,
                       pw IN PDef.TPWStr,
                       mustchangepw OUT PDef.TBool,
                       errorcode OUT PDef.TErrorCode);

procedure Login(username IN PDef.TUserNameStr,
                pw IN PDef.TPWStr,
                gatewayid IN OUT PDef.TGatewayID,
                mustchangepw OUT PDef.TBool,
                gt OUT PDef.TGame,
                mid OUT PDef.TMID,
                uan OUT PDef.TUAN,
                ec OUT PDef.TErrorCode);

procedure NewLogin(username IN PDef.TUserNameStr,
                   pw IN PDef.TPWStr,
                   gwid IN PDef.TGatewayID,
                   fname IN PDef.TNameStr,
                   lname IN PDef.TNameStr,
                   street IN PDef.TStreetStr,
                   city IN PDef.TCityStr,
                   state IN PDef.TStateStr,
                   country IN PDef.TCountryStr,
                   zip IN PDef.TZipStr,
                   email IN PDef.TNameStr,
                   dayphone IN PDef.TNameStr,
                   eveningphone IN PDef.TNameStr,
                   dob IN PDef.TDate,
                   sex_male IN PDef.TBool,
                   mothersmaiden IN PDef.TNameStr,
                   hometown IN PDef.TCityStr,
                   uan OUT PDef.TUAN,
                   gt OUT PDef.TGame,
                   mid OUT PDef.TMID,
                   modun1 OUT PDef.TUserNameStr,
                   modun2 OUT PDef.TUserNameStr,
                   modun3 OUT PDef.TUserNameStr,
                   modun4 OUT PDef.TUserNameStr,
                   ec OUT PDef.TErrorCode);

procedure Login(user IN OUT TUser,
                pw IN TPWStr,
                gatewayid IN OUT TGatewayID,
                gt IN OUT TGame,
                mid IN OUT TMID,
                mustchangepw IN OUT TBool,
                ec OUT TErrorCode);

procedure Logoff(uan IN PDef.TUAN,
                 endcassession IN PDef.TBool,
                 ec OUT PDef.TErrorCode);

procedure SwitchGame(uan IN PDef.TUAN,
                     endgamesession IN PDef.TBool,
                     gt IN OUT PDef.TGame,
                     mid IN OUT PDef.TMID,
                     ec OUT PDef.TErrorCode);

procedure LockUserObjects(uan IN PDef.TUAN,
                          user IN OUT TUser,
                          wallet IN OUT TWallet,
                          cs IN OUT TCasSession,
                          gs IN OUT TGameSession,
                          ec OUT PDef.TErrorCode);

procedure UnLockUserObjects(user IN OUT TUser,
                            wallet IN OUT TWallet,
                            cs IN OUT TCasSession,
                            gs IN OUT TGameSession,
                            ec OUT PDef.TErrorCode);

procedure SetRegLocks(user IN OUT,region IN,rlcode IN,ec OUT);

procedure Get(uan IN,user OUT,ec OUT);
procedure Create(username IN,user_info IN,pw IN,ec OUT);
procedure GetUANArray(fname IN,lname IN,uan_array OUT,uan_num OUT,ec OUT);
procedure GetDataArray(filter IN,xpw IN TBool,userdata_array OUT,userdata_num OUT,ec OUT);
procedure GetRatingData(uan IN,rating OUT,ratingptmod OUT,ec OUT);
//*******************************************************************
end PUser;