create or replace package body PSlot_Machine as
//*****************************************************************
procedure Get(mid IN PDef.TMID,
              sm IN OUT TSlot_Machine,
              ec OUT PDef.TErrorCode)
{
  ec = PDef.EC_NONE;
  // don't lock for update.
  select sm
  from Tbl_Slot_Machines
  where rec.MachineID == mid

  if (not found)
  {
    ec = PDef.EC_SLOT_MACHINE_NOTFOUND;
  }
}
//*****************************************************************
end PSlot_Machine;