//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oanmcvtd.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     11/15/96   M.Perry    original baseline
//********************************************************************
#if !defined(__oanmcvtd_h)
#define __oanmcvtd_h

#if !defined(__og3dlg_h)
#include "og3dlg.h"
#endif
//*******************************************************************
class TAnmConvertDlg:public TG3Dlg
{
public:
  TAnmConvertDlg(TWindow *parent,string anmname)
  :TG3Dlg(parent,"Converting Anm","Frame","Line","Segment",anmname,"Converting")
  {}
  void SetFrameValue(int value) {SetG1Value(value);}
  void SetLineValue(int value) {SetG2Value(value);}
  void SetSegmentValue(int value) {SetG3Value(value);}
  void SetFrameRange(int min,int max) {SetG1Range(min,max);}
  void SetLineRange(int min,int max) {SetG2Range(min,max);}
  void SetSegmentRange(int min,int max) {SetG3Range(min,max);}
  void IncFrameValue() {IncG1Value();}
  void IncLineValue() {IncG2Value();}
  void IncSegmentValue() {IncG3Value();}
  void SetFrameMax(int max) {SetFrameRange(0,max);}
  void SetLineMax(int max) {SetLineRange(0,max);}
  void SetSegmentMax(int max) {SetSegmentRange(0,max);}
  void SetToWriting() {SetStatus("Writing");}
  void StartWriting()
  {
    SetToWriting();
    SetFrameValue(0);
    SetLineValue(0);
    SetSegmentValue(0);
  }
  void SetToOffsets() {SetStatus("Calculating Offsets");}
  void StartOffsets()
  {
    SetToOffsets();
    SetFrameValue(0);
    SetLineValue(0);
    SetSegmentValue(0);
  }
};
//*******************************************************************

#endif