//*******************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//*******************************************************************
//
//       File Name:  card.h
//    Project Name:  Ogle
// Original Author:  Adam K. Krist
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- ---------  ----------  ------------------------------
//  1.0     06/01/95   A. Krist    Original baseline
//  2.0     08/26/97   M.Perry     32-bit conversion.
//*******************************************************************
#if !defined _card_h
#define _card_h

enum TSuit { Club, Diamond, Heart, Spade };
enum TCardName { AceLo, Two, Three, Four, Five, Six, Seven,
                 Eight, Nine, Ten, Jack, Queen, King, AceHi,Joker  };
enum TUpdown {Down,Up};
enum TStrength { WEAK,MARGINAL,STRONG,LOCK };
//*******************************************************************
class TCard
{
public:
  TSuit   suit;
  TCardName   name;
  TUpdown updown;

  TCard(TSuit su=Club,TCardName nam=AceLo,TUpdown dwn=Down);
  virtual ~TCard();
};
//*******************************************************************
#endif

