//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  oabtdlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     02/27/95   M.Perry    original baseline
//  2.0     08/26/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__oabtdlg_h)
#define __oabtdlg_h

#if !defined(__oapp_rh)
#include "oapp.rh"
#endif

#if !defined(__ogle_h)
#include "ogle.h"
#endif
//*******************************************************************
class OGLEOWLCLASS TOgleAboutDlg : public TDialog
{
public:
  TOgleAboutDlg (TWindow *parent,TResId resId = IDD_ABOUT,TModule *module = 0);
    virtual ~TOgleAboutDlg ();
public:
    void SetupWindow ();
};
//*********************************************************
// Reading the VERSIONINFO resource.
class ProjectRCVersion
{
  public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

  protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

  private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};
//*******************************************************************
#endif
