//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ogaugdlg.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     2/22/96    M.Perry    original baseline
//  2.0    08/26/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__ogaugdlg_h)
#define __ogaugdlg_h

#if !defined(__ogle_h)
#include "ogle.h"
#endif

#if !defined(__ogrpgdlg_h)
#include "ogrpgdlg.h"
#endif

#if !defined(__ogaugdlg_rh)
#include "ogaugdlg.rh"
#endif

class TGauge;
class TStatic;
//*******************************************************************
class TGaugeDlg:public TOgleGroupGaugeDlg
{
protected:
  TGauge *PGauge;
  TControl *PDummyControl;
  TStatic *PText;
public:
  TGaugeDlg(void *powner,TWindow *pwin,const char *title = 0);
  virtual ~TGaugeDlg();
  virtual void SetGaugeText(string text,int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeCaption(string caption,int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeValue(int value,int gaugenum = -1,int groupnum = -1);
  virtual void IncGaugeValue(int gaugenum = -1,int groupnum = -1);
  virtual void DecGaugeValue(int gaugenum = -1,int groupnum = -1);
  virtual void SetGaugeRange(int min,int max,int gaugenum = -1,int groupnum = -1);
  virtual void SetupWindow();
};
//*******************************************************************
#endif

