//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  osprrow.h
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     6/20/95    M.Perry    original baseline
//  2.0     8/22/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__osprrow_h) 
#define __osprrow_h

#if !defined(__orow_h)
#include "orow.h"
#endif

#if !defined(__osprcell_h)
#include "osprcell.h"
#endif
//*******************************************************************
class TSpriteRow:public TOgleRow
{
public:
  TSprite *POwnerSprite;

public:
  TSpriteRow(TOgleModeWindow *pmw,TFileMode &NewFileMode,TSprite *PSprite = NULL);
  TSpriteRow(TOgleModeWindow *pmw,TFileMode &NewFileMode,TSprite *PSprite,
             void *PReadData,bool AutoRead = true);
  virtual ~TSpriteRow();

  virtual TOgleCell *CreateNewCell();
  virtual TOgleCell *CreateNewCell(void *PSource);
  TSpriteCell *GetSpriteCell(byte CellIndex);
  void MakeCellIfNull(int16 CellNum);
  void ClearCellIfNotNull(int16 CellNum);
  virtual void SetMinVer();
};
//*******************************************************************
#endif

