//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name: otimers.h
//    Project Name: Ogle
// Original Author: Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0      4/21/95   M.Perry    original baseline
//  2.0      8/17/97   M.Perry    removed toolhelp calls for 32bit compat.
//  2.0      8/27/97   M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__otimers_h)
#define __otimers_h

#if !defined(__ogle_h)
  #include "ogle.h"
#endif

#define ModeWindowTimer 1
#define TIMEFUDGEFACTOR 25
//*******************************************************************
class TOgleTime
{
public:
  #ifdef TIMEDEBUG
  dword NumOfMisses;
  dword NumOfHits;
  #endif
  dword FrameUpdateCount;
  dword GetFrameUpdateCount() {return (FrameUpdateCount);}
  dword GetFUC() {return FrameUpdateCount;}
  dword UpdateRate;
  bool InitOk;
  dword StartingTime;
  dword CurrentTime;
  dword NextUpdateTime;
  TOgleTime(dword UpdateRate);
  ~TOgleTime();
  bool UpdateNow();
};
//*******************************************************************
#endif

