//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ovidwing.h
//    Project Name:  Ogle
// Original Author:  John Brooks
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0      4/27/95   J.Brooks    original baseline
//           4/27/95   M.Perry     merged into Ogle
//           8/1/96    M.Perry     changed to old
//           8/22/96   M.Perry     completely revamped.
//  2.0      8/28/97   M.Perry     32-bit conversion.
//********************************************************************
#if !defined(__ovidwing_h)
#define __ovidwing_h

#if !defined(__ovideo_h)
#include "ovideo.h"
#endif

#if !defined(__owingdll_h)
#include "owingdll.h"
#endif

#if !defined(__ogr_h)
#include "ogr.h"
#endif
//*******************************************************************
class TVideoWinG:public TOgleVideo
{
public:
  TVideoWinG(TOgleModeWindow *pmw,TBmp &mbg,TPal &mpal,
             TRenderMethod bgmethod,TRenderMethod grmethod);
  virtual ~TVideoWinG();

protected:
  virtual bool CreateVideoBmp();
  virtual bool CreateVideoPal();
  virtual bool CreateVideoDC();
  virtual void SetupVideoDC();
  virtual void CleanupVideoDC();
  virtual TOglePaintDC *CreatePaintDC(TDC &dc);
};
//*******************************************************************
#endif

