//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  animicon.cpp
//    Project Name:  Ogle
// Original Author:  Dave Anderson
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0      ???      D.Anderson   original baseline.
//  2.0    08/27/97   M.Perry      32-bit conversion.
//********************************************************************
#if !defined(__animicon_h)
#include "animicon.h"
#endif

#if !defined(__oapp_rh)
#include "oapp.rh"
#endif

#if !defined(OWL_WINDOW_H)
#include <owl\window.h>
#endif

#if !defined(OWL_FRAMEWIN_H)
#include <owl\framewin.h>
#endif
//*******************************************************************
TOgleAnimatedIcons::TOgleAnimatedIcons()
{
}
//*******************************************************************
TOgleAnimatedIcons::~TOgleAnimatedIcons()
{

}
//*******************************************************************
bool TOgleAnimatedIcons::LoadIconSequence(IconSequence toLoad)
{
	 ico.numIcons = toLoad.numIcons;
	 for (int i=0;i<toLoad.numIcons;i++)//copy from test sequence to one we'll be using
	 {
		 ico.iconId[i] = toLoad.iconId[i];
	 }
	 return true;//??
}
//*******************************************************************
bool TOgleAnimatedIcons::SetupTimer(TWindow* tWnd)
{
	return(tWnd->SetTimer(2,333)); //timer id is 2, sent timer click at 333 msec
									//*&^%$#@!  //pause update() here MIKE

}
//*******************************************************************
void TOgleAnimatedIcons::LoadIconIDs()
{
		icoseq1.numIcons = 31;/*for IDI_SPIN00*/
		for (int i=0;i<icoseq1.numIcons;i++)
			icoseq1.iconId[i] = IDI_SPIN00 + i;
}
//*******************************************************************
void TOgleAnimatedIcons::AnimateIcon(TFrameWindow* tWnd)
{
	static int anim_ct=0;
	if (anim_ct==0) LoadIconSequence(icoseq1);

	int id = anim_ct++ % ico.numIcons;

	tWnd->SetIcon(tWnd->GetModule(),ico.iconId[id]);
	::RedrawWindow(tWnd->HWindow,NULL,NULL,
		RDW_ERASE| RDW_INVALIDATE|RDW_UPDATENOW|RDW_ALLCHILDREN );
}
//*******************************************************************

