//********************************************************************
//                    Confidential Material.
//
//  Copyright (c) 1995 CARDOZA ENTERTAINMENT. All Rights Reserved.
//********************************************************************
//
//       File Name:  ovwingdc.cpp
//    Project Name:  Ogle
// Original Author:  Michael R. Perry
//
// (Revision History)
// Version   Date      Author       Changes and Notes
// ------- --------   ---------  ------------------------------
//  1.0     7/25/96    M.Perry    original baseline
//  2.0     8/28/97    M.Perry    32-bit conversion.
//********************************************************************
#if !defined(__ovwingdc_h)
#include "ovwingdc.h"
#endif

#if !defined(__owingdll_h)
#include "owingdll.h"
#endif

#if !defined(__obmp_h)
#include "obmp.h"
#endif
//*******************************************************************
TVideoWinGDC::TVideoWinGDC()
:TOgleVideoDC(TOgleWinG::Dll()->CreateDC())
{
}
//*******************************************************************
TVideoWinGDC::~TVideoWinGDC()
{
}
//*******************************************************************
HBITMAP TVideoWinGDC::CreateBitmap(TBitmapInfo &bitmapinfo,void **ppbits)
{
  return TOgleWinG::Dll()->CreateBitmap(*this,bitmapinfo,ppbits);
}
//*******************************************************************
//*******************************************************************
bool TWinGPaintDC::BitBlt(TOgleRect &rect,TOgleVideoDC &vdc)
{
  return TOgleWinG::Dll()->BitBlt(GetHDC(),
                                  rect.left,rect.top,
                                  rect.GetWidth(),rect.GetHeight(),
                                  vdc,
                                  rect.left,rect.top);
}
//*******************************************************************

